'/*
'** Copyright (c) 2007-2012 The Khronos Group Inc.
'**
'** Permission is hereby granted, free of charge, to any person obtaining a
'** copy of this software and/or associated documentation files (the
'** "Materials"), to deal in the Materials without restriction, including
'** without limitation the rights to use, copy, modify, merge, publish,
'** distribute, sublicense, and/or sell copies of the Materials, and to
'** permit persons to whom the Materials are furnished to do so, subject to
'** the following conditions:
'**
'** The above copyright notice and this permission notice shall be included
'** in all copies or substantial portions of the Materials.
'**
'** THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
'** EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
'** MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
'** IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
'** CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
'** TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
'** MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.
'*/

'/*************************************************************/

'/* Header file version number, required by OpenGL ABI for Linux */
'/* glext.h last updated $Date: 2012-03-05 02:52:51 -0800 (Mon, 05 Mar 2012) $ */
'/* Current version at http://www.opengl.org/registry/ */

#INCLUDE THIS ONCE
%GLEXT_INC = 1

#INCLUDE ONCE "WINDOWS.INC"
#INCLUDE ONCE "GL.INC"
#INCLUDE ONCE "GLU.INC"

'TYPE ZGLTEXTUREX
'    ID       AS LONG
'    FullName AS ASCIIZ * 260
'    Texture  AS LONG
'    Square   AS LONG            '// boolean TRUE or FALSE value 
'END TYPE

GLOBAL texObj() AS ZGLTEXTUREX

%GL_EXTENSIONS             = &H1F03???
%WGL_SAMPLE_BUFFERS_ARB    = &H2041
%WGL_SAMPLES_ARB           = &H2042
%WGL_DRAW_TO_WINDOW_ARB    = &H2001
%WGL_ACCELERATION_ARB      = &H2003
%WGL_FULL_ACCELERATION_ARB = &H2027
%WGL_COLOR_BITS_ARB        = &H2014
%WGL_ALPHA_BITS_ARB        = &H201B
%WGL_DEPTH_BITS_ARB        = &H2022
%WGL_STENCIL_BITS_ARB      = &H2023
%WGL_DOUBLE_BUFFER_ARB     = &H2011
DECLARE FUNCTION wglChoosePixelFormatARB (BYVAL hDC AS LONG, BYREF piAttribIList AS LONG, BYREF pfAttribFList AS SINGLE, BYVAL nMaxFormats AS DWORD, BYREF piFormats AS LONG, BYREF nNumFormats AS DWORD) AS LONG

DECLARE SUB glEnableClientState LIB "OPENGL32.DLL" ALIAS "glEnableClientState" (BYVAL array AS DWORD)
DECLARE SUB My_glVertexPointer LIB "OPENGL32.DLL" ALIAS "glVertexPointer" (BYVAL size AS LONG, BYVAL type AS DWORD, BYVAL stride AS LONG, BYVAL DWORD)
DECLARE SUB My_glTexCoordPointer LIB "OPENGL32.DLL" ALIAS "glTexCoordPointer" (BYVAL size AS LONG, BYVAL type AS DWORD, BYVAL stride AS LONG, BYVAL DWORD)
DECLARE SUB My_glNormalPointer LIB "OPENGL32.DLL" ALIAS "glNormalPointer" (BYVAL type AS DWORD, BYVAL stride AS LONG, BYVAL DWORD)
DECLARE SUB glDisableClientState LIB "OPENGL32.DLL" ALIAS "glDisableClientState" (BYVAL array AS DWORD)
DECLARE SUB My_glDrawElements LIB "OPENGL32.DLL" ALIAS "glDrawElements" (BYVAL mode aS DWORD, BYVAL count AS LONG, BYVAL type AS DWORD, BYVAL DWORD)

%GL_GLEXT_VERSION = 76

#IF NOT %DEF(%GL_VERSION_1_2)
%GL_UNSIGNED_BYTE_3_3_2                               = &H8032???
%GL_UNSIGNED_SHORT_4_4_4_4                            = &H8033???
%GL_UNSIGNED_SHORT_5_5_5_1                            = &H8034???
%GL_UNSIGNED_INT_8_8_8_8                              = &H8035???
%GL_UNSIGNED_INT_10_10_10_2                           = &H8036???
%GL_TEXTURE_BINDING_3D                                = &H806A???
%GL_PACK_SKIP_IMAGES                                  = &H806B???
%GL_PACK_IMAGE_HEIGHT                                 = &H806C???
%GL_UNPACK_SKIP_IMAGES                                = &H806D???
%GL_UNPACK_IMAGE_HEIGHT                               = &H806E???
%GL_TEXTURE_3D                                        = &H806F???
%GL_PROXY_TEXTURE_3D                                  = &H8070???
%GL_TEXTURE_DEPTH                                     = &H8071???
%GL_TEXTURE_WRAP_R                                    = &H8072???
%GL_MAX_3D_TEXTURE_SIZE                               = &H8073???
%GL_UNSIGNED_BYTE_2_3_3_REV                           = &H8362???
%GL_UNSIGNED_SHORT_5_6_5                              = &H8363???
%GL_UNSIGNED_SHORT_5_6_5_REV                          = &H8364???
%GL_UNSIGNED_SHORT_4_4_4_4_REV                        = &H8365???
%GL_UNSIGNED_SHORT_1_5_5_5_REV                        = &H8366???
%GL_UNSIGNED_INT_8_8_8_8_REV                          = &H8367???
%GL_UNSIGNED_INT_2_10_10_10_REV                       = &H8368???
%GL_BGR                                               = &H80E0???
%GL_BGRA                                              = &H80E1???
%GL_MAX_ELEMENTS_VERTICES                             = &H80E8???
%GL_MAX_ELEMENTS_INDICES                              = &H80E9???
%GL_CLAMP_TO_EDGE                                     = &H812F???
%GL_TEXTURE_MIN_LOD                                   = &H813A???
%GL_TEXTURE_MAX_LOD                                   = &H813B???
%GL_TEXTURE_BASE_LEVEL                                = &H813C???
%GL_TEXTURE_MAX_LEVEL                                 = &H813D???
%GL_SMOOTH_POINT_SIZE_RANGE                           = &H0B12???
%GL_SMOOTH_POINT_SIZE_GRANULARITY                     = &H0B13???
%GL_SMOOTH_LINE_WIDTH_RANGE                           = &H0B22???
%GL_SMOOTH_LINE_WIDTH_GRANULARITY                     = &H0B23???
%GL_ALIASED_LINE_WIDTH_RANGE                          = &H846E???
#ENDIF

#IF NOT %DEF(%GL_VERSION_1_2_DEPRECATED)
%GL_RESCALE_NORMAL                                    = &H803A???
%GL_LIGHT_MODEL_COLOR_CONTROL                         = &H81F8???
%GL_SINGLE_COLOR                                      = &H81F9???
%GL_SEPARATE_SPECULAR_COLOR                           = &H81FA???
%GL_ALIASED_POINT_SIZE_RANGE                          = &H846D???
#ENDIF

#IF NOT %DEF(%GL_ARB_imaging)
%GL_CONSTANT_COLOR                                    = &H8001???
%GL_ONE_MINUS_CONSTANT_COLOR                          = &H8002???
%GL_CONSTANT_ALPHA                                    = &H8003???
%GL_ONE_MINUS_CONSTANT_ALPHA                          = &H8004???
%GL_BLEND_COLOR                                       = &H8005???
%GL_FUNC_ADD                                          = &H8006???
%GL_MIN                                               = &H8007???
%GL_MAX                                               = &H8008???
%GL_BLEND_EQUATION                                    = &H8009???
%GL_FUNC_SUBTRACT                                     = &H800A???
%GL_FUNC_REVERSE_SUBTRACT                             = &H800B???
#ENDIF

#IF NOT %DEF(%GL_ARB_imaging_DEPRECATED)
%GL_CONVOLUTION_1D                                    = &H8010???
%GL_CONVOLUTION_2D                                    = &H8011???
%GL_SEPARABLE_2D                                      = &H8012???
%GL_CONVOLUTION_BORDER_MODE                           = &H8013???
%GL_CONVOLUTION_FILTER_SCALE                          = &H8014???
%GL_CONVOLUTION_FILTER_BIAS                           = &H8015???
%GL_REDUCE                                            = &H8016???
%GL_CONVOLUTION_FORMAT                                = &H8017???
%GL_CONVOLUTION_WIDTH                                 = &H8018???
%GL_CONVOLUTION_HEIGHT                                = &H8019???
%GL_MAX_CONVOLUTION_WIDTH                             = &H801A???
%GL_MAX_CONVOLUTION_HEIGHT                            = &H801B???
%GL_POST_CONVOLUTION_RED_SCALE                        = &H801C???
%GL_POST_CONVOLUTION_GREEN_SCALE                      = &H801D???
%GL_POST_CONVOLUTION_BLUE_SCALE                       = &H801E???
%GL_POST_CONVOLUTION_ALPHA_SCALE                      = &H801F???
%GL_POST_CONVOLUTION_RED_BIAS                         = &H8020???
%GL_POST_CONVOLUTION_GREEN_BIAS                       = &H8021???
%GL_POST_CONVOLUTION_BLUE_BIAS                        = &H8022???
%GL_POST_CONVOLUTION_ALPHA_BIAS                       = &H8023???
%GL_HISTOGRAM                                         = &H8024???
%GL_PROXY_HISTOGRAM                                   = &H8025???
%GL_HISTOGRAM_WIDTH                                   = &H8026???
%GL_HISTOGRAM_FORMAT                                  = &H8027???
%GL_HISTOGRAM_RED_SIZE                                = &H8028???
%GL_HISTOGRAM_GREEN_SIZE                              = &H8029???
%GL_HISTOGRAM_BLUE_SIZE                               = &H802A???
%GL_HISTOGRAM_ALPHA_SIZE                              = &H802B???
%GL_HISTOGRAM_LUMINANCE_SIZE                          = &H802C???
%GL_HISTOGRAM_SINK                                    = &H802D???
%GL_MINMAX                                            = &H802E???
%GL_MINMAX_FORMAT                                     = &H802F???
%GL_MINMAX_SINK                                       = &H8030???
%GL_TABLE_TOO_LARGE                                   = &H8031???
%GL_COLOR_MATRIX                                      = &H80B1???
%GL_COLOR_MATRIX_STACK_DEPTH                          = &H80B2???
%GL_MAX_COLOR_MATRIX_STACK_DEPTH                      = &H80B3???
%GL_POST_COLOR_MATRIX_RED_SCALE                       = &H80B4???
%GL_POST_COLOR_MATRIX_GREEN_SCALE                     = &H80B5???
%GL_POST_COLOR_MATRIX_BLUE_SCALE                      = &H80B6???
%GL_POST_COLOR_MATRIX_ALPHA_SCALE                     = &H80B7???
%GL_POST_COLOR_MATRIX_RED_BIAS                        = &H80B8???
%GL_POST_COLOR_MATRIX_GREEN_BIAS                      = &H80B9???
%GL_POST_COLOR_MATRIX_BLUE_BIAS                       = &H80BA???
%GL_POST_COLOR_MATRIX_ALPHA_BIAS                      = &H80BB???
%GL_COLOR_TABLE                                       = &H80D0???
%GL_POST_CONVOLUTION_COLOR_TABLE                      = &H80D1???
%GL_POST_COLOR_MATRIX_COLOR_TABLE                     = &H80D2???
%GL_PROXY_COLOR_TABLE                                 = &H80D3???
%GL_PROXY_POST_CONVOLUTION_COLOR_TABLE                = &H80D4???
%GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE               = &H80D5???
%GL_COLOR_TABLE_SCALE                                 = &H80D6???
%GL_COLOR_TABLE_BIAS                                  = &H80D7???
%GL_COLOR_TABLE_FORMAT                                = &H80D8???
%GL_COLOR_TABLE_WIDTH                                 = &H80D9???
%GL_COLOR_TABLE_RED_SIZE                              = &H80DA???
%GL_COLOR_TABLE_GREEN_SIZE                            = &H80DB???
%GL_COLOR_TABLE_BLUE_SIZE                             = &H80DC???
%GL_COLOR_TABLE_ALPHA_SIZE                            = &H80DD???
%GL_COLOR_TABLE_LUMINANCE_SIZE                        = &H80DE???
%GL_COLOR_TABLE_INTENSITY_SIZE                        = &H80DF???
%GL_CONSTANT_BORDER                                   = &H8151???
%GL_REPLICATE_BORDER                                  = &H8153???
%GL_CONVOLUTION_BORDER_COLOR                          = &H8154???
#ENDIF

#IF NOT %DEF(%GL_VERSION_1_3)
%GL_TEXTURE0                                          = &H84C0???
%GL_TEXTURE1                                          = &H84C1???
%GL_TEXTURE2                                          = &H84C2???
%GL_TEXTURE3                                          = &H84C3???
%GL_TEXTURE4                                          = &H84C4???
%GL_TEXTURE5                                          = &H84C5???
%GL_TEXTURE6                                          = &H84C6???
%GL_TEXTURE7                                          = &H84C7???
%GL_TEXTURE8                                          = &H84C8???
%GL_TEXTURE9                                          = &H84C9???
%GL_TEXTURE10                                         = &H84CA???
%GL_TEXTURE11                                         = &H84CB???
%GL_TEXTURE12                                         = &H84CC???
%GL_TEXTURE13                                         = &H84CD???
%GL_TEXTURE14                                         = &H84CE???
%GL_TEXTURE15                                         = &H84CF???
%GL_TEXTURE16                                         = &H84D0???
%GL_TEXTURE17                                         = &H84D1???
%GL_TEXTURE18                                         = &H84D2???
%GL_TEXTURE19                                         = &H84D3???
%GL_TEXTURE20                                         = &H84D4???
%GL_TEXTURE21                                         = &H84D5???
%GL_TEXTURE22                                         = &H84D6???
%GL_TEXTURE23                                         = &H84D7???
%GL_TEXTURE24                                         = &H84D8???
%GL_TEXTURE25                                         = &H84D9???
%GL_TEXTURE26                                         = &H84DA???
%GL_TEXTURE27                                         = &H84DB???
%GL_TEXTURE28                                         = &H84DC???
%GL_TEXTURE29                                         = &H84DD???
%GL_TEXTURE30                                         = &H84DE???
%GL_TEXTURE31                                         = &H84DF???
%GL_ACTIVE_TEXTURE                                    = &H84E0???
%GL_MULTISAMPLE                                       = &H809D???
%GL_SAMPLE_ALPHA_TO_COVERAGE                          = &H809E???
%GL_SAMPLE_ALPHA_TO_ONE                               = &H809F???
%GL_SAMPLE_COVERAGE                                   = &H80A0???
%GL_SAMPLE_BUFFERS                                    = &H80A8???
%GL_SAMPLES                                           = &H80A9???
%GL_SAMPLE_COVERAGE_VALUE                             = &H80AA???
%GL_SAMPLE_COVERAGE_INVERT                            = &H80AB???
%GL_TEXTURE_CUBE_MAP                                  = &H8513???
%GL_TEXTURE_BINDING_CUBE_MAP                          = &H8514???
%GL_TEXTURE_CUBE_MAP_POSITIVE_X                       = &H8515???
%GL_TEXTURE_CUBE_MAP_NEGATIVE_X                       = &H8516???
%GL_TEXTURE_CUBE_MAP_POSITIVE_Y                       = &H8517???
%GL_TEXTURE_CUBE_MAP_NEGATIVE_Y                       = &H8518???
%GL_TEXTURE_CUBE_MAP_POSITIVE_Z                       = &H8519???
%GL_TEXTURE_CUBE_MAP_NEGATIVE_Z                       = &H851A???
%GL_PROXY_TEXTURE_CUBE_MAP                            = &H851B???
%GL_MAX_CUBE_MAP_TEXTURE_SIZE                         = &H851C???
%GL_COMPRESSED_RGB                                    = &H84ED???
%GL_COMPRESSED_RGBA                                   = &H84EE???
%GL_TEXTURE_COMPRESSION_HINT                          = &H84EF???
%GL_TEXTURE_COMPRESSED_IMAGE_SIZE                     = &H86A0???
%GL_TEXTURE_COMPRESSED                                = &H86A1???
%GL_NUM_COMPRESSED_TEXTURE_FORMATS                    = &H86A2???
%GL_COMPRESSED_TEXTURE_FORMATS                        = &H86A3???
%GL_CLAMP_TO_BORDER                                   = &H812D???
#ENDIF

#IF NOT %DEF(%GL_VERSION_1_3_DEPRECATED)
%GL_CLIENT_ACTIVE_TEXTURE                             = &H84E1???
%GL_MAX_TEXTURE_UNITS                                 = &H84E2???
%GL_TRANSPOSE_MODELVIEW_MATRIX                        = &H84E3???
%GL_TRANSPOSE_PROJECTION_MATRIX                       = &H84E4???
%GL_TRANSPOSE_TEXTURE_MATRIX                          = &H84E5???
%GL_TRANSPOSE_COLOR_MATRIX                            = &H84E6???
%GL_MULTISAMPLE_BIT                                   = &H20000000???
%GL_NORMAL_MAP                                        = &H8511???
%GL_REFLECTION_MAP                                    = &H8512???
%GL_COMPRESSED_ALPHA                                  = &H84E9???
%GL_COMPRESSED_LUMINANCE                              = &H84EA???
%GL_COMPRESSED_LUMINANCE_ALPHA                        = &H84EB???
%GL_COMPRESSED_INTENSITY                              = &H84EC???
%GL_COMBINE                                           = &H8570???
%GL_COMBINE_RGB                                       = &H8571???
%GL_COMBINE_ALPHA                                     = &H8572???
%GL_SOURCE0_RGB                                       = &H8580???
%GL_SOURCE1_RGB                                       = &H8581???
%GL_SOURCE2_RGB                                       = &H8582???
%GL_SOURCE0_ALPHA                                     = &H8588???
%GL_SOURCE1_ALPHA                                     = &H8589???
%GL_SOURCE2_ALPHA                                     = &H858A???
%GL_OPERAND0_RGB                                      = &H8590???
%GL_OPERAND1_RGB                                      = &H8591???
%GL_OPERAND2_RGB                                      = &H8592???
%GL_OPERAND0_ALPHA                                    = &H8598???
%GL_OPERAND1_ALPHA                                    = &H8599???
%GL_OPERAND2_ALPHA                                    = &H859A???
%GL_RGB_SCALE                                         = &H8573???
%GL_ADD_SIGNED                                        = &H8574???
%GL_INTERPOLATE                                       = &H8575???
%GL_SUBTRACT                                          = &H84E7???
%GL_CONSTANT                                          = &H8576???
%GL_PRIMARY_COLOR                                     = &H8577???
%GL_PREVIOUS                                          = &H8578???
%GL_DOT3_RGB                                          = &H86AE???
%GL_DOT3_RGBA                                         = &H86AF???
#ENDIF

#IF NOT %DEF(%GL_VERSION_1_4)
%GL_BLEND_DST_RGB                                     = &H80C8???
%GL_BLEND_SRC_RGB                                     = &H80C9???
%GL_BLEND_DST_ALPHA                                   = &H80CA???
%GL_BLEND_SRC_ALPHA                                   = &H80CB???
%GL_POINT_FADE_THRESHOLD_SIZE                         = &H8128???
%GL_DEPTH_COMPONENT16                                 = &H81A5???
%GL_DEPTH_COMPONENT24                                 = &H81A6???
%GL_DEPTH_COMPONENT32                                 = &H81A7???
%GL_MIRRORED_REPEAT                                   = &H8370???
%GL_MAX_TEXTURE_LOD_BIAS                              = &H84FD???
%GL_TEXTURE_LOD_BIAS                                  = &H8501???
%GL_INCR_WRAP                                         = &H8507???
%GL_DECR_WRAP                                         = &H8508???
%GL_TEXTURE_DEPTH_SIZE                                = &H884A???
%GL_TEXTURE_COMPARE_MODE                              = &H884C???
%GL_TEXTURE_COMPARE_FUNC                              = &H884D???
#ENDIF

#IF NOT %DEF(%GL_VERSION_1_4_DEPRECATED)
%GL_POINT_SIZE_MIN                                    = &H8126???
%GL_POINT_SIZE_MAX                                    = &H8127???
%GL_POINT_DISTANCE_ATTENUATION                        = &H8129???
%GL_GENERATE_MIPMAP                                   = &H8191???
%GL_GENERATE_MIPMAP_HINT                              = &H8192???
%GL_FOG_COORDINATE_SOURCE                             = &H8450???
%GL_FOG_COORDINATE                                    = &H8451???
%GL_FRAGMENT_DEPTH                                    = &H8452???
%GL_CURRENT_FOG_COORDINATE                            = &H8453???
%GL_FOG_COORDINATE_ARRAY_TYPE                         = &H8454???
%GL_FOG_COORDINATE_ARRAY_STRIDE                       = &H8455???
%GL_FOG_COORDINATE_ARRAY_POINTER                      = &H8456???
%GL_FOG_COORDINATE_ARRAY                              = &H8457???
%GL_COLOR_SUM                                         = &H8458???
%GL_CURRENT_SECONDARY_COLOR                           = &H8459???
%GL_SECONDARY_COLOR_ARRAY_SIZE                        = &H845A???
%GL_SECONDARY_COLOR_ARRAY_TYPE                        = &H845B???
%GL_SECONDARY_COLOR_ARRAY_STRIDE                      = &H845C???
%GL_SECONDARY_COLOR_ARRAY_POINTER                     = &H845D???
%GL_SECONDARY_COLOR_ARRAY                             = &H845E???
%GL_TEXTURE_FILTER_CONTROL                            = &H8500???
%GL_DEPTH_TEXTURE_MODE                                = &H884B???
%GL_COMPARE_R_TO_TEXTURE                              = &H884E???
#ENDIF

#IF NOT %DEF(%GL_VERSION_1_5)
%GL_BUFFER_SIZE                                       = &H8764???
%GL_BUFFER_USAGE                                      = &H8765???
%GL_QUERY_COUNTER_BITS                                = &H8864???
%GL_CURRENT_QUERY                                     = &H8865???
%GL_QUERY_RESULT                                      = &H8866???
%GL_QUERY_RESULT_AVAILABLE                            = &H8867???
%GL_ARRAY_BUFFER                                      = &H8892???
%GL_ELEMENT_ARRAY_BUFFER                              = &H8893???
%GL_ARRAY_BUFFER_BINDING                              = &H8894???
%GL_ELEMENT_ARRAY_BUFFER_BINDING                      = &H8895???
%GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING                = &H889F???
%GL_READ_ONLY                                         = &H88B8???
%GL_WRITE_ONLY                                        = &H88B9???
%GL_READ_WRITE                                        = &H88BA???
%GL_BUFFER_ACCESS                                     = &H88BB???
%GL_BUFFER_MAPPED                                     = &H88BC???
%GL_BUFFER_MAP_POINTER                                = &H88BD???
%GL_STREAM_DRAW                                       = &H88E0???
%GL_STREAM_READ                                       = &H88E1???
%GL_STREAM_COPY                                       = &H88E2???
%GL_STATIC_DRAW                                       = &H88E4???
%GL_STATIC_READ                                       = &H88E5???
%GL_STATIC_COPY                                       = &H88E6???
%GL_DYNAMIC_DRAW                                      = &H88E8???
%GL_DYNAMIC_READ                                      = &H88E9???
%GL_DYNAMIC_COPY                                      = &H88EA???
%GL_SAMPLES_PASSED                                    = &H8914???
#ENDIF

#IF NOT %DEF(%GL_VERSION_1_5_DEPRECATED)
%GL_VERTEX_ARRAY_BUFFER_BINDING                       = &H8896???
%GL_NORMAL_ARRAY_BUFFER_BINDING                       = &H8897???
%GL_COLOR_ARRAY_BUFFER_BINDING                        = &H8898???
%GL_INDEX_ARRAY_BUFFER_BINDING                        = &H8899???
%GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING                = &H889A???
%GL_EDGE_FLAG_ARRAY_BUFFER_BINDING                    = &H889B???
%GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING              = &H889C???
%GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING               = &H889D???
%GL_WEIGHT_ARRAY_BUFFER_BINDING                       = &H889E???
%GL_FOG_COORD_SRC                                     = %GL_FOG_COORDINATE_SOURCE
%GL_FOG_COORD                                         = %GL_FOG_COORDINATE
%GL_CURRENT_FOG_COORD                                 = %GL_CURRENT_FOG_COORDINATE
%GL_FOG_COORD_ARRAY_TYPE                              = %GL_FOG_COORDINATE_ARRAY_TYPE
%GL_FOG_COORD_ARRAY_STRIDE                            = %GL_FOG_COORDINATE_ARRAY_STRIDE
%GL_FOG_COORD_ARRAY_POINTER                           = %GL_FOG_COORDINATE_ARRAY_POINTER
%GL_FOG_COORD_ARRAY                                   = %GL_FOG_COORDINATE_ARRAY
%GL_FOG_COORD_ARRAY_BUFFER_BINDING                    = %GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING
%GL_SRC0_RGB                                          = %GL_SOURCE0_RGB
%GL_SRC1_RGB                                          = %GL_SOURCE1_RGB
%GL_SRC2_RGB                                          = %GL_SOURCE2_RGB
%GL_SRC0_ALPHA                                        = %GL_SOURCE0_ALPHA
%GL_SRC1_ALPHA                                        = %GL_SOURCE1_ALPHA
%GL_SRC2_ALPHA                                        = %GL_SOURCE2_ALPHA
#ENDIF

#IF NOT %DEF(%GL_VERSION_2_0)
%GL_BLEND_EQUATION_RGB                                = &H8009???
%GL_VERTEX_ATTRIB_ARRAY_ENABLED                       = &H8622???
%GL_VERTEX_ATTRIB_ARRAY_SIZE                          = &H8623???
%GL_VERTEX_ATTRIB_ARRAY_STRIDE                        = &H8624???
%GL_VERTEX_ATTRIB_ARRAY_TYPE                          = &H8625???
%GL_CURRENT_VERTEX_ATTRIB                             = &H8626???
%GL_VERTEX_PROGRAM_POINT_SIZE                         = &H8642???
%GL_VERTEX_ATTRIB_ARRAY_POINTER                       = &H8645???
%GL_STENCIL_BACK_FUNC                                 = &H8800???
%GL_STENCIL_BACK_FAIL                                 = &H8801???
%GL_STENCIL_BACK_PASS_DEPTH_FAIL                      = &H8802???
%GL_STENCIL_BACK_PASS_DEPTH_PASS                      = &H8803???
%GL_MAX_DRAW_BUFFERS                                  = &H8824???
%GL_DRAW_BUFFER0                                      = &H8825???
%GL_DRAW_BUFFER1                                      = &H8826???
%GL_DRAW_BUFFER2                                      = &H8827???
%GL_DRAW_BUFFER3                                      = &H8828???
%GL_DRAW_BUFFER4                                      = &H8829???
%GL_DRAW_BUFFER5                                      = &H882A???
%GL_DRAW_BUFFER6                                      = &H882B???
%GL_DRAW_BUFFER7                                      = &H882C???
%GL_DRAW_BUFFER8                                      = &H882D???
%GL_DRAW_BUFFER9                                      = &H882E???
%GL_DRAW_BUFFER10                                     = &H882F???
%GL_DRAW_BUFFER11                                     = &H8830???
%GL_DRAW_BUFFER12                                     = &H8831???
%GL_DRAW_BUFFER13                                     = &H8832???
%GL_DRAW_BUFFER14                                     = &H8833???
%GL_DRAW_BUFFER15                                     = &H8834???
%GL_BLEND_EQUATION_ALPHA                              = &H883D???
%GL_MAX_VERTEX_ATTRIBS                                = &H8869???
%GL_VERTEX_ATTRIB_ARRAY_NORMALIZED                    = &H886A???
%GL_MAX_TEXTURE_IMAGE_UNITS                           = &H8872???
%GL_FRAGMENT_SHADER                                   = &H8B30???
%GL_VERTEX_SHADER                                     = &H8B31???
%GL_MAX_FRAGMENT_UNIFORM_COMPONENTS                   = &H8B49???
%GL_MAX_VERTEX_UNIFORM_COMPONENTS                     = &H8B4A???
%GL_MAX_VARYING_FLOATS                                = &H8B4B???
%GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS                    = &H8B4C???
%GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS                  = &H8B4D???
%GL_SHADER_TYPE                                       = &H8B4F???
%GL_FLOAT_VEC2                                        = &H8B50???
%GL_FLOAT_VEC3                                        = &H8B51???
%GL_FLOAT_VEC4                                        = &H8B52???
%GL_INT_VEC2                                          = &H8B53???
%GL_INT_VEC3                                          = &H8B54???
%GL_INT_VEC4                                          = &H8B55???
%GL_BOOL                                              = &H8B56???
%GL_BOOL_VEC2                                         = &H8B57???
%GL_BOOL_VEC3                                         = &H8B58???
%GL_BOOL_VEC4                                         = &H8B59???
%GL_FLOAT_MAT2                                        = &H8B5A???
%GL_FLOAT_MAT3                                        = &H8B5B???
%GL_FLOAT_MAT4                                        = &H8B5C???
%GL_SAMPLER_1D                                        = &H8B5D???
%GL_SAMPLER_2D                                        = &H8B5E???
%GL_SAMPLER_3D                                        = &H8B5F???
%GL_SAMPLER_CUBE                                      = &H8B60???
%GL_SAMPLER_1D_SHADOW                                 = &H8B61???
%GL_SAMPLER_2D_SHADOW                                 = &H8B62???
%GL_DELETE_STATUS                                     = &H8B80???
%GL_COMPILE_STATUS                                    = &H8B81???
%GL_LINK_STATUS                                       = &H8B82???
%GL_VALIDATE_STATUS                                   = &H8B83???
%GL_INFO_LOG_LENGTH                                   = &H8B84???
%GL_ATTACHED_SHADERS                                  = &H8B85???
%GL_ACTIVE_UNIFORMS                                   = &H8B86???
%GL_ACTIVE_UNIFORM_MAX_LENGTH                         = &H8B87???
%GL_SHADER_SOURCE_LENGTH                              = &H8B88???
%GL_ACTIVE_ATTRIBUTES                                 = &H8B89???
%GL_ACTIVE_ATTRIBUTE_MAX_LENGTH                       = &H8B8A???
%GL_FRAGMENT_SHADER_DERIVATIVE_HINT                   = &H8B8B???
%GL_SHADING_LANGUAGE_VERSION                          = &H8B8C???
%GL_CURRENT_PROGRAM                                   = &H8B8D???
%GL_POINT_SPRITE_COORD_ORIGIN                         = &H8CA0???
%GL_LOWER_LEFT                                        = &H8CA1???
%GL_UPPER_LEFT                                        = &H8CA2???
%GL_STENCIL_BACK_REF                                  = &H8CA3???
%GL_STENCIL_BACK_VALUE_MASK                           = &H8CA4???
%GL_STENCIL_BACK_WRITEMASK                            = &H8CA5???
#ENDIF

#IF NOT %DEF(%GL_VERSION_2_0_DEPRECATED)
%GL_VERTEX_PROGRAM_TWO_SIDE                           = &H8643???
%GL_POINT_SPRITE                                      = &H8861???
%GL_COORD_REPLACE                                     = &H8862???
%GL_MAX_TEXTURE_COORDS                                = &H8871???
#ENDIF

#IF NOT %DEF(%GL_VERSION_2_1)
%GL_PIXEL_PACK_BUFFER                                 = &H88EB???
%GL_PIXEL_UNPACK_BUFFER                               = &H88EC???
%GL_PIXEL_PACK_BUFFER_BINDING                         = &H88ED???
%GL_PIXEL_UNPACK_BUFFER_BINDING                       = &H88EF???
%GL_FLOAT_MAT2x3                                      = &H8B65???
%GL_FLOAT_MAT2x4                                      = &H8B66???
%GL_FLOAT_MAT3x2                                      = &H8B67???
%GL_FLOAT_MAT3x4                                      = &H8B68???
%GL_FLOAT_MAT4x2                                      = &H8B69???
%GL_FLOAT_MAT4x3                                      = &H8B6A???
%GL_SRGB                                              = &H8C40???
%GL_SRGB8                                             = &H8C41???
%GL_SRGB_ALPHA                                        = &H8C42???
%GL_SRGB8_ALPHA8                                      = &H8C43???
%GL_COMPRESSED_SRGB                                   = &H8C48???
%GL_COMPRESSED_SRGB_ALPHA                             = &H8C49???
#ENDIF

#IF NOT %DEF(%GL_VERSION_2_1_DEPRECATED)
%GL_CURRENT_RASTER_SECONDARY_COLOR                    = &H845F???
%GL_SLUMINANCE_ALPHA                                  = &H8C44???
%GL_SLUMINANCE8_ALPHA8                                = &H8C45???
%GL_SLUMINANCE                                        = &H8C46???
%GL_SLUMINANCE8                                       = &H8C47???
%GL_COMPRESSED_SLUMINANCE                             = &H8C4A???
%GL_COMPRESSED_SLUMINANCE_ALPHA                       = &H8C4B???
#ENDIF

#IF NOT %DEF(%GL_VERSION_3_0)
%GL_COMPARE_REF_TO_TEXTURE                            = &H884E???
%GL_CLIP_DISTANCE0                                    = &H3000???
%GL_CLIP_DISTANCE1                                    = &H3001???
%GL_CLIP_DISTANCE2                                    = &H3002???
%GL_CLIP_DISTANCE3                                    = &H3003???
%GL_CLIP_DISTANCE4                                    = &H3004???
%GL_CLIP_DISTANCE5                                    = &H3005???
%GL_CLIP_DISTANCE6                                    = &H3006???
%GL_CLIP_DISTANCE7                                    = &H3007???
%GL_MAX_CLIP_DISTANCES                                = &H0D32???
%GL_MAJOR_VERSION                                     = &H821B???
%GL_MINOR_VERSION                                     = &H821C???
%GL_NUM_EXTENSIONS                                    = &H821D???
%GL_CONTEXT_FLAGS                                     = &H821E???
%GL_DEPTH_BUFFER                                      = &H8223???   ' Removed in versio 76 - 5 March 2012
%GL_STENCIL_BUFFER                                    = &H8224???   ' Removed in versio 76 - 5 March 2012
%GL_COMPRESSED_RED                                    = &H8225???
%GL_COMPRESSED_RG                                     = &H8226???
%GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT               = &H0001???
%GL_RGBA32F                                           = &H8814???
%GL_RGB32F                                            = &H8815???
%GL_RGBA16F                                           = &H881A???
%GL_RGB16F                                            = &H881B???
%GL_VERTEX_ATTRIB_ARRAY_INTEGER                       = &H88FD???
%GL_MAX_ARRAY_TEXTURE_LAYERS                          = &H88FF???
%GL_MIN_PROGRAM_TEXEL_OFFSET                          = &H8904???
%GL_MAX_PROGRAM_TEXEL_OFFSET                          = &H8905???
%GL_CLAMP_READ_COLOR                                  = &H891C???
%GL_FIXED_ONLY                                        = &H891D???
%GL_MAX_VARYING_COMPONENTS                            = &H8B4B???
%GL_TEXTURE_1D_ARRAY                                  = &H8C18???
%GL_PROXY_TEXTURE_1D_ARRAY                            = &H8C19???
%GL_TEXTURE_2D_ARRAY                                  = &H8C1A???
%GL_PROXY_TEXTURE_2D_ARRAY                            = &H8C1B???
%GL_TEXTURE_BINDING_1D_ARRAY                          = &H8C1C???
%GL_TEXTURE_BINDING_2D_ARRAY                          = &H8C1D???
%GL_R11F_G11F_B10F                                    = &H8C3A???
%GL_UNSIGNED_INT_10F_11F_11F_REV                      = &H8C3B???
%GL_RGB9_E5                                           = &H8C3D???
%GL_UNSIGNED_INT_5_9_9_9_REV                          = &H8C3E???
%GL_TEXTURE_SHARED_SIZE                               = &H8C3F???
%GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH             = &H8C76???
%GL_TRANSFORM_FEEDBACK_BUFFER_MODE                    = &H8C7F???
%GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS        = &H8C80???
%GL_TRANSFORM_FEEDBACK_VARYINGS                       = &H8C83???
%GL_TRANSFORM_FEEDBACK_BUFFER_START                   = &H8C84???
%GL_TRANSFORM_FEEDBACK_BUFFER_SIZE                    = &H8C85???
%GL_PRIMITIVES_GENERATED                              = &H8C87???
%GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN             = &H8C88???
%GL_RASTERIZER_DISCARD                                = &H8C89???
%GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS     = &H8C8A???
%GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS           = &H8C8B???
%GL_INTERLEAVED_ATTRIBS                               = &H8C8C???
%GL_SEPARATE_ATTRIBS                                  = &H8C8D???
%GL_TRANSFORM_FEEDBACK_BUFFER                         = &H8C8E???
%GL_TRANSFORM_FEEDBACK_BUFFER_BINDING                 = &H8C8F???
%GL_RGBA32UI                                          = &H8D70???
%GL_RGB32UI                                           = &H8D71???
%GL_RGBA16UI                                          = &H8D76???
%GL_RGB16UI                                           = &H8D77???
%GL_RGBA8UI                                           = &H8D7C???
%GL_RGB8UI                                            = &H8D7D???
%GL_RGBA32I                                           = &H8D82???
%GL_RGB32I                                            = &H8D83???
%GL_RGBA16I                                           = &H8D88???
%GL_RGB16I                                            = &H8D89???
%GL_RGBA8I                                            = &H8D8E???
%GL_RGB8I                                             = &H8D8F???
%GL_RED_INTEGER                                       = &H8D94???
%GL_GREEN_INTEGER                                     = &H8D95???
%GL_BLUE_INTEGER                                      = &H8D96???
%GL_RGB_INTEGER                                       = &H8D98???
%GL_RGBA_INTEGER                                      = &H8D99???
%GL_BGR_INTEGER                                       = &H8D9A???
%GL_BGRA_INTEGER                                      = &H8D9B???
%GL_SAMPLER_1D_ARRAY                                  = &H8DC0???
%GL_SAMPLER_2D_ARRAY                                  = &H8DC1???
%GL_SAMPLER_1D_ARRAY_SHADOW                           = &H8DC3???
%GL_SAMPLER_2D_ARRAY_SHADOW                           = &H8DC4???
%GL_SAMPLER_CUBE_SHADOW                               = &H8DC5???
%GL_UNSIGNED_INT_VEC2                                 = &H8DC6???
%GL_UNSIGNED_INT_VEC3                                 = &H8DC7???
%GL_UNSIGNED_INT_VEC4                                 = &H8DC8???
%GL_INT_SAMPLER_1D                                    = &H8DC9???
%GL_INT_SAMPLER_2D                                    = &H8DCA???
%GL_INT_SAMPLER_3D                                    = &H8DCB???
%GL_INT_SAMPLER_CUBE                                  = &H8DCC???
%GL_INT_SAMPLER_1D_ARRAY                              = &H8DCE???
%GL_INT_SAMPLER_2D_ARRAY                              = &H8DCF???
%GL_UNSIGNED_INT_SAMPLER_1D                           = &H8DD1???
%GL_UNSIGNED_INT_SAMPLER_2D                           = &H8DD2???
%GL_UNSIGNED_INT_SAMPLER_3D                           = &H8DD3???
%GL_UNSIGNED_INT_SAMPLER_CUBE                         = &H8DD4???
%GL_UNSIGNED_INT_SAMPLER_1D_ARRAY                     = &H8DD6???
%GL_UNSIGNED_INT_SAMPLER_2D_ARRAY                     = &H8DD7???
%GL_QUERY_WAIT                                        = &H8E13???
%GL_QUERY_NO_WAIT                                     = &H8E14???
%GL_QUERY_BY_REGION_WAIT                              = &H8E15???
%GL_QUERY_BY_REGION_NO_WAIT                           = &H8E16???
%GL_BUFFER_ACCESS_FLAGS                               = &H911F???
%GL_BUFFER_MAP_LENGTH                                 = &H9120???
%GL_BUFFER_MAP_OFFSET                                 = &H9121???
#ENDIF

#IF NOT %DEF(%GL_VERSION_3_0_DEPRECATED)
%GL_CLAMP_VERTEX_COLOR                                = &H891A???
%GL_CLAMP_FRAGMENT_COLOR                              = &H891B???
%GL_ALPHA_INTEGER                                     = &H8D97???
#ENDIF

#IF NOT %DEF(%GL_VERSION_3_1)
%GL_SAMPLER_2D_RECT                                   = &H8B63???
%GL_SAMPLER_2D_RECT_SHADOW                            = &H8B64???
%GL_SAMPLER_BUFFER                                    = &H8DC2???
%GL_INT_SAMPLER_2D_RECT                               = &H8DCD???
%GL_INT_SAMPLER_BUFFER                                = &H8DD0???
%GL_UNSIGNED_INT_SAMPLER_2D_RECT                      = &H8DD5???
%GL_UNSIGNED_INT_SAMPLER_BUFFER                       = &H8DD8???
%GL_TEXTURE_BUFFER                                    = &H8C2A???
%GL_MAX_TEXTURE_BUFFER_SIZE                           = &H8C2B???
%GL_TEXTURE_BINDING_BUFFER                            = &H8C2C???
%GL_TEXTURE_BUFFER_DATA_STORE_BINDING                 = &H8C2D???
%GL_TEXTURE_BUFFER_FORMAT                             = &H8C2E???
%GL_TEXTURE_RECTANGLE                                 = &H84F5???
%GL_TEXTURE_BINDING_RECTANGLE                         = &H84F6???
%GL_PROXY_TEXTURE_RECTANGLE                           = &H84F7???
%GL_MAX_RECTANGLE_TEXTURE_SIZE                        = &H84F8???
%GL_RED_SNORM                                         = &H8F90???
%GL_RG_SNORM                                          = &H8F91???
%GL_RGB_SNORM                                         = &H8F92???
%GL_RGBA_SNORM                                        = &H8F93???
%GL_R8_SNORM                                          = &H8F94???
%GL_RG8_SNORM                                         = &H8F95???
%GL_RGB8_SNORM                                        = &H8F96???
%GL_RGBA8_SNORM                                       = &H8F97???
%GL_R16_SNORM                                         = &H8F98???
%GL_RG16_SNORM                                        = &H8F99???
%GL_RGB16_SNORM                                       = &H8F9A???
%GL_RGBA16_SNORM                                      = &H8F9B???
%GL_SIGNED_NORMALIZED                                 = &H8F9C???
%GL_PRIMITIVE_RESTART                                 = &H8F9D???
%GL_PRIMITIVE_RESTART_INDEX                           = &H8F9E???
#ENDIF

#IF NOT %DEF(%GL_VERSION_3_2)
%GL_CONTEXT_CORE_PROFILE_BIT                          = &H00000001???
%GL_CONTEXT_COMPATIBILITY_PROFILE_BIT                 = &H00000002???
%GL_LINES_ADJACENCY                                   = &H000A???
%GL_LINE_STRIP_ADJACENCY                              = &H000B???
%GL_TRIANGLES_ADJACENCY                               = &H000C???
%GL_TRIANGLE_STRIP_ADJACENCY                          = &H000D???
%GL_PROGRAM_POINT_SIZE                                = &H8642???
%GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS                  = &H8C29???
%GL_FRAMEBUFFER_ATTACHMENT_LAYERED                    = &H8DA7???
%GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS              = &H8DA8???
%GL_GEOMETRY_SHADER                                   = &H8DD9???
%GL_GEOMETRY_VERTICES_OUT                             = &H8916???
%GL_GEOMETRY_INPUT_TYPE                               = &H8917???
%GL_GEOMETRY_OUTPUT_TYPE                              = &H8918???
%GL_MAX_GEOMETRY_UNIFORM_COMPONENTS                   = &H8DDF???
%GL_MAX_GEOMETRY_OUTPUT_VERTICES                      = &H8DE0???
%GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS              = &H8DE1???
%GL_MAX_VERTEX_OUTPUT_COMPONENTS                      = &H9122???
%GL_MAX_GEOMETRY_INPUT_COMPONENTS                     = &H9123???
%GL_MAX_GEOMETRY_OUTPUT_COMPONENTS                    = &H9124???
%GL_MAX_FRAGMENT_INPUT_COMPONENTS                     = &H9125???
%GL_CONTEXT_PROFILE_MASK                              = &H9126???
#ENDIF

#IF NOT %DEF(%GL_VERSION_3_3)
%GL_VERTEX_ATTRIB_ARRAY_DIVISOR    = &H88FE???
#ENDIF

#IF NOT %DEF(%GL_VERSION_4_0)
%GL_SAMPLE_SHADING                      = &H8C36???
%GL_MIN_SAMPLE_SHADING_VALUE            = &H8C37???
%GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET   = &H8E5E???
%GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET   = &H8E5F???
%GL_TEXTURE_CUBE_MAP_ARRAY              = &H9009???
%GL_TEXTURE_BINDING_CUBE_MAP_ARRAY      = &H900A???
%GL_PROXY_TEXTURE_CUBE_MAP_ARRAY        = &H900B???
%GL_SAMPLER_CUBE_MAP_ARRAY              = &H900C???
%GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW       = &H900D???
%GL_INT_SAMPLER_CUBE_MAP_ARRAY          = &H900E???
%GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY = &H900F???
#ENDIF

#IF NOT %DEF(%GL_ARB_multitexture)
%GL_TEXTURE0_ARB                                      = &H84C0???
%GL_TEXTURE1_ARB                                      = &H84C1???
%GL_TEXTURE2_ARB                                      = &H84C2???
%GL_TEXTURE3_ARB                                      = &H84C3???
%GL_TEXTURE4_ARB                                      = &H84C4???
%GL_TEXTURE5_ARB                                      = &H84C5???
%GL_TEXTURE6_ARB                                      = &H84C6???
%GL_TEXTURE7_ARB                                      = &H84C7???
%GL_TEXTURE8_ARB                                      = &H84C8???
%GL_TEXTURE9_ARB                                      = &H84C9???
%GL_TEXTURE10_ARB                                     = &H84CA???
%GL_TEXTURE11_ARB                                     = &H84CB???
%GL_TEXTURE12_ARB                                     = &H84CC???
%GL_TEXTURE13_ARB                                     = &H84CD???
%GL_TEXTURE14_ARB                                     = &H84CE???
%GL_TEXTURE15_ARB                                     = &H84CF???
%GL_TEXTURE16_ARB                                     = &H84D0???
%GL_TEXTURE17_ARB                                     = &H84D1???
%GL_TEXTURE18_ARB                                     = &H84D2???
%GL_TEXTURE19_ARB                                     = &H84D3???
%GL_TEXTURE20_ARB                                     = &H84D4???
%GL_TEXTURE21_ARB                                     = &H84D5???
%GL_TEXTURE22_ARB                                     = &H84D6???
%GL_TEXTURE23_ARB                                     = &H84D7???
%GL_TEXTURE24_ARB                                     = &H84D8???
%GL_TEXTURE25_ARB                                     = &H84D9???
%GL_TEXTURE26_ARB                                     = &H84DA???
%GL_TEXTURE27_ARB                                     = &H84DB???
%GL_TEXTURE28_ARB                                     = &H84DC???
%GL_TEXTURE29_ARB                                     = &H84DD???
%GL_TEXTURE30_ARB                                     = &H84DE???
%GL_TEXTURE31_ARB                                     = &H84DF???
%GL_ACTIVE_TEXTURE_ARB                                = &H84E0???
%GL_CLIENT_ACTIVE_TEXTURE_ARB                         = &H84E1???
%GL_MAX_TEXTURE_UNITS_ARB                             = &H84E2???
#ENDIF

#IF NOT %DEF(%GL_ARB_transpose_matrix)
%GL_TRANSPOSE_MODELVIEW_MATRIX_ARB                    = &H84E3???
%GL_TRANSPOSE_PROJECTION_MATRIX_ARB                   = &H84E4???
%GL_TRANSPOSE_TEXTURE_MATRIX_ARB                      = &H84E5???
%GL_TRANSPOSE_COLOR_MATRIX_ARB                        = &H84E6???
#ENDIF

#IF NOT %DEF(%GL_ARB_multisample)
%GL_MULTISAMPLE_ARB                                   = &H809D???
%GL_SAMPLE_ALPHA_TO_COVERAGE_ARB                      = &H809E???
%GL_SAMPLE_ALPHA_TO_ONE_ARB                           = &H809F???
%GL_SAMPLE_COVERAGE_ARB                               = &H80A0???
%GL_SAMPLE_BUFFERS_ARB                                = &H80A8???
%GL_SAMPLES_ARB                                       = &H80A9???
%GL_SAMPLE_COVERAGE_VALUE_ARB                         = &H80AA???
%GL_SAMPLE_COVERAGE_INVERT_ARB                        = &H80AB???
%GL_MULTISAMPLE_BIT_ARB                               = &H20000000???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_env_add)
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_cube_map)
%GL_NORMAL_MAP_ARB                                    = &H8511???
%GL_REFLECTION_MAP_ARB                                = &H8512???
%GL_TEXTURE_CUBE_MAP_ARB                              = &H8513???
%GL_TEXTURE_BINDING_CUBE_MAP_ARB                      = &H8514???
%GL_TEXTURE_CUBE_MAP_POSITIVE_X_ARB                   = &H8515???
%GL_TEXTURE_CUBE_MAP_NEGATIVE_X_ARB                   = &H8516???
%GL_TEXTURE_CUBE_MAP_POSITIVE_Y_ARB                   = &H8517???
%GL_TEXTURE_CUBE_MAP_NEGATIVE_Y_ARB                   = &H8518???
%GL_TEXTURE_CUBE_MAP_POSITIVE_Z_ARB                   = &H8519???
%GL_TEXTURE_CUBE_MAP_NEGATIVE_Z_ARB                   = &H851A???
%GL_PROXY_TEXTURE_CUBE_MAP_ARB                        = &H851B???
%GL_MAX_CUBE_MAP_TEXTURE_SIZE_ARB                     = &H851C???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_compression)
%GL_COMPRESSED_ALPHA_ARB                              = &H84E9???
%GL_COMPRESSED_LUMINANCE_ARB                          = &H84EA???
%GL_COMPRESSED_LUMINANCE_ALPHA_ARB                    = &H84EB???
%GL_COMPRESSED_INTENSITY_ARB                          = &H84EC???
%GL_COMPRESSED_RGB_ARB                                = &H84ED???
%GL_COMPRESSED_RGBA_ARB                               = &H84EE???
%GL_TEXTURE_COMPRESSION_HINT_ARB                      = &H84EF???
%GL_TEXTURE_COMPRESSED_IMAGE_SIZE_ARB                 = &H86A0???
%GL_TEXTURE_COMPRESSED_ARB                            = &H86A1???
%GL_NUM_COMPRESSED_TEXTURE_FORMATS_ARB                = &H86A2???
%GL_COMPRESSED_TEXTURE_FORMATS_ARB                    = &H86A3???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_border_clamp)
%GL_CLAMP_TO_BORDER_ARB                               = &H812D???
#ENDIF

#IF NOT %DEF(%GL_ARB_point_parameters)
%GL_POINT_SIZE_MIN_ARB                                = &H8126???
%GL_POINT_SIZE_MAX_ARB                                = &H8127???
%GL_POINT_FADE_THRESHOLD_SIZE_ARB                     = &H8128???
%GL_POINT_DISTANCE_ATTENUATION_ARB                    = &H8129???
#ENDIF

#IF NOT %DEF(%GL_ARB_vertex_blend)
%GL_MAX_VERTEX_UNITS_ARB                              = &H86A4???
%GL_ACTIVE_VERTEX_UNITS_ARB                           = &H86A5???
%GL_WEIGHT_SUM_UNITY_ARB                              = &H86A6???
%GL_VERTEX_BLEND_ARB                                  = &H86A7???
%GL_CURRENT_WEIGHT_ARB                                = &H86A8???
%GL_WEIGHT_ARRAY_TYPE_ARB                             = &H86A9???
%GL_WEIGHT_ARRAY_STRIDE_ARB                           = &H86AA???
%GL_WEIGHT_ARRAY_SIZE_ARB                             = &H86AB???
%GL_WEIGHT_ARRAY_POINTER_ARB                          = &H86AC???
%GL_WEIGHT_ARRAY_ARB                                  = &H86AD???
%GL_MODELVIEW0_ARB                                    = &H1700???
%GL_MODELVIEW1_ARB                                    = &H850A???
%GL_MODELVIEW2_ARB                                    = &H8722???
%GL_MODELVIEW3_ARB                                    = &H8723???
%GL_MODELVIEW4_ARB                                    = &H8724???
%GL_MODELVIEW5_ARB                                    = &H8725???
%GL_MODELVIEW6_ARB                                    = &H8726???
%GL_MODELVIEW7_ARB                                    = &H8727???
%GL_MODELVIEW8_ARB                                    = &H8728???
%GL_MODELVIEW9_ARB                                    = &H8729???
%GL_MODELVIEW10_ARB                                   = &H872A???
%GL_MODELVIEW11_ARB                                   = &H872B???
%GL_MODELVIEW12_ARB                                   = &H872C???
%GL_MODELVIEW13_ARB                                   = &H872D???
%GL_MODELVIEW14_ARB                                   = &H872E???
%GL_MODELVIEW15_ARB                                   = &H872F???
%GL_MODELVIEW16_ARB                                   = &H8730???
%GL_MODELVIEW17_ARB                                   = &H8731???
%GL_MODELVIEW18_ARB                                   = &H8732???
%GL_MODELVIEW19_ARB                                   = &H8733???
%GL_MODELVIEW20_ARB                                   = &H8734???
%GL_MODELVIEW21_ARB                                   = &H8735???
%GL_MODELVIEW22_ARB                                   = &H8736???
%GL_MODELVIEW23_ARB                                   = &H8737???
%GL_MODELVIEW24_ARB                                   = &H8738???
%GL_MODELVIEW25_ARB                                   = &H8739???
%GL_MODELVIEW26_ARB                                   = &H873A???
%GL_MODELVIEW27_ARB                                   = &H873B???
%GL_MODELVIEW28_ARB                                   = &H873C???
%GL_MODELVIEW29_ARB                                   = &H873D???
%GL_MODELVIEW30_ARB                                   = &H873E???
%GL_MODELVIEW31_ARB                                   = &H873F???
#ENDIF

#IF NOT %DEF(%GL_ARB_matrix_palette)
%GL_MATRIX_PALETTE_ARB                                = &H8840???
%GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB                = &H8841???
%GL_MAX_PALETTE_MATRICES_ARB                          = &H8842???
%GL_CURRENT_PALETTE_MATRIX_ARB                        = &H8843???
%GL_MATRIX_INDEX_ARRAY_ARB                            = &H8844???
%GL_CURRENT_MATRIX_INDEX_ARB                          = &H8845???
%GL_MATRIX_INDEX_ARRAY_SIZE_ARB                       = &H8846???
%GL_MATRIX_INDEX_ARRAY_TYPE_ARB                       = &H8847???
%GL_MATRIX_INDEX_ARRAY_STRIDE_ARB                     = &H8848???
%GL_MATRIX_INDEX_ARRAY_POINTER_ARB                    = &H8849???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_env_combine)
%GL_COMBINE_ARB                                       = &H8570???
%GL_COMBINE_RGB_ARB                                   = &H8571???
%GL_COMBINE_ALPHA_ARB                                 = &H8572???
%GL_SOURCE0_RGB_ARB                                   = &H8580???
%GL_SOURCE1_RGB_ARB                                   = &H8581???
%GL_SOURCE2_RGB_ARB                                   = &H8582???
%GL_SOURCE0_ALPHA_ARB                                 = &H8588???
%GL_SOURCE1_ALPHA_ARB                                 = &H8589???
%GL_SOURCE2_ALPHA_ARB                                 = &H858A???
%GL_OPERAND0_RGB_ARB                                  = &H8590???
%GL_OPERAND1_RGB_ARB                                  = &H8591???
%GL_OPERAND2_RGB_ARB                                  = &H8592???
%GL_OPERAND0_ALPHA_ARB                                = &H8598???
%GL_OPERAND1_ALPHA_ARB                                = &H8599???
%GL_OPERAND2_ALPHA_ARB                                = &H859A???
%GL_RGB_SCALE_ARB                                     = &H8573???
%GL_ADD_SIGNED_ARB                                    = &H8574???
%GL_INTERPOLATE_ARB                                   = &H8575???
%GL_SUBTRACT_ARB                                      = &H84E7???
%GL_CONSTANT_ARB                                      = &H8576???
%GL_PRIMARY_COLOR_ARB                                 = &H8577???
%GL_PREVIOUS_ARB                                      = &H8578???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_env_dot3)
%GL_DOT3_RGB_ARB                                      = &H86AE???
%GL_DOT3_RGBA_ARB                                     = &H86AF???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_mirrored_repeat)
%GL_MIRRORED_REPEAT_ARB                               = &H8370???
#ENDIF

#IF NOT %DEF(%GL_ARB_depth_texture)
%GL_DEPTH_COMPONENT16_ARB                             = &H81A5???
%GL_DEPTH_COMPONENT24_ARB                             = &H81A6???
%GL_DEPTH_COMPONENT32_ARB                             = &H81A7???
%GL_TEXTURE_DEPTH_SIZE_ARB                            = &H884A???
%GL_DEPTH_TEXTURE_MODE_ARB                            = &H884B???
#ENDIF

#IF NOT %DEF(%GL_ARB_shadow)
%GL_TEXTURE_COMPARE_MODE_ARB                          = &H884C???
%GL_TEXTURE_COMPARE_FUNC_ARB                          = &H884D???
%GL_COMPARE_R_TO_TEXTURE_ARB                          = &H884E???
#ENDIF

#IF NOT %DEF(%GL_ARB_shadow_ambient)
%GL_TEXTURE_COMPARE_FAIL_VALUE_ARB                    = &H80BF???
#ENDIF

#IF NOT %DEF(%GL_ARB_window_pos)
#ENDIF

#IF NOT %DEF(%GL_ARB_vertex_program)
%GL_COLOR_SUM_ARB                                     = &H8458???
%GL_VERTEX_PROGRAM_ARB                                = &H8620???
%GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB                   = &H8622???
%GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB                      = &H8623???
%GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB                    = &H8624???
%GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB                      = &H8625???
%GL_CURRENT_VERTEX_ATTRIB_ARB                         = &H8626???
%GL_PROGRAM_LENGTH_ARB                                = &H8627???
%GL_PROGRAM_STRING_ARB                                = &H8628???
%GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB                = &H862E???
%GL_MAX_PROGRAM_MATRICES_ARB                          = &H862F???
%GL_CURRENT_MATRIX_STACK_DEPTH_ARB                    = &H8640???
%GL_CURRENT_MATRIX_ARB                                = &H8641???
%GL_VERTEX_PROGRAM_POINT_SIZE_ARB                     = &H8642???
%GL_VERTEX_PROGRAM_TWO_SIDE_ARB                       = &H8643???
%GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB                   = &H8645???
%GL_PROGRAM_ERROR_POSITION_ARB                        = &H864B???
%GL_PROGRAM_BINDING_ARB                               = &H8677???
%GL_MAX_VERTEX_ATTRIBS_ARB                            = &H8869???
%GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB                = &H886A???
%GL_PROGRAM_ERROR_STRING_ARB                          = &H8874???
%GL_PROGRAM_FORMAT_ASCII_ARB                          = &H8875???
%GL_PROGRAM_FORMAT_ARB                                = &H8876???
%GL_PROGRAM_INSTRUCTIONS_ARB                          = &H88A0???
%GL_MAX_PROGRAM_INSTRUCTIONS_ARB                      = &H88A1???
%GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB                   = &H88A2???
%GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB               = &H88A3???
%GL_PROGRAM_TEMPORARIES_ARB                           = &H88A4???
%GL_MAX_PROGRAM_TEMPORARIES_ARB                       = &H88A5???
%GL_PROGRAM_NATIVE_TEMPORARIES_ARB                    = &H88A6???
%GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB                = &H88A7???
%GL_PROGRAM_PARAMETERS_ARB                            = &H88A8???
%GL_MAX_PROGRAM_PARAMETERS_ARB                        = &H88A9???
%GL_PROGRAM_NATIVE_PARAMETERS_ARB                     = &H88AA???
%GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB                 = &H88AB???
%GL_PROGRAM_ATTRIBS_ARB                               = &H88AC???
%GL_MAX_PROGRAM_ATTRIBS_ARB                           = &H88AD???
%GL_PROGRAM_NATIVE_ATTRIBS_ARB                        = &H88AE???
%GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB                    = &H88AF???
%GL_PROGRAM_ADDRESS_REGISTERS_ARB                     = &H88B0???
%GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB                 = &H88B1???
%GL_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB              = &H88B2???
%GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB          = &H88B3???
%GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB                  = &H88B4???
%GL_MAX_PROGRAM_ENV_PARAMETERS_ARB                    = &H88B5???
%GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB                   = &H88B6???
%GL_TRANSPOSE_CURRENT_MATRIX_ARB                      = &H88B7???
%GL_MATRIX0_ARB                                       = &H88C0???
%GL_MATRIX1_ARB                                       = &H88C1???
%GL_MATRIX2_ARB                                       = &H88C2???
%GL_MATRIX3_ARB                                       = &H88C3???
%GL_MATRIX4_ARB                                       = &H88C4???
%GL_MATRIX5_ARB                                       = &H88C5???
%GL_MATRIX6_ARB                                       = &H88C6???
%GL_MATRIX7_ARB                                       = &H88C7???
%GL_MATRIX8_ARB                                       = &H88C8???
%GL_MATRIX9_ARB                                       = &H88C9???
%GL_MATRIX10_ARB                                      = &H88CA???
%GL_MATRIX11_ARB                                      = &H88CB???
%GL_MATRIX12_ARB                                      = &H88CC???
%GL_MATRIX13_ARB                                      = &H88CD???
%GL_MATRIX14_ARB                                      = &H88CE???
%GL_MATRIX15_ARB                                      = &H88CF???
%GL_MATRIX16_ARB                                      = &H88D0???
%GL_MATRIX17_ARB                                      = &H88D1???
%GL_MATRIX18_ARB                                      = &H88D2???
%GL_MATRIX19_ARB                                      = &H88D3???
%GL_MATRIX20_ARB                                      = &H88D4???
%GL_MATRIX21_ARB                                      = &H88D5???
%GL_MATRIX22_ARB                                      = &H88D6???
%GL_MATRIX23_ARB                                      = &H88D7???
%GL_MATRIX24_ARB                                      = &H88D8???
%GL_MATRIX25_ARB                                      = &H88D9???
%GL_MATRIX26_ARB                                      = &H88DA???
%GL_MATRIX27_ARB                                      = &H88DB???
%GL_MATRIX28_ARB                                      = &H88DC???
%GL_MATRIX29_ARB                                      = &H88DD???
%GL_MATRIX30_ARB                                      = &H88DE???
%GL_MATRIX31_ARB                                      = &H88DF???
#ENDIF

#IF NOT %DEF(%GL_ARB_fragment_program)
%GL_FRAGMENT_PROGRAM_ARB                              = &H8804???
%GL_PROGRAM_ALU_INSTRUCTIONS_ARB                      = &H8805???
%GL_PROGRAM_TEX_INSTRUCTIONS_ARB                      = &H8806???
%GL_PROGRAM_TEX_INDIRECTIONS_ARB                      = &H8807???
%GL_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB               = &H8808???
%GL_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB               = &H8809???
%GL_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB               = &H880A???
%GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB                  = &H880B???
%GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB                  = &H880C???
%GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB                  = &H880D???
%GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB           = &H880E???
%GL_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB           = &H880F???
%GL_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB           = &H8810???
%GL_MAX_TEXTURE_COORDS_ARB                            = &H8871???
%GL_MAX_TEXTURE_IMAGE_UNITS_ARB                       = &H8872???
#ENDIF

#IF NOT %DEF(%GL_ARB_vertex_buffer_object)
%GL_BUFFER_SIZE_ARB                                   = &H8764???
%GL_BUFFER_USAGE_ARB                                  = &H8765???
%GL_ARRAY_BUFFER_ARB                                  = &H8892???
%GL_ELEMENT_ARRAY_BUFFER_ARB                          = &H8893???
%GL_ARRAY_BUFFER_BINDING_ARB                          = &H8894???
%GL_ELEMENT_ARRAY_BUFFER_BINDING_ARB                  = &H8895???
%GL_VERTEX_ARRAY_BUFFER_BINDING_ARB                   = &H8896???
%GL_NORMAL_ARRAY_BUFFER_BINDING_ARB                   = &H8897???
%GL_COLOR_ARRAY_BUFFER_BINDING_ARB                    = &H8898???
%GL_INDEX_ARRAY_BUFFER_BINDING_ARB                    = &H8899???
%GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING_ARB            = &H889A???
%GL_EDGE_FLAG_ARRAY_BUFFER_BINDING_ARB                = &H889B???
%GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING_ARB          = &H889C???
%GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB           = &H889D???
%GL_WEIGHT_ARRAY_BUFFER_BINDING_ARB                   = &H889E???
%GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING_ARB            = &H889F???
%GL_READ_ONLY_ARB                                     = &H88B8???
%GL_WRITE_ONLY_ARB                                    = &H88B9???
%GL_READ_WRITE_ARB                                    = &H88BA???
%GL_BUFFER_ACCESS_ARB                                 = &H88BB???
%GL_BUFFER_MAPPED_ARB                                 = &H88BC???
%GL_BUFFER_MAP_POINTER_ARB                            = &H88BD???
%GL_STREAM_DRAW_ARB                                   = &H88E0???
%GL_STREAM_READ_ARB                                   = &H88E1???
%GL_STREAM_COPY_ARB                                   = &H88E2???
%GL_STATIC_DRAW_ARB                                   = &H88E4???
%GL_STATIC_READ_ARB                                   = &H88E5???
%GL_STATIC_COPY_ARB                                   = &H88E6???
%GL_DYNAMIC_DRAW_ARB                                  = &H88E8???
%GL_DYNAMIC_READ_ARB                                  = &H88E9???
%GL_DYNAMIC_COPY_ARB                                  = &H88EA???
#ENDIF

#IF NOT %DEF(%GL_ARB_occlusion_query)
%GL_QUERY_COUNTER_BITS_ARB                            = &H8864???
%GL_CURRENT_QUERY_ARB                                 = &H8865???
%GL_QUERY_RESULT_ARB                                  = &H8866???
%GL_QUERY_RESULT_AVAILABLE_ARB                        = &H8867???
%GL_SAMPLES_PASSED_ARB                                = &H8914???
#ENDIF

#IF NOT %DEF(%GL_ARB_shader_objects)
%GL_PROGRAM_OBJECT_ARB                                = &H8B40???
%GL_SHADER_OBJECT_ARB                                 = &H8B48???
%GL_OBJECT_TYPE_ARB                                   = &H8B4E???
%GL_OBJECT_SUBTYPE_ARB                                = &H8B4F???
%GL_FLOAT_VEC2_ARB                                    = &H8B50???
%GL_FLOAT_VEC3_ARB                                    = &H8B51???
%GL_FLOAT_VEC4_ARB                                    = &H8B52???
%GL_INT_VEC2_ARB                                      = &H8B53???
%GL_INT_VEC3_ARB                                      = &H8B54???
%GL_INT_VEC4_ARB                                      = &H8B55???
%GL_BOOL_ARB                                          = &H8B56???
%GL_BOOL_VEC2_ARB                                     = &H8B57???
%GL_BOOL_VEC3_ARB                                     = &H8B58???
%GL_BOOL_VEC4_ARB                                     = &H8B59???
%GL_FLOAT_MAT2_ARB                                    = &H8B5A???
%GL_FLOAT_MAT3_ARB                                    = &H8B5B???
%GL_FLOAT_MAT4_ARB                                    = &H8B5C???
%GL_SAMPLER_1D_ARB                                    = &H8B5D???
%GL_SAMPLER_2D_ARB                                    = &H8B5E???
%GL_SAMPLER_3D_ARB                                    = &H8B5F???
%GL_SAMPLER_CUBE_ARB                                  = &H8B60???
%GL_SAMPLER_1D_SHADOW_ARB                             = &H8B61???
%GL_SAMPLER_2D_SHADOW_ARB                             = &H8B62???
%GL_SAMPLER_2D_RECT_ARB                               = &H8B63???
%GL_SAMPLER_2D_RECT_SHADOW_ARB                        = &H8B64???
%GL_OBJECT_DELETE_STATUS_ARB                          = &H8B80???
%GL_OBJECT_COMPILE_STATUS_ARB                         = &H8B81???
%GL_OBJECT_LINK_STATUS_ARB                            = &H8B82???
%GL_OBJECT_VALIDATE_STATUS_ARB                        = &H8B83???
%GL_OBJECT_INFO_LOG_LENGTH_ARB                        = &H8B84???
%GL_OBJECT_ATTACHED_OBJECTS_ARB                       = &H8B85???
%GL_OBJECT_ACTIVE_UNIFORMS_ARB                        = &H8B86???
%GL_OBJECT_ACTIVE_UNIFORM_MAX_LENGTH_ARB              = &H8B87???
%GL_OBJECT_SHADER_SOURCE_LENGTH_ARB                   = &H8B88???
#ENDIF

#IF NOT %DEF(%GL_ARB_vertex_shader)
%GL_VERTEX_SHADER_ARB                                 = &H8B31???
%GL_MAX_VERTEX_UNIFORM_COMPONENTS_ARB                 = &H8B4A???
%GL_MAX_VARYING_FLOATS_ARB                            = &H8B4B???
%GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB                = &H8B4C???
%GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS_ARB              = &H8B4D???
%GL_OBJECT_ACTIVE_ATTRIBUTES_ARB                      = &H8B89???
%GL_OBJECT_ACTIVE_ATTRIBUTE_MAX_LENGTH_ARB            = &H8B8A???
#ENDIF

#IF NOT %DEF(%GL_ARB_fragment_shader)
%GL_FRAGMENT_SHADER_ARB                               = &H8B30???
%GL_MAX_FRAGMENT_UNIFORM_COMPONENTS_ARB               = &H8B49???
%GL_FRAGMENT_SHADER_DERIVATIVE_HINT_ARB               = &H8B8B???
#ENDIF

#IF NOT %DEF(%GL_ARB_shading_language_100)
%GL_SHADING_LANGUAGE_VERSION_ARB                      = &H8B8C???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_non_power_of_two)
#ENDIF

#IF NOT %DEF(%GL_ARB_point_sprite)
%GL_POINT_SPRITE_ARB                                  = &H8861???
%GL_COORD_REPLACE_ARB                                 = &H8862???
#ENDIF

#IF NOT %DEF(%GL_ARB_fragment_program_shadow)
#ENDIF

#IF NOT %DEF(%GL_ARB_draw_buffers)
%GL_MAX_DRAW_BUFFERS_ARB                              = &H8824???
%GL_DRAW_BUFFER0_ARB                                  = &H8825???
%GL_DRAW_BUFFER1_ARB                                  = &H8826???
%GL_DRAW_BUFFER2_ARB                                  = &H8827???
%GL_DRAW_BUFFER3_ARB                                  = &H8828???
%GL_DRAW_BUFFER4_ARB                                  = &H8829???
%GL_DRAW_BUFFER5_ARB                                  = &H882A???
%GL_DRAW_BUFFER6_ARB                                  = &H882B???
%GL_DRAW_BUFFER7_ARB                                  = &H882C???
%GL_DRAW_BUFFER8_ARB                                  = &H882D???
%GL_DRAW_BUFFER9_ARB                                  = &H882E???
%GL_DRAW_BUFFER10_ARB                                 = &H882F???
%GL_DRAW_BUFFER11_ARB                                 = &H8830???
%GL_DRAW_BUFFER12_ARB                                 = &H8831???
%GL_DRAW_BUFFER13_ARB                                 = &H8832???
%GL_DRAW_BUFFER14_ARB                                 = &H8833???
%GL_DRAW_BUFFER15_ARB                                 = &H8834???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_rectangle)
%GL_TEXTURE_RECTANGLE_ARB                             = &H84F5???
%GL_TEXTURE_BINDING_RECTANGLE_ARB                     = &H84F6???
%GL_PROXY_TEXTURE_RECTANGLE_ARB                       = &H84F7???
%GL_MAX_RECTANGLE_TEXTURE_SIZE_ARB                    = &H84F8???
#ENDIF

#IF NOT %DEF(%GL_ARB_color_buffer_float)
%GL_RGBA_FLOAT_MODE_ARB                               = &H8820???
%GL_CLAMP_VERTEX_COLOR_ARB                            = &H891A???
%GL_CLAMP_FRAGMENT_COLOR_ARB                          = &H891B???
%GL_CLAMP_READ_COLOR_ARB                              = &H891C???
%GL_FIXED_ONLY_ARB                                    = &H891D???
#ENDIF

#IF NOT %DEF(%GL_ARB_half_float_pixel)
%GL_HALF_FLOAT_ARB                                    = &H140B???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_float)
%GL_TEXTURE_RED_TYPE_ARB                              = &H8C10???
%GL_TEXTURE_GREEN_TYPE_ARB                            = &H8C11???
%GL_TEXTURE_BLUE_TYPE_ARB                             = &H8C12???
%GL_TEXTURE_ALPHA_TYPE_ARB                            = &H8C13???
%GL_TEXTURE_LUMINANCE_TYPE_ARB                        = &H8C14???
%GL_TEXTURE_INTENSITY_TYPE_ARB                        = &H8C15???
%GL_TEXTURE_DEPTH_TYPE_ARB                            = &H8C16???
%GL_UNSIGNED_NORMALIZED_ARB                           = &H8C17???
%GL_RGBA32F_ARB                                       = &H8814???
%GL_RGB32F_ARB                                        = &H8815???
%GL_ALPHA32F_ARB                                      = &H8816???
%GL_INTENSITY32F_ARB                                  = &H8817???
%GL_LUMINANCE32F_ARB                                  = &H8818???
%GL_LUMINANCE_ALPHA32F_ARB                            = &H8819???
%GL_RGBA16F_ARB                                       = &H881A???
%GL_RGB16F_ARB                                        = &H881B???
%GL_ALPHA16F_ARB                                      = &H881C???
%GL_INTENSITY16F_ARB                                  = &H881D???
%GL_LUMINANCE16F_ARB                                  = &H881E???
%GL_LUMINANCE_ALPHA16F_ARB                            = &H881F???
#ENDIF

#IF NOT %DEF(%GL_ARB_pixel_buffer_object)
%GL_PIXEL_PACK_BUFFER_ARB                             = &H88EB???
%GL_PIXEL_UNPACK_BUFFER_ARB                           = &H88EC???
%GL_PIXEL_PACK_BUFFER_BINDING_ARB                     = &H88ED???
%GL_PIXEL_UNPACK_BUFFER_BINDING_ARB                   = &H88EF???
#ENDIF

#IF NOT %DEF(%GL_ARB_depth_buffer_float)
%GL_DEPTH_COMPONENT32F                                = &H8CAC???
%GL_DEPTH32F_STENCIL8                                 = &H8CAD???
%GL_FLOAT_32_UNSIGNED_INT_24_8_REV                    = &H8DAD???
#ENDIF

#IF NOT %DEF(%GL_ARB_draw_instanced)
#ENDIF

#IF NOT %DEF(%GL_ARB_framebuffer_object)
%GL_INVALID_FRAMEBUFFER_OPERATION                     = &H0506???
%GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING             = &H8210???
%GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE             = &H8211???
%GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE                   = &H8212???
%GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE                 = &H8213???
%GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE                  = &H8214???
%GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE                 = &H8215???
%GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE                 = &H8216???
%GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE               = &H8217???
%GL_FRAMEBUFFER_DEFAULT                               = &H8218???
%GL_FRAMEBUFFER_UNDEFINED                             = &H8219???
%GL_DEPTH_STENCIL_ATTACHMENT                          = &H821A???
%GL_MAX_RENDERBUFFER_SIZE                             = &H84E8???
%GL_DEPTH_STENCIL                                     = &H84F9???
%GL_UNSIGNED_INT_24_8                                 = &H84FA???
%GL_DEPTH24_STENCIL8                                  = &H88F0???
%GL_TEXTURE_STENCIL_SIZE                              = &H88F1???
%GL_TEXTURE_RED_TYPE                                  = &H8C10???
%GL_TEXTURE_GREEN_TYPE                                = &H8C11???
%GL_TEXTURE_BLUE_TYPE                                 = &H8C12???
%GL_TEXTURE_ALPHA_TYPE                                = &H8C13???
%GL_TEXTURE_LUMINANCE_TYPE                            = &H8C14???
%GL_UNSIGNED_NORMALIZED                               = &H8C17???
%GL_FRAMEBUFFER_BINDING                               = &H8CA6???
%GL_DRAW_FRAMEBUFFER_BINDING                          = %GL_FRAMEBUFFER_BINDING
%GL_RENDERBUFFER_BINDING                              = &H8CA7???
%GL_READ_FRAMEBUFFER                                  = &H8CA8???
%GL_DRAW_FRAMEBUFFER                                  = &H8CA9???
%GL_READ_FRAMEBUFFER_BINDING                          = &H8CAA???
%GL_RENDERBUFFER_SAMPLES                              = &H8CAB???
%GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE                = &H8CD0???
%GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME                = &H8CD1???
%GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL              = &H8CD2???
%GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE      = &H8CD3???
%GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER              = &H8CD4???
%GL_FRAMEBUFFER_COMPLETE                              = &H8CD5???
%GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT                 = &H8CD6???
%GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT         = &H8CD7???
%GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER                = &H8CDB???
%GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER                = &H8CDC???
%GL_FRAMEBUFFER_UNSUPPORTED                           = &H8CDD???
%GL_MAX_COLOR_ATTACHMENTS                             = &H8CDF???
%GL_COLOR_ATTACHMENT0                                 = &H8CE0???
%GL_COLOR_ATTACHMENT1                                 = &H8CE1???
%GL_COLOR_ATTACHMENT2                                 = &H8CE2???
%GL_COLOR_ATTACHMENT3                                 = &H8CE3???
%GL_COLOR_ATTACHMENT4                                 = &H8CE4???
%GL_COLOR_ATTACHMENT5                                 = &H8CE5???
%GL_COLOR_ATTACHMENT6                                 = &H8CE6???
%GL_COLOR_ATTACHMENT7                                 = &H8CE7???
%GL_COLOR_ATTACHMENT8                                 = &H8CE8???
%GL_COLOR_ATTACHMENT9                                 = &H8CE9???
%GL_COLOR_ATTACHMENT10                                = &H8CEA???
%GL_COLOR_ATTACHMENT11                                = &H8CEB???
%GL_COLOR_ATTACHMENT12                                = &H8CEC???
%GL_COLOR_ATTACHMENT13                                = &H8CED???
%GL_COLOR_ATTACHMENT14                                = &H8CEE???
%GL_COLOR_ATTACHMENT15                                = &H8CEF???
%GL_DEPTH_ATTACHMENT                                  = &H8D00???
%GL_STENCIL_ATTACHMENT                                = &H8D20???
%GL_FRAMEBUFFER                                       = &H8D40???
%GL_RENDERBUFFER                                      = &H8D41???
%GL_RENDERBUFFER_WIDTH                                = &H8D42???
%GL_RENDERBUFFER_HEIGHT                               = &H8D43???
%GL_RENDERBUFFER_INTERNAL_FORMAT                      = &H8D44???
%GL_STENCIL_INDEX1                                    = &H8D46???
%GL_STENCIL_INDEX4                                    = &H8D47???
%GL_STENCIL_INDEX8                                    = &H8D48???
%GL_STENCIL_INDEX16                                   = &H8D49???
%GL_RENDERBUFFER_RED_SIZE                             = &H8D50???
%GL_RENDERBUFFER_GREEN_SIZE                           = &H8D51???
%GL_RENDERBUFFER_BLUE_SIZE                            = &H8D52???
%GL_RENDERBUFFER_ALPHA_SIZE                           = &H8D53???
%GL_RENDERBUFFER_DEPTH_SIZE                           = &H8D54???
%GL_RENDERBUFFER_STENCIL_SIZE                         = &H8D55???
%GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE                = &H8D56???
%GL_MAX_SAMPLES                                       = &H8D57???
#ENDIF

#IF NOT %DEF(%GL_ARB_framebuffer_object_DEPRECATED)
%GL_INDEX                                             = &H8222???
%GL_TEXTURE_INTENSITY_TYPE                            = &H8C15???
%GL_TEXTURE_DEPTH_TYPE                                = &H8C16???
#ENDIF

#IF NOT %DEF(%GL_ARB_framebuffer_sRGB)
%GL_FRAMEBUFFER_SRGB                                  = &H8DB9???
#ENDIF

#IF NOT %DEF(%GL_ARB_geometry_shader4)
%GL_LINES_ADJACENCY_ARB                               = &H000A???
%GL_LINE_STRIP_ADJACENCY_ARB                          = &H000B???
%GL_TRIANGLES_ADJACENCY_ARB                           = &H000C???
%GL_TRIANGLE_STRIP_ADJACENCY_ARB                      = &H000D???
%GL_PROGRAM_POINT_SIZE_ARB                            = &H8642???
%GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB              = &H8C29???
%GL_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB                = &H8DA7???
%GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB          = &H8DA8???
%GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB            = &H8DA9???
%GL_GEOMETRY_SHADER_ARB                               = &H8DD9???
%GL_GEOMETRY_VERTICES_OUT_ARB                         = &H8DDA???
%GL_GEOMETRY_INPUT_TYPE_ARB                           = &H8DDB???
%GL_GEOMETRY_OUTPUT_TYPE_ARB                          = &H8DDC???
%GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB               = &H8DDD???
%GL_MAX_VERTEX_VARYING_COMPONENTS_ARB                 = &H8DDE???
%GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB               = &H8DDF???
%GL_MAX_GEOMETRY_OUTPUT_VERTICES_ARB                  = &H8DE0???
%GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB          = &H8DE1???
#ENDIF

#IF NOT %DEF(%GL_ARB_half_float_vertex)
%GL_HALF_FLOAT                                        = &H140B???
#ENDIF

#IF NOT %DEF(%GL_ARB_instanced_arrays)
%GL_VERTEX_ATTRIB_ARRAY_DIVISOR_ARB                   = &H88FE???
#ENDIF

#IF NOT %DEF(%GL_ARB_map_buffer_range)
%GL_MAP_READ_BIT                                      = &H0001???
%GL_MAP_WRITE_BIT                                     = &H0002???
%GL_MAP_INVALIDATE_RANGE_BIT                          = &H0004???
%GL_MAP_INVALIDATE_BUFFER_BIT                         = &H0008???
%GL_MAP_FLUSH_EXPLICIT_BIT                            = &H0010???
%GL_MAP_UNSYNCHRONIZED_BIT                            = &H0020???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_buffer_object)
%GL_TEXTURE_BUFFER_ARB                                = &H8C2A???
%GL_MAX_TEXTURE_BUFFER_SIZE_ARB                       = &H8C2B???
%GL_TEXTURE_BINDING_BUFFER_ARB                        = &H8C2C???
%GL_TEXTURE_BUFFER_DATA_STORE_BINDING_ARB             = &H8C2D???
%GL_TEXTURE_BUFFER_FORMAT_ARB                         = &H8C2E???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_compression_rgtc)
%GL_COMPRESSED_RED_RGTC1                              = &H8DBB???
%GL_COMPRESSED_SIGNED_RED_RGTC1                       = &H8DBC???
%GL_COMPRESSED_RG_RGTC2                               = &H8DBD???
%GL_COMPRESSED_SIGNED_RG_RGTC2                        = &H8DBE???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_rg)
%GL_RG                                                = &H8227???
%GL_RG_INTEGER                                        = &H8228???
%GL_R8                                                = &H8229???
%GL_R16                                               = &H822A???
%GL_RG8                                               = &H822B???
%GL_RG16                                              = &H822C???
%GL_R16F                                              = &H822D???
%GL_R32F                                              = &H822E???
%GL_RG16F                                             = &H822F???
%GL_RG32F                                             = &H8230???
%GL_R8I                                               = &H8231???
%GL_R8UI                                              = &H8232???
%GL_R16I                                              = &H8233???
%GL_R16UI                                             = &H8234???
%GL_R32I                                              = &H8235???
%GL_R32UI                                             = &H8236???
%GL_RG8I                                              = &H8237???
%GL_RG8UI                                             = &H8238???
%GL_RG16I                                             = &H8239???
%GL_RG16UI                                            = &H823A???
%GL_RG32I                                             = &H823B???
%GL_RG32UI                                            = &H823C???
#ENDIF

#IF NOT %DEF(%GL_ARB_vertex_array_object)
%GL_VERTEX_ARRAY_BINDING                              = &H85B5???
#ENDIF

#IF NOT %DEF(%GL_ARB_uniform_buffer_object)
%GL_UNIFORM_BUFFER                                    = &H8A11???
%GL_UNIFORM_BUFFER_BINDING                            = &H8A28???
%GL_UNIFORM_BUFFER_START                              = &H8A29???
%GL_UNIFORM_BUFFER_SIZE                               = &H8A2A???
%GL_MAX_VERTEX_UNIFORM_BLOCKS                         = &H8A2B???
%GL_MAX_GEOMETRY_UNIFORM_BLOCKS                       = &H8A2C???
%GL_MAX_FRAGMENT_UNIFORM_BLOCKS                       = &H8A2D???
%GL_MAX_COMBINED_UNIFORM_BLOCKS                       = &H8A2E???
%GL_MAX_UNIFORM_BUFFER_BINDINGS                       = &H8A2F???
%GL_MAX_UNIFORM_BLOCK_SIZE                            = &H8A30???
%GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS            = &H8A31???
%GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS          = &H8A32???
%GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS          = &H8A33???
%GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT                   = &H8A34???
%GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH              = &H8A35???
%GL_ACTIVE_UNIFORM_BLOCKS                             = &H8A36???
%GL_UNIFORM_TYPE                                      = &H8A37???
%GL_UNIFORM_SIZE                                      = &H8A38???
%GL_UNIFORM_NAME_LENGTH                               = &H8A39???
%GL_UNIFORM_BLOCK_INDEX                               = &H8A3A???
%GL_UNIFORM_OFFSET                                    = &H8A3B???
%GL_UNIFORM_ARRAY_STRIDE                              = &H8A3C???
%GL_UNIFORM_MATRIX_STRIDE                             = &H8A3D???
%GL_UNIFORM_IS_ROW_MAJOR                              = &H8A3E???
%GL_UNIFORM_BLOCK_BINDING                             = &H8A3F???
%GL_UNIFORM_BLOCK_DATA_SIZE                           = &H8A40???
%GL_UNIFORM_BLOCK_NAME_LENGTH                         = &H8A41???
%GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS                     = &H8A42???
%GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES              = &H8A43???
%GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER         = &H8A44???
%GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER       = &H8A45???
%GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER       = &H8A46???
%GL_INVALID_INDEX                                     = &HFFFFFFFF???
#ENDIF

#IF NOT %DEF(%GL_ARB_copy_buffer)
%GL_COPY_READ_BUFFER                                  = &H8F36???
%GL_COPY_WRITE_BUFFER                                 = &H8F37???
#ENDIF

#IF NOT %DEF(%GL_ARB_depth_clamp)
%GL_DEPTH_CLAMP                                       = &H864F???
#ENDIF

#IF NOT %DEF(%GL_ARB_provoking_vertex)
%GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION          = &H8E4C???
%GL_FIRST_VERTEX_CONVENTION                           = &H8E4D???
%GL_LAST_VERTEX_CONVENTION                            = &H8E4E???
%GL_PROVOKING_VERTEX                                  = &H8E4F???
#ENDIF

#IF NOT %DEF(%GL_ARB_seamless_cube_map)
%GL_TEXTURE_CUBE_MAP_SEAMLESS                         = &H884F???
#ENDIF

#IF NOT %DEF(%GL_ARB_sync)
%GL_MAX_SERVER_WAIT_TIMEOUT                           = &H9111???
%GL_OBJECT_TYPE                                       = &H9112???
%GL_SYNC_CONDITION                                    = &H9113???
%GL_SYNC_STATUS                                       = &H9114???
%GL_SYNC_FLAGS                                        = &H9115???
%GL_SYNC_FENCE                                        = &H9116???
%GL_SYNC_GPU_COMMANDS_COMPLETE                        = &H9117???
%GL_UNSIGNALED                                        = &H9118???
%GL_SIGNALED                                          = &H9119???
%GL_ALREADY_SIGNALED                                  = &H911A???
%GL_TIMEOUT_EXPIRED                                   = &H911B???
%GL_CONDITION_SATISFIED                               = &H911C???
%GL_WAIT_FAILED                                       = &H911D???
%GL_SYNC_FLUSH_COMMANDS_BIT                           = &H00000001
%GL_TIMEOUT_IGNORED                                   = &HFFFFFFFFFFFFFFFF&&
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_multisample)
%GL_SAMPLE_POSITION                                   = &H8E50???
%GL_SAMPLE_MASK                                       = &H8E51???
%GL_SAMPLE_MASK_VALUE                                 = &H8E52???
%GL_MAX_SAMPLE_MASK_WORDS                             = &H8E59???
%GL_TEXTURE_2D_MULTISAMPLE                            = &H9100???
%GL_PROXY_TEXTURE_2D_MULTISAMPLE                      = &H9101???
%GL_TEXTURE_2D_MULTISAMPLE_ARRAY                      = &H9102???
%GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY                = &H9103???
%GL_TEXTURE_BINDING_2D_MULTISAMPLE                    = &H9104???
%GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY              = &H9105???
%GL_TEXTURE_SAMPLES                                   = &H9106???
%GL_TEXTURE_FIXED_SAMPLE_LOCATIONS                    = &H9107???
%GL_SAMPLER_2D_MULTISAMPLE                            = &H9108???
%GL_INT_SAMPLER_2D_MULTISAMPLE                        = &H9109???
%GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE               = &H910A???
%GL_SAMPLER_2D_MULTISAMPLE_ARRAY                      = &H910B???
%GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY                  = &H910C???
%GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY         = &H910D???
%GL_MAX_COLOR_TEXTURE_SAMPLES                         = &H910E???
%GL_MAX_DEPTH_TEXTURE_SAMPLES                         = &H910F???
%GL_MAX_INTEGER_SAMPLES                               = &H9110???
#ENDIF

#IF NOT %DEF(%GL_ARB_sample_shading)
%GL_SAMPLE_SHADING_ARB                                = &H8C36???
%GL_MIN_SAMPLE_SHADING_VALUE_ARB                      = &H8C37???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_cube_map_array)
%GL_TEXTURE_CUBE_MAP_ARRAY_ARB                        = &H9009???
%GL_TEXTURE_BINDING_CUBE_MAP_ARRAY_ARB                = &H900A???
%GL_PROXY_TEXTURE_CUBE_MAP_ARRAY_ARB                  = &H900B???
%GL_SAMPLER_CUBE_MAP_ARRAY_ARB                        = &H900C???
%GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW_ARB                 = &H900D???
%GL_INT_SAMPLER_CUBE_MAP_ARRAY_ARB                    = &H900E???
%GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY_ARB           = &H900F???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_gather)
%GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET_ARB             = &H8E5E???
%GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET_ARB             = &H8E5F???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_query_lod)
#ENDIF

#IF NOT %DEF(%GL_ARB_shading_language_include)
%GL_SHADER_INCLUDE_ARB                                = &H8DAE???
%GL_NAMED_STRING_LENGTH_ARB                           = &H8DE9???
%GL_NAMED_STRING_TYPE_ARB                             = &H8DEA???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_compression_bptc)
%GL_COMPRESSED_RGBA_BPTC_UNORM_ARB                    = &H8E8C???
%GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB              = &H8E8D???
%GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB              = &H8E8E???
%GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB            = &H8E8F???
#ENDIF

#IF NOT %DEF(%GL_ARB_blend_func_extended)
%GL_SRC1_COLOR                                        = &H88F9???
%GL_ONE_MINUS_SRC1_COLOR                              = &H88FA???
%GL_ONE_MINUS_SRC1_ALPHA                              = &H88FB???
%GL_MAX_DUAL_SOURCE_DRAW_BUFFERS                      = &H88FC???
#ENDIF

#IF NOT %DEF(%GL_ARB_explicit_attrib_location)
#ENDIF

#IF NOT %DEF(%GL_ARB_occlusion_query2)
%GL_ANY_SAMPLES_PASSED                                = &H8C2F???
#ENDIF

#IF NOT %DEF(%GL_ARB_sampler_objects)
%GL_SAMPLER_BINDING                                   = &H8919???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_rgb10_a2ui)
%GL_RGB10_A2UI                                        = &H906F???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_swizzle)
%GL_TEXTURE_SWIZZLE_R                                 = &H8E42???
%GL_TEXTURE_SWIZZLE_G                                 = &H8E43???
%GL_TEXTURE_SWIZZLE_B                                 = &H8E44???
%GL_TEXTURE_SWIZZLE_A                                 = &H8E45???
%GL_TEXTURE_SWIZZLE_RGBA                              = &H8E46???
#ENDIF

#IF NOT %DEF(%GL_ARB_timer_query)
%GL_TIME_ELAPSED                                      = &H88BF???
%GL_TIMESTAMP                                         = &H8E28???
#ENDIF

#IF NOT %DEF(%GL_ARB_vertex_type_2_10_10_10_rev)
%GL_INT_2_10_10_10_REV                                = &H8D9F???
#ENDIF

#IF NOT %DEF(%GL_ARB_draw_indirect)
%GL_DRAW_INDIRECT_BUFFER                              = &H8F3F???
%GL_DRAW_INDIRECT_BUFFER_BINDING                      = &H8F43???
#ENDIF

#IF NOT %DEF(%GL_ARB_gpu_shader5)
%GL_GEOMETRY_SHADER_INVOCATIONS                       = &H887F???
%GL_MAX_GEOMETRY_SHADER_INVOCATIONS                   = &H8E5A???
%GL_MIN_FRAGMENT_INTERPOLATION_OFFSET                 = &H8E5B???
%GL_MAX_FRAGMENT_INTERPOLATION_OFFSET                 = &H8E5C???
%GL_FRAGMENT_INTERPOLATION_OFFSET_BITS                = &H8E5D???
#ENDIF

#IF NOT %DEF(%GL_ARB_gpu_shader_fp64)
%GL_DOUBLE_VEC2                                       = &H8FFC???
%GL_DOUBLE_VEC3                                       = &H8FFD???
%GL_DOUBLE_VEC4                                       = &H8FFE???
%GL_DOUBLE_MAT2                                       = &H8F46???
%GL_DOUBLE_MAT3                                       = &H8F47???
%GL_DOUBLE_MAT4                                       = &H8F48???
%GL_DOUBLE_MAT2x3                                     = &H8F49???
%GL_DOUBLE_MAT2x4                                     = &H8F4A???
%GL_DOUBLE_MAT3x2                                     = &H8F4B???
%GL_DOUBLE_MAT3x4                                     = &H8F4C???
%GL_DOUBLE_MAT4x2                                     = &H8F4D???
%GL_DOUBLE_MAT4x3                                     = &H8F4E???
#ENDIF

#IF NOT %DEF(%GL_ARB_shader_subroutine)
%GL_ACTIVE_SUBROUTINES                                = &H8DE5???
%GL_ACTIVE_SUBROUTINE_UNIFORMS                        = &H8DE6???
%GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS               = &H8E47???
%GL_ACTIVE_SUBROUTINE_MAX_LENGTH                      = &H8E48???
%GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH              = &H8E49???
%GL_MAX_SUBROUTINES                                   = &H8DE7???
%GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS                  = &H8DE8???
%GL_NUM_COMPATIBLE_SUBROUTINES                        = &H8E4A???
%GL_COMPATIBLE_SUBROUTINES                            = &H8E4B???
#ENDIF

#IF NOT %DEF(%GL_ARB_tessellation_shader)
%GL_PATCHES                                           = &H000E???
%GL_PATCH_VERTICES                                    = &H8E72???
%GL_PATCH_DEFAULT_INNER_LEVEL                         = &H8E73???
%GL_PATCH_DEFAULT_OUTER_LEVEL                         = &H8E74???
%GL_TESS_CONTROL_OUTPUT_VERTICES                      = &H8E75???
%GL_TESS_GEN_MODE                                     = &H8E76???
%GL_TESS_GEN_SPACING                                  = &H8E77???
%GL_TESS_GEN_VERTEX_ORDER                             = &H8E78???
%GL_TESS_GEN_POINT_MODE                               = &H8E79???
%GL_ISOLINES                                          = &H8E7A???
%GL_FRACTIONAL_ODD                                    = &H8E7B???
%GL_FRACTIONAL_EVEN                                   = &H8E7C???
%GL_MAX_PATCH_VERTICES                                = &H8E7D???
%GL_MAX_TESS_GEN_LEVEL                                = &H8E7E???
%GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS               = &H8E7F???
%GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS            = &H8E80???
%GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS              = &H8E81???
%GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS           = &H8E82???
%GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS                = &H8E83???
%GL_MAX_TESS_PATCH_COMPONENTS                         = &H8E84???
%GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS          = &H8E85???
%GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS             = &H8E86???
%GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS                   = &H8E89???
%GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS                = &H8E8A???
%GL_MAX_TESS_CONTROL_INPUT_COMPONENTS                 = &H886C???
%GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS              = &H886D???
%GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS      = &H8E1E???
%GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS   = &H8E1F???
%GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER   = &H84F0???
%GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER = &H84F1???
%GL_TESS_EVALUATION_SHADER                            = &H8E87???
%GL_TESS_CONTROL_SHADER                               = &H8E88???
#ENDIF

#IF NOT %DEF(%GL_ARB_transform_feedback2)
%GL_TRANSFORM_FEEDBACK                                = &H8E22???
%GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED                  = &H8E23???
%GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE                  = &H8E24???
%GL_TRANSFORM_FEEDBACK_BINDING                        = &H8E25???
#ENDIF

#IF NOT %DEF(%GL_ARB_transform_feedback3)
%GL_MAX_TRANSFORM_FEEDBACK_BUFFERS                    = &H8E70???
%GL_MAX_VERTEX_STREAMS                                = &H8E71???
#ENDIF

#IF NOT %DEF(%GL_ARB_ES2_compatibility)
%GL_FIXED                            = &H140C???
%GL_IMPLEMENTATION_COLOR_READ_TYPE   = &H8B9A???
%GL_IMPLEMENTATION_COLOR_READ_FORMAT = &H8B9B???
%GL_LOW_FLOAT                        = &H8DF0???
%GL_MEDIUM_FLOAT                     = &H8DF1???
%GL_HIGH_FLOAT                       = &H8DF2???
%GL_LOW_INT                          = &H8DF3???
%GL_MEDIUM_INT                       = &H8DF4???
%GL_HIGH_INT                         = &H8DF5???
%GL_SHADER_COMPILER                  = &H8DFA???
%GL_NUM_SHADER_BINARY_FORMATS        = &H8DF9???
%GL_MAX_VERTEX_UNIFORM_VECTORS       = &H8DFB???
%GL_MAX_VARYING_VECTORS              = &H8DFC???
%GL_MAX_FRAGMENT_UNIFORM_VECTORS     = &H8DFD???
#ENDIF

#IF NOT %DEF(%GL_ARB_get_program_binary)
%GL_PROGRAM_BINARY_RETRIEVABLE_HINT = &H8257???
%GL_PROGRAM_BINARY_LENGTH           = &H8741???
%GL_NUM_PROGRAM_BINARY_FORMATS      = &H87FE???
%GL_PROGRAM_BINARY_FORMATS          = &H87FF???
#ENDIF

#IF NOT %DEF(%GL_ARB_separate_shader_objects)
%GL_VERTEX_SHADER_BIT              = &H00000001???
%GL_FRAGMENT_SHADER_BIT            = &H00000002???
%GL_GEOMETRY_SHADER_BIT            = &H00000004???
%GL_TESS_CONTROL_SHADER_BIT        = &H00000008???
%GL_TESS_EVALUATION_SHADER_BIT     = &H00000010???
%GL_ALL_SHADER_BITS                = &HFFFFFFFF???
%GL_PROGRAM_SEPARABLE              = &H8258???
%GL_ACTIVE_PROGRAM                 = &H8259???
%GL_PROGRAM_PIPELINE_BINDING       = &H825A???
#ENDIF

#IF NOT %DEF(%GL_ARB_shader_precision)
#ENDIF

#IF NOT %DEF(%GL_ARB_viewport_array)
%GL_MAX_VIEWPORTS                   = &H825B???
%GL_VIEWPORT_SUBPIXEL_BITS          = &H825C???
%GL_VIEWPORT_BOUNDS_RANGE           = &H825D???
%GL_LAYER_PROVOKING_VERTEX          = &H825E???
%GL_VIEWPORT_INDEX_PROVOKING_VERTEX = &H825F???
%GL_UNDEFINED_VERTEX                = &H8260???
#ENDIF

#IF NOT %DEF(%GL_ARB_cl_event)
%GL_SYNC_CL_EVENT_ARB              = &H8240???
%GL_SYNC_CL_EVENT_COMPLETE_ARB     = &H8241???
#ENDIF

#IF NOT %DEF(%GL_ARB_debug_output)
%GL_DEBUG_OUTPUT_SYNCHRONOUS_ARB         = &H8242???
%GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_ARB = &H8243???
%GL_DEBUG_CALLBACK_FUNCTION_ARB          = &H8244???
%GL_DEBUG_CALLBACK_USER_PARAM_ARB        = &H8245???
%GL_DEBUG_SOURCE_API_ARB                 = &H8246???
%GL_DEBUG_SOURCE_WINDOW_SYSTEM_ARB       = &H8247???
%GL_DEBUG_SOURCE_SHADER_COMPILER_ARB     = &H8248???
%GL_DEBUG_SOURCE_THIRD_PARTY_ARB         = &H8249???
%GL_DEBUG_SOURCE_APPLICATION_ARB         = &H824A???
%GL_DEBUG_SOURCE_OTHER_ARB               = &H824B???
%GL_DEBUG_TYPE_ERROR_ARB                 = &H824C???
%GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_ARB   = &H824D???
%GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_ARB    = &H824E???
%GL_DEBUG_TYPE_PORTABILITY_ARB           = &H824F???
%GL_DEBUG_TYPE_PERFORMANCE_ARB           = &H8250???
%GL_DEBUG_TYPE_OTHER_ARB                 = &H8251???
%GL_MAX_DEBUG_MESSAGE_LENGTH_ARB         = &H9143???
%GL_MAX_DEBUG_LOGGED_MESSAGES_ARB        = &H9144???
%GL_DEBUG_LOGGED_MESSAGES_ARB            = &H9145???
%GL_DEBUG_SEVERITY_HIGH_ARB              = &H9146???
%GL_DEBUG_SEVERITY_MEDIUM_ARB            = &H9147???
%GL_DEBUG_SEVERITY_LOW_ARB               = &H9148???
#ENDIF

#IF NOT %DEF(%GL_ARB_robustness)
%GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT_ARB = &H00000004???
%GL_LOSE_CONTEXT_ON_RESET_ARB          = &H8252???
%GL_GUILTY_CONTEXT_RESET_ARB           = &H8253???
%GL_INNOCENT_CONTEXT_RESET_ARB         = &H8254???
%GL_UNKNOWN_CONTEXT_RESET_ARB          = &H8255???
%GL_RESET_NOTIFICATION_STRATEGY_ARB    = &H8256???
%GL_NO_RESET_NOTIFICATION_ARB          = &H8261???
#ENDIF

#IF NOT %DEF(%GL_ARB_compressed_texture_pixel_storage)
%GL_UNPACK_COMPRESSED_BLOCK_WIDTH  = &H9127???
%GL_UNPACK_COMPRESSED_BLOCK_HEIGHT = &H9128???
%GL_UNPACK_COMPRESSED_BLOCK_DEPTH  = &H9129???
%GL_UNPACK_COMPRESSED_BLOCK_SIZE   = &H912A???
%GL_PACK_COMPRESSED_BLOCK_WIDTH    = &H912B???
%GL_PACK_COMPRESSED_BLOCK_HEIGHT   = &H912C???
%GL_PACK_COMPRESSED_BLOCK_DEPTH    = &H912D???
%GL_PACK_COMPRESSED_BLOCK_SIZE     = &H912E???
#ENDIF

#IF NOT %DEF(%GL_ARB_internalformat_query)
%GL_NUM_SAMPLE_COUNTS              = &H9380???
#ENDIF

#IF NOT %DEF(%GL_ARB_map_buffer_alignment)
%GL_MIN_MAP_BUFFER_ALIGNMENT       = &H90BC???
#ENDIF

#IF NOT %DEF(%GL_ARB_shader_atomic_counters)
%GL_ATOMIC_COUNTER_BUFFER                                      = &H92C0???
%GL_ATOMIC_COUNTER_BUFFER_BINDING                              = &H92C1???
%GL_ATOMIC_COUNTER_BUFFER_START                                = &H92C2???
%GL_ATOMIC_COUNTER_BUFFER_SIZE                                 = &H92C3???
%GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE                            = &H92C4???
%GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS               = &H92C5???
%GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES        = &H92C6???
%GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER          = &H92C7???
%GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER    = &H92C8???
%GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER = &H92C9???
%GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER        = &H92CA???
%GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER        = &H92CB???
%GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS                          = &H92CC???
%GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS                    = &H92CD???
%GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS                 = &H92CE???
%GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS                        = &H92CF???
%GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS                        = &H92D0???
%GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS                        = &H92D1???
%GL_MAX_VERTEX_ATOMIC_COUNTERS                                 = &H92D2???
%GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS                           = &H92D3???
%GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS                        = &H92D4???
%GL_MAX_GEOMETRY_ATOMIC_COUNTERS                               = &H92D5???
%GL_MAX_FRAGMENT_ATOMIC_COUNTERS                               = &H92D6???
%GL_MAX_COMBINED_ATOMIC_COUNTERS                               = &H92D7???
%GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE                             = &H92D8???
%GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS                         = &H92DC???
%GL_ACTIVE_ATOMIC_COUNTER_BUFFERS                              = &H92D9???
%GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX                        = &H92DA???
%GL_UNSIGNED_INT_ATOMIC_COUNTER                                = &H92DB???
#ENDIF

#IF NOT %DEF(%GL_ARB_shader_image_load_store)
%GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT               = &H00000001???
%GL_ELEMENT_ARRAY_BARRIER_BIT                     = &H00000002???
%GL_UNIFORM_BARRIER_BIT                           = &H00000004???
%GL_TEXTURE_FETCH_BARRIER_BIT                     = &H00000008???
%GL_SHADER_IMAGE_ACCESS_BARRIER_BIT               = &H00000020???
%GL_COMMAND_BARRIER_BIT                           = &H00000040???
%GL_PIXEL_BUFFER_BARRIER_BIT                      = &H00000080???
%GL_TEXTURE_UPDATE_BARRIER_BIT                    = &H00000100???
%GL_BUFFER_UPDATE_BARRIER_BIT                     = &H00000200???
%GL_FRAMEBUFFER_BARRIER_BIT                       = &H00000400???
%GL_TRANSFORM_FEEDBACK_BARRIER_BIT                = &H00000800???
%GL_ATOMIC_COUNTER_BARRIER_BIT                    = &H00001000???
%GL_ALL_BARRIER_BITS                              = &HFFFFFFFF???
%GL_MAX_IMAGE_UNITS                               = &H8F38???
%GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS = &H8F39???
%GL_IMAGE_BINDING_NAME                            = &H8F3A???
%GL_IMAGE_BINDING_LEVEL                           = &H8F3B???
%GL_IMAGE_BINDING_LAYERED                         = &H8F3C???
%GL_IMAGE_BINDING_LAYER                           = &H8F3D???
%GL_IMAGE_BINDING_ACCESS                          = &H8F3E???
%GL_IMAGE_1D                                      = &H904C???
%GL_IMAGE_2D                                      = &H904D???
%GL_IMAGE_3D                                      = &H904E???
%GL_IMAGE_2D_RECT                                 = &H904F???
%GL_IMAGE_CUBE                                    = &H9050???
%GL_IMAGE_BUFFER                                  = &H9051???
%GL_IMAGE_1D_ARRAY                                = &H9052???
%GL_IMAGE_2D_ARRAY                                = &H9053???
%GL_IMAGE_CUBE_MAP_ARRAY                          = &H9054???
%GL_IMAGE_2D_MULTISAMPLE                          = &H9055???
%GL_IMAGE_2D_MULTISAMPLE_ARRAY                    = &H9056???
%GL_INT_IMAGE_1D                                  = &H9057???
%GL_INT_IMAGE_2D                                  = &H9058???
%GL_INT_IMAGE_3D                                  = &H9059???
%GL_INT_IMAGE_2D_RECT                             = &H905A???
%GL_INT_IMAGE_CUBE                                = &H905B???
%GL_INT_IMAGE_BUFFER                              = &H905C???
%GL_INT_IMAGE_1D_ARRAY                            = &H905D???
%GL_INT_IMAGE_2D_ARRAY                            = &H905E???
%GL_INT_IMAGE_CUBE_MAP_ARRAY                      = &H905F???
%GL_INT_IMAGE_2D_MULTISAMPLE                      = &H9060???
%GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY                = &H9061???
%GL_UNSIGNED_INT_IMAGE_1D                         = &H9062???
%GL_UNSIGNED_INT_IMAGE_2D                         = &H9063???
%GL_UNSIGNED_INT_IMAGE_3D                         = &H9064???
%GL_UNSIGNED_INT_IMAGE_2D_RECT                    = &H9065???
%GL_UNSIGNED_INT_IMAGE_CUBE                       = &H9066???
%GL_UNSIGNED_INT_IMAGE_BUFFER                     = &H9067???
%GL_UNSIGNED_INT_IMAGE_1D_ARRAY                   = &H9068???
%GL_UNSIGNED_INT_IMAGE_2D_ARRAY                   = &H9069???
%GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY             = &H906A???
%GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE             = &H906B???
%GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY       = &H906C???
%GL_MAX_IMAGE_SAMPLES                             = &H906D???
%GL_IMAGE_BINDING_FORMAT                          = &H906E???
%GL_IMAGE_FORMAT_COMPATIBILITY_TYPE               = &H90C7???
%GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE            = &H90C8???
%GL_IMAGE_FORMAT_COMPATIBILITY_BY_CLASS           = &H90C9???
%GL_MAX_VERTEX_IMAGE_UNIFORMS                     = &H90CA???
%GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS               = &H90CB???
%GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS            = &H90CC???
%GL_MAX_GEOMETRY_IMAGE_UNIFORMS                   = &H90CD???
%GL_MAX_FRAGMENT_IMAGE_UNIFORMS                   = &H90CE???
%GL_MAX_COMBINED_IMAGE_UNIFORMS                   = &H90CF???
#ENDIF

#IF NOT %DEF(%GL_ARB_texture_storage)
%GL_TEXTURE_IMMUTABLE_FORMAT                          = &H912F???
#ENDIF

#IF NOT %DEF(%GL_EXT_abgr)
%GL_ABGR_EXT                                          = &H8000???
#ENDIF

#IF NOT %DEF(%GL_EXT_blend_color)
%GL_CONSTANT_COLOR_EXT                                = &H8001???
%GL_ONE_MINUS_CONSTANT_COLOR_EXT                      = &H8002???
%GL_CONSTANT_ALPHA_EXT                                = &H8003???
%GL_ONE_MINUS_CONSTANT_ALPHA_EXT                      = &H8004???
%GL_BLEND_COLOR_EXT                                   = &H8005???
#ENDIF

#IF NOT %DEF(%GL_EXT_polygon_offset)
%GL_POLYGON_OFFSET_EXT                                = &H8037???
%GL_POLYGON_OFFSET_FACTOR_EXT                         = &H8038???
%GL_POLYGON_OFFSET_BIAS_EXT                           = &H8039???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture)
%GL_ALPHA4_EXT                                        = &H803B???
%GL_ALPHA8_EXT                                        = &H803C???
%GL_ALPHA12_EXT                                       = &H803D???
%GL_ALPHA16_EXT                                       = &H803E???
%GL_LUMINANCE4_EXT                                    = &H803F???
%GL_LUMINANCE8_EXT                                    = &H8040???
%GL_LUMINANCE12_EXT                                   = &H8041???
%GL_LUMINANCE16_EXT                                   = &H8042???
%GL_LUMINANCE4_ALPHA4_EXT                             = &H8043???
%GL_LUMINANCE6_ALPHA2_EXT                             = &H8044???
%GL_LUMINANCE8_ALPHA8_EXT                             = &H8045???
%GL_LUMINANCE12_ALPHA4_EXT                            = &H8046???
%GL_LUMINANCE12_ALPHA12_EXT                           = &H8047???
%GL_LUMINANCE16_ALPHA16_EXT                           = &H8048???
%GL_INTENSITY_EXT                                     = &H8049???
%GL_INTENSITY4_EXT                                    = &H804A???
%GL_INTENSITY8_EXT                                    = &H804B???
%GL_INTENSITY12_EXT                                   = &H804C???
%GL_INTENSITY16_EXT                                   = &H804D???
%GL_RGB2_EXT                                          = &H804E???
%GL_RGB4_EXT                                          = &H804F???
%GL_RGB5_EXT                                          = &H8050???
%GL_RGB8_EXT                                          = &H8051???
%GL_RGB10_EXT                                         = &H8052???
%GL_RGB12_EXT                                         = &H8053???
%GL_RGB16_EXT                                         = &H8054???
%GL_RGBA2_EXT                                         = &H8055???
%GL_RGBA4_EXT                                         = &H8056???
%GL_RGB5_A1_EXT                                       = &H8057???
%GL_RGBA8_EXT                                         = &H8058???
%GL_RGB10_A2_EXT                                      = &H8059???
%GL_RGBA12_EXT                                        = &H805A???
%GL_RGBA16_EXT                                        = &H805B???
%GL_TEXTURE_RED_SIZE_EXT                              = &H805C???
%GL_TEXTURE_GREEN_SIZE_EXT                            = &H805D???
%GL_TEXTURE_BLUE_SIZE_EXT                             = &H805E???
%GL_TEXTURE_ALPHA_SIZE_EXT                            = &H805F???
%GL_TEXTURE_LUMINANCE_SIZE_EXT                        = &H8060???
%GL_TEXTURE_INTENSITY_SIZE_EXT                        = &H8061???
%GL_REPLACE_EXT                                       = &H8062???
%GL_PROXY_TEXTURE_1D_EXT                              = &H8063???
%GL_PROXY_TEXTURE_2D_EXT                              = &H8064???
%GL_TEXTURE_TOO_LARGE_EXT                             = &H8065???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture3D)
%GL_PACK_SKIP_IMAGES_EXT                              = &H806B???
%GL_PACK_IMAGE_HEIGHT_EXT                             = &H806C???
%GL_UNPACK_SKIP_IMAGES_EXT                            = &H806D???
%GL_UNPACK_IMAGE_HEIGHT_EXT                           = &H806E???
%GL_TEXTURE_3D_EXT                                    = &H806F???
%GL_PROXY_TEXTURE_3D_EXT                              = &H8070???
%GL_TEXTURE_DEPTH_EXT                                 = &H8071???
%GL_TEXTURE_WRAP_R_EXT                                = &H8072???
%GL_MAX_3D_TEXTURE_SIZE_EXT                           = &H8073???
#ENDIF

#IF NOT %DEF(%GL_SGIS_texture_filter4)
%GL_FILTER4_SGIS                                      = &H8146???
%GL_TEXTURE_FILTER4_SIZE_SGIS                         = &H8147???
#ENDIF

#IF NOT %DEF(%GL_EXT_subtexture)
#ENDIF

#IF NOT %DEF(%GL_EXT_copy_texture)
#ENDIF

#IF NOT %DEF(%GL_EXT_histogram)
%GL_HISTOGRAM_EXT                                     = &H8024???
%GL_PROXY_HISTOGRAM_EXT                               = &H8025???
%GL_HISTOGRAM_WIDTH_EXT                               = &H8026???
%GL_HISTOGRAM_FORMAT_EXT                              = &H8027???
%GL_HISTOGRAM_RED_SIZE_EXT                            = &H8028???
%GL_HISTOGRAM_GREEN_SIZE_EXT                          = &H8029???
%GL_HISTOGRAM_BLUE_SIZE_EXT                           = &H802A???
%GL_HISTOGRAM_ALPHA_SIZE_EXT                          = &H802B???
%GL_HISTOGRAM_LUMINANCE_SIZE_EXT                      = &H802C???
%GL_HISTOGRAM_SINK_EXT                                = &H802D???
%GL_MINMAX_EXT                                        = &H802E???
%GL_MINMAX_FORMAT_EXT                                 = &H802F???
%GL_MINMAX_SINK_EXT                                   = &H8030???
%GL_TABLE_TOO_LARGE_EXT                               = &H8031???
#ENDIF

#IF NOT %DEF(%GL_EXT_convolution)
%GL_CONVOLUTION_1D_EXT                                = &H8010???
%GL_CONVOLUTION_2D_EXT                                = &H8011???
%GL_SEPARABLE_2D_EXT                                  = &H8012???
%GL_CONVOLUTION_BORDER_MODE_EXT                       = &H8013???
%GL_CONVOLUTION_FILTER_SCALE_EXT                      = &H8014???
%GL_CONVOLUTION_FILTER_BIAS_EXT                       = &H8015???
%GL_REDUCE_EXT                                        = &H8016???
%GL_CONVOLUTION_FORMAT_EXT                            = &H8017???
%GL_CONVOLUTION_WIDTH_EXT                             = &H8018???
%GL_CONVOLUTION_HEIGHT_EXT                            = &H8019???
%GL_MAX_CONVOLUTION_WIDTH_EXT                         = &H801A???
%GL_MAX_CONVOLUTION_HEIGHT_EXT                        = &H801B???
%GL_POST_CONVOLUTION_RED_SCALE_EXT                    = &H801C???
%GL_POST_CONVOLUTION_GREEN_SCALE_EXT                  = &H801D???
%GL_POST_CONVOLUTION_BLUE_SCALE_EXT                   = &H801E???
%GL_POST_CONVOLUTION_ALPHA_SCALE_EXT                  = &H801F???
%GL_POST_CONVOLUTION_RED_BIAS_EXT                     = &H8020???
%GL_POST_CONVOLUTION_GREEN_BIAS_EXT                   = &H8021???
%GL_POST_CONVOLUTION_BLUE_BIAS_EXT                    = &H8022???
%GL_POST_CONVOLUTION_ALPHA_BIAS_EXT                   = &H8023???
#ENDIF

#IF NOT %DEF(%GL_SGI_color_matrix)
%GL_COLOR_MATRIX_SGI                                  = &H80B1???
%GL_COLOR_MATRIX_STACK_DEPTH_SGI                      = &H80B2???
%GL_MAX_COLOR_MATRIX_STACK_DEPTH_SGI                  = &H80B3???
%GL_POST_COLOR_MATRIX_RED_SCALE_SGI                   = &H80B4???
%GL_POST_COLOR_MATRIX_GREEN_SCALE_SGI                 = &H80B5???
%GL_POST_COLOR_MATRIX_BLUE_SCALE_SGI                  = &H80B6???
%GL_POST_COLOR_MATRIX_ALPHA_SCALE_SGI                 = &H80B7???
%GL_POST_COLOR_MATRIX_RED_BIAS_SGI                    = &H80B8???
%GL_POST_COLOR_MATRIX_GREEN_BIAS_SGI                  = &H80B9???
%GL_POST_COLOR_MATRIX_BLUE_BIAS_SGI                   = &H80BA???
%GL_POST_COLOR_MATRIX_ALPHA_BIAS_SGI                  = &H80BB???
#ENDIF

#IF NOT %DEF(%GL_SGI_color_table)
%GL_COLOR_TABLE_SGI                                   = &H80D0???
%GL_POST_CONVOLUTION_COLOR_TABLE_SGI                  = &H80D1???
%GL_POST_COLOR_MATRIX_COLOR_TABLE_SGI                 = &H80D2???
%GL_PROXY_COLOR_TABLE_SGI                             = &H80D3???
%GL_PROXY_POST_CONVOLUTION_COLOR_TABLE_SGI            = &H80D4???
%GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE_SGI           = &H80D5???
%GL_COLOR_TABLE_SCALE_SGI                             = &H80D6???
%GL_COLOR_TABLE_BIAS_SGI                              = &H80D7???
%GL_COLOR_TABLE_FORMAT_SGI                            = &H80D8???
%GL_COLOR_TABLE_WIDTH_SGI                             = &H80D9???
%GL_COLOR_TABLE_RED_SIZE_SGI                          = &H80DA???
%GL_COLOR_TABLE_GREEN_SIZE_SGI                        = &H80DB???
%GL_COLOR_TABLE_BLUE_SIZE_SGI                         = &H80DC???
%GL_COLOR_TABLE_ALPHA_SIZE_SGI                        = &H80DD???
%GL_COLOR_TABLE_LUMINANCE_SIZE_SGI                    = &H80DE???
%GL_COLOR_TABLE_INTENSITY_SIZE_SGI                    = &H80DF???
#ENDIF

#IF NOT %DEF(%GL_SGIS_pixel_texture)
%GL_PIXEL_TEXTURE_SGIS                                = &H8353???
%GL_PIXEL_FRAGMENT_RGB_SOURCE_SGIS                    = &H8354???
%GL_PIXEL_FRAGMENT_ALPHA_SOURCE_SGIS                  = &H8355???
%GL_PIXEL_GROUP_COLOR_SGIS                            = &H8356???
#ENDIF

#IF NOT %DEF(%GL_SGIX_pixel_texture)
%GL_PIXEL_TEX_GEN_SGIX                                = &H8139???
%GL_PIXEL_TEX_GEN_MODE_SGIX                           = &H832B???
#ENDIF

#IF NOT %DEF(%GL_SGIS_texture4D)
%GL_PACK_SKIP_VOLUMES_SGIS                            = &H8130???
%GL_PACK_IMAGE_DEPTH_SGIS                             = &H8131???
%GL_UNPACK_SKIP_VOLUMES_SGIS                          = &H8132???
%GL_UNPACK_IMAGE_DEPTH_SGIS                           = &H8133???
%GL_TEXTURE_4D_SGIS                                   = &H8134???
%GL_PROXY_TEXTURE_4D_SGIS                             = &H8135???
%GL_TEXTURE_4DSIZE_SGIS                               = &H8136???
%GL_TEXTURE_WRAP_Q_SGIS                               = &H8137???
%GL_MAX_4D_TEXTURE_SIZE_SGIS                          = &H8138???
%GL_TEXTURE_4D_BINDING_SGIS                           = &H814F???
#ENDIF

#IF NOT %DEF(%GL_SGI_texture_color_table)
%GL_TEXTURE_COLOR_TABLE_SGI                           = &H80BC???
%GL_PROXY_TEXTURE_COLOR_TABLE_SGI                     = &H80BD???
#ENDIF

#IF NOT %DEF(%GL_EXT_cmyka)
%GL_CMYK_EXT                                          = &H800C???
%GL_CMYKA_EXT                                         = &H800D???
%GL_PACK_CMYK_HINT_EXT                                = &H800E???
%GL_UNPACK_CMYK_HINT_EXT                              = &H800F???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_object)
%GL_TEXTURE_PRIORITY_EXT                              = &H8066???
%GL_TEXTURE_RESIDENT_EXT                              = &H8067???
%GL_TEXTURE_1D_BINDING_EXT                            = &H8068???
%GL_TEXTURE_2D_BINDING_EXT                            = &H8069???
%GL_TEXTURE_3D_BINDING_EXT                            = &H806A???
#ENDIF

#IF NOT %DEF(%GL_SGIS_detail_texture)
%GL_DETAIL_TEXTURE_2D_SGIS                            = &H8095???
%GL_DETAIL_TEXTURE_2D_BINDING_SGIS                    = &H8096???
%GL_LINEAR_DETAIL_SGIS                                = &H8097???
%GL_LINEAR_DETAIL_ALPHA_SGIS                          = &H8098???
%GL_LINEAR_DETAIL_COLOR_SGIS                          = &H8099???
%GL_DETAIL_TEXTURE_LEVEL_SGIS                         = &H809A???
%GL_DETAIL_TEXTURE_MODE_SGIS                          = &H809B???
%GL_DETAIL_TEXTURE_FUNC_POINTS_SGIS                   = &H809C???
#ENDIF

#IF NOT %DEF(%GL_SGIS_sharpen_texture)
%GL_LINEAR_SHARPEN_SGIS                               = &H80AD???
%GL_LINEAR_SHARPEN_ALPHA_SGIS                         = &H80AE???
%GL_LINEAR_SHARPEN_COLOR_SGIS                         = &H80AF???
%GL_SHARPEN_TEXTURE_FUNC_POINTS_SGIS                  = &H80B0???
#ENDIF

#IF NOT %DEF(%GL_EXT_packed_pixels)
%GL_UNSIGNED_BYTE_3_3_2_EXT                           = &H8032???
%GL_UNSIGNED_SHORT_4_4_4_4_EXT                        = &H8033???
%GL_UNSIGNED_SHORT_5_5_5_1_EXT                        = &H8034???
%GL_UNSIGNED_INT_8_8_8_8_EXT                          = &H8035???
%GL_UNSIGNED_INT_10_10_10_2_EXT                       = &H8036???
#ENDIF

#IF NOT %DEF(%GL_SGIS_texture_lod)
%GL_TEXTURE_MIN_LOD_SGIS                              = &H813A???
%GL_TEXTURE_MAX_LOD_SGIS                              = &H813B???
%GL_TEXTURE_BASE_LEVEL_SGIS                           = &H813C???
%GL_TEXTURE_MAX_LEVEL_SGIS                            = &H813D???
#ENDIF

#IF NOT %DEF(%GL_SGIS_multisample)
%GL_MULTISAMPLE_SGIS                                  = &H809D???
%GL_SAMPLE_ALPHA_TO_MASK_SGIS                         = &H809E???
%GL_SAMPLE_ALPHA_TO_ONE_SGIS                          = &H809F???
%GL_SAMPLE_MASK_SGIS                                  = &H80A0???
%GL_1PASS_SGIS                                        = &H80A1???
%GL_2PASS_0_SGIS                                      = &H80A2???
%GL_2PASS_1_SGIS                                      = &H80A3???
%GL_4PASS_0_SGIS                                      = &H80A4???
%GL_4PASS_1_SGIS                                      = &H80A5???
%GL_4PASS_2_SGIS                                      = &H80A6???
%GL_4PASS_3_SGIS                                      = &H80A7???
%GL_SAMPLE_BUFFERS_SGIS                               = &H80A8???
%GL_SAMPLES_SGIS                                      = &H80A9???
%GL_SAMPLE_MASK_VALUE_SGIS                            = &H80AA???
%GL_SAMPLE_MASK_INVERT_SGIS                           = &H80AB???
%GL_SAMPLE_PATTERN_SGIS                               = &H80AC???
#ENDIF

#IF NOT %DEF(%GL_EXT_rescale_normal)
%GL_RESCALE_NORMAL_EXT                                = &H803A???
#ENDIF

#IF NOT %DEF(%GL_EXT_vertex_array)
%GL_VERTEX_ARRAY_EXT                                  = &H8074???
%GL_NORMAL_ARRAY_EXT                                  = &H8075???
%GL_COLOR_ARRAY_EXT                                   = &H8076???
%GL_INDEX_ARRAY_EXT                                   = &H8077???
%GL_TEXTURE_COORD_ARRAY_EXT                           = &H8078???
%GL_EDGE_FLAG_ARRAY_EXT                               = &H8079???
%GL_VERTEX_ARRAY_SIZE_EXT                             = &H807A???
%GL_VERTEX_ARRAY_TYPE_EXT                             = &H807B???
%GL_VERTEX_ARRAY_STRIDE_EXT                           = &H807C???
%GL_VERTEX_ARRAY_COUNT_EXT                            = &H807D???
%GL_NORMAL_ARRAY_TYPE_EXT                             = &H807E???
%GL_NORMAL_ARRAY_STRIDE_EXT                           = &H807F???
%GL_NORMAL_ARRAY_COUNT_EXT                            = &H8080???
%GL_COLOR_ARRAY_SIZE_EXT                              = &H8081???
%GL_COLOR_ARRAY_TYPE_EXT                              = &H8082???
%GL_COLOR_ARRAY_STRIDE_EXT                            = &H8083???
%GL_COLOR_ARRAY_COUNT_EXT                             = &H8084???
%GL_INDEX_ARRAY_TYPE_EXT                              = &H8085???
%GL_INDEX_ARRAY_STRIDE_EXT                            = &H8086???
%GL_INDEX_ARRAY_COUNT_EXT                             = &H8087???
%GL_TEXTURE_COORD_ARRAY_SIZE_EXT                      = &H8088???
%GL_TEXTURE_COORD_ARRAY_TYPE_EXT                      = &H8089???
%GL_TEXTURE_COORD_ARRAY_STRIDE_EXT                    = &H808A???
%GL_TEXTURE_COORD_ARRAY_COUNT_EXT                     = &H808B???
%GL_EDGE_FLAG_ARRAY_STRIDE_EXT                        = &H808C???
%GL_EDGE_FLAG_ARRAY_COUNT_EXT                         = &H808D???
%GL_VERTEX_ARRAY_POINTER_EXT                          = &H808E???
%GL_NORMAL_ARRAY_POINTER_EXT                          = &H808F???
%GL_COLOR_ARRAY_POINTER_EXT                           = &H8090???
%GL_INDEX_ARRAY_POINTER_EXT                           = &H8091???
%GL_TEXTURE_COORD_ARRAY_POINTER_EXT                   = &H8092???
%GL_EDGE_FLAG_ARRAY_POINTER_EXT                       = &H8093???
#ENDIF

#IF NOT %DEF(%GL_EXT_misc_attribute)
#ENDIF

#IF NOT %DEF(%GL_SGIS_generate_mipmap)
%GL_GENERATE_MIPMAP_SGIS                              = &H8191???
%GL_GENERATE_MIPMAP_HINT_SGIS                         = &H8192???
#ENDIF

#IF NOT %DEF(%GL_SGIX_clipmap)
%GL_LINEAR_CLIPMAP_LINEAR_SGIX                        = &H8170???
%GL_TEXTURE_CLIPMAP_CENTER_SGIX                       = &H8171???
%GL_TEXTURE_CLIPMAP_FRAME_SGIX                        = &H8172???
%GL_TEXTURE_CLIPMAP_OFFSET_SGIX                       = &H8173???
%GL_TEXTURE_CLIPMAP_VIRTUAL_DEPTH_SGIX                = &H8174???
%GL_TEXTURE_CLIPMAP_LOD_OFFSET_SGIX                   = &H8175???
%GL_TEXTURE_CLIPMAP_DEPTH_SGIX                        = &H8176???
%GL_MAX_CLIPMAP_DEPTH_SGIX                            = &H8177???
%GL_MAX_CLIPMAP_VIRTUAL_DEPTH_SGIX                    = &H8178???
%GL_NEAREST_CLIPMAP_NEAREST_SGIX                      = &H844D???
%GL_NEAREST_CLIPMAP_LINEAR_SGIX                       = &H844E???
%GL_LINEAR_CLIPMAP_NEAREST_SGIX                       = &H844F???
#ENDIF

#IF NOT %DEF(%GL_SGIX_shadow)
%GL_TEXTURE_COMPARE_SGIX                              = &H819A???
%GL_TEXTURE_COMPARE_OPERATOR_SGIX                     = &H819B???
%GL_TEXTURE_LEQUAL_R_SGIX                             = &H819C???
%GL_TEXTURE_GEQUAL_R_SGIX                             = &H819D???
#ENDIF

#IF NOT %DEF(%GL_SGIS_texture_edge_clamp)
%GL_CLAMP_TO_EDGE_SGIS                                = &H812F???
#ENDIF

#IF NOT %DEF(%GL_SGIS_texture_border_clamp)
%GL_CLAMP_TO_BORDER_SGIS                              = &H812D???
#ENDIF

#IF NOT %DEF(%GL_EXT_blend_minmax)
%GL_FUNC_ADD_EXT                                      = &H8006???
%GL_MIN_EXT                                           = &H8007???
%GL_MAX_EXT                                           = &H8008???
%GL_BLEND_EQUATION_EXT                                = &H8009???
#ENDIF

#IF NOT %DEF(%GL_EXT_blend_subtract)
%GL_FUNC_SUBTRACT_EXT                                 = &H800A???
%GL_FUNC_REVERSE_SUBTRACT_EXT                         = &H800B???
#ENDIF

#IF NOT %DEF(%GL_EXT_blend_logic_op)
#ENDIF

#IF NOT %DEF(%GL_SGIX_interlace)
%GL_INTERLACE_SGIX                                    = &H8094???
#ENDIF

#IF NOT %DEF(%GL_SGIX_pixel_tiles)
%GL_PIXEL_TILE_BEST_ALIGNMENT_SGIX                    = &H813E???
%GL_PIXEL_TILE_CACHE_INCREMENT_SGIX                   = &H813F???
%GL_PIXEL_TILE_WIDTH_SGIX                             = &H8140???
%GL_PIXEL_TILE_HEIGHT_SGIX                            = &H8141???
%GL_PIXEL_TILE_GRID_WIDTH_SGIX                        = &H8142???
%GL_PIXEL_TILE_GRID_HEIGHT_SGIX                       = &H8143???
%GL_PIXEL_TILE_GRID_DEPTH_SGIX                        = &H8144???
%GL_PIXEL_TILE_CACHE_SIZE_SGIX                        = &H8145???
#ENDIF

#IF NOT %DEF(%GL_SGIS_texture_select)
%GL_DUAL_ALPHA4_SGIS                                  = &H8110???
%GL_DUAL_ALPHA8_SGIS                                  = &H8111???
%GL_DUAL_ALPHA12_SGIS                                 = &H8112???
%GL_DUAL_ALPHA16_SGIS                                 = &H8113???
%GL_DUAL_LUMINANCE4_SGIS                              = &H8114???
%GL_DUAL_LUMINANCE8_SGIS                              = &H8115???
%GL_DUAL_LUMINANCE12_SGIS                             = &H8116???
%GL_DUAL_LUMINANCE16_SGIS                             = &H8117???
%GL_DUAL_INTENSITY4_SGIS                              = &H8118???
%GL_DUAL_INTENSITY8_SGIS                              = &H8119???
%GL_DUAL_INTENSITY12_SGIS                             = &H811A???
%GL_DUAL_INTENSITY16_SGIS                             = &H811B???
%GL_DUAL_LUMINANCE_ALPHA4_SGIS                        = &H811C???
%GL_DUAL_LUMINANCE_ALPHA8_SGIS                        = &H811D???
%GL_QUAD_ALPHA4_SGIS                                  = &H811E???
%GL_QUAD_ALPHA8_SGIS                                  = &H811F???
%GL_QUAD_LUMINANCE4_SGIS                              = &H8120???
%GL_QUAD_LUMINANCE8_SGIS                              = &H8121???
%GL_QUAD_INTENSITY4_SGIS                              = &H8122???
%GL_QUAD_INTENSITY8_SGIS                              = &H8123???
%GL_DUAL_TEXTURE_SELECT_SGIS                          = &H8124???
%GL_QUAD_TEXTURE_SELECT_SGIS                          = &H8125???
#ENDIF

#IF NOT %DEF(%GL_SGIX_sprite)
%GL_SPRITE_SGIX                                       = &H8148???
%GL_SPRITE_MODE_SGIX                                  = &H8149???
%GL_SPRITE_AXIS_SGIX                                  = &H814A???
%GL_SPRITE_TRANSLATION_SGIX                           = &H814B???
%GL_SPRITE_AXIAL_SGIX                                 = &H814C???
%GL_SPRITE_OBJECT_ALIGNED_SGIX                        = &H814D???
%GL_SPRITE_EYE_ALIGNED_SGIX                           = &H814E???
#ENDIF

#IF NOT %DEF(%GL_SGIX_texture_multi_buffer)
%GL_TEXTURE_MULTI_BUFFER_HINT_SGIX                    = &H812E???
#ENDIF

#IF NOT %DEF(%GL_EXT_point_parameters)
%GL_POINT_SIZE_MIN_EXT                                = &H8126???
%GL_POINT_SIZE_MAX_EXT                                = &H8127???
%GL_POINT_FADE_THRESHOLD_SIZE_EXT                     = &H8128???
%GL_DISTANCE_ATTENUATION_EXT                          = &H8129???
#ENDIF

#IF NOT %DEF(%GL_SGIS_point_parameters)
%GL_POINT_SIZE_MIN_SGIS                               = &H8126???
%GL_POINT_SIZE_MAX_SGIS                               = &H8127???
%GL_POINT_FADE_THRESHOLD_SIZE_SGIS                    = &H8128???
%GL_DISTANCE_ATTENUATION_SGIS                         = &H8129???
#ENDIF

#IF NOT %DEF(%GL_SGIX_instruments)
%GL_INSTRUMENT_BUFFER_POINTER_SGIX                    = &H8180???
%GL_INSTRUMENT_MEASUREMENTS_SGIX                      = &H8181???
#ENDIF

#IF NOT %DEF(%GL_SGIX_texture_scale_bias)
%GL_POST_TEXTURE_FILTER_BIAS_SGIX                     = &H8179???
%GL_POST_TEXTURE_FILTER_SCALE_SGIX                    = &H817A???
%GL_POST_TEXTURE_FILTER_BIAS_RANGE_SGIX               = &H817B???
%GL_POST_TEXTURE_FILTER_SCALE_RANGE_SGIX              = &H817C???
#ENDIF

#IF NOT %DEF(%GL_SGIX_framezoom)
%GL_FRAMEZOOM_SGIX                                    = &H818B???
%GL_FRAMEZOOM_FACTOR_SGIX                             = &H818C???
%GL_MAX_FRAMEZOOM_FACTOR_SGIX                         = &H818D???
#ENDIF

#IF NOT %DEF(%GL_SGIX_tag_sample_buffer)
#ENDIF

#IF NOT %DEF(%GL_FfdMaskSGIX)
%GL_TEXTURE_DEFORMATION_BIT_SGIX                      = &H00000001???
%GL_GEOMETRY_DEFORMATION_BIT_SGIX                     = &H00000002???
#ENDIF

#IF NOT %DEF(%GL_SGIX_polynomial_ffd)
%GL_GEOMETRY_DEFORMATION_SGIX                         = &H8194???
%GL_TEXTURE_DEFORMATION_SGIX                          = &H8195???
%GL_DEFORMATIONS_MASK_SGIX                            = &H8196???
%GL_MAX_DEFORMATION_ORDER_SGIX                        = &H8197???
#ENDIF

#IF NOT %DEF(%GL_SGIX_reference_plane)
%GL_REFERENCE_PLANE_SGIX                              = &H817D???
%GL_REFERENCE_PLANE_EQUATION_SGIX                     = &H817E???
#ENDIF

#IF NOT %DEF(%GL_SGIX_flush_raster)
#ENDIF

#IF NOT %DEF(%GL_SGIX_depth_texture)
%GL_DEPTH_COMPONENT16_SGIX                            = &H81A5???
%GL_DEPTH_COMPONENT24_SGIX                            = &H81A6???
%GL_DEPTH_COMPONENT32_SGIX                            = &H81A7???
#ENDIF

#IF NOT %DEF(%GL_SGIS_fog_function)
%GL_FOG_FUNC_SGIS                                     = &H812A???
%GL_FOG_FUNC_POINTS_SGIS                              = &H812B???
%GL_MAX_FOG_FUNC_POINTS_SGIS                          = &H812C???
#ENDIF

#IF NOT %DEF(%GL_SGIX_fog_offset)
%GL_FOG_OFFSET_SGIX                                   = &H8198???
%GL_FOG_OFFSET_VALUE_SGIX                             = &H8199???
#ENDIF

#IF NOT %DEF(%GL_HP_image_transform)
%GL_IMAGE_SCALE_X_HP                                  = &H8155???
%GL_IMAGE_SCALE_Y_HP                                  = &H8156???
%GL_IMAGE_TRANSLATE_X_HP                              = &H8157???
%GL_IMAGE_TRANSLATE_Y_HP                              = &H8158???
%GL_IMAGE_ROTATE_ANGLE_HP                             = &H8159???
%GL_IMAGE_ROTATE_ORIGIN_X_HP                          = &H815A???
%GL_IMAGE_ROTATE_ORIGIN_Y_HP                          = &H815B???
%GL_IMAGE_MAG_FILTER_HP                               = &H815C???
%GL_IMAGE_MIN_FILTER_HP                               = &H815D???
%GL_IMAGE_CUBIC_WEIGHT_HP                             = &H815E???
%GL_CUBIC_HP                                          = &H815F???
%GL_AVERAGE_HP                                        = &H8160???
%GL_IMAGE_TRANSFORM_2D_HP                             = &H8161???
%GL_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP               = &H8162???
%GL_PROXY_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP         = &H8163???
#ENDIF

#IF NOT %DEF(%GL_HP_convolution_border_modes)
%GL_IGNORE_BORDER_HP                                  = &H8150???
%GL_CONSTANT_BORDER_HP                                = &H8151???
%GL_REPLICATE_BORDER_HP                               = &H8153???
%GL_CONVOLUTION_BORDER_COLOR_HP                       = &H8154???
#ENDIF

#IF NOT %DEF(%GL_INGR_palette_buffer)
#ENDIF

#IF NOT %DEF(%GL_SGIX_texture_add_env)
%GL_TEXTURE_ENV_BIAS_SGIX                             = &H80BE???
#ENDIF

#IF NOT %DEF(%GL_EXT_color_subtable)
#ENDIF

#IF NOT %DEF(%GL_PGI_vertex_hints)
%GL_VERTEX_DATA_HINT_PGI                              = &H1A22A???
%GL_VERTEX_CONSISTENT_HINT_PGI                        = &H1A22B???
%GL_MATERIAL_SIDE_HINT_PGI                            = &H1A22C???
%GL_MAX_VERTEX_HINT_PGI                               = &H1A22D???
%GL_COLOR3_BIT_PGI                                    = &H00010000???
%GL_COLOR4_BIT_PGI                                    = &H00020000???
%GL_EDGEFLAG_BIT_PGI                                  = &H00040000???
%GL_INDEX_BIT_PGI                                     = &H00080000???
%GL_MAT_AMBIENT_BIT_PGI                               = &H00100000???
%GL_MAT_AMBIENT_AND_DIFFUSE_BIT_PGI                   = &H00200000???
%GL_MAT_DIFFUSE_BIT_PGI                               = &H00400000???
%GL_MAT_EMISSION_BIT_PGI                              = &H00800000???
%GL_MAT_COLOR_INDEXES_BIT_PGI                         = &H01000000???
%GL_MAT_SHININESS_BIT_PGI                             = &H02000000???
%GL_MAT_SPECULAR_BIT_PGI                              = &H04000000???
%GL_NORMAL_BIT_PGI                                    = &H08000000???
%GL_TEXCOORD1_BIT_PGI                                 = &H10000000???
%GL_TEXCOORD2_BIT_PGI                                 = &H20000000???
%GL_TEXCOORD3_BIT_PGI                                 = &H40000000???
%GL_TEXCOORD4_BIT_PGI                                 = &H80000000???
%GL_VERTEX23_BIT_PGI                                  = &H00000004???
%GL_VERTEX4_BIT_PGI                                   = &H00000008???
#ENDIF

#IF NOT %DEF(%GL_PGI_misc_hints)
%GL_PREFER_DOUBLEBUFFER_HINT_PGI                      = &H1A1F8???
%GL_CONSERVE_MEMORY_HINT_PGI                          = &H1A1FD???
%GL_RECLAIM_MEMORY_HINT_PGI                           = &H1A1FE???
%GL_NATIVE_GRAPHICS_HANDLE_PGI                        = &H1A202???
%GL_NATIVE_GRAPHICS_BEGIN_HINT_PGI                    = &H1A203???
%GL_NATIVE_GRAPHICS_END_HINT_PGI                      = &H1A204???
%GL_ALWAYS_FAST_HINT_PGI                              = &H1A20C???
%GL_ALWAYS_SOFT_HINT_PGI                              = &H1A20D???
%GL_ALLOW_DRAW_OBJ_HINT_PGI                           = &H1A20E???
%GL_ALLOW_DRAW_WIN_HINT_PGI                           = &H1A20F???
%GL_ALLOW_DRAW_FRG_HINT_PGI                           = &H1A210???
%GL_ALLOW_DRAW_MEM_HINT_PGI                           = &H1A211???
%GL_STRICT_DEPTHFUNC_HINT_PGI                         = &H1A216???
%GL_STRICT_LIGHTING_HINT_PGI                          = &H1A217???
%GL_STRICT_SCISSOR_HINT_PGI                           = &H1A218???
%GL_FULL_STIPPLE_HINT_PGI                             = &H1A219???
%GL_CLIP_NEAR_HINT_PGI                                = &H1A220???
%GL_CLIP_FAR_HINT_PGI                                 = &H1A221???
%GL_WIDE_LINE_HINT_PGI                                = &H1A222???
%GL_BACK_NORMALS_HINT_PGI                             = &H1A223???
#ENDIF

#IF NOT %DEF(%GL_EXT_paletted_texture)
%GL_COLOR_INDEX1_EXT                                  = &H80E2???
%GL_COLOR_INDEX2_EXT                                  = &H80E3???
%GL_COLOR_INDEX4_EXT                                  = &H80E4???
%GL_COLOR_INDEX8_EXT                                  = &H80E5???
%GL_COLOR_INDEX12_EXT                                 = &H80E6???
%GL_COLOR_INDEX16_EXT                                 = &H80E7???
%GL_TEXTURE_INDEX_SIZE_EXT                            = &H80ED???
#ENDIF

#IF NOT %DEF(%GL_EXT_clip_volume_hint)
%GL_CLIP_VOLUME_CLIPPING_HINT_EXT                     = &H80F0???
#ENDIF

#IF NOT %DEF(%GL_SGIX_list_priority)
%GL_LIST_PRIORITY_SGIX                                = &H8182???
#ENDIF

#IF NOT %DEF(%GL_SGIX_ir_instrument1)
%GL_IR_INSTRUMENT1_SGIX                               = &H817F???
#ENDIF

#IF NOT %DEF(%GL_SGIX_calligraphic_fragment)
%GL_CALLIGRAPHIC_FRAGMENT_SGIX                        = &H8183???
#ENDIF

#IF NOT %DEF(%GL_SGIX_texture_lod_bias)
%GL_TEXTURE_LOD_BIAS_S_SGIX                           = &H818E???
%GL_TEXTURE_LOD_BIAS_T_SGIX                           = &H818F???
%GL_TEXTURE_LOD_BIAS_R_SGIX                           = &H8190???
#ENDIF

#IF NOT %DEF(%GL_SGIX_shadow_ambient)
%GL_SHADOW_AMBIENT_SGIX                               = &H80BF???
#ENDIF

#IF NOT %DEF(%GL_EXT_index_texture)
#ENDIF

#IF NOT %DEF(%GL_EXT_index_material)
%GL_INDEX_MATERIAL_EXT                                = &H81B8???
%GL_INDEX_MATERIAL_PARAMETER_EXT                      = &H81B9???
%GL_INDEX_MATERIAL_FACE_EXT                           = &H81BA???
#ENDIF

#IF NOT %DEF(%GL_EXT_index_func)
%GL_INDEX_TEST_EXT                                    = &H81B5???
%GL_INDEX_TEST_FUNC_EXT                               = &H81B6???
%GL_INDEX_TEST_REF_EXT                                = &H81B7???
#ENDIF

#IF NOT %DEF(%GL_EXT_index_array_formats)
%GL_IUI_V2F_EXT                                       = &H81AD???
%GL_IUI_V3F_EXT                                       = &H81AE???
%GL_IUI_N3F_V2F_EXT                                   = &H81AF???
%GL_IUI_N3F_V3F_EXT                                   = &H81B0???
%GL_T2F_IUI_V2F_EXT                                   = &H81B1???
%GL_T2F_IUI_V3F_EXT                                   = &H81B2???
%GL_T2F_IUI_N3F_V2F_EXT                               = &H81B3???
%GL_T2F_IUI_N3F_V3F_EXT                               = &H81B4???
#ENDIF

#IF NOT %DEF(%GL_EXT_compiled_vertex_array)
%GL_ARRAY_ELEMENT_LOCK_FIRST_EXT                      = &H81A8???
%GL_ARRAY_ELEMENT_LOCK_COUNT_EXT                      = &H81A9???
#ENDIF

#IF NOT %DEF(%GL_EXT_cull_vertex)
%GL_CULL_VERTEX_EXT                                   = &H81AA???
%GL_CULL_VERTEX_EYE_POSITION_EXT                      = &H81AB???
%GL_CULL_VERTEX_OBJECT_POSITION_EXT                   = &H81AC???
#ENDIF

#IF NOT %DEF(%GL_SGIX_ycrcb)
%GL_YCRCB_422_SGIX                                    = &H81BB???
%GL_YCRCB_444_SGIX                                    = &H81BC???
#ENDIF

#IF NOT %DEF(%GL_SGIX_fragment_lighting)
%GL_FRAGMENT_LIGHTING_SGIX                            = &H8400???
%GL_FRAGMENT_COLOR_MATERIAL_SGIX                      = &H8401???
%GL_FRAGMENT_COLOR_MATERIAL_FACE_SGIX                 = &H8402???
%GL_FRAGMENT_COLOR_MATERIAL_PARAMETER_SGIX            = &H8403???
%GL_MAX_FRAGMENT_LIGHTS_SGIX                          = &H8404???
%GL_MAX_ACTIVE_LIGHTS_SGIX                            = &H8405???
%GL_CURRENT_RASTER_NORMAL_SGIX                        = &H8406???
%GL_LIGHT_ENV_MODE_SGIX                               = &H8407???
%GL_FRAGMENT_LIGHT_MODEL_LOCAL_VIEWER_SGIX            = &H8408???
%GL_FRAGMENT_LIGHT_MODEL_TWO_SIDE_SGIX                = &H8409???
%GL_FRAGMENT_LIGHT_MODEL_AMBIENT_SGIX                 = &H840A???
%GL_FRAGMENT_LIGHT_MODEL_NORMAL_INTERPOLATION_SGIX    = &H840B???
%GL_FRAGMENT_LIGHT0_SGIX                              = &H840C???
%GL_FRAGMENT_LIGHT1_SGIX                              = &H840D???
%GL_FRAGMENT_LIGHT2_SGIX                              = &H840E???
%GL_FRAGMENT_LIGHT3_SGIX                              = &H840F???
%GL_FRAGMENT_LIGHT4_SGIX                              = &H8410???
%GL_FRAGMENT_LIGHT5_SGIX                              = &H8411???
%GL_FRAGMENT_LIGHT6_SGIX                              = &H8412???
%GL_FRAGMENT_LIGHT7_SGIX                              = &H8413???
#ENDIF

#IF NOT %DEF(%GL_IBM_rasterpos_clip)
%GL_RASTER_POSITION_UNCLIPPED_IBM                     = &H19262???
#ENDIF

#IF NOT %DEF(%GL_HP_texture_lighting)
%GL_TEXTURE_LIGHTING_MODE_HP                          = &H8167???
%GL_TEXTURE_POST_SPECULAR_HP                          = &H8168???
%GL_TEXTURE_PRE_SPECULAR_HP                           = &H8169???
#ENDIF

#IF NOT %DEF(%GL_EXT_draw_range_elements)
%GL_MAX_ELEMENTS_VERTICES_EXT                         = &H80E8???
%GL_MAX_ELEMENTS_INDICES_EXT                          = &H80E9???
#ENDIF

#IF NOT %DEF(%GL_WIN_phong_shading)
%GL_PHONG_WIN                                         = &H80EA???
%GL_PHONG_HINT_WIN                                    = &H80EB???
#ENDIF

#IF NOT %DEF(%GL_WIN_specular_fog)
%GL_FOG_SPECULAR_TEXTURE_WIN                          = &H80EC???
#ENDIF

#IF NOT %DEF(%GL_EXT_light_texture)
%GL_FRAGMENT_MATERIAL_EXT                             = &H8349???
%GL_FRAGMENT_NORMAL_EXT                               = &H834A???
%GL_FRAGMENT_COLOR_EXT                                = &H834C???
%GL_ATTENUATION_EXT                                   = &H834D???
%GL_SHADOW_ATTENUATION_EXT                            = &H834E???
%GL_TEXTURE_APPLICATION_MODE_EXT                      = &H834F???
%GL_TEXTURE_LIGHT_EXT                                 = &H8350???
%GL_TEXTURE_MATERIAL_FACE_EXT                         = &H8351???
%GL_TEXTURE_MATERIAL_PARAMETER_EXT                    = &H8352???
#ENDIF

#IF NOT %DEF(%GL_SGIX_blend_alpha_minmax)
%GL_ALPHA_MIN_SGIX                                    = &H8320???
%GL_ALPHA_MAX_SGIX                                    = &H8321???
#ENDIF

#IF NOT %DEF(%GL_SGIX_impact_pixel_texture)
%GL_PIXEL_TEX_GEN_Q_CEILING_SGIX                      = &H8184???
%GL_PIXEL_TEX_GEN_Q_ROUND_SGIX                        = &H8185???
%GL_PIXEL_TEX_GEN_Q_FLOOR_SGIX                        = &H8186???
%GL_PIXEL_TEX_GEN_ALPHA_REPLACE_SGIX                  = &H8187???
%GL_PIXEL_TEX_GEN_ALPHA_NO_REPLACE_SGIX               = &H8188???
%GL_PIXEL_TEX_GEN_ALPHA_LS_SGIX                       = &H8189???
%GL_PIXEL_TEX_GEN_ALPHA_MS_SGIX                       = &H818A???
#ENDIF

#IF NOT %DEF(%GL_EXT_bgra)
%GL_BGR_EXT                                           = &H80E0???
%GL_BGRA_EXT                                          = &H80E1???
#ENDIF

#IF NOT %DEF(%GL_SGIX_async)
%GL_ASYNC_MARKER_SGIX                                 = &H8329???
#ENDIF

#IF NOT %DEF(%GL_SGIX_async_pixel)
%GL_ASYNC_TEX_IMAGE_SGIX                              = &H835C???
%GL_ASYNC_DRAW_PIXELS_SGIX                            = &H835D???
%GL_ASYNC_READ_PIXELS_SGIX                            = &H835E???
%GL_MAX_ASYNC_TEX_IMAGE_SGIX                          = &H835F???
%GL_MAX_ASYNC_DRAW_PIXELS_SGIX                        = &H8360???
%GL_MAX_ASYNC_READ_PIXELS_SGIX                        = &H8361???
#ENDIF

#IF NOT %DEF(%GL_SGIX_async_histogram)
%GL_ASYNC_HISTOGRAM_SGIX                              = &H832C???
%GL_MAX_ASYNC_HISTOGRAM_SGIX                          = &H832D???
#ENDIF

#IF NOT %DEF(%GL_INTEL_texture_scissor)
#ENDIF

#IF NOT %DEF(%GL_INTEL_parallel_arrays)
%GL_PARALLEL_ARRAYS_INTEL                             = &H83F4???
%GL_VERTEX_ARRAY_PARALLEL_POINTERS_INTEL              = &H83F5???
%GL_NORMAL_ARRAY_PARALLEL_POINTERS_INTEL              = &H83F6???
%GL_COLOR_ARRAY_PARALLEL_POINTERS_INTEL               = &H83F7???
%GL_TEXTURE_COORD_ARRAY_PARALLEL_POINTERS_INTEL       = &H83F8???
#ENDIF

#IF NOT %DEF(%GL_HP_occlusion_test)
%GL_OCCLUSION_TEST_HP                                 = &H8165???
%GL_OCCLUSION_TEST_RESULT_HP                          = &H8166???
#ENDIF

#IF NOT %DEF(%GL_EXT_pixel_transform)
%GL_PIXEL_TRANSFORM_2D_EXT                            = &H8330???
%GL_PIXEL_MAG_FILTER_EXT                              = &H8331???
%GL_PIXEL_MIN_FILTER_EXT                              = &H8332???
%GL_PIXEL_CUBIC_WEIGHT_EXT                            = &H8333???
%GL_CUBIC_EXT                                         = &H8334???
%GL_AVERAGE_EXT                                       = &H8335???
%GL_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT                = &H8336???
%GL_MAX_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT            = &H8337???
%GL_PIXEL_TRANSFORM_2D_MATRIX_EXT                     = &H8338???
#ENDIF

#IF NOT %DEF(%GL_EXT_pixel_transform_color_table)
#ENDIF

#IF NOT %DEF(%GL_EXT_shared_texture_palette)
%GL_SHARED_TEXTURE_PALETTE_EXT                        = &H81FB???
#ENDIF

#IF NOT %DEF(%GL_EXT_separate_specular_color)
%GL_LIGHT_MODEL_COLOR_CONTROL_EXT                     = &H81F8???
%GL_SINGLE_COLOR_EXT                                  = &H81F9???
%GL_SEPARATE_SPECULAR_COLOR_EXT                       = &H81FA???
#ENDIF

#IF NOT %DEF(%GL_EXT_secondary_color)
%GL_COLOR_SUM_EXT                                     = &H8458???
%GL_CURRENT_SECONDARY_COLOR_EXT                       = &H8459???
%GL_SECONDARY_COLOR_ARRAY_SIZE_EXT                    = &H845A???
%GL_SECONDARY_COLOR_ARRAY_TYPE_EXT                    = &H845B???
%GL_SECONDARY_COLOR_ARRAY_STRIDE_EXT                  = &H845C???
%GL_SECONDARY_COLOR_ARRAY_POINTER_EXT                 = &H845D???
%GL_SECONDARY_COLOR_ARRAY_EXT                         = &H845E???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_perturb_normal)
%GL_PERTURB_EXT                                       = &H85AE???
%GL_TEXTURE_NORMAL_EXT                                = &H85AF???
#ENDIF

#IF NOT %DEF(%GL_EXT_multi_draw_arrays)
#ENDIF

#IF NOT %DEF(%GL_EXT_fog_coord)
%GL_FOG_COORDINATE_SOURCE_EXT                         = &H8450???
%GL_FOG_COORDINATE_EXT                                = &H8451???
%GL_FRAGMENT_DEPTH_EXT                                = &H8452???
%GL_CURRENT_FOG_COORDINATE_EXT                        = &H8453???
%GL_FOG_COORDINATE_ARRAY_TYPE_EXT                     = &H8454???
%GL_FOG_COORDINATE_ARRAY_STRIDE_EXT                   = &H8455???
%GL_FOG_COORDINATE_ARRAY_POINTER_EXT                  = &H8456???
%GL_FOG_COORDINATE_ARRAY_EXT                          = &H8457???
#ENDIF

#IF NOT %DEF(%GL_REND_screen_coordinates)
%GL_SCREEN_COORDINATES_REND                           = &H8490???
%GL_INVERTED_SCREEN_W_REND                            = &H8491???
#ENDIF

#IF NOT %DEF(%GL_EXT_coordinate_frame)
%GL_TANGENT_ARRAY_EXT                                 = &H8439???
%GL_BINORMAL_ARRAY_EXT                                = &H843A???
%GL_CURRENT_TANGENT_EXT                               = &H843B???
%GL_CURRENT_BINORMAL_EXT                              = &H843C???
%GL_TANGENT_ARRAY_TYPE_EXT                            = &H843E???
%GL_TANGENT_ARRAY_STRIDE_EXT                          = &H843F???
%GL_BINORMAL_ARRAY_TYPE_EXT                           = &H8440???
%GL_BINORMAL_ARRAY_STRIDE_EXT                         = &H8441???
%GL_TANGENT_ARRAY_POINTER_EXT                         = &H8442???
%GL_BINORMAL_ARRAY_POINTER_EXT                        = &H8443???
%GL_MAP1_TANGENT_EXT                                  = &H8444???
%GL_MAP2_TANGENT_EXT                                  = &H8445???
%GL_MAP1_BINORMAL_EXT                                 = &H8446???
%GL_MAP2_BINORMAL_EXT                                 = &H8447???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_env_combine)
%GL_COMBINE_EXT                                       = &H8570???
%GL_COMBINE_RGB_EXT                                   = &H8571???
%GL_COMBINE_ALPHA_EXT                                 = &H8572???
%GL_RGB_SCALE_EXT                                     = &H8573???
%GL_ADD_SIGNED_EXT                                    = &H8574???
%GL_INTERPOLATE_EXT                                   = &H8575???
%GL_CONSTANT_EXT                                      = &H8576???
%GL_PRIMARY_COLOR_EXT                                 = &H8577???
%GL_PREVIOUS_EXT                                      = &H8578???
%GL_SOURCE0_RGB_EXT                                   = &H8580???
%GL_SOURCE1_RGB_EXT                                   = &H8581???
%GL_SOURCE2_RGB_EXT                                   = &H8582???
%GL_SOURCE0_ALPHA_EXT                                 = &H8588???
%GL_SOURCE1_ALPHA_EXT                                 = &H8589???
%GL_SOURCE2_ALPHA_EXT                                 = &H858A???
%GL_OPERAND0_RGB_EXT                                  = &H8590???
%GL_OPERAND1_RGB_EXT                                  = &H8591???
%GL_OPERAND2_RGB_EXT                                  = &H8592???
%GL_OPERAND0_ALPHA_EXT                                = &H8598???
%GL_OPERAND1_ALPHA_EXT                                = &H8599???
%GL_OPERAND2_ALPHA_EXT                                = &H859A???
#ENDIF

#IF NOT %DEF(%GL_APPLE_specular_vector)
%GL_LIGHT_MODEL_SPECULAR_VECTOR_APPLE                 = &H85B0???
#ENDIF

#IF NOT %DEF(%GL_APPLE_transform_hint)
%GL_TRANSFORM_HINT_APPLE                              = &H85B1???
#ENDIF

#IF NOT %DEF(%GL_SGIX_fog_scale)
%GL_FOG_SCALE_SGIX                                    = &H81FC???
%GL_FOG_SCALE_VALUE_SGIX                              = &H81FD???
#ENDIF

#IF NOT %DEF(%GL_SUNX_constant_data)
%GL_UNPACK_CONSTANT_DATA_SUNX                         = &H81D5???
%GL_TEXTURE_CONSTANT_DATA_SUNX                        = &H81D6???
#ENDIF

#IF NOT %DEF(%GL_SUN_global_alpha)
%GL_GLOBAL_ALPHA_SUN                                  = &H81D9???
%GL_GLOBAL_ALPHA_FACTOR_SUN                           = &H81DA???
#ENDIF

#IF NOT %DEF(%GL_SUN_triangle_list)
%GL_RESTART_SUN                                       = &H0001???
%GL_REPLACE_MIDDLE_SUN                                = &H0002???
%GL_REPLACE_OLDEST_SUN                                = &H0003???
%GL_TRIANGLE_LIST_SUN                                 = &H81D7???
%GL_REPLACEMENT_CODE_SUN                              = &H81D8???
%GL_REPLACEMENT_CODE_ARRAY_SUN                        = &H85C0???
%GL_REPLACEMENT_CODE_ARRAY_TYPE_SUN                   = &H85C1???
%GL_REPLACEMENT_CODE_ARRAY_STRIDE_SUN                 = &H85C2???
%GL_REPLACEMENT_CODE_ARRAY_POINTER_SUN                = &H85C3???
%GL_R1UI_V3F_SUN                                      = &H85C4???
%GL_R1UI_C4UB_V3F_SUN                                 = &H85C5???
%GL_R1UI_C3F_V3F_SUN                                  = &H85C6???
%GL_R1UI_N3F_V3F_SUN                                  = &H85C7???
%GL_R1UI_C4F_N3F_V3F_SUN                              = &H85C8???
%GL_R1UI_T2F_V3F_SUN                                  = &H85C9???
%GL_R1UI_T2F_N3F_V3F_SUN                              = &H85CA???
%GL_R1UI_T2F_C4F_N3F_V3F_SUN                          = &H85CB???
#ENDIF

#IF NOT %DEF(%GL_SUN_vertex)
#ENDIF

#IF NOT %DEF(%GL_EXT_blend_func_separate)
%GL_BLEND_DST_RGB_EXT                                 = &H80C8???
%GL_BLEND_SRC_RGB_EXT                                 = &H80C9???
%GL_BLEND_DST_ALPHA_EXT                               = &H80CA???
%GL_BLEND_SRC_ALPHA_EXT                               = &H80CB???
#ENDIF

#IF NOT %DEF(%GL_INGR_color_clamp)
%GL_RED_MIN_CLAMP_INGR                                = &H8560???
%GL_GREEN_MIN_CLAMP_INGR                              = &H8561???
%GL_BLUE_MIN_CLAMP_INGR                               = &H8562???
%GL_ALPHA_MIN_CLAMP_INGR                              = &H8563???
%GL_RED_MAX_CLAMP_INGR                                = &H8564???
%GL_GREEN_MAX_CLAMP_INGR                              = &H8565???
%GL_BLUE_MAX_CLAMP_INGR                               = &H8566???
%GL_ALPHA_MAX_CLAMP_INGR                              = &H8567???
#ENDIF

#IF NOT %DEF(%GL_INGR_interlace_read)
%GL_INTERLACE_READ_INGR                               = &H8568???
#ENDIF

#IF NOT %DEF(%GL_EXT_stencil_wrap)
%GL_INCR_WRAP_EXT                                     = &H8507???
%GL_DECR_WRAP_EXT                                     = &H8508???
#ENDIF

#IF NOT %DEF(%GL_EXT_422_pixels)
%GL_422_EXT                                           = &H80CC???
%GL_422_REV_EXT                                       = &H80CD???
%GL_422_AVERAGE_EXT                                   = &H80CE???
%GL_422_REV_AVERAGE_EXT                               = &H80CF???
#ENDIF

#IF NOT %DEF(%GL_NV_texgen_reflection)
%GL_NORMAL_MAP_NV                                     = &H8511???
%GL_REFLECTION_MAP_NV                                 = &H8512???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_cube_map)
%GL_NORMAL_MAP_EXT                                    = &H8511???
%GL_REFLECTION_MAP_EXT                                = &H8512???
%GL_TEXTURE_CUBE_MAP_EXT                              = &H8513???
%GL_TEXTURE_BINDING_CUBE_MAP_EXT                      = &H8514???
%GL_TEXTURE_CUBE_MAP_POSITIVE_X_EXT                   = &H8515???
%GL_TEXTURE_CUBE_MAP_NEGATIVE_X_EXT                   = &H8516???
%GL_TEXTURE_CUBE_MAP_POSITIVE_Y_EXT                   = &H8517???
%GL_TEXTURE_CUBE_MAP_NEGATIVE_Y_EXT                   = &H8518???
%GL_TEXTURE_CUBE_MAP_POSITIVE_Z_EXT                   = &H8519???
%GL_TEXTURE_CUBE_MAP_NEGATIVE_Z_EXT                   = &H851A???
%GL_PROXY_TEXTURE_CUBE_MAP_EXT                        = &H851B???
%GL_MAX_CUBE_MAP_TEXTURE_SIZE_EXT                     = &H851C???
#ENDIF

#IF NOT %DEF(%GL_SUN_convolution_border_modes)
%GL_WRAP_BORDER_SUN                                   = &H81D4???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_env_add)
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_lod_bias)
%GL_MAX_TEXTURE_LOD_BIAS_EXT                          = &H84FD???
%GL_TEXTURE_FILTER_CONTROL_EXT                        = &H8500???
%GL_TEXTURE_LOD_BIAS_EXT                              = &H8501???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_filter_anisotropic)
%GL_TEXTURE_MAX_ANISOTROPY_EXT                        = &H84FE???
%GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT                    = &H84FF???
#ENDIF

#IF NOT %DEF(%GL_EXT_vertex_weighting)
%GL_MODELVIEW_STACK_DEPTH                             = &H0BA3???
%GL_MODELVIEW_MATRIX                                  = &H0BA6???
%GL_MODELVIEW                                         = &H1700???

%GL_MODELVIEW0_STACK_DEPTH_EXT                        = %GL_MODELVIEW_STACK_DEPTH
%GL_MODELVIEW1_STACK_DEPTH_EXT                        = &H8502???
%GL_MODELVIEW0_MATRIX_EXT                             = %GL_MODELVIEW_MATRIX
%GL_MODELVIEW1_MATRIX_EXT                             = &H8506???
%GL_VERTEX_WEIGHTING_EXT                              = &H8509???
%GL_MODELVIEW0_EXT                                    = %GL_MODELVIEW
%GL_MODELVIEW1_EXT                                    = &H850A???
%GL_CURRENT_VERTEX_WEIGHT_EXT                         = &H850B???
%GL_VERTEX_WEIGHT_ARRAY_EXT                           = &H850C???
%GL_VERTEX_WEIGHT_ARRAY_SIZE_EXT                      = &H850D???
%GL_VERTEX_WEIGHT_ARRAY_TYPE_EXT                      = &H850E???
%GL_VERTEX_WEIGHT_ARRAY_STRIDE_EXT                    = &H850F???
%GL_VERTEX_WEIGHT_ARRAY_POINTER_EXT                   = &H8510???
#ENDIF

#IF NOT %DEF(%GL_NV_light_max_exponent)
%GL_MAX_SHININESS_NV                                  = &H8504???
%GL_MAX_SPOT_EXPONENT_NV                              = &H8505???
#ENDIF

#IF NOT %DEF(%GL_NV_vertex_array_range)
%GL_VERTEX_ARRAY_RANGE_NV                             = &H851D???
%GL_VERTEX_ARRAY_RANGE_LENGTH_NV                      = &H851E???
%GL_VERTEX_ARRAY_RANGE_VALID_NV                       = &H851F???
%GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV                 = &H8520???
%GL_VERTEX_ARRAY_RANGE_POINTER_NV                     = &H8521???
#ENDIF

#IF NOT %DEF(%GL_NV_register_combiners)
%GL_REGISTER_COMBINERS_NV                             = &H8522???
%GL_VARIABLE_A_NV                                     = &H8523???
%GL_VARIABLE_B_NV                                     = &H8524???
%GL_VARIABLE_C_NV                                     = &H8525???
%GL_VARIABLE_D_NV                                     = &H8526???
%GL_VARIABLE_E_NV                                     = &H8527???
%GL_VARIABLE_F_NV                                     = &H8528???
%GL_VARIABLE_G_NV                                     = &H8529???
%GL_CONSTANT_COLOR0_NV                                = &H852A???
%GL_CONSTANT_COLOR1_NV                                = &H852B???
%GL_PRIMARY_COLOR_NV                                  = &H852C???
%GL_SECONDARY_COLOR_NV                                = &H852D???
%GL_SPARE0_NV                                         = &H852E???
%GL_SPARE1_NV                                         = &H852F???
%GL_DISCARD_NV                                        = &H8530???
%GL_E_TIMES_F_NV                                      = &H8531???
%GL_SPARE0_PLUS_SECONDARY_COLOR_NV                    = &H8532???
%GL_UNSIGNED_IDENTITY_NV                              = &H8536???
%GL_UNSIGNED_INVERT_NV                                = &H8537???
%GL_EXPAND_NORMAL_NV                                  = &H8538???
%GL_EXPAND_NEGATE_NV                                  = &H8539???
%GL_HALF_BIAS_NORMAL_NV                               = &H853A???
%GL_HALF_BIAS_NEGATE_NV                               = &H853B???
%GL_SIGNED_IDENTITY_NV                                = &H853C???
%GL_SIGNED_NEGATE_NV                                  = &H853D???
%GL_SCALE_BY_TWO_NV                                   = &H853E???
%GL_SCALE_BY_FOUR_NV                                  = &H853F???
%GL_SCALE_BY_ONE_HALF_NV                              = &H8540???
%GL_BIAS_BY_NEGATIVE_ONE_HALF_NV                      = &H8541???
%GL_COMBINER_INPUT_NV                                 = &H8542???
%GL_COMBINER_MAPPING_NV                               = &H8543???
%GL_COMBINER_COMPONENT_USAGE_NV                       = &H8544???
%GL_COMBINER_AB_DOT_PRODUCT_NV                        = &H8545???
%GL_COMBINER_CD_DOT_PRODUCT_NV                        = &H8546???
%GL_COMBINER_MUX_SUM_NV                               = &H8547???
%GL_COMBINER_SCALE_NV                                 = &H8548???
%GL_COMBINER_BIAS_NV                                  = &H8549???
%GL_COMBINER_AB_OUTPUT_NV                             = &H854A???
%GL_COMBINER_CD_OUTPUT_NV                             = &H854B???
%GL_COMBINER_SUM_OUTPUT_NV                            = &H854C???
%GL_MAX_GENERAL_COMBINERS_NV                          = &H854D???
%GL_NUM_GENERAL_COMBINERS_NV                          = &H854E???
%GL_COLOR_SUM_CLAMP_NV                                = &H854F???
%GL_COMBINER0_NV                                      = &H8550???
%GL_COMBINER1_NV                                      = &H8551???
%GL_COMBINER2_NV                                      = &H8552???
%GL_COMBINER3_NV                                      = &H8553???
%GL_COMBINER4_NV                                      = &H8554???
%GL_COMBINER5_NV                                      = &H8555???
%GL_COMBINER6_NV                                      = &H8556???
%GL_COMBINER7_NV                                      = &H8557???
#ENDIF

#IF NOT %DEF(%GL_NV_fog_distance)
%GL_FOG_DISTANCE_MODE_NV                              = &H855A???
%GL_EYE_RADIAL_NV                                     = &H855B???
%GL_EYE_PLANE_ABSOLUTE_NV                             = &H855C???
#ENDIF

#IF NOT %DEF(%GL_NV_texgen_emboss)
%GL_EMBOSS_LIGHT_NV                                   = &H855D???
%GL_EMBOSS_CONSTANT_NV                                = &H855E???
%GL_EMBOSS_MAP_NV                                     = &H855F???
#ENDIF

#IF NOT %DEF(%GL_NV_blend_square)
#ENDIF

#IF NOT %DEF(%GL_NV_texture_env_combine4)
%GL_COMBINE4_NV                                       = &H8503???
%GL_SOURCE3_RGB_NV                                    = &H8583???
%GL_SOURCE3_ALPHA_NV                                  = &H858B???
%GL_OPERAND3_RGB_NV                                   = &H8593???
%GL_OPERAND3_ALPHA_NV                                 = &H859B???
#ENDIF

#IF NOT %DEF(%GL_MESA_resize_buffers)
#ENDIF

#IF NOT %DEF(%GL_MESA_window_pos)
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_compression_s3tc)
%GL_COMPRESSED_RGB_S3TC_DXT1_EXT                      = &H83F0???
%GL_COMPRESSED_RGBA_S3TC_DXT1_EXT                     = &H83F1???
%GL_COMPRESSED_RGBA_S3TC_DXT3_EXT                     = &H83F2???
%GL_COMPRESSED_RGBA_S3TC_DXT5_EXT                     = &H83F3???
#ENDIF

#IF NOT %DEF(%GL_IBM_cull_vertex)
%GL_CULL_VERTEX_IBM                                   = 103050???
#ENDIF

#IF NOT %DEF(%GL_IBM_multimode_draw_arrays)
#ENDIF

#IF NOT %DEF(%GL_IBM_vertex_array_lists)
%GL_VERTEX_ARRAY_LIST_IBM                             = 103070???
%GL_NORMAL_ARRAY_LIST_IBM                             = 103071???
%GL_COLOR_ARRAY_LIST_IBM                              = 103072???
%GL_INDEX_ARRAY_LIST_IBM                              = 103073???
%GL_TEXTURE_COORD_ARRAY_LIST_IBM                      = 103074???
%GL_EDGE_FLAG_ARRAY_LIST_IBM                          = 103075???
%GL_FOG_COORDINATE_ARRAY_LIST_IBM                     = 103076???
%GL_SECONDARY_COLOR_ARRAY_LIST_IBM                    = 103077???
%GL_VERTEX_ARRAY_LIST_STRIDE_IBM                      = 103080???
%GL_NORMAL_ARRAY_LIST_STRIDE_IBM                      = 103081???
%GL_COLOR_ARRAY_LIST_STRIDE_IBM                       = 103082???
%GL_INDEX_ARRAY_LIST_STRIDE_IBM                       = 103083???
%GL_TEXTURE_COORD_ARRAY_LIST_STRIDE_IBM               = 103084???
%GL_EDGE_FLAG_ARRAY_LIST_STRIDE_IBM                   = 103085???
%GL_FOG_COORDINATE_ARRAY_LIST_STRIDE_IBM              = 103086???
%GL_SECONDARY_COLOR_ARRAY_LIST_STRIDE_IBM             = 103087???
#ENDIF

#IF NOT %DEF(%GL_SGIX_subsample)
%GL_PACK_SUBSAMPLE_RATE_SGIX                          = &H85A0???
%GL_UNPACK_SUBSAMPLE_RATE_SGIX                        = &H85A1???
%GL_PIXEL_SUBSAMPLE_4444_SGIX                         = &H85A2???
%GL_PIXEL_SUBSAMPLE_2424_SGIX                         = &H85A3???
%GL_PIXEL_SUBSAMPLE_4242_SGIX                         = &H85A4???
#ENDIF

#IF NOT %DEF(%GL_SGIX_ycrcb_subsample)
#ENDIF

#IF NOT %DEF(%GL_SGIX_ycrcba)
%GL_YCRCB_SGIX                                        = &H8318???
%GL_YCRCBA_SGIX                                       = &H8319???
#ENDIF

#IF NOT %DEF(%GL_SGI_depth_pass_instrument)
%GL_DEPTH_PASS_INSTRUMENT_SGIX                        = &H8310???
%GL_DEPTH_PASS_INSTRUMENT_COUNTERS_SGIX               = &H8311???
%GL_DEPTH_PASS_INSTRUMENT_MAX_SGIX                    = &H8312???
#ENDIF

#IF NOT %DEF(%GL_3DFX_texture_compression_FXT1)
%GL_COMPRESSED_RGB_FXT1_3DFX                          = &H86B0???
%GL_COMPRESSED_RGBA_FXT1_3DFX                         = &H86B1???
#ENDIF

#IF NOT %DEF(%GL_3DFX_multisample)
%GL_MULTISAMPLE_3DFX                                  = &H86B2???
%GL_SAMPLE_BUFFERS_3DFX                               = &H86B3???
%GL_SAMPLES_3DFX                                      = &H86B4???
%GL_MULTISAMPLE_BIT_3DFX                              = &H20000000???
#ENDIF

#IF NOT %DEF(%GL_3DFX_tbuffer)
#ENDIF

#IF NOT %DEF(%GL_EXT_multisample)
%GL_MULTISAMPLE_EXT                                   = &H809D???
%GL_SAMPLE_ALPHA_TO_MASK_EXT                          = &H809E???
%GL_SAMPLE_ALPHA_TO_ONE_EXT                           = &H809F???
%GL_SAMPLE_MASK_EXT                                   = &H80A0???
%GL_1PASS_EXT                                         = &H80A1???
%GL_2PASS_0_EXT                                       = &H80A2???
%GL_2PASS_1_EXT                                       = &H80A3???
%GL_4PASS_0_EXT                                       = &H80A4???
%GL_4PASS_1_EXT                                       = &H80A5???
%GL_4PASS_2_EXT                                       = &H80A6???
%GL_4PASS_3_EXT                                       = &H80A7???
%GL_SAMPLE_BUFFERS_EXT                                = &H80A8???
%GL_SAMPLES_EXT                                       = &H80A9???
%GL_SAMPLE_MASK_VALUE_EXT                             = &H80AA???
%GL_SAMPLE_MASK_INVERT_EXT                            = &H80AB???
%GL_SAMPLE_PATTERN_EXT                                = &H80AC???
%GL_MULTISAMPLE_BIT_EXT                               = &H20000000???
#ENDIF

#IF NOT %DEF(%GL_SGIX_vertex_preclip)
%GL_VERTEX_PRECLIP_SGIX                               = &H83EE???
%GL_VERTEX_PRECLIP_HINT_SGIX                          = &H83EF???
#ENDIF

#IF NOT %DEF(%GL_SGIX_convolution_accuracy)
%GL_CONVOLUTION_HINT_SGIX                             = &H8316???
#ENDIF

#IF NOT %DEF(%GL_SGIX_resample)
%GL_PACK_RESAMPLE_SGIX                                = &H842C???
%GL_UNPACK_RESAMPLE_SGIX                              = &H842D???
%GL_RESAMPLE_REPLICATE_SGIX                           = &H842E???
%GL_RESAMPLE_ZERO_FILL_SGIX                           = &H842F???
%GL_RESAMPLE_DECIMATE_SGIX                            = &H8430???
#ENDIF

#IF NOT %DEF(%GL_SGIS_point_line_texgen)
%GL_EYE_DISTANCE_TO_POINT_SGIS                        = &H81F0???
%GL_OBJECT_DISTANCE_TO_POINT_SGIS                     = &H81F1???
%GL_EYE_DISTANCE_TO_LINE_SGIS                         = &H81F2???
%GL_OBJECT_DISTANCE_TO_LINE_SGIS                      = &H81F3???
%GL_EYE_POINT_SGIS                                    = &H81F4???
%GL_OBJECT_POINT_SGIS                                 = &H81F5???
%GL_EYE_LINE_SGIS                                     = &H81F6???
%GL_OBJECT_LINE_SGIS                                  = &H81F7???
#ENDIF

#IF NOT %DEF(%GL_SGIS_texture_color_mask)
%GL_TEXTURE_COLOR_WRITEMASK_SGIS                      = &H81EF???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_env_dot3)
%GL_DOT3_RGB_EXT                                      = &H8740???
%GL_DOT3_RGBA_EXT                                     = &H8741???
#ENDIF

#IF NOT %DEF(%GL_ATI_texture_mirror_once)
%GL_MIRROR_CLAMP_ATI                                  = &H8742???
%GL_MIRROR_CLAMP_TO_EDGE_ATI                          = &H8743???
#ENDIF

#IF NOT %DEF(%GL_NV_fence)
%GL_ALL_COMPLETED_NV                                  = &H84F2???
%GL_FENCE_STATUS_NV                                   = &H84F3???
%GL_FENCE_CONDITION_NV                                = &H84F4???
#ENDIF

#IF NOT %DEF(%GL_IBM_texture_mirrored_repeat)
%GL_MIRRORED_REPEAT_IBM                               = &H8370???
#ENDIF

#IF NOT %DEF(%GL_NV_evaluators)
%GL_EVAL_2D_NV                                        = &H86C0???
%GL_EVAL_TRIANGULAR_2D_NV                             = &H86C1???
%GL_MAP_TESSELLATION_NV                               = &H86C2???
%GL_MAP_ATTRIB_U_ORDER_NV                             = &H86C3???
%GL_MAP_ATTRIB_V_ORDER_NV                             = &H86C4???
%GL_EVAL_FRACTIONAL_TESSELLATION_NV                   = &H86C5???
%GL_EVAL_VERTEX_ATTRIB0_NV                            = &H86C6???
%GL_EVAL_VERTEX_ATTRIB1_NV                            = &H86C7???
%GL_EVAL_VERTEX_ATTRIB2_NV                            = &H86C8???
%GL_EVAL_VERTEX_ATTRIB3_NV                            = &H86C9???
%GL_EVAL_VERTEX_ATTRIB4_NV                            = &H86CA???
%GL_EVAL_VERTEX_ATTRIB5_NV                            = &H86CB???
%GL_EVAL_VERTEX_ATTRIB6_NV                            = &H86CC???
%GL_EVAL_VERTEX_ATTRIB7_NV                            = &H86CD???
%GL_EVAL_VERTEX_ATTRIB8_NV                            = &H86CE???
%GL_EVAL_VERTEX_ATTRIB9_NV                            = &H86CF???
%GL_EVAL_VERTEX_ATTRIB10_NV                           = &H86D0???
%GL_EVAL_VERTEX_ATTRIB11_NV                           = &H86D1???
%GL_EVAL_VERTEX_ATTRIB12_NV                           = &H86D2???
%GL_EVAL_VERTEX_ATTRIB13_NV                           = &H86D3???
%GL_EVAL_VERTEX_ATTRIB14_NV                           = &H86D4???
%GL_EVAL_VERTEX_ATTRIB15_NV                           = &H86D5???
%GL_MAX_MAP_TESSELLATION_NV                           = &H86D6???
%GL_MAX_RATIONAL_EVAL_ORDER_NV                        = &H86D7???
#ENDIF

#IF NOT %DEF(%GL_NV_packed_depth_stencil)
%GL_DEPTH_STENCIL_NV                                  = &H84F9???
%GL_UNSIGNED_INT_24_8_NV                              = &H84FA???
#ENDIF

#IF NOT %DEF(%GL_NV_register_combiners2)
%GL_PER_STAGE_CONSTANTS_NV                            = &H8535???
#ENDIF

#IF NOT %DEF(%GL_NV_texture_compression_vtc)
#ENDIF

#IF NOT %DEF(%GL_NV_texture_rectangle)
%GL_TEXTURE_RECTANGLE_NV                              = &H84F5???
%GL_TEXTURE_BINDING_RECTANGLE_NV                      = &H84F6???
%GL_PROXY_TEXTURE_RECTANGLE_NV                        = &H84F7???
%GL_MAX_RECTANGLE_TEXTURE_SIZE_NV                     = &H84F8???
#ENDIF

#IF NOT %DEF(%GL_NV_texture_shader)
%GL_OFFSET_TEXTURE_RECTANGLE_NV                       = &H864C???
%GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV                 = &H864D???
%GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV                  = &H864E???
%GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV              = &H86D9???
%GL_UNSIGNED_INT_S8_S8_8_8_NV                         = &H86DA???
%GL_UNSIGNED_INT_8_8_S8_S8_REV_NV                     = &H86DB???
%GL_DSDT_MAG_INTENSITY_NV                             = &H86DC???
%GL_SHADER_CONSISTENT_NV                              = &H86DD???
%GL_TEXTURE_SHADER_NV                                 = &H86DE???
%GL_SHADER_OPERATION_NV                               = &H86DF???
%GL_CULL_MODES_NV                                     = &H86E0???
%GL_OFFSET_TEXTURE_MATRIX_NV                          = &H86E1???
%GL_OFFSET_TEXTURE_SCALE_NV                           = &H86E2???
%GL_OFFSET_TEXTURE_BIAS_NV                            = &H86E3???
%GL_OFFSET_TEXTURE_2D_MATRIX_NV                       = %GL_OFFSET_TEXTURE_MATRIX_NV
%GL_OFFSET_TEXTURE_2D_SCALE_NV                        = %GL_OFFSET_TEXTURE_SCALE_NV
%GL_OFFSET_TEXTURE_2D_BIAS_NV                         = %GL_OFFSET_TEXTURE_BIAS_NV
%GL_PREVIOUS_TEXTURE_INPUT_NV                         = &H86E4???
%GL_CONST_EYE_NV                                      = &H86E5???
%GL_PASS_THROUGH_NV                                   = &H86E6???
%GL_CULL_FRAGMENT_NV                                  = &H86E7???
%GL_OFFSET_TEXTURE_2D_NV                              = &H86E8???
%GL_DEPENDENT_AR_TEXTURE_2D_NV                        = &H86E9???
%GL_DEPENDENT_GB_TEXTURE_2D_NV                        = &H86EA???
%GL_DOT_PRODUCT_NV                                    = &H86EC???
%GL_DOT_PRODUCT_DEPTH_REPLACE_NV                      = &H86ED???
%GL_DOT_PRODUCT_TEXTURE_2D_NV                         = &H86EE???
%GL_DOT_PRODUCT_TEXTURE_CUBE_MAP_NV                   = &H86F0???
%GL_DOT_PRODUCT_DIFFUSE_CUBE_MAP_NV                   = &H86F1???
%GL_DOT_PRODUCT_REFLECT_CUBE_MAP_NV                   = &H86F2???
%GL_DOT_PRODUCT_CONST_EYE_REFLECT_CUBE_MAP_NV         = &H86F3???
%GL_HILO_NV                                           = &H86F4???
%GL_DSDT_NV                                           = &H86F5???
%GL_DSDT_MAG_NV                                       = &H86F6???
%GL_DSDT_MAG_VIB_NV                                   = &H86F7???
%GL_HILO16_NV                                         = &H86F8???
%GL_SIGNED_HILO_NV                                    = &H86F9???
%GL_SIGNED_HILO16_NV                                  = &H86FA???
%GL_SIGNED_RGBA_NV                                    = &H86FB???
%GL_SIGNED_RGBA8_NV                                   = &H86FC???
%GL_SIGNED_RGB_NV                                     = &H86FE???
%GL_SIGNED_RGB8_NV                                    = &H86FF???
%GL_SIGNED_LUMINANCE_NV                               = &H8701???
%GL_SIGNED_LUMINANCE8_NV                              = &H8702???
%GL_SIGNED_LUMINANCE_ALPHA_NV                         = &H8703???
%GL_SIGNED_LUMINANCE8_ALPHA8_NV                       = &H8704???
%GL_SIGNED_ALPHA_NV                                   = &H8705???
%GL_SIGNED_ALPHA8_NV                                  = &H8706???
%GL_SIGNED_INTENSITY_NV                               = &H8707???
%GL_SIGNED_INTENSITY8_NV                              = &H8708???
%GL_DSDT8_NV                                          = &H8709???
%GL_DSDT8_MAG8_NV                                     = &H870A???
%GL_DSDT8_MAG8_INTENSITY8_NV                          = &H870B???
%GL_SIGNED_RGB_UNSIGNED_ALPHA_NV                      = &H870C???
%GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV                    = &H870D???
%GL_HI_SCALE_NV                                       = &H870E???
%GL_LO_SCALE_NV                                       = &H870F???
%GL_DS_SCALE_NV                                       = &H8710???
%GL_DT_SCALE_NV                                       = &H8711???
%GL_MAGNITUDE_SCALE_NV                                = &H8712???
%GL_VIBRANCE_SCALE_NV                                 = &H8713???
%GL_HI_BIAS_NV                                        = &H8714???
%GL_LO_BIAS_NV                                        = &H8715???
%GL_DS_BIAS_NV                                        = &H8716???
%GL_DT_BIAS_NV                                        = &H8717???
%GL_MAGNITUDE_BIAS_NV                                 = &H8718???
%GL_VIBRANCE_BIAS_NV                                  = &H8719???
%GL_TEXTURE_BORDER_VALUES_NV                          = &H871A???
%GL_TEXTURE_HI_SIZE_NV                                = &H871B???
%GL_TEXTURE_LO_SIZE_NV                                = &H871C???
%GL_TEXTURE_DS_SIZE_NV                                = &H871D???
%GL_TEXTURE_DT_SIZE_NV                                = &H871E???
%GL_TEXTURE_MAG_SIZE_NV                               = &H871F???
#ENDIF

#IF NOT %DEF(%GL_NV_texture_shader2)
%GL_DOT_PRODUCT_TEXTURE_3D_NV                         = &H86EF???
#ENDIF

#IF NOT %DEF(%GL_NV_vertex_array_range2)
%GL_VERTEX_ARRAY_RANGE_WITHOUT_FLUSH_NV               = &H8533???
#ENDIF

#IF NOT %DEF(%GL_NV_vertex_program)
%GL_VERTEX_PROGRAM_NV                                 = &H8620???
%GL_VERTEX_STATE_PROGRAM_NV                           = &H8621???
%GL_ATTRIB_ARRAY_SIZE_NV                              = &H8623???
%GL_ATTRIB_ARRAY_STRIDE_NV                            = &H8624???
%GL_ATTRIB_ARRAY_TYPE_NV                              = &H8625???
%GL_CURRENT_ATTRIB_NV                                 = &H8626???
%GL_PROGRAM_LENGTH_NV                                 = &H8627???
%GL_PROGRAM_STRING_NV                                 = &H8628???
%GL_MODELVIEW_PROJECTION_NV                           = &H8629???
%GL_IDENTITY_NV                                       = &H862A???
%GL_INVERSE_NV                                        = &H862B???
%GL_TRANSPOSE_NV                                      = &H862C???
%GL_INVERSE_TRANSPOSE_NV                              = &H862D???
%GL_MAX_TRACK_MATRIX_STACK_DEPTH_NV                   = &H862E???
%GL_MAX_TRACK_MATRICES_NV                             = &H862F???
%GL_MATRIX0_NV                                        = &H8630???
%GL_MATRIX1_NV                                        = &H8631???
%GL_MATRIX2_NV                                        = &H8632???
%GL_MATRIX3_NV                                        = &H8633???
%GL_MATRIX4_NV                                        = &H8634???
%GL_MATRIX5_NV                                        = &H8635???
%GL_MATRIX6_NV                                        = &H8636???
%GL_MATRIX7_NV                                        = &H8637???
%GL_CURRENT_MATRIX_STACK_DEPTH_NV                     = &H8640???
%GL_CURRENT_MATRIX_NV                                 = &H8641???
%GL_VERTEX_PROGRAM_POINT_SIZE_NV                      = &H8642???
%GL_VERTEX_PROGRAM_TWO_SIDE_NV                        = &H8643???
%GL_PROGRAM_PARAMETER_NV                              = &H8644???
%GL_ATTRIB_ARRAY_POINTER_NV                           = &H8645???
%GL_PROGRAM_TARGET_NV                                 = &H8646???
%GL_PROGRAM_RESIDENT_NV                               = &H8647???
%GL_TRACK_MATRIX_NV                                   = &H8648???
%GL_TRACK_MATRIX_TRANSFORM_NV                         = &H8649???
%GL_VERTEX_PROGRAM_BINDING_NV                         = &H864A???
%GL_PROGRAM_ERROR_POSITION_NV                         = &H864B???
%GL_VERTEX_ATTRIB_ARRAY0_NV                           = &H8650???
%GL_VERTEX_ATTRIB_ARRAY1_NV                           = &H8651???
%GL_VERTEX_ATTRIB_ARRAY2_NV                           = &H8652???
%GL_VERTEX_ATTRIB_ARRAY3_NV                           = &H8653???
%GL_VERTEX_ATTRIB_ARRAY4_NV                           = &H8654???
%GL_VERTEX_ATTRIB_ARRAY5_NV                           = &H8655???
%GL_VERTEX_ATTRIB_ARRAY6_NV                           = &H8656???
%GL_VERTEX_ATTRIB_ARRAY7_NV                           = &H8657???
%GL_VERTEX_ATTRIB_ARRAY8_NV                           = &H8658???
%GL_VERTEX_ATTRIB_ARRAY9_NV                           = &H8659???
%GL_VERTEX_ATTRIB_ARRAY10_NV                          = &H865A???
%GL_VERTEX_ATTRIB_ARRAY11_NV                          = &H865B???
%GL_VERTEX_ATTRIB_ARRAY12_NV                          = &H865C???
%GL_VERTEX_ATTRIB_ARRAY13_NV                          = &H865D???
%GL_VERTEX_ATTRIB_ARRAY14_NV                          = &H865E???
%GL_VERTEX_ATTRIB_ARRAY15_NV                          = &H865F???
%GL_MAP1_VERTEX_ATTRIB0_4_NV                          = &H8660???
%GL_MAP1_VERTEX_ATTRIB1_4_NV                          = &H8661???
%GL_MAP1_VERTEX_ATTRIB2_4_NV                          = &H8662???
%GL_MAP1_VERTEX_ATTRIB3_4_NV                          = &H8663???
%GL_MAP1_VERTEX_ATTRIB4_4_NV                          = &H8664???
%GL_MAP1_VERTEX_ATTRIB5_4_NV                          = &H8665???
%GL_MAP1_VERTEX_ATTRIB6_4_NV                          = &H8666???
%GL_MAP1_VERTEX_ATTRIB7_4_NV                          = &H8667???
%GL_MAP1_VERTEX_ATTRIB8_4_NV                          = &H8668???
%GL_MAP1_VERTEX_ATTRIB9_4_NV                          = &H8669???
%GL_MAP1_VERTEX_ATTRIB10_4_NV                         = &H866A???
%GL_MAP1_VERTEX_ATTRIB11_4_NV                         = &H866B???
%GL_MAP1_VERTEX_ATTRIB12_4_NV                         = &H866C???
%GL_MAP1_VERTEX_ATTRIB13_4_NV                         = &H866D???
%GL_MAP1_VERTEX_ATTRIB14_4_NV                         = &H866E???
%GL_MAP1_VERTEX_ATTRIB15_4_NV                         = &H866F???
%GL_MAP2_VERTEX_ATTRIB0_4_NV                          = &H8670???
%GL_MAP2_VERTEX_ATTRIB1_4_NV                          = &H8671???
%GL_MAP2_VERTEX_ATTRIB2_4_NV                          = &H8672???
%GL_MAP2_VERTEX_ATTRIB3_4_NV                          = &H8673???
%GL_MAP2_VERTEX_ATTRIB4_4_NV                          = &H8674???
%GL_MAP2_VERTEX_ATTRIB5_4_NV                          = &H8675???
%GL_MAP2_VERTEX_ATTRIB6_4_NV                          = &H8676???
%GL_MAP2_VERTEX_ATTRIB7_4_NV                          = &H8677???
%GL_MAP2_VERTEX_ATTRIB8_4_NV                          = &H8678???
%GL_MAP2_VERTEX_ATTRIB9_4_NV                          = &H8679???
%GL_MAP2_VERTEX_ATTRIB10_4_NV                         = &H867A???
%GL_MAP2_VERTEX_ATTRIB11_4_NV                         = &H867B???
%GL_MAP2_VERTEX_ATTRIB12_4_NV                         = &H867C???
%GL_MAP2_VERTEX_ATTRIB13_4_NV                         = &H867D???
%GL_MAP2_VERTEX_ATTRIB14_4_NV                         = &H867E???
%GL_MAP2_VERTEX_ATTRIB15_4_NV                         = &H867F???
#ENDIF

#IF NOT %DEF(%GL_SGIX_texture_coordinate_clamp)
%GL_TEXTURE_MAX_CLAMP_S_SGIX                          = &H8369???
%GL_TEXTURE_MAX_CLAMP_T_SGIX                          = &H836A???
%GL_TEXTURE_MAX_CLAMP_R_SGIX                          = &H836B???
#ENDIF

#IF NOT %DEF(%GL_SGIX_scalebias_hint)
%GL_SCALEBIAS_HINT_SGIX                               = &H8322???
#ENDIF

#IF NOT %DEF(%GL_OML_interlace)
%GL_INTERLACE_OML                                     = &H8980???
%GL_INTERLACE_READ_OML                                = &H8981???
#ENDIF

#IF NOT %DEF(%GL_OML_subsample)
%GL_FORMAT_SUBSAMPLE_24_24_OML                        = &H8982???
%GL_FORMAT_SUBSAMPLE_244_244_OML                      = &H8983???
#ENDIF

#IF NOT %DEF(%GL_OML_resample)
%GL_PACK_RESAMPLE_OML                                 = &H8984???
%GL_UNPACK_RESAMPLE_OML                               = &H8985???
%GL_RESAMPLE_REPLICATE_OML                            = &H8986???
%GL_RESAMPLE_ZERO_FILL_OML                            = &H8987???
%GL_RESAMPLE_AVERAGE_OML                              = &H8988???
%GL_RESAMPLE_DECIMATE_OML                             = &H8989???
#ENDIF

#IF NOT %DEF(%GL_NV_copy_depth_to_color)
%GL_DEPTH_STENCIL_TO_RGBA_NV                          = &H886E???
%GL_DEPTH_STENCIL_TO_BGRA_NV                          = &H886F???
#ENDIF

#IF NOT %DEF(%GL_ATI_envmap_bumpmap)
%GL_BUMP_ROT_MATRIX_ATI                               = &H8775???
%GL_BUMP_ROT_MATRIX_SIZE_ATI                          = &H8776???
%GL_BUMP_NUM_TEX_UNITS_ATI                            = &H8777???
%GL_BUMP_TEX_UNITS_ATI                                = &H8778???
%GL_DUDV_ATI                                          = &H8779???
%GL_DU8DV8_ATI                                        = &H877A???
%GL_BUMP_ENVMAP_ATI                                   = &H877B???
%GL_BUMP_TARGET_ATI                                   = &H877C???
#ENDIF

#IF NOT %DEF(%GL_ATI_fragment_shader)
%GL_FRAGMENT_SHADER_ATI                               = &H8920???
%GL_REG_0_ATI                                         = &H8921???
%GL_REG_1_ATI                                         = &H8922???
%GL_REG_2_ATI                                         = &H8923???
%GL_REG_3_ATI                                         = &H8924???
%GL_REG_4_ATI                                         = &H8925???
%GL_REG_5_ATI                                         = &H8926???
%GL_REG_6_ATI                                         = &H8927???
%GL_REG_7_ATI                                         = &H8928???
%GL_REG_8_ATI                                         = &H8929???
%GL_REG_9_ATI                                         = &H892A???
%GL_REG_10_ATI                                        = &H892B???
%GL_REG_11_ATI                                        = &H892C???
%GL_REG_12_ATI                                        = &H892D???
%GL_REG_13_ATI                                        = &H892E???
%GL_REG_14_ATI                                        = &H892F???
%GL_REG_15_ATI                                        = &H8930???
%GL_REG_16_ATI                                        = &H8931???
%GL_REG_17_ATI                                        = &H8932???
%GL_REG_18_ATI                                        = &H8933???
%GL_REG_19_ATI                                        = &H8934???
%GL_REG_20_ATI                                        = &H8935???
%GL_REG_21_ATI                                        = &H8936???
%GL_REG_22_ATI                                        = &H8937???
%GL_REG_23_ATI                                        = &H8938???
%GL_REG_24_ATI                                        = &H8939???
%GL_REG_25_ATI                                        = &H893A???
%GL_REG_26_ATI                                        = &H893B???
%GL_REG_27_ATI                                        = &H893C???
%GL_REG_28_ATI                                        = &H893D???
%GL_REG_29_ATI                                        = &H893E???
%GL_REG_30_ATI                                        = &H893F???
%GL_REG_31_ATI                                        = &H8940???
%GL_CON_0_ATI                                         = &H8941???
%GL_CON_1_ATI                                         = &H8942???
%GL_CON_2_ATI                                         = &H8943???
%GL_CON_3_ATI                                         = &H8944???
%GL_CON_4_ATI                                         = &H8945???
%GL_CON_5_ATI                                         = &H8946???
%GL_CON_6_ATI                                         = &H8947???
%GL_CON_7_ATI                                         = &H8948???
%GL_CON_8_ATI                                         = &H8949???
%GL_CON_9_ATI                                         = &H894A???
%GL_CON_10_ATI                                        = &H894B???
%GL_CON_11_ATI                                        = &H894C???
%GL_CON_12_ATI                                        = &H894D???
%GL_CON_13_ATI                                        = &H894E???
%GL_CON_14_ATI                                        = &H894F???
%GL_CON_15_ATI                                        = &H8950???
%GL_CON_16_ATI                                        = &H8951???
%GL_CON_17_ATI                                        = &H8952???
%GL_CON_18_ATI                                        = &H8953???
%GL_CON_19_ATI                                        = &H8954???
%GL_CON_20_ATI                                        = &H8955???
%GL_CON_21_ATI                                        = &H8956???
%GL_CON_22_ATI                                        = &H8957???
%GL_CON_23_ATI                                        = &H8958???
%GL_CON_24_ATI                                        = &H8959???
%GL_CON_25_ATI                                        = &H895A???
%GL_CON_26_ATI                                        = &H895B???
%GL_CON_27_ATI                                        = &H895C???
%GL_CON_28_ATI                                        = &H895D???
%GL_CON_29_ATI                                        = &H895E???
%GL_CON_30_ATI                                        = &H895F???
%GL_CON_31_ATI                                        = &H8960???
%GL_MOV_ATI                                           = &H8961???
%GL_ADD_ATI                                           = &H8963???
%GL_MUL_ATI                                           = &H8964???
%GL_SUB_ATI                                           = &H8965???
%GL_DOT3_ATI                                          = &H8966???
%GL_DOT4_ATI                                          = &H8967???
%GL_MAD_ATI                                           = &H8968???
%GL_LERP_ATI                                          = &H8969???
%GL_CND_ATI                                           = &H896A???
%GL_CND0_ATI                                          = &H896B???
%GL_DOT2_ADD_ATI                                      = &H896C???
%GL_SECONDARY_INTERPOLATOR_ATI                        = &H896D???
%GL_NUM_FRAGMENT_REGISTERS_ATI                        = &H896E???
%GL_NUM_FRAGMENT_CONSTANTS_ATI                        = &H896F???
%GL_NUM_PASSES_ATI                                    = &H8970???
%GL_NUM_INSTRUCTIONS_PER_PASS_ATI                     = &H8971???
%GL_NUM_INSTRUCTIONS_TOTAL_ATI                        = &H8972???
%GL_NUM_INPUT_INTERPOLATOR_COMPONENTS_ATI             = &H8973???
%GL_NUM_LOOPBACK_COMPONENTS_ATI                       = &H8974???
%GL_COLOR_ALPHA_PAIRING_ATI                           = &H8975???
%GL_SWIZZLE_STR_ATI                                   = &H8976???
%GL_SWIZZLE_STQ_ATI                                   = &H8977???
%GL_SWIZZLE_STR_DR_ATI                                = &H8978???
%GL_SWIZZLE_STQ_DQ_ATI                                = &H8979???
%GL_SWIZZLE_STRQ_ATI                                  = &H897A???
%GL_SWIZZLE_STRQ_DQ_ATI                               = &H897B???
%GL_RED_BIT_ATI                                       = &H00000001???
%GL_GREEN_BIT_ATI                                     = &H00000002???
%GL_BLUE_BIT_ATI                                      = &H00000004???
%GL_2X_BIT_ATI                                        = &H00000001???
%GL_4X_BIT_ATI                                        = &H00000002???
%GL_8X_BIT_ATI                                        = &H00000004???
%GL_HALF_BIT_ATI                                      = &H00000008???
%GL_QUARTER_BIT_ATI                                   = &H00000010???
%GL_EIGHTH_BIT_ATI                                    = &H00000020???
%GL_SATURATE_BIT_ATI                                  = &H00000040???
%GL_COMP_BIT_ATI                                      = &H00000002???
%GL_NEGATE_BIT_ATI                                    = &H00000004???
%GL_BIAS_BIT_ATI                                      = &H00000008???
#ENDIF

#IF NOT %DEF(%GL_ATI_pn_triangles)
%GL_PN_TRIANGLES_ATI                                  = &H87F0???
%GL_MAX_PN_TRIANGLES_TESSELATION_LEVEL_ATI            = &H87F1???
%GL_PN_TRIANGLES_POINT_MODE_ATI                       = &H87F2???
%GL_PN_TRIANGLES_NORMAL_MODE_ATI                      = &H87F3???
%GL_PN_TRIANGLES_TESSELATION_LEVEL_ATI                = &H87F4???
%GL_PN_TRIANGLES_POINT_MODE_LINEAR_ATI                = &H87F5???
%GL_PN_TRIANGLES_POINT_MODE_CUBIC_ATI                 = &H87F6???
%GL_PN_TRIANGLES_NORMAL_MODE_LINEAR_ATI               = &H87F7???
%GL_PN_TRIANGLES_NORMAL_MODE_QUADRATIC_ATI            = &H87F8???
#ENDIF

#IF NOT %DEF(%GL_ATI_vertex_array_object)
%GL_STATIC_ATI                                        = &H8760???
%GL_DYNAMIC_ATI                                       = &H8761???
%GL_PRESERVE_ATI                                      = &H8762???
%GL_DISCARD_ATI                                       = &H8763???
%GL_OBJECT_BUFFER_SIZE_ATI                            = &H8764???
%GL_OBJECT_BUFFER_USAGE_ATI                           = &H8765???
%GL_ARRAY_OBJECT_BUFFER_ATI                           = &H8766???
%GL_ARRAY_OBJECT_OFFSET_ATI                           = &H8767???
#ENDIF

#IF NOT %DEF(%GL_EXT_vertex_shader)
%GL_VERTEX_SHADER_EXT                                 = &H8780???
%GL_VERTEX_SHADER_BINDING_EXT                         = &H8781???
%GL_OP_INDEX_EXT                                      = &H8782???
%GL_OP_NEGATE_EXT                                     = &H8783???
%GL_OP_DOT3_EXT                                       = &H8784???
%GL_OP_DOT4_EXT                                       = &H8785???
%GL_OP_MUL_EXT                                        = &H8786???
%GL_OP_ADD_EXT                                        = &H8787???
%GL_OP_MADD_EXT                                       = &H8788???
%GL_OP_FRAC_EXT                                       = &H8789???
%GL_OP_MAX_EXT                                        = &H878A???
%GL_OP_MIN_EXT                                        = &H878B???
%GL_OP_SET_GE_EXT                                     = &H878C???
%GL_OP_SET_LT_EXT                                     = &H878D???
%GL_OP_CLAMP_EXT                                      = &H878E???
%GL_OP_FLOOR_EXT                                      = &H878F???
%GL_OP_ROUND_EXT                                      = &H8790???
%GL_OP_EXP_BASE_2_EXT                                 = &H8791???
%GL_OP_LOG_BASE_2_EXT                                 = &H8792???
%GL_OP_POWER_EXT                                      = &H8793???
%GL_OP_RECIP_EXT                                      = &H8794???
%GL_OP_RECIP_SQRT_EXT                                 = &H8795???
%GL_OP_SUB_EXT                                        = &H8796???
%GL_OP_CROSS_PRODUCT_EXT                              = &H8797???
%GL_OP_MULTIPLY_MATRIX_EXT                            = &H8798???
%GL_OP_MOV_EXT                                        = &H8799???
%GL_OUTPUT_VERTEX_EXT                                 = &H879A???
%GL_OUTPUT_COLOR0_EXT                                 = &H879B???
%GL_OUTPUT_COLOR1_EXT                                 = &H879C???
%GL_OUTPUT_TEXTURE_COORD0_EXT                         = &H879D???
%GL_OUTPUT_TEXTURE_COORD1_EXT                         = &H879E???
%GL_OUTPUT_TEXTURE_COORD2_EXT                         = &H879F???
%GL_OUTPUT_TEXTURE_COORD3_EXT                         = &H87A0???
%GL_OUTPUT_TEXTURE_COORD4_EXT                         = &H87A1???
%GL_OUTPUT_TEXTURE_COORD5_EXT                         = &H87A2???
%GL_OUTPUT_TEXTURE_COORD6_EXT                         = &H87A3???
%GL_OUTPUT_TEXTURE_COORD7_EXT                         = &H87A4???
%GL_OUTPUT_TEXTURE_COORD8_EXT                         = &H87A5???
%GL_OUTPUT_TEXTURE_COORD9_EXT                         = &H87A6???
%GL_OUTPUT_TEXTURE_COORD10_EXT                        = &H87A7???
%GL_OUTPUT_TEXTURE_COORD11_EXT                        = &H87A8???
%GL_OUTPUT_TEXTURE_COORD12_EXT                        = &H87A9???
%GL_OUTPUT_TEXTURE_COORD13_EXT                        = &H87AA???
%GL_OUTPUT_TEXTURE_COORD14_EXT                        = &H87AB???
%GL_OUTPUT_TEXTURE_COORD15_EXT                        = &H87AC???
%GL_OUTPUT_TEXTURE_COORD16_EXT                        = &H87AD???
%GL_OUTPUT_TEXTURE_COORD17_EXT                        = &H87AE???
%GL_OUTPUT_TEXTURE_COORD18_EXT                        = &H87AF???
%GL_OUTPUT_TEXTURE_COORD19_EXT                        = &H87B0???
%GL_OUTPUT_TEXTURE_COORD20_EXT                        = &H87B1???
%GL_OUTPUT_TEXTURE_COORD21_EXT                        = &H87B2???
%GL_OUTPUT_TEXTURE_COORD22_EXT                        = &H87B3???
%GL_OUTPUT_TEXTURE_COORD23_EXT                        = &H87B4???
%GL_OUTPUT_TEXTURE_COORD24_EXT                        = &H87B5???
%GL_OUTPUT_TEXTURE_COORD25_EXT                        = &H87B6???
%GL_OUTPUT_TEXTURE_COORD26_EXT                        = &H87B7???
%GL_OUTPUT_TEXTURE_COORD27_EXT                        = &H87B8???
%GL_OUTPUT_TEXTURE_COORD28_EXT                        = &H87B9???
%GL_OUTPUT_TEXTURE_COORD29_EXT                        = &H87BA???
%GL_OUTPUT_TEXTURE_COORD30_EXT                        = &H87BB???
%GL_OUTPUT_TEXTURE_COORD31_EXT                        = &H87BC???
%GL_OUTPUT_FOG_EXT                                    = &H87BD???
%GL_SCALAR_EXT                                        = &H87BE???
%GL_VECTOR_EXT                                        = &H87BF???
%GL_MATRIX_EXT                                        = &H87C0???
%GL_VARIANT_EXT                                       = &H87C1???
%GL_INVARIANT_EXT                                     = &H87C2???
%GL_LOCAL_CONSTANT_EXT                                = &H87C3???
%GL_LOCAL_EXT                                         = &H87C4???
%GL_MAX_VERTEX_SHADER_INSTRUCTIONS_EXT                = &H87C5???
%GL_MAX_VERTEX_SHADER_VARIANTS_EXT                    = &H87C6???
%GL_MAX_VERTEX_SHADER_INVARIANTS_EXT                  = &H87C7???
%GL_MAX_VERTEX_SHADER_LOCAL_CONSTANTS_EXT             = &H87C8???
%GL_MAX_VERTEX_SHADER_LOCALS_EXT                      = &H87C9???
%GL_MAX_OPTIMIZED_VERTEX_SHADER_INSTRUCTIONS_EXT      = &H87CA???
%GL_MAX_OPTIMIZED_VERTEX_SHADER_VARIANTS_EXT          = &H87CB???
%GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCAL_CONSTANTS_EXT   = &H87CC???
%GL_MAX_OPTIMIZED_VERTEX_SHADER_INVARIANTS_EXT        = &H87CD???
%GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCALS_EXT            = &H87CE???
%GL_VERTEX_SHADER_INSTRUCTIONS_EXT                    = &H87CF???
%GL_VERTEX_SHADER_VARIANTS_EXT                        = &H87D0???
%GL_VERTEX_SHADER_INVARIANTS_EXT                      = &H87D1???
%GL_VERTEX_SHADER_LOCAL_CONSTANTS_EXT                 = &H87D2???
%GL_VERTEX_SHADER_LOCALS_EXT                          = &H87D3???
%GL_VERTEX_SHADER_OPTIMIZED_EXT                       = &H87D4???
%GL_X_EXT                                             = &H87D5???
%GL_Y_EXT                                             = &H87D6???
%GL_Z_EXT                                             = &H87D7???
%GL_W_EXT                                             = &H87D8???
%GL_NEGATIVE_X_EXT                                    = &H87D9???
%GL_NEGATIVE_Y_EXT                                    = &H87DA???
%GL_NEGATIVE_Z_EXT                                    = &H87DB???
%GL_NEGATIVE_W_EXT                                    = &H87DC???
%GL_ZERO_EXT                                          = &H87DD???
%GL_ONE_EXT                                           = &H87DE???
%GL_NEGATIVE_ONE_EXT                                  = &H87DF???
%GL_NORMALIZED_RANGE_EXT                              = &H87E0???
%GL_FULL_RANGE_EXT                                    = &H87E1???
%GL_CURRENT_VERTEX_EXT                                = &H87E2???
%GL_MVP_MATRIX_EXT                                    = &H87E3???
%GL_VARIANT_VALUE_EXT                                 = &H87E4???
%GL_VARIANT_DATATYPE_EXT                              = &H87E5???
%GL_VARIANT_ARRAY_STRIDE_EXT                          = &H87E6???
%GL_VARIANT_ARRAY_TYPE_EXT                            = &H87E7???
%GL_VARIANT_ARRAY_EXT                                 = &H87E8???
%GL_VARIANT_ARRAY_POINTER_EXT                         = &H87E9???
%GL_INVARIANT_VALUE_EXT                               = &H87EA???
%GL_INVARIANT_DATATYPE_EXT                            = &H87EB???
%GL_LOCAL_CONSTANT_VALUE_EXT                          = &H87EC???
%GL_LOCAL_CONSTANT_DATATYPE_EXT                       = &H87ED???
#ENDIF

#IF NOT %DEF(%GL_ATI_vertex_streams)
%GL_MAX_VERTEX_STREAMS_ATI                            = &H876B???
%GL_VERTEX_STREAM0_ATI                                = &H876C???
%GL_VERTEX_STREAM1_ATI                                = &H876D???
%GL_VERTEX_STREAM2_ATI                                = &H876E???
%GL_VERTEX_STREAM3_ATI                                = &H876F???
%GL_VERTEX_STREAM4_ATI                                = &H8770???
%GL_VERTEX_STREAM5_ATI                                = &H8771???
%GL_VERTEX_STREAM6_ATI                                = &H8772???
%GL_VERTEX_STREAM7_ATI                                = &H8773???
%GL_VERTEX_SOURCE_ATI                                 = &H8774???
#ENDIF

#IF NOT %DEF(%GL_ATI_element_array)
%GL_ELEMENT_ARRAY_ATI                                 = &H8768???
%GL_ELEMENT_ARRAY_TYPE_ATI                            = &H8769???
%GL_ELEMENT_ARRAY_POINTER_ATI                         = &H876A???
#ENDIF

#IF NOT %DEF(%GL_SUN_mesh_array)
%GL_QUAD_MESH_SUN                                     = &H8614???
%GL_TRIANGLE_MESH_SUN                                 = &H8615???
#ENDIF

#IF NOT %DEF(%GL_SUN_slice_accum)
%GL_SLICE_ACCUM_SUN                                   = &H85CC???
#ENDIF

#IF NOT %DEF(%GL_NV_multisample_filter_hint)
%GL_MULTISAMPLE_FILTER_HINT_NV                        = &H8534???
#ENDIF

#IF NOT %DEF(%GL_NV_depth_clamp)
%GL_DEPTH_CLAMP_NV                                    = &H864F???
#ENDIF

#IF NOT %DEF(%GL_NV_occlusion_query)
%GL_PIXEL_COUNTER_BITS_NV                             = &H8864???
%GL_CURRENT_OCCLUSION_QUERY_ID_NV                     = &H8865???
%GL_PIXEL_COUNT_NV                                    = &H8866???
%GL_PIXEL_COUNT_AVAILABLE_NV                          = &H8867???
#ENDIF

#IF NOT %DEF(%GL_NV_point_sprite)
%GL_POINT_SPRITE_NV                                   = &H8861???
%GL_COORD_REPLACE_NV                                  = &H8862???
%GL_POINT_SPRITE_R_MODE_NV                            = &H8863???
#ENDIF

#IF NOT %DEF(%GL_NV_texture_shader3)
%GL_OFFSET_PROJECTIVE_TEXTURE_2D_NV                   = &H8850???
%GL_OFFSET_PROJECTIVE_TEXTURE_2D_SCALE_NV             = &H8851???
%GL_OFFSET_PROJECTIVE_TEXTURE_RECTANGLE_NV            = &H8852???
%GL_OFFSET_PROJECTIVE_TEXTURE_RECTANGLE_SCALE_NV      = &H8853???
%GL_OFFSET_HILO_TEXTURE_2D_NV                         = &H8854???
%GL_OFFSET_HILO_TEXTURE_RECTANGLE_NV                  = &H8855???
%GL_OFFSET_HILO_PROJECTIVE_TEXTURE_2D_NV              = &H8856???
%GL_OFFSET_HILO_PROJECTIVE_TEXTURE_RECTANGLE_NV       = &H8857???
%GL_DEPENDENT_HILO_TEXTURE_2D_NV                      = &H8858???
%GL_DEPENDENT_RGB_TEXTURE_3D_NV                       = &H8859???
%GL_DEPENDENT_RGB_TEXTURE_CUBE_MAP_NV                 = &H885A???
%GL_DOT_PRODUCT_PASS_THROUGH_NV                       = &H885B???
%GL_DOT_PRODUCT_TEXTURE_1D_NV                         = &H885C???
%GL_DOT_PRODUCT_AFFINE_DEPTH_REPLACE_NV               = &H885D???
%GL_HILO8_NV                                          = &H885E???
%GL_SIGNED_HILO8_NV                                   = &H885F???
%GL_FORCE_BLUE_TO_ONE_NV                              = &H8860???
#ENDIF

#IF NOT %DEF(%GL_NV_vertex_program1_1)
#ENDIF

#IF NOT %DEF(%GL_EXT_shadow_funcs)
#ENDIF

#IF NOT %DEF(%GL_EXT_stencil_two_side)
%GL_STENCIL_TEST_TWO_SIDE_EXT                         = &H8910???
%GL_ACTIVE_STENCIL_FACE_EXT                           = &H8911???
#ENDIF

#IF NOT %DEF(%GL_ATI_text_fragment_shader)
%GL_TEXT_FRAGMENT_SHADER_ATI                          = &H8200???
#ENDIF

#IF NOT %DEF(%GL_APPLE_client_storage)
%GL_UNPACK_CLIENT_STORAGE_APPLE                       = &H85B2???
#ENDIF

#IF NOT %DEF(%GL_APPLE_element_array)
%GL_ELEMENT_ARRAY_APPLE                               = &H8A0C???
%GL_ELEMENT_ARRAY_TYPE_APPLE                          = &H8A0D???
%GL_ELEMENT_ARRAY_POINTER_APPLE                       = &H8A0E???
#ENDIF

#IF NOT %DEF(%GL_APPLE_fence)
%GL_DRAW_PIXELS_APPLE                                 = &H8A0A???
%GL_FENCE_APPLE                                       = &H8A0B???
#ENDIF

#IF NOT %DEF(%GL_APPLE_vertex_array_object)
%GL_VERTEX_ARRAY_BINDING_APPLE                        = &H85B5???
#ENDIF

#IF NOT %DEF(%GL_APPLE_vertex_array_range)
%GL_VERTEX_ARRAY_RANGE_APPLE                          = &H851D???
%GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE                   = &H851E???
%GL_VERTEX_ARRAY_STORAGE_HINT_APPLE                   = &H851F???
%GL_VERTEX_ARRAY_RANGE_POINTER_APPLE                  = &H8521???
%GL_STORAGE_CLIENT_APPLE                              = &H85B4???
%GL_STORAGE_CACHED_APPLE                              = &H85BE???
%GL_STORAGE_SHARED_APPLE                              = &H85BF???
#ENDIF

#IF NOT %DEF(%GL_APPLE_ycbcr_422)
%GL_YCBCR_422_APPLE                                   = &H85B9???
%GL_UNSIGNED_SHORT_8_8_APPLE                          = &H85BA???
%GL_UNSIGNED_SHORT_8_8_REV_APPLE                      = &H85BB???
#ENDIF

#IF NOT %DEF(%GL_S3_s3tc)
%GL_RGB_S3TC                                          = &H83A0???
%GL_RGB4_S3TC                                         = &H83A1???
%GL_RGBA_S3TC                                         = &H83A2???
%GL_RGBA4_S3TC                                        = &H83A3???
#ENDIF

#IF NOT %DEF(%GL_ATI_draw_buffers)
%GL_MAX_DRAW_BUFFERS_ATI                              = &H8824???
%GL_DRAW_BUFFER0_ATI                                  = &H8825???
%GL_DRAW_BUFFER1_ATI                                  = &H8826???
%GL_DRAW_BUFFER2_ATI                                  = &H8827???
%GL_DRAW_BUFFER3_ATI                                  = &H8828???
%GL_DRAW_BUFFER4_ATI                                  = &H8829???
%GL_DRAW_BUFFER5_ATI                                  = &H882A???
%GL_DRAW_BUFFER6_ATI                                  = &H882B???
%GL_DRAW_BUFFER7_ATI                                  = &H882C???
%GL_DRAW_BUFFER8_ATI                                  = &H882D???
%GL_DRAW_BUFFER9_ATI                                  = &H882E???
%GL_DRAW_BUFFER10_ATI                                 = &H882F???
%GL_DRAW_BUFFER11_ATI                                 = &H8830???
%GL_DRAW_BUFFER12_ATI                                 = &H8831???
%GL_DRAW_BUFFER13_ATI                                 = &H8832???
%GL_DRAW_BUFFER14_ATI                                 = &H8833???
%GL_DRAW_BUFFER15_ATI                                 = &H8834???
#ENDIF

#IF NOT %DEF(%GL_ATI_pixel_format_float)
%GL_TYPE_RGBA_FLOAT_ATI                               = &H8820???
%GL_COLOR_CLEAR_UNCLAMPED_VALUE_ATI                   = &H8835???
#ENDIF

#IF NOT %DEF(%GL_ATI_texture_env_combine3)
%GL_MODULATE_ADD_ATI                                  = &H8744???
%GL_MODULATE_SIGNED_ADD_ATI                           = &H8745???
%GL_MODULATE_SUBTRACT_ATI                             = &H8746???
#ENDIF

#IF NOT %DEF(%GL_ATI_texture_float)
%GL_RGBA_FLOAT32_ATI                                  = &H8814???
%GL_RGB_FLOAT32_ATI                                   = &H8815???
%GL_ALPHA_FLOAT32_ATI                                 = &H8816???
%GL_INTENSITY_FLOAT32_ATI                             = &H8817???
%GL_LUMINANCE_FLOAT32_ATI                             = &H8818???
%GL_LUMINANCE_ALPHA_FLOAT32_ATI                       = &H8819???
%GL_RGBA_FLOAT16_ATI                                  = &H881A???
%GL_RGB_FLOAT16_ATI                                   = &H881B???
%GL_ALPHA_FLOAT16_ATI                                 = &H881C???
%GL_INTENSITY_FLOAT16_ATI                             = &H881D???
%GL_LUMINANCE_FLOAT16_ATI                             = &H881E???
%GL_LUMINANCE_ALPHA_FLOAT16_ATI                       = &H881F???
#ENDIF

#IF NOT %DEF(%GL_NV_float_buffer)
%GL_FLOAT_R_NV                                        = &H8880???
%GL_FLOAT_RG_NV                                       = &H8881???
%GL_FLOAT_RGB_NV                                      = &H8882???
%GL_FLOAT_RGBA_NV                                     = &H8883???
%GL_FLOAT_R16_NV                                      = &H8884???
%GL_FLOAT_R32_NV                                      = &H8885???
%GL_FLOAT_RG16_NV                                     = &H8886???
%GL_FLOAT_RG32_NV                                     = &H8887???
%GL_FLOAT_RGB16_NV                                    = &H8888???
%GL_FLOAT_RGB32_NV                                    = &H8889???
%GL_FLOAT_RGBA16_NV                                   = &H888A???
%GL_FLOAT_RGBA32_NV                                   = &H888B???
%GL_TEXTURE_FLOAT_COMPONENTS_NV                       = &H888C???
%GL_FLOAT_CLEAR_COLOR_VALUE_NV                        = &H888D???
%GL_FLOAT_RGBA_MODE_NV                                = &H888E???
#ENDIF

#IF NOT %DEF(%GL_NV_fragment_program)
%GL_MAX_FRAGMENT_PROGRAM_LOCAL_PARAMETERS_NV          = &H8868???
%GL_FRAGMENT_PROGRAM_NV                               = &H8870???
%GL_MAX_TEXTURE_COORDS_NV                             = &H8871???
%GL_MAX_TEXTURE_IMAGE_UNITS_NV                        = &H8872???
%GL_FRAGMENT_PROGRAM_BINDING_NV                       = &H8873???
%GL_PROGRAM_ERROR_STRING_NV                           = &H8874???
#ENDIF

#IF NOT %DEF(%GL_NV_half_float)
%GL_HALF_FLOAT_NV                                     = &H140B???
#ENDIF

#IF NOT %DEF(%GL_NV_pixel_data_range)
%GL_WRITE_PIXEL_DATA_RANGE_NV                         = &H8878???
%GL_READ_PIXEL_DATA_RANGE_NV                          = &H8879???
%GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV                  = &H887A???
%GL_READ_PIXEL_DATA_RANGE_LENGTH_NV                   = &H887B???
%GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV                 = &H887C???
%GL_READ_PIXEL_DATA_RANGE_POINTER_NV                  = &H887D???
#ENDIF

#IF NOT %DEF(%GL_NV_primitive_restart)
%GL_PRIMITIVE_RESTART_NV                              = &H8558???
%GL_PRIMITIVE_RESTART_INDEX_NV                        = &H8559???
#ENDIF

#IF NOT %DEF(%GL_NV_texture_expand_normal)
%GL_TEXTURE_UNSIGNED_REMAP_MODE_NV                    = &H888F???
#ENDIF

#IF NOT %DEF(%GL_NV_vertex_program2)
#ENDIF

#IF NOT %DEF(%GL_ATI_map_object_buffer)
#ENDIF

#IF NOT %DEF(%GL_ATI_separate_stencil)
%GL_STENCIL_BACK_FUNC_ATI                             = &H8800???
%GL_STENCIL_BACK_FAIL_ATI                             = &H8801???
%GL_STENCIL_BACK_PASS_DEPTH_FAIL_ATI                  = &H8802???
%GL_STENCIL_BACK_PASS_DEPTH_PASS_ATI                  = &H8803???
#ENDIF

#IF NOT %DEF(%GL_ATI_vertex_attrib_array_object)
#ENDIF

#IF NOT %DEF(%GL_OES_read_format)
%GL_IMPLEMENTATION_COLOR_READ_TYPE_OES                = &H8B9A???
%GL_IMPLEMENTATION_COLOR_READ_FORMAT_OES              = &H8B9B???
#ENDIF

#IF NOT %DEF(%GL_EXT_depth_bounds_test)
%GL_DEPTH_BOUNDS_TEST_EXT                             = &H8890???
%GL_DEPTH_BOUNDS_EXT                                  = &H8891???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_mirror_clamp)
%GL_MIRROR_CLAMP_EXT                                  = &H8742???
%GL_MIRROR_CLAMP_TO_EDGE_EXT                          = &H8743???
%GL_MIRROR_CLAMP_TO_BORDER_EXT                        = &H8912???
#ENDIF

#IF NOT %DEF(%GL_EXT_blend_equation_separate)
%GL_BLEND_EQUATION_RGB_EXT                            = &H8009???
%GL_BLEND_EQUATION_ALPHA_EXT                          = &H883D???
#ENDIF

#IF NOT %DEF(%GL_MESA_pack_invert)
%GL_PACK_INVERT_MESA                                  = &H8758???
#ENDIF

#IF NOT %DEF(%GL_MESA_ycbcr_texture)
%GL_UNSIGNED_SHORT_8_8_MESA                           = &H85BA???
%GL_UNSIGNED_SHORT_8_8_REV_MESA                       = &H85BB???
%GL_YCBCR_MESA                                        = &H8757???
#ENDIF

#IF NOT %DEF(%GL_EXT_pixel_buffer_object)
%GL_PIXEL_PACK_BUFFER_EXT                             = &H88EB???
%GL_PIXEL_UNPACK_BUFFER_EXT                           = &H88EC???
%GL_PIXEL_PACK_BUFFER_BINDING_EXT                     = &H88ED???
%GL_PIXEL_UNPACK_BUFFER_BINDING_EXT                   = &H88EF???
#ENDIF

#IF NOT %DEF(%GL_NV_fragment_program_option)
#ENDIF

#IF NOT %DEF(%GL_NV_fragment_program2)
%GL_MAX_PROGRAM_EXEC_INSTRUCTIONS_NV                  = &H88F4???
%GL_MAX_PROGRAM_CALL_DEPTH_NV                         = &H88F5???
%GL_MAX_PROGRAM_IF_DEPTH_NV                           = &H88F6???
%GL_MAX_PROGRAM_LOOP_DEPTH_NV                         = &H88F7???
%GL_MAX_PROGRAM_LOOP_COUNT_NV                         = &H88F8???
#ENDIF

#IF NOT %DEF(%GL_EXT_framebuffer_object)
%GL_INVALID_FRAMEBUFFER_OPERATION_EXT                 = &H0506???
%GL_MAX_RENDERBUFFER_SIZE_EXT                         = &H84E8???
%GL_FRAMEBUFFER_BINDING_EXT                           = &H8CA6???
%GL_RENDERBUFFER_BINDING_EXT                          = &H8CA7???
%GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_EXT            = &H8CD0???
%GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_EXT            = &H8CD1???
%GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_EXT          = &H8CD2???
%GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_EXT  = &H8CD3???
%GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_EXT     = &H8CD4???
%GL_FRAMEBUFFER_COMPLETE_EXT                          = &H8CD5???
%GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_EXT             = &H8CD6???
%GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_EXT     = &H8CD7???
%GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_EXT             = &H8CD9???
%GL_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT                = &H8CDA???
%GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_EXT            = &H8CDB???
%GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_EXT            = &H8CDC???
%GL_FRAMEBUFFER_UNSUPPORTED_EXT                       = &H8CDD???
%GL_MAX_COLOR_ATTACHMENTS_EXT                         = &H8CDF???
%GL_COLOR_ATTACHMENT0_EXT                             = &H8CE0???
%GL_COLOR_ATTACHMENT1_EXT                             = &H8CE1???
%GL_COLOR_ATTACHMENT2_EXT                             = &H8CE2???
%GL_COLOR_ATTACHMENT3_EXT                             = &H8CE3???
%GL_COLOR_ATTACHMENT4_EXT                             = &H8CE4???
%GL_COLOR_ATTACHMENT5_EXT                             = &H8CE5???
%GL_COLOR_ATTACHMENT6_EXT                             = &H8CE6???
%GL_COLOR_ATTACHMENT7_EXT                             = &H8CE7???
%GL_COLOR_ATTACHMENT8_EXT                             = &H8CE8???
%GL_COLOR_ATTACHMENT9_EXT                             = &H8CE9???
%GL_COLOR_ATTACHMENT10_EXT                            = &H8CEA???
%GL_COLOR_ATTACHMENT11_EXT                            = &H8CEB???
%GL_COLOR_ATTACHMENT12_EXT                            = &H8CEC???
%GL_COLOR_ATTACHMENT13_EXT                            = &H8CED???
%GL_COLOR_ATTACHMENT14_EXT                            = &H8CEE???
%GL_COLOR_ATTACHMENT15_EXT                            = &H8CEF???
%GL_DEPTH_ATTACHMENT_EXT                              = &H8D00???
%GL_STENCIL_ATTACHMENT_EXT                            = &H8D20???
%GL_FRAMEBUFFER_EXT                                   = &H8D40???
%GL_RENDERBUFFER_EXT                                  = &H8D41???
%GL_RENDERBUFFER_WIDTH_EXT                            = &H8D42???
%GL_RENDERBUFFER_HEIGHT_EXT                           = &H8D43???
%GL_RENDERBUFFER_INTERNAL_FORMAT_EXT                  = &H8D44???
%GL_STENCIL_INDEX1_EXT                                = &H8D46???
%GL_STENCIL_INDEX4_EXT                                = &H8D47???
%GL_STENCIL_INDEX8_EXT                                = &H8D48???
%GL_STENCIL_INDEX16_EXT                               = &H8D49???
%GL_RENDERBUFFER_RED_SIZE_EXT                         = &H8D50???
%GL_RENDERBUFFER_GREEN_SIZE_EXT                       = &H8D51???
%GL_RENDERBUFFER_BLUE_SIZE_EXT                        = &H8D52???
%GL_RENDERBUFFER_ALPHA_SIZE_EXT                       = &H8D53???
%GL_RENDERBUFFER_DEPTH_SIZE_EXT                       = &H8D54???
%GL_RENDERBUFFER_STENCIL_SIZE_EXT                     = &H8D55???
#ENDIF

#IF NOT %DEF(%GL_GREMEDY_string_marker)
#ENDIF

#IF NOT %DEF(%GL_EXT_packed_depth_stencil)
%GL_DEPTH_STENCIL_EXT                                 = &H84F9???
%GL_UNSIGNED_INT_24_8_EXT                             = &H84FA???
%GL_DEPTH24_STENCIL8_EXT                              = &H88F0???
%GL_TEXTURE_STENCIL_SIZE_EXT                          = &H88F1???
#ENDIF

#IF NOT %DEF(%GL_EXT_stencil_clear_tag)
%GL_STENCIL_TAG_BITS_EXT                              = &H88F2???
%GL_STENCIL_CLEAR_TAG_VALUE_EXT                       = &H88F3???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_sRGB)
%GL_SRGB_EXT                                          = &H8C40???
%GL_SRGB8_EXT                                         = &H8C41???
%GL_SRGB_ALPHA_EXT                                    = &H8C42???
%GL_SRGB8_ALPHA8_EXT                                  = &H8C43???
%GL_SLUMINANCE_ALPHA_EXT                              = &H8C44???
%GL_SLUMINANCE8_ALPHA8_EXT                            = &H8C45???
%GL_SLUMINANCE_EXT                                    = &H8C46???
%GL_SLUMINANCE8_EXT                                   = &H8C47???
%GL_COMPRESSED_SRGB_EXT                               = &H8C48???
%GL_COMPRESSED_SRGB_ALPHA_EXT                         = &H8C49???
%GL_COMPRESSED_SLUMINANCE_EXT                         = &H8C4A???
%GL_COMPRESSED_SLUMINANCE_ALPHA_EXT                   = &H8C4B???
%GL_COMPRESSED_SRGB_S3TC_DXT1_EXT                     = &H8C4C???
%GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT               = &H8C4D???
%GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT               = &H8C4E???
%GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT               = &H8C4F???
#ENDIF

#IF NOT %DEF(%GL_EXT_framebuffer_blit)
%GL_READ_FRAMEBUFFER_EXT                              = &H8CA8???
%GL_DRAW_FRAMEBUFFER_EXT                              = &H8CA9???
%GL_READ_FRAMEBUFFER_BINDING_EXT                      = %GL_FRAMEBUFFER_BINDING_EXT
%GL_DRAW_FRAMEBUFFER_BINDING_EXT                      = &H8CAA???
#ENDIF

#IF NOT %DEF(%GL_EXT_framebuffer_multisample)
%GL_RENDERBUFFER_SAMPLES_EXT                          = &H8CAB???
%GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT            = &H8D56???
%GL_MAX_SAMPLES_EXT                                   = &H8D57???
#ENDIF

#IF NOT %DEF(%GL_MESAX_texture_stack)
%GL_TEXTURE_1D_STACK_MESAX                            = &H8759???
%GL_TEXTURE_2D_STACK_MESAX                            = &H875A???
%GL_PROXY_TEXTURE_1D_STACK_MESAX                      = &H875B???
%GL_PROXY_TEXTURE_2D_STACK_MESAX                      = &H875C???
%GL_TEXTURE_1D_STACK_BINDING_MESAX                    = &H875D???
%GL_TEXTURE_2D_STACK_BINDING_MESAX                    = &H875E???
#ENDIF

#IF NOT %DEF(%GL_EXT_timer_query)
%GL_TIME_ELAPSED_EXT                                  = &H88BF???
#ENDIF

#IF NOT %DEF(%GL_EXT_gpu_program_parameters)
#ENDIF

#IF NOT %DEF(%GL_APPLE_flush_buffer_range)
%GL_BUFFER_SERIALIZED_MODIFY_APPLE                    = &H8A12???
%GL_BUFFER_FLUSHING_UNMAP_APPLE                       = &H8A13???
#ENDIF

#IF NOT %DEF(%GL_NV_gpu_program4)
%GL_MIN_PROGRAM_TEXEL_OFFSET_NV                       = &H8904???
%GL_MAX_PROGRAM_TEXEL_OFFSET_NV                       = &H8905???
%GL_PROGRAM_ATTRIB_COMPONENTS_NV                      = &H8906???
%GL_PROGRAM_RESULT_COMPONENTS_NV                      = &H8907???
%GL_MAX_PROGRAM_ATTRIB_COMPONENTS_NV                  = &H8908???
%GL_MAX_PROGRAM_RESULT_COMPONENTS_NV                  = &H8909???
%GL_MAX_PROGRAM_GENERIC_ATTRIBS_NV                    = &H8DA5???
%GL_MAX_PROGRAM_GENERIC_RESULTS_NV                    = &H8DA6???
#ENDIF

#IF NOT %DEF(%GL_NV_geometry_program4)
%GL_LINES_ADJACENCY_EXT                               = &H000A???
%GL_LINE_STRIP_ADJACENCY_EXT                          = &H000B???
%GL_TRIANGLES_ADJACENCY_EXT                           = &H000C???
%GL_TRIANGLE_STRIP_ADJACENCY_EXT                      = &H000D???
%GL_GEOMETRY_PROGRAM_NV                               = &H8C26???
%GL_MAX_PROGRAM_OUTPUT_VERTICES_NV                    = &H8C27???
%GL_MAX_PROGRAM_TOTAL_OUTPUT_COMPONENTS_NV            = &H8C28???
%GL_GEOMETRY_VERTICES_OUT_EXT                         = &H8DDA???
%GL_GEOMETRY_INPUT_TYPE_EXT                           = &H8DDB???
%GL_GEOMETRY_OUTPUT_TYPE_EXT                          = &H8DDC???
%GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT              = &H8C29???
%GL_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT                = &H8DA7???
%GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT          = &H8DA8???
%GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_EXT            = &H8DA9???
%GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT          = &H8CD4???
%GL_PROGRAM_POINT_SIZE_EXT                            = &H8642???
#ENDIF

#IF NOT %DEF(%GL_EXT_geometry_shader4)
%GL_GEOMETRY_SHADER_EXT                               = &H8DD9???
%GL_MAX_GEOMETRY_VARYING_COMPONENTS_EXT               = &H8DDD???
%GL_MAX_VERTEX_VARYING_COMPONENTS_EXT                 = &H8DDE???
%GL_MAX_VARYING_COMPONENTS_EXT                        = &H8B4B???
%GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_EXT               = &H8DDF???
%GL_MAX_GEOMETRY_OUTPUT_VERTICES_EXT                  = &H8DE0???
%GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_EXT          = &H8DE1???
#ENDIF

#IF NOT %DEF(%GL_NV_vertex_program4)
%GL_VERTEX_ATTRIB_ARRAY_INTEGER_NV                    = &H88FD???
#ENDIF

#IF NOT %DEF(%GL_EXT_gpu_shader4)
%GL_SAMPLER_1D_ARRAY_EXT                              = &H8DC0???
%GL_SAMPLER_2D_ARRAY_EXT                              = &H8DC1???
%GL_SAMPLER_BUFFER_EXT                                = &H8DC2???
%GL_SAMPLER_1D_ARRAY_SHADOW_EXT                       = &H8DC3???
%GL_SAMPLER_2D_ARRAY_SHADOW_EXT                       = &H8DC4???
%GL_SAMPLER_CUBE_SHADOW_EXT                           = &H8DC5???
%GL_UNSIGNED_INT_VEC2_EXT                             = &H8DC6???
%GL_UNSIGNED_INT_VEC3_EXT                             = &H8DC7???
%GL_UNSIGNED_INT_VEC4_EXT                             = &H8DC8???
%GL_INT_SAMPLER_1D_EXT                                = &H8DC9???
%GL_INT_SAMPLER_2D_EXT                                = &H8DCA???
%GL_INT_SAMPLER_3D_EXT                                = &H8DCB???
%GL_INT_SAMPLER_CUBE_EXT                              = &H8DCC???
%GL_INT_SAMPLER_2D_RECT_EXT                           = &H8DCD???
%GL_INT_SAMPLER_1D_ARRAY_EXT                          = &H8DCE???
%GL_INT_SAMPLER_2D_ARRAY_EXT                          = &H8DCF???
%GL_INT_SAMPLER_BUFFER_EXT                            = &H8DD0???
%GL_UNSIGNED_INT_SAMPLER_1D_EXT                       = &H8DD1???
%GL_UNSIGNED_INT_SAMPLER_2D_EXT                       = &H8DD2???
%GL_UNSIGNED_INT_SAMPLER_3D_EXT                       = &H8DD3???
%GL_UNSIGNED_INT_SAMPLER_CUBE_EXT                     = &H8DD4???
%GL_UNSIGNED_INT_SAMPLER_2D_RECT_EXT                  = &H8DD5???
%GL_UNSIGNED_INT_SAMPLER_1D_ARRAY_EXT                 = &H8DD6???
%GL_UNSIGNED_INT_SAMPLER_2D_ARRAY_EXT                 = &H8DD7???
%GL_UNSIGNED_INT_SAMPLER_BUFFER_EXT                   = &H8DD8???
#ENDIF

#IF NOT %DEF(%GL_EXT_draw_instanced)
#ENDIF

#IF NOT %DEF(%GL_EXT_packed_float)
%GL_R11F_G11F_B10F_EXT                                = &H8C3A???
%GL_UNSIGNED_INT_10F_11F_11F_REV_EXT                  = &H8C3B???
%GL_RGBA_SIGNED_COMPONENTS_EXT                        = &H8C3C???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_array)
%GL_TEXTURE_1D_ARRAY_EXT                              = &H8C18???
%GL_PROXY_TEXTURE_1D_ARRAY_EXT                        = &H8C19???
%GL_TEXTURE_2D_ARRAY_EXT                              = &H8C1A???
%GL_PROXY_TEXTURE_2D_ARRAY_EXT                        = &H8C1B???
%GL_TEXTURE_BINDING_1D_ARRAY_EXT                      = &H8C1C???
%GL_TEXTURE_BINDING_2D_ARRAY_EXT                      = &H8C1D???
%GL_MAX_ARRAY_TEXTURE_LAYERS_EXT                      = &H88FF???
%GL_COMPARE_REF_DEPTH_TO_TEXTURE_EXT                  = &H884E???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_buffer_object)
%GL_TEXTURE_BUFFER_EXT                                = &H8C2A???
%GL_MAX_TEXTURE_BUFFER_SIZE_EXT                       = &H8C2B???
%GL_TEXTURE_BINDING_BUFFER_EXT                        = &H8C2C???
%GL_TEXTURE_BUFFER_DATA_STORE_BINDING_EXT             = &H8C2D???
%GL_TEXTURE_BUFFER_FORMAT_EXT                         = &H8C2E???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_compression_latc)
%GL_COMPRESSED_LUMINANCE_LATC1_EXT                    = &H8C70???
%GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_EXT             = &H8C71???
%GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_EXT              = &H8C72???
%GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_EXT       = &H8C73???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_compression_rgtc)
%GL_COMPRESSED_RED_RGTC1_EXT                          = &H8DBB???
%GL_COMPRESSED_SIGNED_RED_RGTC1_EXT                   = &H8DBC???
%GL_COMPRESSED_RED_GREEN_RGTC2_EXT                    = &H8DBD???
%GL_COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT             = &H8DBE???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_shared_exponent)
%GL_RGB9_E5_EXT                                       = &H8C3D???
%GL_UNSIGNED_INT_5_9_9_9_REV_EXT                      = &H8C3E???
%GL_TEXTURE_SHARED_SIZE_EXT                           = &H8C3F???
#ENDIF

#IF NOT %DEF(%GL_NV_depth_buffer_float)
%GL_DEPTH_COMPONENT32F_NV                             = &H8DAB???
%GL_DEPTH32F_STENCIL8_NV                              = &H8DAC???
%GL_FLOAT_32_UNSIGNED_INT_24_8_REV_NV                 = &H8DAD???
%GL_DEPTH_BUFFER_FLOAT_MODE_NV                        = &H8DAF???
#ENDIF

#IF NOT %DEF(%GL_NV_fragment_program4)
#ENDIF

#IF NOT %DEF(%GL_NV_framebuffer_multisample_coverage)
%GL_RENDERBUFFER_COVERAGE_SAMPLES_NV                  = &H8CAB???
%GL_RENDERBUFFER_COLOR_SAMPLES_NV                     = &H8E10???
%GL_MAX_MULTISAMPLE_COVERAGE_MODES_NV                 = &H8E11???
%GL_MULTISAMPLE_COVERAGE_MODES_NV                     = &H8E12???
#ENDIF

#IF NOT %DEF(%GL_EXT_framebuffer_sRGB)
%GL_FRAMEBUFFER_SRGB_EXT                              = &H8DB9???
%GL_FRAMEBUFFER_SRGB_CAPABLE_EXT                      = &H8DBA???
#ENDIF

#IF NOT %DEF(%GL_NV_geometry_shader4)
#ENDIF

#IF NOT %DEF(%GL_NV_parameter_buffer_object)
%GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV          = &H8DA0???
%GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV              = &H8DA1???
%GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV                = &H8DA2???
%GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV              = &H8DA3???
%GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV              = &H8DA4???
#ENDIF

#IF NOT %DEF(%GL_EXT_draw_buffers2)
#ENDIF

#IF NOT %DEF(%GL_NV_transform_feedback)
%GL_BACK_PRIMARY_COLOR_NV                             = &H8C77???
%GL_BACK_SECONDARY_COLOR_NV                           = &H8C78???
%GL_TEXTURE_COORD_NV                                  = &H8C79???
%GL_CLIP_DISTANCE_NV                                  = &H8C7A???
%GL_VERTEX_ID_NV                                      = &H8C7B???
%GL_PRIMITIVE_ID_NV                                   = &H8C7C???
%GL_GENERIC_ATTRIB_NV                                 = &H8C7D???
%GL_TRANSFORM_FEEDBACK_ATTRIBS_NV                     = &H8C7E???
%GL_TRANSFORM_FEEDBACK_BUFFER_MODE_NV                 = &H8C7F???
%GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_NV     = &H8C80???
%GL_ACTIVE_VARYINGS_NV                                = &H8C81???
%GL_ACTIVE_VARYING_MAX_LENGTH_NV                      = &H8C82???
%GL_TRANSFORM_FEEDBACK_VARYINGS_NV                    = &H8C83???
%GL_TRANSFORM_FEEDBACK_BUFFER_START_NV                = &H8C84???
%GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_NV                 = &H8C85???
%GL_TRANSFORM_FEEDBACK_RECORD_NV                      = &H8C86???
%GL_PRIMITIVES_GENERATED_NV                           = &H8C87???
%GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_NV          = &H8C88???
%GL_RASTERIZER_DISCARD_NV                             = &H8C89???
%GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_ATTRIBS_NV     = &H8C8A???
%GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_NV        = &H8C8B???
%GL_INTERLEAVED_ATTRIBS_NV                            = &H8C8C???
%GL_SEPARATE_ATTRIBS_NV                               = &H8C8D???
%GL_TRANSFORM_FEEDBACK_BUFFER_NV                      = &H8C8E???
%GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_NV              = &H8C8F???
%GL_LAYER_NV                                          = &H8DAA???
%GL_NEXT_BUFFER_NV                                    = -2
%GL_SKIP_COMPONENTS4_NV                               = -3
%GL_SKIP_COMPONENTS3_NV                               = -4
%GL_SKIP_COMPONENTS2_NV                               = -5
%GL_SKIP_COMPONENTS1_NV                               = -6
#ENDIF

#IF NOT %DEF(%GL_EXT_bindable_uniform)
%GL_MAX_VERTEX_BINDABLE_UNIFORMS_EXT                  = &H8DE2???
%GL_MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT                = &H8DE3???
%GL_MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT                = &H8DE4???
%GL_MAX_BINDABLE_UNIFORM_SIZE_EXT                     = &H8DED???
%GL_UNIFORM_BUFFER_EXT                                = &H8DEE???
%GL_UNIFORM_BUFFER_BINDING_EXT                        = &H8DEF???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_integer)
%GL_RGBA32UI_EXT                                      = &H8D70???
%GL_RGB32UI_EXT                                       = &H8D71???
%GL_ALPHA32UI_EXT                                     = &H8D72???
%GL_INTENSITY32UI_EXT                                 = &H8D73???
%GL_LUMINANCE32UI_EXT                                 = &H8D74???
%GL_LUMINANCE_ALPHA32UI_EXT                           = &H8D75???
%GL_RGBA16UI_EXT                                      = &H8D76???
%GL_RGB16UI_EXT                                       = &H8D77???
%GL_ALPHA16UI_EXT                                     = &H8D78???
%GL_INTENSITY16UI_EXT                                 = &H8D79???
%GL_LUMINANCE16UI_EXT                                 = &H8D7A???
%GL_LUMINANCE_ALPHA16UI_EXT                           = &H8D7B???
%GL_RGBA8UI_EXT                                       = &H8D7C???
%GL_RGB8UI_EXT                                        = &H8D7D???
%GL_ALPHA8UI_EXT                                      = &H8D7E???
%GL_INTENSITY8UI_EXT                                  = &H8D7F???
%GL_LUMINANCE8UI_EXT                                  = &H8D80???
%GL_LUMINANCE_ALPHA8UI_EXT                            = &H8D81???
%GL_RGBA32I_EXT                                       = &H8D82???
%GL_RGB32I_EXT                                        = &H8D83???
%GL_ALPHA32I_EXT                                      = &H8D84???
%GL_INTENSITY32I_EXT                                  = &H8D85???
%GL_LUMINANCE32I_EXT                                  = &H8D86???
%GL_LUMINANCE_ALPHA32I_EXT                            = &H8D87???
%GL_RGBA16I_EXT                                       = &H8D88???
%GL_RGB16I_EXT                                        = &H8D89???
%GL_ALPHA16I_EXT                                      = &H8D8A???
%GL_INTENSITY16I_EXT                                  = &H8D8B???
%GL_LUMINANCE16I_EXT                                  = &H8D8C???
%GL_LUMINANCE_ALPHA16I_EXT                            = &H8D8D???
%GL_RGBA8I_EXT                                        = &H8D8E???
%GL_RGB8I_EXT                                         = &H8D8F???
%GL_ALPHA8I_EXT                                       = &H8D90???
%GL_INTENSITY8I_EXT                                   = &H8D91???
%GL_LUMINANCE8I_EXT                                   = &H8D92???
%GL_LUMINANCE_ALPHA8I_EXT                             = &H8D93???
%GL_RED_INTEGER_EXT                                   = &H8D94???
%GL_GREEN_INTEGER_EXT                                 = &H8D95???
%GL_BLUE_INTEGER_EXT                                  = &H8D96???
%GL_ALPHA_INTEGER_EXT                                 = &H8D97???
%GL_RGB_INTEGER_EXT                                   = &H8D98???
%GL_RGBA_INTEGER_EXT                                  = &H8D99???
%GL_BGR_INTEGER_EXT                                   = &H8D9A???
%GL_BGRA_INTEGER_EXT                                  = &H8D9B???
%GL_LUMINANCE_INTEGER_EXT                             = &H8D9C???
%GL_LUMINANCE_ALPHA_INTEGER_EXT                       = &H8D9D???
%GL_RGBA_INTEGER_MODE_EXT                             = &H8D9E???
#ENDIF

#IF NOT %DEF(%GL_GREMEDY_frame_terminator)
#ENDIF

#IF NOT %DEF(%GL_NV_conditional_render)
%GL_QUERY_WAIT_NV                                     = &H8E13???
%GL_QUERY_NO_WAIT_NV                                  = &H8E14???
%GL_QUERY_BY_REGION_WAIT_NV                           = &H8E15???
%GL_QUERY_BY_REGION_NO_WAIT_NV                        = &H8E16???
#ENDIF

#IF NOT %DEF(%GL_NV_present_video)
%GL_FRAME_NV                                          = &H8E26???
%GL_FIELDS_NV                                         = &H8E27???
%GL_CURRENT_TIME_NV                                   = &H8E28???
%GL_NUM_FILL_STREAMS_NV                               = &H8E29???
%GL_PRESENT_TIME_NV                                   = &H8E2A???
%GL_PRESENT_DURATION_NV                               = &H8E2B???
#ENDIF

#IF NOT %DEF(%GL_EXT_transform_feedback)
%GL_TRANSFORM_FEEDBACK_BUFFER_EXT                     = &H8C8E???
%GL_TRANSFORM_FEEDBACK_BUFFER_START_EXT               = &H8C84???
%GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_EXT                = &H8C85???
%GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_EXT             = &H8C8F???
%GL_INTERLEAVED_ATTRIBS_EXT                           = &H8C8C???
%GL_SEPARATE_ATTRIBS_EXT                              = &H8C8D???
%GL_PRIMITIVES_GENERATED_EXT                          = &H8C87???
%GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_EXT         = &H8C88???
%GL_RASTERIZER_DISCARD_EXT                            = &H8C89???
%GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_EXT = &H8C8A???
%GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_EXT       = &H8C8B???
%GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_EXT    = &H8C80???
%GL_TRANSFORM_FEEDBACK_VARYINGS_EXT                   = &H8C83???
%GL_TRANSFORM_FEEDBACK_BUFFER_MODE_EXT                = &H8C7F???
%GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH_EXT         = &H8C76???
#ENDIF

#IF NOT %DEF(%GL_EXT_direct_state_access)
%GL_PROGRAM_MATRIX_EXT                                = &H8E2D???
%GL_TRANSPOSE_PROGRAM_MATRIX_EXT                      = &H8E2E???
%GL_PROGRAM_MATRIX_STACK_DEPTH_EXT                    = &H8E2F???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_swizzle)
%GL_TEXTURE_SWIZZLE_R_EXT                             = &H8E42???
%GL_TEXTURE_SWIZZLE_G_EXT                             = &H8E43???
%GL_TEXTURE_SWIZZLE_B_EXT                             = &H8E44???
%GL_TEXTURE_SWIZZLE_A_EXT                             = &H8E45???
%GL_TEXTURE_SWIZZLE_RGBA_EXT                          = &H8E46???
#ENDIF

#IF NOT %DEF(%GL_NV_explicit_multisample)
%GL_SAMPLE_POSITION_NV                                = &H8E50???
%GL_SAMPLE_MASK_NV                                    = &H8E51???
%GL_SAMPLE_MASK_VALUE_NV                              = &H8E52???
%GL_TEXTURE_BINDING_RENDERBUFFER_NV                   = &H8E53???
%GL_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV        = &H8E54???
%GL_TEXTURE_RENDERBUFFER_NV                           = &H8E55???
%GL_SAMPLER_RENDERBUFFER_NV                           = &H8E56???
%GL_INT_SAMPLER_RENDERBUFFER_NV                       = &H8E57???
%GL_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV              = &H8E58???
%GL_MAX_SAMPLE_MASK_WORDS_NV                          = &H8E59???
#ENDIF

#IF NOT %DEF(%GL_NV_transform_feedback2)
%GL_TRANSFORM_FEEDBACK_NV                             = &H8E22???
%GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED_NV               = &H8E23???
%GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE_NV               = &H8E24???
%GL_TRANSFORM_FEEDBACK_BINDING_NV                     = &H8E25???
#ENDIF

#IF NOT %DEF(%GL_ATI_meminfo)
%GL_VBO_FREE_MEMORY_ATI                               = &H87FB???
%GL_TEXTURE_FREE_MEMORY_ATI                           = &H87FC???
%GL_RENDERBUFFER_FREE_MEMORY_ATI                      = &H87FD???
#ENDIF

#IF NOT %DEF(%GL_AMD_performance_monitor)
%GL_COUNTER_TYPE_AMD                                  = &H8BC0???
%GL_COUNTER_RANGE_AMD                                 = &H8BC1???
%GL_UNSIGNED_INT64_AMD                                = &H8BC2???
%GL_PERCENTAGE_AMD                                    = &H8BC3???
%GL_PERFMON_RESULT_AVAILABLE_AMD                      = &H8BC4???
%GL_PERFMON_RESULT_SIZE_AMD                           = &H8BC5???
%GL_PERFMON_RESULT_AMD                                = &H8BC6???
#ENDIF

#IF NOT %DEF(%GL_AMD_texture_texture4)
#ENDIF

#IF NOT %DEF(%GL_AMD_vertex_shader_tesselator)
%GL_SAMPLER_BUFFER_AMD                                = &H9001???
%GL_INT_SAMPLER_BUFFER_AMD                            = &H9002???
%GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD                   = &H9003???
%GL_TESSELLATION_MODE_AMD                             = &H9004???
%GL_TESSELLATION_FACTOR_AMD                           = &H9005???
%GL_DISCRETE_AMD                                      = &H9006???
%GL_CONTINUOUS_AMD                                    = &H9007???
#ENDIF

#IF NOT %DEF(%GL_EXT_provoking_vertex)
%GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION_EXT      = &H8E4C
%GL_FIRST_VERTEX_CONVENTION_EXT                       = &H8E4D
%GL_LAST_VERTEX_CONVENTION_EXT                        = &H8E4E
%GL_PROVOKING_VERTEX_EXT                              = &H8E4F
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_snorm)
%GL_ALPHA_SNORM                                       = &H9010???
%GL_LUMINANCE_SNORM                                   = &H9011???
%GL_LUMINANCE_ALPHA_SNORM                             = &H9012???
%GL_INTENSITY_SNORM                                   = &H9013???
%GL_ALPHA8_SNORM                                      = &H9014???
%GL_LUMINANCE8_SNORM                                  = &H9015???
%GL_LUMINANCE8_ALPHA8_SNORM                           = &H9016???
%GL_INTENSITY8_SNORM                                  = &H9017???
%GL_ALPHA16_SNORM                                     = &H9018???
%GL_LUMINANCE16_SNORM                                 = &H9019???
%GL_LUMINANCE16_ALPHA16_SNORM                         = &H901A???
%GL_INTENSITY16_SNORM                                 = &H901B???
#ENDIF

#IF NOT %DEF(%GL_AMD_draw_buffers_blend)
#ENDIF

#IF NOT %DEF(%GL_APPLE_texture_range)
%GL_TEXTURE_RANGE_LENGTH_APPLE                        = &H85B7???
%GL_TEXTURE_RANGE_POINTER_APPLE                       = &H85B8???
%GL_TEXTURE_STORAGE_HINT_APPLE                        = &H85BC???
%GL_STORAGE_PRIVATE_APPLE                             = &H85BD???
#ENDIF

#IF NOT %DEF(%GL_APPLE_float_pixels)
%GL_HALF_APPLE                                        = &H140B???
%GL_RGBA_FLOAT32_APPLE                                = &H8814???
%GL_RGB_FLOAT32_APPLE                                 = &H8815???
%GL_ALPHA_FLOAT32_APPLE                               = &H8816???
%GL_INTENSITY_FLOAT32_APPLE                           = &H8817???
%GL_LUMINANCE_FLOAT32_APPLE                           = &H8818???
%GL_LUMINANCE_ALPHA_FLOAT32_APPLE                     = &H8819???
%GL_RGBA_FLOAT16_APPLE                                = &H881A???
%GL_RGB_FLOAT16_APPLE                                 = &H881B???
%GL_ALPHA_FLOAT16_APPLE                               = &H881C???
%GL_INTENSITY_FLOAT16_APPLE                           = &H881D???
%GL_LUMINANCE_FLOAT16_APPLE                           = &H881E???
%GL_LUMINANCE_ALPHA_FLOAT16_APPLE                     = &H881F???
%GL_COLOR_FLOAT_APPLE                                 = &H8A0F???
#ENDIF

#IF NOT %DEF(%GL_APPLE_vertex_program_evaluators)
%GL_VERTEX_ATTRIB_MAP1_APPLE                          = &H8A00???
%GL_VERTEX_ATTRIB_MAP2_APPLE                          = &H8A01???
%GL_VERTEX_ATTRIB_MAP1_SIZE_APPLE                     = &H8A02???
%GL_VERTEX_ATTRIB_MAP1_COEFF_APPLE                    = &H8A03???
%GL_VERTEX_ATTRIB_MAP1_ORDER_APPLE                    = &H8A04???
%GL_VERTEX_ATTRIB_MAP1_DOMAIN_APPLE                   = &H8A05???
%GL_VERTEX_ATTRIB_MAP2_SIZE_APPLE                     = &H8A06???
%GL_VERTEX_ATTRIB_MAP2_COEFF_APPLE                    = &H8A07???
%GL_VERTEX_ATTRIB_MAP2_ORDER_APPLE                    = &H8A08???
%GL_VERTEX_ATTRIB_MAP2_DOMAIN_APPLE                   = &H8A09???
#ENDIF

#IF NOT %DEF(%GL_APPLE_aux_depth_stencil)
%GL_AUX_DEPTH_STENCIL_APPLE                           = &H8A14???
#ENDIF

#IF NOT %DEF(%GL_APPLE_object_purgeable)
%GL_BUFFER_OBJECT_APPLE                               = &H85B3???
%GL_RELEASED_APPLE                                    = &H8A19???
%GL_VOLATILE_APPLE                                    = &H8A1A???
%GL_RETAINED_APPLE                                    = &H8A1B???
%GL_UNDEFINED_APPLE                                   = &H8A1C???
%GL_PURGEABLE_APPLE                                   = &H8A1D???
#ENDIF

#IF NOT %DEF(%GL_APPLE_row_bytes)
%GL_PACK_ROW_BYTES_APPLE                              = &H8A15???
%GL_UNPACK_ROW_BYTES_APPLE                            = &H8A16???
#ENDIF

#IF NOT %DEF(%GL_APPLE_rgb_422)
%GL_RGB_422_APPLE                                     = &H8A1F???
#ENDIF

#IF NOT %DEF(%GL_NV_video_capture)
%GL_VIDEO_BUFFER_NV                                   = &H9020???
%GL_VIDEO_BUFFER_BINDING_NV                           = &H9021???
%GL_FIELD_UPPER_NV                                    = &H9022???
%GL_FIELD_LOWER_NV                                    = &H9023???
%GL_NUM_VIDEO_CAPTURE_STREAMS_NV                      = &H9024???
%GL_NEXT_VIDEO_CAPTURE_BUFFER_STATUS_NV               = &H9025???
%GL_VIDEO_CAPTURE_TO_422_SUPPORTED_NV                 = &H9026???
%GL_LAST_VIDEO_CAPTURE_STATUS_NV                      = &H9027???
%GL_VIDEO_BUFFER_PITCH_NV                             = &H9028???
%GL_VIDEO_COLOR_CONVERSION_MATRIX_NV                  = &H9029???
%GL_VIDEO_COLOR_CONVERSION_MAX_NV                     = &H902A???
%GL_VIDEO_COLOR_CONVERSION_MIN_NV                     = &H902B???
%GL_VIDEO_COLOR_CONVERSION_OFFSET_NV                  = &H902C???
%GL_VIDEO_BUFFER_INTERNAL_FORMAT_NV                   = &H902D???
%GL_PARTIAL_SUCCESS_NV                                = &H902E???
%GL_SUCCESS_NV                                        = &H902F???
%GL_FAILURE_NV                                        = &H9030???
%GL_YCBYCR8_422_NV                                    = &H9031???
%GL_YCBAYCR8A_4224_NV                                 = &H9032???
%GL_Z6Y10Z6CB10Z6Y10Z6CR10_422_NV                     = &H9033???
%GL_Z6Y10Z6CB10Z6A10Z6Y10Z6CR10Z6A10_4224_NV          = &H9034???
%GL_Z4Y12Z4CB12Z4Y12Z4CR12_422_NV                     = &H9035???
%GL_Z4Y12Z4CB12Z4A12Z4Y12Z4CR12Z4A12_4224_NV          = &H9036???
%GL_Z4Y12Z4CB12Z4CR12_444_NV                          = &H9037???
%GL_VIDEO_CAPTURE_FRAME_WIDTH_NV                      = &H9038???
%GL_VIDEO_CAPTURE_FRAME_HEIGHT_NV                     = &H9039???
%GL_VIDEO_CAPTURE_FIELD_UPPER_HEIGHT_NV               = &H903A???
%GL_VIDEO_CAPTURE_FIELD_LOWER_HEIGHT_NV               = &H903B???
%GL_VIDEO_CAPTURE_SURFACE_ORIGIN_NV                   = &H903C???
#ENDIF

#IF NOT %DEF(%GL_NV_copy_image)
#ENDIF

#IF NOT %DEF(%GL_EXT_separate_shader_objects)
%GL_ACTIVE_PROGRAM_EXT                                = &H8B8D???
#ENDIF

#IF NOT %DEF(%GL_NV_parameter_buffer_object2)
#ENDIF

#IF NOT %DEF(%GL_NV_shader_buffer_load)
%GL_BUFFER_GPU_ADDRESS_NV                             = &H8F1D???
%GL_GPU_ADDRESS_NV                                    = &H8F34???
%GL_MAX_SHADER_BUFFER_ADDRESS_NV                      = &H8F35???
#ENDIF

#IF NOT %DEF(%GL_NV_vertex_buffer_unified_memory)
%GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV                    = &H8F1E???
%GL_ELEMENT_ARRAY_UNIFIED_NV                          = &H8F1F???
%GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV                    = &H8F20???
%GL_VERTEX_ARRAY_ADDRESS_NV                           = &H8F21???
%GL_NORMAL_ARRAY_ADDRESS_NV                           = &H8F22???
%GL_COLOR_ARRAY_ADDRESS_NV                            = &H8F23???
%GL_INDEX_ARRAY_ADDRESS_NV                            = &H8F24???
%GL_TEXTURE_COORD_ARRAY_ADDRESS_NV                    = &H8F25???
%GL_EDGE_FLAG_ARRAY_ADDRESS_NV                        = &H8F26???
%GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV                  = &H8F27???
%GL_FOG_COORD_ARRAY_ADDRESS_NV                        = &H8F28???
%GL_ELEMENT_ARRAY_ADDRESS_NV                          = &H8F29???
%GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV                     = &H8F2A???
%GL_VERTEX_ARRAY_LENGTH_NV                            = &H8F2B???
%GL_NORMAL_ARRAY_LENGTH_NV                            = &H8F2C???
%GL_COLOR_ARRAY_LENGTH_NV                             = &H8F2D???
%GL_INDEX_ARRAY_LENGTH_NV                             = &H8F2E???
%GL_TEXTURE_COORD_ARRAY_LENGTH_NV                     = &H8F2F???
%GL_EDGE_FLAG_ARRAY_LENGTH_NV                         = &H8F30???
%GL_SECONDARY_COLOR_ARRAY_LENGTH_NV                   = &H8F31???
%GL_FOG_COORD_ARRAY_LENGTH_NV                         = &H8F32???
%GL_ELEMENT_ARRAY_LENGTH_NV                           = &H8F33???
%GL_DRAW_INDIRECT_UNIFIED_NV                          = &H8F40???
%GL_DRAW_INDIRECT_ADDRESS_NV                          = &H8F41???
%GL_DRAW_INDIRECT_LENGTH_NV                           = &H8F42???
#ENDIF

#IF NOT %DEF(%GL_EXT_shader_image_load_store)
%GL_MAX_IMAGE_UNITS_EXT                               = &H8F38???
%GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS_EXT = &H8F39???
%GL_IMAGE_BINDING_NAME_EXT                            = &H8F3A???
%GL_IMAGE_BINDING_LEVEL_EXT                           = &H8F3B???
%GL_IMAGE_BINDING_LAYERED_EXT                         = &H8F3C???
%GL_IMAGE_BINDING_LAYER_EXT                           = &H8F3D???
%GL_IMAGE_BINDING_ACCESS_EXT                          = &H8F3E???
%GL_IMAGE_1D_EXT                                      = &H904C???
%GL_IMAGE_2D_EXT                                      = &H904D???
%GL_IMAGE_3D_EXT                                      = &H904E???
%GL_IMAGE_2D_RECT_EXT                                 = &H904F???
%GL_IMAGE_CUBE_EXT                                    = &H9050???
%GL_IMAGE_BUFFER_EXT                                  = &H9051???
%GL_IMAGE_1D_ARRAY_EXT                                = &H9052???
%GL_IMAGE_2D_ARRAY_EXT                                = &H9053???
%GL_IMAGE_CUBE_MAP_ARRAY_EXT                          = &H9054???
%GL_IMAGE_2D_MULTISAMPLE_EXT                          = &H9055???
%GL_IMAGE_2D_MULTISAMPLE_ARRAY_EXT                    = &H9056???
%GL_INT_IMAGE_1D_EXT                                  = &H9057???
%GL_INT_IMAGE_2D_EXT                                  = &H9058???
%GL_INT_IMAGE_3D_EXT                                  = &H9059???
%GL_INT_IMAGE_2D_RECT_EXT                             = &H905A???
%GL_INT_IMAGE_CUBE_EXT                                = &H905B???
%GL_INT_IMAGE_BUFFER_EXT                              = &H905C???
%GL_INT_IMAGE_1D_ARRAY_EXT                            = &H905D???
%GL_INT_IMAGE_2D_ARRAY_EXT                            = &H905E???
%GL_INT_IMAGE_CUBE_MAP_ARRAY_EXT                      = &H905F???
%GL_INT_IMAGE_2D_MULTISAMPLE_EXT                      = &H9060???
%GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY_EXT                = &H9061???
%GL_UNSIGNED_INT_IMAGE_1D_EXT                         = &H9062???
%GL_UNSIGNED_INT_IMAGE_2D_EXT                         = &H9063???
%GL_UNSIGNED_INT_IMAGE_3D_EXT                         = &H9064???
%GL_UNSIGNED_INT_IMAGE_2D_RECT_EXT                    = &H9065???
%GL_UNSIGNED_INT_IMAGE_CUBE_EXT                       = &H9066???
%GL_UNSIGNED_INT_IMAGE_BUFFER_EXT                     = &H9067???
%GL_UNSIGNED_INT_IMAGE_1D_ARRAY_EXT                   = &H9068???
%GL_UNSIGNED_INT_IMAGE_2D_ARRAY_EXT                   = &H9069???
%GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY_EXT             = &H906A???
%GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_EXT             = &H906B???
%GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY_EXT       = &H906C???
%GL_MAX_IMAGE_SAMPLES_EXT                             = &H906D???
%GL_IMAGE_BINDING_FORMAT_EXT                          = &H906E???
%GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT_EXT               = &H00000001???
%GL_ELEMENT_ARRAY_BARRIER_BIT_EXT                     = &H00000002???
%GL_UNIFORM_BARRIER_BIT_EXT                           = &H00000004???
%GL_TEXTURE_FETCH_BARRIER_BIT_EXT                     = &H00000008???
%GL_SHADER_IMAGE_ACCESS_BARRIER_BIT_EXT               = &H00000020???
%GL_COMMAND_BARRIER_BIT_EXT                           = &H00000040???
%GL_PIXEL_BUFFER_BARRIER_BIT_EXT                      = &H00000080???
%GL_TEXTURE_UPDATE_BARRIER_BIT_EXT                    = &H00000100???
%GL_BUFFER_UPDATE_BARRIER_BIT_EXT                     = &H00000200???
%GL_FRAMEBUFFER_BARRIER_BIT_EXT                       = &H00000400???
%GL_TRANSFORM_FEEDBACK_BARRIER_BIT_EXT                = &H00000800???
%GL_ATOMIC_COUNTER_BARRIER_BIT_EXT                    = &H00001000???
%GL_ALL_BARRIER_BITS_EXT                              = &HFFFFFFFF???
#ENDIF

#IF NOT %DEF(%GL_EXT_vertex_attrib_64bit)
%GL_DOUBLE_VEC2_EXT                                   = &H8FFC???
%GL_DOUBLE_VEC3_EXT                                   = &H8FFD???
%GL_DOUBLE_VEC4_EXT                                   = &H8FFE???
%GL_DOUBLE_MAT2_EXT                                   = &H8F46???
%GL_DOUBLE_MAT3_EXT                                   = &H8F47???
%GL_DOUBLE_MAT4_EXT                                   = &H8F48???
%GL_DOUBLE_MAT2x3_EXT                                 = &H8F49???
%GL_DOUBLE_MAT2x4_EXT                                 = &H8F4A???
%GL_DOUBLE_MAT3x2_EXT                                 = &H8F4B???
%GL_DOUBLE_MAT3x4_EXT                                 = &H8F4C???
%GL_DOUBLE_MAT4x2_EXT                                 = &H8F4D???
%GL_DOUBLE_MAT4x3_EXT                                 = &H8F4E???
#ENDIF

#IF NOT %DEF(%GL_NV_gpu_program5)
%GL_MAX_GEOMETRY_PROGRAM_INVOCATIONS_NV               = &H8E5A???
%GL_MIN_FRAGMENT_INTERPOLATION_OFFSET_NV              = &H8E5B???
%GL_MAX_FRAGMENT_INTERPOLATION_OFFSET_NV              = &H8E5C???
%GL_FRAGMENT_PROGRAM_INTERPOLATION_OFFSET_BITS_NV     = &H8E5D???
%GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET_NV              = &H8E5E???
%GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET_NV              = &H8E5F???
%GL_MAX_PROGRAM_SUBROUTINE_PARAMETERS_NV              = &H8F44???
%GL_MAX_PROGRAM_SUBROUTINE_NUM_NV                     = &H8F45???
#ENDIF

#IF NOT %DEF(%GL_NV_gpu_shader5)
%GL_INT64_NV                                          = &H140E???
%GL_UNSIGNED_INT64_NV                                 = &H140F???
%GL_INT8_NV                                           = &H8FE0???
%GL_INT8_VEC2_NV                                      = &H8FE1???
%GL_INT8_VEC3_NV                                      = &H8FE2???
%GL_INT8_VEC4_NV                                      = &H8FE3???
%GL_INT16_NV                                          = &H8FE4???
%GL_INT16_VEC2_NV                                     = &H8FE5???
%GL_INT16_VEC3_NV                                     = &H8FE6???
%GL_INT16_VEC4_NV                                     = &H8FE7???
%GL_INT64_VEC2_NV                                     = &H8FE9???
%GL_INT64_VEC3_NV                                     = &H8FEA???
%GL_INT64_VEC4_NV                                     = &H8FEB???
%GL_UNSIGNED_INT8_NV                                  = &H8FEC???
%GL_UNSIGNED_INT8_VEC2_NV                             = &H8FED???
%GL_UNSIGNED_INT8_VEC3_NV                             = &H8FEE???
%GL_UNSIGNED_INT8_VEC4_NV                             = &H8FEF???
%GL_UNSIGNED_INT16_NV                                 = &H8FF0???
%GL_UNSIGNED_INT16_VEC2_NV                            = &H8FF1???
%GL_UNSIGNED_INT16_VEC3_NV                            = &H8FF2???
%GL_UNSIGNED_INT16_VEC4_NV                            = &H8FF3???
%GL_UNSIGNED_INT64_VEC2_NV                            = &H8FF5???
%GL_UNSIGNED_INT64_VEC3_NV                            = &H8FF6???
%GL_UNSIGNED_INT64_VEC4_NV                            = &H8FF7???
%GL_FLOAT16_NV                                        = &H8FF8???
%GL_FLOAT16_VEC2_NV                                   = &H8FF9???
%GL_FLOAT16_VEC3_NV                                   = &H8FFA???
%GL_FLOAT16_VEC4_NV                                   = &H8FFB???
#ENDIF

#IF NOT %DEF(%GL_NV_shader_buffer_store)
%GL_SHADER_GLOBAL_ACCESS_BARRIER_BIT_NV               = &H00000010???
#ENDIF

#IF NOT %DEF(%GL_NV_tessellation_program5)
%GL_MAX_PROGRAM_PATCH_ATTRIBS_NV                      = &H86D8???
%GL_TESS_CONTROL_PROGRAM_NV                           = &H891E???
%GL_TESS_EVALUATION_PROGRAM_NV                        = &H891F???
%GL_TESS_CONTROL_PROGRAM_PARAMETER_BUFFER_NV          = &H8C74???
%GL_TESS_EVALUATION_PROGRAM_PARAMETER_BUFFER_NV       = &H8C75???
#ENDIF

#IF NOT %DEF(%GL_NV_multisample_coverage)
%GL_COVERAGE_SAMPLES_NV                               = &H80A9???
%GL_COLOR_SAMPLES_NV                                  = &H8E20???
#ENDIF

#IF NOT %DEF(%GL_AMD_name_gen_delete)
%GL_DATA_BUFFER_AMD                                   = &H9151???
%GL_PERFORMANCE_MONITOR_AMD                           = &H9152???
%GL_QUERY_OBJECT_AMD                                  = &H9153???
%GL_VERTEX_ARRAY_OBJECT_AMD                           = &H9154???
%GL_SAMPLER_OBJECT_AMD                                = &H9155???
#ENDIF

#IF NOT %DEF(%GL_AMD_debug_output)
%GL_MAX_DEBUG_LOGGED_MESSAGES_AMD                     = &H9144???
%GL_DEBUG_LOGGED_MESSAGES_AMD                         = &H9145???
%GL_DEBUG_SEVERITY_HIGH_AMD                           = &H9146???
%GL_DEBUG_SEVERITY_MEDIUM_AMD                         = &H9147???
%GL_DEBUG_SEVERITY_LOW_AMD                            = &H9148???
%GL_DEBUG_CATEGORY_API_ERROR_AMD                      = &H9149???
%GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD                  = &H914A???
%GL_DEBUG_CATEGORY_DEPRECATION_AMD                    = &H914B???
%GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD             = &H914C???
%GL_DEBUG_CATEGORY_PERFORMANCE_AMD                    = &H914D???
%GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD                = &H914E???
%GL_DEBUG_CATEGORY_APPLICATION_AMD                    = &H914F???
%GL_DEBUG_CATEGORY_OTHER_AMD                          = &H9150???
#ENDIF

#IF NOT %DEF(%GL_NV_vdpau_interop)
%GL_SURFACE_STATE_NV                                  = &H86EB???
%GL_SURFACE_REGISTERED_NV                             = &H86FD???
%GL_SURFACE_MAPPED_NV                                 = &H8700???
%GL_WRITE_DISCARD_NV                                  = &H88BE???
#ENDIF

#IF NOT %DEF(%GL_AMD_transform_feedback3_lines_triangles)
#ENDIF

#IF NOT %DEF(%GL_AMD_depth_clamp_separate)
%GL_DEPTH_CLAMP_NEAR_AMD           = &H901E???
%GL_DEPTH_CLAMP_FAR_AMD            = &H901F???
#ENDIF

#IF NOT %DEF(%GL_EXT_texture_sRGB_decode)
%GL_TEXTURE_SRGB_DECODE_EXT        = &H8A48???
%GL_DECODE_EXT                     = &H8A49???
%GL_SKIP_DECODE_EXT                = &H8A4A???
#ENDIF

#IF NOT %DEF(%GL_NV_texture_multisample)
%GL_TEXTURE_COVERAGE_SAMPLES_NV    = &H9045???
%GL_TEXTURE_COLOR_SAMPLES_NV       = &H9046???
#ENDIF

#IF NOT %DEF(%GL_AMD_blend_minmax_factor)
%GL_FACTOR_MIN_AMD                 = &H901C???
%GL_FACTOR_MAX_AMD                 = &H901D???
#ENDIF

#IF NOT %DEF(%GL_AMD_sample_positions)
%GL_SUBSAMPLE_DISTANCE_AMD         = &H883F???
#ENDIF

#IF NOT %DEF(%GL_EXT_x11_sync_object)
%GL_SYNC_X11_FENCE_EXT             = &H90E1???
#ENDIF

#IF NOT %DEF(%GL_AMD_multi_draw_indirect)
#ENDIF

#IF NOT %DEF(%GL_EXT_framebuffer_multisample_blit_scaled)
%GL_SCALED_RESOLVE_FASTEST_EXT     = &H90BA???
%GL_SCALED_RESOLVE_NICEST_EXT      = &H90BB???
#ENDIF

#IF NOT %DEF(%GL_NV_path_rendering)
%GL_PATH_FORMAT_SVG_NV                      = &H9070???
%GL_PATH_FORMAT_PS_NV                       = &H9071???
%GL_STANDARD_FONT_NAME_NV                   = &H9072???
%GL_SYSTEM_FONT_NAME_NV                     = &H9073???
%GL_FILE_NAME_NV                            = &H9074???
%GL_PATH_STROKE_WIDTH_NV                    = &H9075???
%GL_PATH_END_CAPS_NV                        = &H9076???
%GL_PATH_INITIAL_END_CAP_NV                 = &H9077???
%GL_PATH_TERMINAL_END_CAP_NV                = &H9078???
%GL_PATH_JOIN_STYLE_NV                      = &H9079???
%GL_PATH_MITER_LIMIT_NV                     = &H907A???
%GL_PATH_DASH_CAPS_NV                       = &H907B???
%GL_PATH_INITIAL_DASH_CAP_NV                = &H907C???
%GL_PATH_TERMINAL_DASH_CAP_NV               = &H907D???
%GL_PATH_DASH_OFFSET_NV                     = &H907E???
%GL_PATH_CLIENT_LENGTH_NV                   = &H907F???
%GL_PATH_FILL_MODE_NV                       = &H9080???
%GL_PATH_FILL_MASK_NV                       = &H9081???
%GL_PATH_FILL_COVER_MODE_NV                 = &H9082???
%GL_PATH_STROKE_COVER_MODE_NV               = &H9083???
%GL_PATH_STROKE_MASK_NV                     = &H9084???
%GL_PATH_SAMPLE_QUALITY_NV                  = &H9085???
%GL_PATH_STROKE_BOUND_NV                    = &H9086???
%GL_PATH_STROKE_OVERSAMPLE_COUNT_NV         = &H9087???
%GL_COUNT_UP_NV                             = &H9088???
%GL_COUNT_DOWN_NV                           = &H9089???
%GL_PATH_OBJECT_BOUNDING_BOX_NV             = &H908A???
%GL_CONVEX_HULL_NV                          = &H908B???
%GL_MULTI_HULLS_NV                          = &H908C???
%GL_BOUNDING_BOX_NV                         = &H908D???
%GL_TRANSLATE_X_NV                          = &H908E???
%GL_TRANSLATE_Y_NV                          = &H908F???
%GL_TRANSLATE_2D_NV                         = &H9090???
%GL_TRANSLATE_3D_NV                         = &H9091???
%GL_AFFINE_2D_NV                            = &H9092???
%GL_PROJECTIVE_2D_NV                        = &H9093???
%GL_AFFINE_3D_NV                            = &H9094???
%GL_PROJECTIVE_3D_NV                        = &H9095???
%GL_TRANSPOSE_AFFINE_2D_NV                  = &H9096???
%GL_TRANSPOSE_PROJECTIVE_2D_NV              = &H9097???
%GL_TRANSPOSE_AFFINE_3D_NV                  = &H9098???
%GL_TRANSPOSE_PROJECTIVE_3D_NV              = &H9099???
%GL_UTF8_NV                                 = &H909A???
%GL_UTF16_NV                                = &H909B???
%GL_BOUNDING_BOX_OF_BOUNDING_BOXES_NV       = &H909C???
%GL_PATH_COMMAND_COUNT_NV                   = &H909D???
%GL_PATH_COORD_COUNT_NV                     = &H909E???
%GL_PATH_DASH_ARRAY_COUNT_NV                = &H909F???
%GL_PATH_COMPUTED_LENGTH_NV                 = &H90A0???
%GL_PATH_FILL_BOUNDING_BOX_NV               = &H90A1???
%GL_PATH_STROKE_BOUNDING_BOX_NV             = &H90A2???
%GL_SQUARE_NV                               = &H90A3???
%GL_ROUND_NV                                = &H90A4???
%GL_TRIANGULAR_NV                           = &H90A5???
%GL_BEVEL_NV                                = &H90A6???
%GL_MITER_REVERT_NV                         = &H90A7???
%GL_MITER_TRUNCATE_NV                       = &H90A8???
%GL_SKIP_MISSING_GLYPH_NV                   = &H90A9???
%GL_USE_MISSING_GLYPH_NV                    = &H90AA???
%GL_PATH_ERROR_POSITION_NV                  = &H90AB???
%GL_PATH_FOG_GEN_MODE_NV                    = &H90AC???
%GL_ACCUM_ADJACENT_PAIRS_NV                 = &H90AD???
%GL_ADJACENT_PAIRS_NV                       = &H90AE???
%GL_FIRST_TO_REST_NV                        = &H90AF???
%GL_PATH_GEN_MODE_NV                        = &H90B0???
%GL_PATH_GEN_COEFF_NV                       = &H90B1???
%GL_PATH_GEN_COLOR_FORMAT_NV                = &H90B2???
%GL_PATH_GEN_COMPONENTS_NV                  = &H90B3???
%GL_PATH_STENCIL_FUNC_NV                    = &H90B7???
%GL_PATH_STENCIL_REF_NV                     = &H90B8???
%GL_PATH_STENCIL_VALUE_MASK_NV              = &H90B9???
%GL_PATH_STENCIL_DEPTH_OFFSET_FACTOR_NV     = &H90BD???
%GL_PATH_STENCIL_DEPTH_OFFSET_UNITS_NV      = &H90BE???
%GL_PATH_COVER_DEPTH_FUNC_NV                = &H90BF???
%GL_PATH_DASH_OFFSET_RESET_NV               = &H90B4???
%GL_MOVE_TO_RESETS_NV                       = &H90B5???
%GL_MOVE_TO_CONTINUES_NV                    = &H90B6???
%GL_CLOSE_PATH_NV                           = &H00???
%GL_MOVE_TO_NV                              = &H02???
%GL_RELATIVE_MOVE_TO_NV                     = &H03???
%GL_LINE_TO_NV                              = &H04???
%GL_RELATIVE_LINE_TO_NV                     = &H05???
%GL_HORIZONTAL_LINE_TO_NV                   = &H06???
%GL_RELATIVE_HORIZONTAL_LINE_TO_NV          = &H07???
%GL_VERTICAL_LINE_TO_NV                     = &H08???
%GL_RELATIVE_VERTICAL_LINE_TO_NV            = &H09???
%GL_QUADRATIC_CURVE_TO_NV                   = &H0A???
%GL_RELATIVE_QUADRATIC_CURVE_TO_NV          = &H0B???
%GL_CUBIC_CURVE_TO_NV                       = &H0C???
%GL_RELATIVE_CUBIC_CURVE_TO_NV              = &H0D???
%GL_SMOOTH_QUADRATIC_CURVE_TO_NV            = &H0E???
%GL_RELATIVE_SMOOTH_QUADRATIC_CURVE_TO_NV   = &H0F???
%GL_SMOOTH_CUBIC_CURVE_TO_NV                = &H10???
%GL_RELATIVE_SMOOTH_CUBIC_CURVE_TO_NV       = &H11???
%GL_SMALL_CCW_ARC_TO_NV                     = &H12???
%GL_RELATIVE_SMALL_CCW_ARC_TO_NV            = &H13???
%GL_SMALL_CW_ARC_TO_NV                      = &H14???
%GL_RELATIVE_SMALL_CW_ARC_TO_NV             = &H15???
%GL_LARGE_CCW_ARC_TO_NV                     = &H16???
%GL_RELATIVE_LARGE_CCW_ARC_TO_NV            = &H17???
%GL_LARGE_CW_ARC_TO_NV                      = &H18???
%GL_RELATIVE_LARGE_CW_ARC_TO_NV             = &H19???
%GL_RESTART_PATH_NV                         = &HF0???
%GL_DUP_FIRST_CUBIC_CURVE_TO_NV             = &HF2???
%GL_DUP_LAST_CUBIC_CURVE_TO_NV              = &HF4???
%GL_RECT_NV                                 = &HF6???
%GL_CIRCULAR_CCW_ARC_TO_NV                  = &HF8???
%GL_CIRCULAR_CW_ARC_TO_NV                   = &HFA???
%GL_CIRCULAR_TANGENT_ARC_TO_NV              = &HFC???
%GL_ARC_TO_NV                               = &HFE???
%GL_RELATIVE_ARC_TO_NV                      = &HFF???
%GL_BOLD_BIT_NV                             = &H01???
%GL_ITALIC_BIT_NV                           = &H02???
%GL_GLYPH_WIDTH_BIT_NV                      = &H01???
%GL_GLYPH_HEIGHT_BIT_NV                     = &H02???
%GL_GLYPH_HORIZONTAL_BEARING_X_BIT_NV       = &H04???
%GL_GLYPH_HORIZONTAL_BEARING_Y_BIT_NV       = &H08???
%GL_GLYPH_HORIZONTAL_BEARING_ADVANCE_BIT_NV = &H10???
%GL_GLYPH_VERTICAL_BEARING_X_BIT_NV         = &H20???
%GL_GLYPH_VERTICAL_BEARING_Y_BIT_NV         = &H40???
%GL_GLYPH_VERTICAL_BEARING_ADVANCE_BIT_NV   = &H80???
%GL_GLYPH_HAS_KERNING_NV                    = &H100???
%GL_FONT_X_MIN_BOUNDS_NV                    = &H00010000???
%GL_FONT_Y_MIN_BOUNDS_NV                    = &H00020000???
%GL_FONT_X_MAX_BOUNDS_NV                    = &H00040000???
%GL_FONT_Y_MAX_BOUNDS_NV                    = &H00080000???
%GL_FONT_UNITS_PER_EM_NV                    = &H00100000???
%GL_FONT_ASCENDER_NV                        = &H00200000???
%GL_FONT_DESCENDER_NV                       = &H00400000???
%GL_FONT_HEIGHT_NV                          = &H00800000???
%GL_FONT_MAX_ADVANCE_WIDTH_NV               = &H01000000???
%GL_FONT_MAX_ADVANCE_HEIGHT_NV              = &H02000000???
%GL_FONT_UNDERLINE_POSITION_NV              = &H04000000???
%GL_FONT_UNDERLINE_THICKNESS_NV             = &H08000000???
%GL_FONT_HAS_KERNING_NV                     = &H10000000???
#ENDIF

#IF NOT %DEF(%GL_AMD_pinned_memory)
%GL_EXTERNAL_VIRTUAL_MEMORY_BUFFER_AMD = &H9160???
#ENDIF

#IF NOT %DEF(%GL_AMD_stencil_operation_extended)
%GL_SET_AMD                        = &H874A???
%GL_REPLACE_VALUE_AMD              = &H874B???
%GL_STENCIL_OP_VALUE_AMD           = &H874C???
%GL_STENCIL_BACK_OP_VALUE_AMD      = &H874D???
#ENDIF

'// Set the blend color.
'// void glBlendColor (GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);
SUB glBlendColor (BYVAL red AS SINGLE, BYVAL green AS SINGLE, BYVAL blue AS SINGLE, BYVAL alpha AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendColor")
    IF pProc THEN CALL DWORD pProc USING glBlendColor(red, green, blue, alpha)
END SUB

'// Set the blend equation
'// void glBlendEquation (GLenum mode);
SUB glBlendEquation (BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendEquation")
    IF pProc THEN CALL DWORD pProc USING glBlendEquation(dwMode)
END SUB

'// Render primitives from array data.
'// void glDrawRangeElements (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices);
SUB glDrawRangeElements (BYVAL dwMode AS DWORD, BYVAL dwStart AS DWORD, BYVAL dwEnd AS DWORD, _
    BYVAL nCount AS LONG, BYVAL dwType AS DWORD, BYVAL pIndices AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawRangeElements")
    IF pProc THEN CALL DWORD pProc USING glDrawRangeElements(dwMode, dwStart, dwEnd, nCount, dwType, pindices)
END SUB

'// Specify a three-dimensional texture image.
'// void glTexImage3D (GLenum, GLint, GLint, GLsizei, GLsizei, GLsizei, GLint, GLenum, GLenum, const GLvoid *);
'// typedef void (APIENTRYP PFNGLTEXIMAGE3DPROC) (GLenum target, GLint level, GLint internalformat,
'// GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels);
SUB glTexImage3D (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL internalformat AS LONG, _
    BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nDepth AS LONG, BYVAL nBorder AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL ppixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexImage3D")
    IF pProc THEN CALL DWORD pProc USING glTexImage3D(dwTarget, nLevel, internalformat, nWidth, nHeight, nDepth, nBorder, dwFormat, dwType, ppixels)
END SUB

'// Specifies a three-dimensional (3D) texture subimage.
'// void glTexSubImage3D (GLenum target, GLint level, GLint xoffset, GLint yoffset,
'// GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels);
SUB glTexSubImage3D (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL yoffset AS LONG, BYVAL zoffset AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, _
    BYVAL nDepth AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL ppixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexSubImage3D")
    IF pProc THEN CALL DWORD pProc USING glTexSubImage3D(dwTarget, nLevel, xoffset, yoffset, zoffset, nWidth, nHeight, nDepth, dwFormat, dwType, ppixels)
END SUB

'// Copy a three-dimensional texture subimage.
'// void glCopyTexSubImage3D (GLenum target, GLint level, GLint xoffset, GLint yoffset,
'// GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height);
SUB glCopyTexSubImage3D (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL yoffset AS LONG, BYVAL zoffset AS LONG, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyTexSubImage3D")
    IF pProc THEN CALL DWORD pProc USING glCopyTexSubImage3D(dwTarget, nLevel, xoffset, yoffset, zoffset, x, y, nWidth, nHeight)
END SUB

'// Defines a color lookup table
'// void glColorTable (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *table);
SUB glColorTable (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pTable AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorTable")
    IF pProc THEN CALL DWORD pProc USING glColorTable(dwTarget, internalformat, nWidth, dwFormat, dwType, pTable)
END SUB

'// Set color lookup table parameters.
'// void glColorTableParameterfv (GLenum target, GLenum pname, const GLfloat *params);
SUB glColorTableParameterfv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorTableParameterfv")
    IF pProc THEN CALL DWORD pProc USING glColorTableParameterfv(dwTarget, pname, params)
END SUB

'// Set color lookup table parameters.
'// void glColorTableParameteriv (GLenum target, GLenum pname, const GLint *params);
SUB glColorTableParameteriv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorTableParameteriv")
    IF pProc THEN CALL DWORD pProc USING glColorTableParameteriv(dwTarget, pname, params)
END SUB

'// Copy pixels into a color table.
'// void glCopyColorTable (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width);
SUB glCopyColorTable (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyColorTable")
    IF pProc THEN CALL DWORD pProc USING glCopyColorTable(dwTarget, internalformat, x, y, nWidth)
END SUB

'// Retrieve contents of a color lookup table.
'// void glGetColorTable (GLenum target, GLenum format, GLenum type, GLvoid *table);
SUB glGetColorTable (BYVAL dwTarget AS DWORD, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pTable AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetColorTable")
    IF pProc THEN CALL DWORD pProc USING glGetColorTable(dwTarget, dwFormat, dwType, pTable)
END SUB

'// Get color lookup table parameters.
'// void glGetColorTableParameterfv (GLenum target, GLenum pname, GLfloat *params);
SUB glGetColorTableParameterfv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetColorTableParameterfv")
    IF pProc THEN CALL DWORD pProc USING glGetColorTableParameterfv(dwTarget, pname, params)
END SUB

'// Get color lookup table parameters.
'// void glGetColorTableParameteriv (GLenum target, GLenum pname, GLint *params);
SUB glGetColorTableParameteriv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetColorTableParameteriv")
    IF pProc THEN CALL DWORD pProc USING glGetColorTableParameteriv(dwTarget, pname, params)
END SUB

'// Respecify a portion of a color table.
'// void glColorSubTable (GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *data);
SUB glColorSubTable (BYVAL dwTarget AS DWORD, BYVAL nStart AS LONG, BYVAL nCount AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorSubTable")
    IF pProc THEN CALL DWORD pProc USING glColorSubTable(dwTarget, nStart, nCount, dwFormat, dwType, pData)
END SUB

'// Respecify a portion of a color table.
'// void glCopyColorSubTable (GLenum target, GLsizei start, GLint x, GLint y, GLsizei width);
SUB glCopyColorSubTable (BYVAL dwTarget AS DWORD, BYVAL nStart AS LONG, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyColorSubTable")
    IF pProc THEN CALL DWORD pProc USING glCopyColorSubTable(dwTarget, nStart, x, y, nWidth)
END SUB

'// Define a one-dimensional convolution filter.
'// void glConvolutionFilter1D (GLenum target, GLenum internalformat, GLsizei width,
'// GLenum format, GLenum type, const GLvoid *image);
SUB glConvolutionFilter1D (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, _
    BYVAL nWidth AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pImage AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glConvolutionFilter1D")
    IF pProc THEN CALL DWORD pProc USING glConvolutionFilter1D(dwTarget, internalformat, nWidth, dwFormat, dwType, pImage)
END SUB

'// Define a two-dimensional convolution filter.
'// void glConvolutionFilter2D (GLenum target, GLenum internalformat, GLsizei width,
'// GLsizei height, GLenum format, GLenum type, const GLvoid *image);
SUB glConvolutionFilter2D (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, _
    BYVAL nHeight AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pImage AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glConvolutionFilter2D")
    IF pProc THEN CALL DWORD pProc USING glConvolutionFilter2D(dwTarget, internalformat, nWidth, nHeight, dwFormat, dwType, pImage)
END SUB

'// Set convolution parameters.
'// void glConvolutionParameterf (GLenum target, GLenum pname, GLfloat params);
SUB glConvolutionParameterf (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glConvolutionParameterf")
    IF pProc THEN CALL DWORD pProc USING glConvolutionParameterf(dwTarget, pname, params)
END SUB

'// Set convolution parameters.
'// void glConvolutionParameterfv (GLenum target, GLenum pname, const GLfloat *params);
SUB glConvolutionParameterfv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glConvolutionParameterfv")
    IF pProc THEN CALL DWORD pProc USING glConvolutionParameterfv(dwTarget, pname, params)
END SUB

'// Set convolution parameters.
'// void glConvolutionParameteri (GLenum target, GLenum pname, GLint params);
SUB glConvolutionParameteri (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glConvolutionParameteri")
    IF pProc THEN CALL DWORD pProc USING glConvolutionParameteri(dwTarget, pname, params)
END SUB

'// Set convolution parameters.
'// void glConvolutionParameteriv (GLenum target, GLenum pname, const GLint *params);
SUB glConvolutionParameteriv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glConvolutionParameteriv")
    IF pProc THEN CALL DWORD pProc USING glConvolutionParameteriv(dwTarget, pname, params)
END SUB

'// Copy pixels into a one-dimensional convolution filter.
'// void glCopyConvolutionFilter1D (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width);
SUB glCopyConvolutionFilter1D (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, _
    BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyConvolutionFilter1D")
    IF pProc THEN CALL DWORD pProc USING glCopyConvolutionFilter1D(dwTarget, internalformat, x, y, nWidth)
END SUB

'// Copy pixels into a two-dimensional convolution filter.
'// void glCopyConvolutionFilter2D (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height);
SUB glCopyConvolutionFilter2D (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, _
    BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyConvolutionFilter2D")
    IF pProc THEN CALL DWORD pProc USING glCopyConvolutionFilter2D(dwTarget, internalformat, x, y, nWidth, nHeight)
END SUB

'// Get current 1D or 2D convolution filter kernel.
'// void glGetConvolutionFilter (GLenum target, GLenum format, GLenum type, GLvoid *image);
SUB glGetConvolutionFilter (BYVAL dwTarget AS DWORD, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pImage AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetConvolutionFilter")
    IF pProc THEN CALL DWORD pProc USING glGetConvolutionFilter(dwTarget, dwFormat, dwType, pImage)
END SUB

'// Get convolution parameters.
'// void glGetConvolutionParameterfv (GLenum target, GLenum pname, GLfloat *params);
SUB glGetConvolutionParameterfv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetConvolutionParameterfv")
    IF pProc THEN CALL DWORD pProc USING glGetConvolutionParameterfv(dwTarget, pname, params)
END SUB

'// Get convolution parameters.
'// void glGetConvolutionParameteriv (GLenum target, GLenum pname, GLint *params);
SUB glGetConvolutionParameteriv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetConvolutionParameteriv")
    IF pProc THEN CALL DWORD pProc USING glGetConvolutionParameteriv(dwTarget, pname, params)
END SUB

'// Get separable convolution filter kernel images.
'// void glGetSeparableFilter (GLenum target, GLenum format, GLenum type, GLvoid *row, GLvoid *column, GLvoid *span);
SUB glGetSeparableFilter (BYVAL dwTarget AS DWORD, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, _
    BYVAL pRow AS DWORD, BYVAL pColumn AS DWORD, BYVAL pSpan AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetSeparableFilter")
    IF pProc THEN CALL DWORD pProc USING glGetSeparableFilter(dwTarget, dwFormat, dwType, pRow, pColumn, pSpan)
END SUB

'// Define a separable two-dimensional convolution filter.
'// void glSeparableFilter2D (GLenum target, GLenum internalformat, GLsizei width,
'// GLsizei height, GLenum format, GLenum type, const GLvoid *row, const GLvoid *column);
SUB glSeparableFilter2D (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL nWIdth AS LONG, _
    BYVAL nHeight AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pRow AS DWORD, BYVAL pColumn AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSeparableFilter2D")
    IF pProc THEN CALL DWORD pProc USING glSeparableFilter2D(dwTarget, internalformat, nWidth, nHeight, dwFormat, dwType, pRow, pColumn)
END SUB

'// Get histogram table.
'// void glGetHistogram (GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values);
SUB glGetHistogram (BYVAL dwTarget AS DWORD, BYVAL bReset AS BYTE, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pValues AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetHistogram")
    IF pProc THEN CALL DWORD pProc USING glGetHistogram(dwTarget, bReset, dwFormat, dwType, pValues)
END SUB

'// Get histogram parameters.
'// void glGetHistogramParameterfv (GLenum target, GLenum pname, GLfloat *params);
SUB glGetHistogramParameterfv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetHistogramParameterfv")
    IF pProc THEN CALL DWORD pProc USING glGetHistogramParameterfv(dwTarget, pname, params)
END SUB

'// Get histogram parameters.
'// void glGetHistogramParameteriv (GLenum target, GLenum pname, GLint *params);
SUB glGetHistogramParameteriv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetHistogramParameteriv")
    IF pProc THEN CALL DWORD pProc USING glGetHistogramParameteriv(dwTarget, pname, params)
END SUB

'// Get minimum and maximum pixel values.
'// void glGetMinmax (GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values);
SUB glGetMinmax (BYVAL dwTarget AS DWORD, BYVAL bReset AS BYTE, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL values AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMinmax")
    IF pProc THEN CALL DWORD pProc USING glGetMinmax(dwTarget, breset, dwFormat, dwType, values)
END SUB

'// Get minmax parameters.
'// void glGetMinmaxParameterfv (GLenum target, GLenum pname, GLfloat *params);
SUB glGetMinmaxParameterfv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMinmaxParameterfv")
    IF pProc THEN CALL DWORD pProc USING glGetMinmaxParameterfv(dwTarget, pname, params)
END SUB

'// Get minmax parameters.
'// void glGetMinmaxParameteriv (GLenum target, GLenum pname, GLint *params);
SUB glGetMinmaxParameteriv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMinmaxParameteriv")
    IF pProc THEN CALL DWORD pProc USING glGetMinmaxParameteriv(dwTarget, pname, params)
END SUB

'// Define histogram table.
'// void glHistogram (GLenum target, GLsizei width, GLenum internalformat, GLboolean sink);
SUB glHistogram (BYVAL dwTarget AS DWORD, BYVAL nWidth AS LONG, BYVAL internalformat AS DWORD, BYVAL bSink AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glHistogram")
    IF pProc THEN CALL DWORD pProc USING glHistogram(dwTarget, nWidth, internalformat, bSink)
END SUB

'// Define minmax table.
'// void glMinmax (GLenum target, GLenum internalformat, GLboolean sink);
SUB glMinmax (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL bSink AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMinmax")
    IF pProc THEN CALL DWORD pProc USING glMinmax(dwTarget, internalformat, bSink)
END SUB

'// Reset histogram table entries to zero.
'// void glResetHistogram (GLenum target);
SUB glResetHistogram (BYVAL dwTarget AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glResetHistogram")
    IF pProc THEN CALL DWORD pProc USING glResetHistogram(dwTarget)
END SUB

'// Reset minmax table entries to initial values
'// void glResetMinmax (GLenum target);
SUB glResetMinmax (BYVAL dwTarget AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glResetMinmax")
    IF pProc THEN CALL DWORD pProc USING glResetMinmax(dwTarget)
END SUB

'// Select server-side active texture unit.
'// void glActiveTexture (GLenum texture);
SUB glActiveTexture (BYVAL dwTexture AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glActiveTexture")
    IF pProc THEN CALL DWORD pProc USING glActiveTexture(dwTexture)
END SUB

'// Specify mask to modify multisampled pixel fragments
'// void glSampleCoverage (GLclampf value, GLboolean invert);
SUB glSampleCoverage (BYVAL value AS SINGLE, BYVAL bInvert AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSampleCoverage")
    IF pProc THEN CALL DWORD pProc USING glSampleCoverage(value, bInvert)
END SUB

'// Specify a three-dimensional texture image in a compressed format.
'// void glCompressedTexImage3D (GLenum target, GLint level, GLenum internalformat,
'// GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data);
SUB glCompressedTexImage3D (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL internalformat AS DWORD, _
    BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nDepth AS LONG, BYVAL nBorder AS LONG, BYVAL imageSize AS LONG, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTexImage3D")
    IF pProc THEN CALL DWORD pProc USING glCompressedTexImage3D(dwTarget, nLevel, internalformat, nWidth, nHeight, nDepth, nBorder, imageSize, pData)
END SUB

'// Specify a two-dimensional compressed texture image.
'// void glCompressedTexImage2D (GLenum target, GLint level, GLenum internalformat,
'// GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data);
SUB glCompressedTexImage2D (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL internalformat AS DWORD, _
    BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nBorder AS LONG, BYVAL imageSize AS LONG, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTexImage2D")
    IF pProc THEN CALL DWORD pProc USING glCompressedTexImage2D(dwTarget, nLevel, internalformat, nWidth, nHeight, nBorder, imageSize, pData)
END SUB

'// Specify a one-dimensional texture image in a compressed format.
'// void glCompressedTexImage1D (GLenum target, GLint level, GLenum internalformat,
'// GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data);
SUB glCompressedTexImage1D (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL internalformat AS DWORD, _
    BYVAL nWidth AS LONG, BYVAL nBorder AS LONG, BYVAL imageSize AS LONG, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTexImage1D")
    IF pProc THEN CALL DWORD pProc USING glCompressedTexImage1D(dwTarget, nLevel, internalformat, nWidth, nBorder, imageSize, pData)
END SUB

'// Specify a three-dimensional texture subimage in a compressed format
'// void glCompressedTexSubImage3D (GLenum target, GLint level, GLint xoffset,
'// GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data);
SUB glCompressedTexSubImage3D (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL yoffset AS LONG, BYVAL zoffset AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, _
    BYVAL nDepth AS LONG, BYVAL dwFormat AS DWORD, BYVAL imageSize AS LONG, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTexSubImage3D")
    IF pProc THEN CALL DWORD pProc USING glCompressedTexSubImage3D(dwTarget, nLevel, xoffset, yoffset, zoffset, nWidth, nHeight, nDepth, dwFormat, imageSize, pData)
END SUB

'// Specify a two-dimensional texture subimage in a compressed format
'// void glCompressedTexSubImage2D (GLenum target, GLint level, GLint xoffset,
'// GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data);
SUB glCompressedTexSubImage2D (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL yoffset AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL dwFormat AS DWORD, BYVAL imageSize AS LONG, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTexSubImage2D")
    IF pProc THEN CALL DWORD pProc USING glCompressedTexSubImage2D(dwTarget, nLevel, xoffset, yoffset, nWidth, nHeight, dwFormat, imageSize, pData)
END SUB

'// Specify a one-dimensional texture subimage in a compressed format.
'// void glCompressedTexSubImage1D (GLenum target, GLint level, GLint xoffset,
'// GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data);
SUB glCompressedTexSubImage1D (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL nWidth AS LONG, BYVAL dwFormat AS DWORD, BYVAL imageSize AS LONG, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTexSubImage1D")
    IF pProc THEN CALL DWORD pProc USING glCompressedTexSubImage1D(dwTarget, nLevel, xoffset, nWidth, dwFormat, imageSize, pData)
END SUB

'// Return a compressed texture image.
'// void glGetCompressedTexImage (GLenum target, GLint level, GLvoid *img);
SUB glGetCompressedTexImage (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL pImg AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetCompressedTexImage")
    IF pProc THEN CALL DWORD pProc USING glGetCompressedTexImage(dwTarget, nLevel, pImg)
END SUB

'// Select client-side active texture unit.
'// void glClientActiveTexture (GLenum texture);
SUB glClientActiveTexture (BYVAL dwTexture AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClientActiveTexture")
    IF pProc THEN CALL DWORD pProc USING glClientActiveTexture(dwTexture)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord1d (GLenum target, GLdouble s);
SUB glMultiTexCoord1d (BYVAL dwTarget AS DWORD, BYVAL s AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1d")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1d(dwTarget, s)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord1dv (GLenum target, const GLdouble *v);
SUB glMultiTexCoord1dv (BYVAL dwTarget AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1dv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1dv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord1f (GLenum target, GLfloat s);
SUB glMultiTexCoord1f (BYVAL dwTarget AS DWORD, BYVAL s AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1f")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1f(dwTarget, s)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord1fv (GLenum target, const GLfloat *v);
SUB glMultiTexCoord1fv (BYVAL dwTarget AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1fv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1fv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord1i (GLenum target, GLint s);
SUB glMultiTexCoord1i (BYVAL dwTarget AS DWORD, BYVAL s AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1i")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1i(dwTarget, s)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord1iv (GLenum target, const GLint *v);
SUB glMultiTexCoord1iv (BYVAL dwTarget AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1iv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1iv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord1s (GLenum target, GLshort s);
SUB glMultiTexCoord1s (BYVAL dwTarget AS DWORD, BYVAL s AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1s")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1s(dwTarget, s)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord1sv (GLenum target, const GLshort *v);
SUB glMultiTexCoord1sv (BYVAL dwTarget AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1sv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1sv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord2d (GLenum target, GLdouble s, GLdouble t);
SUB glMultiTexCoord2d (BYVAL dwTarget AS DWORD, BYVAL s AS DOUBLE, BYVAL t AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2d")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2d(dwTarget, s, t)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord2dv (GLenum target, const GLdouble *v);
SUB glMultiTexCoord2dv (BYVAL dwTarget AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2dv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2dv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord2f (GLenum target, GLfloat s, GLfloat t);
SUB glMultiTexCoord2f (BYVAL dwTarget AS DWORD, BYVAL s AS SINGLE, BYVAL t AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2f")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2f(dwTarget, s, t)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord2fv (GLenum target, const GLfloat *v);
SUB glMultiTexCoord2fv (BYVAL dwTarget AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2fv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2fv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord2i (GLenum target, GLint s, GLint t);
SUB glMultiTexCoord2i (BYVAL dwTarget AS DWORD, BYVAL s AS LONG, BYVAL t AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2i")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2i(dwTarget, s, t)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord2iv (GLenum target, const GLint *v);
SUB glMultiTexCoord2iv (BYVAL dwTarget AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2iv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2iv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord2s (GLenum target, GLshort s, GLshort t);
SUB glMultiTexCoord2s (BYVAL dwTarget AS DWORD, BYVAL s AS INTEGER, BYVAL t AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2s")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2s(dwTarget, s, t)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord2sv (GLenum target, const GLshort *v);
SUB glMultiTexCoord2sv (BYVAL dwTarget AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2sv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2sv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord3d (GLenum target, GLdouble s, GLdouble t, GLdouble r);
SUB glMultiTexCoord3d (BYVAL dwTarget AS DWORD, BYVAL s AS DOUBLE, BYVAL t AS DOUBLE, BYVAL r AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3d")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3d(dwTarget, s, t, r)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord3dv (GLenum target, const GLdouble *v);
SUB glMultiTexCoord3dv (BYVAL dwTarget AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3dv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3dv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord3f (GLenum target, GLfloat s, GLfloat t, GLfloat r);
SUB glMultiTexCoord3f (BYVAL dwTarget AS DWORD, BYVAL s AS SINGLE, BYVAL t AS SINGLE, BYVAL r AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3f")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3f(dwTarget, s, t, r)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord3fv (GLenum target, const GLfloat *v);
SUB glMultiTexCoord3fv (BYVAL dwTarget AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3fv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3fv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord3i (GLenum target, GLint s, GLint t, GLint r);
SUB glMultiTexCoord3i (BYVAL dwTarget AS DWORD, BYVAL s AS LONG, BYVAL t AS LONG, BYVAL r AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3i")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3i(dwTarget, s, t, r)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord3iv (GLenum target, const GLint *v);
SUB glMultiTexCoord3iv (BYVAL dwTarget AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3iv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3iv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord3s (GLenum target, GLshort s, GLshort t, GLshort r);
SUB glMultiTexCoord3s (BYVAL dwTarget AS DWORD, BYVAL s AS INTEGER, BYVAL t AS INTEGER, BYVAL r AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3s")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3s(dwTarget, s, t, r)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord3sv (GLenum target, const GLshort *v);
SUB glMultiTexCoord3sv (BYVAL dwTarget AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3sv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3sv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord4d (GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q);
SUB glMultiTexCoord4d (BYVAL dwTarget AS DWORD, BYVAL s AS DOUBLE, BYVAL t AS DOUBLE, BYVAL r AS DOUBLE, BYVAL q AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4d")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4d(dwTarget, s, t, r, q)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord4dv (GLenum target, const GLdouble *v);
SUB glMultiTexCoord4dv (BYVAL dwTarget AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4dv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4dv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord4f (GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q);
SUB glMultiTexCoord4f (BYVAL dwTarget AS DWORD, BYVAL s AS SINGLE, BYVAL t AS SINGLE, BYVAL r AS SINGLE, BYVAL q AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4f")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4f(dwTarget, s, t, r, q)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord4fv (GLenum target, const GLfloat *v);
SUB glMultiTexCoord4fv (BYVAL dwTarget AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4fv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4fv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord4i (GLenum target, GLint s, GLint t, GLint r, GLint q);
SUB glMultiTexCoord4i (BYVAL dwTarget AS DWORD, BYVAL s AS LONG, BYVAL t AS LONG, BYVAL r AS LONG, BYVAL q AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4i")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4i(dwTarget, s, t, r, q)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord4iv (GLenum target, const GLint *v);
SUB glMultiTexCoord4iv (BYVAL dwTarget AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4iv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4iv(dwTarget, v)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord4s (GLenum target, GLshort s, GLshort t, GLshort r, GLshort q);
SUB glMultiTexCoord4s (BYVAL dwTarget AS DWORD, BYVAL s AS INTEGER, BYVAL t AS INTEGER, BYVAL r AS INTEGER, BYVAL q AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4s")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4s(dwTarget, s, t, r, q)
END SUB

'// Set the current texture coordinates.
'// void glMultiTexCoord4sv (GLenum target, const GLshort *v);
SUB glMultiTexCoord4sv (BYVAL dwTarget AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4sv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4sv(dwTarget, v)
END SUB

'// Replace the current matrix with the specified row-major ordered matrix
'// void glLoadTransposeMatrixf (const GLfloat *m);
SUB glLoadTransposeMatrixf (BYREF m AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glLoadTransposeMatrixf")
    IF pProc THEN CALL DWORD pProc USING glLoadTransposeMatrixf(m)
END SUB

'// Replace the current matrix with the specified row-major ordered matrix
'// void glLoadTransposeMatrixd (const GLdouble *m);
SUB glLoadTransposeMatrixd (BYREF m AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glLoadTransposeMatrixd")
    IF pProc THEN CALL DWORD pProc USING glLoadTransposeMatrixd(m)
END SUB

'// Replace the current matrix with the specified row-major ordered matrix
'// void glMultTransposeMatrixf (const GLfloat *m);
SUB glMultTransposeMatrixf (BYREF m AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultTransposeMatrixf")
    IF pProc THEN CALL DWORD pProc USING glMultTransposeMatrixf(m)
END SUB

'// Replace the current matrix with the specified row-major ordered matrix
'// void glMultTransposeMatrixd (const GLdouble *m);
SUB glMultTransposeMatrixd (BYREF m AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultTransposeMatrixd")
    IF pProc THEN CALL DWORD pProc USING glMultTransposeMatrixd(m)
END SUB

'// Specify pixel arithmetic for RGB and alpha components separately.
'// void glBlendFuncSeparate (GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha);
SUB glBlendFuncSeparate (BYVAL srcRGB AS DWORD, BYVAL dstRGB AS DWORD, BYVAL srcAlpha AS DWORD, BYVAL dstAlpha AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendFuncSeparate")
    IF pProc THEN CALL DWORD pProc USING glBlendFuncSeparate(srcRGB, dstRGB, srcAlpha, dstAlpha)
END SUB

'// Render multiple sets of primitives from array data.
'// void glMultiDrawArrays (GLenum mode, GLint *first, GLsizei *count, GLsizei primcount);
SUB glMultiDrawArrays (BYVAL dwMode AS DWORD, BYREF nFirst AS LONG, BYREF nCount AS LONG, BYVAL primtcount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiDrawArrays")
    IF pProc THEN CALL DWORD pProc USING glMultiDrawArrays(dwMode, nFirst, nCount, primtcount)
END SUB

'// Render multiple sets of primitives by specifying indices of array data elements.
'// void glMultiDrawElements (GLenum mode, const GLsizei *count, GLenum type,
'// const GLvoid* *indices, GLsizei primcount);
SUB glMultiDrawElements (BYVAL dwMode AS DWORD, BYREF nCount AS LONG, BYVAL dwType AS DWORD, BYVAL indices AS DWORD, BYVAL primcount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiDrawElements")
    IF pProc THEN CALL DWORD pProc USING glMultiDrawElements(dwMode, nCount, dwType, indices, primcount)
END SUB

'// Specify parameters for point rasterization.
'// void glPointParameterf (GLenum pname, GLfloat param);
SUB glPointParameterf (BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPointParameterf")
    IF pProc THEN CALL DWORD pProc USING glPointParameterf(pname, param)
END SUB

'// Specify parameters for point rasterization.
'// void glPointParameterfv (GLenum pname, const GLfloat *params);
SUB glPointParameterfv (BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPointParameterfv")
    IF pProc THEN CALL DWORD pProc USING glPointParameterfv(pname, params)
END SUB

'// Specify parameters for point rasterization.
'// void glPointParameteri (GLenum pname, GLint param);
SUB glPointParameteri (BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPointParameteri")
    IF pProc THEN CALL DWORD pProc USING glPointParameteri(pname, param)
END SUB

'// Specify parameters for point rasterization.
'// void glPointParameteriv (GLenum pname, const GLint *params);
SUB glPointParameteriv (BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPointParameteriv")
    IF pProc THEN CALL DWORD pProc USING glPointParameteriv(pname, params)
END SUB

'// Set the current fog coordinates.
'// void glFogCoordf (GLfloat coord);
SUB glFogCoordf (BYVAL fCoord AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoordf")
    IF pProc THEN CALL DWORD pProc USING glFogCoordf(fCoord)
END SUB

'// Set the current fog coordinates.
'// void glFogCoordfv (const GLfloat *coord);
SUB glFogCoordfv (BYREF fCoord AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoordfv")
    IF pProc THEN CALL DWORD pProc USING glFogCoordfv(fCoord)
END SUB

'// Set the current fog coordinates.
'// void glFogCoordd (GLdouble coord);
SUB glFogCoordd (BYVAL dCoord AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoordd")
    IF pProc THEN CALL DWORD pProc USING glFogCoordd(dCoord)
END SUB

'// Set the current fog coordinates.
'// void glFogCoorddv (const GLdouble *coord);
SUB glFogCoorddv (BYREF dCoord AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoorddv")
    IF pProc THEN CALL DWORD pProc USING glFogCoorddv(dCoord)
END SUB

'// Define an array of fog coordinates
'// void glFogCoordPointer (GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glFogCoordPointer (BYVAL dwType AS DWORD, BYVAL stride AS LONG, BYVAL pCoordinates AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoordPointer")
    IF pProc THEN CALL DWORD pProc USING glFogCoordPointer(dwType, stride, pCoordinates)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3b (GLbyte red, GLbyte green, GLbyte blue);
SUB glSecondaryColor3b (BYVAL red AS BYTE, BYVAL green AS BYTE, BYVAL blue AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3b")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3b(red, green, blue)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3bv (const GLbyte *v);
SUB glSecondaryColor3bv (BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3bv")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3bv(v)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3d (GLdouble red, GLdouble green, GLdouble blue);
SUB glSecondaryColor3d (BYVAL red AS DOUBLE, BYVAL green AS DOUBLE, BYVAL blue AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3d")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3d(red, green, blue)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3dv (const GLdouble *v);
SUB glSecondaryColor3dv (BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3dv")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3dv(v)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3f (GLfloat red, GLfloat green, GLfloat blue);
SUB glSecondaryColor3f (BYVAL red AS SINGLE, BYVAL green AS SINGLE, BYVAL blue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3f")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3f(red, green, blue)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3fv (const GLfloat *v);
SUB glSecondaryColor3fv (BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3fv")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3fv(v)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3i (GLint red, GLint green, GLint blue);
SUB glSecondaryColor3i (BYVAL red AS LONG, BYVAL green AS LONG, BYVAL blue AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3i")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3i(red, green, blue)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3iv (const GLint *v);
SUB glSecondaryColor3iv (BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3iv")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3iv(v)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3s (GLshort red, GLshort green, GLshort blue);
SUB glSecondaryColor3s (BYVAL red AS INTEGER, BYVAL green AS INTEGER, BYVAL blue AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3s")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3s(red, green, blue)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3sv (const GLshort *v);
SUB glSecondaryColor3sv (BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3sv")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3sv(v)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3ub (GLubyte red, GLubyte green, GLubyte blue);
SUB glSecondaryColor3ub (BYVAL red AS BYTE, BYVAL green AS BYTE, BYVAL blue AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3ub")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3ub(red, green, blue)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3ubv (const GLubyte *v);
SUB glSecondaryColor3ubv (BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3ubv")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3ubv(v)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3ui (GLuint red, GLuint green, GLuint blue);
SUB glSecondaryColor3ui (BYVAL red AS DWORD, BYVAL green AS DWORD, BYVAL blue AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3ui")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3ui(red, green, blue)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3uiv (const GLuint *v);
SUB glSecondaryColor3uiv (BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3uiv")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3uiv(v)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3us (GLushort red, GLushort green, GLushort blue);
SUB glSecondaryColor3us (BYVAL red AS WORD, BYVAL green AS WORD, BYVAL blue AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3us")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3us(red, green, blue)
END SUB

'// Set the current secondary color.
'// void glSecondaryColor3usv (const GLushort *v);
SUB glSecondaryColor3usv (BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3usv")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3usv(v)
END SUB

'// Define an array of secondary colors.
'// void glSecondaryColorPointer (GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glSecondaryColorPointer (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColorPointer")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColorPointer(nSize, dwType, nStride, pPointer)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos2d (GLdouble x, GLdouble y);
SUB glWindowPos2d (BYVAL x AS DOUBLE, BYVAL y AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2d")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2d(x, y)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos2dv (const GLdouble *v);
SUB glWindowPos2dv (BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2dv")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2dv(v)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos2f (GLfloat x, GLfloat y);
SUB glWindowPos2f (BYVAL x AS SINGLE, BYVAL y AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2f")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2f(x, y)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos2fv (const GLfloat *v);
SUB glWindowPos2fv (BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2fv")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2fv(v)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos2i (GLint x, GLint y);
SUB glWindowPos2i (BYVAL x AS LONG, BYVAL y AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2i")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2i(x, y)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos2iv (const GLint *v);
SUB glWindowPos2iv (BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2iv")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2iv(v)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos2s (GLshort x, GLshort y);
SUB glWindowPos2s (BYVAL x AS INTEGER, BYVAL y AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2s")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2s(x, y)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos2sv (const GLshort *v);
SUB glWindowPos2sv (BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2sv")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2sv(v)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos3d (GLdouble x, GLdouble y, GLdouble z);
SUB glWindowPos3d (BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3d")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3d(x, y, z)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos3dv (const GLdouble *v);
SUB glWindowPos3dv (BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3dv")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3dv(v)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos3f (GLfloat x, GLfloat y, GLfloat z);
SUB glWindowPos3f (BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3f")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3f(x, y, z)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos3fv (const GLfloat *v);
SUB glWindowPos3fv (BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3fv")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3fv(v)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos3i (GLint x, GLint y, GLint z);
SUB glWindowPos3i (BYVAL x AS LONG, BYVAL y AS LONG, BYVAL z AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3i")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3i(x, y, z)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos3iv (const GLint *v);
SUB glWindowPos3iv (BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3iv")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3iv(v)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos3s (GLshort x, GLshort y, GLshort z);
SUB glWindowPos3s (BYVAL x AS INTEGER, BYVAL y AS INTEGER, BYVAL z AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3s")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3s(x, y, z)
END SUB

'// Specify the raster position in window coordinates for pixel operations.
'// void glWindowPos3sv (const GLshort *v);
SUB glWindowPos3sv (BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3sv")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3sv(v)
END SUB

'// Generate query object names
'// void glGenQueries (GLsizei n, GLuint *ids);
SUB glGenQueries (BYVAL n AS LONG, BYREF ids AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenQueries")
    IF pProc THEN CALL DWORD pProc USING glGenQueries(n, ids)
END SUB

'// Delete named query objects.
'// void glDeleteQueries (GLsizei n, const GLuint *ids);
SUB glDeleteQueries (BYVAL n AS LONG, BYREF ids AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteQueries")
    IF pProc THEN CALL DWORD pProc USING glDeleteQueries(n, ids)
END SUB

'// Determine if a name corresponds to a query object.
'// GLboolean glIsQuery (GLuint id);
FUNCTION glIsQuery (BYVAL dwId AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsQuery")
    IF pProc THEN CALL DWORD pProc USING glIsQuery(dwId) TO bRes
    FUNCTION = bRes
END FUNCTION

'// Delimit the boundaries of a query object.
'// void glBeginQuery (GLenum target, GLuint id);
SUB glBeginQuery (BYVAL dwTarget AS DWORD, BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBeginQuery")
    IF pProc THEN CALL DWORD pProc USING glBeginQuery(dwTarget, dwId)
END SUB

'// Delimit the boundaries of a query object.
'// void glEndQuery (GLenum target);
SUB glEndQuery (BYVAL dwTarget AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEndQuery")
    IF pProc THEN CALL DWORD pProc USING glEndQuery(dwTarget)
END SUB

'// Return parameters of a query object target.
'// void glGetQueryiv (GLenum target, GLenum pname, GLint *params);
SUB glGetQueryiv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetQueryiv")
    IF pProc THEN CALL DWORD pProc USING glGetQueryiv(dwTarget, pname, params)
END SUB

'// Return parameters of a query object.
'// void glGetQueryObjectiv (GLuint id, GLenum pname, GLint *params);
SUB glGetQueryObjectiv (BYVAL dwId AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetQueryObjectiv")
    IF pProc THEN CALL DWORD pProc USING glGetQueryObjectiv(dwId, pname, params)
END SUB

'// Return parameters of a query object.
'// void glGetQueryObjectuiv (GLuint id, GLenum pname, GLuint *params);
SUB glGetQueryObjectuiv (BYVAL dwId AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetQueryObjectuiv")
    IF pProc THEN CALL DWORD pProc USING glGetQueryObjectuiv(dwId, pname, params)
END SUB

'// Bind a named buffer to a target.
'// void glBindBuffer (GLenum target, GLuint buffer);
SUB glBindBuffer (BYVAL dwTarget AS DWORD, BYVAL buffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindBuffer")
    IF pProc THEN CALL DWORD pProc USING glBindBuffer(dwTarget, buffer)
END SUB

'// Delete named buffer objects.
'// void glDeleteBuffers (GLsizei n, const GLuint *buffers);
SUB glDeleteBuffers (BYVAL n AS LONG, BYREF buffers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteBuffers")
    IF pProc THEN CALL DWORD pProc USING glDeleteBuffers(n, buffers)
END SUB

'// Generate buffer object names.
'// void glGenBuffers (GLsizei n, GLuint *buffers);
SUB glGenBuffers (BYVAL n AS LONG, BYREF buffers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenBuffers")
    IF pProc THEN CALL DWORD pProc USING glGenBuffers(n, buffers)
END SUB

'// Determine if a name corresponds to a buffer object.
'// GLboolean glIsBuffer (GLuint buffer);
FUNCTION glIsBuffer (BYVAL buffer AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsBuffer")
    IF pProc THEN CALL DWORD pProc USING glIsBuffer(buffer) TO bRes
    FUNCTION = bRes
END FUNCTION

'// Creates and initializes the data store of a buffer object..
'// void glBufferData (GLenum target, GLsizeiptr size, const GLvoid *data, GLenum usage);
SUB glBufferData (BYVAL dwTarget AS DWORD, BYVAL nSize AS DWORD, BYVAL pData AS DWORD, BYVAL dwUsage AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBufferData")
    IF pProc THEN CALL DWORD pProc USING glBufferData(dwTarget, nSize, pData, dwUsage)
END SUB

'// Modifies some or all of the data contained in a buffer object's data store.
'// void glBufferSubData (GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid *data);
SUB glBufferSubData (BYVAL dwTarget AS DWORD, BYVAL dwOffset AS DWORD, BYVAL dwSize AS DWORD, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBufferSubData")
    IF pProc THEN CALL DWORD pProc USING glBufferSubData(dwTarget, dwOffset, dwSize, pData)
END SUB

'// Returns a subset of a buffer object's data store.
'// void glGetBufferSubData (GLenum target, GLintptr offset, GLsizeiptr size, GLvoid *data);
SUB glGetBufferSubData (BYVAL dwTarget AS DWORD, BYVAL dwOffset AS DWORD, BYVAL pSize AS DWORD, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetBufferSubData")
    IF pProc THEN CALL DWORD pProc USING glGetBufferSubData(dwTarget, dwOffset, pSize, pData)
END SUB

'// Map a buffer object's data store.
'// GLvoid* glMapBuffer (GLenum target, GLenum access);
FUNCTION glMapBuffer (BYVAL dwTarget AS DWORD, BYVAL dwAccess AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glMapBuffer")
    IF pProc THEN CALL DWORD pProc USING glMapBuffer(dwTarget, dwAccess) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// Unmaps a buffer object's data store.
'// GLboolean glUnmapBuffer (GLenum target);
FUNCTION glUnmapBuffer (BYVAL dwTarget AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glUnmapBuffer")
    IF pProc THEN CALL DWORD pProc USING glUnmapBuffer(dwTarget) TO bRes
    FUNCTION = bRes
END FUNCTION

'// Return parameters of a buffer object.
'// void glGetBufferParameteriv (GLenum target, GLenum pname, GLint *params);
SUB glGetBufferParameteriv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetBufferParameteriv")
    IF pProc THEN CALL DWORD pProc USING glGetBufferParameteriv(dwTarget, pname, params)
END SUB

'// Return the pointer to a mapped buffer object's data store.
'// void glGetBufferPointerv (GLenum target, GLenum pname, GLvoid* *params);
SUB glGetBufferPointerv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetBufferPointerv")
    IF pProc THEN CALL DWORD pProc USING glGetBufferPointerv(dwTarget, pname, params)
END SUB

'// Set the RGB blend equation and the alpha blend equation separately.
'// void glBlendEquationSeparate (GLenum modeRGB, GLenum modeAlpha);
SUB glBlendEquationSeparate (BYVAL modeRGB AS DWORD, BYVAL modeAlpha AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendEquationSeparate")
    IF pProc THEN CALL DWORD pProc USING glBlendEquationSeparate(modeRGB, modeAlpha)
END SUB

'// Specifies a list of color buffers to be drawn into
'// void glDrawBuffers (GLsizei n, const GLenum *bufs);
SUB glDrawBuffers (BYVAL n AS LONG, BYREF bufs AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawBuffers")
    IF pProc THEN CALL DWORD pProc USING glDrawBuffers(n, bufs)
END SUB

'// Set front and/or back stencil test actions.
'// void glStencilOpSeparate (GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass);
SUB glStencilOpSeparate (BYVAL dwFace AS DWORD, BYVAL sfail AS DWORD, BYVAL dpfail AS DWORD, BYVAL dppass AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStencilOpSeparate")
    IF pProc THEN CALL DWORD pProc USING glStencilOpSeparate(dwFace, sfail, dpfail, dppass)
END SUB

'// Set front and/or back SUB and reference value for stencil testing.
'// void glStencilFuncSeparate (GLenum face, GLenum v, GLint ref, GLuint mask);
SUB glStencilFuncSeparate (BYVAL dwFace AS DWORD, BYVAL dwFunc AS DWORD, BYVAL nRef AS LONG, BYVAL dwMask AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStencilFuncSeparate")
    IF pProc THEN CALL DWORD pProc USING glStencilFuncSeparate(dwFace, dwFunc, nRef, dwMask)
END SUB

'// Control the front and/or back writing of individual bits in the stencil planes.
'// void glStencilMaskSeparate (GLenum face, GLuint mask);
SUB glStencilMaskSeparate (BYVAL dwFace AS DWORD, BYVAL dwMask AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStencilMaskSeparate")
    IF pProc THEN CALL DWORD pProc USING glStencilMaskSeparate(dwFace, dwMask)
END SUB

'// Attaches a shader object to a program object
'// void glAttachShader (GLuint program, GLuint shader);
SUB glAttachShader (BYVAL dwProgram AS DWORD, BYVAL dwShader AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glAttachShader")
    IF pProc THEN CALL DWORD pProc USING glAttachShader(dwProgram, dwShader)
END SUB

'// Associates a generic vertex attribute index with a named attribute variable.
'// void glBindAttribLocation (GLuint program, GLuint index, const GLchar *name);
SUB glBindAttribLocation (BYVAL dwProgram AS DWORD, BYVAL dwIndex AS DWORD, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindAttribLocation")
    IF pProc THEN CALL DWORD pProc USING glBindAttribLocation(dwProgram, dwIndex, szName)
END SUB

'// Compiles a shader object.
'// void glCompileShader (GLuint shader);
SUB glCompileShader (BYVAL dwShader AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompileShader")
    IF pProc THEN CALL DWORD pProc USING glCompileShader(dwShader)
END SUB

'// Creates a program object.
'// GLuint glCreateProgram (void);
FUNCTION glCreateProgram () AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glCreateProgram")
    IF pProc THEN CALL DWORD pProc USING glCreateProgram() TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// Creates a shader object
'// GLuint glCreateShader (GLenum);
'// typedef GLuint (APIENTRYP PFNGLCREATESHADERPROC) (GLenum type);
FUNCTION glCreateShader (BYVAL dwShadertype AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glCreateShader")
    IF pProc THEN CALL DWORD pProc USING glCreateShader(dwShadertype) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// Deletes a program object.
'// void glDeleteProgram (GLuint program);
SUB glDeleteProgram (BYVAL dwProgram AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteProgram")
    IF pProc THEN CALL DWORD pProc USING glDeleteProgram(dwProgram)
END SUB

'// Deletes a shader object.
'// void glDeleteShader (GLuint);
'// typedef void (APIENTRYP PFNGLDELETESHADERPROC) (GLuint shader);
SUB glDeleteShader (BYVAL dwShader AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteShader")
    IF pProc THEN CALL DWORD pProc USING glDeleteShader(dwShader)
END SUB

'// Detaches a shader object from a program object to which it is attached.
'// void glDetachShader (GLuint program, GLuint shader);
SUB glDetachShader (BYVAL dwProgram AS DWORD, BYVAL dwShader AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDetachShader")
    IF pProc THEN CALL DWORD pProc USING glDetachShader(dwProgram, dwShader)
END SUB

'// Disable a generic vertex attribute array.
'// void glDisableVertexAttribArray (GLuint index);
SUB glDisableVertexAttribArray (BYVAL dwIndex AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDisableVertexAttribArray")
    IF pProc THEN CALL DWORD pProc USING glDisableVertexAttribArray(dwIndex)
END SUB

'// Enable a generic vertex attribute array.
'// void glEnableVertexAttribArray (GLuint index);
SUB glEnableVertexAttribArray (BYVAL dwIndex AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEnableVertexAttribArray")
    IF pProc THEN CALL DWORD pProc USING glEnableVertexAttribArray(dwIndex)
END SUB

'// Returns information about an active attribute variable for the specified program object.
'// void glGetActiveAttrib (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length,
'// GLint *size, GLenum *type, GLchar *name);
SUB glGetActiveAttrib (BYVAL dwProgram AS DWORD, BYVAL dwIndex AS DWORD, BYVAL bufSize AS LONG, _
    BYREF nLength AS LONG, BYREF nSize AS LONG, BYREF dwType AS DWORD, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetActiveAttrib")
    IF pProc THEN CALL DWORD pProc USING glGetActiveAttrib(dwProgram, dwIndex, bufSize, nLength, nSize, dwType, szName)
END SUB

'// Returns information about an active uniform variable for the specified program object.
'// void glGetActiveUniform (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length,
'// GLint *size, GLenum *type, GLchar *name);
SUB glGetActiveUniform (BYVAL dwProgram AS DWORD, BYVAL dwIndex AS DWORD, BYVAL bufSize AS LONG, _
    BYREF nLength AS LONG, BYREF nSize AS LONG, BYREF dwType AS DWORD, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetActiveUniform")
    IF pProc THEN CALL DWORD pProc USING glGetActiveUniform(dwProgram, dwIndex, bufSize, nLength, nSize, dwType, szName)
END SUB

'// Returns the handles of the shader objects attached to a program object.
'// void glGetAttachedShaders (GLuint program, GLsizei maxCount, GLsizei *count, GLuint *obj);
SUB glGetAttachedShaders (BYVAL dwProgram AS DWORD, BYVAL maxCount AS LONG, BYREF nCount AS LONG, BYREF dwShaders AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetAttachedShaders")
    IF pProc THEN CALL DWORD pProc USING glGetAttachedShaders(dwProgram, maxCount, nCount, dwShaders)
END SUB

'// Returns the location of an attribute variable.
'// GLint glGetAttribLocation (GLuint program, const GLchar *name);
FUNCTION glGetAttribLocation (BYVAL dwProgram AS DWORD, BYREF szName AS ASCIIZ) AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glGetAttribLocation")
    IF pProc THEN CALL DWORD pProc USING glGetAttribLocation(dwProgram, szName) TO lRes
    FUNCTION = lRes
END FUNCTION

'// Returns a parameter from a program object.
'// void glGetProgramiv (GLuint program, GLenum pname, GLint *params);
SUB glGetProgramiv (BYVAL dwProgram AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramiv")
    IF pProc THEN CALL DWORD pProc USING glGetProgramiv(dwProgram, pname, params)
END SUB

'// Returns the information log for a program object.
'// void glGetProgramInfoLog (GLuint program, GLsizei bufSize, GLsizei *length, GLchar *infoLog);
SUB glGetProgramInfoLog (BYVAL dwProgram AS DWORD, BYVAL bufSize AS LONG, BYREF nLength AS LONG, BYREF infoLog AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramInfoLog")
    IF pProc THEN CALL DWORD pProc USING glGetProgramInfoLog(dwProgram, bufSize, nLength, infoLog)
END SUB

'// Returns a parameter from a shader object.
'// void glGetShaderiv (GLuint shader, GLenum pname, GLint *params);
SUB glGetShaderiv (BYVAL dwShader AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetShaderiv")
    IF pProc THEN CALL DWORD pProc USING glGetShaderiv(dwShader, pname, params)
END SUB

'// Returns the information log for a shader object.
'// void glGetShaderInfoLog (GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *infoLog);
SUB glGetShaderInfoLog (BYVAL dwProgram AS DWORD, BYVAL bufSize AS LONG, BYREF nLength AS LONG, BYREF infoLog AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetShaderInfoLog")
    IF pProc THEN CALL DWORD pProc USING glGetShaderInfoLog(dwProgram, bufSize, nLength, infoLog)
END SUB

'// Returns the source code string from a shader object.
'// void glGetShaderSource (GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *source);
SUB glGetShaderSource (BYVAL dwShader AS DWORD, BYVAL bufSize AS LONG, BYREF nLength AS LONG, BYREF szSource AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetShaderSource")
    IF pProc THEN CALL DWORD pProc USING glGetShaderSource(dwShader, bufSize, nLength, szSource)
END SUB

'// Returns the location of a uniform variable.
'// GLint glGetUniformLocation (GLuint program, const GLchar *name);
FUNCTION glGetUniformLocation (BYVAL dwProgram AS DWORD, BYREF szName AS ASCIIZ) AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glGetUniformLocation")
    IF pProc THEN CALL DWORD pProc USING glGetUniformLocation(dwProgram, szName) TO lRes
    FUNCTION = lRes
END FUNCTION

'// Returns the value of a uniform variable.
'// void glGetUniformfv (GLuint program, GLint location, GLfloat *params);
SUB glGetUniformfv (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetUniformfv")
    IF pProc THEN CALL DWORD pProc USING glGetUniformfv(dwProgram, nLocation, params)
END SUB

'// Returns the value of a uniform variable.
'// void glGetUniformiv (GLuint program, GLint location, GLint *params);
SUB glGetUniformiv (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetUniformiv")
    IF pProc THEN CALL DWORD pProc USING glGetUniformiv(dwProgram, nLocation, params)
END SUB

'// Return a generic vertex attribute parameter.
'// void glGetVertexAttribdv (GLuint index, GLenum pname, GLdouble *params);
SUB glGetVertexAttribdv (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribdv")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribdv(dwIndex, pname, params)
END SUB

'// Return a generic vertex attribute parameter.
'// void glGetVertexAttribfv (GLuint index, GLenum pname, GLfloat *params);
SUB glGetVertexAttribfv (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribfv")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribfv(dwIndex, pname, params)
END SUB

'// Return a generic vertex attribute parameter.
'// void glGetVertexAttribiv (GLuint index, GLenum pname, GLint *params);
SUB glGetVertexAttribiv (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribiv")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribiv(dwIndex, pname, params)
END SUB

'// Return a generic vertex attribute parameter.
'// void glGetVertexAttribPointerv (GLuint index, GLenum pname, GLvoid* *pointer);
SUB glGetVertexAttribPointerv (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYVAL params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribPointerv")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribPointerv(dwIndex, pname, params)
END SUB

'// Determines if a name corresponds to a program object.
'// GLboolean glIsProgram (GLuint program);
FUNCTION glIsProgram (BYVAL dwProgram AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsProgram")
    IF pProc THEN CALL DWORD pProc USING glIsProgram(dwProgram) TO bRes
    FUNCTION = bRes
END FUNCTION

'// Determines if a name corresponds to a shader object.
'// GLboolean glIsShader (GLuint);
'// typedef GLboolean (APIENTRYP PFNGLISSHADERPROC) (GLuint shader);
FUNCTION glIsShader (BYVAL dwShader AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsShader")
    IF pProc THEN CALL DWORD pProc USING glIsShader(dwShader) TO bRes
    FUNCTION = bRes
END FUNCTION

'// Links a program object.
'// void glLinkProgram (GLuint);
'// typedef void (APIENTRYP PFNGLLINKPROGRAMPROC) (GLuint program);
SUB glLinkProgram (BYVAL dwProgram AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glLinkProgram")
    IF pProc THEN CALL DWORD pProc USING glLinkProgram(dwProgram)
END SUB

'// Replaces the source code in a shader object.
'// void glShaderSource (GLuint shader, GLsizei count, const GLchar* *string, const GLint *length);
SUB glShaderSource (BYVAL dwShader AS DWORD, BYVAL nCount AS LONG, BYREF sSource AS STRING, BYREF nLength AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glShaderSource")
    IF pProc THEN CALL DWORD pProc USING glShaderSource(dwShader, nCount, sSource, nLength)
END SUB

'// Installs a program object as part of current rendering state.
'// void glUseProgram (GLuint program);
SUB glUseProgram (BYVAL program AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUseProgram")
    IF pProc THEN CALL DWORD pProc USING glUseProgram(program)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform1f (GLint location, GLfloat v0);
SUB glUniform1f (BYVAL nLocation AS LONG, BYVAL v0 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1f")
    IF pProc THEN CALL DWORD pProc USING glUniform1f(nLocation, v0)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform2f (GLint location, GLfloat v0, GLfloat v1);
SUB glUniform2f (BYVAL nLocation AS LONG, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2f")
    IF pProc THEN CALL DWORD pProc USING glUniform2f(nLocation, v0, v1)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform3f (GLint location, GLfloat v0, GLfloat v1, GLfloat v2);
SUB glUniform3f (BYVAL nLocation AS LONG, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE, BYVAL v2 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3f")
    IF pProc THEN CALL DWORD pProc USING glUniform3f(nLocation, v0, v1, v2)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform4f (GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3);
SUB glUniform4f (BYVAL nLocation AS LONG, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE, BYVAL v2 AS SINGLE, BYVAL v3 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4f")
    IF pProc THEN CALL DWORD pProc USING glUniform4f(nLocation, v0, v1, v2, v3)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform1i (GLint location, GLint v0);
SUB glUniform1i (BYVAL nLocation AS LONG, BYVAL v0 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1i")
    IF pProc THEN CALL DWORD pProc USING glUniform1i(nLocation, v0)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform2i (GLint location, GLint v0, GLint v1);
SUB glUniform2i (BYVAL nLocation AS LONG, BYVAL v0 AS LONG, BYVAL v1 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2i")
    IF pProc THEN CALL DWORD pProc USING glUniform2i(nLocation, v0, v1)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform3i (GLint location, GLint v0, GLint v1, GLint v2);
SUB glUniform3i (BYVAL nLocation AS LONG, BYVAL v0 AS LONG, BYVAL v1 AS LONG, BYVAL v2 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3i")
    IF pProc THEN CALL DWORD pProc USING glUniform3i(nLocation, v0, v1, v2)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform4i (GLint location, GLint v0, GLint v1, GLint v2, GLint v3);
SUB glUniform4i (BYVAL nLocation AS LONG, BYVAL v0 AS LONG, BYVAL v1 AS LONG, BYVAL v2 AS LONG, BYVAL v3 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4i")
    IF pProc THEN CALL DWORD pProc USING glUniform4i(nLocation, v0, v1, v2, v3)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform1fv (GLint location, GLsizei count, const GLfloat *value);
SUB glUniform1fv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF fvalue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1fv")
    IF pProc THEN CALL DWORD pProc USING glUniform1fv(nLocation, nCount, fvalue)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform2fv (GLint location, GLsizei count, const GLfloat *value);
SUB glUniform2fv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF fvalue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2fv")
    IF pProc THEN CALL DWORD pProc USING glUniform2fv(nLocation, nCount, fvalue)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform3fv (GLint location, GLsizei count, const GLfloat *value);
SUB glUniform3fv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF fvalue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3fv")
    IF pProc THEN CALL DWORD pProc USING glUniform3fv(nLocation, nCount, fvalue)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform4fv (GLint location, GLsizei count, const GLfloat *value);
SUB glUniform4fv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF fvalue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4fv")
    IF pProc THEN CALL DWORD pProc USING glUniform4fv(nLocation, nCount, fvalue)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform1iv (GLint location, GLsizei count, const GLint *value);
SUB glUniform1iv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF fvalue AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1iv")
    IF pProc THEN CALL DWORD pProc USING glUniform1iv(nLocation, nCount, fvalue)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform2iv (GLint location, GLsizei count, const GLint *value);
SUB glUniform2iv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF fvalue AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2iv")
    IF pProc THEN CALL DWORD pProc USING glUniform2iv(nLocation, nCount, fvalue)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform3iv (GLint, GLsizei, const GLint *);
'// typedef void (APIENTRYP PFNGLUNIFORM3IVPROC) (GLint location, GLsizei count, const GLint *value);
SUB glUniform3iv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3iv")
    IF pProc THEN CALL DWORD pProc USING glUniform3iv(nLocation, nCount, value)
END SUB

'// Specify the value of a uniform variable for the current program object.
'// void glUniform4iv (GLint location, GLsizei count, const GLint *value);
SUB glUniform4iv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4iv")
    IF pProc THEN CALL DWORD pProc USING glUniform4iv(nLocation, nCount, value)
END SUB

'// void glUniformMatrix2fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glUniformMatrix2fv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix2fv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix2fv(nLocation, nCount, bTranspose, v)
END SUB

'// void glUniformMatrix3fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glUniformMatrix3fv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix3fv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix3fv(nLocation, nCount, bTranspose, v)
END SUB

'// void glUniformMatrix4fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glUniformMatrix4fv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix4fv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix4fv(nLocation, nCount, bTranspose, v)
END SUB

'// Validates a program object.
'// void glValidateProgram (GLuint program);
SUB glValidateProgram (BYVAL dwProgram AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glValidateProgram")
    IF pProc THEN CALL DWORD pProc USING glValidateProgram(dwProgram)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib1d (GLuint index, GLdouble x);
SUB glVertexAttrib1d (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1d")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1d(dwIndex, x)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib1dv (GLuint index, const GLdouble *v);
SUB glVertexAttrib1dv (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1dv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1dv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib1f (GLuint index, GLfloat x);
SUB glVertexAttrib1f (BYVAL dwIndex AS DWORD, BYVAL v0 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1f")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1f(dwIndex, v0)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib1fv (GLuint index, const GLfloat *v);
SUB glVertexAttrib1fv (BYVAL dwIndex AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1fv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1fv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib1s (GLuint, GLshort);
'// typedef void (APIENTRYP PFNGLVERTEXATTRIB1SPROC) (GLuint index, GLshort x);
SUB glVertexAttrib1s (BYVAL dwIndex AS DWORD, BYVAL v0 AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1s")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1s(dwIndex, v0)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib1sv (GLuint index, const GLshort *v);
SUB glVertexAttrib1sv (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1sv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1sv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib2d (GLuint index, GLdouble x, GLdouble y);
SUB glVertexAttrib2d (BYVAL dwIndex AS DWORD, BYVAL v0 AS DOUBLE, BYVAL v1 AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2d")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2d(dwIndex, v0, v1)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib2dv (GLuint index, const GLdouble *v);
SUB glVertexAttrib2dv (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2dv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2dv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib2f (GLuint index, GLfloat x, GLfloat y);
SUB glVertexAttrib2f (BYVAL dwIndex AS DWORD, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2f")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2f(dwIndex, v0, v1)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib2fv (GLuint index, const GLfloat *v);
SUB glVertexAttrib2fv (BYVAL dwIndex AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2fv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2fv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib2s (GLuint index, GLshort x, GLshort y);
SUB glVertexAttrib2s (BYVAL dwIndex AS DWORD, BYVAL v0 AS INTEGER, BYVAL v1 AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2s")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2s(dwIndex, v0, v1)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib2sv (GLuint index, const GLshort *v);
SUB glVertexAttrib2sv (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2sv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2sv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib3d (GLuint index, GLdouble x, GLdouble y, GLdouble z);
SUB glVertexAttrib3d (BYVAL dwIndex AS DWORD, BYVAL v0 AS DOUBLE, BYVAL v1 AS DOUBLE, BYVAL v2 AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3d")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3d(dwIndex, v0, v1, v2)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib3dv (GLuint index, const GLdouble *v);
SUB glVertexAttrib3dv (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3dv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3dv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib3f (GLuint index, GLfloat x, GLfloat y, GLfloat z);
SUB glVertexAttrib3f (BYVAL dwIndex AS DWORD, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE, BYVAL v2 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3f")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3f(dwIndex, v0, v1, v2)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib3fv (GLuint index, const GLfloat *v);
SUB glVertexAttrib3fv (BYVAL dwIndex AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3fv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3fv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib3s (GLuint index, GLshort x, GLshort y, GLshort z);
SUB glVertexAttrib3s (BYVAL dwIndex AS DWORD, BYVAL v0 AS INTEGER, BYVAL v1 AS INTEGER, BYVAL v2 AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3s")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3s(dwIndex, v0, v1, v2)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib3sv (GLuint index, const GLshort *v);
SUB glVertexAttrib3sv (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3sv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3sv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4Nbv (GLuint index, const GLbyte *v);
SUB glVertexAttrib4Nbv (BYVAL dwIndex AS DWORD, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4Nbv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4Nbv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4Niv (GLuint index, const GLint *v);
SUB glVertexAttrib4Niv (BYVAL dwIndex AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4Niv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4Niv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4Nsv (GLuint index, const GLshort *v);
SUB glVertexAttrib4Nsv (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4Nsv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4Nsv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4Nub (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);
SUB glVertexAttrib4Nub (BYVAL dwIndex AS DWORD, BYVAL v0 AS BYTE, BYVAL v1 AS BYTE, BYVAL v2 AS BYTE, BYVAL v3 AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4Nub")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4Nub(dwIndex, v0, v1, v2, v3)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4Nubv (GLuint index, const GLubyte *v);
SUB glVertexAttrib4Nubv (BYVAL dwIndex AS DWORD, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4Nubv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4Nubv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4Nuiv (GLuint index, const GLuint *v);
SUB glVertexAttrib4Nuiv (BYVAL dwIndex AS DWORD, BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4Nuiv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4Nuiv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4Nusv (GLuint index, const GLushort *v);
SUB glVertexAttrib4Nusv (BYVAL dwIndex AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4Nusv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4Nusv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4bv (GLuint index, const GLbyte *v);
SUB glVertexAttrib4bv (BYVAL dwIndex AS DWORD, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4bv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4bv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4d (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
SUB glVertexAttrib4d (BYVAL dwIndex AS DWORD, BYVAL v0 AS DOUBLE, BYVAL v1 AS DOUBLE, BYVAL v2 AS DOUBLE, BYVAL v3 AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4d")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4d(dwIndex, v0, v1, v2, v3)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4dv (GLuint index, const GLdouble *v);
SUB glVertexAttrib4dv (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4dv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4dv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4f (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
SUB glVertexAttrib4f (BYVAL dwIndex AS DWORD, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE, BYVAL v2 AS SINGLE, BYVAL v3 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4f")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4f(dwIndex, v0, v1, v2, v3)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4fv (GLuint, const GLfloat *);
'// typedef void (APIENTRYP PFNGLVERTEXATTRIB4FVPROC) (GLuint index, const GLfloat *v);
SUB glVertexAttrib4fv (BYVAL dwIndex AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4fv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4fv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4iv (GLuint index, const GLint *v);
SUB glVertexAttrib4iv (BYVAL dwIndex AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4iv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4iv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4s (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w);
SUB glVertexAttrib4s (BYVAL dwIndex AS DWORD, BYVAL v0 AS INTEGER, BYVAL v1 AS INTEGER, BYVAL v2 AS INTEGER, BYVAL v3 AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4s")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4s(dwIndex, v0, v1, v2, v3)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4sv (GLuint index, const GLshort *v);
SUB glVertexAttrib4sv (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4sv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4sv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4ubv (GLuint index, const GLubyte *v);
SUB glVertexAttrib4ubv (BYVAL dwIndex AS DWORD, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4ubv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4ubv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4uiv (GLuint index, const GLuint *v);
SUB glVertexAttrib4uiv (BYVAL dwIndex AS DWORD, BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4uiv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4uiv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttrib4usv (GLuint index, const GLushort *v);
SUB glVertexAttrib4usv (BYVAL dwIndex AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4usv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4usv(dwIndex, v)
END SUB

'// Specifies the value of a generic vertex attribute.
'// void glVertexAttribPointer (GLuint index, GLint size, GLenum type, GLboolean normalized,
'// GLsizei stride, const GLvoid *pointer);
SUB glVertexAttribPointer (BYVAL dwIndex AS DWORD, BYVAL nSize AS LONG, BYVAL dwType AS DWORD, _
    BYVAL bNormalized AS BYTE, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribPointer")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribPointer(dwIndex, nSize, dwType, bNormalized, nStride, pPointer)
END SUB

'// void glUniformMatrix2x3fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glUniformMatrix2x3fv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF fvalue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix2x3fv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix2x3fv(nLocation, nCount, bTranspose, fvalue)
END SUB

'// void glUniformMatrix3x2fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glUniformMatrix3x2fv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF fvalue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix3x2fv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix3x2fv(nLocation, nCount, bTranspose, fvalue)
END SUB

'// void glUniformMatrix2x4fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glUniformMatrix2x4fv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF fvalue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix2x4fv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix2x4fv(nLocation, nCount, bTranspose, fvalue)
END SUB

'// void glUniformMatrix4x2fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glUniformMatrix4x2fv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF fvalue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix4x2fv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix4x2fv(nLocation, nCount, bTranspose, fvalue)
END SUB

'// void glUniformMatrix3x4fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glUniformMatrix3x4fv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF fvalue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix3x4fv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix3x4fv(nLocation, nCount, bTranspose, fvalue)
END SUB

'// void glUniformMatrix4x3fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glUniformMatrix4x3fv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF fvalue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix4x3fv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix4x3fv(nLocation, nCount, bTranspose, fvalue)
END SUB

'// void glColorMaski (GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a);
SUB glColorMaski (BYVAL dwIndex AS DWORD, BYVAL r AS BYTE, BYVAL g AS BYTE, BYVAL b AS BYTE, BYVAL a AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorMaski")
    IF pProc THEN CALL DWORD pProc USING glColorMaski(dwIndex, r, g, b, a)
END SUB

'// void glGetBooleani_v (GLenum target, GLuint index, GLboolean *data);
SUB glGetBooleani_v (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF bData AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetBooleani_v")
    IF pProc THEN CALL DWORD pProc USING glGetBooleani_v(dwTarget, dwIndex, bData)
END SUB

'// void glGetIntegeri_v (GLenum target, GLuint index, GLint *data);
SUB glGetIntegeri_v (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF nData AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetIntegeri_v")
    IF pProc THEN CALL DWORD pProc USING glGetIntegeri_v(dwTarget, dwIndex, nData)
END SUB

'// void glEnablei (GLenum target, GLuint index);
SUB glEnablei (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEnablei")
    IF pProc THEN CALL DWORD pProc USING glEnablei(dwTarget, dwIndex)
END SUB

'// void glDisablei (GLenum target, GLuint index);
SUB glDisablei (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDisablei")
    IF pProc THEN CALL DWORD pProc USING glDisablei(dwTarget, dwIndex)
END SUB

'// GLboolean glIsEnabledi (GLenum target, GLuint index);
FUNCTION glIsEnabledi (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsEnabledi")
    IF pProc THEN CALL DWORD pProc USING glIsEnabledi(dwTarget, dwIndex) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glBeginTransformFeedback (GLenum primitiveMode);
SUB glBeginTransformFeedback (BYVAL primitiveMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBeginTransformFeedback")
    IF pProc THEN CALL DWORD pProc USING glBeginTransformFeedback(primitiveMode)
END SUB

'// void glEndTransformFeedback (void);
SUB glEndTransformFeedback
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEndTransformFeedback")
    IF pProc THEN CALL DWORD pProc USING glEndTransformFeedback
END SUB

'// void glBindBufferRange (GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size);
SUB glBindBufferRange (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL buffer AS DWORD, _
    BYVAL dwOffset AS DWORD, BYVAL pSize AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindBufferRange")
    IF pProc THEN CALL DWORD pProc USING glBindBufferRange(dwTarget, dwIndex, buffer, dwOffset, pSize)
END SUB

'// void glBindBufferBase (GLenum target, GLuint index, GLuint buffer);
SUB glBindBufferBase (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL buffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindBufferBase")
    IF pProc THEN CALL DWORD pProc USING glBindBufferBase(dwTarget, dwIndex, buffer)
END SUB

'// void glTransformFeedbackVaryings (GLuint program, GLsizei count, const GLint *locations, GLenum bufferMode);
SUB glTransformFeedbackVaryings (BYVAL dwProgram AS DWORD, BYVAL nCount AS LONG, BYREF nLocations AS LONG, BYVAL bufferMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTransformFeedbackVaryings")
    IF pProc THEN CALL DWORD pProc USING glTransformFeedbackVaryings(dwProgram, nCount, nLocations, bufferMode)
END SUB

'// void glGetTransformFeedbackVarying (GLuint program, GLuint index, GLint *location);
SUB glGetTransformFeedbackVarying (BYVAL dwProgram AS DWORD, BYVAL dwIndex AS DWORD, BYREF nLocation AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTransformFeedbackVarying")
    IF pProc THEN CALL DWORD pProc USING glGetTransformFeedbackVarying(dwProgram, dwIndex, nLocation)
END SUB

'// void glClampColor (GLenum target, GLenum clamp);
SUB glClampColor (BYVAL dwTarget AS DWORD, BYVAL dwClamp AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClampColor")
    IF pProc THEN CALL DWORD pProc USING glClampColor(dwTarget, dwClamp)
END SUB

'// void glBeginConditionalRender (GLuint id, GLenum mode);
SUB glBeginConditionalRender (BYVAL dwId AS DWORD, BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBeginConditionalRender")
    IF pProc THEN CALL DWORD pProc USING glBeginConditionalRender(dwId, dwMode)
END SUB

'// void glEndConditionalRender (void);
SUB glEndConditionalRender
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEndConditionalRender")
    IF pProc THEN CALL DWORD pProc USING glEndConditionalRender
END SUB

'// void glVertexAttribIPointer (GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glVertexAttribIPointer (BYVAL dwIndex AS DWORD, BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribIPointer")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribIPointer(dwIndex, nSize, dwType, nStride, pPointer)
END SUB

'// void glGetVertexAttribIiv (GLuint index, GLenum pname, GLint *params);
SUB glGetVertexAttribIiv (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribIiv")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribIiv(dwIndex, pname, params)
END SUB

'// void glGetVertexAttribIuiv (GLuint index, GLenum pname, GLuint *params);
SUB glGetVertexAttribIuiv (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribIuiv")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribIuiv(dwIndex, pname, params)
END SUB

'// void glVertexAttribI1i (GLuint index, GLint x);
SUB glVertexAttribI1i (BYVAL dwIndex AS DWORD, BYVAL x AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI1i")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI1i(dwIndex, x)
END SUB

'// void glVertexAttribI2i (GLuint, GLint, GLint);
'// typedef void (APIENTRYP PFNGLVERTEXATTRIBI2IPROC) (GLuint index, GLint x, GLint y);
SUB glVertexAttribI2i (BYVAL dwIndex AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI2i")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI2i(dwIndex, x, y)
END SUB

'// void glVertexAttribI3i (GLuint index, GLint x, GLint y, GLint z);
SUB glVertexAttribI3i (BYVAL dwIndex AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL z AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI3i")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI3i(dwIndex, x, y, z)
END SUB

'// void glVertexAttribI4i (GLuint index, GLint x, GLint y, GLint z, GLint w);
SUB glVertexAttribI4i (BYVAL dwIndex AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL z AS LONG, BYVAL w AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4i")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4i(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttribI1ui (GLuint index, GLuint x);
SUB glVertexAttribI1ui (BYVAL dwIndex AS DWORD, BYVAL x AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI1ui")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI1ui(dwIndex, x)
END SUB

'// void glVertexAttribI2ui (GLuint index, GLuint x, GLuint y);
SUB glVertexAttribI2ui (BYVAL dwIndex AS DWORD, BYVAL x AS DWORD, BYVAL y AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI2ui")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI2ui(dwIndex, x, y)
END SUB

'// void glVertexAttribI3ui (GLuint index, GLuint x, GLuint y, GLuint z);
SUB glVertexAttribI3ui (BYVAL dwIndex AS DWORD, BYVAL x AS DWORD, BYVAL y AS DWORD, BYVAL z AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI3ui")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI3ui(dwIndex, x, y, z)
END SUB

'// void glVertexAttribI4ui (GLuint index, GLuint x, GLuint y, GLuint z, GLuint w);
SUB glVertexAttribI4ui (BYVAL dwIndex AS DWORD, BYVAL x AS DWORD, BYVAL y AS DWORD, BYVAL z AS DWORD, BYVAL w AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4ui")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4ui(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttribI1iv (GLuint index, const GLint *v);
SUB glVertexAttribI1iv (BYVAL dwIndex AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI1iv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI1iv(dwIndex, v)
END SUB

'// void glVertexAttribI2iv (GLuint index, const GLint *v);
SUB glVertexAttribI2iv (BYVAL dwIndex AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI2iv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI2iv(dwIndex, v)
END SUB

'// void glVertexAttribI3iv (GLuint index, const GLint *v);
SUB glVertexAttribI3iv (BYVAL dwIndex AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI3iv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI3iv(dwIndex, v)
END SUB

'// void glVertexAttribI4iv (GLuint index, const GLint *v);
SUB glVertexAttribI4iv (BYVAL dwIndex AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4iv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4iv(dwIndex, v)
END SUB

'// void glVertexAttribI1uiv (GLuint index, const GLuint *v);
SUB glVertexAttribI1uiv (BYVAL dwIndex AS DWORD, BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI1uiv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI1uiv(dwIndex, v)
END SUB

'// void glVertexAttribI2uiv (GLuint index, const GLuint *v);
SUB glVertexAttribI2uiv (BYVAL dwIndex AS DWORD, BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI2uiv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI2uiv(dwIndex, v)
END SUB

'// void glVertexAttribI3uiv (GLuint index, const GLuint *v);
SUB glVertexAttribI3uiv (BYVAL dwIndex AS DWORD, BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI3uiv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI3uiv(dwIndex, v)
END SUB

'// void glVertexAttribI4uiv (GLuint index, const GLuint *v);
SUB glVertexAttribI4uiv (BYVAL dwIndex AS DWORD, BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4uiv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4uiv(dwIndex, v)
END SUB

'// void glVertexAttribI4bv (GLuint index, const GLbyte *v);
SUB glVertexAttribI4bv (BYVAL dwIndex AS DWORD, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4bv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4bv(dwIndex, v)
END SUB

'// void glVertexAttribI4sv (GLuint index, const GLshort *v);
SUB glVertexAttribI4sv (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4sv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4sv(dwIndex, v)
END SUB

'// void glVertexAttribI4ubv (GLuint index, const GLubyte *v);
SUB glVertexAttribI4ubv (BYVAL dwIndex AS DWORD, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4ubv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4ubv(dwIndex, v)
END SUB

'// void glVertexAttribI4usv (GLuint index, const GLushort *v);
SUB glVertexAttribI4usv (BYVAL dwIndex AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4usv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4usv(dwIndex, v)
END SUB

'// void glGetUniformuiv (GLuint program, GLint location, GLuint *params);
SUB glGetUniformuiv (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetUniformuiv")
    IF pProc THEN CALL DWORD pProc USING glGetUniformuiv(dwProgram, nLocation, params)
END SUB

'// void glBindFragDataLocation (GLuint program, GLuint color, const GLchar *name);
SUB glBindFragDataLocation (BYVAL dwProgram AS DWORD, BYVAL dwColor AS DWORD, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindFragDataLocation")
    IF pProc THEN CALL DWORD pProc USING glBindFragDataLocation(dwProgram, dwColor, szName)
END SUB

'// GLint glGetFragDataLocation (GLuint program, const GLchar *name);
FUNCTION glGetFragDataLocation (BYVAL dwProgram AS DWORD, BYREF szName AS ASCIIZ) AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glGetFragDataLocation")
    IF pProc THEN CALL DWORD pProc USING glGetFragDataLocation(dwProgram, szName) TO lRes
    FUNCTION = lRes
END FUNCTION

'// void glUniform1ui (GLint location, GLuint v0);
SUB glUniform1ui (BYVAL nLocation AS LONG, BYVAL v0 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1ui")
    IF pProc THEN CALL DWORD pProc USING glUniform1ui(nLocation, v0)
END SUB

'// void glUniform2ui (GLint location, GLuint v0, GLuint v1);
SUB glUniform2ui (BYVAL nLocation AS LONG, BYVAL v0 AS DWORD, BYVAL v1 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2ui")
    IF pProc THEN CALL DWORD pProc USING glUniform2ui(nLocation, v0, v1)
END SUB

'// void glUniform3ui (GLint location, GLuint v0, GLuint v1, GLuint v2);
SUB glUniform3ui (BYVAL nLocation AS LONG, BYVAL v0 AS DWORD, BYVAL v1 AS DWORD, BYVAL v2 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3ui")
    IF pProc THEN CALL DWORD pProc USING glUniform3ui(nLocation, v0, v1, v2)
END SUB

'// void glUniform4ui (GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3);
SUB glUniform4ui (BYVAL nLocation AS LONG, BYVAL v0 AS DWORD, BYVAL v1 AS DWORD, BYVAL v2 AS DWORD, BYVAL v3 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4ui")
    IF pProc THEN CALL DWORD pProc USING glUniform4ui(nLocation, v0, v1, v2, v3)
END SUB

'// void glUniform1uiv (GLint location, GLsizei count, const GLuint *value);
SUB glUniform1uiv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1uiv")
    IF pProc THEN CALL DWORD pProc USING glUniform1uiv(nLocation, nCount, value)
END SUB

'// void glUniform2uiv (GLint location, GLsizei count, const GLuint *value);
SUB glUniform2uiv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2uiv")
    IF pProc THEN CALL DWORD pProc USING glUniform2uiv(nLocation, nCount, value)
END SUB

'// void glUniform3uiv (GLint location, GLsizei count, const GLuint *value);
SUB glUniform3uiv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3uiv")
    IF pProc THEN CALL DWORD pProc USING glUniform3uiv(nLocation, nCount, value)
END SUB

'// void glUniform4uiv (GLint location, GLsizei count, const GLuint *value);
SUB glUniform4uiv (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4uiv")
    IF pProc THEN CALL DWORD pProc USING glUniform4uiv(nLocation, nCount, value)
END SUB

'// void glTexParameterIiv (GLenum target, GLenum pname, const GLint *params);
SUB glTexParameterIiv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexParameterIiv")
    IF pProc THEN CALL DWORD pProc USING glTexParameterIiv(dwTarget, pname, params)
END SUB

'// void glTexParameterIuiv (GLenum target, GLenum pname, const GLuint *params);
SUB glTexParameterIuiv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexParameterIuiv")
    IF pProc THEN CALL DWORD pProc USING glTexParameterIuiv(dwTarget, pname, params)
END SUB

'// void glGetTexParameterIiv (GLenum target, GLenum pname, GLint *params);
SUB glGetTexParameterIiv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTexParameterIiv")
    IF pProc THEN CALL DWORD pProc USING glGetTexParameterIiv(dwTarget, pname, params)
END SUB

'// void glGetTexParameterIuiv (GLenum target, GLenum pname, GLuint *params);
SUB glGetTexParameterIuiv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTexParameterIuiv")
    IF pProc THEN CALL DWORD pProc USING glGetTexParameterIuiv(dwTarget, pname, params)
END SUB

'// void glClearBufferiv (GLenum buffer, const GLint *value);
SUB glClearBufferiv (BYVAL dwBuffer AS DWORD, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClearBufferiv")
    IF pProc THEN CALL DWORD pProc USING glClearBufferiv(dwBuffer, value)
END SUB

'// void glClearBufferuiv (GLenum buffer, const GLuint *value);
SUB glClearBufferuiv (BYVAL dwBuffer AS DWORD, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClearBufferuiv")
    IF pProc THEN CALL DWORD pProc USING glClearBufferuiv(dwBuffer, value)
END SUB

'// void glClearBufferfv (GLenum buffer, const GLfloat *value);
SUB glClearBufferfv (BYVAL dwBuffer AS DWORD, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClearBufferfv")
    IF pProc THEN CALL DWORD pProc USING glClearBufferfv(dwBuffer, value)
END SUB

'// void glClearBufferfi (GLenum buffer, GLfloat depth, GLint stencil);
SUB glClearBufferfi (BYVAL dwBuffer AS DWORD, BYVAL fDepth AS SINGLE, BYVAL nStencil AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClearBufferfi")
    IF pProc THEN CALL DWORD pProc USING glClearBufferfi(dwBuffer, fDepth, nStencil)
END SUB

'// const GLubyte * glGetStringi (GLenum name, GLuint index);
FUNCTION glGetStringi (BYVAL dwName AS DWORD, BYVAL dwIndex AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glGetStringi")
    IF pProc THEN CALL DWORD pProc USING glGetStringi(dwName, dwIndex)
    FUNCTION = dwRes
END FUNCTION

'// void glDrawArraysInstanced (GLenum mode, GLint first, GLsizei count, GLsizei primcount);
SUB glDrawArraysInstanced (BYVAL dwMode AS DWORD, BYVAL nFirst AS LONG, BYVAL nCount AS LONG, BYVAL primcount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawArraysInstanced")
    IF pProc THEN CALL DWORD pProc USING glDrawArraysInstanced(dwMode, nFirst, nCount, primcount)
END SUB

'// void glDrawElementsInstanced (GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount);
SUB glDrawElementsInstanced (BYVAL dwMode AS DWORD, BYVAL nCount AS LONG, BYVAL dwType AS DWORD, _
    BYVAL indices AS DWORD, BYVAL primcount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawElementsInstanced")
    IF pProc THEN CALL DWORD pProc USING glDrawElementsInstanced(dwMode, nCount, dwType, indices, primcount)
END SUB

'// void glTexBuffer (GLenum target, GLenum internalformat, GLuint buffer);
SUB glTexBuffer (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL dwBuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexBuffer")
    IF pProc THEN CALL DWORD pProc USING glTexBuffer(dwTarget, internalformat, dwBuffer)
END SUB

'// void glPrimitiveRestartIndex (GLuint index);
SUB glPrimitiveRestartIndex (BYVAL dwIndex AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPrimitiveRestartIndex")
    IF pProc THEN CALL DWORD pProc USING glPrimitiveRestartIndex(dwIndex)
END SUB

'// void glGetInteger64i_v (GLenum target, GLuint index, GLint64 *data);
SUB glGetInteger64i_v (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF qdata AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetInteger64i_v")
    IF pProc THEN CALL DWORD pProc USING glGetInteger64i_v(dwTarget, dwIndex, qdata)
END SUB

'// void glGetBufferParameteri64v (GLenum target, GLenum pname, GLint64 *params);
SUB glGetBufferParameteri64v (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF qparams AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetBufferParameteri64v")
    IF pProc THEN CALL DWORD pProc USING glGetBufferParameteri64v(dwTarget, pname, qparams)
END SUB

'// void glFramebufferTexture (GLenum target, GLenum attachment, GLuint texture, GLint level);
SUB glFramebufferTexture (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTexture")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTexture(dwTarget, dwAttachment, dwTexture, nLevel)
END SUB

'// void glVertexAttribDivisor (GLuint index, GLuint divisor);
'// Note: Some 3.3 drivers expose glVertexAttribDivisor instead of glVertexAttribDivisorARB.
SUB glVertexAttribDivisor (BYVAL dwIndex AS DWORD, BYVAL dwDivisor AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribDivisor")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribDivisor(dwIndex, dwDivisor)
END SUB

'// void glMinSampleShading (GLclampf value);
SUB glMinSampleShading (BYVAL value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMinSampleShading")
    IF pProc THEN CALL DWORD pProc USING glMinSampleShading(value)
END SUB

'// void glBlendEquationi (GLuint buf, GLenum mode);
SUB glBlendEquationi (BYVAL buf AS DWORD, BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendEquationi")
    IF pProc THEN CALL DWORD pProc USING glBlendEquationi(buf, dwMode)
END SUB

'// void glBlendEquationSeparatei (GLuint buf, GLenum modeRGB, GLenum modeAlpha);
SUB glBlendEquationSeparatei (BYVAL buf AS DWORD, BYVAL modeRGB AS DWORD, BYVAL modeAlpha AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendEquationSeparatei")
    IF pProc THEN CALL DWORD pProc USING glBlendEquationSeparatei(buf, modeRGB, modeAlpha)
END SUB

'// void glBlendFunci (GLuint buf, GLenum src, GLenum dst);
SUB glBlendFunci (BYVAL buf AS DWORD, BYVAL src AS DWORD, BYVAL dst AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendFunci")
    IF pProc THEN CALL DWORD pProc USING glBlendFunci(buf, src, dst)
END SUB

'// void glBlendFuncSeparatei (GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha);
SUB glBlendFuncSeparatei (BYVAL buf AS DWORD, BYVAL srcRGB AS DWORD, BYVAL dstRGB AS DWORD, _
    BYVAL srcAlpha AS DWORD, BYVAL dstAlpha AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendFuncSeparatei")
    IF pProc THEN CALL DWORD pProc USING glBlendFuncSeparatei(buf, srcRGB, dstRGB, srcAlpha, dstAlpha)
END SUB

'// Select active texture unit.
'// void glActiveTextureARB (GLenum texture);
SUB glActiveTextureARB (BYVAL dwTexture AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glActiveTextureARB")
    IF pProc THEN CALL DWORD pProc USING glActiveTextureARB(dwTexture)
END SUB

'// Select active texture unit.
'// void glClientActiveTextureARB (GLenum texture);
SUB glClientActiveTextureARB (BYVAL dwTexture AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClientActiveTextureARB")
    IF pProc THEN CALL DWORD pProc USING glClientActiveTextureARB(dwTexture)
END SUB

'// void glMultiTexCoord1dARB (GLenum target, GLdouble s);
SUB glMultiTexCoord1dARB (BYVAL dwUnit AS DWORD, BYVAL s AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1dARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1dARB(dwUnit, s)
END SUB

'// void glMultiTexCoord1dvARB (GLenum target, const GLdouble *v);
SUB glMultiTexCoord1dvARB (BYVAL dwTarget AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1dvARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1dvARB(dwTarget, v)
END SUB

'// void glMultiTexCoord1fARB (GLenum target, GLfloat s);
SUB glMultiTexCoord1fARB (BYVAL dwTarget AS DWORD, BYVAL s AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1fARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1fARB(dwTarget, s)
END SUB

'// void glMultiTexCoord1fvARB (GLenum target, const GLfloat *v);
SUB glMultiTexCoord1fvARB (BYVAL dwTarget AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1fvARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1fvARB(dwTarget, v)
END SUB

'// void glMultiTexCoord1iARB (GLenum target, GLint s);
SUB glMultiTexCoord1iARB (BYVAL dwTarget AS DWORD, BYVAL s AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1iARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1iARB(dwTarget, s)
END SUB

'// void glMultiTexCoord1ivARB (GLenum target, const GLint *v);
SUB glMultiTexCoord1ivARB (BYVAL dwTarget AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1ivARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1ivARB(dwTarget, v)
END SUB

'// void glMultiTexCoord1sARB (GLenum target, GLshort s);
SUB glMultiTexCoord1sARB (BYVAL dwTarget AS DWORD, BYVAL s AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1sARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1sARB(dwTarget, s)
END SUB

'// void glMultiTexCoord1svARB (GLenum target, const GLshort *v);
SUB glMultiTexCoord1svARB (BYVAL dwTarget AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1svARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1svARB(dwTarget, v)
END SUB

'// void glMultiTexCoord2dARB (GLenum target, GLdouble s, GLdouble t);
SUB glMultiTexCoord2dARB (BYVAL dwTarget AS DWORD, BYVAL s AS DOUBLE, BYVAL t AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2dARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2dARB(dwTarget, s, t)
END SUB

'// void glMultiTexCoord2dvARB (GLenum target, const GLdouble *v);
SUB glMultiTexCoord2dvARB (BYVAL dwTarget AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2dvARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2dvARB(dwTarget, v)
END SUB

'// void glMultiTexCoord2fARB (GLenum target, GLfloat s, GLfloat t);
SUB glMultiTexCoord2fARB (BYVAL dwTarget AS DWORD, BYVAL s AS SINGLE, BYVAL t AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2fARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2fARB(dwTarget, s, t)
END SUB

'// void glMultiTexCoord2fvARB (GLenum target, const GLfloat *v);
SUB glMultiTexCoord2fvARB (BYVAL dwTarget AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2fvARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2fvARB(dwTarget, v)
END SUB

'// void glMultiTexCoord2iARB (GLenum target, GLint s, GLint t);
SUB glMultiTexCoord2iARB (BYVAL dwTarget AS DWORD, BYVAL s AS LONG, BYVAL t AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2iARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2iARB(dwTarget, s, t)
END SUB

'// void glMultiTexCoord2ivARB (GLenum target, const GLint *v);
SUB glMultiTexCoord2ivARB (BYVAL dwTarget AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2ivARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2ivARB(dwTarget, v)
END SUB

'// void glMultiTexCoord2sARB (GLenum target, GLshort s, GLshort t);
SUB glMultiTexCoord2sARB (BYVAL dwTarget AS DWORD, BYVAL s AS INTEGER, BYVAL t AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2sARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2sARB(dwTarget, s, t)
END SUB

'// void glMultiTexCoord2svARB (GLenum target, const GLshort *v);
SUB glMultiTexCoord2svARB (BYVAL dwTarget AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2svARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2svARB(dwTarget, v)
END SUB

'// void glMultiTexCoord3dARB (GLenum target, GLdouble s, GLdouble t, GLdouble r);
SUB glMultiTexCoord3dARB (BYVAL dwTarget AS DWORD, BYVAL s AS DOUBLE, BYVAL t AS DOUBLE, BYVAL u AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3dARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3dARB(dwTarget, s, t, u)
END SUB

'// void glMultiTexCoord3dvARB (GLenum target, const GLdouble *v);
SUB glMultiTexCoord3dvARB (BYVAL dwTarget AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3dvARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3dvARB(dwTarget, v)
END SUB

'// void glMultiTexCoord3fARB (GLenum target, GLfloat s, GLfloat t, GLfloat r);
SUB glMultiTexCoord3fARB (BYVAL dwTarget AS DWORD, BYVAL s AS SINGLE, BYVAL t AS SINGLE, BYVAL u AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3fARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3fARB(dwTarget, s, t, u)
END SUB

'// void glMultiTexCoord3fvARB (GLenum target, const GLfloat *v);
SUB glMultiTexCoord3fvARB (BYVAL dwTarget AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3fvARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3fvARB(dwTarget, v)
END SUB

'// void glMultiTexCoord3iARB (GLenum target, GLint s, GLint t, GLint r);
SUB glMultiTexCoord3iARB (BYVAL dwTarget AS DWORD, BYVAL s AS LONG, BYVAL t AS LONG, BYVAL u AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3iARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3iARB(dwTarget, s, t, u)
END SUB

'// void glMultiTexCoord3ivARB (GLenum target, const GLint *v);
SUB glMultiTexCoord3ivARB (BYVAL dwTarget AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3ivARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3ivARB(dwTarget, v)
END SUB

'// void glMultiTexCoord3sARB (GLenum target, GLshort s, GLshort t, GLshort r);
SUB glMultiTexCoord3sARB (BYVAL dwTarget AS DWORD, BYVAL s AS INTEGER, BYVAL t AS INTEGER, BYVAL u AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3sARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3sARB(dwTarget, s, t, u)
END SUB

'// void glMultiTexCoord3svARB (GLenum target, const GLshort *v);
SUB glMultiTexCoord3svARB (BYVAL dwTarget AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3svARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3svARB(dwTarget, v)
END SUB

'// void glMultiTexCoord4dARB (GLenum, GLdouble, GLdouble, GLdouble, GLdouble);
'// typedef void (APIENTRYP PFNGLMULTITEXCOORD4DARBPROC) (GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q);
SUB glMultiTexCoord4dARB (BYVAL dwTarget AS DWORD, BYVAL s AS DOUBLE, BYVAL t AS DOUBLE, BYVAL u AS DOUBLE, BYVAL v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4dARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4dARB(dwTarget, s, t, u, v)
END SUB

'// void glMultiTexCoord4dvARB (GLenum target, const GLdouble *v);
SUB glMultiTexCoord4dvARB (BYVAL dwTarget AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4dvARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4dvARB(dwTarget, v)
END SUB

'// void glMultiTexCoord4fARB (GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q);
SUB glMultiTexCoord4fARB (BYVAL dwTarget AS DWORD, BYVAL s AS SINGLE, BYVAL t AS SINGLE, BYVAL u AS SINGLE, BYVAL v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4fARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4fARB(dwTarget, s, t, u, v)
END SUB

'// void glMultiTexCoord4fvARB (GLenum target, const GLfloat *v);
SUB glMultiTexCoord4fvARB (BYVAL dwTarget AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4fvARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4fvARB(dwTarget, v)
END SUB

'// void glMultiTexCoord4iARB (GLenum target, GLint s, GLint t, GLint r, GLint q);
SUB glMultiTexCoord4iARB (BYVAL dwTarget AS DWORD, BYVAL s AS LONG, BYVAL t AS LONG, BYVAL u AS LONG, BYVAL v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4iARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4iARB(dwTarget, s, t, u, v)
END SUB

'// void glMultiTexCoord4ivARB (GLenum target, const GLint *v);
SUB glMultiTexCoord4ivARB (BYVAL dwTarget AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4ivARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4ivARB(dwTarget, v)
END SUB

'// void glMultiTexCoord4sARB (GLenum target, GLshort s, GLshort t, GLshort r, GLshort q);
SUB glMultiTexCoord4sARB (BYVAL dwTarget AS DWORD, BYVAL s AS INTEGER, BYVAL t AS INTEGER, BYVAL u AS INTEGER, BYVAL v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4sARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4sARB(dwTarget, s, t, u, v)
END SUB

'// void glMultiTexCoord4svARB (GLenum target, const GLshort *v);
SUB glMultiTexCoord4svARB (BYVAL dwTarget AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4svARB")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4svARB(dwTarget, v)
END SUB

'// void glLoadTransposeMatrixfARB (const GLfloat *m);
SUB glLoadTransposeMatrixfARB (BYREF m AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glLoadTransposeMatrixfARB")
    IF pProc THEN CALL DWORD pProc USING glLoadTransposeMatrixfARB(m)
END SUB

'// void glLoadTransposeMatrixdARB (const GLdouble *m);
SUB glLoadTransposeMatrixdARB (BYREF m AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glLoadTransposeMatrixdARB")
    IF pProc THEN CALL DWORD pProc USING glLoadTransposeMatrixdARB(m)
END SUB

'// void glMultTransposeMatrixfARB (const GLfloat *m);
SUB glMultTransposeMatrixfARB (BYREF m AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultTransposeMatrixfARB")
    IF pProc THEN CALL DWORD pProc USING glMultTransposeMatrixfARB(m)
END SUB

'// void glMultTransposeMatrixdARB (const GLdouble *m);
SUB glMultTransposeMatrixdARB (BYREF m AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultTransposeMatrixdARB")
    IF pProc THEN CALL DWORD pProc USING glMultTransposeMatrixdARB(m)
END SUB

'// void glSampleCoverageARB (GLclampf value, GLboolean invert);
SUB glSampleCoverageARB (BYVAL fValue AS SINGLE, BYVAL bInvert AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSampleCoverageARB")
    IF pProc THEN CALL DWORD pProc USING glSampleCoverageARB(fValue, bInvert)
END SUB

'// void glCompressedTexImage3DARB (GLenum target, GLint level, GLenum internalformat,
'// GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data);
SUB glCompressedTexImage3DARB (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL internalformat AS DWORD, _
    BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nDepth AS LONG, BYVAL nBorder AS LONG, BYVAL imageSize AS LONG, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTexImage3DARB")
    IF pProc THEN CALL DWORD pProc USING glCompressedTexImage3DARB(dwTarget, nLevel, internalformat, nWidth, nHeight, nDepth, nBorder, imageSize, pData)
END SUB

'// void glCompressedTexImage2DARB (GLenum target, GLint level, GLenum internalformat,
'// GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data);
SUB glCompressedTexImage2DARB (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL internalformat AS DWORD, _
    BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nBorder AS LONG, BYVAL imageSize AS LONG, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTexImage2DARB")
    IF pProc THEN CALL DWORD pProc USING glCompressedTexImage2DARB(dwTarget, nLevel, internalformat, nWidth, nHeight, nBorder, imageSize, pData)
END SUB

'// void glCompressedTexImage1DARB (GLenum, GLint, GLenum, GLsizei, GLint, GLsizei, const GLvoid *);
'// void glCompressedTexImage1DARB (GLenum target, GLint level, GLenum internalformat,
'// GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data);
SUB glCompressedTexImage1DARB (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL internalformat AS DWORD, _
    BYVAL nWidth AS LONG, BYVAL nBorder AS LONG, BYVAL imageSize AS LONG, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTexImage1DARB")
    IF pProc THEN CALL DWORD pProc USING glCompressedTexImage1DARB(dwTarget, nLevel, internalformat, nWidth, nBorder, imageSize, pData)
END SUB

'// void glCompressedTexSubImage3DARB (GLenum target, GLint level, GLint xoffset,
'// GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data);
SUB glCompressedTexSubImage3DARB (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL yoffset AS LONG, BYVAL zoffset AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, _
    BYVAL nDepth AS LONG, BYVAL dwFormat AS DWORD, BYVAL imageSize AS LONG, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTexSubImage3DARB")
    IF pProc THEN CALL DWORD pProc USING glCompressedTexSubImage3DARB(dwTarget, nLevel, xoffset, yoffset, zoffset, nWidth, nHeight, nDepth, dwFormat, imageSize, pData)
END SUB

'// void glCompressedTexSubImage2DARB (GLenum target, GLint level, GLint xoffset,
'// GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data);
SUB glCompressedTexSubImage2DARB (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL yoffset AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL dwFormat AS DWORD, BYVAL imageSize AS LONG, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTexSubImage2DARB")
    IF pProc THEN CALL DWORD pProc USING glCompressedTexSubImage2DARB(dwTarget, nLevel, xoffset, yoffset, nWidth, nHeight, dwFormat, imageSize, pData)
END SUB

'// void glCompressedTexSubImage1DARB (GLenum target, GLint level, GLint xoffset,
'// GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data);
SUB glCompressedTexSubImage1DARB (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL nWidth AS LONG, BYVAL dwFormat AS DWORD, BYVAL imageSize AS LONG, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTexSubImage1DARB")
    IF pProc THEN CALL DWORD pProc USING glCompressedTexSubImage1DARB(dwTarget, nLevel, xoffset, nWidth, dwFormat, imageSize, pData)
END SUB

'// void glGetCompressedTexImageARB (GLenum target, GLint level, GLvoid *img);
SUB glGetCompressedTexImageARB (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL pImg AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetCompressedTexImageARB")
    IF pProc THEN CALL DWORD pProc USING glGetCompressedTexImageARB(dwTarget, nLevel, pImg)
END SUB

'// void glPointParameterfARB (GLenum pname, GLfloat param);
SUB glPointParameterfARB (BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPointParameterfARB")
    IF pProc THEN CALL DWORD pProc USING glPointParameterfARB(pname, param)
END SUB

'// void glPointParameterfvARB (GLenum, const GLfloat *);
'// typedef void (APIENTRYP PFNGLPOINTPARAMETERFVARBPROC) (GLenum pname, const GLfloat *params);
SUB glPointParameterfvARB (BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPointParameterfvARB")
    IF pProc THEN CALL DWORD pProc USING glPointParameterfvARB(pname, params)
END SUB

'// void glWeightbvARB (GLint size, const GLbyte *weights);
SUB glWeightbvARB (BYVAL nSize AS LONG, BYREF weights AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWeightbvARB")
    IF pProc THEN CALL DWORD pProc USING glWeightbvARB(nSize, weights)
END SUB

'// void glWeightsvARB (GLint size, const GLshort *weights);
SUB glWeightsvARB (BYVAL nSize AS LONG, BYREF weights AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWeightsvARB")
    IF pProc THEN CALL DWORD pProc USING glWeightsvARB(nSize, weights)
END SUB

'// void glWeightivARB (GLint, const GLint *);
'// typedef void (APIENTRYP PFNGLWEIGHTIVARBPROC) (GLint size, const GLint *weights);
SUB glWeightivARB (BYVAL nSize AS LONG, BYREF weights AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWeightivARB")
    IF pProc THEN CALL DWORD pProc USING glWeightivARB(nSize, weights)
END SUB

'// void glWeightfvARB (GLint, const GLfloat *);
'// typedef void (APIENTRYP PFNGLWEIGHTFVARBPROC) (GLint size, const GLfloat *weights);
SUB glWeightfvARB (BYVAL nSize AS LONG, BYREF weights AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWeightfvARB")
    IF pProc THEN CALL DWORD pProc USING glWeightfvARB(nSize, weights)
END SUB

'// void glWeightdvARB (GLint, const GLdouble *);
'// typedef void (APIENTRYP PFNGLWEIGHTDVARBPROC) (GLint size, const GLdouble *weights);
SUB glWeightdvARB (BYVAL nSize AS LONG, BYREF weights AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWeightdvARB")
    IF pProc THEN CALL DWORD pProc USING glWeightdvARB(nSize, weights)
END SUB

'// void glWeightubvARB (GLint size, const GLubyte *weights);
SUB glWeightubvARB (BYVAL nSize AS LONG, BYREF weights AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWeightubvARB")
    IF pProc THEN CALL DWORD pProc USING glWeightubvARB(nSize, weights)
END SUB

'// void glWeightusvARB (GLint size, const GLushort *weights);
SUB glWeightusvARB (BYVAL nSize AS LONG, BYREF weights AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWeightusvARB")
    IF pProc THEN CALL DWORD pProc USING glWeightusvARB(nSize, weights)
END SUB

'// void glWeightuivARB (GLint size, const GLuint *weights);
SUB glWeightuivARB (BYVAL n AS LONG, BYREF weights AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWeightuivARB")
    IF pProc THEN CALL DWORD pProc USING glWeightuivARB(n, weights)
END SUB

'// void glWeightPointerARB (GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glWeightPointerARB (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWeightPointerARB")
    IF pProc THEN CALL DWORD pProc USING glWeightPointerARB(nSize, dwType, nStride, pPointer)
END SUB

'// void glVertexBlendARB (GLint count);
SUB glVertexBlendARB (BYVAL nCount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexBlendARB")
    IF pProc THEN CALL DWORD pProc USING glVertexBlendARB(nCount)
END SUB

'// void glCurrentPaletteMatrixARB (GLint index);
SUB glCurrentPaletteMatrixARB (BYVAL index AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCurrentPaletteMatrixARB")
    IF pProc THEN CALL DWORD pProc USING glCurrentPaletteMatrixARB(index)
END SUB

'// void glMatrixIndexubvARB (GLint size, const GLubyte *indices);
SUB glMatrixIndexubvARB (BYVAL nSize AS LONG, BYREF indices AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixIndexubvARB")
    IF pProc THEN CALL DWORD pProc USING glMatrixIndexubvARB(nSize, indices)
END SUB

'// void glMatrixIndexusvARB (GLint size, const GLushort *indices);
SUB glMatrixIndexusvARB (BYVAL nSize AS LONG, BYREF indices AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixIndexusvARB")
    IF pProc THEN CALL DWORD pProc USING glMatrixIndexusvARB(nSize, indices)
END SUB

'// void glMatrixIndexuivARB (GLint size, const GLuint *indices);
SUB glMatrixIndexuivARB (BYVAL nSize AS LONG, BYREF indices AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixIndexuivARB")
    IF pProc THEN CALL DWORD pProc USING glMatrixIndexuivARB(nSize, indices)
END SUB

'// void glMatrixIndexPointerARB (GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glMatrixIndexPointerARB (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixIndexPointerARB")
    IF pProc THEN CALL DWORD pProc USING glMatrixIndexPointerARB(nSize, dwType, nStride, pPointer)
END SUB

'// void glWindowPos2dARB (GLdouble x, GLdouble y);
SUB glWindowPos2dARB (BYVAL x AS DOUBLE, BYVAL y AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2dARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2dARB(x, y)
END SUB

'// void glWindowPos2dvARB (const GLdouble *v);
SUB glWindowPos2dvARB (BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2dvARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2dvARB(v)
END SUB

'// void glWindowPos2fARB (GLfloat x, GLfloat y);
SUB glWindowPos2fARB (BYVAL x AS SINGLE, BYVAL y AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2fARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2fARB(x, y)
END SUB

'// void glWindowPos2fvARB (const GLfloat *v);
SUB glWindowPos2fvARB (BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2fvARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2fvARB(v)
END SUB

'// void glWindowPos2iARB (GLint x, GLint y);
SUB glWindowPos2iARB (BYVAL x AS LONG, BYVAL y AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2iARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2iARB(x, y)
END SUB

'// void glWindowPos2ivARB (const GLint *v);
SUB glWindowPos2ivARB (BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2ivARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2ivARB(v)
END SUB

'// void glWindowPos2sARB (GLshort x, GLshort y);
SUB glWindowPos2sARB (BYVAL x AS INTEGER, BYVAL y AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2sARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2sARB(x, y)
END SUB

'// void glWindowPos2svARB (const GLshort *v);
SUB glWindowPos2svARB (BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2svARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2svARB(v)
END SUB

'// void glWindowPos3dARB (GLdouble x, GLdouble y, GLdouble z);
SUB glWindowPos3dARB (BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3dARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3dARB(x, y, z)
END SUB

'// void glWindowPos3dvARB (const GLdouble *v);
SUB glWindowPos3dvARB (BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3dvARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3dvARB(v)
END SUB

'// void glWindowPos3fARB (GLfloat x, GLfloat y, GLfloat z);
SUB glWindowPos3fARB (BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3fARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3fARB(x, y, z)
END SUB

'// void glWindowPos3fvARB (const GLfloat *);
'// typedef void (APIENTRYP PFNGLWINDOWPOS3FVARBPROC) (const GLfloat *v);
SUB glWindowPos3fvARB (BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3fvARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3fvARB(v)
END SUB

'// void glWindowPos3iARB (GLint x, GLint y, GLint z);
SUB glWindowPos3iARB (BYVAL x AS LONG, BYVAL y AS LONG, BYVAL z AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3iARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3iARB(x, y, z)
END SUB

'// void glWindowPos3ivARB (const GLint *v);
SUB glWindowPos3ivARB (BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3ivARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3ivARB(v)
END SUB

'// void glWindowPos3sARB (GLshort x, GLshort y, GLshort z);
SUB glWindowPos3sARB (BYVAL x AS INTEGER, BYVAL y AS INTEGER, BYVAL z AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3sARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3sARB(x, y, z)
END SUB

'// void glWindowPos3svARB (const GLshort *v);
SUB glWindowPos3svARB (BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3svARB")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3svARB(v)
END SUB

'// void glVertexAttrib1dARB (GLuint index, GLdouble x);
SUB glVertexAttrib1dARB (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1dARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1dARB(dwIndex, x)
END SUB

'// void glVertexAttrib1dvARB (GLuint index, const GLdouble *v);
SUB glVertexAttrib1dvARB (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1dvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1dvARB(dwIndex, v)
END SUB

'// void glVertexAttrib1fARB (GLuint index, GLfloat x);
SUB glVertexAttrib1fARB (BYVAL dwIndex AS DWORD, BYVAL x AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1fARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1fARB(dwIndex, x)
END SUB

'// void glVertexAttrib1fvARB (GLuint index, const GLfloat *v);
SUB glVertexAttrib1fvARB (BYVAL dwIndex AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1fvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1fvARB(dwIndex, v)
END SUB

'// void glVertexAttrib1sARB (GLuint index, GLshort x);
SUB glVertexAttrib1sARB (BYVAL dwIndex AS DWORD, BYVAL x AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1sARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1sARB(dwIndex, x)
END SUB

'// void glVertexAttrib1svARB (GLuint index, const GLshort *v);
SUB glVertexAttrib1svARB (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1svARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1svARB(dwIndex, v)
END SUB

'// void glVertexAttrib2dARB (GLuint index, GLdouble x, GLdouble y);
SUB glVertexAttrib2dARB (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2dARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2dARB(dwIndex, x, y)
END SUB

'// void glVertexAttrib2dvARB (GLuint index, const GLdouble *v);
SUB glVertexAttrib2dvARB (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2dvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2dvARB(dwIndex, v)
END SUB

'// void glVertexAttrib2fARB (GLuint index, GLfloat x, GLfloat y);
SUB glVertexAttrib2fARB (BYVAL dwIndex AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2fARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2fARB(dwIndex, x, y)
END SUB

'// void glVertexAttrib2fvARB (GLuint index, const GLfloat *v);
SUB glVertexAttrib2fvARB (BYVAL dwIndex AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2fvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2fvARB(dwIndex, v)
END SUB

'// void glVertexAttrib2sARB (GLuint index, GLshort x, GLshort y);
SUB glVertexAttrib2sARB (BYVAL dwIndex AS DWORD, BYVAL x AS INTEGER, BYVAL y AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2sARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2sARB(dwIndex, x, y)
END SUB

'// void glVertexAttrib2svARB (GLuint index, const GLshort *v);
SUB glVertexAttrib2svARB (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2svARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2svARB(dwIndex, v)
END SUB

'// void glVertexAttrib3dARB (GLuint index, GLdouble x, GLdouble y, GLdouble z);
SUB glVertexAttrib3dARB (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3dARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3dARB(dwIndex, x, y, z)
END SUB

'// void glVertexAttrib3dvARB (GLuint index, const GLdouble *v);
SUB glVertexAttrib3dvARB (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3dvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3dvARB(dwIndex, v)
END SUB

'// void glVertexAttrib3fARB (GLuint index, GLfloat x, GLfloat y, GLfloat z);
SUB glVertexAttrib3fARB (BYVAL dwIndex AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3fARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3fARB(dwIndex, x, y, z)
END SUB

'// void glVertexAttrib3fvARB (GLuint index, const GLfloat *v);
SUB glVertexAttrib3fvARB (BYVAL dwIndex AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3fvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3fvARB(dwIndex, v)
END SUB

'// void glVertexAttrib3sARB (GLuint index, GLshort x, GLshort y, GLshort z);
SUB glVertexAttrib3sARB (BYVAL dwIndex AS DWORD, BYVAL x AS INTEGER, BYVAL y AS INTEGER, BYVAL z AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3sARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3sARB(dwIndex, x, y, z)
END SUB

'// void glVertexAttrib3svARB (GLuint index, const GLshort *v);
SUB glVertexAttrib3svARB (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3svARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3svARB(dwIndex, v)
END SUB

'// void glVertexAttrib4NbvARB (GLuint index, const GLbyte *v);
SUB glVertexAttrib4NbvARB (BYVAL dwIndex AS DWORD, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4NbvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4NbvARB(dwIndex, v)
END SUB

'// void glVertexAttrib4NivARB (GLuint index, const GLint *v);
SUB glVertexAttrib4NivARB (BYVAL dwIndex AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4NivARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4NivARB(dwIndex, v)
END SUB

'// void glVertexAttrib4NsvARB (GLuint index, const GLshort *v);
SUB glVertexAttrib4NsvARB (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4NsvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4NsvARB(dwIndex, v)
END SUB

'// void glVertexAttrib4NubARB (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);
SUB glVertexAttrib4NubARB (BYVAL dwIndex AS DWORD, BYVAL x AS BYTE, BYVAL y AS BYTE, BYVAL z AS BYTE, BYVAL w AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4NubARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4NubARB(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttrib4NubvARB (GLuint index, const GLubyte *v);
SUB glVertexAttrib4NubvARB (BYVAL dwIndex AS DWORD, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4NubvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4NubvARB(dwIndex, v)
END SUB

'// void glVertexAttrib4NuivARB (GLuint index, const GLuint *v);
SUB glVertexAttrib4NuivARB (BYVAL dwIndex AS DWORD, BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4NuivARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4NuivARB(dwIndex, v)
END SUB

'// void glVertexAttrib4NusvARB (GLuint index, const GLushort *v);
SUB glVertexAttrib4NusvARB (BYVAL dwIndex AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4NusvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4NusvARB(dwIndex, v)
END SUB

'// void glVertexAttrib4bvARB (GLuint index, const GLbyte *v);
SUB glVertexAttrib4bvARB (BYVAL dwIndex AS DWORD, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4bvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4bvARB(dwIndex, v)
END SUB

'// void glVertexAttrib4dARB (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
SUB glVertexAttrib4dARB (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE, BYVAL w AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4dARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4dARB(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttrib4dvARB (GLuint index, const GLdouble *v);
SUB glVertexAttrib4dvARB (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4dvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4dvARB(dwIndex, v)
END SUB

'// void glVertexAttrib4fARB (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
SUB glVertexAttrib4fARB (BYVAL dwIndex AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE, BYVAL w AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4fARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4fARB(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttrib4fvARB (GLuint index, const GLfloat *v);
SUB glVertexAttrib4fvARB (BYVAL dwIndex AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4fvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4fvARB(dwIndex, v)
END SUB

'// void glVertexAttrib4ivARB (GLuint index, const GLint *v);
SUB glVertexAttrib4ivARB (BYVAL dwIndex AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4ivARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4ivARB(dwIndex, v)
END SUB

'// void glVertexAttrib4sARB (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w);
SUB glVertexAttrib4sARB (BYVAL dwIndex AS DWORD, BYVAL x AS INTEGER, BYVAL y AS INTEGER, BYVAL z AS INTEGER, BYVAL w AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4sARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4sARB(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttrib4svARB (GLuint index, const GLshort *v);
SUB glVertexAttrib4svARB (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4svARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4svARB(dwIndex, v)
END SUB

'// void glVertexAttrib4ubvARB (GLuint index, const GLubyte *v);
SUB glVertexAttrib4ubvARB (BYVAL dwIndex AS DWORD, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4ubvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4ubvARB(dwIndex, v)
END SUB

'// void glVertexAttrib4uivARB (GLuint index, const GLuint *v);
SUB glVertexAttrib4uivARB (BYVAL dwIndex AS DWORD, BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4uivARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4uivARB(dwIndex, v)
END SUB

'// void glVertexAttrib4usvARB (GLuint index, const GLushort *v);
SUB glVertexAttrib4usvARB (BYVAL dwIndex AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4usvARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4usvARB(dwIndex, v)
END SUB

'// void glVertexAttribPointerARB (GLuint index, GLint size, GLenum type,
'// GLboolean normalized, GLsizei stride, const GLvoid *pointer);
SUB glVertexAttribPointerARB (BYVAL dwIndex AS DWORD, BYVAL nSize AS LONG, BYVAL dwType AS DWORD, _
    BYVAL bNormalized AS BYTE, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribPointerARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribPointerARB(dwIndex, nSize, dwType, bNormalized, nStride, pPointer)
END SUB

'// void glEnableVertexAttribArrayARB (GLuint index);
SUB glEnableVertexAttribArrayARB (BYVAL dwIndex AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEnableVertexAttribArrayARB")
    IF pProc THEN CALL DWORD pProc USING glEnableVertexAttribArrayARB(dwIndex)
END SUB

'// void glDisableVertexAttribArrayARB (GLuint index);
SUB glDisableVertexAttribArrayARB (BYVAL dwIndex AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDisableVertexAttribArrayARB")
    IF pProc THEN CALL DWORD pProc USING glDisableVertexAttribArrayARB(dwIndex)
END SUB

'// void glProgramStringARB (GLenum target, GLenum format, GLsizei len, const GLvoid *string);
SUB glProgramStringARB (BYVAL dwTarget AS DWORD, BYVAL dwFormat AS DWORD, BYVAL nLen AS LONG, BYVAL pString AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramStringARB")
    IF pProc THEN CALL DWORD pProc USING glProgramStringARB(dwTarget, dwFormat, nLen, pString)
END SUB

'// void glBindProgramARB (GLenum target, GLuint program);
SUB glBindProgramARB (BYVAL dwTarget AS DWORD, BYVAL dwProgram AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindProgramARB")
    IF pProc THEN CALL DWORD pProc USING glBindProgramARB(dwTarget, dwProgram)
END SUB

'// void glDeleteProgramsARB (GLsizei n, const GLuint *programs);
SUB glDeleteProgramsARB (BYVAL n AS LONG, BYREF programs AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteProgramsARB")
    IF pProc THEN CALL DWORD pProc USING glDeleteProgramsARB(n, programs)
END SUB

'// void glGenProgramsARB (GLsizei n, GLuint *programs);
SUB glGenProgramsARB (BYVAL n AS LONG, BYREF programs AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenProgramsARB")
    IF pProc THEN CALL DWORD pProc USING glGenProgramsARB(n, programs)
END SUB

'// void glProgramEnvParameter4dARB (GLenum target, GLuint index, GLdouble x, GLdouble y,
'// GLdouble z, GLdouble w);
SUB glProgramEnvParameter4dARB (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, _
    BYVAL y AS DOUBLE, BYVAL z AS DOUBLE, BYVAL w AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramEnvParameter4dARB")
    IF pProc THEN CALL DWORD pProc USING glProgramEnvParameter4dARB(dwTarget, dwIndex, x, y, z, w)
END SUB

'// void glProgramEnvParameter4dvARB (GLenum target, GLuint index, const GLdouble *params);
SUB glProgramEnvParameter4dvARB (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramEnvParameter4dvARB")
    IF pProc THEN CALL DWORD pProc USING glProgramEnvParameter4dvARB(dwTarget, dwIndex, params)
END SUB

'// void glProgramEnvParameter4fARB (GLenum target, GLuint index, GLfloat x, GLfloat y,
'// GLfloat z, GLfloat w);
SUB glProgramEnvParameter4fARB (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL x AS SINGLE, _
    BYVAL y AS SINGLE, BYVAL z AS SINGLE, BYVAL w AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramEnvParameter4fARB")
    IF pProc THEN CALL DWORD pProc USING glProgramEnvParameter4fARB(dwTarget, dwIndex, x, y, z, w)
END SUB

'// void glProgramEnvParameter4fvARB (GLenum target, GLuint index, const GLfloat *params);
SUB glProgramEnvParameter4fvARB (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramEnvParameter4fvARB")
    IF pProc THEN CALL DWORD pProc USING glProgramEnvParameter4fvARB(dwTarget, pname, params)
END SUB

'// void glProgramLocalParameter4dARB (GLenum target, GLuint index, GLdouble x, GLdouble y,
'// GLdouble z, GLdouble w);
SUB glProgramLocalParameter4dARB (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, _
    BYVAL y AS DOUBLE, BYVAL z AS DOUBLE, BYVAL w AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramLocalParameter4dARB")
    IF pProc THEN CALL DWORD pProc USING glProgramLocalParameter4dARB(dwTarget, dwIndex, x, y, z, w)
END SUB

'// void glProgramLocalParameter4dvARB (GLenum target, GLuint index, const GLdouble *params);
SUB glProgramLocalParameter4dvARB (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramLocalParameter4dvARB")
    IF pProc THEN CALL DWORD pProc USING glProgramLocalParameter4dvARB(dwTarget, dwIndex, params)
END SUB

'// void glProgramLocalParameter4fARB (GLenum target, GLuint index, GLfloat x, GLfloat y,
'// GLfloat z, GLfloat w);
SUB glProgramLocalParameter4fARB (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, _
    BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE, BYVAL w AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramLocalParameter4fARB")
    IF pProc THEN CALL DWORD pProc USING glProgramLocalParameter4fARB(dwTarget, dwIndex, x, y, z, w)
END SUB

'// void glProgramLocalParameter4fvARB (GLenum target, GLuint index, const GLfloat *params);
SUB glProgramLocalParameter4fvARB (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramLocalParameter4fvARB")
    IF pProc THEN CALL DWORD pProc USING glProgramLocalParameter4fvARB(dwTarget, dwIndex, params)
END SUB

'// void glGetProgramEnvParameterdvARB (GLenum target, GLuint index, GLdouble *params);
SUB glGetProgramEnvParameterdvARB (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramEnvParameterdvARB")
    IF pProc THEN CALL DWORD pProc USING glGetProgramEnvParameterdvARB(dwTarget, dwIndex, params)
END SUB

'// void glGetProgramEnvParameterfvARB (GLenum target, GLuint index, GLfloat *params);
SUB glGetProgramEnvParameterfvARB (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramEnvParameterfvARB")
    IF pProc THEN CALL DWORD pProc USING glGetProgramEnvParameterfvARB(dwTarget, dwIndex, params)
END SUB

'// void glGetProgramLocalParameterdvARB (GLenum target, GLuint index, GLdouble *params);
SUB glGetProgramLocalParameterdvARB (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramLocalParameterdvARB")
    IF pProc THEN CALL DWORD pProc USING glGetProgramLocalParameterdvARB(dwTarget, dwIndex, params)
END SUB

'// void glGetProgramLocalParameterfvARB (GLenum target, GLuint index, GLfloat *params);
SUB glGetProgramLocalParameterfvARB (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramLocalParameterfvARB")
    IF pProc THEN CALL DWORD pProc USING glGetProgramLocalParameterfvARB(dwTarget, dwIndex, params)
END SUB

'// void glGetProgramivARB (GLenum target, GLenum pname, GLint *params);
SUB glGetProgramivARB (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramivARB")
    IF pProc THEN CALL DWORD pProc USING glGetProgramivARB(dwTarget, pname, params)
END SUB

'// void glGetProgramStringARB (GLenum target, GLenum pname, GLvoid *string);
SUB glGetProgramStringARB (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL pstring AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramStringARB")
    IF pProc THEN CALL DWORD pProc USING glGetProgramStringARB(dwTarget, pname, pstring)
END SUB

'// void glGetVertexAttribdvARB (GLuint index, GLenum pname, GLdouble *params);
SUB glGetVertexAttribdvARB (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribdvARB")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribdvARB(dwTarget, pname, params)
END SUB

'// void glGetVertexAttribfvARB (GLuint index, GLenum pname, GLfloat *params);
SUB glGetVertexAttribfvARB (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribfvARB")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribfvARB(dwTarget, pname, params)
END SUB

'// void glGetVertexAttribivARB (GLuint index, GLenum pname, GLint *params);
SUB glGetVertexAttribivARB (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribivARB")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribivARB(dwTarget, pname, params)
END SUB

'// void glGetVertexAttribPointervARB (GLuint index, GLenum pname, GLvoid* *pointer);
SUB glGetVertexAttribPointervARB (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribPointervARB")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribPointervARB(dwTarget, pname, pPointer)
END SUB

'// GLboolean glIsProgramARB (GLuint program);
FUNCTION glIsProgramARB (BYVAL dwProgram AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsProgramARB")
    IF pProc THEN CALL DWORD pProc USING glIsProgramARB(dwProgram) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glBindBufferARB (GLenum target, GLuint buffer);
SUB glBindBufferARB (BYVAL dwTarget AS DWORD, BYVAL dwBuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindBufferARB")
    IF pProc THEN CALL DWORD pProc USING glBindBufferARB(dwTarget, dwBuffer)
END SUB

'// void glDeleteBuffersARB (GLsizei n, const GLuint *buffers);
SUB glDeleteBuffersARB (BYVAL n AS LONG, BYREF dwBuffers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteBuffersARB")
    IF pProc THEN CALL DWORD pProc USING glDeleteBuffersARB(n, dwBuffers)
END SUB

'// void glGenBuffersARB (GLsizei n, GLuint *buffers);
SUB glGenBuffersARB (BYVAL n AS LONG, BYREF dwBuffers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenBuffersARB")
    IF pProc THEN CALL DWORD pProc USING glGenBuffersARB(n, dwBuffers)
END SUB

'// GLboolean glIsBufferARB (GLuint);
'// typedef GLboolean (APIENTRYP PFNGLISBUFFERARBPROC) (GLuint buffer);
FUNCTION glIsBufferARB (BYVAL dwBuffer AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsBufferARB")
    IF pProc THEN CALL DWORD pProc USING glIsBufferARB(dwBuffer) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glBufferDataARB (GLenum target, GLsizeiptrARB size, const GLvoid *data, GLenum usage);
SUB glBufferDataARB (BYVAL dwTarget AS DWORD, BYVAL dwSize AS DWORD, BYVAL pData AS DWORD, BYVAL dwUsage AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBufferDataARB")
    IF pProc THEN CALL DWORD pProc USING glBufferDataARB(dwTarget, dwSize, pData, dwUsage)
END SUB

'// void glBufferSubDataARB (GLenum target, GLintptrARB offset, GLsizeiptrARB size, const GLvoid *data);
SUB glBufferSubDataARB (BYVAL dwTarget AS DWORD, BYVAL dwOffset AS DWORD, BYVAL dwSize AS DWORD, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBufferSubDataARB")
    IF pProc THEN CALL DWORD pProc USING glBufferSubDataARB(dwTarget, dwOffset, dwSize, pData)
END SUB

'// void glGetBufferSubDataARB (GLenum target, GLintptrARB offset, GLsizeiptrARB size, GLvoid *data);
SUB glGetBufferSubDataARB (BYVAL dwTarget AS DWORD, BYVAL dwOffset AS DWORD, BYVAL dwSize AS DWORD, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetBufferSubDataARB")
    IF pProc THEN CALL DWORD pProc USING glGetBufferSubDataARB(dwTarget, dwOffset, dwSize, pData)
END SUB

'// GLvoid* glMapBufferARB (GLenum target, GLenum access);
FUNCTION glMapBufferARB (BYVAL dwTarget AS DWORD, BYVAL dwAccess AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glMapBufferARB")
    IF pProc THEN CALL DWORD pProc USING glMapBufferARB(dwTarget, dwAccess) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// GLboolean glUnmapBufferARB (GLenum target);
FUNCTION glUnmapBufferARB (BYVAL dwTarget AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glUnmapBufferARB")
    IF pProc THEN CALL DWORD pProc USING glUnmapBufferARB(dwTarget) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glGetBufferParameterivARB (GLenum target, GLenum pname, GLint *params);
SUB glGetBufferParameterivARB (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params aS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetBufferParameterivARB")
    IF pProc THEN CALL DWORD pProc USING glGetBufferParameterivARB(dwTarget, pname, params)
END SUB

'// void glGetBufferPointervARB (GLenum target, GLenum pname, GLvoid* *params);
SUB glGetBufferPointervARB (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetBufferPointervARB")
    IF pProc THEN CALL DWORD pProc USING glGetBufferPointervARB(dwTarget, pname, pPointer)
END SUB

'// void glGenQueriesARB (GLsizei n, GLuint *ids);
SUB glGenQueriesARB (BYVAL n AS LONG, BYREF ids AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenQueriesARB")
    IF pProc THEN CALL DWORD pProc USING glGenQueriesARB(n, ids)
END SUB

'// void glDeleteQueriesARB (GLsizei n, const GLuint *ids);
SUB glDeleteQueriesARB (BYVAL n AS LONG, BYREF ids AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteQueriesARB")
    IF pProc THEN CALL DWORD pProc USING glDeleteQueriesARB(n, ids)
END SUB

'// GLboolean glIsQueryARB (GLuint id);
FUNCTION glIsQueryARB (BYVAL dwId AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsQueryARB")
    IF pProc THEN CALL DWORD pProc USING glIsQueryARB(dwId) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glBeginQueryARB (GLenum target, GLuint id);
SUB glBeginQueryARB (BYVAL dwTarget AS DWORD, BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBeginQueryARB")
    IF pProc THEN CALL DWORD pProc USING glBeginQueryARB(dwTarget, dwId)
END SUB

'// void glEndQueryARB (GLenum target);
SUB glEndQueryARB (BYVAL dwTarget AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEndQueryARB")
    IF pProc THEN CALL DWORD pProc USING glEndQueryARB(dwTarget)
END SUB

'// void glGetQueryivARB (GLenum target, GLenum pname, GLint *params);
SUB glGetQueryivARB (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetQueryivARB")
    IF pProc THEN CALL DWORD pProc USING glGetQueryivARB(dwTarget, pname, params)
END SUB

'// void glGetQueryObjectivARB (GLuint id, GLenum pname, GLint *params);
SUB glGetQueryObjectivARB (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetQueryObjectivARB")
    IF pProc THEN CALL DWORD pProc USING glGetQueryObjectivARB(dwTarget, pname, params)
END SUB

'// void glGetQueryObjectuivARB (GLuint id, GLenum pname, GLuint *params);
SUB glGetQueryObjectuivARB (BYVAL dwId AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetQueryObjectuivARB")
    IF pProc THEN CALL DWORD pProc USING glGetQueryObjectuivARB(dwId, pname, params)
END SUB

'// void glDeleteObjectARB (GLhandleARB obj);
SUB glDeleteObjectARB (BYVAL dwObj AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteObjectARB")
    IF pProc THEN CALL DWORD pProc USING glDeleteObjectARB(dwObj)
END SUB

'// GLhandleARB glGetHandleARB (GLenum pname);
FUNCTION glGetHandleARB (BYVAL pname AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glGetHandleARB")
    IF pProc THEN CALL DWORD pProc USING glGetHandleARB(pname) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glDetachObjectARB (GLhandleARB containerObj, GLhandleARB attachedObj);
SUB glDetachObjectARB (BYVAL containerObj AS DWORD, BYVAL attachedObj AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDetachObjectARB")
    IF pProc THEN CALL DWORD pProc USING glDetachObjectARB(containerObj, attachedObj)
END SUB

'// GLhandleARB glCreateShaderObjectARB (GLenum shaderType);
FUNCTION glCreateShaderObjectARB (BYVAL shaderType AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glCreateShaderObjectARB")
    IF pProc THEN CALL DWORD pProc USING glCreateShaderObjectARB(shaderType) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glShaderSourceARB (GLhandleARB shaderObj, GLsizei count, const GLcharARB* *string, const GLint *length);
SUB glShaderSourceARB (BYVAL shaderObj AS DWORD, BYVAL nCount AS LONG, BYREF sString AS STRING, BYREF nLength AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glShaderSourceARB")
    IF pProc THEN CALL DWORD pProc USING glShaderSourceARB(shaderObj, nCount, sString, nLength)
END SUB

'// void glCompileShaderARB (GLhandleARB shaderObj);
SUB glCompileShaderARB (BYVAL shaderObj AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompileShaderARB")
    IF pProc THEN CALL DWORD pProc USING glCompileShaderARB(shaderObj)
END SUB

'// GLhandleARB glCreateProgramObjectARB (void);
FUNCTION glCreateProgramObjectARB () AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glCreateProgramObjectARB")
    IF pProc THEN CALL DWORD pProc USING glCreateProgramObjectARB() TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glAttachObjectARB (GLhandleARB containerObj, GLhandleARB obj);
SUB glAttachObjectARB (BYVAL dwContainerObj AS  DWORD, BYVAL dwObj AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glAttachObjectARB")
    IF pProc THEN CALL DWORD pProc USING glAttachObjectARB(dwContainerObj, dwObj)
END SUB

'// void glLinkProgramARB (GLhandleARB programObj);
SUB glLinkProgramARB (BYVAL programObj AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glLinkProgramARB")
    IF pProc THEN CALL DWORD pProc USING glLinkProgramARB(programObj)
END SUB

'// void glUseProgramObjectARB (GLhandleARB programObj);
SUB glUseProgramObjectARB (BYVAL programObj AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUseProgramObjectARB")
    IF pProc THEN CALL DWORD pProc USING glUseProgramObjectARB(programObj)
END SUB

'// void glValidateProgramARB (GLhandleARB programObj);
SUB glValidateProgramARB (BYVAL programObj AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glValidateProgramARB")
    IF pProc THEN CALL DWORD pProc USING glValidateProgramARB(programObj)
END SUB

'// void glUniform1fARB (GLint location, GLfloat v0);
SUB glUniform1fARB (BYVAL nLocation AS LONG, BYVAL v0 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1fARB")
    IF pProc THEN CALL DWORD pProc USING glUniform1fARB(nLocation, v0)
END SUB

'// void glUniform2fARB (GLint location, GLfloat v0, GLfloat v1);
SUB glUniform2fARB (BYVAL nLocation AS LONG, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2fARB")
    IF pProc THEN CALL DWORD pProc USING glUniform2fARB(nLocation, v0, v1)
END SUB

'// void glUniform3fARB (GLint, GLfloat, GLfloat, GLfloat);
'// typedef void (APIENTRYP PFNGLUNIFORM3FARBPROC) (GLint location, GLfloat v0, GLfloat v1, GLfloat v2);
SUB glUniform3fARB (BYVAL nLocation AS LONG, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE, BYVAL v2 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3fARB")
    IF pProc THEN CALL DWORD pProc USING glUniform3fARB(nLocation, v0, v1, v2)
END SUB

'// void glUniform4fARB (GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3);
SUB glUniform4fARB (BYVAL nLocation AS LONG, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE, BYVAL v2 AS SINGLE, BYVAL v3 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4fARB")
    IF pProc THEN CALL DWORD pProc USING glUniform4fARB(nLocation, v0, v1, v2, v3)
END SUB

'// void glUniform1iARB (GLint location, GLint v0);
SUB glUniform1iARB (BYVAL nLocation AS LONG, BYVAL v0 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1iARB")
    IF pProc THEN CALL DWORD pProc USING glUniform1iARB(nLocation, v0)
END SUB

'// void glUniform2iARB (GLint location, GLint v0, GLint v1);
SUB glUniform2iARB (BYVAL nLocation AS LONG, BYVAL v0 AS LONG, BYVAL v1 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2iARB")
    IF pProc THEN CALL DWORD pProc USING glUniform2iARB(nLocation, v0, v1)
END SUB

'// void glUniform3iARB (GLint location, GLint v0, GLint v1, GLint v2);
SUB glUniform3iARB (BYVAL nLocation AS LONG, BYVAL v0 AS LONG, BYVAL v1 AS LONG, BYVAL v2 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3iARB")
    IF pProc THEN CALL DWORD pProc USING glUniform3iARB(nLocation, v0, v1, v2)
END SUB

'// void glUniform4iARB (GLint location, GLint v0, GLint v1, GLint v2, GLint v3);
SUB glUniform4iARB (BYVAL nLocation AS LONG, BYVAL v0 AS LONG, BYVAL v1 AS LONG, BYVAL v2 AS LONG, BYVAL v3 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4iARB")
    IF pProc THEN CALL DWORD pProc USING glUniform4iARB(nLocation, v0, v1, v2, v3)
END SUB

'// void glUniform1fvARB (GLint location, GLsizei count, const GLfloat *value);
SUB glUniform1fvARB (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1fvARB")
    IF pProc THEN CALL DWORD pProc USING glUniform1fvARB(nLocation, nCount, value)
END SUB

'// void glUniform2fvARB (GLint location, GLsizei count, const GLfloat *value);
SUB glUniform2fvARB (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2fvARB")
    IF pProc THEN CALL DWORD pProc USING glUniform2fvARB(nLocation, nCount, value)
END SUB

'// void glUniform3fvARB (GLint location, GLsizei count, const GLfloat *value);
SUB glUniform3fvARB (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3fvARB")
    IF pProc THEN CALL DWORD pProc USING glUniform3fvARB(nLocation, nCount, value)
END SUB

'// void glUniform4fvARB (GLint location, GLsizei count, const GLfloat *value);
SUB glUniform4fvARB (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4fvARB")
    IF pProc THEN CALL DWORD pProc USING glUniform4fvARB(nLocation, nCount, value)
END SUB

'// void glUniform1ivARB (GLint location, GLsizei count, const GLint *value);
SUB glUniform1ivARB (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1ivARB")
    IF pProc THEN CALL DWORD pProc USING glUniform1ivARB(nLocation, nCount, value)
END SUB

'// void glUniform2ivARB (GLint location, GLsizei count, const GLint *value);
SUB glUniform2ivARB (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2ivARB")
    IF pProc THEN CALL DWORD pProc USING glUniform2ivARB(nLocation, nCount, value)
END SUB

'// void glUniform3ivARB (GLint location, GLsizei count, const GLint *value);
SUB glUniform3ivARB (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3ivARB")
    IF pProc THEN CALL DWORD pProc USING glUniform3ivARB(nLocation, nCount, value)
END SUB

'// void glUniform4ivARB (GLint location, GLsizei count, const GLint *value);
SUB glUniform4ivARB (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4ivARB")
    IF pProc THEN CALL DWORD pProc USING glUniform4ivARB(nLocation, nCount, value)
END SUB

'// void glUniformMatrix2fvARB (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glUniformMatrix2fvARB (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix2fvARB")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix2fvARB(nLocation, nCount, bTranspose, value)
END SUB

'// void glUniformMatrix3fvARB (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glUniformMatrix3fvARB (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix3fvARB")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix3fvARB(nLocation, nCount, bTranspose, value)
END SUB

'// void glUniformMatrix4fvARB (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glUniformMatrix4fvARB (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix4fvARB")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix4fvARB(nLocation, nCount, bTranspose, value)
END SUB

'// void glGetObjectParameterfvARB (GLhandleARB obj, GLenum pname, GLfloat *params);
SUB glGetObjectParameterfvARB (BYVAL dwObj AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetObjectParameterfvARB")
    IF pProc THEN CALL DWORD pProc USING glGetObjectParameterfvARB(dwObj, pname, params)
END SUB

'// void glGetObjectParameterivARB (GLhandleARB obj, GLenum pname, GLint *params);
SUB glGetObjectParameterivARB (BYVAL dwObj AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetObjectParameterivARB")
    IF pProc THEN CALL DWORD pProc USING glGetObjectParameterivARB(dwObj, pname, params)
END SUB

'// void glGetInfoLogARB (GLhandleARB obj, GLsizei maxLength, GLsizei *length, GLcharARB *infoLog);
SUB glGetInfoLogARB (BYVAL dwObj AS DWORD, BYVAL maxLength AS LONG, BYREF nLength AS LONG, BYREF infoLog AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetInfoLogARB")
    IF pProc THEN CALL DWORD pProc USING glGetInfoLogARB(dwObj, maxLength, nLength, infoLog)
END SUB

'// void glGetAttachedObjectsARB (GLhandleARB containerObj, GLsizei maxCount, GLsizei *count, GLhandleARB *obj);
SUB glGetAttachedObjectsARB (BYVAL containerObj AS DWORD, BYVAL maxCount AS LONG, BYREF nCount AS LONG, BYREF dwObj AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetAttachedObjectsARB")
    IF pProc THEN CALL DWORD pProc USING glGetAttachedObjectsARB(containerObj, maxCount, nCount, dwObj)
END SUB

'// GLint glGetUniformLocationARB (GLhandleARB programObj, const GLcharARB *name);
FUNCTION glGetUniformLocationARB (BYVAL programObj AS DWORD, BYREF szName AS ASCIIZ) AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glGetUniformLocationARB")
    IF pProc THEN CALL DWORD pProc USING glGetUniformLocationARB(programObj, szName) TO lRes
    FUNCTION = lRes
END FUNCTION

'// void glGetActiveUniformARB (GLhandleARB programObj, GLuint index, GLsizei maxLength,
'// GLsizei *length, GLint *size, GLenum *type, GLcharARB *name);
SUB glGetActiveUniformARB (BYVAL programObj AS DWORD, BYVAL dwIndex AS DWORD, BYVAL maxLength AS LONG, _
    BYREF nLength AS LONG, BYREF nSize AS LONG, BYREF dwType AS DWORD, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetActiveUniformARB")
    IF pProc THEN CALL DWORD pProc USING glGetActiveUniformARB(programObj, dwIndex, maxLength, nLength, nSize, dwType, szName)
END SUB

'// void glGetUniformfvARB (GLhandleARB programObj, GLint location, GLfloat *params);
SUB glGetUniformfvARB (BYVAL programObj AS DWORD, BYVAL nLocation AS LONG, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetUniformfvARB")
    IF pProc THEN CALL DWORD pProc USING glGetUniformfvARB(programObj, nLocation, params)
END SUB

'// void glGetUniformivARB (GLhandleARB programObj, GLint location, GLint *params);
SUB glGetUniformivARB (BYVAL programObj AS DWORD, BYVAL nLocation AS LONG, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetUniformivARB")
    IF pProc THEN CALL DWORD pProc USING glGetUniformivARB(programObj, nLocation, params)
END SUB

'// void glGetShaderSourceARB (GLhandleARB obj, GLsizei maxLength, GLsizei *length, GLcharARB *source);
SUB glGetShaderSourceARB (BYVAL dwObj AS DWORD, BYVAL maxLength AS LONG, BYREF nLength AS LONG, BYREF szSource AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetShaderSourceARB")
    IF pProc THEN CALL DWORD pProc USING glGetShaderSourceARB(dwObj, maxLength, nLength, szSource)
END SUB

'// void glBindAttribLocationARB (GLhandleARB programObj, GLuint index, const GLcharARB *name);
SUB glBindAttribLocationARB (BYVAL programObj AS DWORD, BYVAL dwIndex AS DWORD, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindAttribLocationARB")
    IF pProc THEN CALL DWORD pProc USING glBindAttribLocationARB(programObj, dwIndex, szName)
END SUB

'// void glGetActiveAttribARB (GLhandleARB programObj, GLuint index, GLsizei maxLength,
'// GLsizei *length, GLint *size, GLenum *type, GLcharARB *name);
SUB glGetActiveAttribARB (BYVAL dwProgram AS DWORD, BYVAL dwIndex AS DWORD, BYVAL maxLength AS LONG, _
    BYREF nLength AS LONG, BYREF nSize AS LONG, BYREF dwType AS DWORD, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetActiveAttribARB")
    IF pProc THEN CALL DWORD pProc USING glGetActiveAttribARB(dwProgram, dwIndex, maxLength, nLength, nSize, dwType, szName)
END SUB

'// GLint glGetAttribLocationARB (GLhandleARB programObj, const GLcharARB *name);
FUNCTION glGetAttribLocationARB (BYVAL programObj AS DWORD, BYREF szName AS ASCIIZ) AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glGetAttribLocationARB")
    IF pProc THEN CALL DWORD pProc USING glGetAttribLocationARB(programObj, szName) TO lRes
    FUNCTION = lRes
END FUNCTION

'// void glDrawBuffersARB (GLsizei n, const GLenum *bufs);
SUB glDrawBuffersARB (BYVAL n AS LONG, BYREF bufs AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawBuffersARB")
    IF pProc THEN CALL DWORD pProc USING glDrawBuffersARB(n, bufs)
END SUB

'// void glClampColorARB (GLenum, GLenum);
'// typedef void (APIENTRYP PFNGLCLAMPCOLORARBPROC) (GLenum target, GLenum clamp);
SUB glClampColorARB (BYVAL dwTarget AS DWORD, BYVAL dwClamp AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClampColorARB")
    IF pProc THEN CALL DWORD pProc USING glClampColorARB(dwTarget, dwClamp)
END SUB

'// void glDrawArraysInstancedARB (GLenum mode, GLint first, GLsizei count, GLsizei primcount);
SUB glDrawArraysInstancedARB (BYVAL dwMode AS DWORD, BYVAL nFirst AS LONG, BYVAL nCount AS  LONG, BYVAL primcount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawArraysInstancedARB")
    IF pProc THEN CALL DWORD pProc USING glDrawArraysInstancedARB(dwMode, nFirst, nCount, primcount)
END SUB

'// void glDrawElementsInstancedARB (GLenum mode, GLsizei count, GLenum type,
'// const GLvoid *indices, GLsizei primcount);
SUB glDrawElementsInstancedARB (BYVAL dwMode AS DWORD, BYVAL nCount AS LONG, BYVAL dwType AS DWORD, _
    BYVAL indices AS DWORD, BYVAL primcount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawElementsInstancedARB")
    IF pProc THEN CALL DWORD pProc USING glDrawElementsInstancedARB(dwMode, nCount, dwType, indices, primcount)
END SUB

'// GLboolean glIsRenderbuffer (GLuint renderbuffer);
FUNCTION glIsRenderbuffer (BYVAL dwrenderbuffer AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsRenderbuffer")
    IF pProc THEN CALL DWORD pProc USING glIsRenderbuffer(dwrenderbuffer) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glBindRenderbuffer (GLenum target, GLuint renderbuffer);
SUB glBindRenderbuffer (BYVAL dwTarget AS DWORD, BYVAL dwrenderbuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindRenderbuffer")
    IF pProc THEN CALL DWORD pProc USING glBindRenderbuffer(dwTarget, dwrenderbuffer)
END SUB

'// void glDeleteRenderbuffers (GLsizei n, const GLuint *renderbuffers);
SUB glDeleteRenderbuffers (BYVAL n AS LONG, BYREF dwrenderbuffers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteRenderbuffers")
    IF pProc THEN CALL DWORD pProc USING glDeleteRenderbuffers(n, dwrenderbuffers)
END SUB

'// void glGenRenderbuffers (GLsizei, GLuint *);
'// typedef void (APIENTRYP PFNGLGENRENDERBUFFERSPROC) (GLsizei n, GLuint *renderbuffers);
SUB glGenRenderbuffers (BYVAL n AS LONG, BYREF dwrenderbuffers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenRenderbuffers")
    IF pProc THEN CALL DWORD pProc USING glGenRenderbuffers(n, dwrenderbuffers)
END SUB

'// void glRenderbufferStorage (GLenum target, GLenum internalformat, GLsizei width, GLsizei height);
SUB glRenderbufferStorage (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glRenderbufferStorage")
    IF pProc THEN CALL DWORD pProc USING glRenderbufferStorage(dwTarget, internalformat, nWidth, nHeight)
END SUB

'// void glGetRenderbufferParameteriv (GLenum target, GLenum pname, GLint *params);
SUB glGetRenderbufferParameteriv (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetRenderbufferParameteriv")
    IF pProc THEN CALL DWORD pProc USING glGetRenderbufferParameteriv(dwTarget, pname, params)
END SUB

'// GLboolean glIsFramebuffer (GLuint framebuffer);
FUNCTION glIsFramebuffer (BYVAL dwframebuffer AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsFramebuffer")
    IF pProc THEN CALL DWORD pProc USING glIsFramebuffer(dwframebuffer) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glBindFramebuffer (GLenum target, GLuint framebuffer);
SUB glBindFramebuffer (BYVAL dwTarget AS DWORD, BYVAL dwframebuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindFramebuffer")
    IF pProc THEN CALL DWORD pProc USING glBindFramebuffer(dwTarget, dwframebuffer)
END SUB

'// void glDeleteFramebuffers (GLsizei n, const GLuint *framebuffers);
SUB glDeleteFramebuffers (BYVAL n AS LONG, BYREF dwframebuffers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteFramebuffers")
    IF pProc THEN CALL DWORD pProc USING glDeleteFramebuffers(n, dwframebuffers)
END SUB

'// void glGenFramebuffers (GLsizei n, GLuint *framebuffers);
SUB glGenFramebuffers (BYVAL n AS LONG, BYREF dwframebuffers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenFramebuffers")
    IF pProc THEN CALL DWORD pProc USING glGenFramebuffers(n, dwframebuffers)
END SUB

'// GLenum glCheckFramebufferStatus (GLenum target);
FUNCTION glCheckFramebufferStatus (BYVAL dwTarget AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glCheckFramebufferStatus")
    IF pProc THEN CALL DWORD pProc USING glCheckFramebufferStatus(dwTarget) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glFramebufferTexture1D (GLenum target, GLenum attachment, GLenum textarget,
'// GLuint texture, GLint level);
SUB glFramebufferTexture1D (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwtexttarget AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTexture1D")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTexture1D(dwTarget, dwAttachment, dwtexttarget, dwTexture, nLevel)
END SUB

'// void glFramebufferTexture2D (GLenum target, GLenum attachment, GLenum textarget,
'// GLuint texture, GLint level);
SUB glFramebufferTexture2D (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwtexttarget AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTexture2D")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTexture2D(dwTarget, dwAttachment, dwtexttarget, dwTexture, nLevel)
END SUB

'// void glFramebufferTexture3D (GLenum target, GLenum attachment, GLenum textarget,
'// GLuint texture, GLint level, GLint zoffset);
SUB glFramebufferTexture3D (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwtexttarget AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG, BYVAL zoffset AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTexture3D")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTexture3D(dwTarget, dwAttachment, dwtexttarget, dwTexture, nLevel, zoffset)
END SUB

'// void glFramebufferRenderbuffer (GLenum target, GLenum attachment,
'// GLenum renderbuffertarget, GLuint renderbuffer);
SUB glFramebufferRenderbuffer (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwrenderbuffertarget AS DWORD, BYVAL dwrenderbuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferRenderbuffer")
    IF pProc THEN CALL DWORD pProc USING glFramebufferRenderbuffer(dwTarget, dwAttachment, dwrenderbuffertarget, dwrenderbuffer)
END SUB

'// void glGetFramebufferAttachmentParameteriv (GLenum target, GLenum attachment,
'// GLenum pname, GLint *params);
SUB glGetFramebufferAttachmentParameteriv (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetFramebufferAttachmentParameteriv")
    IF pProc THEN CALL DWORD pProc USING glGetFramebufferAttachmentParameteriv(dwTarget, dwAttachment, pname, params)
END SUB

'// void glGenerateMipmap (GLenum target);
SUB glGenerateMipmap (BYVAL dwTarget AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenerateMipmap")
    IF pProc THEN CALL DWORD pProc USING glGenerateMipmap(dwTarget)
END SUB

'// void glBlitFramebuffer (GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0,
'// GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter);
SUB glBlitFramebuffer (BYVAL srcX0 AS LONG, BYVAL srcY0 AS LONG, BYVAL srcX1 AS LONG, BYVAL srcY1 AS LONG, _
    BYVAL dstX0 AS LONG, BYVAL dstY0 AS LONG, BYVAL dstX1 AS LONG, BYVAL dstY1 AS LONG, BYVAL dwMask AS DWORD, BYVAL dwfilter AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlitFramebuffer")
    IF pProc THEN CALL DWORD pProc USING glBlitFramebuffer(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, dwMask, dwfilter)
END SUB

'// void glRenderbufferStorageMultisample (GLenum target, GLsizei samples,
'// GLenum internalformat, GLsizei width, GLsizei height);
SUB glRenderbufferStorageMultisample (BYVAL dwTarget AS DWORD, BYVAL nSamples AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glRenderbufferStorageMultisample")
    IF pProc THEN CALL DWORD pProc USING glRenderbufferStorageMultisample(dwTarget, nSamples, internalformat, nWidth, nHeight)
END SUB

'// void glFramebufferTextureLayer (GLenum target, GLenum attachment, GLuint texture,
'// GLint level, GLint layer);
SUB glFramebufferTextureLayer (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG, BYVAL nLayer AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTextureLayer")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTextureLayer(dwTarget, dwAttachment, dwTexture, nLevel, nLayer)
END SUB

'// void glProgramParameteriARB (GLuint program, GLenum pname, GLint value);
SUB glProgramParameteriARB (BYVAL dwProgram AS DWORD, BYVAL pname AS DWORD, BYVAL value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramParameteriARB")
    IF pProc THEN CALL DWORD pProc USING glProgramParameteriARB(dwProgram, pname, value)
END SUB

'// void glFramebufferTextureARB (GLenum target, GLenum attachment, GLuint texture, GLint level);
SUB glFramebufferTextureARB (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTextureARB")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTextureARB(dwTarget, dwAttachment, dwTexture, nLevel)
END SUB

'// void glFramebufferTextureLayerARB (GLenum target, GLenum attachment, GLuint texture,
'// GLint level, GLint layer);
SUB glFramebufferTextureLayerARB (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG, BYVAL nLayer AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTextureLayerARB")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTextureLayerARB(dwTarget, dwAttachment, dwTexture, nLevel, nLayer)
END SUB

'// void glFramebufferTextureFaceARB (GLenum target, GLenum attachment, GLuint texture,
'// GLint level, GLenum face);
SUB glFramebufferTextureFaceARB (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG, BYVAL dwFace AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTextureFaceARB")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTextureFaceARB(dwTarget, dwAttachment, dwTexture, nLevel, dwFace)
END SUB

'// void glVertexAttribDivisorARB (GLuint index, GLuint divisor);
SUB glVertexAttribDivisorARB (BYVAL dwIndex AS DWORD, BYVAL dwDivisor AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribDivisorARB")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribDivisorARB(dwIndex, dwDivisor)
END SUB

'// void glMapBufferRange (GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access);
SUB glMapBufferRange (BYVAL dwTarget AS DWORD, BYVAL dwOffset AS DWORD, BYVAL dwLength AS DWORD, BYVAL dwAccess AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMapBufferRange")
    IF pProc THEN CALL DWORD pProc USING glMapBufferRange(dwTarget, dwOffset, dwlength, dwaccess)
END SUB

'// void glFlushMappedBufferRange (GLenum target, GLintptr offset, GLsizeiptr length);
SUB glFlushMappedBufferRange (BYVAL dwTarget AS DWORD, BYVAL dwOffset AS DWORD, BYVAL dwLength AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFlushMappedBufferRange")
    IF pProc THEN CALL DWORD pProc USING glFlushMappedBufferRange(dwTarget, dwOffset, dwLength)
END SUB

'// void glTexBufferARB (GLenum target, GLenum internalformat, GLuint buffer);
SUB glTexBufferARB (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL dwBuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexBufferARB")
    IF pProc THEN CALL DWORD pProc USING glTexBufferARB(dwTarget, internalformat, dwBuffer)
END SUB

'// void glBindVertexArray (GLuint array);
SUB glBindVertexArray (BYVAL dwArray AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindVertexArray")
    IF pProc THEN CALL DWORD pProc USING glBindVertexArray(dwArray)
END SUB

'// void glDeleteVertexArrays (GLsizei n, const GLuint *arrays);
SUB glDeleteVertexArrays (BYVAL n AS LONG, BYREF dwArrays AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteVertexArrays")
    IF pProc THEN CALL DWORD pProc USING glDeleteVertexArrays(n, dwArrays)
END SUB

'// void glGenVertexArrays (GLsizei n, GLuint *arrays);
SUB glGenVertexArrays (BYVAL n AS LONG, BYREF dwArrays AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenVertexArrays")
    IF pProc THEN CALL DWORD pProc USING glGenVertexArrays(n, dwArrays)
END SUB

'// GLboolean glIsVertexArray (GLuint array);
FUNCTION glIsVertexArray (BYVAL dwArray AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsVertexArray")
    IF pProc THEN CALL DWORD pProc USING glIsVertexArray(dwArray) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glGetUniformIndices (GLuint program, GLsizei uniformCount, const GLchar* *uniformNames, GLuint *uniformIndices);
SUB glGetUniformIndices (BYVAL program AS DWORD, BYVAL uniformCount AS LONG, BYREF uniformNames AS ASCIIZ, BYREF uniformIndices AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetUniformIndices")
    IF pProc THEN CALL DWORD pProc USING glGetUniformIndices(program, uniformCount, uniformNames, uniformIndices)
END SUB

'// void glGetActiveUniformsiv (GLuint program, GLsizei uniformCount, const GLuint *uniformIndices, GLenum pname, GLint *params);
SUB glGetActiveUniformsiv (BYVAL program AS DWORD, BYVAL uniformCount AS LONG, _
    BYREF uniformIndices AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetActiveUniformsiv")
    IF pProc THEN CALL DWORD pProc USING glGetActiveUniformsiv(program, uniformCount, uniformIndices, pname, params)
END SUB

'// void glGetActiveUniformName (GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei *length, GLchar *uniformName);
SUB glGetActiveUniformName (BYVAL program AS DWORD, BYVAL uniformIndex AS DWORD, BYVAL bufSize AS LONG, _
    BYREF nLength AS LONG, BYREF uniformName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetActiveUniformName")
    IF pProc THEN CALL DWORD pProc USING glGetActiveUniformName(program, uniformIndex, bufSize, nLength, uniformName)
END SUB

'// GLuint glGetUniformBlockIndex (GLuint program, const GLchar *uniformBlockName);
FUNCTION glGetUniformBlockIndex (BYVAL program AS DWORD, BYREF uniformBlockName AS ASCIIZ) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glGetUniformBlockIndex")
    IF pProc THEN CALL DWORD pProc USING glGetUniformBlockIndex(program, uniformBlockName) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glGetActiveUniformBlockiv (GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint *params);
SUB glGetActiveUniformBlockiv (BYVAL program AS DWORD, BYVAL uniformBlockIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetActiveUniformBlockiv")
    IF pProc THEN CALL DWORD pProc USING glGetActiveUniformBlockiv(program, uniformBlockIndex, pname, params)
END SUB

'// void glGetActiveUniformBlockName (GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei *length, GLchar *uniformBlockName);
SUB glGetActiveUniformBlockName (BYVAL program AS DWORD, BYVAL uniformBlockIndex AS DWORD, _
    BYVAL bufSize AS LONG, BYREF nLength AS LONG, BYREF uniformBlockName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetActiveUniformBlockName")
    IF pProc THEN CALL DWORD pProc USING glGetActiveUniformBlockName(program, uniformBlockIndex, bufSize, nLength, uniformBlockName)
END SUB

'// void glUniformBlockBinding (GLuint program, GLuint uniformBlockIndex, GLuint uniformBlockBinding);
SUB glUniformBlockBinding (BYVAL program AS DWORD, BYVAL uniformBlockIndex AS DWORD, BYVAL uniformBlockBinding AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformBlockBinding")
    IF pProc THEN CALL DWORD pProc USING glUniformBlockBinding(program, uniformBlockIndex, uniformBlockBinding)
END SUB

'// void glCopyBufferSubData (GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size);
SUB glCopyBufferSubData (BYVAL readTarget AS DWORD, BYVAL writeTarget AS DWORD, _
    BYVAL readOffset AS DWORD, BYVAL writeOffset AS DWORD, BYVAL dwSize AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyBufferSubData")
    IF pProc THEN CALL DWORD pProc USING glCopyBufferSubData(readTarget, writeTarget, readOffset, writeOffset, dwSize)
END SUB

'// void glDrawElementsBaseVertex (GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLint basevertex);
SUB glDrawElementsBaseVertex (BYVAL dwMode AS DWORD, BYVAL nCount AS LONG, BYVAL dwType AS DWORD, BYVAL indices AS DWORD, BYVAL basevertex AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawElementsBaseVertex")
    IF pProc THEN CALL DWORD pProc USING glDrawElementsBaseVertex(dwMode, nCount, dwType, indices, basevertex)
END SUB

'// void glDrawRangeElementsBaseVertex (GLenum mode, GLuint start, GLuint end,
'// GLsizei count, GLenum type, const GLvoid *indices, GLint basevertex);
SUB glDrawRangeElementsBaseVertex (BYVAL dwMode AS DWORD, BYVAL dwStart AS DWORD, BYVAL dwEnd AS DWORD, _
    BYVAL nCount AS LONG, BYVAL dwType AS DWORD, BYVAL indices AS DWORD, BYVAL basevertex AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawRangeElementsBaseVertex")
    IF pProc THEN CALL DWORD pProc USING glDrawRangeElementsBaseVertex(dwMode, dwStart, dwEnd, nCount, dwType, indices, basevertex)
END SUB

'// void glDrawElementsInstancedBaseVertex (GLenum mode, GLsizei count, GLenum type,
'// const GLvoid *indices, GLsizei primcount, GLint basevertex);
SUB glDrawElementsInstancedBaseVertex (BYVAL dwMode AS DWORD, BYVAL nCount AS LONG, BYVAL dwType AS DWORD, _
    BYVAL indices AS DWORD, BYVAL primcount AS LONG, BYVAL basevertex AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawElementsInstancedBaseVertex")
    IF pProc THEN CALL DWORD pProc USING glDrawElementsInstancedBaseVertex(dwMode, nCount, dwType, indices, primcount, basevertex)
END SUB

'// void glMultiDrawElementsBaseVertex (GLenum mode, const GLsizei *count, GLenum type, const GLvoid* *indices, GLsizei primcount, const GLint *basevertex);
SUB glMultiDrawElementsBaseVertex (BYVAL dwMode AS DWORD, BYREF nCount AS LONG, BYVAL dwType AS DWORD, _
    BYVAL indices AS DWORD, BYVAL primcount AS LONG, BYREF basevertex AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiDrawElementsBaseVertex")
    IF pProc THEN CALL DWORD pProc USING glMultiDrawElementsBaseVertex(dwMode, nCount, dwType, indices, primcount, basevertex)
END SUB

'// void glProvokingVertex (GLenum mode);
SUB glProvokingVertex (BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProvokingVertex")
    IF pProc THEN CALL DWORD pProc USING glProvokingVertex(dwMode)
END SUB

'// GLsync glFenceSync (GLenum condition, GLbitfield flags);
FUNCTION glFenceSync (BYVAL dwCondition AS DWORD, BYVAL dwFlags AS DWORD) AS DWORD
    LOCAL pProc, pSync AS DWORD
    pProc = wglGetProcAddress("glFenceSync")
    IF pProc THEN CALL DWORD pProc USING glFenceSync(dwCondition, dwFlags) TO pSync
    FUNCTION = pSync
END FUNCTION

'// GLboolean glIsSync (GLsync sync);
FUNCTION glIsSync (BYVAL dwSync AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsSync")
    IF pProc THEN CALL DWORD pProc USING glIsSync(dwSync) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glDeleteSync (GLsync sync);
SUB glDeleteSync (BYVAL dwSync AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteSync")
    IF pProc THEN CALL DWORD pProc USING glDeleteSync(dwSync)
END SUB

'// GLenum glClientWaitSync (GLsync sync, GLbitfield flags, GLuint64 timeout);
FUNCTION glClientWaitSync (BYVAL dwSync AS DWORD, BYVAL dwFlags AS DWORD, BYVAL qTimeout AS QUAD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glClientWaitSync")
    IF pProc THEN CALL DWORD pProc USING glClientWaitSync(dwSync, dwFlags, qTimeout) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glWaitSync (GLsync sync, GLbitfield flags, GLuint64 timeout);
SUB glWaitSync (BYVAL dwSync AS DWORD, BYVAL dwFlags AS DWORD, BYVAL qTimeout AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWaitSync")
    IF pProc THEN CALL DWORD pProc USING glWaitSync(dwSync, dwFlags, qTimeout)
END SUB

'// void glGetInteger64v (GLenum pname, GLint64 *params);
SUB glGetInteger64v (BYVAL pname AS DWORD, BYREF params AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetInteger64v")
    IF pProc THEN CALL DWORD pProc USING glGetInteger64v(pname, params)
END SUB

'// void glGetSynciv (GLsync sync, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values);
SUB glGetSynciv (BYVAL dwSync AS DWORD, BYVAL pname AS DWORD, BYVAL bufSize AS LONG, BYREF nLength AS LONG, BYREF values AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetSynciv")
    IF pProc THEN CALL DWORD pProc USING glGetSynciv(dwSync, pname, bufSize, nLength, values)
END SUB

'// void glTexImage2DMultisample (GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations);
SUB glTexImage2DMultisample (BYVAL dwTarget AS DWORD, BYVAL samples AS LONG, BYVAL internalformat AS LONG, _
    BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL fixedsamplelocations AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexImage2DMultisample")
    IF pProc THEN CALL DWORD pProc USING glTexImage2DMultisample(dwTarget, samples, internalformat, nWidth, nHeight, fixedsamplelocations)
END SUB

'// void glTexImage3DMultisample (GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations);
SUB glTexImage3DMultisample (BYVAL dwTarget AS DWORD, BYVAL samples AS LONG, BYVAL internalformat AS LONG, _
    BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nDepth AS LONG, BYVAL fixedsamplelocations AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexImage3DMultisample")
    IF pProc THEN CALL DWORD pProc USING glTexImage3DMultisample(dwTarget, samples, internalformat, nWidth, nHeight, nDepth, fixedsamplelocations)
END SUB

'// void glGetMultisamplefv (GLenum pname, GLuint index, GLfloat *val);
SUB glGetMultisamplefv (BYVAL pname AS DWORD, BYVAL dwIndex AS DWORD, BYREF fVal AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultisamplefv")
    IF pProc THEN CALL DWORD pProc USING glGetMultisamplefv(pname, dwIndex, fVal)
END SUB

'// void glSampleMaski (GLuint index, GLbitfield mask);
SUB glSampleMaski (BYVAL dwIndex AS DWORD, BYVAL dwMask AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSampleMaski")
    IF pProc THEN CALL DWORD pProc USING glSampleMaski(dwIndex, dwMask)
END SUB

'// void glBlendEquationiARB (GLuint buf, GLenum mode);
SUB glBlendEquationiARB (BYVAL buf AS DWORD, BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendEquationiARB")
    IF pProc THEN CALL DWORD pProc USING glBlendEquationiARB(buf, dwMode)
END SUB

'// void glBlendEquationSeparatei (GLuint buf, GLenum modeRGB, GLenum modeAlpha);
SUB glBlendEquationSeparateiARB (BYVAL buf AS DWORD, BYVAL modeRGB AS DWORD, BYVAL modeAlpha AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendEquationSeparateiARB")
    IF pProc THEN CALL DWORD pProc USING glBlendEquationSeparateiARB(buf, modeRGB, modeAlpha)
END SUB

'// void glBlendFunci (GLuint buf, GLenum src, GLenum dst);
SUB glBlendFunciARB (BYVAL buf AS DWORD, BYVAL src AS DWORD, BYVAL dst AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendFunciARB")
    IF pProc THEN CALL DWORD pProc USING glBlendFunciARB(buf, src, dst)
END SUB

'// void glBlendFuncSeparatei (GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha);
SUB glBlendFuncSeparateiARB (BYVAL buf AS DWORD, BYVAL srcRGB AS DWORD, BYVAL dstRGB AS DWORD, BYVAL srcAlpha AS DWORD, BYVAL dstAlpha AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendFuncSeparateiARB")
    IF pProc THEN CALL DWORD pProc USING glBlendFuncSeparateiARB(buf, srcRGB, dstRGB, srcAlpha, dstAlpha)
END SUB

'// void glMinSampleShadingARB (GLclampf value);
SUB glMinSampleShadingARB (BYVAL value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMinSampleShadingARB")
    IF pProc THEN CALL DWORD pProc USING glMinSampleShadingARB(value)
END SUB

'// void glNamedStringARB (GLenum type, GLint namelen, const GLchar *name, GLint stringlen, const GLchar *string);
SUB glNamedStringARB (BYVAL dwType AS DWORD, BYVAL namelen AS LONG, BYREF szName AS ASCIIZ, BYVAL stringlen AS LONG, BYREF szstring AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedStringARB")
    IF pProc THEN CALL DWORD pProc USING glNamedStringARB(dwType, namelen, szName, stringlen, szstring)
END SUB

'// void glDeleteNamedStringARB (GLint namelen, const GLchar *name);
SUB glDeleteNamedStringARB (BYVAL namelen AS LONG, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteNamedStringARB")
    IF pProc THEN CALL DWORD pProc USING glDeleteNamedStringARB(namelen, szName)
END SUB

'// void glCompileShaderIncludeARB (GLuint shader, GLsizei count, const GLchar* *path, const GLint *length);
SUB glCompileShaderIncludeARB (BYVAL shader AS DWORD, BYVAL nCount AS LONG, BYREF szPath AS ASCIIZ, BYREF nLength AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompileShaderIncludeARB")
    IF pProc THEN CALL DWORD pProc USING glCompileShaderIncludeARB(shader, nCount, szPath, nLength)
END SUB

'// GLboolean glIsNamedStringARB (GLint namelen, const GLchar *name);
FUNCTION glIsNamedStringARB (BYVAL namelen AS LONG, BYREF szName AS ASCIIZ) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsNamedStringARB")
    IF pProc THEN CALL DWORD pProc USING glIsNamedStringARB(namelen, szName) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glGetNamedStringARB (GLint namelen, const GLchar *name, GLsizei bufSize, GLint *stringlen, GLchar *string);
SUB glGetNamedStringARB (BYVAL namelen AS LONG, BYREF szName AS ASCIIZ, BYVAL bufSize AS LONG, BYREF stringlen AS LONG, BYREF szstring AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedStringARB")
    IF pProc THEN CALL DWORD pProc USING glGetNamedStringARB(namelen, szName, bufSize, stringlen, szstring)
END SUB

'// void glGetNamedStringivARB (GLint namelen, const GLchar *name, GLenum pname, GLint *params);
SUB glGetNamedStringivARB (BYVAL namelen AS LONG, BYREF szName AS ASCIIZ, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedStringivARB")
    IF pProc THEN CALL DWORD pProc USING glGetNamedStringivARB(namelen, szName, pname, params)
END SUB

'// void glBindFragDataLocationIndexed (GLuint program, GLuint colorNumber, GLuint index, const GLchar *name);
SUB glBindFragDataLocationIndexed (BYVAL program AS DWORD, BYVAL colorNumber AS DWORD, BYVAL dwIndex AS DWORD, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindFragDataLocationIndexed")
    IF pProc THEN CALL DWORD pProc USING glBindFragDataLocationIndexed(program, colorNumber, dwIndex, szName)
END SUB

'// GLint glGetFragDataIndex (GLuint program, const GLchar *name);
FUNCTION glGetFragDataIndex (BYVAL namelen AS DWORD, BYREF szName AS ASCIIZ) AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glGetFragDataIndex")
    IF pProc THEN CALL DWORD pProc USING glGetFragDataIndex(namelen, szName) TO lRes
    FUNCTION = lRes
END FUNCTION

'// void glGenSamplers (GLsizei count, GLuint *samplers);
SUB glGenSamplers (BYVAL nCount AS LONG, BYREF samplers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenSamplers")
    IF pProc THEN CALL DWORD pProc USING glGenSamplers(nCount, samplers)
END SUB

'// void glDeleteSamplers (GLsizei count, const GLuint *samplers);
SUB glDeleteSamplers (BYVAL nCount AS LONG, BYREF samplers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteSamplers")
    IF pProc THEN CALL DWORD pProc USING glDeleteSamplers(nCount, samplers)
END SUB

'// GLboolean glIsSampler (GLuint sampler);
FUNCTION glIsSampler (BYVAL sampler AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsSampler")
    IF pProc THEN CALL DWORD pProc USING glIsSampler(sampler) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glBindSampler (GLuint unit, GLuint sampler);
SUB glBindSampler (BYVAL dwUnit AS DWORD, BYVAL sampler AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindSampler")
    IF pProc THEN CALL DWORD pProc USING glBindSampler(dwUnit, sampler)
END SUB

'// void glSamplerParameteri (GLuint sampler, GLenum pname, GLint param);
SUB glSamplerParameteri (BYVAL sampler AS DWORD, BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSamplerParameteri")
    IF pProc THEN CALL DWORD pProc USING glSamplerParameteri(sampler, pname, param)
END SUB

'// void glSamplerParameteriv (GLuint sampler, GLenum pname, const GLint *param);
SUB glSamplerParameteriv (BYVAL sampler AS DWORD, BYVAL pname AS DWORD, BYREF param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSamplerParameteriv")
    IF pProc THEN CALL DWORD pProc USING glSamplerParameteriv(sampler, pname, param)
END SUB

'// void glSamplerParameterf (GLuint sampler, GLenum pname, GLfloat param);
SUB glSamplerParameterf (BYVAL sampler AS DWORD, BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSamplerParameterf")
    IF pProc THEN CALL DWORD pProc USING glSamplerParameterf(sampler, pname, param)
END SUB

'// void glSamplerParameterfv (GLuint sampler, GLenum pname, const GLfloat *param);
SUB glSamplerParameterfv (BYVAL sampler AS DWORD, BYVAL pname AS DWORD, BYREF param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSamplerParameterfv")
    IF pProc THEN CALL DWORD pProc USING glSamplerParameterfv(sampler, pname, param)
END SUB

'// void glSamplerParameterIiv (GLuint sampler, GLenum pname, const GLint *param);
SUB glSamplerParameterIiv (BYVAL sampler AS DWORD, BYVAL pname AS DWORD, BYREF param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSamplerParameterIiv")
    IF pProc THEN CALL DWORD pProc USING glSamplerParameterIiv(sampler, pname, param)
END SUB

'// void glSamplerParameterIuiv (GLuint sampler, GLenum pname, const GLuint *param);
SUB glSamplerParameterIuiv (BYVAL sampler AS DWORD, BYVAL pname AS DWORD, BYREF param AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSamplerParameterIuiv")
    IF pProc THEN CALL DWORD pProc USING glSamplerParameterIuiv(sampler, pname, param)
END SUB

'// void glGetSamplerParameteriv (GLuint sampler, GLenum pname, GLint *params);
SUB glGetSamplerParameteriv (BYVAL sampler AS DWORD, BYVAL pname AS DWORD, BYREF param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetSamplerParameteriv")
    IF pProc THEN CALL DWORD pProc USING glGetSamplerParameteriv(sampler, pname, param)
END SUB

'// void glGetSamplerParameterIiv (GLuint sampler, GLenum pname, GLint *params);
SUB glGetSamplerParameterIiv (BYVAL sampler AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetSamplerParameterIiv")
    IF pProc THEN CALL DWORD pProc USING glGetSamplerParameterIiv(sampler, pname, params)
END SUB

'// void glGetSamplerParameterfv (GLuint sampler, GLenum pname, GLfloat *params);
SUB glGetSamplerParameterfv (BYVAL sampler AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetSamplerParameterfv")
    IF pProc THEN CALL DWORD pProc USING glGetSamplerParameterfv(sampler, pname, params)
END SUB

'// void glGetSamplerParameterIuiv (GLuint sampler, GLenum pname, GLfloat *params);
SUB glGetSamplerParameterIuiv (BYVAL sampler AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetSamplerParameterIuiv")
    IF pProc THEN CALL DWORD pProc USING glGetSamplerParameterIuiv(sampler, pname, params)
END SUB

'// void glQueryCounter (GLuint id, GLenum target);
SUB glQueryCounter (BYVAL dwId AS DWORD, BYVAL dwTarget AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glQueryCounter")
    IF pProc THEN CALL DWORD pProc USING glQueryCounter(dwId, dwTarget)
END SUB

'// void glGetQueryObjecti64v (GLuint id, GLenum pname, GLint64 *params);
SUB glGetQueryObjecti64v (BYVAL dwId AS DWORD, BYVAL pname AS DWORD, BYREF params AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetQueryObjecti64v")
    IF pProc THEN CALL DWORD pProc USING glGetQueryObjecti64v(dwId, pname, params)
END SUB

'// void glGetQueryObjectui64v (GLuint id, GLenum pname, GLuint64 *params);
SUB glGetQueryObjectui64v (BYVAL dwId AS DWORD, BYVAL pname AS DWORD, BYREF params AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetQueryObjectui64v")
    IF pProc THEN CALL DWORD pProc USING glGetQueryObjectui64v(dwId, pname, params)
END SUB

'// void glVertexP2ui (GLenum type, GLuint value);
SUB glVertexP2ui (BYVAL dwType AS DWORD, BYVAL value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexP2ui")
    IF pProc THEN CALL DWORD pProc USING glVertexP2ui(dwType, value)
END SUB

'// void glVertexP2uiv (GLenum type, const GLuint *value);
SUB glVertexP2uiv (BYVAL dwType AS DWORD, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexP2uiv")
    IF pProc THEN CALL DWORD pProc USING glVertexP2uiv(dwType, value)
END SUB

'// void glVertexP3ui (GLenum type, GLuint value);
SUB glVertexP3ui (BYVAL dwType AS DWORD, BYVAL value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexP3ui")
    IF pProc THEN CALL DWORD pProc USING glVertexP3ui(dwType, value)
END SUB

'// void glVertexP3uiv (GLenum type, const GLuint *value);
SUB glVertexP3uiv (BYVAL dwType AS DWORD, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexP3uiv")
    IF pProc THEN CALL DWORD pProc USING glVertexP3uiv(dwType, value)
END SUB

'// void glVertexP4ui (GLenum type, GLuint value);
SUB glVertexP4ui (BYVAL dwType AS DWORD, BYVAL value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexP4ui")
    IF pProc THEN CALL DWORD pProc USING glVertexP4ui(dwType, value)
END SUB

'// void glVertexP4uiv (GLenum type, const GLuint *value);
SUB glVertexP4uiv (BYVAL dwType AS DWORD, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexP4uiv")
    IF pProc THEN CALL DWORD pProc USING glVertexP4uiv(dwType, value)
END SUB

'// void glTexCoordP1ui (GLenum type, GLuint coords);
SUB glTexCoordP1ui (BYVAL dwType AS DWORD, BYVAL dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoordP1ui")
    IF pProc THEN CALL DWORD pProc USING glTexCoordP1ui(dwType, dwCoords)
END SUB

'// void glTexCoordP1uiv (GLenum type, const GLuint *coords);
SUB glTexCoordP1uiv (BYVAL dwType AS DWORD, BYREF dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoordP1uiv")
    IF pProc THEN CALL DWORD pProc USING glTexCoordP1uiv(dwType, dwCoords)
END SUB

'// void glTexCoordP2ui (GLenum type, GLuint coords);
SUB glTexCoordP2ui (BYVAL dwType AS DWORD, BYVAL dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoordP2ui")
    IF pProc THEN CALL DWORD pProc USING glTexCoordP2ui(dwType, dwCoords)
END SUB

'// void glTexCoordP2uiv (GLenum type, const GLuint *coords);
SUB glTexCoordP2uiv (BYVAL dwType AS DWORD, BYREF dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoordP2uiv")
    IF pProc THEN CALL DWORD pProc USING glTexCoordP2uiv(dwType, dwCoords)
END SUB

'// void glTexCoordP3ui (GLenum type, GLuint coords);
SUB glTexCoordP3ui (BYVAL dwType AS DWORD, BYVAL dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoordP3ui")
    IF pProc THEN CALL DWORD pProc USING glTexCoordP3ui(dwType, dwCoords)
END SUB

'// void glTexCoordP3uiv (GLenum type, const GLuint *coords);
SUB glTexCoordP3uiv (BYVAL dwType AS DWORD, BYREF dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoordP3uiv")
    IF pProc THEN CALL DWORD pProc USING glTexCoordP3uiv(dwType, dwCoords)
END SUB

'// void glTexCoordP4ui (GLenum type, GLuint coords);
SUB glTexCoordP4ui (BYVAL dwType AS DWORD, BYVAL dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoordP4ui")
    IF pProc THEN CALL DWORD pProc USING glTexCoordP4ui(dwType, dwCoords)
END SUB

'// void glTexCoordP4uiv (GLenum type, const GLuint *coords);
SUB glTexCoordP4uiv (BYVAL dwType AS DWORD, BYREF dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoordP4uiv")
    IF pProc THEN CALL DWORD pProc USING glTexCoordP4uiv(dwType, dwCoords)
END SUB

'// void glMultiTexCoordP1ui (GLenum texture, GLenum type, GLuint coords);
SUB glMultiTexCoordP1ui (BYVAL dwTexture AS DWORD, BYVAL dwType AS DWORD, BYVAL dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoordP1ui")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoordP1ui(dwTexture, dwType, dwCoords)
END SUB

'// void glMultiTexCoordP1uiv (GLenum texture, GLenum type, const GLuint *coords);
SUB glMultiTexCoordP1uiv (BYVAL dwTexture AS DWORD, BYVAL dwType AS DWORD, BYREF dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoordP1uiv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoordP1uiv(dwTexture, dwType, dwCoords)
END SUB

'// void glMultiTexCoordP2ui (GLenum texture, GLenum type, GLuint coords);
SUB glMultiTexCoordP2ui (BYVAL dwTexture AS DWORD, BYVAL dwType AS DWORD, BYVAL dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoordP2ui")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoordP2ui(dwTexture, dwType, dwCoords)
END SUB

'// void glMultiTexCoordP2uiv (GLenum texture, GLenum type, const GLuint *coords);
SUB glMultiTexCoordP2uiv (BYVAL dwTexture AS DWORD, BYVAL dwType AS DWORD, BYREF dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoordP2uiv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoordP2uiv(dwTexture, dwType, dwCoords)
END SUB

'// void glMultiTexCoordP3ui (GLenum texture, GLenum type, GLuint coords);
SUB glMultiTexCoordP3ui (BYVAL dwTexture AS DWORD, BYVAL dwType AS DWORD, BYVAL dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoordP3ui")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoordP3ui(dwTexture, dwType, dwCoords)
END SUB

'// void glMultiTexCoordP3uiv (GLenum texture, GLenum type, const GLuint *coords);
SUB glMultiTexCoordP3uiv (BYVAL dwTexture AS DWORD, BYVAL dwType AS DWORD, BYREF dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoordP3uiv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoordP3uiv(dwTexture, dwType, dwCoords)
END SUB

'// void glMultiTexCoordP4ui (GLenum texture, GLenum type, GLuint coords);
SUB glMultiTexCoordP4ui (BYVAL dwTexture AS DWORD, BYVAL dwType AS DWORD, BYVAL dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoordP4ui")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoordP4ui(dwTexture, dwType, dwCoords)
END SUB

'// void glMultiTexCoordP4uiv (GLenum texture, GLenum type, const GLuint *coords);
SUB glMultiTexCoordP4uiv (BYVAL dwTexture AS DWORD, BYVAL dwType AS DWORD, BYREF dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoordP4uiv")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoordP4uiv(dwTexture, dwType, dwCoords)
END SUB

'// void glNormalP3ui (GLenum type, GLuint coords);
SUB glNormalP3ui (BYVAL dwType AS DWORD, BYVAL dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalP3ui")
    IF pProc THEN CALL DWORD pProc USING glNormalP3ui(dwType, dwCoords)
END SUB

'// void glNormalP3uiv (GLenum type, const GLuint *coords);
SUB glNormalP3uiv (BYVAL dwType AS DWORD, BYREF dwCoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalP3uiv")
    IF pProc THEN CALL DWORD pProc USING glNormalP3uiv(dwType, dwCoords)
END SUB

'// void glColorP3ui (GLenum type, GLuint color);
SUB glColorP3ui (BYVAL dwType AS DWORD, BYVAL dwColor AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorP3ui")
    IF pProc THEN CALL DWORD pProc USING glColorP3ui(dwType, dwColor)
END SUB

'// void glColorP3uiv (GLenum type, const GLuint *color);
SUB glColorP3uiv (BYVAL dwType AS DWORD, BYREF dwColor AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorP3uiv")
    IF pProc THEN CALL DWORD pProc USING glColorP3uiv(dwType, dwColor)
END SUB

'// void glColorP4ui (GLenum type, GLuint color);
SUB glColorP4ui (BYVAL dwType AS DWORD, BYVAL dwColor AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorP4ui")
    IF pProc THEN CALL DWORD pProc USING glColorP4ui(dwType, dwColor)
END SUB

'// void glColorP4uiv (GLenum type, const GLuint *color);
SUB glColorP4uiv (BYVAL dwType AS DWORD, BYREF dwColor AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorP4uiv")
    IF pProc THEN CALL DWORD pProc USING glColorP4uiv(dwType, dwColor)
END SUB

'// void glSecondaryColorP3ui (GLenum type, GLuint color);
SUB glSecondaryColorP3ui (BYVAL dwType AS DWORD, BYVAL dwColor AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColorP3ui")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColorP3ui(dwType, dwColor)
END SUB

'// void glSecondaryColorP3uiv (GLenum type, const GLuint *color);
SUB glSecondaryColorP3uiv (BYVAL dwType AS DWORD, BYREF dwColor AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColorP3uiv")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColorP3uiv(dwType, dwColor)
END SUB

'// void glVertexAttribP1ui (GLuint index, GLenum type, GLboolean normalized, GLuint value);
SUB glVertexAttribP1ui (BYVAL dwIndex AS DWORD, BYVAL dwType AS DWORD, BYVAL normalized AS BYTE, BYVAL value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribP1ui")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribP1ui(dwIndex, dwType, normalized, value)
END SUB

'// void glVertexAttribP1uiv (GLuint index, GLenum type, GLboolean normalized, const GLuint *value);
SUB glVertexAttribP1uiv (BYVAL dwIndex AS DWORD, BYVAL dwType AS DWORD, BYVAL normalized AS BYTE, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribP1uiv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribP1uiv(dwIndex, dwType, normalized, value)
END SUB

'// void glVertexAttribP2ui (GLuint index, GLenum type, GLboolean normalized, GLuint value);
SUB glVertexAttribP2ui (BYVAL dwIndex AS DWORD, BYVAL dwType AS DWORD, BYVAL normalized AS BYTE, BYVAL value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribP2ui")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribP2ui(dwIndex, dwType, normalized, value)
END SUB

'// void glVertexAttribP2uiv (GLuint index, GLenum type, GLboolean normalized, const GLuint *value);
SUB glVertexAttribP2uiv (BYVAL dwIndex AS DWORD, BYVAL dwType AS DWORD, BYVAL normalized AS BYTE, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribP2uiv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribP2uiv(dwIndex, dwType, normalized, value)
END SUB

'// void glVertexAttribP3ui (GLuint index, GLenum type, GLboolean normalized, GLuint value);
SUB glVertexAttribP3ui (BYVAL dwIndex AS DWORD, BYVAL dwType AS DWORD, BYVAL normalized AS BYTE, BYVAL value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribP3ui")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribP3ui(dwIndex, dwType, normalized, value)
END SUB

'// void glVertexAttribP3uiv (GLuint index, GLenum type, GLboolean normalized, const GLuint *value);
SUB glVertexAttribP3uiv (BYVAL dwIndex AS DWORD, BYVAL dwType AS DWORD, BYVAL normalized AS BYTE, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribP3uiv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribP3uiv(dwIndex, dwType, normalized, value)
END SUB

'// void glVertexAttribP4ui (GLuint index, GLenum type, GLboolean normalized, GLuint value);
SUB glVertexAttribP4ui (BYVAL dwIndex AS DWORD, BYVAL dwType AS DWORD, BYVAL normalized AS BYTE, BYVAL value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribP4ui")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribP4ui(dwIndex, dwType, normalized, value)
END SUB

'// void glVertexAttribP4uiv (GLuint index, GLenum type, GLboolean normalized, const GLuint *value);
SUB glVertexAttribP4uiv (BYVAL dwIndex AS DWORD, BYVAL dwType AS DWORD, BYVAL normalized AS BYTE, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribP4uiv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribP4uiv(dwIndex, dwType, normalized, value)
END SUB

'// void glDrawArraysIndirect (GLenum mode, const GLvoid *indirect);
SUB glDrawArraysIndirect (BYVAL dwMode AS DWORD, BYVAL indirect AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawArraysIndirect")
    IF pProc THEN CALL DWORD pProc USING glDrawArraysIndirect(dwMode, indirect)
END SUB

'// void glDrawElementsIndirect (GLenum mode, GLenum type, const GLvoid *indirect);
SUB glDrawElementsIndirect (BYVAL dwMode AS DWORD, BYVAL dwType AS DWORD, BYVAL indirect AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawElementsIndirect")
    IF pProc THEN CALL DWORD pProc USING glDrawElementsIndirect(dwMode, dwType, indirect)
END SUB

'// void glUniform1d (GLint location, GLdouble x);
SUB glUniform1d (BYVAL location AS LONG, BYVAL x AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1d")
    IF pProc THEN CALL DWORD pProc USING glUniform1d(location, x)
END SUB

'// void glUniform2d (GLint location, GLdouble x, GLdouble y);
SUB glUniform2d (BYVAL location AS LONG, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2d")
    IF pProc THEN CALL DWORD pProc USING glUniform2d(location, x, y)
END SUB

'// void glUniform3d (GLint location, GLdouble x, GLdouble y, GLdouble z);
SUB glUniform3d (BYVAL location AS LONG, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3d")
    IF pProc THEN CALL DWORD pProc USING glUniform3d(location, x, y, z)
END SUB

'// void glUniform4d (GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
SUB glUniform4d (BYVAL location AS LONG, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE, BYVAL w AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4d")
    IF pProc THEN CALL DWORD pProc USING glUniform4d(location, x, y, z, w)
END SUB

'// void glUniform1dv (GLint location, GLsizei count, const GLdouble *value);
SUB glUniform1dv (BYVAL location AS LONG, BYVAL nCount AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1dv")
    IF pProc THEN CALL DWORD pProc USING glUniform1dv(location, nCount, value)
END SUB

'// void glUniform2dv (GLint location, GLsizei count, const GLdouble *value);
SUB glUniform2dv (BYVAL location AS LONG, BYVAL nCount AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2dv")
    IF pProc THEN CALL DWORD pProc USING glUniform2dv(location, nCount, value)
END SUB

'// void glUniform3dv (GLint location, GLsizei count, const GLdouble *value);
SUB glUniform3dv (BYVAL location AS LONG, BYVAL nCount AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3dv")
    IF pProc THEN CALL DWORD pProc USING glUniform3dv(location, nCount, value)
END SUB

'// void glUniform4dv (GLint location, GLsizei count, const GLdouble *value);
SUB glUniform4dv (BYVAL location AS LONG, BYVAL nCount AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4dv")
    IF pProc THEN CALL DWORD pProc USING glUniform4dv(location, nCount, value)
END SUB

'// void glUniformMatrix2dv (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glUniformMatrix2dv (BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix2dv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix2dv(location, nCount, transpose, value)
END SUB

'// void glUniformMatrix3dv (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glUniformMatrix3dv (BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix3dv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix3dv(location, nCount, transpose, value)
END SUB

'// void glUniformMatrix4dv (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glUniformMatrix4dv (BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix4dv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix4dv(location, nCount, transpose, value)
END SUB

'// void glUniformMatrix2x3dv (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glUniformMatrix2x3dv (BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix2x3dv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix2x3dv(location, nCount, transpose, value)
END SUB

'// void glUniformMatrix2x4dv (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glUniformMatrix2x4dv (BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix2x4dv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix2x4dv(location, nCount, transpose, value)
END SUB

'// void glUniformMatrix3x2dv (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glUniformMatrix3x2dv (BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix3x2dv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix3x2dv(location, nCount, transpose, value)
END SUB

'// void glUniformMatrix3x4dv (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glUniformMatrix3x4dv (BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix3x4dv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix3x4dv(location, nCount, transpose, value)
END SUB

'// void glUniformMatrix4x2dv (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glUniformMatrix4x2dv (BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix4x2dv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix4x2dv(location, nCount, transpose, value)
END SUB

'// void glUniformMatrix4x3dv (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glUniformMatrix4x3dv (BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformMatrix4x3dv")
    IF pProc THEN CALL DWORD pProc USING glUniformMatrix4x3dv(location, nCount, transpose, value)
END SUB

'// void glGetUniformdv (GLuint program, GLint location, GLdouble *params);
SUB glGetUniformdv (BYVAL program AS DWORD, BYVAL location AS LONG, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetUniformdv")
    IF pProc THEN CALL DWORD pProc USING glGetUniformdv(program, location, params)
END SUB

'// GLint glGetSubroutineUniformLocation (GLuint program, GLenum shadertype, const GLchar *name);
FUNCTION glGetSubroutineUniformLocation (BYVAL program AS DWORD, BYVAL shadertype AS DWORD, BYREF szName AS ASCIIZ) AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glGetSubroutineUniformLocation")
    IF pProc THEN CALL DWORD pProc USING glGetSubroutineUniformLocation(program, shadertype, szName) TO lRes
    FUNCTION = lRes
END FUNCTION

'// GLuint glGetSubroutineIndex (GLuint program, GLenum shadertype, const GLchar *name);
FUNCTION glGetSubroutineIndex (BYVAL program AS DWORD, BYVAL shadertype AS DWORD, BYREF szName AS ASCIIZ) AS LONG
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glGetSubroutineIndex")
    IF pProc THEN CALL DWORD pProc USING glGetSubroutineIndex(program, shadertype, szName) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glGetActiveSubroutineUniformiv (GLuint program, GLenum shadertype, GLuint index, GLenum pname, GLint *values);
SUB glGetActiveSubroutineUniformiv (BYVAL program AS DWORD, BYVAL shadertype AS DWORD, BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF values AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetActiveSubroutineUniformiv")
    IF pProc THEN CALL DWORD pProc USING glGetActiveSubroutineUniformiv(program, shadertype, dwIndex, pname, values)
END SUB

'// void glGetActiveSubroutineUniformName (GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei *length, GLchar *name);
SUB glGetActiveSubroutineUniformName (BYVAL program AS DWORD, BYVAL shadertype AS DWORD, _
    BYVAL dwIndex AS DWORD, BYVAL bufsize AS LONG, BYREF nLength AS LONG, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetActiveSubroutineUniformName")
    IF pProc THEN CALL DWORD pProc USING glGetActiveSubroutineUniformName(program, shadertype, dwIndex, bufsize, nLength, szName)
END SUB

'// void glGetActiveSubroutineName (GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei *length, GLchar *name);
SUB glGetActiveSubroutineName (BYVAL program AS DWORD, BYVAL shadertype AS DWORD, _
    BYVAL dwIndex AS DWORD, BYVAL bufsize AS LONG, BYREF nLength AS LONG, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetActiveSubroutineName")
    IF pProc THEN CALL DWORD pProc USING glGetActiveSubroutineName(program, shadertype, dwIndex, bufsize, nLength, szName)
END SUB

'// void glUniformSubroutinesuiv (GLenum shadertype, GLsizei count, const GLuint *indices);
SUB glUniformSubroutinesuiv (BYVAL shadertype AS DWORD, BYVAL nCount AS LONG, BYREF dwIndices AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformSubroutinesuiv")
    IF pProc THEN CALL DWORD pProc USING glUniformSubroutinesuiv(shadertype, nCount, dwIndices)
END SUB

'// void glGetUniformSubroutineuiv (GLenum shadertype, GLint location, GLuint *params);
SUB glGetUniformSubroutineuiv (BYVAL shadertype AS DWORD, BYVAL location AS LONG, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetUniformSubroutineuiv")
    IF pProc THEN CALL DWORD pProc USING glGetUniformSubroutineuiv(shadertype, location, params)
END SUB

'// void glGetProgramStageiv (GLuint program, GLenum shadertype, GLenum pname, GLint *values);
SUB glGetProgramStageiv (BYVAL program AS DWORD, BYVAL shadertype AS DWORD, BYVAL pname AS DWORD, BYREF values AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramStageiv")
    IF pProc THEN CALL DWORD pProc USING glGetProgramStageiv(program, shadertype, pname, values)
END SUB

'// void glPatchParameteri (GLenum pname, GLint value);
SUB glPatchParameteri (BYVAL pname AS DWORD, BYVAL value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPatchParameteri")
    IF pProc THEN CALL DWORD pProc USING glPatchParameteri(pname, value)
END SUB

'// void glPatchParameterfv (GLenum pname, const GLfloat *values);
SUB glPatchParameterfv (BYVAL pname AS DWORD, BYREF values AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPatchParameterfv")
    IF pProc THEN CALL DWORD pProc USING glPatchParameterfv(pname, values)
END SUB

'// void glBindTransformFeedback (GLenum target, GLuint id);
SUB glBindTransformFeedback (BYVAL dwTarget AS DWORD, BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindTransformFeedback")
    IF pProc THEN CALL DWORD pProc USING glBindTransformFeedback(dwTarget, dwId)
END SUB

'// void glDeleteTransformFeedbacks (GLsizei n, const GLuint *ids);
SUB glDeleteTransformFeedbacks (BYVAL n AS LONG, BYREF ids AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteTransformFeedbacks")
    IF pProc THEN CALL DWORD pProc USING glDeleteTransformFeedbacks(n, ids)
END SUB

'// void glGenTransformFeedbacks (GLsizei n, GLuint *ids);
SUB glGenTransformFeedbacks (BYVAL n AS LONG, BYREF ids AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenTransformFeedbacks")
    IF pProc THEN CALL DWORD pProc USING glGenTransformFeedbacks(n, ids)
END SUB

'// GLboolean glIsTransformFeedback (GLuint id);
FUNCTION glIsTransformFeedback (BYVAL dwId AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS DWORD
    pProc = wglGetProcAddress("glIsTransformFeedback")
    IF pProc THEN CALL DWORD pProc USING glIsTransformFeedback(dwId) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glPauseTransformFeedback (void);
SUB glPauseTransformFeedback
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPauseTransformFeedback")
    IF pProc THEN CALL DWORD pProc USING glPauseTransformFeedback
END SUB

'// void glResumeTransformFeedback (void);
SUB glResumeTransformFeedback
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glResumeTransformFeedback")
    IF pProc THEN CALL DWORD pProc USING glResumeTransformFeedback
END SUB

'// void glDrawTransformFeedback (GLenum mode, GLuint id);
SUB glDrawTransformFeedback (BYVAL dwMode AS DWORD, BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawTransformFeedback")
    IF pProc THEN CALL DWORD pProc USING glDrawTransformFeedback(dwMode, dwId)
END SUB

'// void glDrawTransformFeedbackStream (GLenum mode, GLuint id, GLuint stream);
SUB glDrawTransformFeedbackStream (BYVAL dwMode AS DWORD, BYVAL dwId AS DWORD, BYVAL dwStream AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawTransformFeedbackStream")
    IF pProc THEN CALL DWORD pProc USING glDrawTransformFeedbackStream(dwMode, dwId, dwStream)
END SUB

'// void glBeginQueryIndexed (GLenum target, GLuint index, GLuint id);
SUB glBeginQueryIndexed (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBeginQueryIndexed")
    IF pProc THEN CALL DWORD pProc USING glBeginQueryIndexed(dwTarget, dwIndex, dwId)
END SUB

'// void glEndQueryIndexed (GLenum target, GLuint index);
SUB glEndQueryIndexed (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEndQueryIndexed")
    IF pProc THEN CALL DWORD pProc USING glEndQueryIndexed(dwTarget, dwIndex)
END SUB

'// void glGetQueryIndexediv (GLenum target, GLuint index, GLenum pname, GLint *params);
SUB glGetQueryIndexediv (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetQueryIndexediv")
    IF pProc THEN CALL DWORD pProc USING glGetQueryIndexediv(dwTarget, dwIndex, pname, params)
END SUB

'// void glReleaseShaderCompiler (void);
SUB glReleaseShaderCompiler
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReleaseShaderCompiler")
    IF pProc THEN CALL DWORD pProc USING glReleaseShaderCompiler
END SUB

'// void glShaderBinary (GLsizei count, const GLuint *shaders, GLenum binaryformat, const GLvoid *binary, GLsizei length);
SUB glShaderBinary (BYVAL dwCount AS DWORD, BYREF shaders AS DWORD, BYVAL binaryformat AS DWORD, BYVAL pbinary AS DWORD, BYVAL length AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glShaderBinary")
    IF pProc THEN CALL DWORD pProc USING glShaderBinary(dwCount, shaders, binaryformat, pbinary, length)
END SUB

'// void glGetShaderPrecisionFormat (GLenum shadertype, GLenum precisiontype, GLint *range, GLint *precision);
SUB glGetShaderPrecisionFormat (BYVAL shadertype AS DWORD, BYVAL precisiontype AS DWORD, BYREF lrange AS LONG, BYREF precision AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetShaderPrecisionFormat")
    IF pProc THEN CALL DWORD pProc USING glGetShaderPrecisionFormat(shadertype, precisiontype, lrange, precision)
END SUB

'// void glDepthRangef (GLclampf n, GLclampf f);
SUB glDepthRangef (BYVAL n AS SINGLE, BYVAL f AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDepthRangef")
    IF pProc THEN CALL DWORD pProc USING glDepthRangef(n, f)
END SUB

'//  void glClearDepthf (GLclampf d);
SUB glClearDepthf (BYVAL d AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClearDepthf")
    IF pProc THEN CALL DWORD pProc USING glClearDepthf(d)
END SUB

'// void glGetProgramBinary (GLuint program, GLsizei bufSize, GLsizei *length, GLenum *binaryFormat, GLvoid *binary);
SUB glGetProgramBinary (BYVAL program AS DWORD, BYVAL bufSize AS DWORD, BYREF length AS DWORD, BYREF binaryFormat AS DWORD, BYVAL pbinary AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramBinary")
    IF pProc THEN CALL DWORD pProc USING glGetProgramBinary(program, bufSize, length, binaryFormat, pbinary)
END SUB

'// void glProgramBinary (GLuint program, GLenum binaryFormat, const GLvoid *binary, GLsizei length);
SUB glProgramBinary (BYVAL program AS DWORD, BYVAL binaryFormat AS DWORD, BYVAL pbinary AS DWORD, BYVAL length AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramBinary")
    IF pProc THEN CALL DWORD pProc USING glProgramBinary(program, binaryFormat, pbinary, length)
END SUB

'// void glProgramParameteri (GLuint program, GLenum pname, GLint value);
SUB glProgramParameteri (BYVAL program AS DWORD, BYVAL pname AS DWORD, BYVAL value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramParameteri")
    IF pProc THEN CALL DWORD pProc USING glProgramParameteri(program, pname, value)
END SUB

'// void glUseProgramStages (GLuint pipeline, GLbitfield stages, GLuint program);
SUB glUseProgramStages (BYVAL pipeline AS DWORD, BYVAL stages AS DWORD, BYVAL program AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUseProgramStages")
    IF pProc THEN CALL DWORD pProc USING glUseProgramStages(pipeline, stages, program)
END SUB

'// void glActiveShaderProgram (GLuint pipeline, GLuint program);
SUB glActiveShaderProgram (BYVAL pipeline AS DWORD, BYVAL program AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glActiveShaderProgram")
    IF pProc THEN CALL DWORD pProc USING glActiveShaderProgram(pipeline, program)
END SUB

'// GLuint glCreateShaderProgramv (GLenum type, GLsizei count, const GLchar* *strings);
FUNCTION glCreateShaderProgramv (BYVAL dwType AS DWORD, BYVAL dwCount AS DWORD, BYREF sStrings AS STRING) AS DWORD
    LOCAL dwRes AS DWORD
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCreateShaderProgramv")
    IF pProc THEN CALL DWORD pProc USING glCreateShaderProgramv(dwType, dwCount, sStrings) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glBindProgramPipeline (GLuint pipeline);
SUB glBindProgramPipeline (BYVAL pipeline AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindProgramPipeline")
    IF pProc THEN CALL DWORD pProc USING glBindProgramPipeline(pipeline)
END SUB

'// void glDeleteProgramPipelines (GLsizei n, const GLuint *pipelines);
SUB glDeleteProgramPipelines (BYVAL n AS DWORD, BYREF pipelines AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteProgramPipelines")
    IF pProc THEN CALL DWORD pProc USING glDeleteProgramPipelines(n, pipelines)
END SUB

'// void glGenProgramPipelines (GLsizei n, GLuint *pipelines);
SUB glGenProgramPipelines (BYVAL n AS DWORD, BYREF pipelines AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenProgramPipelines")
    IF pProc THEN CALL DWORD pProc USING glGenProgramPipelines(n, pipelines)
END SUB

'// GLboolean glIsProgramPipeline (GLuint pipeline);
FUNCTION glIsProgramPipeline (BYVAL pipeline AS DWORD) AS LONG
    LOCAL bRes AS LONG
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glIsProgramPipeline")
    IF pProc THEN CALL DWORD pProc USING glIsProgramPipeline(pipeline) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glGetProgramPipelineiv (GLuint pipeline, GLenum pname, GLint *params);
SUB glGetProgramPipelineiv (BYVAL pipeline AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramPipelineiv")
    IF pProc THEN CALL DWORD pProc USING glGetProgramPipelineiv(pipeline, pname, params)
END SUB

'// void glProgramUniform1i (GLuint program, GLint location, GLint v0);
SUB glProgramUniform1i (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1i")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1i(program, location, v0)
END SUB

'// void glProgramUniform1iv (GLuint program, GLint location, GLsizei count, const GLint *value);
SUB glProgramUniform1iv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1iv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1iv(program, location, dwCount, value)
END SUB

'// void glProgramUniform1f (GLuint program, GLint location, GLfloat v0);
SUB glProgramUniform1f (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1f")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1f(program, location, v0)
END SUB

'// void glProgramUniform1fv (GLuint program, GLint location, GLsizei count, const GLfloat *value);
SUB glProgramUniform1fv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1fv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1fv(program, location, dwCount, value)
END SUB

'// void glProgramUniform1d (GLuint program, GLint location, GLdouble v0);
SUB glProgramUniform1d (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1d")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1d(program, location, v0)
END SUB

'// void glProgramUniform1dv (GLuint program, GLint location, GLsizei count, const GLdouble *value);
SUB glProgramUniform1dv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1dv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1dv(program, location, dwCount, value)
END SUB

'// void glProgramUniform1ui (GLuint program, GLint location, GLuint v0);
SUB glProgramUniform1ui (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1ui")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1ui(program, location, v0)
END SUB

'// void glProgramUniform1uiv (GLuint program, GLint location, GLsizei count, const GLuint *value);
SUB glProgramUniform1uiv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1uiv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1uiv(program, location, dwCount, value)
END SUB

'// void glProgramUniform2i (GLuint program, GLint location, GLint v0, GLint v1);
SUB glProgramUniform2i (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS DWORD, BYVAL v1 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2i")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2i(program, location, v0, v1)
END SUB

'// void glProgramUniform2iv (GLuint program, GLint location, GLsizei count, const GLint *value);
SUB glProgramUniform2iv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2iv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2iv(program, location, dwCount, value)
END SUB

'// void glProgramUniform2f (GLuint program, GLint location, GLfloat v0, GLfloat v1);
SUB glProgramUniform2f (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2f")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2f(program, location, v0, v1)
END SUB

'// void glProgramUniform2fv (GLuint program, GLint location, GLsizei count, const GLfloat *value);
SUB glProgramUniform2fv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2fv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2fv(program, location, dwCount, value)
END SUB

'// void glProgramUniform2d (GLuint program, GLint location, GLdouble v0, GLdouble v1);
SUB glProgramUniform2d (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS DOUBLE, BYVAL v1 AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2d")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2d(program, location, v0, v1)
END SUB

'// void glProgramUniform2dv (GLuint program, GLint location, GLsizei count, const GLdouble *value);
SUB glProgramUniform2dv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2dv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2dv(program, location, dwCount, value)
END SUB

'// void glProgramUniform2ui (GLuint program, GLint location, GLuint v0, GLuint v1);
SUB glProgramUniform2ui (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS DWORD, BYVAL v1 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2ui")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2ui(program, location, v0, v1)
END SUB

'// void glProgramUniform2uiv (GLuint program, GLint location, GLsizei count, const GLuint *value);
SUB glProgramUniform2uiv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2uiv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2uiv(program, location, dwCount, value)
END SUB

'// void glProgramUniform3i (GLuint program, GLint location, GLint v0, GLint v1, GLint v2);
SUB glProgramUniform3i (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS LONG, BYVAL v1 AS LONG, BYVAL v2 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3i")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3i(program, location, v0, v1, v2)
END SUB

'// void glProgramUniform3iv (GLuint program, GLint location, GLsizei count, const GLint *value);
SUB glProgramUniform3iv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3iv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3iv(program, location, dwCount, value)
END SUB

'// void glProgramUniform3f (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2);
SUB glProgramUniform3f (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE, BYVAL v2 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3f")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3f(program, location, v0, v1, v2)
END SUB

'// void glProgramUniform3fv (GLuint program, GLint location, GLsizei count, const GLfloat *value);
SUB glProgramUniform3fv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3fv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3fv(program, location, dwCount, value)
END SUB

'// void glProgramUniform3d (GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2);
SUB glProgramUniform3d (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS DOUBLE, BYVAL v1 AS DOUBLE, BYVAL v2 AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3d")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3d(program, location, v0, v1, v2)
END SUB

'// void glProgramUniform3dv (GLuint program, GLint location, GLsizei count, const GLdouble *value);
SUB glProgramUniform3dv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3dv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3dv(program, location, dwCount, value)
END SUB

'// void glProgramUniform3ui (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2);
SUB glProgramUniform3ui (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS DWORD, BYVAL v1 AS DWORD, BYVAL v2 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3ui")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3ui(program, location, v0, v1, v2)
END SUB

'// void glProgramUniform3uiv (GLuint program, GLint location, GLsizei count, const GLuint *value);
SUB glProgramUniform3uiv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3uiv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3uiv(program, location, dwCount, value)
END SUB

'// void glProgramUniform4i (GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3);
SUB glProgramUniform4i (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS LONG, BYVAL v1 AS LONG, BYVAL v2 AS LONG, BYVAL v3 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4i")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4i(program, location, v0, v1, v2, v3)
END SUB

'// void glProgramUniform4iv (GLuint program, GLint location, GLsizei count, const GLint *value);
SUB glProgramUniform4iv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4iv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4iv(program, location, dwCount, value)
END SUB

'// void glProgramUniform4f (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3);
SUB glProgramUniform4f (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE, BYVAL v2 AS SINGLE, BYVAL v3 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4f")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4f(program, location, v0, v1, v2, v3)
END SUB

'// void glProgramUniform4fv (GLuint program, GLint location, GLsizei count, const GLfloat *value);
SUB glProgramUniform4fv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4fv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4fv(program, location, dwCount, value)
END SUB

'// void glProgramUniform4d (GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2, GLdouble v3);
SUB glProgramUniform4d (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS DOUBLE, BYVAL v1 AS DOUBLE, BYVAL v2 AS DOUBLE, BYVAL v3 AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4d")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4d(program, location, v0, v1, v2, v3)
END SUB

'// void glProgramUniform4dv (GLuint program, GLint location, GLsizei count, const GLdouble *value);
SUB glProgramUniform4dv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4dv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4dv(program, location, dwCount, value)
END SUB

'// void glProgramUniform4ui (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3);
SUB glProgramUniform4ui (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL v0 AS DWORD, BYVAL v1 AS DWORD, BYVAL v2 AS DWORD, BYVAL v3 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4ui")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4ui(program, location, v0, v1, v2, v3)
END SUB

'// void glProgramUniform4uiv (GLuint program, GLint location, GLsizei count, const GLuint *value);
SUB glProgramUniform4uiv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4uiv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4uiv(program, location, dwCount, value)
END SUB

'// void glProgramUniformMatrix2fv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix2fv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix2fv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix2fv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix3fv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix3fv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix3fv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix3fv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix4fv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix4fv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix4fv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix4fv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix2dv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix2dv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix2dv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix2dv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix3dv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix3dv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix3dv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix3dv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix4dv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix4dv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix4dv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix4dv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix2x3fv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix2x3fv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix2x3fv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix2x3fv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix3x2fv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix3x2fv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix3x2fv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix3x2fv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix2x4fv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix2x4fv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix2x4fv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix2x4fv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix4x2fv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix4x2fv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix4x2fv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix4x2fv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix3x4fv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix3x4fv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix3x4fv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix3x4fv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix4x3fv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix4x3fv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix4x3fv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix4x3fv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix2x3dv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix2x3dv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix2x3dv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix2x3dv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix3x2dv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix3x2dv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix3x2dv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix3x2dv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix2x4dv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix2x4dv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix2x4dv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix2x4dv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix4x2dv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix4x2dv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix4x2dv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix4x2dv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix3x4dv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix3x4dv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix3x4dv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix3x4dv(program, location, dwCount, transpose, value)
END SUB

'// void glProgramUniformMatrix4x3dv (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix4x3dv (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL dwCount AS DWORD, BYVAL transpose AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix4x3dv")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix4x3dv(program, location, dwCount, transpose, value)
END SUB

'// void glValidateProgramPipeline (GLuint pipeline);
SUB glValidateProgramPipeline (BYVAL pipeline AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glValidateProgramPipeline")
    IF pProc THEN CALL DWORD pProc USING glValidateProgramPipeline(pipeline)
END SUB

'// void glGetProgramPipelineInfoLog (GLuint pipeline, GLsizei bufSize, GLsizei *length, GLchar *infoLog);
SUB glGetProgramPipelineInfoLog (BYVAL pipeline AS DWORD, BYVAL bufSize AS DWORD, BYREF length AS DWORD, BYREF infoLog AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramPipelineInfoLog")
    IF pProc THEN CALL DWORD pProc USING glGetProgramPipelineInfoLog(pipeline, bufSize, length, infoLog)
END SUB

'// void glVertexAttribL1d (GLuint index, GLdouble x);
SUB glVertexAttribL1d (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL1d")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL1d(dwIndex, x)
END SUB

'// void glVertexAttribL2d (GLuint index, GLdouble x, GLdouble y);
SUB glVertexAttribL2d (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL2d")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL2d(dwIndex, x, y)
END SUB

'// void glVertexAttribL3d (GLuint index, GLdouble x, GLdouble y, GLdouble z);
SUB glVertexAttribL3d (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL3d")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL3d(dwIndex, x, y, z)
END SUB

'// void glVertexAttribL4d (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
SUB glVertexAttribL4d (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE, BYVAL w AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL4d")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL4d(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttribL1dv (GLuint index, const GLdouble *v);
SUB glVertexAttribL1dv (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL1dv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL1dv(dwIndex, v)
END SUB

'// void glVertexAttribL2dv (GLuint index, const GLdouble *v);
SUB glVertexAttribL2dv (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL2dv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL2dv(dwIndex, v)
END SUB

'// void glVertexAttribL3dv (GLuint index, const GLdouble *v);
SUB glVertexAttribL3dv (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL3dv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL3dv(dwIndex, v)
END SUB

'// void glVertexAttribL4dv (GLuint index, const GLdouble *v);
SUB glVertexAttribL4dv (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL4dv")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL4dv(dwIndex, v)
END SUB

'// void glVertexAttribLPointer (GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glVertexAttribLPointer (BYVAL dwIndex AS DWORD, BYREF nsize AS LONG, BYVAL dwStride AS DWORD, BYVAL p AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribLPointer")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribLPointer(dwIndex, nsize, dwStride, p)
END SUB

'// void glGetVertexAttribLdv (GLuint index, GLenum pname, GLdouble *params);
SUB glGetVertexAttribLdv (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribLdv")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribLdv(dwIndex, pname, params)
END SUB

'// void glViewportArrayv (GLuint first, GLsizei count, const GLfloat *v);
SUB glViewportArrayv (BYVAL dwFirst AS DWORD, BYVAL dwCount AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glViewportArrayv")
    IF pProc THEN CALL DWORD pProc USING glViewportArrayv(dwFirst, dwCount, params)
END SUB

'// void glViewportIndexedf (GLuint index, GLfloat x, GLfloat y, GLfloat w, GLfloat h);
SUB glViewportIndexedf (BYVAL dwIndex AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL w AS SINGLE, BYVAL h AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glViewportIndexedf")
    IF pProc THEN CALL DWORD pProc USING glViewportIndexedf(dwIndex, x, y, w, h)
END SUB

'// void glViewportIndexedfv (GLuint index, const GLfloat *v);
SUB glViewportIndexedfv (BYVAL dwIndex AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glViewportIndexedfv")
    IF pProc THEN CALL DWORD pProc USING glViewportIndexedfv(dwIndex, v)
END SUB

'// void glScissorArrayv (GLuint first, GLsizei count, const GLint *v);
SUB glScissorArrayv (BYVAL dwFirst AS DWORD, BYVAL dwCount AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glScissorArrayv")
    IF pProc THEN CALL DWORD pProc USING glScissorArrayv(dwFirst, dwCount, v)
END SUB

'// void glScissorIndexed (GLuint index, GLint left, GLint bottom, GLsizei width, GLsizei height);
SUB glScissorIndexed (BYVAL dwIndex AS DWORD, BYVAL nLeft AS LONG, BYVAL nBottom AS LONG, BYVAL dwWidth AS DWORD, BYVAL dwHeight AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glScissorIndexed")
    IF pProc THEN CALL DWORD pProc USING glScissorIndexed(dwIndex, nLeft, nBottom, dwWidth, dwHeight)
END SUB

'// void glScissorIndexedv (GLuint index, const GLint *v);
SUB glScissorIndexedv (BYVAL dwIndex AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glScissorIndexedv")
    IF pProc THEN CALL DWORD pProc USING glScissorIndexedv(dwIndex, v)
END SUB

'// void glDepthRangeArrayv (GLuint first, GLsizei count, const GLclampd *v);
SUB glDepthRangeArrayv (BYVAL dwFirst AS DWORD, BYVAL dwCount AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDepthRangeArrayv")
    IF pProc THEN CALL DWORD pProc USING glDepthRangeArrayv(dwFirst, dwCount, v)
END SUB

'// void glDepthRangeIndexed (GLuint index, GLclampd n, GLclampd f);
SUB glDepthRangeIndexed (BYVAL dwIndex AS DWORD, BYVAL n AS DOUBLE, BYVAL f AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDepthRangeIndexed")
    IF pProc THEN CALL DWORD pProc USING glDepthRangeIndexed(dwIndex, n, f)
END SUB

'// void glGetFloati_v (GLenum target, GLuint index, GLfloat *data);
SUB glGetFloati_v (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF fltdata AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetFloati_v")
    IF pProc THEN CALL DWORD pProc USING glGetFloati_v(dwTarget, dwIndex, fltdata)
END SUB

'// void glGetDoublei_v (GLenum target, GLuint index, GLdouble *data);
SUB glGetDoublei_v (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF dbldata AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetDoublei_v")
    IF pProc THEN CALL DWORD pProc USING glGetDoublei_v(dwTarget, dwIndex, dbldata)
END SUB

'// GLsync glCreateSyncFromCLeventARB (struct _cl_context * context, struct _cl_event * event, GLbitfield flags);
FUNCTION glCreateSyncFromCLeventARB (BYVAL pContext AS DWORD, BYVAL pEvent AS DWORD, BYVAL flags AS DWORD) AS DWORD
    LOCAL dwRes AS DWORD
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCreateSyncFromCLeventARB")
    IF pProc THEN CALL DWORD pProc USING glCreateSyncFromCLeventARB(pContext, pEvent, flags) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glDebugMessageControlARB (GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled);
SUB glDebugMessageControlARB (BYVAL dwSource AS DWORD, BYVAL dwType AS DWORD, BYVAL severity AS DWORD, BYVAL dwCount AS DWORD, BYREF ids AS DWORD, BYVAL enabled AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDebugMessageControlARB")
    IF pProc THEN CALL DWORD pProc USING glDebugMessageControlARB(dwSource, dwType, severity, dwCount, ids, enabled)
END SUB

'// void glDebugMessageInsertARB (GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar *buf);
SUB glDebugMessageInsertARB (BYVAL dwSource AS DWORD, BYVAL dwType AS DWORD, BYVAL dwId AS DWORD, BYVAL severity AS DWORD, BYVAL length AS DWORD, BYREF nuf AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDebugMessageInsertARB")
    IF pProc THEN CALL DWORD pProc USING glDebugMessageInsertARB(dwSource, dwType, dwId, severity, length, nuf)
END SUB

'// void glDebugMessageCallbackARB (GLDEBUGPROCARB callback, const GLvoid *userParam);
SUB glDebugMessageCallbackARB (BYVAL dwCallback AS DWORD, BYVAL userParam AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDebugMessageCallbackARB")
    IF pProc THEN CALL DWORD pProc USING glDebugMessageCallbackARB(dwCallback, userParam)
END SUB

'// GLuint glGetDebugMessageLogARB (GLuint count, GLsizei bufsize, GLenum *sources, GLenum *types, GLuint *ids, GLenum *severities, GLsizei *lengths, GLchar *messageLog);
FUNCTION glGetDebugMessageLogARB (BYVAL dwCount AS DWORD, BYVAL bufsize AS DWORD, BYREF sources AS DWORD, BYREF types AS DWORD, BYREF ids AS DWORD, BYREF severities AS DWORD, BYREF lengths AS DWORD, BYREF messageLog AS ASCIIZ) AS DWORD
    LOCAL dwRes AS DWORD
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetDebugMessageLogARB")
    IF pProc THEN CALL DWORD pProc USING glGetDebugMessageLogARB(dwCount, bufsize, sources, types, ids, severities, lengths, messageLog) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// GLuint glGetGraphicsResetStatusARB (GLuint count, GLsizei bufsize, GLenum *sources, GLenum *types, GLuint *ids, GLenum *severities, GLsizei *lengths, GLchar *messageLog);
FUNCTION glGetGraphicsResetStatusARB () AS DWORD
    LOCAL dwRes AS DWORD
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetGraphicsResetStatusARB")
    IF pProc THEN CALL DWORD pProc USING glGetGraphicsResetStatusARB() TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glGetnMapdvARB (GLenum target, GLenum query, GLsizei bufSize, GLdouble *v);
SUB glGetnMapdvARB (BYVAL dwTarget AS DWORD, BYVAL dwQuery AS DWORD, BYVAL bufSize AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnMapdvARB")
    IF pProc THEN CALL DWORD pProc USING glGetnMapdvARB(dwTarget, dwQuery, bufSize, v)
END SUB

'// void glGetnMapfvARB (GLenum target, GLenum query, GLsizei bufSize, GLfloat *v);
SUB glGetnMapfvARB (BYVAL dwTarget AS DWORD, BYVAL dwQuery AS DWORD, BYVAL bufSize AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnMapfvARB")
    IF pProc THEN CALL DWORD pProc USING glGetnMapfvARB(dwTarget, dwQuery, bufSize, v)
END SUB

'// void glGetnMapivARB (GLenum target, GLenum query, GLsizei bufSize, GLint *v);
SUB glGetnMapivARB (BYVAL dwTarget AS DWORD, BYVAL dwQuery AS DWORD, BYVAL bufSize AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnMapivARB")
    IF pProc THEN CALL DWORD pProc USING glGetnMapivARB(dwTarget, dwQuery, bufSize, v)
END SUB

'// void glGetnPixelMapfvARB (GLenum map, GLsizei bufSize, GLfloat *values);
SUB glGetnPixelMapfvARB (BYVAL dwMap AS DWORD, BYVAL bufSize AS DWORD, BYREF values AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnPixelMapfvARB")
    IF pProc THEN CALL DWORD pProc USING glGetnPixelMapfvARB(dwMap, bufSize, values)
END SUB

'// void glGetnPixelMapuivARB (GLenum map, GLsizei bufSize, GLuint *values);
SUB glGetnPixelMapuivARB (BYVAL dwMap AS DWORD, BYVAL bufSize AS DWORD, BYREF values AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnPixelMapuivARB")
    IF pProc THEN CALL DWORD pProc USING glGetnPixelMapuivARB(dwMap, bufSize, values)
END SUB

'// void glGetnPixelMapusvARB (GLenum map, GLsizei bufSize, GLushort *values);
SUB glGetnPixelMapusvARB (BYVAL dwMap AS DWORD, BYVAL bufSize AS DWORD, BYREF values AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnPixelMapusvARB")
    IF pProc THEN CALL DWORD pProc USING glGetnPixelMapusvARB(dwMap, bufSize, values)
END SUB

'// void glGetnPolygonStippleARB (GLsizei bufSize, GLubyte *pattern);
SUB glGetnPolygonStippleARB (BYVAL bufSize AS DWORD, BYREF pattern AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnPolygonStippleARB")
    IF pProc THEN CALL DWORD pProc USING glGetnPolygonStippleARB(bufSize, pattern)
END SUB

'// void glGetnColorTableARB (GLenum target, GLenum format, GLenum type, GLsizei bufSize, GLvoid *table);
SUB glGetnColorTableARB (BYVAL dwTarget AS DWORD, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL bufSize AS DWORD, BYVAL pTable AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnColorTableARB")
    IF pProc THEN CALL DWORD pProc USING glGetnColorTableARB(dwTarget, dwFormat, dwType, bufSize, pTable)
END SUB

'// void glGetnConvolutionFilterARB (GLenum target, GLenum format, GLenum type, GLsizei bufSize, GLvoid *image);
SUB glGetnConvolutionFilterARB (BYVAL dwTarget AS DWORD, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL bufSize AS DWORD, BYVAL pImage AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnConvolutionFilterARB")
    IF pProc THEN CALL DWORD pProc USING glGetnConvolutionFilterARB(dwTarget, dwFormat, dwType, bufSize, pImage)
END SUB

'// void glGetnSeparableFilterARB (GLenum target, GLenum format, GLenum type, GLsizei rowBufSize, GLvoid *row, GLsizei columnBufSize, GLvoid *column, GLvoid *span);
SUB glGetnSeparableFilterARB (BYVAL dwTarget AS DWORD, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL rowBufSize AS DWORD, BYVAL pRow AS DWORD, BYVAL columnBufSize AS DWORD, BYVAL pColumn AS DWORD, BYVAL pSpan AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnSeparableFilterARB")
    IF pProc THEN CALL DWORD pProc USING glGetnSeparableFilterARB(dwTarget, dwFormat, dwType, rowBufSize, pRow, columnBufSize, pColumn, pSpan)
END SUB

'// void glGetnHistogramARB (GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, GLvoid *values);
SUB glGetnHistogramARB (BYVAL dwTarget AS DWORD, BYVAL bReset AS LONG, BYVAL dwType AS DWORD, BYVAL bufSize AS DWORD, BYVAL pvalues AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnHistogramARB")
    IF pProc THEN CALL DWORD pProc USING glGetnHistogramARB(dwTarget, bReset, dwType, bufSize, pvalues)
END SUB

'// void glGetnMinmaxARB (GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, GLvoid *values);
SUB glGetnMinmaxARB (BYVAL dwTarget AS DWORD, BYVAL bReset AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL bufSize AS DWORD, BYVAL pvalues AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnMinmaxARB")
    IF pProc THEN CALL DWORD pProc USING glGetnMinmaxARB(dwTarget, bReset, dwFormat, dwType, bufSize, pvalues)
END SUB

'// void glGetnTexImageARB (GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, GLvoid *img);
SUB glGetnTexImageARB (BYVAL dwTarget AS DWORD, BYVAL nlevel AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL bufSize AS DWORD, BYVAL pImg AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnTexImageARB")
    IF pProc THEN CALL DWORD pProc USING glGetnTexImageARB(dwTarget, nlevel, dwFormat, dwType, bufSize, pImg)
END SUB

'// void glReadnPixelsARB (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, GLvoid *data);
SUB glReadnPixelsARB (BYVAL x AS LONG, BYVAL y AS LONG, BYVAL dwWidth AS DWORD, BYVAL dwHeight AS DWORD, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL bufSize AS DWORD, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReadnPixelsARB")
    IF pProc THEN CALL DWORD pProc USING glReadnPixelsARB(x, y, dwWidth, dwHeight, dwFormat, dwType, bufSize, pData)
END SUB

'// void glGetnCompressedTexImageARB (GLenum target, GLint lod, GLsizei bufSize, GLvoid *img);
SUB glGetnCompressedTexImageARB (BYVAL dwTarget AS DWORD, BYVAL lod AS LONG, BYVAL bufSize AS DWORD, BYVAL pImg AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnCompressedTexImageARB")
    IF pProc THEN CALL DWORD pProc USING glGetnCompressedTexImageARB(dwTarget, lod, bufSize, pImg)
END SUB

'// void glGetnUniformfvARB (GLuint program, GLint location, GLsizei bufSize, GLfloat *params);
SUB glGetnUniformfvARB (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL bufSize AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnUniformfvARB")
    IF pProc THEN CALL DWORD pProc USING glGetnUniformfvARB(program, location, bufSize, params)
END SUB

'// void glGetnUniformivARB (GLuint program, GLint location, GLsizei bufSize, GLint *params);
SUB glGetnUniformivARB (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL bufSize AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnUniformivARB")
    IF pProc THEN CALL DWORD pProc USING glGetnUniformivARB(program, location, bufSize, params)
END SUB

'// void glGetnUniformuivARB (GLuint program, GLint location, GLsizei bufSize, GLuint *params);
SUB glGetnUniformuivARB (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL bufSize AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnUniformuivARB")
    IF pProc THEN CALL DWORD pProc USING glGetnUniformuivARB(program, location, bufSize, params)
END SUB

'// void glGetnUniformdvARB (GLuint program, GLint location, GLsizei bufSize, GLdouble *params);
SUB glGetnUniformdvARB (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL bufSize AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetnUniformdvARB")
    IF pProc THEN CALL DWORD pProc USING glGetnUniformdvARB(program, location, bufSize, params)
END SUB

'// void glBlendColorEXT (GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);
SUB glBlendColorEXT (BYVAL fred AS SINGLE, BYVAL fgreen AS SINGLE, BYVAL fblue AS SINGLE, BYVAL falpha AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendColorEXT")
    IF pProc THEN CALL DWORD pProc USING glBlendColorEXT(fred, fgreen, fblue, falpha)
END SUB

'// void glPolygonOffsetEXT (GLfloat factor, GLfloat bias);
SUB glPolygonOffsetEXT (BYVAL factor AS SINGLE, BYVAL bias AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPolygonOffsetEXT")
    IF pProc THEN CALL DWORD pProc USING glPolygonOffsetEXT(factor, bias)
END SUB

'// void glTexImage3DEXT (GLenum target, GLint level, GLenum internalformat,
'// GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels);
SUB glTexImage3DEXT (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL internalformat AS DWORD, _
    BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nDepth AS LONG, BYVAL nBorder AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexImage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glTexImage3DEXT(dwTarget, nLevel, internalformat, nWidth, nHeight, nDepth, nBorder, dwFormat, dwType, ppixels)
END SUB

'// void glTexSubImage3DEXT (GLenum target, GLint level, GLint xoffset, GLint yoffset,
'// GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels);
SUB glTexSubImage3DEXT (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL yoffset AS LONG, BYVAL zoffset AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, _
    BYVAL nDepth AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexSubImage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glTexSubImage3DEXT(dwTarget, nLevel, xoffset, yoffset, zoffset, nWidth, nHeight, nDepth, dwFormat, dwType, ppixels)
END SUB

'// void glGetTexFilterFuncSGIS (GLenum target, GLenum filter, GLfloat *weights);
SUB glGetTexFilterFuncSGIS (BYVAL dwTarget AS DWORD, BYVAL dwFilter AS DWORD, BYREF weights AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTexFilterFuncSGIS")
    IF pProc THEN CALL DWORD pProc USING glGetTexFilterFuncSGIS(dwTarget, dwFilter, weights)
END SUB

'// void glTexFilterFuncSGIS (GLenum target, GLenum filter, GLsizei n, const GLfloat *weights);
SUB glTexFilterFuncSGIS (BYVAL dwTarget AS DWORD, BYVAL dwFilter AS DWORD, BYVAL n AS LONG, BYREF weights AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexFilterFuncSGIS")
    IF pProc THEN CALL DWORD pProc USING glTexFilterFuncSGIS(dwTarget, dwFilter, n, weights)
END SUB

'// void glTexSubImage1DEXT (GLenum target, GLint level, GLint xoffset, GLsizei width,
'// GLenum format, GLenum type, const GLvoid *pixels);
SUB glTexSubImage1DEXT (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL nWidth AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexSubImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glTexSubImage1DEXT(dwTarget, nLevel, xoffset, nWidth, dwFormat, dwType, pPixels)
END SUB

'// void glTexSubImage2DEXT (GLenum target, GLint level, GLint xoffset, GLint yoffset,
'// GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels);
SUB glTexSubImage2DEXT (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL yoffset AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL dwFormat AS DWORD, _
    BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexSubImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glTexSubImage2DEXT(dwTarget, nLevel, xoffset, yoffset, nWidth, nHeight, dwFormat, dwType, pPixels)
END SUB

'// void glCopyTexImage1DEXT (GLenum target, GLint level, GLenum internalformat,
'// GLint x, GLint y, GLsizei width, GLint border);
SUB glCopyTexImage1DEXT (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL internalformat AS DWORD, _
    BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG, BYVAL nBorder AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyTexImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyTexImage1DEXT(dwTarget, nLevel, internalformat, x, y, nWidth, nBorder)
END SUB

'// void glCopyTexImage2DEXT (GLenum target, GLint level, GLenum internalformat,
'// GLint x, GLint y, GLsizei width, GLsizei height, GLint border);
SUB glCopyTexImage2DEXT (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL internalformat AS DWORD, _
    BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nBorder AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyTexImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyTexImage2DEXT(dwTarget, nLevel, internalformat, x, y, nWidth, nHeight, nBorder)
END SUB

'// void glCopyTexSubImage1DEXT (GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width);
SUB glCopyTexSubImage1DEXT (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyTexSubImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyTexSubImage1DEXT(dwTarget, nLevel, xoffset, x, y, nWidth)
END SUB

'// void glCopyTexSubImage2DEXT (GLenum target, GLint level, GLint xoffset, GLint yoffset,
'// GLint x, GLint y, GLsizei width, GLsizei height);
SUB glCopyTexSubImage2DEXT (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL yoffset AS LONG, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyTexSubImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyTexSubImage2DEXT(dwTarget, nLevel, xoffset, yoffset, x, y, nWidth, nHeight)
END SUB

'// void glCopyTexSubImage3DEXT (GLenum target, GLint level, GLint xoffset, GLint yoffset,
'// GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height);
SUB glCopyTexSubImage3DEXT (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL yoffset AS LONG, BYVAL zoffset AS LONG, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyTexSubImage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyTexSubImage3DEXT(dwTarget, nLevel, xoffset, yoffset, zoffset, x, y, nWidth, nHeight)
END SUB

'// void glGetHistogramEXT (GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values);
SUB glGetHistogramEXT (BYVAL dwTarget AS DWORD, BYVAL bReset AS BYTE, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL values AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetHistogramEXT")
    IF pProc THEN CALL DWORD pProc USING glGetHistogramEXT(dwTarget, bReset, dwFormat, dwType, values)
END SUB

'// void glGetHistogramParameterfvEXT (GLenum target, GLenum pname, GLfloat *params);
SUB glGetHistogramParameterfvEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetHistogramParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetHistogramParameterfvEXT(dwTarget, pname, params)
END SUB

'// void glGetHistogramParameterivEXT (GLenum target, GLenum pname, GLint *params);
SUB glGetHistogramParameterivEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetHistogramParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetHistogramParameterivEXT(dwTarget, pname, params)
END SUB

'// void glGetMinmaxEXT (GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values);
SUB glGetMinmaxEXT (BYVAL dwTarget AS DWORD, BYVAL bReset AS BYTE, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL values AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMinmaxEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMinmaxEXT(dwTarget, bReset, dwFormat, dwType, values)
END SUB

'// void glGetMinmaxParameterfvEXT (GLenum target, GLenum pname, GLfloat *params);
SUB glGetMinmaxParameterfvEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMinmaxParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMinmaxParameterfvEXT(dwTarget, pname, params)
END SUB

'// void glGetMinmaxParameterivEXT (GLenum target, GLenum pname, GLint *params);
SUB glGetMinmaxParameterivEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMinmaxParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMinmaxParameterivEXT(dwTarget, pname, params)
END SUB

'// void glHistogramEXT (GLenum target, GLsizei width, GLenum internalformat, GLboolean sink);
SUB glHistogramEXT (BYVAL dwTarget AS DWORD, BYVAL nWidth AS LONG, BYVAL internalformat AS DWORD, BYVAL bSink AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glHistogramEXT")
    IF pProc THEN CALL DWORD pProc USING glHistogramEXT(dwTarget, nWidth, internalformat, bSink)
END SUB

'// void glMinmaxEXT (GLenum target, GLenum internalformat, GLboolean sink);
SUB glMinmaxEXT (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL bSink AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMinmaxEXT")
    IF pProc THEN CALL DWORD pProc USING glMinmaxEXT(dwTarget, internalformat, bSink)
END SUB

'// void glResetHistogramEXT (GLenum target);
SUB glResetHistogramEXT (BYVAL dwTarget AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glResetHistogramEXT")
    IF pProc THEN CALL DWORD pProc USING glResetHistogramEXT(dwTarget)
END SUB

'// void glResetMinmaxEXT (GLenum target);
SUB glResetMinmaxEXT (BYVAL dwTarget AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glResetMinmaxEXT")
    IF pProc THEN CALL DWORD pProc USING glResetMinmaxEXT(dwTarget)
END SUB

'// void glConvolutionFilter1DEXT (GLenum target, GLenum internalformat, GLsizei width,
'// GLenum format, GLenum type, const GLvoid *image);
SUB glConvolutionFilter1DEXT (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pTable AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glConvolutionFilter1DEXT")
    IF pProc THEN CALL DWORD pProc USING glConvolutionFilter1DEXT(dwTarget, internalformat, nWidth, dwFormat, dwType, pTable)
END SUB

'// void glConvolutionFilter2DEXT (GLenum target, GLenum internalformat, GLsizei width,
'// GLsizei height, GLenum format, GLenum type, const GLvoid *image);
SUB glConvolutionFilter2DEXT (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, _
    BYVAL nHeight AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pImage AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glConvolutionFilter2DEXT")
    IF pProc THEN CALL DWORD pProc USING glConvolutionFilter2DEXT(dwTarget, internalformat, nWidth, nHeight, dwFormat, dwType, pImage)
END SUB

'// void glConvolutionParameterfEXT (GLenum target, GLenum pname, GLfloat params);
SUB glConvolutionParameterfEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glConvolutionParameterfEXT")
    IF pProc THEN CALL DWORD pProc USING glConvolutionParameterfEXT(dwTarget, pname, params)
END SUB

'// void glConvolutionParameterfvEXT (GLenum target, GLenum pname, const GLfloat *params);
SUB glConvolutionParameterfvEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glConvolutionParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glConvolutionParameterfvEXT(dwTarget, pname, params)
END SUB

'// void glConvolutionParameteriEXT (GLenum target, GLenum pname, GLint params);
SUB glConvolutionParameteriEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glConvolutionParameteriEXT")
    IF pProc THEN CALL DWORD pProc USING glConvolutionParameteriEXT(dwTarget, pname, params)
END SUB

'// void glConvolutionParameterivEXT (GLenum target, GLenum pname, const GLint *params);
SUB glConvolutionParameterivEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glConvolutionParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glConvolutionParameterivEXT(dwTarget, pname, params)
END SUB

'// void glCopyConvolutionFilter1DEXT (GLenum target, GLenum internalformat,
'// GLint x, GLint y, GLsizei width);
SUB glCopyConvolutionFilter1DEXT (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, _
    BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyConvolutionFilter1DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyConvolutionFilter1DEXT(dwTarget, internalformat, x, y, nWidth)
END SUB

'// void glCopyConvolutionFilter2DEXT (GLenum target, GLenum internalformat,
'// GLint x, GLint y, GLsizei width, GLsizei height);
SUB glCopyConvolutionFilter2DEXT (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, _
    BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyConvolutionFilter2DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyConvolutionFilter2DEXT(dwTarget, internalformat, x, y, nWidth, nHeight)
END SUB

'// void glGetConvolutionFilterEXT (GLenum target, GLenum format, GLenum type, GLvoid *image);
SUB glGetConvolutionFilterEXT (BYVAL dwTarget AS DWORD, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pTable AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetConvolutionFilterEXT")
    IF pProc THEN CALL DWORD pProc USING glGetConvolutionFilterEXT(dwTarget, dwFormat, dwType, pTable)
END SUB

'// void glGetConvolutionParameterfvEXT (GLenum target, GLenum pname, GLfloat *params);
SUB glGetConvolutionParameterfvEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetConvolutionParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetConvolutionParameterfvEXT(dwTarget, pname, params)
END SUB

'// void glGetConvolutionParameterivEXT (GLenum target, GLenum pname, GLint *params);
SUB glGetConvolutionParameterivEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetConvolutionParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetConvolutionParameterivEXT(dwTarget, pname, params)
END SUB

'// void glGetSeparableFilterEXT (GLenum target, GLenum format, GLenum type, GLvoid *row,
'// GLvoid *column, GLvoid *span);
SUB glGetSeparableFilterEXT (BYVAL dwTarget AS DWORD, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, _
    BYVAL pRow AS DWORD, BYVAL pColumn AS DWORD, BYVAL pSpan AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetSeparableFilterEXT")
    IF pProc THEN CALL DWORD pProc USING glGetSeparableFilterEXT(dwTarget, dwFormat, dwType, pRow, pColumn, pSpan)
END SUB

'// void glSeparableFilter2DEXT (GLenum target, GLenum internalformat, GLsizei width,
'// GLsizei height, GLenum format, GLenum type, const GLvoid *row, const GLvoid *column);
SUB glSeparableFilter2DEXT (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, _
    BYVAL nHeight AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pRow AS DWORD, BYVAL pColumn AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSeparableFilter2DEXT")
    IF pProc THEN CALL DWORD pProc USING glSeparableFilter2DEXT(dwTarget, internalformat, nWidth, nHeight, dwFormat, dwType, pRow, pColumn)
END SUB

'// void glColorTableSGI (GLenum target, GLenum internalformat, GLsizei width, GLenum format,
'// GLenum type, const GLvoid *table);
SUB glColorTableSGI (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pTable AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorTableSGI")
    IF pProc THEN CALL DWORD pProc USING glColorTableSGI(dwTarget, internalformat, nWidth, dwFormat, dwType, pTable)
END SUB

'// void glColorTableParameterfvSGI (GLenum target, GLenum pname, const GLfloat *params);
SUB glColorTableParameterfvSGI (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorTableParameterfvSGI")
    IF pProc THEN CALL DWORD pProc USING glColorTableParameterfvSGI(dwTarget, pname, params)
END SUB

'// void glColorTableParameterivSGI (GLenum target, GLenum pname, const GLint *params);
SUB glColorTableParameterivSGI (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorTableParameterivSGI")
    IF pProc THEN CALL DWORD pProc USING glColorTableParameterivSGI(dwTarget, pname, params)
END SUB

'// void glCopyColorTableSGI (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width);
SUB glCopyColorTableSGI (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyColorTableSGI")
    IF pProc THEN CALL DWORD pProc USING glCopyColorTableSGI(dwTarget, internalformat, x, y, nWidth)
END SUB

'// void glGetColorTableSGI (GLenum target, GLenum format, GLenum type, GLvoid *table);
SUB glGetColorTableSGI (BYVAL dwTarget AS DWORD, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pTable AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetColorTableSGI")
    IF pProc THEN CALL DWORD pProc USING glGetColorTableSGI(dwTarget, dwFormat, dwType, pTable)
END SUB

'// void glGetColorTableParameterfvSGI (GLenum target, GLenum pname, GLfloat *params);
SUB glGetColorTableParameterfvSGI (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetColorTableParameterfvSGI")
    IF pProc THEN CALL DWORD pProc USING glGetColorTableParameterfvSGI(dwTarget, pname, params)
END SUB

'// void glGetColorTableParameterivSGI (GLenum target, GLenum pname, GLint *params);
SUB glGetColorTableParameterivSGI (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetColorTableParameterivSGI")
    IF pProc THEN CALL DWORD pProc USING glGetColorTableParameterivSGI(dwTarget, pname, params)
END SUB

'// void glPixelTexGenSGIX (GLenum mode);
SUB glPixelTexGenSGIX (BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPixelTexGenSGIX")
    IF pProc THEN CALL DWORD pProc USING glPixelTexGenSGIX(dwMode)
END SUB

'// void glPixelTexGenParameteriSGIS (GLenum pname, GLint param);
SUB glPixelTexGenParameteriSGIS (BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPixelTexGenParameteriSGIS")
    IF pProc THEN CALL DWORD pProc USING glPixelTexGenParameteriSGIS(pname, param)
END SUB

'// void glPixelTexGenParameterivSGIS (GLenum pname, const GLint *params);
SUB glPixelTexGenParameterivSGIS (BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPixelTexGenParameterivSGIS")
    IF pProc THEN CALL DWORD pProc USING glPixelTexGenParameterivSGIS(pname, params)
END SUB

'// void glPixelTexGenParameterfSGIS (GLenum pname, GLfloat param);
SUB glPixelTexGenParameterfSGIS (BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPixelTexGenParameterfSGIS")
    IF pProc THEN CALL DWORD pProc USING glPixelTexGenParameterfSGIS(pname, param)
END SUB

'// void glPixelTexGenParameterfvSGIS (GLenum pname, const GLfloat *params);
SUB glPixelTexGenParameterfvSGIS (BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPixelTexGenParameterfvSGIS")
    IF pProc THEN CALL DWORD pProc USING glPixelTexGenParameterfvSGIS(pname, params)
END SUB

'// void glGetPixelTexGenParameterivSGIS (GLenum pname, GLint *params);
SUB glGetPixelTexGenParameterivSGIS (BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPixelTexGenParameterivSGIS")
    IF pProc THEN CALL DWORD pProc USING glGetPixelTexGenParameterivSGIS(pname, params)
END SUB

'// void glGetPixelTexGenParameterfvSGIS (GLenum pname, GLfloat *params);
SUB glGetPixelTexGenParameterfvSGIS (BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPixelTexGenParameterfvSGIS")
    IF pProc THEN CALL DWORD pProc USING glGetPixelTexGenParameterfvSGIS(pname, params)
END SUB

'// void glTexImage4DSGIS (GLenum target, GLint level, GLenum internalformat, GLsizei width,
'// GLsizei height, GLsizei depth, GLsizei size4d, GLint border, GLenum format, GLenum type, const GLvoid *pixels);
SUB glTexImage4DSGIS (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL internalformat AS DWORD, _
    BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, nDepth AS LONG, BYVAL nSize4d AS LONG, BYVAL nBorder AS LONG, _
    BYVAL dwFormat AS LONG, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexImage4DSGIS")
    IF pProc THEN CALL DWORD pProc USING glTexImage4DSGIS(dwTarget, nLevel, internalformat, nWidth, nHeight, nDepth, nSize4d, nBorder, dwFormat, dwType, ppixels)
END SUB

'// void glTexSubImage4DSGIS (GLenum target, GLint level, GLint xoffset, GLint yoffset,
'// GLint zoffset, GLint woffset, GLsizei width, GLsizei height, GLsizei depth,
'// GLsizei size4d, GLenum format, GLenum type, const GLvoid *pixels);
SUB glTexSubImage4DSGIS (BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, BYVAL xoffset AS LONG, _
    BYVAL yoffset AS LONG, BYVAL zoffset AS LONG, BYVAL woffset AS LONG, BYVAL nWidth AS LONG, _
    BYVAL nHeight AS LONG, BYVAL nDepth AS LONG, BYVAL nSize4d AS LONG, BYVAL dwFormat AS DWORD, _
    BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexSubImage4DSGIS")
    IF pProc THEN CALL DWORD pProc USING glTexSubImage4DSGIS(dwTarget, nLevel, xoffset, yoffset, zoffset, woffset, nWidth, nHeight, nDepth, nSize4d, dwFormat, dwType, pPixels)
END SUB

'// GLboolean glAreTexturesResidentEXT (GLsizei n, const GLuint *textures, GLboolean *residences);
FUNCTION glAreTexturesResidentEXT (BYVAL n AS LONG, BYREF textures AS DWORD, BYREF residences AS BYTE) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glAreTexturesResidentEXT")
    IF pProc THEN CALL DWORD pProc USING glAreTexturesResidentEXT(n, textures, residences) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glBindTextureEXT (GLenum target, GLuint texture);
SUB glBindTextureEXT (BYVAL dwTarget AS DWORD, BYVAL dwTexture AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindTextureEXT")
    IF pProc THEN CALL DWORD pProc USING glBindTextureEXT(dwTarget, dwTexture)
END SUB

'// void glDeleteTexturesEXT (GLsizei n, const GLuint *textures);
SUB glDeleteTexturesEXT (BYVAL n AS LONG, BYREF textures AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteTexturesEXT")
    IF pProc THEN CALL DWORD pProc USING glDeleteTexturesEXT(n, textures)
END SUB

'// void glGenTexturesEXT (GLsizei n, GLuint *textures);
SUB glGenTexturesEXT (BYVAL n AS LONG, BYREF textures AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenTexturesEXT")
    IF pProc THEN CALL DWORD pProc USING glGenTexturesEXT(n, textures)
END SUB

'// GLboolean glIsTextureEXT (GLuint texture);
FUNCTION glIsTextureEXT (BYVAL dwTexture AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsTextureEXT")
    IF pProc THEN CALL DWORD pProc USING glIsTextureEXT(dwTexture) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glPrioritizeTexturesEXT (GLsizei n, const GLuint *textures, const GLclampf *priorities);
SUB glPrioritizeTexturesEXT (BYVAL n AS LONG, BYREF textures AS DWORD, BYREF priorities AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPrioritizeTexturesEXT")
    IF pProc THEN CALL DWORD pProc USING glPrioritizeTexturesEXT(n, textures, priorities)
END SUB

'// void glDetailTexFuncSGIS (GLenum target, GLsizei n, const GLfloat *points);
SUB glDetailTexFuncSGIS (BYVAL dwTarget AS DWORD, BYVAL n AS LONG, BYREF pPoints AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDetailTexFuncSGIS")
    IF pProc THEN CALL DWORD pProc USING glDetailTexFuncSGIS(dwTarget, n, pPoints)
END SUB

'// void glGetDetailTexFuncSGIS (GLenum target, GLfloat *points);
SUB glGetDetailTexFuncSGIS (BYVAL dwTarget AS DWORD, BYREF pPoints AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetDetailTexFuncSGIS")
    IF pProc THEN CALL DWORD pProc USING glGetDetailTexFuncSGIS(dwTarget, pPoints)
END SUB

'// void glSharpenTexFuncSGIS (GLenum target, GLsizei n, const GLfloat *points);
SUB glSharpenTexFuncSGIS (BYVAL dwTarget AS DWORD, BYVAL n AS LONG, BYREF pPoints AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSharpenTexFuncSGIS")
    IF pProc THEN CALL DWORD pProc USING glSharpenTexFuncSGIS(dwTarget, n, pPoints)
END SUB

'// void glGetSharpenTexFuncSGIS (GLenum target, GLfloat *points);
SUB glGetSharpenTexFuncSGIS (BYVAL dwTarget AS DWORD, BYREF pPoints AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetSharpenTexFuncSGIS")
    IF pProc THEN CALL DWORD pProc USING glGetSharpenTexFuncSGIS(dwTarget, pPoints)
END SUB

'// void glSampleMaskSGIS (GLclampf value, GLboolean invert);
SUB glSampleMaskSGIS (BYVAL value AS SINGLE, BYVAL invert AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSampleMaskSGIS")
    IF pProc THEN CALL DWORD pProc USING glSampleMaskSGIS(value, invert)
END SUB

'// void glSamplePatternSGIS (GLenum pattern);
SUB glSamplePatternSGIS (BYVAL dwpattern AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSamplePatternSGIS")
    IF pProc THEN CALL DWORD pProc USING glSamplePatternSGIS(dwpattern)
END SUB

'// Render a vertex using the specified vertex array element.
'// void glArrayElementEXT (GLint i);
SUB glArrayElementEXT (BYVAL i AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glArrayElementEXT")
    IF pProc THEN CALL DWORD pProc USING glArrayElementEXT(i)
END SUB

'// void glColorPointerEXT (GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer);
SUB glColorPointerEXT (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL nCount AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glColorPointerEXT(nSize, dwType, nStride, nCount, pPointer)
END SUB

'// Define a array of   colors.
'// void glDrawArraysEXT (GLenum mode, GLint first, GLsizei count);
SUB glDrawArraysEXT (BYVAL dwMode AS DWORD, BYVAL nFirst AS LONG, BYVAL nCount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawArraysEXT")
    IF pProc THEN CALL DWORD pProc USING glDrawArraysEXT(dwMode, nFirst, nCount)
END SUB

'// Define   an array of edge flags
'// void glEdgeFlagPointerEXT (GLsizei stride, GLsizei count, const GLboolean *pointer);
SUB glEdgeFlagPointerEXT (BYVAL nStride AS LONG, BYVAL nCount AS LONG, BYREF pPointer AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEdgeFlagPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glEdgeFlagPointerEXT(nStride, nCount, pPointer)
END SUB

'// Return the   address   of a vertex data array.
'// void glGetPointervEXT (GLenum pname, GLvoid* *params);
SUB glGetPointervEXT (BYVAL pname AS DWORD, BYVAL params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPointervEXT")
    IF pProc THEN CALL DWORD pProc USING glGetPointervEXT(pname, params)
END SUB

'// Define an   array of color indexes.
'// void glIndexPointerEXT (GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer);
SUB glIndexPointerEXT (BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL nCount AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glIndexPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glIndexPointerEXT(dwType, nStride, nCount, pPointer)
END SUB

'// Define a   array of normals.
'// void glNormalPointerEXT (GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer);
SUB glNormalPointerEXT (BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL nCount AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glNormalPointerEXT(dwType, nStride, nCount, pPointer)
END SUB

'// Define   an array of texture coordinates.
'// void glTexCoordPointerEXT (GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer);
SUB glTexCoordPointerEXT (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL nCount AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoordPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glTexCoordPointerEXT(nSize, dwType, nStride, nCount, pPointer)
END SUB

'// Define an array of vertex data.
'// void glVertexPointerEXT (GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer);
SUB glVertexPointerEXT (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL nCount AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexPointerEXT(nSize, dwType, nStride, nCount, pPointer)
END SUB

'// Set the blend equation.
'// void glBlendEquationEXT (GLenum mode);
SUB glBlendEquationEXT (BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendEquationEXT")
    IF pProc THEN CALL DWORD pProc USING glBlendEquationEXT(dwMode)
END SUB

'// void glSpriteParameterfSGIX (GLenum pname, GLfloat param);
SUB glSpriteParameterfSGIX (BYVAL pname AS DWORD, BYVAL params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSpriteParameterfSGIX")
    IF pProc THEN CALL DWORD pProc USING glSpriteParameterfSGIX(pname, params)
END SUB

'// void glSpriteParameterfvSGIX (GLenum pname, const GLfloat *params);
SUB glSpriteParameterfvSGIX (BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSpriteParameterfvSGIX")
    IF pProc THEN CALL DWORD pProc USING glSpriteParameterfvSGIX(pname, params)
END SUB

'// void glSpriteParameteriSGIX (GLenum pname, GLint param);
SUB glSpriteParameteriSGIX (BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSpriteParameteriSGIX")
    IF pProc THEN CALL DWORD pProc USING glSpriteParameteriSGIX(pname, param)
END SUB

'// void glSpriteParameterivSGIX (GLenum pname, const GLint *params);
SUB glSpriteParameterivSGIX (BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSpriteParameterivSGIX")
    IF pProc THEN CALL DWORD pProc USING glSpriteParameterivSGIX(pname, params)
END SUB

'// void glPointParameterfEXT (GLenum pname, GLfloat param);
SUB glPointParameterfEXT (BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPointParameterfEXT")
    IF pProc THEN CALL DWORD pProc USING glPointParameterfEXT(pname, param)
END SUB

'// void glPointParameterfvEXT (GLenum pname, const GLfloat *params);
SUB glPointParameterfvEXT (BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPointParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glPointParameterfvEXT(pname, params)
END SUB

'// void glPointParameterfSGIS (GLenum pname, GLfloat param);
SUB glPointParameterfSGIS (BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPointParameterfSGIS")
    IF pProc THEN CALL DWORD pProc USING glPointParameterfSGIS(pname, param)
END SUB

'// void glPointParameterfvSGIS (GLenum pname, const GLfloat *params);
SUB glPointParameterfvSGIS (BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPointParameterfvSGIS")
    IF pProc THEN CALL DWORD pProc USING glPointParameterfvSGIS(pname, params)
END SUB

'// GLint glGetInstrumentsSGIX (void);
FUNCTION glGetInstrumentsSGIX () AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glGetInstrumentsSGIX")
    IF pProc THEN CALL DWORD pProc USING glGetInstrumentsSGIX() TO lRes
    FUNCTION = lRes
END FUNCTION

'// void glInstrumentsBufferSGIX (GLsizei size, GLint *buffer);
SUB glInstrumentsBufferSGIX (BYVAL nSize AS LONG, BYREF buffer AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glInstrumentsBufferSGIX")
    IF pProc THEN CALL DWORD pProc USING glInstrumentsBufferSGIX(nSize, buffer)
END SUB

'// GLint glPollInstrumentsSGIX (GLint *marker_p);
FUNCTION glPollInstrumentsSGIX (BYREF marker_p AS LONG) AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glPollInstrumentsSGIX")
    IF pProc THEN CALL DWORD pProc USING glPollInstrumentsSGIX(marker_p) TO lRes
    FUNCTION = lRes
END FUNCTION

'// void glReadInstrumentsSGIX (GLint marker);
SUB glReadInstrumentsSGIX (BYVAL imarker AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReadInstrumentsSGIX")
    IF pProc THEN CALL DWORD pProc USING glReadInstrumentsSGIX(imarker)
END SUB

'// void glStartInstrumentsSGIX (void);
SUB glStartInstrumentsSGIX
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStartInstrumentsSGIX")
    IF pProc THEN CALL DWORD pProc USING glStartInstrumentsSGIX
END SUB

'// void glStopInstrumentsSGIX (GLint marker);
SUB glStopInstrumentsSGIX (BYVAL marker AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStopInstrumentsSGIX")
    IF pProc THEN CALL DWORD pProc USING glStopInstrumentsSGIX(marker)
END SUB

'// void glFrameZoomSGIX (GLint factor);
SUB glFrameZoomSGIX (BYVAL factor AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFrameZoomSGIX")
    IF pProc THEN CALL DWORD pProc USING glFrameZoomSGIX(factor)
END SUB

'// void glTagSampleBufferSGIX (void);
SUB glTagSampleBufferSGIX
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTagSampleBufferSGIX")
    IF pProc THEN CALL DWORD pProc USING glTagSampleBufferSGIX
END SUB

'// void glDeformationMap3dSGIX (GLenum target, GLdouble u1, GLdouble u2, GLint ustride,
'// GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, GLdouble w1,
'// GLdouble w2, GLint wstride, GLint worder, const GLdouble *points);
SUB glDeformationMap3dSGIX (BYVAL dwTarget AS DWORD, BYVAL u1 AS DOUBLE, BYVAL u2 AS DOUBLE, _
    BYVAL ustride AS LONG, BYVAL uorder AS LONG, BYVAL v1 AS DOUBLE, BYVAL v2 AS DOUBLE, _
    BYVAL vstride AS LONG, BYVAL vorder AS LONG, BYVAL w1 AS DOUBLE, BYVAL w2 AS DOUBLE, _
    BYVAL wstride AS LONG, BYVAL worder AS LONG, BYREF pPoints AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeformationMap3dSGIX")
    IF pProc THEN CALL DWORD pProc USING glDeformationMap3dSGIX(dwTarget, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, pPoints)
END SUB

'// void glDeformationMap3fSGIX (GLenum target, GLfloat u1, GLfloat u2, GLint ustride,
'// GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, GLfloat w1,
'// GLfloat w2, GLint wstride, GLint worder, const GLfloat *points);
SUB glDeformationMap3fSGIX (BYVAL dwTarget AS DWORD, BYVAL u1 AS SINGLE, BYVAL u2 AS SINGLE, _
    BYVAL ustride AS LONG, BYVAL uorder AS LONG, BYVAL v1 AS SINGLE, BYVAL v2 AS SINGLE, _
    BYVAL vstride AS LONG, BYVAL vorder AS LONG, BYVAL w1 AS SINGLE, BYVAL w2 AS SINGLE, _
    BYVAL wstride AS LONG, BYVAL worder AS LONG, BYREF fpoints AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeformationMap3fSGIX")
    IF pProc THEN CALL DWORD pProc USING glDeformationMap3fSGIX(dwTarget, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, fpoints)
END SUB

'// void glDeformSGIX (GLbitfield mask);
SUB glDeformSGIX (BYVAL dwMask AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeformSGIX")
    IF pProc THEN CALL DWORD pProc USING glDeformSGIX(dwMask)
END SUB

'// void glLoadIdentityDeformationMapSGIX (GLbitfield mask);
SUB glLoadIdentityDeformationMapSGIX (BYVAL dwMask AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glLoadIdentityDeformationMapSGIX")
    IF pProc THEN CALL DWORD pProc USING glLoadIdentityDeformationMapSGIX(dwMask)
END SUB

'// void glReferencePlaneSGIX (const GLdouble *equation);
SUB glReferencePlaneSGIX (BYREF equation AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReferencePlaneSGIX")
    IF pProc THEN CALL DWORD pProc USING glReferencePlaneSGIX(equation)
END SUB

'// void glFlushRasterSGIX (void);
SUB glFlushRasterSGIX
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFlushRasterSGIX")
    IF pProc THEN CALL DWORD pProc USING glFlushRasterSGIX
END SUB

'// void glFogFuncSGIS (GLsizei n, const GLfloat *points);
SUB glFogFuncSGIS (BYVAL n AS LONG, BYREF fpoints AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogFuncSGIS")
    IF pProc THEN CALL DWORD pProc USING glFogFuncSGIS(n, fpoints)
END SUB

'// void glGetFogFuncSGIS (GLfloat *points);
SUB glGetFogFuncSGIS (BYREF fpoints AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetFogFuncSGIS")
    IF pProc THEN CALL DWORD pProc USING glGetFogFuncSGIS(fpoints)
END SUB

'// void glImageTransformParameteriHP (GLenum target, GLenum pname, GLint param);
SUB glImageTransformParameteriHP (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glImageTransformParameteriHP")
    IF pProc THEN CALL DWORD pProc USING glImageTransformParameteriHP(dwTarget, pname, param)
END SUB

'// void glImageTransformParameterfHP (GLenum target, GLenum pname, GLfloat param);
SUB glImageTransformParameterfHP (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glImageTransformParameterfHP")
    IF pProc THEN CALL DWORD pProc USING glImageTransformParameterfHP(dwTarget, pname, param)
END SUB

'// void glImageTransformParameterivHP (GLenum target, GLenum pname, const GLint *params);
SUB glImageTransformParameterivHP (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glImageTransformParameterivHP")
    IF pProc THEN CALL DWORD pProc USING glImageTransformParameterivHP(dwTarget, pname, params)
END SUB

'// void glImageTransformParameterfvHP (GLenum target, GLenum pname, const GLfloat *params);
SUB glImageTransformParameterfvHP (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glImageTransformParameterfvHP")
    IF pProc THEN CALL DWORD pProc USING glImageTransformParameterfvHP(dwTarget, pname, params)
END SUB

'// void glGetImageTransformParameterivHP (GLenum target, GLenum pname, GLint *params);
SUB glGetImageTransformParameterivHP (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetImageTransformParameterivHP")
    IF pProc THEN CALL DWORD pProc USING glGetImageTransformParameterivHP(dwTarget, pname, params)
END SUB

'// void glGetImageTransformParameterfvHP (GLenum target, GLenum pname, GLfloat *params);
SUB glGetImageTransformParameterfvHP (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetImageTransformParameterfvHP")
    IF pProc THEN CALL DWORD pProc USING glGetImageTransformParameterfvHP(dwTarget, pname, params)
END SUB

'// void glColorSubTableEXT (GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *data);
SUB glColorSubTableEXT (BYVAL dwTarget AS DWORD, BYVAL nStart AS LONG, BYVAL nCount AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorSubTableEXT")
    IF pProc THEN CALL DWORD pProc USING glColorSubTableEXT(dwTarget, nStart, nCount, dwFormat, dwType, pData)
END SUB

'// void glCopyColorSubTableEXT (GLenum target, GLsizei start, GLint x, GLint y, GLsizei width);
SUB glCopyColorSubTableEXT (BYVAL dwTarget AS DWORD, BYVAL nStart AS LONG, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyColorSubTableEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyColorSubTableEXT(dwTarget, nStart, x, y, nWidth)
END SUB

'// void glHintPGI (GLenum target, GLint mode);
SUB glHintPGI (BYVAL dwTarget AS DWORD, BYVAL nMode AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glHintPGI")
    IF pProc THEN CALL DWORD pProc USING glHintPGI(dwTarget, nMode)
END SUB

'// Define a color lookup table.
'// void glColorTableEXT (GLenum target, GLenum internalFormat, GLsizei width, GLenum format,
'// GLenum type, const GLvoid *table);
SUB glColorTableEXT (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pTable AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorTableEXT")
    IF pProc THEN CALL DWORD pProc USING glColorTableEXT(dwTarget, internalformat, nWidth, dwFormat, dwType, pTable)
END SUB

'// Get color table contents.
'// void glGetColorTableEXT (GLenum target, GLenum format, GLenum type, GLvoid *data);
SUB glGetColorTableEXT (BYVAL dwTarget AS DWORD, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pTable AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetColorTableEXT")
    IF pProc THEN CALL DWORD pProc USING glGetColorTableEXT(dwTarget, dwFormat, dwType, pTable)
END SUB

'// Get palette parameters from color tables.
'// void glGetColorTableParameterivEXT (GLenum target, GLenum pname, GLint *params);
SUB glGetColorTableParameterivEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetColorTableParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetColorTableParameterivEXT(dwTarget, pname, params)
END SUB

'// void glGetColorTableParameterfvEXT (GLenum target, GLenum pname, GLfloat *params);
SUB glGetColorTableParameterfvEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetColorTableParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetColorTableParameterfvEXT(dwTarget, pname, params)
END SUB

'// void glGetListParameterfvSGIX (GLuint list, GLenum pname, GLfloat *params);
SUB glGetListParameterfvSGIX (BYVAL dwList AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetListParameterfvSGIX")
    IF pProc THEN CALL DWORD pProc USING glGetListParameterfvSGIX(dwList, pname, params)
END SUB

'// void glGetListParameterivSGIX (GLuint list, GLenum pname, GLint *params);
SUB glGetListParameterivSGIX (BYVAL dwList AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetListParameterivSGIX")
    IF pProc THEN CALL DWORD pProc USING glGetListParameterivSGIX(dwList, pname, params)
END SUB

'// void glListParameterfSGIX (GLuint list, GLenum pname, GLfloat param);
SUB glListParameterfSGIX (BYVAL dwList AS DWORD, BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glListParameterfSGIX")
    IF pProc THEN CALL DWORD pProc USING glListParameterfSGIX(dwList, pname, param)
END SUB

'// void glListParameterfvSGIX (GLuint list, GLenum pname, const GLfloat *params);
SUB glListParameterfvSGIX (BYVAL dwList AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glListParameterfvSGIX")
    IF pProc THEN CALL DWORD pProc USING glListParameterfvSGIX(dwList, pname, params)
END SUB

'// void glListParameteriSGIX (GLuint list, GLenum pname, GLint param);
SUB glListParameteriSGIX (BYVAL dwList AS DWORD, BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glListParameteriSGIX")
    IF pProc THEN CALL DWORD pProc USING glListParameteriSGIX(dwList, pname, param)
END SUB

'// void glListParameterivSGIX (GLuint list, GLenum pname, const GLint *params);
SUB glListParameterivSGIX (BYVAL dwList AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glListParameterivSGIX")
    IF pProc THEN CALL DWORD pProc USING glListParameterivSGIX(dwList, pname, params)
END SUB

'// void glIndexMaterialEXT (GLenum face, GLenum mode);
SUB glIndexMaterialEXT (BYVAL dwFace AS DWORD, BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glIndexMaterialEXT")
    IF pProc THEN CALL DWORD pProc USING glIndexMaterialEXT(dwFace, dwMode)
END SUB

'// void glIndexFuncEXT (GLenum func, GLclampf ref);
SUB glIndexFuncEXT (BYVAL dwFunc AS DWORD, BYVAL ref AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glIndexFuncEXT")
    IF pProc THEN CALL DWORD pProc USING glIndexFuncEXT(dwFunc, ref)
END SUB

'// void glLockArraysEXT (GLint first, GLsizei count);
SUB glLockArraysEXT (BYVAL nFirst AS LONG, BYVAL nCount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glLockArraysEXT")
    IF pProc THEN CALL DWORD pProc USING glLockArraysEXT(nFirst, nCount)
END SUB

'// void glUnlockArraysEXT (void);
SUB glUnlockArraysEXT
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUnlockArraysEXT")
    IF pProc THEN CALL DWORD pProc USING glUnlockArraysEXT
END SUB

'// void glCullParameterdvEXT (GLenum pname, GLdouble *params);
SUB glCullParameterdvEXT (BYVAL pname AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCullParameterdvEXT")
    IF pProc THEN CALL DWORD pProc USING glCullParameterdvEXT(pname, params)
END SUB

'// void glCullParameterfvEXT (GLenum pname, GLfloat *params);
SUB glCullParameterfvEXT (BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCullParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glCullParameterfvEXT(pname, params)
END SUB

'// void glFragmentColorMaterialSGIX (GLenum face, GLenum mode);
SUB glFragmentColorMaterialSGIX (BYVAL dwFace AS DWORD, BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFragmentColorMaterialSGIX")
    IF pProc THEN CALL DWORD pProc USING glFragmentColorMaterialSGIX(dwFace, dwMode)
END SUB

'// void glFragmentLightfSGIX (GLenum light, GLenum pname, GLfloat param);
SUB glFragmentLightfSGIX (BYVAL dwLight AS DWORD, BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFragmentLightfSGIX")
    IF pProc THEN CALL DWORD pProc USING glFragmentLightfSGIX(dwLight, pname, param)
END SUB

'// void glFragmentLightfvSGIX (GLenum light, GLenum pname, const GLfloat *params);
SUB glFragmentLightfvSGIX (BYVAL dwLight AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFragmentLightfvSGIX")
    IF pProc THEN CALL DWORD pProc USING glFragmentLightfvSGIX(dwLight, pname, params)
END SUB

'// void glFragmentLightiSGIX (GLenum light, GLenum pname, GLint param);
SUB glFragmentLightiSGIX (BYVAL dwLight AS DWORD, BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFragmentLightiSGIX")
    IF pProc THEN CALL DWORD pProc USING glFragmentLightiSGIX(dwLight, pname, param)
END SUB

'// void glFragmentLightivSGIX (GLenum light, GLenum pname, const GLint *params);
SUB glFragmentLightivSGIX (BYVAL dwLight AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFragmentLightivSGIX")
    IF pProc THEN CALL DWORD pProc USING glFragmentLightivSGIX(dwLight, pname, params)
END SUB

'// void glFragmentLightModelfSGIX (GLenum pname, GLfloat param);
SUB glFragmentLightModelfSGIX (BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFragmentLightModelfSGIX")
    IF pProc THEN CALL DWORD pProc USING glFragmentLightModelfSGIX(pname, param)
END SUB

'// void glFragmentLightModelfvSGIX (GLenum pname, const GLfloat *params);
SUB glFragmentLightModelfvSGIX (BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFragmentLightModelfvSGIX")
    IF pProc THEN CALL DWORD pProc USING glFragmentLightModelfvSGIX(pname, params)
END SUB

'// void glFragmentLightModeliSGIX (GLenum pname, GLint param);
SUB glFragmentLightModeliSGIX (BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFragmentLightModeliSGIX")
    IF pProc THEN CALL DWORD pProc USING glFragmentLightModeliSGIX(pname, param)
END SUB

'// void glFragmentLightModelivSGIX (GLenum pname, const GLint *params);
SUB glFragmentLightModelivSGIX (BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFragmentLightModelivSGIX")
    IF pProc THEN CALL DWORD pProc USING glFragmentLightModelivSGIX(pname, params)
END SUB

'// void glFragmentMaterialfSGIX (GLenum face, GLenum pname, GLfloat param);
SUB glFragmentMaterialfSGIX (BYVAL dwFace AS DWORD, BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFragmentMaterialfSGIX")
    IF pProc THEN CALL DWORD pProc USING glFragmentMaterialfSGIX(dwFace, pname, param)
END SUB

'// void glFragmentMaterialfvSGIX (GLenum face, GLenum pname, const GLfloat *params);
SUB glFragmentMaterialfvSGIX (BYVAL dwFace AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFragmentMaterialfvSGIX")
    IF pProc THEN CALL DWORD pProc USING glFragmentMaterialfvSGIX(dwFace, pname, params)
END SUB

'// void glFragmentMaterialiSGIX (GLenum face, GLenum pname, GLint param);
SUB glFragmentMaterialiSGIX (BYVAL dwFace AS DWORD, BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFragmentMaterialiSGIX")
    IF pProc THEN CALL DWORD pProc USING glFragmentMaterialiSGIX(dwFace, pname, param)
END SUB

'// void glFragmentMaterialivSGIX (GLenum face, GLenum pname, const GLint *params);
SUB glFragmentMaterialivSGIX (BYVAL dwFace AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFragmentMaterialivSGIX")
    IF pProc THEN CALL DWORD pProc USING glFragmentMaterialivSGIX(dwFace, pname, params)
END SUB

'// void glGetFragmentLightfvSGIX (GLenum light, GLenum pname, GLfloat *params);
SUB glGetFragmentLightfvSGIX (BYVAL dwLight AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetFragmentLightfvSGIX")
    IF pProc THEN CALL DWORD pProc USING glGetFragmentLightfvSGIX(dwLight, pname, params)
END SUB

'// void glGetFragmentLightivSGIX (GLenum light, GLenum pname, GLint *params);
SUB glGetFragmentLightivSGIX (BYVAL dwLight AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetFragmentLightivSGIX")
    IF pProc THEN CALL DWORD pProc USING glGetFragmentLightivSGIX(dwLight, pname, params)
END SUB

'// void glGetFragmentMaterialfvSGIX (GLenum face, GLenum pname, GLfloat *params);
SUB glGetFragmentMaterialfvSGIX (BYVAL dwFace AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetFragmentMaterialfvSGIX")
    IF pProc THEN CALL DWORD pProc USING glGetFragmentMaterialfvSGIX(dwFace, pname, params)
END SUB

'// void glGetFragmentMaterialivSGIX (GLenum face, GLenum pname, GLint *params);
SUB glGetFragmentMaterialivSGIX (BYVAL dwFace AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetFragmentMaterialivSGIX")
    IF pProc THEN CALL DWORD pProc USING glGetFragmentMaterialivSGIX(dwFace, pname, params)
END SUB

'// void glLightEnviSGIX (GLenum pname, GLint param);
SUB glLightEnviSGIX (BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glLightEnviSGIX")
    IF pProc THEN CALL DWORD pProc USING glLightEnviSGIX(pname, param)
END SUB

'// void glDrawRangeElementsEXT (GLenum mode, GLuint start, GLuint end, GLsizei count,
'// GLenum type, const GLvoid *indices);
SUB glDrawRangeElementsEXT (BYVAL dwMode AS DWORD, BYVAL dwStart AS DWORD, BYVAL dwEnd AS DWORD, _
    BYVAL nCount AS LONG, BYVAL dwType AS DWORD, BYVAL indices AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawRangeElementsEXT")
    IF pProc THEN CALL DWORD pProc USING glDrawRangeElementsEXT(dwMode, dwStart, dwEnd, nCount, dwType, indices)
END SUB

'// void glApplyTextureEXT (GLenum mode);
SUB glApplyTextureEXT (BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glApplyTextureEXT")
    IF pProc THEN CALL DWORD pProc USING glApplyTextureEXT(dwMode)
END SUB

'// void glTextureLightEXT (GLenum pname);
SUB glTextureLightEXT (BYVAL pname AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureLightEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureLightEXT(pname)
END SUB

'// void glTextureMaterialEXT (GLenum face, GLenum mode);
SUB glTextureMaterialEXT (BYVAL dwFace AS DWORD, BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureMaterialEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureMaterialEXT(dwFace, dwMode)
END SUB

'// void glAsyncMarkerSGIX (GLuint marker);
SUB glAsyncMarkerSGIX (BYVAL marker AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glAsyncMarkerSGIX")
    IF pProc THEN CALL DWORD pProc USING glAsyncMarkerSGIX(marker)
END SUB

'// GLint glFinishAsyncSGIX (GLuint *markerp);
FUNCTION glFinishAsyncSGIX (BYREF markerp AS DWORD) AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glFinishAsyncSGIX")
    IF pProc THEN CALL DWORD pProc USING glFinishAsyncSGIX(markerp) TO lRes
    FUNCTION = lRes
END FUNCTION

'// GLint glPollAsyncSGIX (GLuint *markerp);
FUNCTION glPollAsyncSGIX (BYREF markerp AS DWORD) AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glPollAsyncSGIX")
    IF pProc THEN CALL DWORD pProc USING glPollAsyncSGIX(markerp) TO lRes
    FUNCTION = lRes
END FUNCTION

'// GLuint glGenAsyncMarkersSGIX (GLsizei range);
FUNCTION glGenAsyncMarkersSGIX (BYVAL nRange AS LONG) AS DWORD
    LOCAL pProc AS DWORD, dwRes AS DWORD
    pProc = wglGetProcAddress("glGenAsyncMarkersSGIX")
    IF pProc THEN CALL DWORD pProc USING glGenAsyncMarkersSGIX(nRange) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glDeleteAsyncMarkersSGIX (GLuint marker, GLsizei range);
SUB glDeleteAsyncMarkersSGIX (BYVAL marker AS DWORD, BYVAL nRange AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteAsyncMarkersSGIX")
    IF pProc THEN CALL DWORD pProc USING glDeleteAsyncMarkersSGIX(marker, nRange)
END SUB

'// GLboolean glIsAsyncMarkerSGIX (GLuint marker);
FUNCTION glIsAsyncMarkerSGIX (BYVAL marker AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsAsyncMarkerSGIX")
    IF pProc THEN CALL DWORD pProc USING glIsAsyncMarkerSGIX(marker) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glVertexPointervINTEL (GLint size, GLenum type, const GLvoid* *pointer);
SUB glVertexPointervINTEL (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexPointervINTEL")
    IF pProc THEN CALL DWORD pProc USING glVertexPointervINTEL(nSize, dwType, pPointer)
END SUB

'// void glNormalPointervINTEL (GLenum type, const GLvoid* *pointer);
SUB glNormalPointervINTEL (BYVAL dwType AS DWORD, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalPointervINTEL")
    IF pProc THEN CALL DWORD pProc USING glNormalPointervINTEL(dwType, pPointer)
END SUB

'// void glColorPointervINTEL (GLint size, GLenum type, const GLvoid* *pointer);
SUB glColorPointervINTEL (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorPointervINTEL")
    IF pProc THEN CALL DWORD pProc USING glColorPointervINTEL(nSize, dwType, pPointer)
END SUB

'// void glTexCoordPointervINTEL (GLint size, GLenum type, const GLvoid* *pointer);
SUB glTexCoordPointervINTEL (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoordPointervINTEL")
    IF pProc THEN CALL DWORD pProc USING glTexCoordPointervINTEL(nSize, dwType, pPointer)
END SUB

'// void glPixelTransformParameteriEXT (GLenum target, GLenum pname, GLint param);
SUB glPixelTransformParameteriEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPixelTransformParameteriEXT")
    IF pProc THEN CALL DWORD pProc USING glPixelTransformParameteriEXT(dwTarget, pname, param)
END SUB

'// void glPixelTransformParameterfEXT (GLenum target, GLenum pname, GLfloat param);
SUB glPixelTransformParameterfEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPixelTransformParameterfEXT")
    IF pProc THEN CALL DWORD pProc USING glPixelTransformParameterfEXT(dwTarget, pname, param)
END SUB

'// void glPixelTransformParameterivEXT (GLenum target, GLenum pname, const GLint *params);
SUB glPixelTransformParameterivEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPixelTransformParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glPixelTransformParameterivEXT(dwTarget, pname, params)
END SUB

'// void glPixelTransformParameterfvEXT (GLenum target, GLenum pname, const GLfloat *params);
SUB glPixelTransformParameterfvEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPixelTransformParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glPixelTransformParameterfvEXT(dwTarget, pname, params)
END SUB

'// void glSecondaryColor3bEXT (GLbyte red, GLbyte green, GLbyte blue);
SUB glSecondaryColor3bEXT (BYVAL red AS BYTE, BYVAL green AS BYTE, BYVAL blue AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3bEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3bEXT(red, green, blue)
END SUB

'// void glSecondaryColor3bvEXT (const GLbyte *v);
SUB glSecondaryColor3bvEXT (BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3bvEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3bvEXT(v)
END SUB

'// void glSecondaryColor3dEXT (GLdouble red, GLdouble green, GLdouble blue);
SUB glSecondaryColor3dEXT (BYVAL red AS DOUBLE, BYVAL green AS DOUBLE, BYVAL blue AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3dEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3dEXT(red, green, blue)
END SUB

'// void glSecondaryColor3dvEXT (const GLdouble *v);
SUB glSecondaryColor3dvEXT (BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3dvEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3dvEXT(v)
END SUB

'// void glSecondaryColor3fEXT (GLfloat red, GLfloat green, GLfloat blue);
SUB glSecondaryColor3fEXT (BYVAL red AS SINGLE, BYVAL green AS SINGLE, BYVAL blue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3fEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3fEXT(red, green, blue)
END SUB

'// void glSecondaryColor3fvEXT (const GLfloat *v);
SUB glSecondaryColor3fvEXT (BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3fvEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3fvEXT(v)
END SUB

'// void glSecondaryColor3iEXT (GLint red, GLint green, GLint blue);
SUB glSecondaryColor3iEXT (BYVAL red AS LONG, BYVAL green AS LONG, BYVAL blue AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3iEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3iEXT(red, green, blue)
END SUB

'// void glSecondaryColor3ivEXT (const GLint *v);
SUB glSecondaryColor3ivEXT (BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3ivEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3ivEXT(v)
END SUB

'// void glSecondaryColor3sEXT (GLshort red, GLshort green, GLshort blue);
SUB glSecondaryColor3sEXT (BYVAL red AS INTEGER, BYVAL green AS INTEGER, BYVAL blue AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3sEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3sEXT(red, green, blue)
END SUB

'// void glSecondaryColor3svEXT (const GLshort *v);
SUB glSecondaryColor3svEXT (BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3svEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3svEXT(v)
END SUB

'// void glSecondaryColor3ubEXT (GLubyte red, GLubyte green, GLubyte blue);
SUB glSecondaryColor3ubEXT (BYVAL red AS BYTE, BYVAL green AS BYTE, BYVAL blue AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3ubEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3ubEXT(red, green, blue)
END SUB

'// void glSecondaryColor3ubvEXT (const GLubyte *v);
SUB glSecondaryColor3ubvEXT (BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3ubvEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3ubvEXT(v)
END SUB

'// void glSecondaryColor3uiEXT (GLuint red, GLuint green, GLuint blue);
SUB glSecondaryColor3uiEXT (BYVAL red AS DWORD, BYVAL green AS DWORD, BYVAL blue AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3uiEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3uiEXT(red, green, blue)
END SUB

'// void glSecondaryColor3uivEXT (const GLuint *v);
SUB glSecondaryColor3uivEXT (BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3uivEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3uivEXT(v)
END SUB

'// void glSecondaryColor3usEXT (GLushort red, GLushort green, GLushort blue);
SUB glSecondaryColor3usEXT (BYVAL red AS WORD, BYVAL green AS WORD, BYVAL blue AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3usEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3usEXT(red, green, blue)
END SUB

'// void glSecondaryColor3usvEXT (const GLushort *v);
SUB glSecondaryColor3usvEXT (BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3usvEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3usvEXT(v)
END SUB

'// void glSecondaryColorPointerEXT (GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glSecondaryColorPointerEXT (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColorPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColorPointerEXT(nSize, dwType, nStride, pPointer)
END SUB

'// void glTextureNormalEXT (GLenum mode);
SUB glTextureNormalEXT (BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureNormalEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureNormalEXT(dwMode)
END SUB

'// void glMultiDrawArraysEXT (GLenum mode, GLint *first, GLsizei *count, GLsizei );
SUB glMultiDrawArraysEXT (BYVAL dwMode AS DWORD, BYREF nFirst AS LONG, BYREF nCount AS LONG, BYVAL primcount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiDrawArraysEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiDrawArraysEXT(dwMode, nFirst, nCount, primcount)
END SUB

'// void glMultiDrawElementsEXT (GLenum mode, const GLsizei *count, GLenum type,
'// const GLvoid* *indices, GLsizei primcount);
SUB glMultiDrawElementsEXT (BYVAL dwMode AS DWORD, BYREF nCount AS LONG, BYVAL dwType AS DWORD, BYVAL indices AS DWORD, BYVAL primcount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiDrawElementsEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiDrawElementsEXT(dwMode, nCount, dwType, indices, primcount)
END SUB

'// void glFogCoordfEXT (GLfloat coord);
SUB glFogCoordfEXT (BYVAL fCoord AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoordfEXT")
    IF pProc THEN CALL DWORD pProc USING glFogCoordfEXT(fCoord)
END SUB

'// void glFogCoordfvEXT (const GLfloat *coord);
SUB glFogCoordfvEXT (BYREF fCoord AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoordfvEXT")
    IF pProc THEN CALL DWORD pProc USING glFogCoordfvEXT(fCoord)
END SUB

'// void glFogCoorddEXT (GLdouble coord);
SUB glFogCoorddEXT (BYVAL dCoord AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoorddEXT")
    IF pProc THEN CALL DWORD pProc USING glFogCoorddEXT(dCoord)
END SUB

'// void glFogCoorddvEXT (const GLdouble *coord);
SUB glFogCoorddvEXT (BYREF dCoord AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoorddvEXT")
    IF pProc THEN CALL DWORD pProc USING glFogCoorddvEXT(dCoord)
END SUB

'// void glFogCoordPointerEXT (GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glFogCoordPointerEXT (BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoordPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glFogCoordPointerEXT(dwType, nStride, pPointer)
END SUB

'// void glTangent3bEXT (GLbyte tx, GLbyte ty, GLbyte tz);
SUB glTangent3bEXT (BYVAL tx AS BYTE, BYVAL ty AS BYTE, BYVAL tz AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTangent3bEXT")
    IF pProc THEN CALL DWORD pProc USING glTangent3bEXT(tx, ty, tz)
END SUB

'// void glTangent3bvEXT (const GLbyte *v);
SUB glTangent3bvEXT (BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTangent3bvEXT")
    IF pProc THEN CALL DWORD pProc USING glTangent3bvEXT(v)
END SUB

'// void glTangent3dEXT (GLdouble tx, GLdouble ty, GLdouble tz);
SUB glTangent3dEXT (BYVAL tx AS DOUBLE, BYVAL ty AS DOUBLE, BYVAL tz AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTangent3dEXT")
    IF pProc THEN CALL DWORD pProc USING glTangent3dEXT(tx, ty, tz)
END SUB

'// void glTangent3dvEXT (const GLdouble *v);
SUB glTangent3dvEXT (BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTangent3dvEXT")
    IF pProc THEN CALL DWORD pProc USING glTangent3dvEXT(v)
END SUB

'// void glTangent3fEXT (GLfloat tx, GLfloat ty, GLfloat tz);
SUB glTangent3fEXT (BYVAL tx AS SINGLE, BYVAL ty AS SINGLE, BYVAL tz AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTangent3fEXT")
    IF pProc THEN CALL DWORD pProc USING glTangent3fEXT(tx, ty, tz)
END SUB

'// void glTangent3fvEXT (const GLfloat *v);
SUB glTangent3fvEXT (BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTangent3fvEXT")
    IF pProc THEN CALL DWORD pProc USING glTangent3fvEXT(v)
END SUB

'// void glTangent3iEXT (GLint tx, GLint ty, GLint tz);
SUB glTangent3iEXT (BYVAL tx AS LONG, BYVAL ty AS LONG, BYVAL tz AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTangent3iEXT")
    IF pProc THEN CALL DWORD pProc USING glTangent3iEXT(tx, ty, tz)
END SUB

'// void glTangent3ivEXT (const GLint *v);
SUB glTangent3ivEXT (BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTangent3ivEXT")
    IF pProc THEN CALL DWORD pProc USING glTangent3ivEXT(v)
END SUB

'// void glTangent3sEXT (GLshort tx, GLshort ty, GLshort tz);
SUB glTangent3sEXT (BYVAL tx AS INTEGER, BYVAL ty AS INTEGER, BYVAL tz AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTangent3sEXT")
    IF pProc THEN CALL DWORD pProc USING glTangent3sEXT(tx, ty, tz)
END SUB

'// void glTangent3svEXT (const GLshort *v);
SUB glTangent3svEXT (BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTangent3svEXT")
    IF pProc THEN CALL DWORD pProc USING glTangent3svEXT(v)
END SUB

'// void glBinormal3bEXT (GLbyte bx, GLbyte by, GLbyte bz);
SUB glBinormal3bEXT (BYVAL bx AS BYTE, BYVAL by AS BYTE, BYVAL bz AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBinormal3bEXT")
    IF pProc THEN CALL DWORD pProc USING glBinormal3bEXT(bx, by, bz)
END SUB

'// void glBinormal3bvEXT (const GLbyte *v);
SUB glBinormal3bvEXT (BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBinormal3bvEXT")
    IF pProc THEN CALL DWORD pProc USING glBinormal3bvEXT(v)
END SUB

'// void glBinormal3dEXT (GLdouble bx, GLdouble by, GLdouble bz);
SUB glBinormal3dEXT (BYVAL bx AS DOUBLE, BYVAL by AS DOUBLE, BYVAL bz AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBinormal3dEXT")
    IF pProc THEN CALL DWORD pProc USING glBinormal3dEXT(bx, by, bz)
END SUB

'// void glBinormal3dvEXT (const GLdouble *v);
SUB glBinormal3dvEXT (BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBinormal3dvEXT")
    IF pProc THEN CALL DWORD pProc USING glBinormal3dvEXT(v)
END SUB

'// void glBinormal3fEXT (GLfloat bx, GLfloat by, GLfloat bz);
SUB glBinormal3fEXT (BYVAL bx AS SINGLE, BYVAL by AS SINGLE, BYVAL bz AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBinormal3fEXT")
    IF pProc THEN CALL DWORD pProc USING glBinormal3fEXT(bx, by, bz)
END SUB

'// void glBinormal3fvEXT (const GLfloat *v);
SUB glBinormal3fvEXT (BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBinormal3fvEXT")
    IF pProc THEN CALL DWORD pProc USING glBinormal3fvEXT(v)
END SUB

'// void glBinormal3iEXT (GLint bx, GLint by, GLint bz);
SUB glBinormal3iEXT (BYVAL bx AS LONG, BYVAL by AS LONG, BYVAL bz AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBinormal3iEXT")
    IF pProc THEN CALL DWORD pProc USING glBinormal3iEXT(bx, by, bz)
END SUB

'// void glBinormal3ivEXT (const GLint *v);
SUB glBinormal3ivEXT (BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBinormal3ivEXT")
    IF pProc THEN CALL DWORD pProc USING glBinormal3ivEXT(v)
END SUB

'// void glBinormal3sEXT (GLshort bx, GLshort by, GLshort bz);
SUB glBinormal3sEXT (BYVAL bx AS INTEGER, BYVAL by AS INTEGER, BYVAL bz AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBinormal3sEXT")
    IF pProc THEN CALL DWORD pProc USING glBinormal3sEXT(bx, by, bz)
END SUB

'// void glBinormal3svEXT (const GLshort *v);
SUB glBinormal3svEXT (BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBinormal3svEXT")
    IF pProc THEN CALL DWORD pProc USING glBinormal3svEXT(v)
END SUB

'// void glTangentPointerEXT (GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glTangentPointerEXT (BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTangentPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glTangentPointerEXT(dwType, nStride, pPointer)
END SUB

'// void glBinormalPointerEXT (GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glBinormalPointerEXT (BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBinormalPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glBinormalPointerEXT(dwType, nStride, pPointer)
END SUB

'// void glFinishTextureSUNX (void);
SUB glFinishTextureSUNX
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFinishTextureSUNX")
    IF pProc THEN CALL DWORD pProc USING glFinishTextureSUNX
END SUB

'// void glGlobalAlphaFactorbSUN (GLbyte factor);
SUB glGlobalAlphaFactorbSUN (BYVAL factor AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGlobalAlphaFactorbSUN")
    IF pProc THEN CALL DWORD pProc USING glGlobalAlphaFactorbSUN(factor)
END SUB

'// void glGlobalAlphaFactorsSUN (GLshort factor);
SUB glGlobalAlphaFactorsSUN (BYVAL factor AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGlobalAlphaFactorsSUN")
    IF pProc THEN CALL DWORD pProc USING glGlobalAlphaFactorsSUN(factor)
END SUB

'// void glGlobalAlphaFactoriSUN (GLint factor);
SUB glGlobalAlphaFactoriSUN (BYVAL factor AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGlobalAlphaFactoriSUN")
    IF pProc THEN CALL DWORD pProc USING glGlobalAlphaFactoriSUN(factor)
END SUB

'// void glGlobalAlphaFactorfSUN (GLfloat factor);
SUB glGlobalAlphaFactorfSUN (BYVAL factor AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGlobalAlphaFactorfSUN")
    IF pProc THEN CALL DWORD pProc USING glGlobalAlphaFactorfSUN(factor)
END SUB

'// void glGlobalAlphaFactordSUN (GLdouble factor);
SUB glGlobalAlphaFactordSUN (BYVAL factor AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGlobalAlphaFactordSUN")
    IF pProc THEN CALL DWORD pProc USING glGlobalAlphaFactordSUN(factor)
END SUB

'// void glGlobalAlphaFactorubSUN (GLubyte factor);
SUB glGlobalAlphaFactorubSUN (BYVAL factor AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGlobalAlphaFactorubSUN")
    IF pProc THEN CALL DWORD pProc USING glGlobalAlphaFactorubSUN(factor)
END SUB

'// void glGlobalAlphaFactorusSUN (GLushort factor);
SUB glGlobalAlphaFactorusSUN (BYVAL factor AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGlobalAlphaFactorusSUN")
    IF pProc THEN CALL DWORD pProc USING glGlobalAlphaFactorubSUN(factor)
END SUB

'// void glGlobalAlphaFactoruiSUN (GLuint factor);
SUB glGlobalAlphaFactoruiSUN (BYVAL factor AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGlobalAlphaFactoruiSUN")
    IF pProc THEN CALL DWORD pProc USING glGlobalAlphaFactoruiSUN(factor)
END SUB

'// void glReplacementCodeuiSUN (GLuint code);
SUB glReplacementCodeuiSUN (BYVAL dwCode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiSUN(dwCode)
END SUB

'// void glReplacementCodeusSUN (GLushort code);
SUB glReplacementCodeusSUN (BYVAL wCode AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeusSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeusSUN(wCode)
END SUB

'// void glReplacementCodeubSUN (GLubyte code);
SUB glReplacementCodeubSUN (BYVAL bCode AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeubSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeubSUN(bCode)
END SUB

'// void glReplacementCodeuivSUN (const GLuint *code);
SUB glReplacementCodeuivSUN (BYREF dwCode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuivSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuivSUN(dwCode)
END SUB

'// void glReplacementCodeusvSUN (const GLushort *code);
SUB glReplacementCodeusvSUN (BYREF wCode AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeusvSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeusvSUN(wCode)
END SUB

'// void glReplacementCodeubvSUN (const GLubyte *code);
SUB glReplacementCodeubvSUN (BYREF bCode AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeubvSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeubvSUN(bCode)
END SUB

'// void glReplacementCodePointerSUN (GLenum type, GLsizei stride, const GLvoid* *pointer);
SUB glReplacementCodePointerSUN (BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodePointerSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodePointerSUN(dwType, nStride, pPointer)
END SUB

'// void glColor4ubVertex2fSUN (GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y);
SUB glColor4ubVertex2fSUN (BYVAL r AS BYTE, BYVAL g AS BYTE, BYVAL b AS BYTE, BYVAL a AS BYTE, BYVAL x AS SINGLE, BYVAL y AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColor4ubVertex2fSUN")
    IF pProc THEN CALL DWORD pProc USING glColor4ubVertex2fSUN(r, g, b, a, x, y)
END SUB

'// void glColor4ubVertex2fvSUN (const GLubyte *c, const GLfloat *v);
SUB glColor4ubVertex2fvSUN (BYREF c AS BYTE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColor4ubVertex2fvSUN")
    IF pProc THEN CALL DWORD pProc USING glColor4ubVertex2fvSUN(c, v)
END SUB

'// void glColor4ubVertex3fSUN (GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z);
SUB glColor4ubVertex3fSUN (BYVAL r AS BYTE, BYVAL g AS BYTE, BYVAL b AS BYTE, BYVAL a AS BYTE, _
    BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColor4ubVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glColor4ubVertex3fSUN(r, g, b, a, x, y, z)
END SUB

'// GLAPI void glColor4ubVertex3fvSUN (const GLubyte *, const GLfloat *);
'// typedef void (APIENTRYP PFNGLCOLOR4UBVERTEX3FVSUNPROC) (const GLubyte *c, const GLfloat *v);
SUB glColor4ubVertex3fvSUN (BYREF c AS BYTE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColor4ubVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glColor4ubVertex3fvSUN(c, v)
END SUB

'// void glColor3fVertex3fSUN (GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z);
SUB glColor3fVertex3fSUN (BYVAL r AS SINGLE, BYVAL g AS SINGLE, BYVAL b AS SINGLE, _
    BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColor3fVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glColor3fVertex3fSUN(r, g, b, x, y, z)
END SUB

'// void glColor3fVertex3fvSUN (const GLfloat *c, const GLfloat *v);
SUB glColor3fVertex3fvSUN (BYREF c AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColor3fVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glColor3fVertex3fvSUN(c, v)
END SUB

'// void glNormal3fVertex3fSUN (GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
SUB glNormal3fVertex3fSUN (BYVAL nx AS SINGLE, BYVAL ny AS SINGLE, BYVAL nz AS SINGLE, _
    BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormal3fVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glNormal3fVertex3fSUN(nx, ny, nz, x, y, z)
END SUB

'// void glNormal3fVertex3fvSUN (const GLfloat *n, const GLfloat *v);
SUB glNormal3fVertex3fvSUN (BYREF c AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormal3fVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glNormal3fVertex3fvSUN(c, v)
END SUB

'// void glColor4fNormal3fVertex3fSUN (GLfloat r, GLfloat g, GLfloat b, GLfloat a,
'// GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
SUB glColor4fNormal3fVertex3fSUN (BYVAL r AS SINGLE, BYVAL g AS  SINGLE, BYVAL b AS SINGLE, BYVAL a AS SINGLE, _
    BYVAL nx AS SINGLE, BYVAL ny AS SINGLE, BYVAL nz AS SINGLE, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColor4fNormal3fVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glColor4fNormal3fVertex3fSUN(r, g, b, a, nx, ny, nz, x, y, z)
END SUB

'// void glColor4fNormal3fVertex3fvSUN (const GLfloat *c, const GLfloat *n, const GLfloat *v);
SUB glColor4fNormal3fVertex3fvSUN (BYREF c AS SINGLE, BYREF n AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColor4fNormal3fVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glColor4fNormal3fVertex3fvSUN(c, n, v)
END SUB

'// void glTexCoord2fVertex3fSUN (GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z);
SUB glTexCoord2fVertex3fSUN (BYVAL s AS SINGLE, BYVAL t AS SINGLE, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord2fVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord2fVertex3fSUN(s, t, x, y, z)
END SUB

'// void glTexCoord2fVertex3fvSUN (const GLfloat *tc, const GLfloat *v);
SUB glTexCoord2fVertex3fvSUN (BYREF tc AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord2fVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord2fVertex3fvSUN(tc, v)
END SUB

'// void glTexCoord4fVertex4fSUN (GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat x,
'// GLfloat y, GLfloat z, GLfloat w);
SUB glTexCoord4fVertex4fSUN (BYVAL s AS SINGLE, BYVAL t AS SINGLE, BYVAL p AS SINGLE, BYVAL q AS SINGLE, _
    BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE, BYVAL w AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord4fVertex4fSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord4fVertex4fSUN(s, t, p, q, x, y, z, w)
END SUB

'// void glTexCoord4fVertex4fvSUN (const GLfloat *tc, const GLfloat *v);
SUB glTexCoord4fVertex4fvSUN (BYREF tc AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord4fVertex4fvSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord4fVertex4fvSUN(tc, v)
END SUB

'// void glTexCoord2fColor4ubVertex3fSUN (GLfloat s, GLfloat t, GLubyte r, GLubyte g,
'// GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z);
SUB glTexCoord2fColor4ubVertex3fSUN (BYVAL s AS SINGLE, BYVAL t AS SINGLE, BYVAL r AS BYTE, _
    BYVAL g AS BYTE, BYVAL b AS BYTE, BYVAL a AS BYTE, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord2fColor4ubVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord2fColor4ubVertex3fSUN(s, t, r, g, b, a, x, y, z)
END SUB

'// void glTexCoord2fColor4ubVertex3fvSUN (const GLfloat *tc, const GLubyte *c, const GLfloat *v);
SUB glTexCoord2fColor4ubVertex3fvSUN (BYREF tc AS SINGLE, BYREF c AS BYTE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord2fColor4ubVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord2fColor4ubVertex3fvSUN(tc, c, v)
END SUB

'// void glTexCoord2fColor3fVertex3fSUN (GLfloat s, GLfloat t, GLfloat r, GLfloat g,
'// GLfloat b, GLfloat x, GLfloat y, GLfloat z);
SUB glTexCoord2fColor3fVertex3fSUN (BYVAL s AS SINGLE, BYVAL t AS SINGLE, BYVAL p AS SINGLE, _
    BYVAL q AS SINGLE, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE, BYVAL w AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord2fColor3fVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord2fColor3fVertex3fSUN(s, t, p, q, x, y, z, w)
END SUB

'// void glTexCoord2fColor3fVertex3fvSUN (const GLfloat *tc, const GLfloat *c, const GLfloat *v);
SUB glTexCoord2fColor3fVertex3fvSUN (BYREF tc AS SINGLE, BYREF c AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord2fColor3fVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord2fColor3fVertex3fvSUN(tc, c, v)
END SUB

'// void glTexCoord2fNormal3fVertex3fSUN (GLfloat s, GLfloat t, GLfloat nx, GLfloat ny,
'// GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
SUB glTexCoord2fNormal3fVertex3fSUN (BYVAL s AS SINGLE, BYVAL t AS SINGLE, BYVAL nx AS SINGLE, _
    BYVAL ny AS SINGLE, BYVAL nz AS SINGLE, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord2fNormal3fVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord2fNormal3fVertex3fSUN(s, t, nx, ny, nz, x, y, z)
END SUB

'// void glTexCoord2fNormal3fVertex3fvSUN (const GLfloat *tc, const GLfloat *n, const GLfloat *v);
SUB glTexCoord2fNormal3fVertex3fvSUN (BYREF tc AS SINGLE, BYREF n AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord2fNormal3fVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord2fNormal3fVertex3fvSUN(tc, n, v)
END SUB

'// void glTexCoord2fColor4fNormal3fVertex3fSUN (GLfloat s, GLfloat t, GLfloat r, GLfloat g,
'// GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
SUB glTexCoord2fColor4fNormal3fVertex3fSUN (BYVAL s AS SINGLE, BYVAL t AS SINGLE, BYVAL r AS SINGLE, _
    BYVAL g AS SINGLE, BYVAL b AS SINGLE, BYVAL a AS SINGLE, BYVAL nx AS SINGLE, BYVAL ny AS SINGLE, _
    BYVAL nz AS SINGLE, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord2fColor4fNormal3fVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord2fColor4fNormal3fVertex3fSUN(s, t, r, g, b, a, nx, ny, nz, x, y, z)
END SUB

'// void glTexCoord2fColor4fNormal3fVertex3fvSUN (const GLfloat *tc, const GLfloat *c,
'// const GLfloat *n, const GLfloat *v);
SUB glTexCoord2fColor4fNormal3fVertex3fvSUN (BYREF tc AS SINGLE, BYREF c AS SINGLE, BYREF n AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord2fColor4fNormal3fVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord2fColor4fNormal3fVertex3fvSUN(tc, c, n, v)
END SUB

'// void glTexCoord4fColor4fNormal3fVertex4fSUN (GLfloat s, GLfloat t, GLfloat p, GLfloat q,
'// GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz,
'// GLfloat x, GLfloat y, GLfloat z, GLfloat w);
SUB glTexCoord4fColor4fNormal3fVertex4fSUN (BYVAL s AS SINGLE, BYVAL t AS SINGLE, BYVAL p AS SINGLE, _
    BYVAL q AS SINGLE, BYVAL r AS SINGLE, BYVAL g AS SINGLE, BYVAL b AS SINGLE, BYVAL a AS SINGLE, _
    BYVAL nx AS SINGLE, BYVAL ny AS SINGLE, BYVAL nz AS SINGLE, BYVAL x AS SINGLE, BYVAL y AS SINGLE, _
    BYVAL z AS SINGLE, BYVAL w AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord4fColor4fNormal3fVertex4fSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord4fColor4fNormal3fVertex4fSUN(s, t, p, q, r, g, b, a, nx, ny, nz, x, y, z, w)
END SUB

'// void glTexCoord4fColor4fNormal3fVertex4fvSUN (const GLfloat *tc, const GLfloat *c,
'// const GLfloat *n, const GLfloat *v);
SUB glTexCoord4fColor4fNormal3fVertex4fvSUN (BYREF tc AS SINGLE, BYREF c AS SINGLE, BYREF n AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord4fColor4fNormal3fVertex4fvSUN")
    IF pProc THEN CALL DWORD pProc USING glTexCoord4fColor4fNormal3fVertex4fvSUN(tc, c, n, v)
END SUB

'// void glReplacementCodeuiVertex3fSUN (GLuint rc, GLfloat x, GLfloat y, GLfloat z);
SUB glReplacementCodeuiVertex3fSUN (BYVAL rc AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiVertex3fSUN(rc, x, y, z)
END SUB

'// void glReplacementCodeuiVertex3fvSUN (const GLuint *rc, const GLfloat *v);
SUB glReplacementCodeuiVertex3fvSUN (BYREF rc AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiVertex3fvSUN(rc, v)
END SUB

'// void glReplacementCodeuiColor4ubVertex3fSUN (GLuint rc, GLubyte r, GLubyte g, GLubyte b,
'// GLubyte a, GLfloat x, GLfloat y, GLfloat z);
SUB glReplacementCodeuiColor4ubVertex3fSUN (BYVAL rc AS DWORD, BYVAL r AS BYTE, BYVAL g AS BYTE, _
    BYVAL b AS BYTE, BYVAL a AS BYTE, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiColor4ubVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiColor4ubVertex3fSUN(rc, r, g, b, a, x, y, z)
END SUB

'// void glReplacementCodeuiColor4ubVertex3fvSUN (const GLuint *rc, const GLubyte *c, const GLfloat *v);
SUB glReplacementCodeuiColor4ubVertex3fvSUN (BYREF rc AS DWORD, BYREF c AS BYTE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiColor4ubVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiColor4ubVertex3fvSUN(rc, c, v)
END SUB

'// void glReplacementCodeuiColor3fVertex3fSUN (GLuint rc, GLfloat r, GLfloat g, GLfloat b,
'// GLfloat x, GLfloat y, GLfloat z);
SUB glReplacementCodeuiColor3fVertex3fSUN (BYVAL rc AS DWORD, BYVAL r AS SINGLE, BYVAL g AS SINGLE, _
    BYVAL b AS SINGLE, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiColor3fVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiColor3fVertex3fSUN(rc, r, g, b, x, y, z)
END SUB

'// void glReplacementCodeuiColor3fVertex3fvSUN (const GLuint *rc, const GLfloat *c, const GLfloat *v);
SUB glReplacementCodeuiColor3fVertex3fvSUN (BYREF rc AS DWORD, BYREF c AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiColor3fVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiColor3fVertex3fvSUN(rc, c, v)
END SUB

'// void glReplacementCodeuiNormal3fVertex3fSUN (GLuint rc, GLfloat nx, GLfloat ny,
'// GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
SUB glReplacementCodeuiNormal3fVertex3fSUN (BYVAL rc AS DWORD, BYVAL nx AS SINGLE, BYVAL ny AS SINGLE, _
    BYVAL nz AS SINGLE, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiNormal3fVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiNormal3fVertex3fSUN(rc, nx, ny, nz, x, y, z)
END SUB

'// void glReplacementCodeuiNormal3fVertex3fvSUN (const GLuint *rc, const GLfloat *n, const GLfloat *v);
SUB glReplacementCodeuiNormal3fVertex3fvSUN (BYREF rc AS DWORD, BYREF c AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiNormal3fVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiNormal3fVertex3fvSUN(rc, c, v)
END SUB

'// void glReplacementCodeuiColor4fNormal3fVertex3fSUN (GLuint rc, GLfloat r, GLfloat g,
'// GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
SUB glReplacementCodeuiColor4fNormal3fVertex3fSUN (BYVAL rc AS DWORD, BYVAL r AS SINGLE, _
    BYVAL g AS SINGLE, BYVAL b AS SINGLE, BYVAL a AS SINGLE, BYVAL nx AS SINGLE, BYVAL ny AS SINGLE, _
    BYVAL nz AS SINGLE, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiColor4fNormal3fVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiColor4fNormal3fVertex3fSUN(rc, r, g, b, a, nx, ny, nz, x, y, z)
END SUB

'// void glReplacementCodeuiColor4fNormal3fVertex3fvSUN (const GLuint *rc, const GLfloat *c,
'// const GLfloat *n, const GLfloat *v);
SUB glReplacementCodeuiColor4fNormal3fVertex3fvSUN (BYREF rc AS DWORD, BYREF c AS SINGLE, BYREF n AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiColor4fNormal3fVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiColor4fNormal3fVertex3fvSUN(rc, c, n, v)
END SUB

'// void glReplacementCodeuiTexCoord2fVertex3fSUN (GLuint rc, GLfloat s, GLfloat t,
'// GLfloat x, GLfloat y, GLfloat z);
SUB glReplacementCodeuiTexCoord2fVertex3fSUN (BYVAL rc AS DWORD, BYVAL s AS SINGLE, BYVAL t AS SINGLE, _
    BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiTexCoord2fVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiTexCoord2fVertex3fSUN(rc, s, t, x, y, z)
END SUB

'// void glReplacementCodeuiTexCoord2fVertex3fvSUN (const GLuint *rc, const GLfloat *tc, const GLfloat *v);
SUB glReplacementCodeuiTexCoord2fVertex3fvSUN (BYREF rc AS DWORD, BYREF c AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiTexCoord2fVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiTexCoord2fVertex3fvSUN(rc, c, v)
END SUB

'// void glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN (GLuint rc, GLfloat s, GLfloat t,
'// GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
SUB glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN (BYVAL rc AS DWORD, BYVAL s AS SINGLE, _
    BYVAL t AS SINGLE, BYVAL nx AS SINGLE, BYVAL ny AS SINGLE, BYVAL nz AS SINGLE, _
    BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN(rc, s, t, nx, ny, nz, x, y, z)
END SUB

'// void glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN (const GLuint *rc,
'// const GLfloat *tc, const GLfloat *n, const GLfloat *v);
SUB glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN (BYREF rc AS DWORD, BYREF c AS SINGLE, BYREF n AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN(rc, c, n, v)
END SUB

'// void glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN (GLuint rc, GLfloat s,
'// GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny,
'// GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
SUB glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN (BYVAL rc AS DWORD, BYVAL s AS SINGLE, _
    BYVAL t AS SINGLE, BYVAL r AS SINGLE, BYVAL g AS SINGLE, BYVAL b AS SINGLE, BYVAL a AS SINGLE, _
    BYVAL nx AS SINGLE, BYVAL ny AS SINGLE, BYVAL nz AS SINGLE, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN(rc, s, t, r, g, b, a, nx, ny, nz, x, y, z)
END SUB

'// void glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN (const GLuint *rc,
'// const GLfloat *tc, const GLfloat *c, const GLfloat *n, const GLfloat *v);
SUB glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN (BYREF rc AS DWORD, BYREF tc AS SINGLE, _
    BYREF c AS SINGLE, BYREF n AS SINGLE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN")
    IF pProc THEN CALL DWORD pProc USING glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN(rc, tc, c, n, v)
END SUB

'// void glBlendFuncSeparateEXT (GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha);
SUB glBlendFuncSeparateEXT (BYVAL sfactorRGB AS DWORD, BYVAL dfactorRGB AS DWORD, BYVAL sfactorAlpha AS DWORD, BYVAL dfactorAlpha AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendFuncSeparateEXT")
    IF pProc THEN CALL DWORD pProc USING glBlendFuncSeparateEXT(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha)
END SUB

'// void glBlendFuncSeparateINGR (GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha);
SUB glBlendFuncSeparateINGR (BYVAL sfactorRGB AS DWORD, BYVAL dfactorRGB AS DWORD, BYVAL sfactorAlpha AS DWORD, BYVAL dfactorAlpha AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendFuncSeparateINGR")
    IF pProc THEN CALL DWORD pProc USING glBlendFuncSeparateINGR(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha)
END SUB

'// void glVertexWeightfEXT (GLfloat weight);
SUB glVertexWeightfEXT (BYVAL weight AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexWeightfEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexWeightfEXT(weight)
END SUB

'// void glVertexWeightfvEXT (const GLfloat *weight);
SUB glVertexWeightfvEXT (BYREF weight AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexWeightfvEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexWeightfvEXT(weight)
END SUB

'// void glVertexWeightPointerEXT (GLsizei size, GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glVertexWeightPointerEXT (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexWeightPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexWeightPointerEXT(nSize, dwType, nStride, pPointer)
END SUB

'// void glFlushVertexArrayRangeNV (void);
SUB glFlushVertexArrayRangeNV
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFlushVertexArrayRangeNV")
    IF pProc THEN CALL DWORD pProc USING glFlushVertexArrayRangeNV
END SUB

'// void glVertexArrayRangeNV (GLsizei length, const GLvoid *pointer);
SUB glVertexArrayRangeNV (BYVAL nLength AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexArrayRangeNV")
    IF pProc THEN CALL DWORD pProc USING glVertexArrayRangeNV(nLength, pPointer)
END SUB

'// void glCombinerParameterfvNV (GLenum pname, const GLfloat *params);
SUB glCombinerParameterfvNV (BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCombinerParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glCombinerParameterfvNV(pname, params)
END SUB

'// void glCombinerParameterfNV (GLenum pname, GLfloat param);
SUB glCombinerParameterfNV (BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCombinerParameterfNV")
    IF pProc THEN CALL DWORD pProc USING glCombinerParameterfNV(pname, param)
END SUB

'// void glCombinerParameterivNV (GLenum pname, const GLint *params);
SUB glCombinerParameterivNV (BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCombinerParameterivNV")
    IF pProc THEN CALL DWORD pProc USING glCombinerParameterivNV(pname, params)
END SUB

'// void glCombinerParameteriNV (GLenum pname, GLint param);
SUB glCombinerParameteriNV (BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCombinerParameteriNV")
    IF pProc THEN CALL DWORD pProc USING glCombinerParameteriNV(pname, param)
END SUB

'// void glCombinerInputNV (GLenum stage, GLenum portion, GLenum variable, GLenum input,
'// GLenum mapping, GLenum componentUsage);
SUB glCombinerInputNV (BYVAL dwStage AS DWORD, BYVAL dwPortion AS DWORD, BYVAL dwVariable AS DWORD, _
    BYVAL dwInput AS DWORD, BYVAL dwMapping AS DWORD, BYVAL dwComponentUsage AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCombinerInputNV")
    IF pProc THEN CALL DWORD pProc USING glCombinerInputNV(dwStage, dwPortion, dwVariable, dwInput, dwMapping, dwComponentUsage)
END SUB

'// void glCombinerOutputNV (GLenum stage, GLenum portion, GLenum abOutput, GLenum cdOutput,
'// GLenum sumOutput, GLenum scale, GLenum bias, GLboolean abDotProduct,
'// GLboolean cdDotProduct, GLboolean muxSum);
SUB glCombinerOutputNV (BYVAL dwStage AS DWORD, BYVAL dwPortion AS DWORD, BYVAL abOutput AS DWORD, _
    BYVAL cdOutput AS DWORD, BYVAL sumOutput AS DWORD, BYVAL dwScale AS DWORD, BYVAL dwBias AS DWORD, _
    BYVAL abDotProduct AS BYTE, BYVAL cdDotProduct AS BYTE, BYVAL muxSum AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCombinerOutputNV")
    IF pProc THEN CALL DWORD pProc USING glCombinerOutputNV(dwStage, dwPortion, abOutput, cdOutput, sumOutput, dwScale, dwBias, abDotProduct, cdDotProduct, muxSum)
END SUB

'// void glFinalCombinerInputNV (GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage);
SUB glFinalCombinerInputNV (BYVAL dwVariable AS DWORD, BYVAL dwInput AS DWORD, BYVAL dwMapping AS DWORD, BYVAL dwComponentUsage AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFinalCombinerInputNV")
    IF pProc THEN CALL DWORD pProc USING glFinalCombinerInputNV(dwVariable, dwInput, dwMapping, dwComponentUsage)
END SUB

'// void glGetCombinerInputParameterfvNV (GLenum stage, GLenum portion, GLenum variable,
'// GLenum pname, GLfloat *params);
SUB glGetCombinerInputParameterfvNV (BYVAL dwStage AS DWORD, BYVAL dwPortion AS DWORD, _
    BYVAL dwVariable AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetCombinerInputParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glGetCombinerInputParameterfvNV(dwStage, dwPortion, dwVariable, pname, params)
END SUB

'// void glGetCombinerInputParameterivNV (GLenum stage, GLenum portion, GLenum variable,
'// GLenum pname, GLint *params);
SUB glGetCombinerInputParameterivNV (BYVAL dwStage AS DWORD, BYVAL dwPortion AS DWORD, _
    BYVAL dwVariable AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetCombinerInputParameterivNV")
    IF pProc THEN CALL DWORD pProc USING glGetCombinerInputParameterivNV(dwStage, dwPortion, dwVariable, pname, params)
END SUB

'// void glGetCombinerOutputParameterfvNV (GLenum stage, GLenum portion, GLenum pname, GLfloat *params);
SUB glGetCombinerOutputParameterfvNV (BYVAL dwStage AS DWORD, BYVAL dwPortion AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetCombinerOutputParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glGetCombinerOutputParameterfvNV(dwStage, dwPortion, pname, params)
END SUB

'// void glGetCombinerOutputParameterivNV (GLenum stage, GLenum portion, GLenum pname, GLint *params);
SUB glGetCombinerOutputParameterivNV (BYVAL dwStage AS DWORD, BYVAL dwPortion AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetCombinerOutputParameterivNV")
    IF pProc THEN CALL DWORD pProc USING glGetCombinerOutputParameterivNV(dwstage, dwportion, pname, params)
END SUB

'// void glGetFinalCombinerInputParameterfvNV (GLenum variable, GLenum pname, GLfloat *params);
SUB glGetFinalCombinerInputParameterfvNV (BYVAL dwStage AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetFinalCombinerInputParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glGetFinalCombinerInputParameterfvNV(dwStage, pname, params)
END SUB

'// void glGetFinalCombinerInputParameterivNV (GLenum variable, GLenum pname, GLint *params);
SUB glGetFinalCombinerInputParameterivNV (BYVAL dwStage AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetFinalCombinerInputParameterivNV")
    IF pProc THEN CALL DWORD pProc USING glGetFinalCombinerInputParameterivNV(dwStage, pname, params)
END SUB

'// GLAPI void glResizeBuffersMESA (void);
'// typedef void (APIENTRYP PFNGLRESIZEBUFFERSMESAPROC) (void);
SUB glResizeBuffersMESA
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glResizeBuffersMESA")
    IF pProc THEN CALL DWORD pProc USING glResizeBuffersMESA
END SUB

'// void glWindowPos2dMESA (GLdouble x, GLdouble y);
SUB glWindowPos2dMESA (BYVAL x AS DOUBLE, BYVAL y AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2dMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2dMESA(x, y)
END SUB

'// void glWindowPos2dvMESA (const GLdouble *v);
SUB glWindowPos2dvMESA (BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2dvMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2dvMESA(v)
END SUB

'// GLAPI void glWindowPos2fMESA (GLfloat, GLfloat);
'// typedef void (APIENTRYP PFNGLWINDOWPOS2FMESAPROC) (GLfloat x, GLfloat y);
SUB glWindowPos2fMESA (BYVAL x AS SINGLE, BYVAL y AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2fMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2fMESA(x, y)
END SUB

'// GLAPI void glWindowPos2fvMESA (const GLfloat *);
'// typedef void (APIENTRYP PFNGLWINDOWPOS2FVMESAPROC) (const GLfloat *v);
SUB glWindowPos2fvMESA (BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2fvMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2fvMESA(v)
END SUB

'// void glWindowPos2iMESA (GLint x, GLint y);
SUB glWindowPos2iMESA (BYVAL x AS LONG, BYVAL y AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2iMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2iMESA(x, y)
END SUB

'// void glWindowPos2ivMESA (const GLint *v);
SUB glWindowPos2ivMESA (BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2ivMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2ivMESA(v)
END SUB

'// void glWindowPos2sMESA (GLshort x, GLshort y);
SUB glWindowPos2sMESA (BYVAL x AS INTEGER, BYVAL y AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2sMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2sMESA(x, y)
END SUB

'// void glWindowPos2svMESA (const GLshort *v);
SUB glWindowPos2svMESA (BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos2svMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos2svMESA(v)
END SUB

'// void glWindowPos3dMESA (GLdouble x, GLdouble y, GLdouble z);
SUB glWindowPos3dMESA (BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3dMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3dMESA(x, y, z)
END SUB

'// void glWindowPos3dvMESA (const GLdouble *v);
SUB glWindowPos3dvMESA (BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3dvMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3dvMESA(v)
END SUB

'// void glWindowPos3fMESA (GLfloat x, GLfloat y, GLfloat z);
SUB glWindowPos3fMESA (BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3fMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3fMESA(x, y, z)
END SUB

'// void glWindowPos3fvMESA (const GLfloat *v);
SUB glWindowPos3fvMESA (BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3fvMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3fvMESA(v)
END SUB

'// void glWindowPos3iMESA (GLint x, GLint y, GLint z);
SUB glWindowPos3iMESA (BYVAL x AS LONG, BYVAL y AS LONG, BYVAL z AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3iMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3iMESA(x, y, z)
END SUB

'// void glWindowPos3ivMESA (const GLint *v);
SUB glWindowPos3ivMESA (BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3ivMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3ivMESA(v)
END SUB

'// void glWindowPos3sMESA (GLshort x, GLshort y, GLshort z);
SUB glWindowPos3sMESA (BYVAL x AS INTEGER, BYVAL y AS INTEGER, BYVAL z AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3sMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3sMESA(x, y, z)
END SUB

'// void glWindowPos3svMESA (const GLshort *v);
SUB glWindowPos3svMESA (BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos3svMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos3svMESA(v)
END SUB

'// void glWindowPos4dMESA (GLdouble x, GLdouble y, GLdouble z, GLdouble w);
SUB glWindowPos4dMESA (BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE, BYVAL w AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos4dMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos4dMESA(x, y, z, w)
END SUB

'// void glWindowPos4dvMESA (const GLdouble *v);
SUB glWindowPos4dvMESA (BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos4dvMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos4dvMESA(v)
END SUB

'// void glWindowPos4fMESA (GLfloat x, GLfloat y, GLfloat z, GLfloat w);
SUB glWindowPos4fMESA (BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE, BYVAL w AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos4fMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos4fMESA(x, y, z, w)
END SUB

'// void glWindowPos4fvMESA (const GLfloat *v);
SUB glWindowPos4fvMESA (BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos4fvMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos4fvMESA(v)
END SUB

'// void glWindowPos4iMESA (GLint x, GLint y, GLint z, GLint w);
SUB glWindowPos4iMESA (BYVAL x AS LONG, BYVAL y AS LONG, BYVAL z AS LONG, BYVAL w AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos4iMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos4iMESA(x, y, z, w)
END SUB

'// void glWindowPos4ivMESA (const GLint *v);
SUB glWindowPos4ivMESA (BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos4ivMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos4ivMESA(v)
END SUB

'// void glWindowPos4sMESA (GLshort x, GLshort y, GLshort z, GLshort w);
SUB glWindowPos4sMESA (BYVAL x AS INTEGER, BYVAL y AS INTEGER, BYVAL z AS INTEGER, BYVAL w AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos4sMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos4sMESA(x, y, z, w)
END SUB

'// void glWindowPos4svMESA (const GLshort *v);
SUB glWindowPos4svMESA (BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWindowPos4svMESA")
    IF pProc THEN CALL DWORD pProc USING glWindowPos4svMESA(v)
END SUB

'// void glMultiModeDrawArraysIBM (const GLenum *mode, const GLint *first,
'// const GLsizei *count, GLsizei primcount, GLint modestride);
SUB glMultiModeDrawArraysIBM (BYREF dwMode AS DWORD, BYREF nFirst AS LONG, BYREF nCount AS LONG, _
    BYVAL primcount AS LONG, BYVAL modestride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiModeDrawArraysIBM")
    IF pProc THEN CALL DWORD pProc USING glMultiModeDrawArraysIBM(dwMode, nFirst, nCount, primcount, modestride)
END SUB

'// void glMultiModeDrawElementsIBM (const GLenum *mode, const GLsizei *count, GLenum type,
'// const GLvoid* const *indices, GLsizei primcount, GLint modestride);
SUB glMultiModeDrawElementsIBM (BYREF dwMode AS DWORD, BYREF nCount AS LONG, BYVAL dwType AS DWORD, _
    BYVAL indices AS DWORD, BYVAL primcount AS LONG, BYVAL modestride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiModeDrawElementsIBM")
    IF pProc THEN CALL DWORD pProc USING glMultiModeDrawElementsIBM(dwMode, nCount, dwType, indices, primcount, modestride)
END SUB

'// void glColorPointerListIBM (GLint size, GLenum type, GLint stride,
'// const GLvoid* *pointer, GLint ptrstride);
SUB glColorPointerListIBM (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, _
    BYVAL pPointer AS DWORD, BYVAL ptrstride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorPointerListIBM")
    IF pProc THEN CALL DWORD pProc USING glColorPointerListIBM(nSize, dwType, nStride, ppointer, ptrstride)
END SUB

'// void glSecondaryColorPointerListIBM (GLint size, GLenum type, GLint stride,
'// const GLvoid* *pointer, GLint ptrstride);
SUB glSecondaryColorPointerListIBM (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, _
    BYVAL pPointer AS DWORD, BYVAL ptrstride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColorPointerListIBM")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColorPointerListIBM(nSize, dwType, nStride, pPointer, ptrstride)
END SUB

'// void glEdgeFlagPointerListIBM (GLint stride, const GLboolean* *pointer, GLint ptrstride);
SUB glEdgeFlagPointerListIBM (BYVAL nStride AS LONG, BYREF pPointer AS BYTE, BYVAL ptrstride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEdgeFlagPointerListIBM")
    IF pProc THEN CALL DWORD pProc USING glEdgeFlagPointerListIBM(nStride, pPointer, ptrstride)
END SUB

'// void glFogCoordPointerListIBM (GLenum type, GLint stride, const GLvoid* *pointer, GLint ptrstride);
SUB glFogCoordPointerListIBM (BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD, BYVAL ptrstride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoordPointerListIBM")
    IF pProc THEN CALL DWORD pProc USING glFogCoordPointerListIBM(dwType, nStride, pPointer, ptrstride)
END SUB

'// void glIndexPointerListIBM (GLenum type, GLint stride, const GLvoid* *pointer, GLint ptrstride);
SUB glIndexPointerListIBM (BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD, BYVAL ptrstride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glIndexPointerListIBM")
    IF pProc THEN CALL DWORD pProc USING glIndexPointerListIBM(dwType, nStride, pPointer, ptrstride)
END SUB

'// void glNormalPointerListIBM (GLenum type, GLint stride, const GLvoid* *pointer, GLint ptrstride);
SUB glNormalPointerListIBM (BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD, BYVAL ptrstride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalPointerListIBM")
    IF pProc THEN CALL DWORD pProc USING glNormalPointerListIBM(dwType, nStride, pPointer, ptrstride)
END SUB

'// void glTexCoordPointerListIBM (GLint size, GLenum type, GLint stride,
'// const GLvoid* *pointer, GLint ptrstride);
SUB glTexCoordPointerListIBM (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD, BYVAL ptrstride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoordPointerListIBM")
    IF pProc THEN CALL DWORD pProc USING glTexCoordPointerListIBM(nSize, dwType, nStride, pPointer, ptrstride)
END SUB

'// void glVertexPointerListIBM (GLint size, GLenum type, GLint stride, const GLvoid* *pointer, GLint ptrstride);
SUB glVertexPointerListIBM (BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, BYVAL pPointer AS DWORD, BYVAL ptrstride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexPointerListIBM")
    IF pProc THEN CALL DWORD pProc USING glVertexPointerListIBM(nSize, dwType, nStride, pPointer, ptrstride)
END SUB

'// void glTbufferMask3DFX (GLuint mask);
SUB glTbufferMask3DFX (BYVAL dwMask AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTbufferMask3DFX")
    IF pProc THEN CALL DWORD pProc USING glTbufferMask3DFX(dwMask)
END SUB

'// void glSampleMaskEXT (GLclampf value, GLboolean invert);
SUB glSampleMaskEXT (BYVAL value AS SINGLE, BYVAL invert AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSampleMaskEXT")
    IF pProc THEN CALL DWORD pProc USING glSampleMaskEXT(value, invert)
END SUB

'// void glSamplePatternEXT (GLenum pattern);
SUB glSamplePatternEXT (BYVAL pattern AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSamplePatternEXT")
    IF pProc THEN CALL DWORD pProc USING glSamplePatternEXT(pattern)
END SUB

'// void glTextureColorMaskSGIS (GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha);
SUB glTextureColorMaskSGIS (BYVAL red AS BYTE, BYVAL green AS BYTE, BYVAL blue AS BYTE, BYVAL alpha AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureColorMaskSGIS")
    IF pProc THEN CALL DWORD pProc USING glTextureColorMaskSGIS(red, green, blue, alpha)
END SUB

'// void glIglooInterfaceSGIX (GLenum pname, const GLvoid *params);
SUB glIglooInterfaceSGIX (BYVAL pname AS DWORD, BYVAL params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glIglooInterfaceSGIX")
    IF pProc THEN CALL DWORD pProc USING glIglooInterfaceSGIX(pname, params)
END SUB

'// void glDeleteFencesNV (GLsizei n, const GLuint *fences);
SUB glDeleteFencesNV (BYVAL n AS LONG, BYREF fences AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteFencesNV")
    IF pProc THEN CALL DWORD pProc USING glDeleteFencesNV(n, fences)
END SUB

'// GLAPI void glGenFencesNV (GLsizei, GLuint *);
'// typedef void (APIENTRYP PFNGLGENFENCESNVPROC) (GLsizei n, GLuint *fences);
SUB glGenFencesNV (BYVAL n AS LONG, BYREF fences AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenFencesNV")
    IF pProc THEN CALL DWORD pProc USING glGenFencesNV(n, fences)
END SUB

'// GLboolean glIsFenceNV (GLuint fence);
FUNCTION glIsFenceNV (BYVAL fence AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsFenceNV")
    IF pProc THEN CALL DWORD pProc USING glIsFenceNV(fence) TO bRes
    FUNCTION = bRes
END FUNCTION

'// GLboolean glTestFenceNV (GLuint fence);
FUNCTION glTestFenceNV (BYVAL fence AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glTestFenceNV")
    IF pProc THEN CALL DWORD pProc USING glTestFenceNV(fence) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glGetFenceivNV (GLuint fence, GLenum pname, GLint *params);
SUB glGetFenceivNV (BYVAL fence AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetFenceivNV")
    IF pProc THEN CALL DWORD pProc USING glGetFenceivNV(fence, pname, params)
END SUB

'// void glFinishFenceNV (GLuint fence);
SUB glFinishFenceNV (BYVAL fence AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFinishFenceNV")
    IF pProc THEN CALL DWORD pProc USING glFinishFenceNV(fence)
END SUB

'// void glSetFenceNV (GLuint fence, GLenum condition);
SUB glSetFenceNV (BYVAL fence AS DWORD, BYVAL dwcondition AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSetFenceNV")
    IF pProc THEN CALL DWORD pProc USING glSetFenceNV(fence, dwcondition)
END SUB

'// void glMapControlPointsNV (GLenum target, GLuint index, GLenum type, GLsizei ustride,
'// GLsizei vstride, GLint uorder, GLint vorder, GLboolean packed, const GLvoid *points);
SUB glMapControlPointsNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL dwType AS DWORD, _
    BYVAL ustride AS LONG, BYVAL vstride AS LONG, BYVAL uorder AS LONG, BYVAL vorder AS LONG, _
    BYVAL bPacked AS BYTE, BYVAL pPoints AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMapControlPointsNV")
    IF pProc THEN CALL DWORD pProc USING glMapControlPointsNV(dwTarget, dwIndex, dwType, ustride, vstride, uorder, vorder, bPacked, pPoints)
END SUB

'// void glMapParameterivNV (GLenum target, GLenum pname, const GLint *params);
SUB glMapParameterivNV (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMapParameterivNV")
    IF pProc THEN CALL DWORD pProc USING glMapParameterivNV(dwTarget, pname, params)
END SUB

'// void glMapParameterfvNV (GLenum target, GLenum pname, const GLfloat *params);
SUB glMapParameterfvNV (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMapParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glMapParameterfvNV(dwTarget, pname, params)
END SUB

'// void glGetMapControlPointsNV (GLenum target, GLuint index, GLenum type, GLsizei ustride,
'// GLsizei vstride, GLboolean packed, GLvoid *points);
SUB glGetMapControlPointsNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL dwType AS DWORD, _
    BYVAL ustride AS LONG, BYVAL vstride AS LONG, BYVAL bPacked AS BYTE, BYVAL pPoints AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMapControlPointsNV")
    IF pProc THEN CALL DWORD pProc USING glGetMapControlPointsNV(dwTarget, dwIndex, dwType, ustride, vstride, bPacked, pPoints)
END SUB

'// void glGetMapParameterivNV (GLenum target, GLenum pname, GLint *params);
SUB glGetMapParameterivNV (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMapParameterivNV")
    IF pProc THEN CALL DWORD pProc USING glGetMapParameterivNV(dwTarget, pname, params)
END SUB

'// void glGetMapParameterfvNV (GLenum target, GLenum pname, GLfloat *params);
SUB glGetMapParameterfvNV (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMapParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glGetMapParameterfvNV(dwTarget, pname, params)
END SUB

'// void glGetMapAttribParameterivNV (GLenum target, GLuint index, GLenum pname, GLint *params);
SUB glGetMapAttribParameterivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMapAttribParameterivNV")
    IF pProc THEN CALL DWORD pProc USING glGetMapAttribParameterivNV(dwTarget, dwIndex, pname, params)
END SUB

'// void glGetMapAttribParameterfvNV (GLenum target, GLuint index, GLenum pname, GLfloat *params);
SUB glGetMapAttribParameterfvNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMapAttribParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glGetMapAttribParameterfvNV(dwTarget, dwIndex, pname, params)
END SUB

'// GLAPI void glEvalMapsNV (GLenum, GLenum);
'// typedef void (APIENTRYP PFNGLEVALMAPSNVPROC) (GLenum target, GLenum mode);
SUB glEvalMapsNV (BYVAL dwTarget AS DWORD, BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEvalMapsNV")
    IF pProc THEN CALL DWORD pProc USING glEvalMapsNV(dwTarget, dwMode)
END SUB

'// void glCombinerStageParameterfvNV (GLenum stage, GLenum pname, const GLfloat *params);
SUB glCombinerStageParameterfvNV (BYVAL dwStage AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCombinerStageParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glCombinerStageParameterfvNV(dwStage, pname, params)
END SUB

'// void glGetCombinerStageParameterfvNV (GLenum stage, GLenum pname, GLfloat *params);
SUB glGetCombinerStageParameterfvNV (BYVAL dwStage AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetCombinerStageParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glGetCombinerStageParameterfvNV(dwStage, pname, params)
END SUB

'// GLboolean glAreProgramsResidentNV (GLsizei n, const GLuint *programs, GLboolean *residences);
FUNCTION glAreProgramsResidentNV (BYVAL n AS LONG, BYREF programs AS DWORD, BYREF residences AS BYTE) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glAreProgramsResidentNV")
    IF pProc THEN CALL DWORD pProc USING glAreProgramsResidentNV(n, programs, residences) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glBindProgramNV (GLenum target, GLuint id);
SUB glBindProgramNV (BYVAL dwTarget AS DWORD, BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindProgramNV")
    IF pProc THEN CALL DWORD pProc USING glBindProgramNV(dwTarget, dwId)
END SUB

'// void glDeleteProgramsNV (GLsizei n, const GLuint *programs);
SUB glDeleteProgramsNV (BYVAL n AS LONG, BYREF programs AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteProgramsNV")
    IF pProc THEN CALL DWORD pProc USING glDeleteProgramsNV(n, programs)
END SUB

'// void glExecuteProgramNV (GLenum target, GLuint id, const GLfloat *params);
SUB glExecuteProgramNV (BYVAL dwTarget AS DWORD, BYVAL dwId AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glExecuteProgramNV")
    IF pProc THEN CALL DWORD pProc USING glExecuteProgramNV(dwTarget, dwId, params)
END SUB

'// void glGenProgramsNV (GLsizei n, GLuint *programs);
SUB glGenProgramsNV (BYVAL n AS LONG, BYREF programs AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenProgramsNV")
    IF pProc THEN CALL DWORD pProc USING glGenProgramsNV(n, programs)
END SUB

'// void glGetProgramParameterdvNV (GLenum target, GLuint index, GLenum pname, GLdouble *params);
SUB glGetProgramParameterdvNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramParameterdvNV")
    IF pProc THEN CALL DWORD pProc USING glGetProgramParameterdvNV(dwTarget, dwIndex, pname, params)
END SUB

'// void glGetProgramParameterfvNV (GLenum target, GLuint index, GLenum pname, GLfloat *params);
SUB glGetProgramParameterfvNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glGetProgramParameterfvNV(dwTarget, dwIndex, pname, params)
END SUB

'// void glGetProgramivNV (GLuint id, GLenum pname, GLint *params);
SUB glGetProgramivNV (BYVAL dwId AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramivNV")
    IF pProc THEN CALL DWORD pProc USING glGetProgramivNV(dwId, pname, params)
END SUB

'// void glGetProgramStringNV (GLuint id, GLenum pname, GLubyte *program);
SUB glGetProgramStringNV (BYVAL dwId AS DWORD, BYVAL pname AS DWORD, BYREF program AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramStringNV")
    IF pProc THEN CALL DWORD pProc USING glGetProgramStringNV(dwId, pname, program)
END SUB

'// void glGetTrackMatrixivNV (GLenum target, GLuint address, GLenum pname, GLint *params);
SUB glGetTrackMatrixivNV (BYVAL dwTarget AS DWORD, BYVAL dwAddress AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTrackMatrixivNV")
    IF pProc THEN CALL DWORD pProc USING glGetTrackMatrixivNV(dwTarget, dwAddress, pname, params)
END SUB

'// void glGetVertexAttribdvNV (GLuint index, GLenum pname, GLdouble *params);
SUB glGetVertexAttribdvNV (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribdvNV")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribdvNV(dwIndex, pname, params)
END SUB

'// void glGetVertexAttribfvNV (GLuint index, GLenum pname, GLfloat *params);
SUB glGetVertexAttribfvNV (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribfvNV")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribfvNV(dwIndex, pname, params)
END SUB

'// void glGetVertexAttribivNV (GLuint index, GLenum pname, GLint *params);
SUB glGetVertexAttribivNV (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribivNV")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribivNV(dwIndex, pname, params)
END SUB

'// void glGetVertexAttribPointervNV (GLuint index, GLenum pname, GLvoid* *pointer);
SUB glGetVertexAttribPointervNV (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribPointervNV")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribPointervNV(dwIndex, pname, pPointer)
END SUB

'// GLboolean glIsProgramNV (GLuint id);
FUNCTION glIsProgramNV (BYVAL dwId AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsProgramNV")
    IF pProc THEN CALL DWORD pProc USING glIsProgramNV(dwId) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glLoadProgramNV (GLenum target, GLuint id, GLsizei len, const GLubyte *program);
SUB glLoadProgramNV (BYVAL dwTarget AS DWORD, BYVAL dwId AS DWORD, BYVAL nLen AS LONG, BYREF program AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glLoadProgramNV")
    IF pProc THEN CALL DWORD pProc USING glLoadProgramNV(dwTarget, dwId, nLen, program)
END SUB

'// void glProgramParameter4dNV (GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
SUB glProgramParameter4dNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, _
    BYVAL y AS DOUBLE, BYVAL z AS DOUBLE, BYVAL w AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramParameter4dNV")
    IF pProc THEN CALL DWORD pProc USING glProgramParameter4dNV(dwTarget, dwIndex, x, y, z, w)
END SUB

'// void glProgramParameter4dvNV (GLenum target, GLuint index, const GLdouble *v);
SUB glProgramParameter4dvNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramParameter4dvNV")
    IF pProc THEN CALL DWORD pProc USING glProgramParameter4dvNV(dwTarget, dwIndex, params)
END SUB

'// void glProgramParameter4fNV (GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
SUB glProgramParameter4fNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL x AS SINGLE, _
    BYVAL y AS SINGLE, BYVAL z AS SINGLE, BYVAL w AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramParameter4fNV")
    IF pProc THEN CALL DWORD pProc USING glProgramParameter4fNV(dwTarget, dwIndex, x, y, z, w)
END SUB

'// void glProgramParameter4fvNV (GLenum target, GLuint index, const GLfloat *v);
SUB glProgramParameter4fvNV (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramParameter4fvNV")
    IF pProc THEN CALL DWORD pProc USING glProgramParameter4fvNV(dwTarget, pname, params)
END SUB

'// void glProgramParameters4dvNV (GLenum target, GLuint index, GLuint count, const GLdouble *v);
SUB glProgramParameters4dvNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL dwCount AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramParameters4dvNV")
    IF pProc THEN CALL DWORD pProc USING glProgramParameters4dvNV(dwTarget, dwIndex, dwCount, v)
END SUB

'// void glProgramParameters4fvNV (GLenum target, GLuint index, GLuint count, const GLfloat *v);
SUB glProgramParameters4fvNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL dwCount AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramParameters4fvNV")
    IF pProc THEN CALL DWORD pProc USING glProgramParameters4fvNV(dwTarget, dwIndex, dwCount, v)
END SUB

'// void glRequestResidentProgramsNV (GLsizei n, const GLuint *programs);
SUB glRequestResidentProgramsNV (BYVAL n AS LONG, BYREF programs AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glRequestResidentProgramsNV")
    IF pProc THEN CALL DWORD pProc USING glRequestResidentProgramsNV(n, programs)
END SUB

'// void glTrackMatrixNV (GLenum target, GLuint address, GLenum matrix, GLenum transform);
SUB glTrackMatrixNV (BYVAL dwTarget AS DWORD, BYVAL dwAddress AS DWORD, BYVAL dwMatrix AS DWORD, BYVAL dwTransform AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTrackMatrixNV")
    IF pProc THEN CALL DWORD pProc USING glTrackMatrixNV(dwTarget, dwAddress, dwMatrix, dwTransform)
END SUB

'// void glVertexAttribPointerNV (GLuint index, GLint fsize, GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glVertexAttribPointerNV (BYVAL dwIndex AS DWORD, BYVAL fsize AS LONG, BYVAL dwType AS DWORD, _
    BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribPointerNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribPointerNV(dwIndex, fsize, dwType, nStride, pPointer)
END SUB

'// void glVertexAttrib1dNV (GLuint index, GLdouble x);
SUB glVertexAttrib1dNV (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1dNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1dNV(dwIndex, x)
END SUB

'// void glVertexAttrib1dvNV (GLuint index, const GLdouble *v);
SUB glVertexAttrib1dvNV (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1dvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1dvNV(dwIndex, v)
END SUB

'// void glVertexAttrib1fNV (GLuint index, GLfloat x);
SUB glVertexAttrib1fNV (BYVAL dwIndex AS DWORD, BYVAL x AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1fNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1fNV(dwIndex, x)
END SUB

'// void glVertexAttrib1fvNV (GLuint index, const GLfloat *v);
SUB glVertexAttrib1fvNV (BYVAL dwIndex AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1fvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1fvNV(dwIndex, v)
END SUB

'// void glVertexAttrib1sNV (GLuint index, GLshort x);
SUB glVertexAttrib1sNV (BYVAL dwIndex AS DWORD, BYVAL x AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1sNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1sNV(dwIndex, x)
END SUB

'// void glVertexAttrib1svNV (GLuint index, const GLshort *v);
SUB glVertexAttrib1svNV (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1svNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1svNV(dwIndex, v)
END SUB

'// void glVertexAttrib2dNV (GLuint index, GLdouble x, GLdouble y);
SUB glVertexAttrib2dNV (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2dNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2dNV(dwIndex, x, y)
END SUB

'// void glVertexAttrib2dvNV (GLuint index, const GLdouble *v);
SUB glVertexAttrib2dvNV (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2dvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2dvNV(dwIndex, v)
END SUB

'// void glVertexAttrib2fNV (GLuint index, GLfloat x, GLfloat y);
SUB glVertexAttrib2fNV (BYVAL dwIndex AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2fNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2fNV(dwIndex, x, y)
END SUB

'// void glVertexAttrib2fvNV (GLuint index, const GLfloat *v);
SUB glVertexAttrib2fvNV (BYVAL dwIndex AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2fvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2fvNV(dwIndex, v)
END SUB

'// void glVertexAttrib2sNV (GLuint index, GLshort x, GLshort y);
SUB glVertexAttrib2sNV (BYVAL dwIndex AS DWORD, BYVAL x AS INTEGER, BYVAL y AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2sNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2sNV(dwIndex, x, y)
END SUB

'// void glVertexAttrib2svNV (GLuint index, const GLshort *v);
SUB glVertexAttrib2svNV (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2svNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2svNV(dwIndex, v)
END SUB

'// void glVertexAttrib3dNV (GLuint index, GLdouble x, GLdouble y, GLdouble z);
SUB glVertexAttrib3dNV (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3dNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3dNV(dwIndex, x, y, z)
END SUB

'// void glVertexAttrib3dvNV (GLuint index, const GLdouble *v);
SUB glVertexAttrib3dvNV (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3dvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3dvNV(dwIndex, v)
END SUB

'// void glVertexAttrib3fNV (GLuint index, GLfloat x, GLfloat y, GLfloat z);
SUB glVertexAttrib3fNV (BYVAL dwIndex AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3fNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3fNV(dwIndex, x, y, z)
END SUB

'// void glVertexAttrib3fvNV (GLuint index, const GLfloat *v);
SUB glVertexAttrib3fvNV (BYVAL dwIndex AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3fvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3fvNV(dwIndex, v)
END SUB

'// void glVertexAttrib3sNV (GLuint index, GLshort x, GLshort y, GLshort z);
SUB glVertexAttrib3sNV (BYVAL dwIndex AS  DWORD, BYVAL x AS INTEGER, BYVAL y AS INTEGER, BYVAL z AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3sNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3sNV(dwIndex, x, y, z)
END SUB

'// void glVertexAttrib3svNV (GLuint index, const GLshort *v);
SUB glVertexAttrib3svNV (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3svNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3svNV(dwIndex, v)
END SUB

'// void glVertexAttrib4dNV (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
SUB glVertexAttrib4dNV (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE, BYVAL w AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4dNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4dNV(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttrib4dvNV (GLuint index, const GLdouble *v);
SUB glVertexAttrib4dvNV (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4dvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4dvNV(dwIndex, v)
END SUB

'// void glVertexAttrib4fNV (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
SUB glVertexAttrib4fNV (BYVAL dwIndex AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE, BYVAL w AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4fNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4fNV(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttrib4fvNV (GLuint index, const GLfloat *v);
SUB glVertexAttrib4fvNV (BYVAL dwIndex AS DWORD, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4fvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4fvNV(dwIndex, v)
END SUB

'// void glVertexAttrib4sNV (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w);
SUB glVertexAttrib4sNV (BYVAL dwIndex AS DWORD, BYVAL x AS INTEGER, BYVAL y AS INTEGER, BYVAL z AS INTEGER, BYVAL w AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4sNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4sNV(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttrib4svNV (GLuint index, const GLshort *v);
SUB glVertexAttrib4svNV (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4svNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4svNV(dwIndex, v)
END SUB

'// void glVertexAttrib4ubNV (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);
SUB glVertexAttrib4ubNV (BYVAL dwIndex AS DWORD, BYVAL x AS BYTE, BYVAL y AS BYTE, BYVAL z AS BYTE, BYVAL w AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4ubNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4ubNV(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttrib4ubvNV (GLuint index, const GLubyte *v);
SUB glVertexAttrib4ubvNV (BYVAL dwIndex AS DWORD, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4ubvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4ubvNV(dwIndex, v)
END SUB

'// void glVertexAttribs1dvNV (GLuint index, GLsizei count, const GLdouble *v);
SUB glVertexAttribs1dvNV (BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs1dvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs1dvNV(dwIndex, nCount, v)
END SUB

'// void glVertexAttribs1fvNV (GLuint index, GLsizei count, const GLfloat *v);
SUB glVertexAttribs1fvNV (BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs1fvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs1fvNV(dwIndex, nCount, v)
END SUB

'// void glVertexAttribs1svNV (GLuint index, GLsizei count, const GLshort *v);
SUB glVertexAttribs1svNV (BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs1svNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs1svNV(dwIndex, nCount, v)
END SUB

'// void glVertexAttribs2dvNV (GLuint index, GLsizei count, const GLdouble *v);
SUB glVertexAttribs2dvNV (BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs2dvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs2dvNV(dwIndex, nCount, v)
END SUB

'// void glVertexAttribs2fvNV (GLuint index, GLsizei count, const GLfloat *v);
SUB glVertexAttribs2fvNV (BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs2fvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs2fvNV(dwIndex, nCount, v)
END SUB

'// void glVertexAttribs2svNV (GLuint index, GLsizei count, const GLshort *v);
SUB glVertexAttribs2svNV (BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs2svNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs2svNV(dwIndex, nCount, v)
END SUB

'// void glVertexAttribs3dvNV (GLuint index, GLsizei count, const GLdouble *v);
SUB glVertexAttribs3dvNV (BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs3dvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs3dvNV(dwIndex, nCount, v)
END SUB

'// void glVertexAttribs3fvNV (GLuint index, GLsizei count, const GLfloat *v);
SUB glVertexAttribs3fvNV (BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs3fvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs3fvNV(dwIndex, nCount, v)
END SUB

'// void glVertexAttribs3svNV (GLuint index, GLsizei count, const GLshort *v);
SUB glVertexAttribs3svNV (BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs3svNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs3svNV(dwIndex, nCount, v)
END SUB

'// void glVertexAttribs4dvNV (GLuint index, GLsizei count, const GLdouble *v);
SUB glVertexAttribs4dvNV (BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs4dvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs4dvNV(dwIndex, nCount, v)
END SUB

'// void glVertexAttribs4fvNV (GLuint index, GLsizei count, const GLfloat *v);
SUB glVertexAttribs4fvNV (BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs4fvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs4fvNV(dwIndex, nCount, v)
END SUB

'// void glVertexAttribs4svNV (GLuint index, GLsizei count, const GLshort *v);
SUB glVertexAttribs4svNV (BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs4svNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs4svNV(dwIndex, nCount, v)
END SUB

'// void glVertexAttribs4ubvNV (GLuint index, GLsizei count, const GLubyte *v);
SUB glVertexAttribs4ubvNV (BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs4ubvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs4ubvNV(dwIndex, nCount, v)
END SUB

'// void glTexBumpParameterivATI (GLenum pname, const GLint *param);
SUB glTexBumpParameterivATI (BYVAL pname AS DWORD, BYREF param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexBumpParameterivATI")
    IF pProc THEN CALL DWORD pProc USING glTexBumpParameterivATI(pname, param)
END SUB

'// void glTexBumpParameterfvATI (GLenum pname, const GLfloat *param);
SUB glTexBumpParameterfvATI (BYVAL pname AS DWORD, BYREF param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexBumpParameterfvATI")
    IF pProc THEN CALL DWORD pProc USING glTexBumpParameterfvATI(pname, param)
END SUB

'// void glGetTexBumpParameterivATI (GLenum pname, GLint *param);
SUB glGetTexBumpParameterivATI (BYVAL pname AS DWORD, BYREF param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTexBumpParameterivATI")
    IF pProc THEN CALL DWORD pProc USING glGetTexBumpParameterivATI(pname, param)
END SUB

'// void glGetTexBumpParameterfvATI (GLenum pname, GLfloat *param);
SUB glGetTexBumpParameterfvATI (BYVAL pname AS DWORD, BYREF param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTexBumpParameterfvATI")
    IF pProc THEN CALL DWORD pProc USING glGetTexBumpParameterfvATI(pname, param)
END SUB

'// GLuint glGenFragmentShadersATI (GLuint range);
FUNCTION glGenFragmentShadersATI (BYVAL dwRange AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glGenFragmentShadersATI")
    IF pProc THEN CALL DWORD pProc USING glGenFragmentShadersATI(dwRange) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glBindFragmentShaderATI (GLuint id);
SUB glBindFragmentShaderATI (BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindFragmentShaderATI")
    IF pProc THEN CALL DWORD pProc USING glBindFragmentShaderATI(dwId)
END SUB

'// void glDeleteFragmentShaderATI (GLuint id);
SUB glDeleteFragmentShaderATI (BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteFragmentShaderATI")
    IF pProc THEN CALL DWORD pProc USING glDeleteFragmentShaderATI(dwId)
END SUB

'// GLAPI void glBeginFragmentShaderATI (void);
'// typedef void (APIENTRYP PFNGLBEGINFRAGMENTSHADERATIPROC) (void);
SUB glBeginFragmentShaderATI
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBeginFragmentShaderATI")
    IF pProc THEN CALL DWORD pProc USING glBeginFragmentShaderATI
END SUB

'// void glEndFragmentShaderATI (void);
SUB glEndFragmentShaderATI
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEndFragmentShaderATI")
    IF pProc THEN CALL DWORD pProc USING glEndFragmentShaderATI
END SUB

'// void glPassTexCoordATI (GLuint dst, GLuint coord, GLenum swizzle);
SUB glPassTexCoordATI (BYVAL dst AS DWORD, BYVAL dwCoord AS DWORD, BYVAL swizzle AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPassTexCoordATI")
    IF pProc THEN CALL DWORD pProc USING glPassTexCoordATI(dst, dwCoord, swizzle)
END SUB

'// void glSampleMapATI (GLuint dst, GLuint interp, GLenum swizzle);
SUB glSampleMapATI (BYVAL dst AS DWORD, BYVAL interp AS DWORD, BYVAL swizzle AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSampleMapATI")
    IF pProc THEN CALL DWORD pProc USING glSampleMapATI(dst, interp, swizzle)
END SUB

'// void glColorFragmentOp1ATI (GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod,
'// GLuint arg1, GLuint arg1Rep, GLuint arg1Mod);
SUB glColorFragmentOp1ATI (BYVAL op AS DWORD, BYVAL dst AS DWORD, BYVAL dstMask AS DWORD, _
    BYVAL dstMod AS DWORD, BYVAL arg1 AS DWORD, BYVAL arg1Rep AS DWORD, BYVAL arg1Mod AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorFragmentOp1ATI")
    IF pProc THEN CALL DWORD pProc USING glColorFragmentOp1ATI(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod)
END SUB

'// void glColorFragmentOp2ATI (GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod,
'// GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod);
SUB glColorFragmentOp2ATI (BYVAL op AS DWORD, BYVAL dst AS DWORD, BYVAL dstMask AS DWORD, _
    BYVAL dstMod AS DWORD, BYVAL arg1 AS DWORD, BYVAL arg1Rep AS DWORD, BYVAL arg1Mod AS DWORD, _
    BYVAL arg2 AS DWORD, BYVAL arg2Rep AS DWORD, BYVAL arg2Mod AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorFragmentOp2ATI")
    IF pProc THEN CALL DWORD pProc USING glColorFragmentOp2ATI(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod)
END SUB

'// void glColorFragmentOp3ATI (GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod,
'// GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep,
'// GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod);
SUB glColorFragmentOp3ATI (BYVAL op AS DWORD, BYVAL dst AS DWORD, BYVAL dstMask AS DWORD, _
    BYVAL dstMod AS DWORD, BYVAL arg1 AS DWORD, BYVAL arg1Rep AS DWORD, BYVAL arg1Mod AS DWORD, _
    BYVAL arg2 AS DWORD, BYVAL arg2Rep AS DWORD, BYVAL arg2Mod AS DWORD, BYVAL arg3 AS DWORD, _
    BYVAL arg3Rep AS DWORD, BYVAL arg3Mod AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorFragmentOp3ATI")
    IF pProc THEN CALL DWORD pProc USING glColorFragmentOp3ATI(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod)
END SUB

'// void glAlphaFragmentOp1ATI (GLenum op, GLuint dst, GLuint dstMod, GLuint arg1,
'// GLuint arg1Rep, GLuint arg1Mod);
SUB glAlphaFragmentOp1ATI (BYVAL op AS DWORD, BYVAL dst AS DWORD, BYVAL dstMod AS DWORD, _
    BYVAL arg1 AS DWORD, BYVAL arg1Rep AS DWORD, BYVAL arg1Mod AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glAlphaFragmentOp1ATI")
    IF pProc THEN CALL DWORD pProc USING glAlphaFragmentOp1ATI(op, dst, dstMod, arg1, arg1Rep, arg1Mod)
END SUB

'// void glAlphaFragmentOp2ATI (GLenum op, GLuint dst, GLuint dstMod, GLuint arg1,
'// GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod);
SUB glAlphaFragmentOp2ATI (BYVAL op AS DWORD, BYVAL dst AS DWORD, BYVAL dstMod AS DWORD, _
    BYVAL arg1 AS DWORD, BYVAL arg1Rep AS DWORD, BYVAL arg1Mod AS DWORD, BYVAL arg2 AS DWORD, _
    BYVAL arg2Rep AS DWORD, BYVAL arg2Mod AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glAlphaFragmentOp2ATI")
    IF pProc THEN CALL DWORD pProc USING glAlphaFragmentOp2ATI(op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod)
END SUB

'// void glAlphaFragmentOp3ATI (GLenum op, GLuint dst, GLuint dstMod, GLuint arg1,
'// GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod,
'// GLuint arg3, GLuint arg3Rep, GLuint arg3Mod);
SUB glAlphaFragmentOp3ATI (BYVAL op AS DWORD, BYVAL dst AS DWORD, BYVAL dstMod AS DWORD, _
    BYVAL arg1 AS DWORD, BYVAL arg1Rep AS DWORD, BYVAL arg1Mod AS DWORD, BYVAL arg2 AS DWORD, _
    BYVAL arg2Rep AS DWORD, BYVAL arg2Mod AS DWORD, BYVAL arg3 AS DWORD, BYVAL arg3Rep AS DWORD, BYVAL arg3Mod AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glAlphaFragmentOp3ATI")
    IF pProc THEN CALL DWORD pProc USING glAlphaFragmentOp3ATI(op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod)
END SUB

'// void glSetFragmentShaderConstantATI (GLuint dst, const GLfloat *value);
SUB glSetFragmentShaderConstantATI (BYVAL dst AS DWORD, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSetFragmentShaderConstantATI")
    IF pProc THEN CALL DWORD pProc USING glSetFragmentShaderConstantATI(dst, value)
END SUB

'// void glPNTrianglesiATI (GLenum pname, GLint param);
SUB glPNTrianglesiATI (BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPNTrianglesiATI")
    IF pProc THEN CALL DWORD pProc USING glPNTrianglesiATI(pname, param)
END SUB

'// void glPNTrianglesfATI (GLenum pname, GLfloat param);
SUB glPNTrianglesfATI (BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPNTrianglesfATI")
    IF pProc THEN CALL DWORD pProc USING glPNTrianglesfATI(pname, param)
END SUB

'// GLuint glNewObjectBufferATI (GLsizei size, const GLvoid *pointer, GLenum usage);
FUNCTION glNewObjectBufferATI (BYVAL nSize AS LONG, BYVAL pPointer AS DWORD, BYVAL dwUsage AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glNewObjectBufferATI")
    IF pProc THEN CALL DWORD pProc USING glNewObjectBufferATI(nSize, pPointer, dwUsage) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// GLboolean glIsObjectBufferATI (GLuint buffer);
FUNCTION glIsObjectBufferATI (BYVAL buffer AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsObjectBufferATI")
    IF pProc THEN CALL DWORD pProc USING glIsObjectBufferATI(buffer) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glUpdateObjectBufferATI (GLuint buffer, GLuint offset, GLsizei size,
'// const GLvoid *pointer, GLenum preserve);
SUB glUpdateObjectBufferATI (BYVAL dwBuffer AS DWORD, BYVAL dwOffset AS DWORD, BYVAL nSize AS LONG, _
    BYVAL pPointer AS DWORD, BYVAL dwPreserve AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUpdateObjectBufferATI")
    IF pProc THEN CALL DWORD pProc USING glUpdateObjectBufferATI(dwbuffer, dwOffset, nSize, pPointer, dwPreserve)
END SUB

'// void glGetObjectBufferfvATI (GLuint buffer, GLenum pname, GLfloat *params);
SUB glGetObjectBufferfvATI (BYVAL dwBuffer AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetObjectBufferfvATI")
    IF pProc THEN CALL DWORD pProc USING glGetObjectBufferfvATI(dwBuffer, pname, params)
END SUB

'// void glGetObjectBufferivATI (GLuint buffer, GLenum pname, GLint *params);
SUB glGetObjectBufferivATI (BYVAL dwBuffer AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetObjectBufferivATI")
    IF pProc THEN CALL DWORD pProc USING glGetObjectBufferivATI(dwBuffer, pname, params)
END SUB

'// void glFreeObjectBufferATI (GLuint buffer);
SUB glFreeObjectBufferATI (BYVAL dwBuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFreeObjectBufferATI")
    IF pProc THEN CALL DWORD pProc USING glFreeObjectBufferATI(dwBuffer)
END SUB

'// void glArrayObjectATI (GLenum array, GLint size, GLenum type, GLsizei stride,
'// GLuint buffer, GLuint offset);
SUB glArrayObjectATI (BYVAL dwArray AS DWORD, BYVAL nSize AS LONG, BYVAL dwType AS DWORD, _
    BYVAL nStride AS LONG, BYVAL dwBuffer AS DWORD, BYVAL dwOffset AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glArrayObjectATI")
    IF pProc THEN CALL DWORD pProc USING glArrayObjectATI(dwArray, nSize, dwType, nStride, dwBuffer, dwOffset)
END SUB

'// void glGetArrayObjectfvATI (GLenum array, GLenum pname, GLfloat *params);
SUB glGetArrayObjectfvATI (BYVAL dwArray AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetArrayObjectfvATI")
    IF pProc THEN CALL DWORD pProc USING glGetArrayObjectfvATI(dwArray, pname, params)
END SUB

'// void glGetArrayObjectivATI (GLenum array, GLenum pname, GLint *params);
SUB glGetArrayObjectivATI (BYVAL dwArray AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetArrayObjectivATI")
    IF pProc THEN CALL DWORD pProc USING glGetArrayObjectivATI(dwArray, pname, params)
END SUB

'// void glVariantArrayObjectATI (GLuint id, GLenum type, GLsizei stride, GLuint buffer, GLuint offset);
SUB glVariantArrayObjectATI (BYVAL dwId AS DWORD, BYVAL dwType AS DWORD, BYVAL nStride AS LONG, _
    BYVAL dwBuffer AS DWORD, BYVAL dwOffset AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVariantArrayObjectATI")
    IF pProc THEN CALL DWORD pProc USING glVariantArrayObjectATI(dwId, dwType, nStride, dwBuffer, dwOffset)
END SUB

'// void glGetVariantArrayObjectfvATI (GLuint id, GLenum pname, GLfloat *params);
SUB glGetVariantArrayObjectfvATI (BYVAL dwId AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVariantArrayObjectfvATI")
    IF pProc THEN CALL DWORD pProc USING glGetVariantArrayObjectfvATI(dwId, pname, params)
END SUB

'// void glGetVariantArrayObjectivATI (GLuint id, GLenum pname, GLint *params);
SUB glGetVariantArrayObjectivATI (BYVAL dwId AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVariantArrayObjectivATI")
    IF pProc THEN CALL DWORD pProc USING glGetVariantArrayObjectivATI(dwId, pname, params)
END SUB

'// void glBeginVertexShaderEXT (void);
SUB glBeginVertexShaderEXT
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBeginVertexShaderEXT")
    IF pProc THEN CALL DWORD pProc USING glBeginVertexShaderEXT
END SUB

'// void glEndVertexShaderEXT (void);
SUB glEndVertexShaderEXT
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEndVertexShaderEXT")
    IF pProc THEN CALL DWORD pProc USING glEndVertexShaderEXT
END SUB

'// void glBindVertexShaderEXT (GLuint id);
SUB glBindVertexShaderEXT (BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindVertexShaderEXT")
    IF pProc THEN CALL DWORD pProc USING glBindVertexShaderEXT(dwId)
END SUB

'// GLuint glGenVertexShadersEXT (GLuint range);
FUNCTION glGenVertexShadersEXT (BYVAL dwRange AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glGenVertexShadersEXT")
    IF pProc THEN CALL DWORD pProc USING glGenVertexShadersEXT(dwRange) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glDeleteVertexShaderEXT (GLuint id);
SUB glDeleteVertexShaderEXT (BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteVertexShaderEXT")
    IF pProc THEN CALL DWORD pProc USING glDeleteVertexShaderEXT(dwId)
END SUB

'// void glShaderOp1EXT (GLenum op, GLuint res, GLuint arg1);
SUB glShaderOp1EXT (BYVAL op AS DWORD, BYVAL dwRes AS DWORD, BYVAL arg1 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glShaderOp1EXT")
    IF pProc THEN CALL DWORD pProc USING glShaderOp1EXT(op, dwRes, arg1)
END SUB

'// void glShaderOp2EXT (GLenum op, GLuint res, GLuint arg1, GLuint arg2);
SUB glShaderOp2EXT (BYVAL op AS DWORD, BYVAL dwRes AS DWORD, BYVAL arg1 AS DWORD, BYVAL arg2 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glShaderOp2EXT")
    IF pProc THEN CALL DWORD pProc USING glShaderOp2EXT(op, dwRes, arg1, arg2)
END SUB

'// void glShaderOp3EXT (GLenum op, GLuint res, GLuint arg1, GLuint arg2, GLuint arg3);
SUB glShaderOp3EXT (BYVAL op AS DWORD, BYVAL dwRes AS DWORD, BYVAL arg1 AS DWORD, BYVAL arg2 AS DWORD, BYVAL arg3 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glShaderOp3EXT")
    IF pProc THEN CALL DWORD pProc USING glShaderOp3EXT(op, dwRes, arg1, arg2, arg3)
END SUB

'// void glSwizzleEXT (GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW);
SUB glSwizzleEXT (BYVAL dwRes AS DWORD, BYVAL dwIn AS DWORD, BYVAL outX AS DWORD, _
    BYVAL outY AS DWORD, BYVAL outZ AS DWORD, BYVAL outW AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSwizzleEXT")
    IF pProc THEN CALL DWORD pProc USING glSwizzleEXT(dwRes, dwIn, outX, outY, outZ, outW)
END SUB

'// void glWriteMaskEXT (GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW);
SUB glWriteMaskEXT (BYVAL dwRes AS DWORD, BYVAL dwIn AS DWORD, BYVAL outX AS DWORD, _
    BYVAL outY AS DWORD, BYVAL outZ AS DWORD, BYVAL outW AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWriteMaskEXT")
    IF pProc THEN CALL DWORD pProc USING glWriteMaskEXT(dwRes, dwIn, outX, outY, outZ, outW)
END SUB

'// void glInsertComponentEXT (GLuint res, GLuint src, GLuint num);
SUB glInsertComponentEXT (BYVAL dwRes AS DWORD, BYVAL dwSrc AS DWORD, BYVAL dwNum AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glInsertComponentEXT")
    IF pProc THEN CALL DWORD pProc USING glInsertComponentEXT(dwRes, dwSrc, dwNum)
END SUB

'// void glExtractComponentEXT (GLuint res, GLuint src, GLuint num);
SUB glExtractComponentEXT (BYVAL dwRes AS DWORD, BYVAL dwSrc AS DWORD, BYVAL dwNum AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glExtractComponentEXT")
    IF pProc THEN CALL DWORD pProc USING glExtractComponentEXT(dwRes, dwSrc, dwNum)
END SUB

'// GLuint glGenSymbolsEXT (GLenum datatype, GLenum storagetype, GLenum range, GLuint components);
FUNCTION glGenSymbolsEXT (BYVAL dwDatatype AS DWORD, BYVAL dwStoragetype AS DWORD, BYVAL dwRange AS DWORD, BYVAL dwComponents AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glGenSymbolsEXT")
    IF pProc THEN CALL DWORD pProc USING glGenSymbolsEXT(dwDatatype, dwStoragetype, dwRange, dwComponents) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glSetInvariantEXT (GLuint id, GLenum type, const GLvoid *addr);
SUB glSetInvariantEXT (BYVAL dwId AS DWORD, BYVAL dwType AS DWORD, BYVAL paddr AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSetInvariantEXT")
    IF pProc THEN CALL DWORD pProc USING glSetInvariantEXT(dwId, dwType, paddr)
END SUB

'// void glSetLocalConstantEXT (GLuint id, GLenum type, const GLvoid *addr);
SUB glSetLocalConstantEXT (BYVAL dwId AS DWORD, BYVAL dwType AS DWORD, BYVAL paddr AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSetLocalConstantEXT")
    IF pProc THEN CALL DWORD pProc USING glSetLocalConstantEXT(dwId, dwType, paddr)
END SUB

'// void glVariantbvEXT (GLuint id, const GLbyte *addr);
SUB glVariantbvEXT (BYVAL dwIndex AS DWORD, BYREF paddr AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVariantbvEXT")
    IF pProc THEN CALL DWORD pProc USING glVariantbvEXT(dwIndex, paddr)
END SUB

'// void glVariantsvEXT (GLuint id, const GLshort *addr);
SUB glVariantsvEXT (BYVAL dwId AS DWORD, BYREF paddr AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVariantsvEXT")
    IF pProc THEN CALL DWORD pProc USING glVariantsvEXT(dwId, paddr)
END SUB

'// void glVariantivEXT (GLuint id, const GLint *addr);
SUB glVariantivEXT (BYVAL dwId AS DWORD, BYREF paddr AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVariantivEXT")
    IF pProc THEN CALL DWORD pProc USING glVariantivEXT(dwId, paddr)
END SUB

'// void glVariantfvEXT (GLuint id, const GLfloat *addr);
SUB glVariantfvEXT (BYVAL dwId AS DWORD, BYREF paddr AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVariantfvEXT")
    IF pProc THEN CALL DWORD pProc USING glVariantfvEXT(dwId, paddr)
END SUB

'// void glVariantdvEXT (GLuint id, const GLdouble *addr);
SUB glVariantdvEXT (BYVAL dwId AS DWORD, BYREF paddr AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVariantdvEXT")
    IF pProc THEN CALL DWORD pProc USING glVariantdvEXT(dwId, paddr)
END SUB

'// void glVariantubvEXT (GLuint id, const GLubyte *addr);
SUB glVariantubvEXT (BYVAL dwId AS DWORD, BYREF paddr AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVariantubvEXT")
    IF pProc THEN CALL DWORD pProc USING glVariantubvEXT(dwId, paddr)
END SUB

'// void glVariantusvEXT (GLuint id, const GLushort *addr);
SUB glVariantusvEXT (BYVAL dwId AS DWORD, BYREF paddr AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVariantusvEXT")
    IF pProc THEN CALL DWORD pProc USING glVariantusvEXT(dwId, paddr)
END SUB

'// void glVariantuivEXT (GLuint id, const GLuint *addr);
SUB glVariantuivEXT (BYVAL dwId AS DWORD, BYREF paddr AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVariantuivEXT")
    IF pProc THEN CALL DWORD pProc USING glVariantuivEXT(dwId, paddr)
END SUB

'// void glVariantPointerEXT (GLuint id, GLenum type, GLuint stride, const GLvoid *addr);
SUB glVariantPointerEXT (BYVAL dwId AS DWORD, BYVAL dwType AS DWORD, BYVAL nStride AS DWORD, BYVAL paddr AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVariantPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glVariantPointerEXT(dwId, dwType, nStride, paddr)
END SUB

'// void glEnableVariantClientStateEXT (GLuint id);
SUB glEnableVariantClientStateEXT (BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEnableVariantClientStateEXT")
    IF pProc THEN CALL DWORD pProc USING glEnableVariantClientStateEXT(dwId)
END SUB

'// void glDisableVariantClientStateEXT (GLuint id);
SUB glDisableVariantClientStateEXT (BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDisableVariantClientStateEXT")
    IF pProc THEN CALL DWORD pProc USING glDisableVariantClientStateEXT(dwId)
END SUB

'// GLuint glBindLightParameterEXT (GLenum light, GLenum value);
FUNCTION glBindLightParameterEXT (BYVAL dwLight AS DWORD, BYVAL dwValue AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glBindLightParameterEXT")
    IF pProc THEN CALL DWORD pProc USING glBindLightParameterEXT(dwLight, dwValue) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// GLuint glBindMaterialParameterEXT (GLenum face, GLenum value);
FUNCTION glBindMaterialParameterEXT (BYVAL dwFace AS DWORD, BYVAL dwValue AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glBindMaterialParameterEXT")
    IF pProc THEN CALL DWORD pProc USING glBindMaterialParameterEXT(dwFace, dwValue) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// GLuint glBindTexGenParameterEXT (GLenum unit, GLenum coord, GLenum value);
FUNCTION glBindTexGenParameterEXT (BYVAL dwUnit AS DWORD, BYVAL dwCoord AS DWORD, BYVAL dwValue AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glBindTexGenParameterEXT")
    IF pProc THEN CALL DWORD pProc USING glBindTexGenParameterEXT(dwUnit, dwCoord, dwValue) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// GLuint glBindTextureUnitParameterEXT (GLenum unit, GLenum value);
FUNCTION glBindTextureUnitParameterEXT (BYVAL dwUnit AS DWORD, BYVAL dwValue AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glBindTextureUnitParameterEXT")
    IF pProc THEN CALL DWORD pProc USING glBindTextureUnitParameterEXT(dwUnit, dwValue) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// GLuint glBindParameterEXT (GLenum value);
FUNCTION glBindParameterEXT (BYVAL dwValue AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glBindParameterEXT")
    IF pProc THEN CALL DWORD pProc USING glBindParameterEXT(dwValue) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// GLboolean glIsVariantEnabledEXT (GLuint id, GLenum cap);
FUNCTION glIsVariantEnabledEXT (BYVAL dwId AS DWORD, BYVAL dwCap AS DWORD) AS BYTE
    LOCAL pProc, bRes AS DWORD
    pProc = wglGetProcAddress("glIsVariantEnabledEXT")
    IF pProc THEN CALL DWORD pProc USING glIsVariantEnabledEXT(dwId, dwCap) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glGetVariantBooleanvEXT (GLuint id, GLenum value, GLboolean *data);
SUB glGetVariantBooleanvEXT (BYVAL dwId AS DWORD, BYVAL dwValue AS DWORD, BYREF pData AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVariantBooleanvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetVariantBooleanvEXT(dwId, dwValue, pData)
END SUB

'// void glGetVariantIntegervEXT (GLuint id, GLenum value, GLint *data);
SUB glGetVariantIntegervEXT (BYVAL dwId AS DWORD, BYVAL dwValue AS DWORD, BYREF pData AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVariantIntegervEXT")
    IF pProc THEN CALL DWORD pProc USING glGetVariantIntegervEXT(dwId, dwValue, pData)
END SUB

'// void glGetVariantFloatvEXT (GLuint id, GLenum value, GLfloat *data);
SUB glGetVariantFloatvEXT (BYVAL dwId AS DWORD, BYVAL dwValue AS DWORD, BYREF pData AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVariantFloatvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetVariantFloatvEXT(dwId, dwValue, pData)
END SUB

'// void glGetVariantPointervEXT (GLuint id, GLenum value, GLvoid* *data);
SUB glGetVariantPointervEXT (BYVAL dwId AS DWORD, BYVAL dwValue AS DWORD, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVariantPointervEXT")
    IF pProc THEN CALL DWORD pProc USING glGetVariantPointervEXT(dwId, dwValue, pData)
END SUB

'// void glGetInvariantBooleanvEXT (GLuint id, GLenum value, GLboolean *data);
SUB glGetInvariantBooleanvEXT (BYVAL dwId AS DWORD, BYVAL dwValue AS DWORD, BYREF pData AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetInvariantBooleanvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetInvariantBooleanvEXT(dwId, dwValue, pData)
END SUB

'// void glGetInvariantIntegervEXT (GLuint id, GLenum value, GLint *data);
SUB glGetInvariantIntegervEXT (BYVAL dwId AS DWORD, BYVAL dwValue AS DWORD, BYREF pData AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetInvariantIntegervEXT")
    IF pProc THEN CALL DWORD pProc USING glGetInvariantIntegervEXT(dwId, dwValue, pData)
END SUB

'// void glGetInvariantFloatvEXT (GLuint id, GLenum value, GLfloat *data);
SUB glGetInvariantFloatvEXT (BYVAL dwId AS DWORD, BYVAL dwValue AS DWORD, BYREF pData AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetInvariantFloatvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetInvariantFloatvEXT(dwId, dwValue, pData)
END SUB

'// void glGetLocalConstantBooleanvEXT (GLuint id, GLenum value, GLboolean *data);
SUB glGetLocalConstantBooleanvEXT (BYVAL dwId AS DWORD, BYVAL dwValue AS DWORD, BYREF pData AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetLocalConstantBooleanvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetLocalConstantBooleanvEXT(dwId, dwValue, pData)
END SUB

'// void glGetLocalConstantIntegervEXT (GLuint id, GLenum value, GLint *data);
SUB glGetLocalConstantIntegervEXT (BYVAL dwId AS DWORD, BYVAL dwValue AS DWORD, BYREF pData AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetLocalConstantIntegervEXT")
    IF pProc THEN CALL DWORD pProc USING glGetLocalConstantIntegervEXT(dwId, dwValue, pData)
END SUB

'// void glGetLocalConstantFloatvEXT (GLuint id, GLenum value, GLfloat *data);
SUB glGetLocalConstantFloatvEXT (BYVAL dwId AS DWORD, BYVAL dwValue AS DWORD, BYREF pData AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetLocalConstantFloatvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetLocalConstantFloatvEXT(dwId, dwValue, pData)
END SUB

'// void glVertexStream1sATI (GLenum stream, GLshort x);
SUB glVertexStream1sATI (BYVAL dwStream AS DWORD, BYVAL x AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream1sATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream1sATI(dwStream, x)
END SUB

'// void glVertexStream1svATI (GLenum stream, const GLshort *coords);
SUB glVertexStream1svATI (BYVAL dwStream AS DWORD, BYREF coords AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream1svATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream1svATI(dwStream, coords)
END SUB

'// void glVertexStream1iATI (GLenum stream, GLint x);
SUB glVertexStream1iATI (BYVAL dwStream AS DWORD, BYVAL x AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream1iATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream1iATI(dwStream, x)
END SUB

'// void glVertexStream1ivATI (GLenum stream, const GLint *coords);
SUB glVertexStream1ivATI (BYVAL dwStream AS DWORD, BYREF coords AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream1ivATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream1ivATI(dwStream, coords)
END SUB

'// void glVertexStream1fATI (GLenum stream, GLfloat x);
SUB glVertexStream1fATI (BYVAL dwStream AS DWORD, BYVAL x AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream1fATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream1fATI(dwStream, x)
END SUB

'// void glVertexStream1fvATI (GLenum stream, const GLfloat *coords);
SUB glVertexStream1fvATI (BYVAL dwStream AS DWORD, BYREF coords AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream1fvATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream1fvATI(dwStream, coords)
END SUB

'// void glVertexStream1dATI (GLenum stream, GLdouble x);
SUB glVertexStream1dATI (BYVAL dwStream AS DWORD, BYVAL x AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream1dATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream1dATI(dwStream, x)
END SUB

'// void glVertexStream1dvATI (GLenum stream, const GLdouble *coords);
SUB glVertexStream1dvATI (BYVAL dwStream AS DWORD, BYREF coords AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream1dvATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream1dvATI(dwStream, coords)
END SUB

'// void glVertexStream2sATI (GLenum stream, GLshort x, GLshort y);
SUB glVertexStream2sATI (BYVAL dwStream AS DWORD, BYVAL x AS INTEGER, BYVAL y AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream2sATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream2sATI(dwStream, x, y)
END SUB

'// void glVertexStream2svATI (GLenum stream, const GLshort *coords);
SUB glVertexStream2svATI (BYVAL dwStream AS DWORD, BYREF coords AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream2svATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream2svATI(dwStream, coords)
END SUB

'// void glVertexStream2iATI (GLenum stream, GLint x, GLint y);
SUB glVertexStream2iATI (BYVAL dwStream AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream2iATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream2iATI(dwStream, x, y)
END SUB

'// void glVertexStream2ivATI (GLenum stream, const GLint *coords);
SUB glVertexStream2ivATI (BYVAL dwStream AS DWORD, BYREF coords AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream2ivATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream2ivATI(dwStream, coords)
END SUB

'// void glVertexStream2fATI (GLenum stream, GLfloat x, GLfloat y);
SUB glVertexStream2fATI (BYVAL dwStream AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream2fATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream2fATI(dwStream, x, y)
END SUB

'// void glVertexStream2fvATI (GLenum stream, const GLfloat *coords);
SUB glVertexStream2fvATI (BYVAL dwStream AS DWORD, BYREF coords AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream2fvATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream2fvATI(dwStream, coords)
END SUB

'// void glVertexStream2dATI (GLenum stream, GLdouble x, GLdouble y);
SUB glVertexStream2dATI (BYVAL dwStream AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream2dATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream2dATI(dwStream, x, y)
END SUB

'// void glVertexStream2dvATI (GLenum stream, const GLdouble *coords);
SUB glVertexStream2dvATI (BYVAL dwStream AS DWORD, BYREF coords AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream2dvATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream2dvATI(dwStream, coords)
END SUB

'// void glVertexStream3sATI (GLenum stream, GLshort x, GLshort y, GLshort z);
SUB glVertexStream3sATI (BYVAL dwStream AS DWORD, BYVAL x AS INTEGER, BYVAL y AS INTEGER, BYVAL z AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream3sATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream3sATI(dwStream, x, y, z)
END SUB

'// void glVertexStream3svATI (GLenum stream, const GLshort *coords);
SUB glVertexStream3svATI (BYVAL dwStream AS DWORD, BYREF coords AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream3svATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream3svATI(dwStream, coords)
END SUB

'// void glVertexStream3iATI (GLenum stream, GLint x, GLint y, GLint z);
SUB glVertexStream3iATI (BYVAL dwStream AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL z AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream3iATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream3iATI(dwStream, x, y, z)
END SUB

'// void glVertexStream3ivATI (GLenum stream, const GLint *coords);
SUB glVertexStream3ivATI (BYVAL dwStream AS DWORD, BYREF coords AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream3ivATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream3ivATI(dwStream, coords)
END SUB

'// void glVertexStream3fATI (GLenum stream, GLfloat x, GLfloat y, GLfloat z);
SUB glVertexStream3fATI (BYVAL dwStream AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream3fATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream3fATI(dwStream, x, y, z)
END SUB

'// void glVertexStream3fvATI (GLenum stream, const GLfloat *coords);
SUB glVertexStream3fvATI (BYVAL dwStream AS DWORD, BYREF coords AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream3fvATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream3fvATI(dwStream, coords)
END SUB

'// void glVertexStream3dATI (GLenum stream, GLdouble x, GLdouble y, GLdouble z);
SUB glVertexStream3dATI (BYVAL dwStream AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream3dATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream3dATI(dwStream, x, y, z)
END SUB

'// void glVertexStream3dvATI (GLenum stream, const GLdouble *coords);
SUB glVertexStream3dvATI (BYVAL dwStream AS DWORD, BYREF coords AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream3dvATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream3dvATI(dwStream, coords)
END SUB

'// void glVertexStream4sATI (GLenum stream, GLshort x, GLshort y, GLshort z, GLshort w);
SUB glVertexStream4sATI (BYVAL dwStream AS DWORD, BYVAL x AS INTEGER, BYVAL y AS INTEGER, BYVAL z AS INTEGER, BYVAL w AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream4sATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream4sATI(dwStream, x, y, z, w)
END SUB

'// void glVertexStream4svATI (GLenum stream, const GLshort *coords);
SUB glVertexStream4svATI (BYVAL dwStream AS DWORD, BYREF coords AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream4svATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream4svATI(dwStream, coords)
END SUB

'// void glVertexStream4iATI (GLenum stream, GLint x, GLint y, GLint z, GLint w);
SUB glVertexStream4iATI (BYVAL dwStream AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL z AS LONG, BYVAL w AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream4iATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream4iATI(dwStream, x, y, z, w)
END SUB

'// void glVertexStream4ivATI (GLenum stream, const GLint *coords);
SUB glVertexStream4ivATI (BYVAL dwStream AS DWORD, BYREF coords AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream4ivATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream4ivATI(dwStream, coords)
END SUB

'// void glVertexStream4fATI (GLenum stream, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
SUB glVertexStream4fATI (BYVAL dwStream AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE, BYVAL w AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream4fATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream4fATI(dwStream, x, y, z, w)
END SUB

'// void glVertexStream4fvATI (GLenum stream, const GLfloat *coords);
SUB glVertexStream4fvATI (BYVAL dwStream AS DWORD, BYREF coords AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream4fvATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream4fvATI(dwStream, coords)
END SUB

'// void glVertexStream4dATI (GLenum stream, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
SUB glVertexStream4dATI (BYVAL dwStream AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE, BYVAL w AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream4dATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream4dATI(dwStream, x, y, z, w)
END SUB

'// void glVertexStream4dvATI (GLenum stream, const GLdouble *coords);
SUB glVertexStream4dvATI (BYVAL dwStream AS DWORD, BYREF coords AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexStream4dvATI")
    IF pProc THEN CALL DWORD pProc USING glVertexStream4dvATI(dwStream, coords)
END SUB

'// void glNormalStream3bATI (GLenum stream, GLbyte nx, GLbyte ny, GLbyte nz);
SUB glNormalStream3bATI (BYVAL dwStream AS DWORD, BYVAL nx AS BYTE, BYVAL ny AS BYTE, BYVAL nz AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalStream3bATI")
    IF pProc THEN CALL DWORD pProc USING glNormalStream3bATI(dwStream, nx, ny, nz)
END SUB

'// void glNormalStream3bvATI (GLenum stream, const GLbyte *coords);
SUB glNormalStream3bvATI (BYVAL dwStream AS DWORD, BYREF coords AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalStream3bvATI")
    IF pProc THEN CALL DWORD pProc USING glNormalStream3bvATI(dwStream, coords)
END SUB

'// void glNormalStream3sATI (GLenum stream, GLshort nx, GLshort ny, GLshort nz);
SUB glNormalStream3sATI (BYVAL dwStream AS DWORD, BYVAL nx AS INTEGER, BYVAL ny AS INTEGER, BYVAL nz AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalStream3sATI")
    IF pProc THEN CALL DWORD pProc USING glNormalStream3sATI(dwStream, nx, ny, nz)
END SUB

'// void glNormalStream3svATI (GLenum stream, const GLshort *coords);
SUB glNormalStream3svATI (BYVAL dwStream AS DWORD, BYREF coords AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalStream3svATI")
    IF pProc THEN CALL DWORD pProc USING glNormalStream3svATI(dwStream, coords)
END SUB

'// void glNormalStream3iATI (GLenum stream, GLint nx, GLint ny, GLint nz);
SUB glNormalStream3iATI (BYVAL dwStream AS DWORD, BYVAL nx AS LONG, BYVAL ny AS LONG, BYVAL nz AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalStream3iATI")
    IF pProc THEN CALL DWORD pProc USING glNormalStream3iATI(dwStream, nx, ny, nz)
END SUB

'// void glNormalStream3ivATI (GLenum stream, const GLint *coords);
SUB glNormalStream3ivATI (BYVAL dwStream AS DWORD, BYREF coords AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalStream3ivATI")
    IF pProc THEN CALL DWORD pProc USING glNormalStream3ivATI(dwStream, coords)
END SUB

'// void glNormalStream3fATI (GLenum stream, GLfloat nx, GLfloat ny, GLfloat nz);
SUB glNormalStream3fATI (BYVAL dwStream AS DWORD, BYVAL nx AS SINGLE, BYVAL ny AS SINGLE, BYVAL nz AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalStream3fATI")
    IF pProc THEN CALL DWORD pProc USING glNormalStream3fATI(dwStream, nx, ny, nz)
END SUB

'// void glNormalStream3fvATI (GLenum stream, const GLfloat *coords);
SUB glNormalStream3fvATI (BYVAL dwStream AS DWORD, BYREF coords AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalStream3fvATI")
    IF pProc THEN CALL DWORD pProc USING glNormalStream3fvATI(dwStream, coords)
END SUB

'// void glNormalStream3dATI (GLenum stream, GLdouble nx, GLdouble ny, GLdouble nz);
SUB glNormalStream3dATI (BYVAL dwStream AS DWORD, BYVAL nx AS DOUBLE, BYVAL ny AS DOUBLE, BYVAL nz AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalStream3dATI")
    IF pProc THEN CALL DWORD pProc USING glNormalStream3dATI(dwStream, nx, ny, nz)
END SUB

'// void glNormalStream3dvATI (GLenum stream, const GLdouble *coords);
SUB glNormalStream3dvATI (BYVAL dwStream AS DWORD, BYREF coords AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalStream3dvATI")
    IF pProc THEN CALL DWORD pProc USING glNormalStream3dvATI(dwStream, coords)
END SUB

'// void glClientActiveVertexStreamATI (GLenum stream);
SUB glClientActiveVertexStreamATI (BYVAL dwStream AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClientActiveVertexStreamATI")
    IF pProc THEN CALL DWORD pProc USING glClientActiveVertexStreamATI(dwStream)
END SUB

'// void glVertexBlendEnviATI (GLenum pname, GLint param);
SUB glVertexBlendEnviATI (BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexBlendEnviATI")
    IF pProc THEN CALL DWORD pProc USING glVertexBlendEnviATI(pname, param)
END SUB

'// void glVertexBlendEnvfATI (GLenum pname, GLfloat param);
SUB glVertexBlendEnvfATI (BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexBlendEnvfATI")
    IF pProc THEN CALL DWORD pProc USING glVertexBlendEnvfATI(pname, param)
END SUB

'// void glElementPointerATI (GLenum type, const GLvoid *pointer);
SUB glElementPointerATI (BYVAL dwType AS DWORD, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glElementPointerATI")
    IF pProc THEN CALL DWORD pProc USING glElementPointerATI(dwType, pPointer)
END SUB

'// void glDrawElementArrayATI (GLenum mode, GLsizei count);
SUB glDrawElementArrayATI (BYVAL dwMode AS DWORD, BYVAL nCount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawElementArrayATI")
    IF pProc THEN CALL DWORD pProc USING glDrawElementArrayATI(dwMode, nCount)
END SUB

'// void glDrawRangeElementArrayATI (GLenum mode, GLuint start, GLuint end, GLsizei count);
SUB glDrawRangeElementArrayATI (BYVAL dwMode AS DWORD, BYVAL dwStart AS DWORD, BYVAL dwEnd AS DWORD, BYVAL nCount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawRangeElementArrayATI")
    IF pProc THEN CALL DWORD pProc USING glDrawRangeElementArrayATI(dwMode, dwStart, dwEnd, nCount)
END SUB

'// void glDrawMeshArraysSUN (GLenum mode, GLint first, GLsizei count, GLsizei width);
SUB glDrawMeshArraysSUN (BYVAL dwMode AS DWORD, BYVAL nFirst AS LONG, BYVAL nCount AS LONG, BYVAL nWidth AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawMeshArraysSUN")
    IF pProc THEN CALL DWORD pProc USING glDrawMeshArraysSUN(dwMode, nFirst, nCount, nWidth)
END SUB

'// void glGenOcclusionQueriesNV (GLsizei n, GLuint *ids);
SUB glGenOcclusionQueriesNV (BYVAL n AS LONG, BYREF ids AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenOcclusionQueriesNV")
    IF pProc THEN CALL DWORD pProc USING glGenOcclusionQueriesNV(n, ids)
END SUB

'// void glDeleteOcclusionQueriesNV (GLsizei n, const GLuint *ids);
SUB glDeleteOcclusionQueriesNV (BYVAL n AS LONG, BYREF ids AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteOcclusionQueriesNV")
    IF pProc THEN CALL DWORD pProc USING glDeleteOcclusionQueriesNV(n, ids)
END SUB

'// GLboolean glIsOcclusionQueryNV (GLuint id);
FUNCTION glIsOcclusionQueryNV (BYVAL dwId AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsOcclusionQueryNV")
    IF pProc THEN CALL DWORD pProc USING glIsOcclusionQueryNV(dwId) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glBeginOcclusionQueryNV (GLuint id)
SUB glBeginOcclusionQueryNV (BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBeginOcclusionQueryNV")
    IF pProc THEN CALL DWORD pProc USING glBeginOcclusionQueryNV(dwId)
END SUB

'// void glEndOcclusionQueryNV (void);
SUB glEndOcclusionQueryNV
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEndOcclusionQueryNV")
    IF pProc THEN CALL DWORD pProc USING glEndOcclusionQueryNV
END SUB

'// void glGetOcclusionQueryivNV (GLuint id, GLenum pname, GLint *params);
SUB glGetOcclusionQueryivNV (BYVAL dwId AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetOcclusionQueryivNV")
    IF pProc THEN CALL DWORD pProc USING glGetOcclusionQueryivNV(dwId, pname, params)
END SUB

'// void glGetOcclusionQueryuivNV (GLuint id, GLenum pname, GLuint *params);
SUB glGetOcclusionQueryuivNV (BYVAL dwId AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetOcclusionQueryuivNV")
    IF pProc THEN CALL DWORD pProc USING glGetOcclusionQueryuivNV(dwId, pname, params)
END SUB

'// void glPointParameteriNV (GLenum pname, GLint param);
SUB glPointParameteriNV (BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPointParameteriNV")
    IF pProc THEN CALL DWORD pProc USING glPointParameteriNV(pname, param)
END SUB

'// void glPointParameterivNV (GLenum pname, const GLint *params);
SUB glPointParameterivNV (BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPointParameterivNV")
    IF pProc THEN CALL DWORD pProc USING glPointParameterivNV(pname, params)
END SUB

'// GLAPI void glActiveStencilFaceEXT (GLenum);
'// typedef void (APIENTRYP PFNGLACTIVESTENCILFACEEXTPROC) (GLenum face);
SUB glActiveStencilFaceEXT (BYVAL dwFace AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glActiveStencilFaceEXT")
    IF pProc THEN CALL DWORD pProc USING glActiveStencilFaceEXT(dwFace)
END SUB

'// void glElementPointerAPPLE (GLenum type, const GLvoid *pointer);
SUB glElementPointerAPPLE (BYVAL dwType AS DWORD, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glElementPointerAPPLE")
    IF pProc THEN CALL DWORD pProc USING glElementPointerAPPLE(dwType, pPointer)
END SUB

'// void glDrawElementArrayAPPLE (GLenum mode, GLint first, GLsizei count);
SUB glDrawElementArrayAPPLE (BYVAL dwMode AS DWORD, BYVAL nFirst AS LONG, BYVAL nCount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawElementArrayAPPLE")
    IF pProc THEN CALL DWORD pProc USING glDrawElementArrayAPPLE(dwMode, nFirst, nCount)
END SUB

'// void glDrawRangeElementArrayAPPLE (GLenum mode, GLuint start, GLuint end, GLint first, GLsizei count);
SUB glDrawRangeElementArrayAPPLE (BYVAL dwMode AS DWORD, BYVAL dwStart AS DWORD, BYVAL dwEnd AS DWORD, BYVAL nFirst AS LONG, BYVAL nCount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawRangeElementArrayAPPLE")
    IF pProc THEN CALL DWORD pProc USING glDrawRangeElementArrayAPPLE(dwMode, dwStart, dwEnd, nFirst, nCount)
END SUB

'// void glMultiDrawElementArrayAPPLE (GLenum mode, const GLint *first, const GLsizei *count, GLsizei primcount);
SUB glMultiDrawElementArrayAPPLE (BYVAL dwMode AS DWORD, BYREF nFirst AS LONG, BYREF nCount AS LONG, BYVAL primcount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiDrawElementArrayAPPLE")
    IF pProc THEN CALL DWORD pProc USING glMultiDrawElementArrayAPPLE(dwMode, nFirst, nCount, primcount)
END SUB

'// void glMultiDrawRangeElementArrayAPPLE (GLenum mode, GLuint start, GLuint end,
'// const GLint *first, const GLsizei *count, GLsizei primcount);
SUB glMultiDrawRangeElementArrayAPPLE (BYVAL dwMode AS DWORD, BYVAL dwStart AS DWORD, _
    BYVAL dwEnd AS DWORD, BYREF nFirst AS LONG, BYREF nCount AS LONG, BYVAL primcount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiDrawRangeElementArrayAPPLE")
    IF pProc THEN CALL DWORD pProc USING glMultiDrawRangeElementArrayAPPLE(dwMode, dwStart, dwEnd, nFirst, nCount, primcount)
END SUB

'// void glGenFencesAPPLE (GLsizei n, GLuint *fences);
SUB glGenFencesAPPLE (BYVAL n AS LONG, BYREF fences AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenFencesAPPLE")
    IF pProc THEN CALL DWORD pProc USING glGenFencesAPPLE(n, fences)
END SUB

'// void glDeleteFencesAPPLE (GLsizei n, const GLuint *fences);
SUB glDeleteFencesAPPLE (BYVAL n AS LONG, BYREF fences AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteFencesAPPLE")
    IF pProc THEN CALL DWORD pProc USING glDeleteFencesAPPLE(n, fences)
END SUB

'// void glSetFenceAPPLE (GLuint fence);
SUB glSetFenceAPPLE (BYVAL fence AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSetFenceAPPLE")
    IF pProc THEN CALL DWORD pProc USING glSetFenceAPPLE(fence)
END SUB

'// GLAPI GLboolean glIsFenceAPPLE (GLuint);
'// typedef GLboolean (APIENTRYP PFNGLISFENCEAPPLEPROC) (GLuint fence);
FUNCTION glIsFenceAPPLE (BYVAL fence AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsFenceAPPLE")
    IF pProc THEN CALL DWORD pProc USING glIsFenceAPPLE(fence) TO bRes
    FUNCTION = bRes
END FUNCTION

'// GLboolean glTestFenceAPPLE (GLuint fence);
FUNCTION glTestFenceAPPLE (BYVAL fence AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glTestFenceAPPLE")
    IF pProc THEN CALL DWORD pProc USING glTestFenceAPPLE(fence) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glFinishFenceAPPLE (GLuint fence);
SUB glFinishFenceAPPLE (BYVAL fence AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFinishFenceAPPLE")
    IF pProc THEN CALL DWORD pProc USING glFinishFenceAPPLE(fence)
END SUB

'// GLboolean glTestObjectAPPLE (GLenum object, GLuint name);
FUNCTION glTestObjectAPPLE (BYVAL dwObject AS DWORD, BYVAL dwName AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glTestObjectAPPLE")
    IF pProc THEN CALL DWORD pProc USING glTestObjectAPPLE(dwObject, dwName) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glFinishObjectAPPLE (GLenum object, GLint name);
SUB glFinishObjectAPPLE (BYVAL dwObject AS DWORD, BYVAL nName AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFinishObjectAPPLE")
    IF pProc THEN CALL DWORD pProc USING glFinishObjectAPPLE(dwObject, nName)
END SUB

'// void glBindVertexArrayAPPLE (GLuint array);
SUB glBindVertexArrayAPPLE (BYVAL dwArray AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindVertexArrayAPPLE")
    IF pProc THEN CALL DWORD pProc USING glBindVertexArrayAPPLE(dwArray)
END SUB

'// void glDeleteVertexArraysAPPLE (GLsizei n, const GLuint *arrays);
SUB glDeleteVertexArraysAPPLE (BYVAL n AS LONG, BYREF arrays AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteVertexArraysAPPLE")
    IF pProc THEN CALL DWORD pProc USING glDeleteVertexArraysAPPLE(n, arrays)
END SUB

'// void glGenVertexArraysAPPLE (GLsizei n, GLuint *arrays);
SUB glGenVertexArraysAPPLE (BYVAL n AS LONG, BYREF arrays AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenVertexArraysAPPLE")
    IF pProc THEN CALL DWORD pProc USING glGenVertexArraysAPPLE(n, arrays)
END SUB

'// GLAPI GLboolean glIsVertexArrayAPPLE (GLuint);
'// typedef GLboolean (APIENTRYP PFNGLISVERTEXARRAYAPPLEPROC) (GLuint array);
FUNCTION glIsVertexArrayAPPLE (BYVAL dwArray AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsVertexArrayAPPLE")
    IF pProc THEN CALL DWORD pProc USING glIsVertexArrayAPPLE(dwArray) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glVertexArrayRangeAPPLE (GLsizei length, GLvoid *pointer);
SUB glVertexArrayRangeAPPLE (BYVAL nLength AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexArrayRangeAPPLE")
    IF pProc THEN CALL DWORD pProc USING glVertexArrayRangeAPPLE(nLength, pPointer)
END SUB

'// void glFlushVertexArrayRangeAPPLE (GLsizei length, GLvoid *pointer);
SUB glFlushVertexArrayRangeAPPLE (BYVAL nLength AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFlushVertexArrayRangeAPPLE")
    IF pProc THEN CALL DWORD pProc USING glFlushVertexArrayRangeAPPLE(nLength, pPointer)
END SUB

'// void glVertexArrayParameteriAPPLE (GLenum pname, GLint param);
SUB glVertexArrayParameteriAPPLE (BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexArrayParameteriAPPLE")
    IF pProc THEN CALL DWORD pProc USING glVertexArrayParameteriAPPLE(pname, param)
END SUB

'// void glDrawBuffersATI (GLsizei n, const GLenum *bufs);
SUB glDrawBuffersATI (BYVAL n AS LONG, BYREF bufs AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawBuffersATI")
    IF pProc THEN CALL DWORD pProc USING glDrawBuffersATI(n, bufs)
END SUB

'// void glProgramNamedParameter4fNV (GLuint id, GLsizei len, const GLubyte *name,
'// GLfloat x, GLfloat y, GLfloat z, GLfloat w);
SUB glProgramNamedParameter4fNV (BYVAL dwId AS DWORD, BYVAL nLen AS LONG, BYREF pname AS BYTE, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE, BYVAL w AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramNamedParameter4fNV")
    IF pProc THEN CALL DWORD pProc USING glProgramNamedParameter4fNV(dwId, nLen, pname, x, y, z, w)
END SUB

'// void glProgramNamedParameter4dNV (GLuint id, GLsizei len, const GLubyte *name,
'// GLdouble x, GLdouble y, GLdouble z, GLdouble w);
SUB glProgramNamedParameter4dNV (BYVAL dwId AS DWORD, BYVAL nLen AS LONG, BYREF pname AS BYTE, _
    BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE, BYVAL w AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramNamedParameter4dNV")
    IF pProc THEN CALL DWORD pProc USING glProgramNamedParameter4dNV(dwId, nLen, pname, x, y, z, w)
END SUB

'// void glProgramNamedParameter4fvNV (GLuint id, GLsizei len, const GLubyte *name, const GLfloat *v);
SUB glProgramNamedParameter4fvNV (BYVAL dwId AS DWORD, BYVAL nLen AS LONG, BYREF pname AS BYTE, BYREF v AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramNamedParameter4fvNV")
    IF pProc THEN CALL DWORD pProc USING glProgramNamedParameter4fvNV(dwId, nLen, pname, v)
END SUB

'// void glProgramNamedParameter4dvNV (GLuint id, GLsizei len, const GLubyte *name, const GLdouble *v);
SUB glProgramNamedParameter4dvNV (BYVAL dwId AS DWORD, BYVAL nLen AS LONG, BYREF pname AS BYTE, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramNamedParameter4dvNV")
    IF pProc THEN CALL DWORD pProc USING glProgramNamedParameter4dvNV(dwId, nLen, pname, v)
END SUB

'// void glGetProgramNamedParameterfvNV (GLuint id, GLsizei len, const GLubyte *name, GLfloat *params);
SUB glGetProgramNamedParameterfvNV (BYVAL dwId AS DWORD, BYVAL nLen AS LONG, BYREF pname AS BYTE, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramNamedParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glGetProgramNamedParameterfvNV(dwId, nLen, pname, params)
END SUB

'// void glGetProgramNamedParameterdvNV (GLuint id, GLsizei len, const GLubyte *name, GLdouble *params);
SUB glGetProgramNamedParameterdvNV (BYVAL dwId AS DWORD, BYVAL nLen AS LONG, BYREF pname AS BYTE, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramNamedParameterdvNV")
    IF pProc THEN CALL DWORD pProc USING glGetProgramNamedParameterdvNV(dwId, nLen, pname, params)
END SUB

'// void glVertex2hNV (GLhalfNV x, GLhalfNV y);
SUB glVertex2hNV (BYVAL x AS WORD, BYVAL y AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertex2hNV")
    IF pProc THEN CALL DWORD pProc USING glVertex2hNV(x, y)
END SUB

'// void glVertex2hvNV (const GLhalfNV *v);
SUB glVertex2hvNV (BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertex2hvNV")
    IF pProc THEN CALL DWORD pProc USING glVertex2hvNV(v)
END SUB

'// void glVertex3hNV (GLhalfNV x, GLhalfNV y, GLhalfNV z);
SUB glVertex3hNV (BYVAL x AS WORD, BYVAL y AS WORD, BYVAL z AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertex3hNV")
    IF pProc THEN CALL DWORD pProc USING glVertex3hNV(x, y, z)
END SUB

'// void glVertex3hvNV (const GLhalfNV *v);
SUB glVertex3hvNV (BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertex3hvNV")
    IF pProc THEN CALL DWORD pProc USING glVertex3hvNV(v)
END SUB

'// void glVertex4hNV (GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w);
SUB glVertex4hNV (BYVAL x AS WORD, BYVAL y AS WORD, BYVAL z AS WORD, BYVAL w AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertex4hNV")
    IF pProc THEN CALL DWORD pProc USING glVertex4hNV(x, y, z, w)
END SUB

'// void glVertex4hvNV (const GLhalfNV *v);
SUB glVertex4hvNV (BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertex4hvNV")
    IF pProc THEN CALL DWORD pProc USING glVertex4hvNV(v)
END SUB

'// void glNormal3hNV (GLhalfNV nx, GLhalfNV ny, GLhalfNV nz);
SUB glNormal3hNV (BYVAL nx AS WORD, BYVAL ny AS WORD, BYVAL nz AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormal3hNV")
    IF pProc THEN CALL DWORD pProc USING glNormal3hNV(nx, ny, nz)
END SUB

'// void glNormal3hvNV (const GLhalfNV *v);
SUB glNormal3hvNV (BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormal3hvNV")
    IF pProc THEN CALL DWORD pProc USING glNormal3hvNV(v)
END SUB

'// void glColor3hNV (GLhalfNV red, GLhalfNV green, GLhalfNV blue);
SUB glColor3hNV (BYVAL red AS WORD, BYVAL green AS WORD, BYVAL blue AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColor3hNV")
    IF pProc THEN CALL DWORD pProc USING glColor3hNV(red, green, blue)
END SUB

'// void glColor3hvNV (const GLhalfNV *v);
SUB glColor3hvNV (BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColor3hvNV")
    IF pProc THEN CALL DWORD pProc USING glColor3hvNV(v)
END SUB

'// void glColor4hNV (GLhalfNV red, GLhalfNV green, GLhalfNV blue, GLhalfNV alpha);
SUB glColor4hNV (BYVAL red AS WORD, BYVAL green AS WORD, BYVAL blue AS WORD, BYVAL alpha AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColor4hNV")
    IF pProc THEN CALL DWORD pProc USING glColor4hNV(red, green, blue, alpha)
END SUB

'// void glColor4hvNV (const GLhalfNV *v);
SUB glColor4hvNV (BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColor4hvNV")
    IF pProc THEN CALL DWORD pProc USING glColor4hvNV(v)
END SUB

'// void glTexCoord1hNV (GLhalfNV s);
SUB glTexCoord1hNV (BYVAL s AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord1hNV")
    IF pProc THEN CALL DWORD pProc USING glTexCoord1hNV(s)
END SUB

'// void glTexCoord1hvNV (const GLhalfNV *v);
SUB glTexCoord1hvNV (BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord1hvNV")
    IF pProc THEN CALL DWORD pProc USING glTexCoord1hvNV(v)
END SUB

'// void glTexCoord2hNV (GLhalfNV s, GLhalfNV t);
SUB glTexCoord2hNV (BYVAL s AS WORD, BYVAL t AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord2hNV")
    IF pProc THEN CALL DWORD pProc USING glTexCoord2hNV(s, t)
END SUB

'// void glTexCoord2hvNV (const GLhalfNV *v);
SUB glTexCoord2hvNV (BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord2hvNV")
    IF pProc THEN CALL DWORD pProc USING glTexCoord2hvNV(v)
END SUB

'// void glTexCoord3hNV (GLhalfNV s, GLhalfNV t, GLhalfNV r);
SUB glTexCoord3hNV (BYVAL s AS WORD, BYVAL t AS WORD, BYVAL r AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord3hNV")
    IF pProc THEN CALL DWORD pProc USING glTexCoord3hNV(s, t, r)
END SUB

'// void glTexCoord3hvNV (const GLhalfNV *v);
SUB glTexCoord3hvNV (BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord3hvNV")
    IF pProc THEN CALL DWORD pProc USING glTexCoord3hvNV(v)
END SUB

'// void glTexCoord4hNV (GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q);
SUB glTexCoord4hNV (BYVAL s AS WORD, BYVAL t AS WORD, BYVAL r AS WORD, BYVAL q AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord4hNV")
    IF pProc THEN CALL DWORD pProc USING glTexCoord4hNV(s, t, r, q)
END SUB

'// void glTexCoord4hvNV (const GLhalfNV *v);
SUB glTexCoord4hvNV (BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoord4hvNV")
    IF pProc THEN CALL DWORD pProc USING glTexCoord4hvNV(v)
END SUB

'// void glMultiTexCoord1hNV (GLenum target, GLhalfNV s);
SUB glMultiTexCoord1hNV (BYVAL dwTarget AS DWORD, BYVAL s AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1hNV")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1hNV(dwTarget, s)
END SUB

'// void glMultiTexCoord1hvNV (GLenum target, const GLhalfNV *v);
SUB glMultiTexCoord1hvNV (BYVAL dwTarget AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord1hvNV")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord1hvNV(dwTarget, v)
END SUB

'// void glMultiTexCoord2hNV (GLenum target, GLhalfNV s, GLhalfNV t);
SUB glMultiTexCoord2hNV (BYVAL dwTarget AS DWORD, BYVAL s AS WORD, BYVAL t AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2hNV")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2hNV(dwTarget, s, t)
END SUB

'// void glMultiTexCoord2hvNV (GLenum target, const GLhalfNV *v);
SUB glMultiTexCoord2hvNV (BYVAL dwTarget AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord2hvNV")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord2hvNV(dwTarget, v)
END SUB

'// void glMultiTexCoord3hNV (GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r);
SUB glMultiTexCoord3hNV (BYVAL dwTarget AS DWORD, BYVAL s AS WORD, BYVAL t AS WORD, BYVAL r AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3hNV")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3hNV(dwTarget, s, t, r)
END SUB

'// void glMultiTexCoord3hvNV (GLenum target, const GLhalfNV *v);
SUB glMultiTexCoord3hvNV (BYVAL dwTarget AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord3hvNV")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord3hvNV(dwTarget, v)
END SUB

'// void glMultiTexCoord4hNV (GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q);
SUB glMultiTexCoord4hNV (BYVAL dwTarget AS DWORD, BYVAL s AS WORD, BYVAL t AS  WORD, BYVAL r AS WORD, BYVAL q AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4hNV")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4hNV(dwTarget, s, t, r, q)
END SUB

'// void glMultiTexCoord4hvNV (GLenum target, const GLhalfNV *v);
SUB glMultiTexCoord4hvNV (BYVAL dwTarget AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoord4hvNV")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoord4hvNV(dwTarget, v)
END SUB

'// void glFogCoordhNV (GLhalfNV fog);
SUB glFogCoordhNV (BYVAL fog AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoordhNV")
    IF pProc THEN CALL DWORD pProc USING glFogCoordhNV(fog)
END SUB

'// void glFogCoordhvNV (const GLhalfNV *fog);
SUB glFogCoordhvNV (BYREF fog AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoordhvNV")
    IF pProc THEN CALL DWORD pProc USING glFogCoordhvNV(fog)
END SUB

'// void glSecondaryColor3hNV (GLhalfNV red, GLhalfNV green, GLhalfNV blue);
SUB glSecondaryColor3hNV (BYVAL red AS WORD, BYVAL green AS WORD, BYVAL blue AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3hNV")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColor3hNV(red, green, blue)
END SUB

'// void glSecondaryColor3hvNV (const GLhalfNV *v);
SUB glSecondaryColor3hvNV (BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColor3hvNV")
    IF pProc THEN CALL DWORD pProc USING glFogCoordhvNV(v)
END SUB

'// void glVertexWeighthNV (GLhalfNV weight);
SUB glVertexWeighthNV (BYVAL weight AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexWeighthNV")
    IF pProc THEN CALL DWORD pProc USING glVertexWeighthNV(weight)
END SUB

'// void glVertexWeighthvNV (const GLhalfNV *weight);
SUB glVertexWeighthvNV (BYREF weight AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexWeighthvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexWeighthvNV(weight)
END SUB

'// void glVertexAttrib1hNV (GLuint index, GLhalfNV x);
SUB glVertexAttrib1hNV (BYVAL dwIndex AS DWORD, BYVAL x AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1hNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1hNV(dwIndex, x)
END SUB

'// void glVertexAttrib1hvNV (GLuint index, const GLhalfNV *v);
SUB glVertexAttrib1hvNV (BYVAL dwIndex AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib1hvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib1hvNV(dwIndex, v)
END SUB

'// void glVertexAttrib2hNV (GLuint index, GLhalfNV x, GLhalfNV y);
SUB glVertexAttrib2hNV (BYVAL dwIndex AS DWORD, BYVAL x AS WORD, BYVAL y AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2hNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2hNV(dwIndex, x, y)
END SUB

'// void glVertexAttrib2hvNV (GLuint index, const GLhalfNV *v);
SUB glVertexAttrib2hvNV (BYVAL dwIndex AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib2hvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib2hvNV(dwIndex, v)
END SUB

'// void glVertexAttrib3hNV (GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z);
SUB glVertexAttrib3hNV (BYVAL dwIndex AS DWORD, BYVAL x AS WORD, BYVAL y AS WORD, BYVAL z AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3hNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3hNV(dwIndex, x, y, z)
END SUB

'// void glVertexAttrib3hvNV (GLuint index, const GLhalfNV *v);
SUB glVertexAttrib3hvNV (BYVAL dwIndex AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib3hvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib3hvNV(dwIndex, v)
END SUB

'// void glVertexAttrib4hNV (GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w);
SUB glVertexAttrib4hNV (BYVAL dwIndex AS DWORD, BYVAL x AS WORD, BYVAL y AS WORD, BYVAL z AS WORD, BYVAL w AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4hNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4hNV(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttrib4hvNV (GLuint index, const GLhalfNV *v);
SUB glVertexAttrib4hvNV (BYVAL dwIndex AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttrib4hvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttrib4hvNV(dwIndex, v)
END SUB

'// void glVertexAttribs1hvNV (GLuint index, GLsizei n, const GLhalfNV *v);
SUB glVertexAttribs1hvNV (BYVAL dwIndex AS DWORD, BYVAL n AS LONG, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs1hvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs1hvNV(dwIndex, n, v)
END SUB

'// void glVertexAttribs2hvNV (GLuint index, GLsizei n, const GLhalfNV *v);
SUB glVertexAttribs2hvNV (BYVAL dwIndex AS DWORD, BYVAL n AS LONG, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs2hvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs2hvNV(dwIndex, n, v)
END SUB

'// void glVertexAttribs3hvNV (GLuint index, GLsizei n, const GLhalfNV *v);
SUB glVertexAttribs3hvNV (BYVAL dwIndex AS DWORD, BYVAL n AS LONG, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs3hvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs3hvNV(dwIndex, n, v)
END SUB

'// void glVertexAttribs4hvNV (GLuint index, GLsizei n, const GLhalfNV *v);
SUB glVertexAttribs4hvNV (BYVAL dwIndex AS DWORD, BYVAL n AS LONG, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribs4hvNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribs4hvNV(dwIndex, n, v)
END SUB

'// void glPixelDataRangeNV (GLenum target, GLsizei length, GLvoid *pointer);
SUB glPixelDataRangeNV (BYVAL dwTarget AS DWORD, BYVAL nLength AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPixelDataRangeNV")
    IF pProc THEN CALL DWORD pProc USING glPixelDataRangeNV(dwTarget, nLength, pPointer)
END SUB

'// void glFlushPixelDataRangeNV (GLenum target);
SUB glFlushPixelDataRangeNV (BYVAL dwTarget AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFlushPixelDataRangeNV")
    IF pProc THEN CALL DWORD pProc USING glFlushPixelDataRangeNV(dwTarget)
END SUB

'// void glPrimitiveRestartNV (void);
SUB glPrimitiveRestartNV
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPrimitiveRestartNV")
    IF pProc THEN CALL DWORD pProc USING glPrimitiveRestartNV
END SUB

'// void glPrimitiveRestartIndexNV (GLuint index);
SUB glPrimitiveRestartIndexNV (BYVAL dwIndex AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPrimitiveRestartIndexNV")
    IF pProc THEN CALL DWORD pProc USING glPrimitiveRestartIndexNV(dwIndex)
END SUB

'// GLvoid* glMapObjectBufferATI (GLuint buffer);
FUNCTION glMapObjectBufferATI (BYVAL buffer AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glMapObjectBufferATI")
    IF pProc THEN CALL DWORD pProc USING glMapObjectBufferATI(buffer) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glUnmapObjectBufferATI (GLuint buffer);
SUB glUnmapObjectBufferATI (BYVAL buffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUnmapObjectBufferATI")
    IF pProc THEN CALL DWORD pProc USING glUnmapObjectBufferATI(buffer)
END SUB

'// void glStencilOpSeparateATI (GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass);
SUB glStencilOpSeparateATI (BYVAL dwFace AS DWORD, BYVAL sfail AS DWORD, BYVAL dpfail AS DWORD, BYVAL dppass AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStencilOpSeparateATI")
    IF pProc THEN CALL DWORD pProc USING glStencilOpSeparateATI(dwFace, sfail, dpfail, dppass)
END SUB

'// void glStencilFuncSeparateATI (GLenum , GLenum , GLint ref, GLuint mask);
SUB glStencilFuncSeparateATI (BYVAL frontfunc AS DWORD, BYVAL backfunc AS DWORD, BYVAL nRef AS LONG, BYVAL dwMask AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStencilFuncSeparateATI")
    IF pProc THEN CALL DWORD pProc USING glStencilFuncSeparateATI(frontfunc, backfunc, nRef, dwMask)
END SUB

'// void glVertexAttribArrayObjectATI (GLuint index, GLint size, GLenum type,
'// GLboolean normalized, GLsizei stride, GLuint buffer, GLuint offset);
SUB glVertexAttribArrayObjectATI (BYVAL dwIndex AS DWORD, BYVAL nSize AS LONG, BYVAL dwType AS DWORD, _
    BYVAL normalized AS BYTE, BYVAL nStride AS LONG, BYVAL buffer AS DWORD, BYVAL dwOffset AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribArrayObjectATI")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribArrayObjectATI(dwIndex, nSize, dwType, normalized, nStride, buffer, dwOffset)
END SUB

'// void glGetVertexAttribArrayObjectfvATI (GLuint index, GLenum pname, GLfloat *params);
SUB glGetVertexAttribArrayObjectfvATI (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribArrayObjectfvATI")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribArrayObjectfvATI(dwIndex, pname, params)
END SUB

'// void glGetVertexAttribArrayObjectivATI (GLuint index, GLenum pname, GLint *params);
SUB glGetVertexAttribArrayObjectivATI (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribArrayObjectivATI")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribArrayObjectivATI(dwIndex, pname, params)
END SUB

'// void glDepthBoundsEXT (GLclampd zmin, GLclampd zmax);
SUB glDepthBoundsEXT (BYVAL zmin AS DOUBLE, BYVAL zmax AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDepthBoundsEXT")
    IF pProc THEN CALL DWORD pProc USING glDepthBoundsEXT(zmin, zmax)
END SUB

'// void glBlendEquationSeparateEXT (GLenum modeRGB, GLenum modeAlpha);
SUB glBlendEquationSeparateEXT (BYVAL modeRGB AS DWORD, BYVAL modeAlpha AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendEquationSeparateEXT")
    IF pProc THEN CALL DWORD pProc USING glBlendEquationSeparateEXT(modeRGB, modeAlpha)
END SUB

'// GLboolean glIsRenderbufferEXT (GLuint );
FUNCTION glIsRenderbufferEXT (BYVAL renderbuffer AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsRenderbufferEXT")
    IF pProc THEN CALL DWORD pProc USING glIsRenderbufferEXT(renderbuffer) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glBindRenderbufferEXT (GLenum target, GLuint renderbuffer);
SUB glBindRenderbufferEXT (BYVAL dwTarget AS DWORD, BYVAL renderbuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindRenderbufferEXT")
    IF pProc THEN CALL DWORD pProc USING glBindRenderbufferEXT(dwTarget, renderbuffer)
END SUB

'// void glDeleteRenderbuffersEXT (GLsizei n, const GLuint *renderbuffers);
SUB glDeleteRenderbuffersEXT (BYVAL n AS LONG, BYREF renderbuffers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteRenderbuffersEXT")
    IF pProc THEN CALL DWORD pProc USING glDeleteRenderbuffersEXT(n, renderbuffers)
END SUB

'// void glGenRenderbuffersEXT (GLsizei n, GLuint *renderbuffers);
SUB glGenRenderbuffersEXT (BYVAL n AS LONG, BYREF renderbuffers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenRenderbuffersEXT")
    IF pProc THEN CALL DWORD pProc USING glGenRenderbuffersEXT(n, renderbuffers)
END SUB

'// void glRenderbufferStorageEXT (GLenum target, GLenum internalformat, GLsizei width, GLsizei height);
SUB glRenderbufferStorageEXT (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glRenderbufferStorageEXT")
    IF pProc THEN CALL DWORD pProc USING glRenderbufferStorageEXT(dwTarget, internalformat, nWidth, nHeight)
END SUB

'// void glGetRenderbufferParameterivEXT (GLenum target, GLenum pname, GLint *params);
SUB glGetRenderbufferParameterivEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetRenderbufferParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetRenderbufferParameterivEXT(dwTarget, pname, params)
END SUB

'// GLAPI GLboolean glIsFramebufferEXT (GLuint);
'// typedef GLboolean (APIENTRYP PFNGLISFRAMEBUFFEREXTPROC) (GLuint framebuffer);
FUNCTION glIsFramebufferEXT (BYVAL framebuffer AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsFramebufferEXT")
    IF pProc THEN CALL DWORD pProc USING glIsFramebufferEXT(framebuffer) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glBindFramebufferEXT (GLenum target, GLuint framebuffer);
SUB glBindFramebufferEXT (BYVAL dwTarget AS DWORD, BYVAL framebuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindFramebufferEXT")
    IF pProc THEN CALL DWORD pProc USING glBindFramebufferEXT(dwTarget, framebuffer)
END SUB

'// void glDeleteFramebuffersEXT (GLsizei n, const GLuint *framebuffers);
SUB glDeleteFramebuffersEXT (BYVAL n AS LONG, BYREF framebuffers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteFramebuffersEXT")
    IF pProc THEN CALL DWORD pProc USING glDeleteFramebuffersEXT(n, framebuffers)
END SUB

'// void glGenFramebuffersEXT (GLsizei n, GLuint *framebuffers);
SUB glGenFramebuffersEXT (BYVAL n AS LONG, BYREF framebuffers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenFramebuffersEXT")
    IF pProc THEN CALL DWORD pProc USING glGenFramebuffersEXT(n, framebuffers)
END SUB

'// GLenum glCheckFramebufferStatusEXT (GLenum target);
FUNCTION glCheckFramebufferStatusEXT (BYVAL dwTarget AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glCheckFramebufferStatusEXT")
    IF pProc THEN CALL DWORD pProc USING glCheckFramebufferStatusEXT(dwTarget) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glFramebufferTexture1DEXT (GLenum target, GLenum attachment, GLenum textarget,
'// GLuint texture, GLint level);
SUB glFramebufferTexture1DEXT (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTexttarget AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTexture1DEXT")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTexture1DEXT(dwTarget, dwAttachment, dwTexttarget, dwTexture, nLevel)
END SUB

'// void glFramebufferTexture2DEXT (GLenum target, GLenum attachment, GLenum textarget,
'// GLuint texture, GLint level);
SUB glFramebufferTexture2DEXT (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTexttarget AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTexture2DEXT")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTexture2DEXT(dwTarget, dwAttachment, dwTexttarget, dwTexture, nLevel)
END SUB

'// void glFramebufferTexture3DEXT (GLenum target, GLenum attachment, GLenum textarget,
'// GLuint texture, GLint level, GLint zoffset);
SUB glFramebufferTexture3DEXT (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTexttarget AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG, BYVAL zoffset AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTexture3DEXT")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTexture3DEXT(dwTarget, dwAttachment, dwTexttarget, dwTexture, nLevel, zoffset)
END SUB

'// void glFramebufferRenderbufferEXT (GLenum target, GLenum attachment,
'// GLenum renderbuffertarget, GLuint renderbuffer);
SUB glFramebufferRenderbufferEXT (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL renderbuffertarget AS DWORD, BYVAL renderbuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferRenderbufferEXT")
    IF pProc THEN CALL DWORD pProc USING glFramebufferRenderbufferEXT(dwTarget, dwAttachment, renderbuffertarget, renderbuffer)
END SUB

'// void glGetFramebufferAttachmentParameterivEXT (GLenum target, GLenum attachment,
'// GLenum pname, GLint *params);
SUB glGetFramebufferAttachmentParameterivEXT (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetFramebufferAttachmentParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetFramebufferAttachmentParameterivEXT(dwTarget, dwAttachment, pname, params)
END SUB

'// void glGenerateMipmapEXT (GLenum target);
SUB glGenerateMipmapEXT (BYVAL dwTarget AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenerateMipmapEXT")
    IF pProc THEN CALL DWORD pProc USING glGenerateMipmapEXT(dwTarget)
END SUB

'// void glStringMarkerGREMEDY (GLsizei len, const GLvoid *string);
SUB glStringMarkerGREMEDY (BYVAL nLength AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStringMarkerGREMEDY")
    IF pProc THEN CALL DWORD pProc USING glStringMarkerGREMEDY(nLength, pPointer)
END SUB

'// void glStencilClearTagEXT (GLsizei stencilTagBits, GLuint stencilClearTag);
SUB glStencilClearTagEXT (BYVAL stencilTagBits AS LONG, BYVAL stencilClearTag AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStencilClearTagEXT")
    IF pProc THEN CALL DWORD pProc USING glStencilClearTagEXT(stencilTagBits, stencilClearTag)
END SUB

'// void glBlitFramebufferEXT (GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1,
'// GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter);
SUB glBlitFramebufferEXT (BYVAL srcX0 AS LONG, BYVAL srcY0 AS LONG, BYVAL srcX1 AS LONG, _
    BYVAL srcY1 AS LONG, BYVAL dstX0 AS LONG, BYVAL dstY0 AS LONG, BYVAL dstX1 AS LONG, _
    BYVAL dstY1 AS LONG, BYVAL dwMask AS DWORD, BYVAL dwFilter AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlitFramebufferEXT")
    IF pProc THEN CALL DWORD pProc USING glBlitFramebufferEXT(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, dwMask, dwFilter)
END SUB

'// void glRenderbufferStorageMultisampleEXT (GLenum target, GLsizei samples,
'// GLenum internalformat, GLsizei width, GLsizei height);
SUB glRenderbufferStorageMultisampleEXT (BYVAL dwTarget AS DWORD, BYVAL samples AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glRenderbufferStorageMultisampleEXT")
    IF pProc THEN CALL DWORD pProc USING glRenderbufferStorageMultisampleEXT(dwTarget, samples, internalformat, nWidth, nHeight)
END SUB

'// void glGetQueryObjecti64vEXT (GLuint id, GLenum pname, GLint64EXT *params);
SUB glGetQueryObjecti64vEXT (BYVAL dwId AS DWORD, BYVAL pname AS DWORD, BYREF params AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetQueryObjecti64vEXT")
    IF pProc THEN CALL DWORD pProc USING glGetQueryObjecti64vEXT(dwId, pname, params)
END SUB

'// void glGetQueryObjectui64vEXT (GLuint id, GLenum pname, GLuint64EXT *params);
SUB glGetQueryObjectui64vEXT (BYVAL dwId AS DWORD, BYVAL pname AS DWORD, BYREF params AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetQueryObjectui64vEXT")
    IF pProc THEN CALL DWORD pProc USING glGetQueryObjectui64vEXT(dwid, pname, params)
END SUB

'// void glProgramEnvParameters4fvEXT (GLenum target, GLuint index, GLsizei count, const GLfloat *params);
SUB glProgramEnvParameters4fvEXT (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramEnvParameters4fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramEnvParameters4fvEXT(dwTarget, dwIndex, nCount, params)
END SUB

'// void glProgramLocalParameters4fvEXT (GLenum target, GLuint index, GLsizei count, const GLfloat *params);
SUB glProgramLocalParameters4fvEXT (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramLocalParameters4fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramLocalParameters4fvEXT(dwTarget, dwIndex, nCount, params)
END SUB

'// void glBufferParameteriAPPLE (GLenum target, GLenum pname, GLint param);
SUB glBufferParameteriAPPLE (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBufferParameteriAPPLE")
    IF pProc THEN CALL DWORD pProc USING glBufferParameteriAPPLE(dwTarget, pname, param)
END SUB

'// void glFlushMappedBufferRangeAPPLE (GLenum target, GLintptr offset, GLsizeiptr size);
SUB glFlushMappedBufferRangeAPPLE (BYVAL dwTarget AS DWORD, BYVAL dwOffset AS DWORD, BYVAL nSize AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFlushMappedBufferRangeAPPLE")
    IF pProc THEN CALL DWORD pProc USING glFlushMappedBufferRangeAPPLE(dwTarget, dwOffset, nSize)
END SUB

'// void glProgramLocalParameterI4iNV (GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w);
SUB glProgramLocalParameterI4iNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL x AS LONG, _
    BYVAL y AS LONG, BYVAL z AS LONG, BYVAL w AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramLocalParameterI4iNV")
    IF pProc THEN CALL DWORD pProc USING glProgramLocalParameterI4iNV(dwTarget, dwIndex, x, y, z, w)
END SUB

'// void glProgramLocalParameterI4ivNV (GLenum target, GLuint index, const GLint *params);
SUB glProgramLocalParameterI4ivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramLocalParameterI4ivNV")
    IF pProc THEN CALL DWORD pProc USING glProgramLocalParameterI4ivNV(dwTarget, dwIndex, params)
END SUB

'// void glProgramLocalParametersI4ivNV (GLenum target, GLuint index, GLsizei count, const GLint *params);
SUB glProgramLocalParametersI4ivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramLocalParametersI4ivNV")
    IF pProc THEN CALL DWORD pProc USING glProgramLocalParametersI4ivNV(dwTarget, dwIndex, nCount, params)
END SUB

'// void glProgramLocalParameterI4uiNV (GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w);
SUB glProgramLocalParameterI4uiNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, _
    BYVAL x AS DWORD, BYVAL y AS DWORD, BYVAL z AS DWORD, BYVAL w AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramLocalParameterI4uiNV")
    IF pProc THEN CALL DWORD pProc USING glProgramLocalParameterI4uiNV(dwTarget, dwIndex, x, y, z, w)
END SUB

'// void glProgramLocalParameterI4uivNV (GLenum target, GLuint index, const GLuint *params);
SUB glProgramLocalParameterI4uivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramLocalParameterI4uivNV")
    IF pProc THEN CALL DWORD pProc USING glProgramLocalParameterI4uivNV(dwTarget, dwIndex, params)
END SUB

'// void glProgramLocalParametersI4uivNV (GLenum target, GLuint index, GLsizei count, const GLuint *params);
SUB glProgramLocalParametersI4uivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramLocalParametersI4uivNV")
    IF pProc THEN CALL DWORD pProc USING glProgramLocalParametersI4uivNV(dwTarget, dwIndex, nCount, params)
END SUB

'// void glProgramEnvParameterI4iNV (GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w);
SUB glProgramEnvParameterI4iNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL x AS LONG, _
    BYVAL y AS LONG, BYVAL z AS LONG, BYVAL w AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramEnvParameterI4iNV")
    IF pProc THEN CALL DWORD pProc USING glProgramEnvParameterI4iNV(dwTarget, dwIndex, x, y, z, w)
END SUB

'// void glProgramEnvParameterI4ivNV (GLenum target, GLuint index, const GLint *params);
SUB glProgramEnvParameterI4ivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramEnvParameterI4ivNV")
    IF pProc THEN CALL DWORD pProc USING glProgramEnvParameterI4ivNV(dwTarget, dwIndex, params)
END SUB

'// void glProgramEnvParametersI4ivNV (GLenum target, GLuint index, GLsizei count, const GLint *params);
SUB glProgramEnvParametersI4ivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramEnvParametersI4ivNV")
    IF pProc THEN CALL DWORD pProc USING glProgramEnvParametersI4ivNV(dwTarget, dwIndex, nCount, params)
END SUB

'// void glProgramEnvParameterI4uiNV (GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w);
SUB glProgramEnvParameterI4uiNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, _
    BYVAL x AS DWORD, BYVAL y AS DWORD, BYVAL z AS DWORD, BYVAL w AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramEnvParameterI4uiNV")
    IF pProc THEN CALL DWORD pProc USING glProgramEnvParameterI4uiNV(dwTarget, dwIndex, x, y, z, w)
END SUB

'// void glProgramEnvParameterI4uivNV (GLenum target, GLuint index, const GLuint *params);
SUB glProgramEnvParameterI4uivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramEnvParameterI4uivNV")
    IF pProc THEN CALL DWORD pProc USING glProgramEnvParameterI4uivNV(dwTarget, dwIndex, params)
END SUB

'// void glProgramEnvParametersI4uivNV (GLenum target, GLuint index, GLsizei count, const GLuint *params);
SUB glProgramEnvParametersI4uivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramEnvParametersI4uivNV")
    IF pProc THEN CALL DWORD pProc USING glProgramEnvParametersI4uivNV(dwTarget, dwIndex, nCount, params)
END SUB

'// void glGetProgramLocalParameterIivNV (GLenum target, GLuint index, GLint *params);
SUB glGetProgramLocalParameterIivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramLocalParameterIivNV")
    IF pProc THEN CALL DWORD pProc USING glGetProgramLocalParameterIivNV(dwTarget, dwIndex, params)
END SUB

'// void glGetProgramLocalParameterIuivNV (GLenum target, GLuint index, GLuint *params);
SUB glGetProgramLocalParameterIuivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramLocalParameterIuivNV")
    IF pProc THEN CALL DWORD pProc USING glGetProgramLocalParameterIuivNV(dwTarget, dwIndex, params)
END SUB

'// void glGetProgramEnvParameterIivNV (GLenum target, GLuint index, GLint *params);
SUB glGetProgramEnvParameterIivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramEnvParameterIivNV")
    IF pProc THEN CALL DWORD pProc USING glGetProgramEnvParameterIivNV(dwTarget, dwIndex, params)
END SUB

'// void glGetProgramEnvParameterIuivNV (GLenum target, GLuint index, GLuint *params);
SUB glGetProgramEnvParameterIuivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramEnvParameterIuivNV")
    IF pProc THEN CALL DWORD pProc USING glGetProgramEnvParameterIuivNV(dwTarget, dwIndex, params)
END SUB

'// void glProgramVertexLimitNV (GLenum target, GLint limit);
SUB glProgramVertexLimitNV (BYVAL dwTarget AS DWORD, BYVAL nLimit AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramVertexLimitNV")
    IF pProc THEN CALL DWORD pProc USING glProgramVertexLimitNV(dwTarget, nLimit)
END SUB

'// void glFramebufferTextureEXT (GLenum target, GLenum attachment, GLuint texture, GLint level);
SUB glFramebufferTextureEXT (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTextureEXT")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTextureEXT(dwTarget, dwAttachment, dwTexture, nLevel)
END SUB

'// void glFramebufferTextureLayerEXT (GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer);
SUB glFramebufferTextureLayerEXT (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG, BYVAL nLayer AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTextureLayerEXT")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTextureLayerEXT(dwTarget, dwAttachment, dwTexture, nLevel, nLayer)
END SUB

'// void glFramebufferTextureFaceEXT (GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face);
SUB glFramebufferTextureFaceEXT (BYVAL dwTarget AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG, BYVAL dwFace AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferTextureFaceEXT")
    IF pProc THEN CALL DWORD pProc USING glFramebufferTextureFaceEXT(dwTarget, dwAttachment, dwTexture, nLevel, dwFace)
END SUB

'// void glProgramParameteriEXT (GLuint program, GLenum pname, GLint value);
SUB glProgramParameteriEXT (BYVAL dwProgram AS DWORD, BYVAL pname AS DWORD, BYVAL value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramParameteriEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramParameteriEXT(dwProgram, pname, value)
END SUB

'// void glVertexAttribI1iEXT (GLuint index, GLint x);
SUB glVertexAttribI1iEXT (BYVAL dwIndex AS DWORD, BYVAL x AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI1iEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI1iEXT(dwIndex, x)
END SUB

'// void glVertexAttribI2iEXT (GLuint index, GLint x, GLint y);
SUB glVertexAttribI2iEXT (BYVAL dwIndex AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI2iEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI2iEXT(dwIndex, x, y)
END SUB

'// void glVertexAttribI3iEXT (GLuint index, GLint x, GLint y, GLint z);
SUB glVertexAttribI3iEXT (BYVAL dwIndex AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL z AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI3iEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI3iEXT(dwIndex, x, y, z)
END SUB

'// void glVertexAttribI4iEXT (GLuint index, GLint x, GLint y, GLint z, GLint w);
SUB glVertexAttribI4iEXT (BYVAL dwIndex AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL z AS LONG, BYVAL w AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4iEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4iEXT(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttribI1uiEXT (GLuint index, GLuint x);
SUB glVertexAttribI1uiEXT (BYVAL dwIndex AS DWORD, BYVAL x AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI1uiEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI1uiEXT(dwIndex, x)
END SUB

'// void glVertexAttribI2uiEXT (GLuint index, GLuint x, GLuint y);
SUB glVertexAttribI2uiEXT (BYVAL dwIndex AS DWORD, BYVAL x AS DWORD, BYVAL y AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI2uiEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI2uiEXT(dwIndex, x, y)
END SUB

'// void glVertexAttribI3uiEXT (GLuint index, GLuint x, GLuint y, GLuint z);
SUB glVertexAttribI3uiEXT (BYVAL dwIndex AS DWORD, BYVAL x AS DWORD, BYVAL y AS DWORD, BYVAL z AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI3uiEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI3uiEXT(dwIndex, x, y, z)
END SUB

'// void glVertexAttribI4uiEXT (GLuint index, GLuint x, GLuint y, GLuint z, GLuint w);
SUB glVertexAttribI4uiEXT (BYVAL dwIndex AS DWORD, BYVAL x AS DWORD, BYVAL y AS DWORD, BYVAL z AS DWORD, BYVAL w AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4uiEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4uiEXT(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttribI1ivEXT (GLuint index, const GLint *v);
SUB glVertexAttribI1ivEXT (BYVAL dwIndex AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI1ivEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI1ivEXT(dwIndex, v)
END SUB

'// void glVertexAttribI2ivEXT (GLuint index, const GLint *v);
SUB glVertexAttribI2ivEXT (BYVAL dwIndex AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI2ivEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI2ivEXT(dwIndex, v)
END SUB

'// void glVertexAttribI3ivEXT (GLuint index, const GLint *v);
SUB glVertexAttribI3ivEXT (BYVAL dwIndex AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI3ivEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI3ivEXT(dwIndex, v)
END SUB

'// void glVertexAttribI4ivEXT (GLuint index, const GLint *v);
SUB glVertexAttribI4ivEXT (BYVAL dwIndex AS DWORD, BYREF v AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4ivEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4ivEXT(dwIndex, v)
END SUB

'// void glVertexAttribI1uivEXT (GLuint index, const GLuint *v);
SUB glVertexAttribI1uivEXT (BYVAL dwIndex AS DWORD, BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI1uivEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI1uivEXT(dwIndex, v)
END SUB

'// void glVertexAttribI2uivEXT (GLuint index, const GLuint *v);
SUB glVertexAttribI2uivEXT (BYVAL dwIndex AS DWORD, BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI2uivEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI2uivEXT(dwIndex, v)
END SUB

'// void glVertexAttribI3uivEXT (GLuint index, const GLuint *v);
SUB glVertexAttribI3uivEXT (BYVAL dwIndex AS DWORD, BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI3uivEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI3uivEXT(dwIndex, v)
END SUB

'// void glVertexAttribI4uivEXT (GLuint index, const GLuint *v);
SUB glVertexAttribI4uivEXT (BYVAL dwIndex AS DWORD, BYREF v AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4uivEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4uivEXT(dwIndex, v)
END SUB

'// GLAPI void glVertexAttribI4bvEXT (GLuint, const GLbyte *);
'// typedef void (APIENTRYP PFNGLVERTEXATTRIBI4BVEXTPROC) (GLuint index, const GLbyte *v);
SUB glVertexAttribI4bvEXT (BYVAL dwIndex AS DWORD, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4bvEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4bvEXT(dwIndex, v)
END SUB

'// void glVertexAttribI4svEXT (GLuint index, const GLshort *v);
SUB glVertexAttribI4svEXT (BYVAL dwIndex AS DWORD, BYREF v AS INTEGER)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4svEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4svEXT(dwIndex, v)
END SUB

'// void glVertexAttribI4ubvEXT (GLuint index, const GLubyte *v);
SUB glVertexAttribI4ubvEXT (BYVAL dwIndex AS DWORD, BYREF v AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4ubvEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4ubvEXT(dwIndex, v)
END SUB

'// void glVertexAttribI4usvEXT (GLuint index, const GLushort *v);
SUB glVertexAttribI4usvEXT (BYVAL dwIndex AS DWORD, BYREF v AS WORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribI4usvEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribI4usvEXT(dwIndex, v)
END SUB

'// void glVertexAttribIPointerEXT (GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glVertexAttribIPointerEXT (BYVAL dwIndex AS DWORD, BYVAL nSize AS LONG, BYVAL dwType AS DWORD, _
    BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribIPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribIPointerEXT(dwIndex, nSize, dwType, nStride, pPointer)
END SUB

'// void glGetVertexAttribIivEXT (GLuint index, GLenum pname, GLint *params);
SUB glGetVertexAttribIivEXT (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribIivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribIivEXT(dwIndex, pname, params)
END SUB

'// void glGetVertexAttribIuivEXT (GLuint index, GLenum pname, GLuint *params);
SUB glGetVertexAttribIuivEXT (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribIuivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribIuivEXT(dwIndex, pname, params)
END SUB

'// void glGetUniformuivEXT (GLuint program, GLint location, GLuint *params);
SUB glGetUniformuivEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetUniformuivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetUniformuivEXT(dwProgram, nLocation, params)
END SUB

'// void glBindFragDataLocationEXT (GLuint program, GLuint color, const GLchar *name);
SUB glBindFragDataLocationEXT (BYVAL dwProgram AS DWORD, BYVAL dwColor AS DWORD, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindFragDataLocationEXT")
    IF pProc THEN CALL DWORD pProc USING glBindFragDataLocationEXT(dwProgram, dwColor, szName)
END SUB

'// GLint glGetFragDataLocationEXT (GLuint program, const GLchar *name);
FUNCTION glGetFragDataLocationEXT (BYVAL dwProgram AS DWORD, BYREF szName AS ASCIIZ) AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glGetFragDataLocationEXT")
    IF pProc THEN CALL DWORD pProc USING glGetFragDataLocationEXT(dwProgram, szName) TO lRes
    FUNCTION = lRes
END FUNCTION

'// GLAPI void glUniform1uiEXT (GLint, GLuint);
'// typedef void (APIENTRYP PFNGLUNIFORM1UIEXTPROC) (GLint location, GLuint v0);
SUB glUniform1uiEXT (BYVAL nLocation AS LONG, BYVAL v0 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1uiEXT")
    IF pProc THEN CALL DWORD pProc USING glUniform1uiEXT(nLocation, v0)
END SUB

'// void glUniform2uiEXT (GLint location, GLuint v0, GLuint v1);
SUB glUniform2uiEXT (BYVAL nLocation AS LONG, BYVAL v0 AS DWORD, BYVAL v1 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2uiEXT")
    IF pProc THEN CALL DWORD pProc USING glUniform2uiEXT(nLocation, v0, v1)
END SUB

'// void glUniform3uiEXT (GLint location, GLuint v0, GLuint v1, GLuint v2);
SUB glUniform3uiEXT (BYVAL nLocation AS LONG, BYVAL v0 AS DWORD, BYVAL v1 AS DWORD, BYVAL v2 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3uiEXT")
    IF pProc THEN CALL DWORD pProc USING glUniform3uiEXT(nLocation, v0, v1, v2)
END SUB

'// void glUniform4uiEXT (GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3);
SUB glUniform4uiEXT (BYVAL nLocation AS LONG, BYVAL v0 AS DWORD, BYVAL v1 AS DWORD, BYVAL v2 AS DWORD, BYVAL v3 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4uiEXT")
    IF pProc THEN CALL DWORD pProc USING glUniform4uiEXT(nLocation, v0, v1, v2, v3)
END SUB

'// void glUniform1uivEXT (GLint location, GLsizei count, const GLuint *value);
SUB glUniform1uivEXT (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1uivEXT")
    IF pProc THEN CALL DWORD pProc USING glUniform1uivEXT(nLocation, nCount, value)
END SUB

'// void glUniform2uivEXT (GLint location, GLsizei count, const GLuint *value);
SUB glUniform2uivEXT (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2uivEXT")
    IF pProc THEN CALL DWORD pProc USING glUniform2uivEXT(nLocation, nCount, value)
END SUB

'// void glUniform3uivEXT (GLint location, GLsizei count, const GLuint *value);
SUB glUniform3uivEXT (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3uivEXT")
    IF pProc THEN CALL DWORD pProc USING glUniform3uivEXT(nLocation, nCount, value)
END SUB

'// void glUniform4uivEXT (GLint location, GLsizei count, const GLuint *value);
SUB glUniform4uivEXT (BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4uivEXT")
    IF pProc THEN CALL DWORD pProc USING glUniform4uivEXT(nLocation, nCount, value)
END SUB

'// void glDrawArraysInstancedEXT (GLenum mode, GLint start, GLsizei count, GLsizei primcount);
SUB glDrawArraysInstancedEXT (BYVAL dwMode AS DWORD, BYVAL nStart AS LONG, BYVAL nCount AS LONG, BYVAL primcount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawArraysInstancedEXT")
    IF pProc THEN CALL DWORD pProc USING glDrawArraysInstancedEXT(dwMode, nStart, nCount, primcount)
END SUB

'// void glDrawElementsInstancedEXT (GLenum mode, GLsizei count, GLenum type,
'// const GLvoid *indices, GLsizei primcount);
SUB glDrawElementsInstancedEXT (BYVAL dwMode AS DWORD, BYVAL nCount AS LONG, _
    BYVAL dwType AS DWORD, BYVAL indices AS DWORD, BYVAL primcount AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawElementsInstancedEXT")
    IF pProc THEN CALL DWORD pProc USING glDrawElementsInstancedEXT(dwMode, nCount, dwType, indices, primcount)
END SUB

'// void glTexBufferEXT (GLenum target, GLenum internalformat, GLuint buffer);
SUB glTexBufferEXT (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL buffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexBufferEXT")
    IF pProc THEN CALL DWORD pProc USING glTexBufferEXT(dwTarget, internalformat, buffer)
END SUB

'// void glDepthRangedNV (GLdouble zNear, GLdouble zFar);
SUB glDepthRangedNV (BYVAL zNear AS DOUBLE, BYVAL zFar AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDepthRangedNV")
    IF pProc THEN CALL DWORD pProc USING glDepthRangedNV(zNear, zFar)
END SUB

'// void glClearDepthdNV (GLdouble depth);
SUB glClearDepthdNV (BYVAL depth AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClearDepthdNV")
    IF pProc THEN CALL DWORD pProc USING glClearDepthdNV(depth)
END SUB

'// void glDepthBoundsdNV (GLdouble zmin, GLdouble zmax);
SUB glDepthBoundsdNV (BYVAL zmin AS DOUBLE, BYVAL zmax AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDepthBoundsdNV")
    IF pProc THEN CALL DWORD pProc USING glDepthBoundsdNV(zmin, zmax)
END SUB

'// void glRenderbufferStorageMultisampleCoverageNV (GLenum target, GLsizei coverageSamples,
'// GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height);
SUB glRenderbufferStorageMultisampleCoverageNV (BYVAL dwTarget AS DWORD, BYVAL coverageSamples AS LONG, _
    BYVAL colorSamples AS LONG, BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glRenderbufferStorageMultisampleCoverageNV")
    IF pProc THEN CALL DWORD pProc USING glRenderbufferStorageMultisampleCoverageNV(dwTarget, coverageSamples, colorSamples, internalformat, nWidth, nHeight)
END SUB

'// void glProgramBufferParametersfvNV (GLenum target, GLuint buffer, GLuint index,
'// GLsizei count, const GLfloat *params);
SUB glProgramBufferParametersfvNV (BYVAL dwTarget AS DWORD, BYVAL buffer AS DWORD, _
    BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramBufferParametersfvNV")
    IF pProc THEN CALL DWORD pProc USING glProgramBufferParametersfvNV(dwTarget, buffer, dwIndex, nCount, params)
END SUB

'// void glProgramBufferParametersIivNV (GLenum target, GLuint buffer, GLuint index,
'// GLsizei count, const GLint *params);
SUB glProgramBufferParametersIivNV (BYVAL dwTarget AS DWORD, BYVAL buffer AS DWORD, _
    BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramBufferParametersIivNV")
    IF pProc THEN CALL DWORD pProc USING glProgramBufferParametersIivNV(dwTarget, buffer, dwIndex, nCount, params)
END SUB

'// void glProgramBufferParametersIuivNV (GLenum target, GLuint buffer, GLuint index,
'// GLsizei count, const GLuint *params);
SUB glProgramBufferParametersIuivNV (BYVAL dwTarget AS DWORD, BYVAL buffer AS DWORD, _
    BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramBufferParametersIuivNV")
    IF pProc THEN CALL DWORD pProc USING glProgramBufferParametersIuivNV(dwTarget, buffer, dwIndex, nCount, params)
END SUB

'// void glColorMaskIndexedEXT (GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a);
SUB glColorMaskIndexedEXT (BYVAL dwIndex AS DWORD, BYVAL r AS BYTE, BYVAL g AS BYTE, BYVAL b AS BYTE, BYVAL a AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorMaskIndexedEXT")
    IF pProc THEN CALL DWORD pProc USING glColorMaskIndexedEXT(dwIndex, r, g, b, a)
END SUB

'// void glGetBooleanIndexedvEXT (GLenum target, GLuint index, GLboolean *data);
SUB glGetBooleanIndexedvEXT (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF pData AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetBooleanIndexedvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetBooleanIndexedvEXT(dwTarget, dwIndex, pData)
END SUB

'// void glGetIntegerIndexedvEXT (GLenum target, GLuint index, GLint *data);
SUB glGetIntegerIndexedvEXT (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF pData AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetIntegerIndexedvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetIntegerIndexedvEXT(dwTarget, dwIndex, pData)
END SUB

'// void glEnableIndexedEXT (GLenum target, GLuint index);
SUB glEnableIndexedEXT (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEnableIndexedEXT")
    IF pProc THEN CALL DWORD pProc USING glEnableIndexedEXT(dwTarget, dwIndex)
END SUB

'// void glDisableIndexedEXT (GLenum target, GLuint index);
SUB glDisableIndexedEXT (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDisableIndexedEXT")
    IF pProc THEN CALL DWORD pProc USING glDisableIndexedEXT(dwTarget, dwIndex)
END SUB

'// GLboolean glIsEnabledIndexedEXT (GLenum target, GLuint index);
FUNCTION glIsEnabledIndexedEXT (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsEnabledIndexedEXT")
    IF pProc THEN CALL DWORD pProc USING glIsEnabledIndexedEXT(dwTarget, dwIndex) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glBeginTransformFeedbackNV (GLenum primitiveMode);
SUB glBeginTransformFeedbackNV (BYVAL primitiveMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBeginTransformFeedbackNV")
    IF pProc THEN CALL DWORD pProc USING glBeginTransformFeedbackNV(primitiveMode)
END SUB

'// GLAPI void glEndTransformFeedbackNV (void);
'// typedef void (APIENTRYP PFNGLENDTRANSFORMFEEDBACKNVPROC) (void);
SUB glEndTransformFeedbackNV
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEndTransformFeedbackNV")
    IF pProc THEN CALL DWORD pProc USING glEndTransformFeedbackNV
END SUB

'// void glTransformFeedbackAttribsNV (GLuint count, const GLint *attribs, GLenum bufferMode);
SUB glTransformFeedbackAttribsNV (BYVAL dwcount AS DWORD, BYREF attribs AS LONG, BYVAL bufferMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTransformFeedbackAttribsNV")
    IF pProc THEN CALL DWORD pProc USING glTransformFeedbackAttribsNV(dwcount, attribs, bufferMode)
END SUB

'// void glBindBufferRangeNV (GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size);
SUB glBindBufferRangeNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL buffer AS DWORD, _
    BYVAL dwOffset AS DWORD, BYVAL nSize AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindBufferRangeNV")
    IF pProc THEN CALL DWORD pProc USING glBindBufferRangeNV(dwTarget, dwIndex, buffer, dwOffset, nSize)
END SUB

'// void glBindBufferOffsetNV (GLenum target, GLuint index, GLuint buffer, GLintptr offset);
SUB glBindBufferOffsetNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL buffer AS DWORD, BYVAL dwOffset AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindBufferOffsetNV")
    IF pProc THEN CALL DWORD pProc USING glBindBufferOffsetNV(dwTarget, dwIndex, buffer, dwOffset)
END SUB

'// void glBindBufferBaseNV (GLenum target, GLuint index, GLuint buffer);
SUB glBindBufferBaseNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL buffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindBufferBaseNV")
    IF pProc THEN CALL DWORD pProc USING glBindBufferBaseNV(dwTarget, dwIndex, buffer)
END SUB

'// void glTransformFeedbackVaryingsNV (GLuint program, GLsizei count, const GLint *locations, GLenum bufferMode);
SUB glTransformFeedbackVaryingsNV (BYVAL dwProgram AS DWORD, BYVAL nCount AS LONG, BYREF locations AS LONG, BYVAL bufferMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTransformFeedbackVaryingsNV")
    IF pProc THEN CALL DWORD pProc USING glTransformFeedbackVaryingsNV(dwProgram, nCount, locations, bufferMode)
END SUB

'// void glActiveVaryingNV (GLuint program, const GLchar *name);
SUB glActiveVaryingNV (BYVAL dwProgram AS DWORD, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glActiveVaryingNV")
    IF pProc THEN CALL DWORD pProc USING glActiveVaryingNV(dwProgram, szName)
END SUB

'// GLint glGetVaryingLocationNV (GLuint program, const GLchar *name);
FUNCTION glGetVaryingLocationNV (BYVAL dwProgram AS DWORD, BYREF szName AS ASCIIZ) AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glGetVaryingLocationNV")
    IF pProc THEN CALL DWORD pProc USING glGetVaryingLocationNV(dwProgram, szName) TO lRes
    FUNCTION = lRes
END FUNCTION

'// void glGetActiveVaryingNV (GLuint program, GLuint index, GLsizei bufSize,
'// GLsizei *length, GLsizei *size, GLenum *type, GLchar *name);
SUB glGetActiveVaryingNV (BYVAL dwProgram AS DWORD, BYVAL dwIndex AS DWORD, BYVAL bufSize AS LONG, _
    BYREF nLength AS LONG, BYREF nSize AS LONG, BYREF dwType AS DWORD, BYREF szName AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetActiveVaryingNV")
    IF pProc THEN CALL DWORD pProc USING glGetActiveVaryingNV(dwProgram, dwIndex, bufSize, nLength, nSize, dwType, szName)
END SUB

'// GLAPI void glGetTransformFeedbackVaryingNV (GLuint, GLuint, GLint *);
'// typedef void (APIENTRYP PFNGLGETTRANSFORMFEEDBACKVARYINGNVPROC) (GLuint program, GLuint index, GLint *location);
SUB glGetTransformFeedbackVaryingNV (BYVAL dwProgram AS DWORD, BYVAL dwIndex AS DWORD, BYREF location AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTransformFeedbackVaryingNV")
    IF pProc THEN CALL DWORD pProc USING glGetTransformFeedbackVaryingNV(dwProgram, dwIndex, location)
END SUB

'// void glUniformBufferEXT (GLuint program, GLint location, GLuint buffer);
SUB glUniformBufferEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL buffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformBufferEXT")
    IF pProc THEN CALL DWORD pProc USING glUniformBufferEXT(dwProgram, nLocation, buffer)
END SUB

'// GLint glGetUniformBufferSizeEXT (GLuint program, GLint location);
FUNCTION glGetUniformBufferSizeEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG) AS LONG
    LOCAL pProc AS DWORD, lRes AS LONG
    pProc = wglGetProcAddress("glGetUniformBufferSizeEXT")
    IF pProc THEN CALL DWORD pProc USING glGetUniformBufferSizeEXT(dwProgram, nLocation) TO lRes
    FUNCTION = lRes
END FUNCTION

'// GLintptr glGetUniformOffsetEXT (GLuint program, GLint location);
FUNCTION glGetUniformOffsetEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glGetUniformOffsetEXT")
    IF pProc THEN CALL DWORD pProc USING glGetUniformOffsetEXT(dwProgram, nLocation) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glTexParameterIivEXT (GLenum target, GLenum pname, const GLint *params);
SUB glTexParameterIivEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexParameterIivEXT")
    IF pProc THEN CALL DWORD pProc USING glTexParameterIivEXT(dwTarget, pname, params)
END SUB

'// void glTexParameterIuivEXT (GLenum target, GLenum pname, const GLuint *params);
SUB glTexParameterIuivEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexParameterIuivEXT")
    IF pProc THEN CALL DWORD pProc USING glTexParameterIuivEXT(dwTarget, pname, params)
END SUB

'// void glGetTexParameterIivEXT (GLenum target, GLenum pname, GLint *params);
SUB glGetTexParameterIivEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTexParameterIivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetTexParameterIivEXT(dwTarget, pname, params)
END SUB

'// void glGetTexParameterIuivEXT (GLenum target, GLenum pname, GLuint *params);
SUB glGetTexParameterIuivEXT (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTexParameterIuivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetTexParameterIuivEXT(dwTarget, pname, params)
END SUB

'// void glClearColorIiEXT (GLint red, GLint green, GLint blue, GLint alpha);
SUB glClearColorIiEXT (BYVAL red AS LONG, BYVAL green AS LONG, BYVAL blue AS LONG, BYVAL alpha AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClearColorIiEXT")
    IF pProc THEN CALL DWORD pProc USING glClearColorIiEXT(red, green, blue, alpha)
END SUB

'// void glClearColorIuiEXT (GLuint red, GLuint green, GLuint blue, GLuint alpha);
SUB glClearColorIuiEXT (BYVAL red AS DWORD, BYVAL green AS DWORD, BYVAL blue AS DWORD, BYVAL alpha AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClearColorIuiEXT")
    IF pProc THEN CALL DWORD pProc USING glClearColorIuiEXT(red, green, blue, alpha)
END SUB

'// GLAPI void glFrameTerminatorGREMEDY (void);
'// typedef void (APIENTRYP PFNGLFRAMETERMINATORGREMEDYPROC) (void);
SUB glFrameTerminatorGREMEDY
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFrameTerminatorGREMEDY")
    IF pProc THEN CALL DWORD pProc USING glFrameTerminatorGREMEDY
END SUB

'// void glBeginConditionalRenderNV (GLuint id, GLenum mode);
SUB glBeginConditionalRenderNV (BYVAL dwId AS DWORD, BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBeginConditionalRenderNV")
    IF pProc THEN CALL DWORD pProc USING glBeginConditionalRenderNV(dwId, dwMode)
END SUB

'// void glEndConditionalRenderNV (void);
SUB glEndConditionalRenderNV
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEndConditionalRenderNV")
    IF pProc THEN CALL DWORD pProc USING glEndConditionalRenderNV
END SUB

'// void glPresentFrameKeyedNV (GLuint video_slot, GLuint64EXT minPresentTime,
'// GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0,
'// GLuint fill0, GLuint key0, GLenum target1, GLuint fill1, GLuint key1);
SUB glPresentFrameKeyedNV (BYVAL video_slot AS DWORD, BYVAL minPresentTime AS QUAD, _
    BYVAL beginPresentTimeId AS DWORD, BYVAL presentDurationId AS DWORD, BYVAL dwType AS DWORD, _
    BYVAL target0 AS DWORD, BYVAL fill0 AS DWORD, BYVAL key0 AS DWORD, BYVAL target1 AS DWORD, _
    BYVAL fill1 AS DWORD, BYVAL key1 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPresentFrameKeyedNV")
    IF pProc THEN CALL DWORD pProc USING glPresentFrameKeyedNV(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, dwType, target0, fill0, key0, target1, fill1, key1)
END SUB

'// void glPresentFrameDualFillNV (GLuint video_slot, GLuint64EXT minPresentTime,
'// GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0,
'// GLuint fill0, GLenum target1, GLuint fill1, GLenum target2, GLuint fill2, GLenum target3, GLuint fill3);
SUB glPresentFrameDualFillNV (BYVAL video_slot AS DWORD, BYVAL minPresentTime AS QUAD, _
    BYVAL beginPresentTimeId AS DWORD, BYVAL presentDurationId AS DWORD, BYVAL dwType AS DWORD, _
    BYVAL target0 AS DWORD, BYVAL fill0 AS DWORD, BYVAL target1 AS DWORD, BYVAL fill1 AS DWORD, _
    BYVAL target2 AS DWORD, BYVAL fill2 AS DWORD, BYVAL target3 AS DWORD, BYVAL fill3 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPresentFrameDualFillNV")
    IF pProc THEN CALL DWORD pProc USING glPresentFrameDualFillNV(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, dwType, target0, fill0, target1, fill1, target2, fill2, target3, fill3)
END SUB

'// void glGetVideoivNV (GLuint video_slot, GLenum pname, GLint *params);
SUB glGetVideoivNV (BYVAL video_slot AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVideoivNV")
    IF pProc THEN CALL DWORD pProc USING glGetVideoivNV(video_slot, pname, params)
END SUB

'// void glGetVideouivNV (GLuint video_slot, GLenum pname, GLuint *params);
SUB glGetVideouivNV (BYVAL video_slot AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVideouivNV")
    IF pProc THEN CALL DWORD pProc USING glGetVideouivNV(video_slot, pname, params)
END SUB

'// void glGetVideoi64vNV (GLuint video_slot, GLenum pname, GLint64EXT *params);
SUB glGetVideoi64vNV (BYVAL video_slot AS DWORD, BYVAL pname AS DWORD, BYREF params AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVideoi64vNV")
    IF pProc THEN CALL DWORD pProc USING glGetVideoi64vNV(video_slot, pname, params)
END SUB

'// void glGetVideoui64vNV (GLuint video_slot, GLenum pname, GLuint64EXT *params);
SUB glGetVideoui64vNV (BYVAL video_slot AS DWORD, BYVAL pname AS DWORD, BYREF params AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVideoui64vNV")
    IF pProc THEN CALL DWORD pProc USING glGetVideoui64vNV(video_slot, pname, params)
END SUB

'// void glBeginTransformFeedbackEXT (GLenum primitiveMode);
SUB glBeginTransformFeedbackEXT (BYVAL primitiveMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBeginTransformFeedbackEXT")
    IF pProc THEN CALL DWORD pProc USING glBeginTransformFeedbackEXT(primitiveMode)
END SUB

'// void glEndTransformFeedbackEXT (void);
SUB glEndTransformFeedbackEXT
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEndTransformFeedbackEXT")
    IF pProc THEN CALL DWORD pProc USING glEndTransformFeedbackEXT
END SUB

'// void glBindBufferRangeEXT (GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size);
SUB glBindBufferRangeEXT (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL buffer AS DWORD, _
    BYVAL dwOffset AS DWORD, BYVAL nSize AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindBufferRangeEXT")
    IF pProc THEN CALL DWORD pProc USING glBindBufferRangeEXT(dwTarget, dwIndex, buffer, dwOffset, nSize)
END SUB

'// void glBindBufferOffsetEXT (GLenum target, GLuint index, GLuint buffer, GLintptr offset);
SUB glBindBufferOffsetEXT (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL buffer AS DWORD, BYVAL dwOffset AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindBufferOffsetEXT")
    IF pProc THEN CALL DWORD pProc USING glBindBufferOffsetEXT(dwTarget, dwIndex, buffer, dwOffset)
END SUB

'// void glBindBufferBaseEXT (GLenum target, GLuint index, GLuint buffer);
SUB glBindBufferBaseEXT (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL buffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindBufferBaseEXT")
    IF pProc THEN CALL DWORD pProc USING glBindBufferBaseEXT(dwTarget, dwIndex, buffer)
END SUB

'// void glTransformFeedbackVaryingsEXT (GLuint program, GLsizei count,
'// const GLint *, GLenum bufferMode);
SUB glTransformFeedbackVaryingsEXT (BYVAL dwProgram AS DWORD, BYVAL nCount AS LONG, BYREF locations AS LONG, BYVAL bufferMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTransformFeedbackVaryingsEXT")
    IF pProc THEN CALL DWORD pProc USING glTransformFeedbackVaryingsEXT(dwProgram, nCount, locations, bufferMode)
END SUB

'// void glGetTransformFeedbackVaryingEXT (GLuint program, GLuint index, GLint *location);
SUB glGetTransformFeedbackVaryingEXT (BYVAL dwProgram AS DWORD, BYVAL dwIndex AS DWORD, BYREF location AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTransformFeedbackVaryingEXT")
    IF pProc THEN CALL DWORD pProc USING glGetTransformFeedbackVaryingEXT(dwProgram, dwIndex, location)
END SUB

'// void glClientAttribDefaultEXT (GLbitfield mask);
SUB glClientAttribDefaultEXT (BYVAL dwMask AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glClientAttribDefaultEXT")
    IF pProc THEN CALL DWORD pProc USING glClientAttribDefaultEXT(dwMask)
END SUB

'// void glPushClientAttribDefaultEXT (GLbitfield mask);
SUB glPushClientAttribDefaultEXT (BYVAL dwMask AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPushClientAttribDefaultEXT")
    IF pProc THEN CALL DWORD pProc USING glPushClientAttribDefaultEXT(dwMask)
END SUB

'// void glMatrixLoadfEXT (GLenum mode, const GLfloat *m);
SUB glMatrixLoadfEXT (BYVAL dwMode AS DWORD, BYREF m AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixLoadfEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixLoadfEXT(dwMode, m)
END SUB

'// void glMatrixLoaddEXT (GLenum mode, const GLdouble *m);
SUB glMatrixLoaddEXT (BYVAL dwMode AS DWORD, BYREF m AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixLoaddEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixLoaddEXT(dwMode, m)
END SUB

'// void glMatrixMultfEXT (GLenum mode, const GLfloat *m);
SUB glMatrixMultfEXT (BYVAL dwMode AS DWORD, BYREF m AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixMultfEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixMultfEXT(dwMode, m)
END SUB

'// void glMatrixMultdEXT (GLenum mode, const GLdouble *m);
SUB glMatrixMultdEXT (BYVAL dwMode AS DWORD, BYREF m AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixMultdEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixMultdEXT(dwMode, m)
END SUB

'// void glMatrixLoadIdentityEXT (GLenum mode);
SUB glMatrixLoadIdentityEXT (BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixLoadIdentityEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixLoadIdentityEXT(dwMode)
END SUB

'// void glMatrixRotatefEXT (GLenum mode, GLfloat angle, GLfloat x, GLfloat y, GLfloat z);
SUB glMatrixRotatefEXT (BYVAL dwMode AS DWORD, BYVAL angle AS SINGLE, BYVAL x AS SINGLE, _
    BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixRotatefEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixRotatefEXT(dwMode, angle, x, y, z)
END SUB

'// void glMatrixRotatedEXT (GLenum mode, GLdouble angle, GLdouble x, GLdouble y, GLdouble z);
SUB glMatrixRotatedEXT (BYVAL dwMode AS DWORD, BYVAL angle AS DOUBLE, BYVAL x AS DOUBLE, _
    BYVAL y AS DOUBLE, BYVAL z AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixRotatedEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixRotatedEXT(dwMode, angle, x, y, z)
END SUB

'// void glMatrixScalefEXT (GLenum mode, GLfloat x, GLfloat y, GLfloat z);
SUB glMatrixScalefEXT (BYVAL dwMode AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixScalefEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixScalefEXT(dwMode, x, y, z)
END SUB

'// void glMatrixScaledEXT (GLenum mode, GLdouble x, GLdouble y, GLdouble z);
SUB glMatrixScaledEXT (BYVAL dwMode AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixScaledEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixScaledEXT(dwMode, x, y, z)
END SUB

'// void glMatrixTranslatefEXT (GLenum mode, GLfloat x, GLfloat y, GLfloat z);
SUB glMatrixTranslatefEXT (BYVAL dwMode AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixTranslatefEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixTranslatefEXT(dwMode, x, y, z)
END SUB

'// void glMatrixTranslatedEXT (GLenum mode, GLdouble x, GLdouble y, GLdouble z);
SUB glMatrixTranslatedEXT (BYVAL dwMode AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixTranslatedEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixTranslatedEXT(dwMode, x, y, z)
END SUB

'// void glMatrixFrustumEXT (GLenum mode, GLdouble left, GLdouble right, GLdouble bottom,
'// GLdouble top, GLdouble zNear, GLdouble zFar);
SUB glMatrixFrustumEXT (BYVAL dwMode AS DWORD, BYVAL nLeft AS DOUBLE, BYVAL nRight AS DOUBLE, _
    BYVAL nBottom AS DOUBLE, BYVAL nTop AS DOUBLE, BYVAL zNear AS DOUBLE, BYVAL zFar AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixFrustumEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixFrustumEXT(dwMode, nLeft, nRight, nBottom, nTop, zNear, zFar)
END SUB

'// void glMatrixOrthoEXT (GLenum mode, GLdouble left, GLdouble right, GLdouble bottom,
'// GLdouble top, GLdouble zNear, GLdouble zFar);
SUB glMatrixOrthoEXT (BYVAL dwMode AS DWORD, BYVAL nLeft AS DOUBLE, BYVAL nRight AS DOUBLE, _
    BYVAL nBottom AS DOUBLE, BYVAL nTop AS DOUBLE, BYVAL zNear AS DOUBLE, BYVAL zFar AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixOrthoEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixOrthoEXT(dwMode, nLeft, nRight, nBottom, nTop, zNear, zFar)
END SUB

'// GLAPI void glMatrixPopEXT (GLenum);
'// typedef void (APIENTRYP PFNGLMATRIXPOPEXTPROC) (GLenum mode);
SUB glMatrixPopEXT (BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixPopEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixPopEXT(dwMode)
END SUB

'// void glMatrixPushEXT (GLenum mode);
SUB glMatrixPushEXT (BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixPushEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixPushEXT(dwMode)
END SUB

'// void glMatrixLoadTransposefEXT (GLenum mode, const GLfloat *m);
SUB glMatrixLoadTransposefEXT (BYVAL dwMode AS DWORD, BYREF m AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixLoadTransposefEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixLoadTransposefEXT(dwMode, m)
END SUB

'// void glMatrixLoadTransposedEXT (GLenum mode, const GLdouble *m);
SUB glMatrixLoadTransposedEXT (BYVAL dwMode AS DWORD, BYREF m AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixLoadTransposedEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixLoadTransposedEXT(dwMode, m)
END SUB

'// void glMatrixMultTransposefEXT (GLenum mode, const GLfloat *m);
SUB glMatrixMultTransposefEXT (BYVAL dwMode AS DWORD, BYREF m AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixMultTransposefEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixMultTransposefEXT(dwMode, m)
END SUB

'// void glMatrixMultTransposedEXT (GLenum mode, const GLdouble *m);
SUB glMatrixMultTransposedEXT (BYVAL dwMode AS DWORD, BYREF m AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMatrixMultTransposedEXT")
    IF pProc THEN CALL DWORD pProc USING glMatrixMultTransposedEXT(dwMode, m)
END SUB

'// void glTextureParameterfEXT (GLuint texture, GLenum target, GLenum pname, GLfloat param);
SUB glTextureParameterfEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureParameterfEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureParameterfEXT(dwTexture, dwTarget, pname, param)
END SUB

'// void glTextureParameterfvEXT (GLuint texture, GLenum target, GLenum pname, const GLfloat *params);
SUB glTextureParameterfvEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureParameterfvEXT(dwTexture, dwTarget, pname, params)
END SUB

'// void glTextureParameteriEXT (GLuint texture, GLenum target, GLenum pname, GLint param);
SUB glTextureParameteriEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureParameteriEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureParameteriEXT(dwTexture, dwTarget, pname, param)
END SUB

'// void glTextureParameterivEXT (GLuint texture, GLenum target, GLenum pname, const GLint *params);
SUB glTextureParameterivEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureParameterivEXT(dwTexture, dwTarget, pname, params)
END SUB

'// void glTextureImage1DEXT (GLuint texture, GLenum target, GLint level,
'// GLenum internalformat, GLsizei width, GLint border, GLenum format, GLenum type,
'// const GLvoid *pixels);
SUB glTextureImage1DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nBorder AS LONG, BYVAL dwFormat AS DWORD, _
    BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureImage1DEXT(dwTexture, dwTarget, nLevel, internalformat, nWidth, nBorder, dwFormat, dwType, pPixels)
END SUB

'// void glTextureImage2DEXT (GLuint texture, GLenum target, GLint level,
'// GLenum internalformat, GLsizei width, GLsizei height, GLint border,
'// GLenum format, GLenum type, const GLvoid *pixels);
SUB glTextureImage2DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nBorder AS LONG, BYVAL dwFormat AS DWORD, _
    BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureImage2DEXT(dwTexture, dwTarget, nLevel, internalformat, nWidth, nBorder, dwFormat, dwType, pPixels)
END SUB

'// void glTextureSubImage1DEXT (GLuint texture, GLenum target, GLint level, GLint xoffset,
'// GLsizei width, GLenum format, GLenum type, const GLvoid *pixels);
SUB glTextureSubImage1DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL nWidth AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureSubImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureSubImage1DEXT(dwTexture, dwTarget, nLevel, xoffset, nWidth, dwFormat, dwType, pPixels)
END SUB

'// void glTextureSubImage2DEXT (GLuint texture, GLenum target, GLint level, GLint xoffset,
'// GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels);
SUB glTextureSubImage2DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL yoffset AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureSubImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureSubImage2DEXT(dwTexture, dwTarget, nLevel, xoffset, yoffset, nWidth, nHeight, dwFormat, dwType, pPixels)
END SUB

'// void glCopyTextureImage1DEXT (GLuint texture, GLenum target, GLint level,
'// GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border);
SUB glCopyTextureImage1DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG, BYVAL nBorder AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyTextureImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyTextureImage1DEXT(dwTexture, dwTarget, nLevel, internalformat, x, y, nWidth, nBorder)
END SUB

'// void glCopyTextureImage2DEXT (GLuint texture, GLenum target, GLint level,
'// GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);
SUB glCopyTextureImage2DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG, BYVAL nBorder AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyTextureImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyTextureImage2DEXT(dwTexture, dwTarget, nLevel, internalformat, x, y, nWidth, nBorder)
END SUB

'// void glCopyTextureSubImage1DEXT (GLuint texture, GLenum target, GLint level,
'// GLint xoffset, GLint x, GLint y, GLsizei width);
SUB glCopyTextureSubImage1DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyTextureSubImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyTextureSubImage1DEXT(dwTexture, dwTarget, nLevel, xoffset, x, y, nWidth)
END SUB

'// void glCopyTextureSubImage2DEXT (GLuint texture, GLenum target, GLint level,
'// GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);
SUB glCopyTextureSubImage2DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL yoffset AS LONG, BYVAL x AS LONG, BYVAL y AS LONG, _
    BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyTextureSubImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyTextureSubImage2DEXT(dwTexture, dwTarget, nLevel, xoffset, yoffset, x, y, nWidth, nHeight)
END SUB

'// void glGetTextureImageEXT (GLuint texture, GLenum target, GLint level, GLenum format,
'// GLenum type, GLvoid *pixels);
SUB glGetTextureImageEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTextureImageEXT")
    IF pProc THEN CALL DWORD pProc USING glGetTextureImageEXT(dwTexture, dwTarget, nLevel, dwFormat, dwType, pPixels)
END SUB

'// void glGetTextureParameterfvEXT (GLuint texture, GLenum target, GLenum pname, GLfloat *params);
SUB glGetTextureParameterfvEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTextureParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetTextureParameterfvEXT(dwTexture, dwTarget, pname, params)
END SUB

'// void glGetTextureParameterivEXT (GLuint texture, GLenum target, GLenum pname, GLint *params);
SUB glGetTextureParameterivEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTextureParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetTextureParameterivEXT(dwTexture, dwTarget, pname, params)
END SUB

'// void glGetTextureLevelParameterfvEXT (GLuint texture, GLenum target, GLint level,
'// GLenum pname, GLfloat *params);
SUB glGetTextureLevelParameterfvEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, _
    BYVAL nLevel AS LONG, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTextureLevelParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetTextureLevelParameterfvEXT(dwTexture, dwTarget, nLevel, pname, params)
END SUB

'// void glGetTextureLevelParameterivEXT (GLuint texture, GLenum target, GLint level,
'// GLenum pname, GLint *params);
SUB glGetTextureLevelParameterivEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTextureLevelParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetTextureLevelParameterivEXT(dwTexture, dwTarget, nLevel, pname, params)
END SUB

'// void glTextureImage3DEXT (GLuint texture, GLenum target, GLint level,
'// GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth,
'// GLint border, GLenum format, GLenum type, const GLvoid *pixels);
SUB glTextureImage3DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nDepth AS LONG, _
    BYVAL nBorder AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureImage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureImage3DEXT(dwTexture, dwTarget, nLevel, internalformat, nWidth, nHeight, nDepth, nBorder, dwFormat, dwType, pPixels)
END SUB

'// void glTextureSubImage3DEXT (GLuint texture, GLenum target, GLint level, GLint xoffset,
'// GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth,
'// GLenum format, GLenum type, const GLvoid *pixels);
SUB glTextureSubImage3DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL yoffset AS LONG, BYVAL zoffset AS LONG, BYVAL nWidth AS LONG, _
    BYVAL nHeight AS LONG, BYVAL nDepth AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureSubImage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureSubImage3DEXT(dwTexture, dwTarget, nLevel, xoffset, yoffset, zoffset, nWidth, nHeight, nDepth, dwFormat, dwType, pPixels)
END SUB

'// void glCopyTextureSubImage3DEXT (GLuint texture, GLenum target, GLint level,
'// GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height);
SUB glCopyTextureSubImage3DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL yoffset AS LONG, BYVAL zoffset AS LONG, BYVAL x AS LONG, BYVAL y AS LONG, _
    BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyTextureSubImage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyTextureSubImage3DEXT(dwTexture, dwTarget, nLevel, xoffset, yoffset, zoffset, x, y, nWidth, nHeight)
END SUB

'// void glMultiTexParameterfEXT (GLenum texunit, GLenum target, GLenum pname, GLfloat param);
SUB glMultiTexParameterfEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexParameterfEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexParameterfEXT(dwTexunit, dwTarget, pname, param)
END SUB

'// void glMultiTexParameterfvEXT (GLenum texunit, GLenum target, GLenum pname, const GLfloat *params);
SUB glMultiTexParameterfvEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexParameterfvEXT(dwTexunit, dwTarget, pname, params)
END SUB

'// void glMultiTexParameteriEXT (GLenum texunit, GLenum target, GLenum pname, GLint param);
SUB glMultiTexParameteriEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexParameteriEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexParameteriEXT(dwTexunit, dwTarget, pname, param)
END SUB

'// void glMultiTexParameterivEXT (GLenum texunit, GLenum target, GLenum pname, const GLint *params);
SUB glMultiTexParameterivEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexParameterivEXT(dwTexunit, dwTarget, pname, params)
END SUB

'// void glMultiTexImage1DEXT (GLenum texunit, GLenum target, GLint level,
'// GLenum internalformat, GLsizei width, GLint border, GLenum format,
'// GLenum type, const GLvoid *pixels);
SUB glMultiTexImage1DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nBorder AS LONG, BYVAL dwFormat AS DWORD, _
    BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexImage1DEXT(dwTexunit, dwTarget, nLevel, internalformat, nWidth, nBorder, dwFormat, dwType, ppixels)
END SUB

'// void glMultiTexImage2DEXT (GLenum texunit, GLenum target, GLint level,
'// GLenum internalformat, GLsizei width, GLsizei height, GLint border,
'// GLenum format, GLenum type, const GLvoid *pixels);
SUB glMultiTexImage2DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nBorder AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexImage2DEXT(dwTexunit, dwTarget, nLevel, internalformat, nWidth, nHeight, nBorder, dwFormat, dwType, ppixels)
END SUB

'// void glMultiTexSubImage1DEXT (GLenum texunit, GLenum target, GLint level, GLint xoffset,
'// GLsizei width, GLenum format, GLenum type, const GLvoid *pixels);
SUB glMultiTexSubImage1DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL nWidth AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexSubImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexSubImage1DEXT(dwTexunit, dwTarget, nLevel, xoffset, nWidth, dwFormat, dwType, pPixels)
END SUB

'// void glMultiTexSubImage2DEXT (GLenum texunit, GLenum target, GLint level,
'// GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format,
'// GLenum type, const GLvoid *pixels);
SUB glMultiTexSubImage2DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL yoffset AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexSubImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexSubImage2DEXT(dwTexunit, dwTarget, nLevel, xoffset, yoffset, nWidth, nHeight, dwFormat, dwType, pPixels)
END SUB

'// void glCopyMultiTexImage1DEXT (GLenum texunit, GLenum target, GLint level,
'// GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border);
SUB glCopyMultiTexImage1DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG, BYVAL nBorder AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyMultiTexImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyMultiTexImage1DEXT(dwTexunit, dwTarget, nLevel, internalformat, x, y, nWidth, nBorder)
END SUB

'// void glCopyMultiTexImage2DEXT (GLenum texunit, GLenum target, GLint level,
'// GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);
SUB glCopyMultiTexImage2DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG, _
    BYVAL nHeight AS LONG, BYVAL nBorder AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyMultiTexImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyMultiTexImage2DEXT(dwTexunit, dwTarget, nLevel, internalformat, x, y, nWidth, nHeight, nBorder)
END SUB

'// void glCopyMultiTexSubImage1DEXT (GLenum texunit, GLenum target, GLint level,
'// GLint xoffset, GLint x, GLint y, GLsizei width);
SUB glCopyMultiTexSubImage1DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL nWidth AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyMultiTexSubImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyMultiTexSubImage1DEXT(dwTexunit, dwTarget, nLevel, xoffset, x, y, nWidth)
END SUB

'// void glCopyMultiTexSubImage2DEXT (GLenum texunit, GLenum target, GLint level,
'// GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);
SUB glCopyMultiTexSubImage2DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL yoffset AS LONG, BYVAL x AS LONG, BYVAL y AS LONG, _
    BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyMultiTexSubImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyMultiTexSubImage2DEXT(dwTexunit, dwTarget, nLevel, xoffset, yoffset, x, y, nWidth, nHeight)
END SUB

'// void glGetMultiTexImageEXT (GLenum texunit, GLenum target, GLint level, GLenum format,
'// GLenum type, GLvoid *pixels);
SUB glGetMultiTexImageEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultiTexImageEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMultiTexImageEXT(dwTexunit, dwTarget, nLevel, dwFormat, dwType, pPixels)
END SUB

'// void glGetMultiTexParameterfvEXT (GLenum texunit, GLenum target, GLenum pname, GLfloat *params);
SUB glGetMultiTexParameterfvEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultiTexParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMultiTexParameterfvEXT(dwTexunit, dwTarget, pname, params)
END SUB

'// void glGetMultiTexParameterivEXT (GLenum texunit, GLenum target, GLenum pname, GLint *params);
SUB glGetMultiTexParameterivEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultiTexParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMultiTexParameterivEXT(dwTexunit, dwTarget, pname, params)
END SUB

'// void glGetMultiTexLevelParameterfvEXT (GLenum texunit, GLenum target, GLint level,
'// GLenum pname, GLfloat *params);
SUB glGetMultiTexLevelParameterfvEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultiTexLevelParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMultiTexLevelParameterfvEXT(dwTexunit, dwTarget, nLevel, pname, params)
END SUB

'// void glGetMultiTexLevelParameterivEXT (GLenum texunit, GLenum target, GLint level,
'// GLenum pname, GLint *params);
SUB glGetMultiTexLevelParameterivEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultiTexLevelParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMultiTexLevelParameterivEXT(dwTexunit, dwTarget, nLevel, pname, params)
END SUB

'// void glMultiTexImage3DEXT (GLenum texunit, GLenum target, GLint level,
'// GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth,
'// GLint border, GLenum format, GLenum type, const GLvoid *pixels);
SUB glMultiTexImage3DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nDepth AS LONG, _
    BYVAL nBorder AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexImage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexImage3DEXT(dwTexunit, dwTarget, nLevel, internalformat, nWidth, nHeight, nDepth, nBorder, dwFormat, dwType, pPixels)
END SUB

'// void glMultiTexSubImage3DEXT (GLenum texunit, GLenum target, GLint level,
'// GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height,
'// GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels);
SUB glMultiTexSubImage3DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL yoffset AS LONG, BYVAL zoffset AS LONG, BYVAL nWidth AS LONG, _
    BYVAL nHeight AS LONG, BYVAL nDepth AS LONG, BYVAL dwFormat AS DWORD, BYVAL dwType AS DWORD, BYVAL pPixels AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexSubImage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexSubImage3DEXT(dwTexunit, dwTarget, nLevel, xoffset, yoffset, zoffset, nWidth, nHeight, nDepth, dwFormat, dwType, pPixels)
END SUB

'// void glCopyMultiTexSubImage3DEXT (GLenum texunit, GLenum target, GLint level,
'// GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height);
SUB glCopyMultiTexSubImage3DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL yoffset AS LONG, BYVAL zoffset AS LONG, BYVAL x AS LONG, _
    BYVAL y AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyMultiTexSubImage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glCopyMultiTexSubImage3DEXT(dwTexunit, dwTarget, nLevel, xoffset, yoffset, zoffset, x, y, nWidth, nHeight)
END SUB

'// GLAPI void glBindMultiTextureEXT (GLenum, GLenum, GLuint);
'// typedef void (APIENTRYP PFNGLBINDMULTITEXTUREEXTPROC) (GLenum texunit, GLenum target, GLuint texture);
SUB glBindMultiTextureEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL dwTexture AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindMultiTextureEXT")
    IF pProc THEN CALL DWORD pProc USING glBindMultiTextureEXT(dwTexunit, dwTarget, dwTexture)
END SUB

'// void glEnableClientStateIndexedEXT (GLenum array, GLuint index);
SUB glEnableClientStateIndexedEXT (BYVAL dwArray AS DWORD, BYVAL dwIndex AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEnableClientStateIndexedEXT")
    IF pProc THEN CALL DWORD pProc USING glEnableClientStateIndexedEXT(dwArray, dwIndex)
END SUB

'// void glDisableClientStateIndexedEXT (GLenum array, GLuint index);
SUB glDisableClientStateIndexedEXT (BYVAL dwArray AS DWORD, BYVAL dwIndex AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDisableClientStateIndexedEXT")
    IF pProc THEN CALL DWORD pProc USING glDisableClientStateIndexedEXT(dwArray, dwIndex)
END SUB

'// void glMultiTexCoordPointerEXT (GLenum texunit, GLint size, GLenum type, GLsizei stride,
'// const GLvoid *pointer);
SUB glMultiTexCoordPointerEXT (BYVAL dwTexunit AS DWORD, BYVAL nSize AS LONG, BYVAL dwType AS DWORD, _
    BYVAL nStride AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexCoordPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexCoordPointerEXT(dwTexunit, nSize, dwType, nStride, pPointer)
END SUB

'// void glMultiTexEnvfEXT (GLenum texunit, GLenum target, GLenum pname, GLfloat param);
SUB glMultiTexEnvfEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexEnvfEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexEnvfEXT(dwTexunit, dwTarget, pname, param)
END SUB

'// void glMultiTexEnvfvEXT (GLenum texunit, GLenum target, GLenum pname, const GLfloat *params);
SUB glMultiTexEnvfvEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexEnvfvEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexEnvfvEXT(dwTexunit, dwTarget, pname, params)
END SUB

'// void glMultiTexEnviEXT (GLenum texunit, GLenum target, GLenum pname, GLint param);
SUB glMultiTexEnviEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexEnviEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexEnviEXT(dwTexunit, dwTarget, pname, param)
END SUB

'// void glMultiTexEnvivEXT (GLenum texunit, GLenum target, GLenum pname, const GLint *params);
SUB glMultiTexEnvivEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexEnvivEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexEnvivEXT(dwTexunit, dwTarget, pname, params)
END SUB

'// void glMultiTexGendEXT (GLenum texunit, GLenum coord, GLenum pname, GLdouble param);
SUB glMultiTexGendEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL param AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexGendEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexGendEXT(dwTexunit, dwTarget, pname, param)
END SUB

'// void glMultiTexGendvEXT (GLenum texunit, GLenum coord, GLenum pname, const GLdouble *params);
SUB glMultiTexGendvEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF param AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexGendvEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexGendvEXT(dwTexunit, dwTarget, pname, param)
END SUB

'// void glMultiTexGenfEXT (GLenum texunit, GLenum coord, GLenum pname, GLfloat param);
SUB glMultiTexGenfEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS  DWORD, BYVAL param AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexGenfEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexGenfEXT(dwTexunit, dwTarget, pname, param)
END SUB

'// void glMultiTexGenfvEXT (GLenum texunit, GLenum coord, GLenum pname, const GLfloat *params);
SUB glMultiTexGenfvEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexGenfvEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexGenfvEXT(dwTexunit, dwTarget, pname, params)
END SUB

'// void glMultiTexGeniEXT (GLenum texunit, GLenum coord, GLenum pname, GLint param);
SUB glMultiTexGeniEXT (BYVAL dwTexunit AS DWORD, BYVAL dwCoord AS DWORD, BYVAL pname AS DWORD, BYVAL param AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexGeniEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexGeniEXT(dwTexunit, dwCoord, pname, param)
END SUB

'// void glMultiTexGenivEXT (GLenum texunit, GLenum coord, GLenum pname, const GLint *params);
SUB glMultiTexGenivEXT (BYVAL dwTexunit AS DWORD, BYVAL dwCoord AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexGenivEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexGenivEXT(dwTexunit, dwCoord, pname, params)
END SUB

'// void glGetMultiTexEnvfvEXT (GLenum texunit, GLenum target, GLenum pname, GLfloat *params);
SUB glGetMultiTexEnvfvEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultiTexEnvfvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMultiTexEnvfvEXT(dwTexunit, dwTarget, pname, params)
END SUB

'// void glGetMultiTexEnvivEXT (GLenum texunit, GLenum target, GLenum pname, GLint *params);
SUB glGetMultiTexEnvivEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultiTexEnvivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMultiTexEnvivEXT(dwTexunit, dwTarget, pname, params)
END SUB

'// void glGetMultiTexGendvEXT (GLenum texunit, GLenum coord, GLenum pname, GLdouble *params);
SUB glGetMultiTexGendvEXT (BYVAL dwTexunit AS DWORD, BYVAL dwCoord AS DWORD, BYVAL pname AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultiTexGendvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMultiTexGendvEXT(dwTexunit, dwCoord, pname, params)
END SUB

'// void glGetMultiTexGenfvEXT (GLenum texunit, GLenum coord, GLenum pname, GLfloat *params);
SUB glGetMultiTexGenfvEXT (BYVAL dwTexunit AS DWORD, BYVAL dwCoord AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultiTexGenfvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMultiTexGenfvEXT(dwTexunit, dwCoord, pname, params)
END SUB

'// void glGetMultiTexGenivEXT (GLenum texunit, GLenum coord, GLenum pname, GLint *params);
SUB glGetMultiTexGenivEXT (BYVAL dwTexunit AS DWORD, BYVAL dwCoord AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultiTexGenivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMultiTexGenivEXT(dwTexunit, dwCoord, pname, params)
END SUB

'// void glGetFloatIndexedvEXT (GLenum target, GLuint index, GLfloat *data);
SUB glGetFloatIndexedvEXT (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF pData AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetFloatIndexedvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetFloatIndexedvEXT(dwTarget, dwIndex, pData)
END SUB

'// void glGetDoubleIndexedvEXT (GLenum target, GLuint index, GLdouble *data);
SUB glGetDoubleIndexedvEXT (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF pData AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetDoubleIndexedvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetDoubleIndexedvEXT(dwTarget, dwIndex, pData)
END SUB

'// void glGetPointerIndexedvEXT (GLenum target, GLuint index, GLvoid* *data);
SUB glGetPointerIndexedvEXT (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPointerIndexedvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetPointerIndexedvEXT(dwTarget, dwIndex, pData)
END SUB

'// void glCompressedTextureImage3DEXT (GLuint texture, GLenum target, GLint level,
'// GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border,
'// GLsizei imageSize, const GLvoid *bits);
SUB glCompressedTextureImage3DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nDepth AS LONG, _
    BYVAL nBorder AS LONG, BYVAL imageSize AS LONG, BYVAL pbits AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTextureImage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glCompressedTextureImage3DEXT(dwTexture, dwTarget, nLevel, internalformat, nWidth, nHeight, nDepth, nBorder, imageSize, pbits)
END SUB

'// void glCompressedTextureImage2DEXT (GLuint texture, GLenum target, GLint level,
'// GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize,
'// const GLvoid *bits);
SUB glCompressedTextureImage2DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nBorder AS LONG, _
    BYVAL imageSize AS LONG, BYVAL pbits AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTextureImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glCompressedTextureImage2DEXT(dwTexture, dwTarget, nLevel, internalformat, nWidth, nHeight, nBorder, imageSize, pbits)
END SUB

'// void glCompressedTextureImage1DEXT (GLuint texture, GLenum target, GLint level,
'// GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *bits);
SUB glCompressedTextureImage1DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nBorder AS LONG, BYVAL imageSize AS LONG, BYVAL pbits AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTextureImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glCompressedTextureImage1DEXT(dwTexture, dwTarget, nLevel, internalformat, nWidth, nBorder, imageSize, pbits)
END SUB

'// void glCompressedTextureSubImage3DEXT (GLuint texture, GLenum target, GLint level,
'// GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height,
'// GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *bits);
SUB glCompressedTextureSubImage3DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL yoffset AS LONG, BYVAL zoffset AS LONG, BYVAL nWidth AS LONG, _
    BYVAL nHeight AS LONG, BYVAL nDepth AS LONG, BYVAL dwFormat AS DWORD, BYVAL imageSize AS LONG, BYVAL pbits AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTextureSubImage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glCompressedTextureSubImage3DEXT(dwTexture, dwTarget, nLevel, xoffset, yoffset, zoffset, nWidth, nHeight, nDepth, dwFormat, imageSize, pbits)
END SUB

'// void glCompressedTextureSubImage2DEXT (GLuint texture, GLenum target, GLint level,
'// GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format,
'// GLsizei imageSize, const GLvoid *bits);
SUB glCompressedTextureSubImage2DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL yoffset AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL imageSize AS LONG, BYVAL pbits AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTextureSubImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glCompressedTextureSubImage2DEXT(dwTexture, dwTarget, nLevel, xoffset, yoffset, nWidth, nHeight, dwFormat, imageSize, pbits)
END SUB

'// void glCompressedTextureSubImage1DEXT (GLuint texture, GLenum target, GLint level,
'// GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *bits);
SUB glCompressedTextureSubImage1DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL nWidth AS LONG, BYVAL dwFormat AS DWORD, BYVAL imageSize AS LONG, BYVAL pbits AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedTextureSubImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glCompressedTextureSubImage1DEXT(dwTexture, dwTarget, nLevel, xoffset, nWidth, dwFormat, imageSize, pbits)
END SUB

'// void glGetCompressedTextureImageEXT (GLuint texture, GLenum target, GLint lod, GLvoid *img);
SUB glGetCompressedTextureImageEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL lod AS LONG, BYVAL pImg AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetCompressedTextureImageEXT")
    IF pProc THEN CALL DWORD pProc USING glGetCompressedTextureImageEXT(dwTexture, dwTarget, lod, pImg)
END SUB

'// void glCompressedMultiTexImage3DEXT (GLenum texunit, GLenum target, GLint level,
'// GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border,
'// GLsizei imageSize, const GLvoid *bits);
SUB glCompressedMultiTexImage3DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, _
    BYVAL nLevel AS LONG, BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, _
    BYVAL nDepth AS LONG, BYVAL nBorder AS LONG, BYVAL imageSize AS LONG, BYVAL pbits AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedMultiTexImage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glCompressedMultiTexImage3DEXT(dwTexunit, dwTarget, nLevel, internalformat, nWidth, nHeight, nDepth, nBorder, imageSize, pbits)
END SUB

'// void glCompressedMultiTexImage2DEXT (GLenum texunit, GLenum target, GLint level,
'// GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize,
'// const GLvoid *bits);
SUB glCompressedMultiTexImage2DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, BYVAL nBorder AS LONG, _
    BYVAL imageSize AS LONG, BYVAL pbits AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedMultiTexImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glCompressedMultiTexImage2DEXT(dwTexunit, dwTarget, nLevel, internalformat, nWidth, nHeight, nBorder, imageSize, pbits)
END SUB

'// void glCompressedMultiTexImage1DEXT (GLenum texunit, GLenum target, GLint level,
'// GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *bits);
SUB glCompressedMultiTexImage1DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nBorder AS LONG, BYVAL imageSize AS LONG, BYVAL pbits AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedMultiTexImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glCompressedMultiTexImage1DEXT(dwTexunit, dwTarget, nLevel, internalformat, nWidth, nBorder, imageSize, pbits)
END SUB

'// void (glCompressedMultiTexSubImage3DEXT (GLenum texunit, GLenum target, GLint level,
'// GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height,
'// GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *bits);
SUB glCompressedMultiTexSubImage3DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL yoffset AS LONG, BYVAL zoffset AS LONG, BYVAL nWidth AS LONG, _
    BYVAL nHeight AS LONG, BYVAL nDepth AS LONG, BYVAL dwFormat AS DWORD, BYVAL imageSize AS LONG, BYVAL pbits AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedMultiTexSubImage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glCompressedMultiTexSubImage3DEXT(dwTexunit, dwTarget, nLevel, xoffset, yoffset, zoffset, nWidth, nHeight, nDepth, dwFormat, imageSize, pbits)
END SUB

'// void glCompressedMultiTexSubImage2DEXT (GLenum texunit, GLenum target, GLint level,
'// GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format,
'// GLsizei imageSize, const GLvoid *bits);
SUB glCompressedMultiTexSubImage2DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL yoffset AS LONG, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG, _
    BYVAL dwFormat AS DWORD, BYVAL imageSize AS LONG, BYVAL pbits AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedMultiTexSubImage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glCompressedMultiTexSubImage2DEXT(dwTexunit, dwTarget, nLevel, xoffset, yoffset, nWidth, nHeight, dwFormat, imageSize, pbits)
END SUB

'// void glCompressedMultiTexSubImage1DEXT (GLenum texunit, GLenum target, GLint level,
'// GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *bits);
SUB glCompressedMultiTexSubImage1DEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL nLevel AS LONG, _
    BYVAL xoffset AS LONG, BYVAL nWidth AS LONG, BYVAL dwFormat AS DWORD, BYVAL imageSize AS LONG, BYVAL pbits AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCompressedMultiTexSubImage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glCompressedMultiTexSubImage1DEXT(dwTexunit, dwTarget, nLevel, xoffset, nWidth, dwFormat, imageSize, pbits)
END SUB

'// void glGetCompressedMultiTexImageEXT (GLenum texunit, GLenum target, GLint lod, GLvoid *img);
SUB glGetCompressedMultiTexImageEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL lod AS LONG, BYVAL pImg AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetCompressedMultiTexImageEXT")
    IF pProc THEN CALL DWORD pProc USING glGetCompressedMultiTexImageEXT(dwTexunit, dwTarget, lod, pImg)
END SUB

'// void glNamedProgramStringEXT (GLuint program, GLenum target, GLenum format,
'// GLsizei len, const GLvoid *string);
SUB glNamedProgramStringEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, _
    BYVAL dwFormat AS DWORD, BYVAL nLen AS LONG, BYVAL pstring AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedProgramStringEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedProgramStringEXT(dwProgram, dwTarget, dwFormat, nLen, pstring)
END SUB

'// void glNamedProgramLocalParameter4dEXT (GLuint program, GLenum target, GLuint index,
'// GLdouble x, GLdouble y, GLdouble z, GLdouble w);
SUB glNamedProgramLocalParameter4dEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, _
    BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE, BYVAL w AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedProgramLocalParameter4dEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedProgramLocalParameter4dEXT(dwProgram, dwTarget, dwIndex, x, y, x, w)
END SUB

'// void glNamedProgramLocalParameter4dvEXT (GLuint program, GLenum target, GLuint index,
'// const GLdouble *params);
SUB glNamedProgramLocalParameter4dvEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedProgramLocalParameter4dvEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedProgramLocalParameter4dvEXT(dwProgram, dwTarget, dwIndex, params)
END SUB

'// void glNamedProgramLocalParameter4fEXT (GLuint program, GLenum target, GLuint index,
'// GLfloat x, GLfloat y, GLfloat z, GLfloat w);
SUB glNamedProgramLocalParameter4fEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, _
    BYVAL dwIndex AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE, BYVAL z AS SINGLE, BYVAL w AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedProgramLocalParameter4fEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedProgramLocalParameter4fEXT(dwProgram, dwTarget, dwIndex, x, y, x, w)
END SUB

'// void glNamedProgramLocalParameter4fvEXT (GLuint program, GLenum target, GLuint index,
'// const GLfloat *params);
SUB glNamedProgramLocalParameter4fvEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedProgramLocalParameter4fvEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedProgramLocalParameter4fvEXT(dwProgram, dwTarget, dwIndex, params)
END SUB

'// void glGetNamedProgramLocalParameterdvEXT (GLuint program, GLenum target, GLuint index, GLdouble *params);
SUB glGetNamedProgramLocalParameterdvEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedProgramLocalParameterdvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetNamedProgramLocalParameterdvEXT(dwProgram, dwTarget, dwIndex, params)
END SUB

'// void glGetNamedProgramLocalParameterfvEXT (GLuint program, GLenum target, GLuint index, GLfloat *params);
SUB glGetNamedProgramLocalParameterfvEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedProgramLocalParameterfvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetNamedProgramLocalParameterfvEXT(dwProgram, dwTarget, dwIndex, params)
END SUB

'// void glGetNamedProgramivEXT (GLuint program, GLenum target, GLenum pname, GLint *params);
SUB glGetNamedProgramivEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedProgramivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetNamedProgramivEXT(dwProgram, dwTarget, pname, params)
END SUB

'// void glGetNamedProgramStringEXT (GLuint program, GLenum target, GLenum pname, GLvoid *string);
SUB glGetNamedProgramStringEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL pstring AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedProgramStringEXT")
    IF pProc THEN CALL DWORD pProc USING glGetNamedProgramStringEXT(dwProgram, dwTarget, pname, pstring)
END SUB

'// void glNamedProgramLocalParameters4fvEXT (GLuint program, GLenum target, GLuint index,
'// GLsizei count, const GLfloat *params);
SUB glNamedProgramLocalParameters4fvEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, _
    BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedProgramLocalParameters4fvEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedProgramLocalParameters4fvEXT(dwProgram, dwTarget, dwIndex, nCount, params)
END SUB

'// void glNamedProgramLocalParameterI4iEXT (GLuint program, GLenum target, GLuint index,
'// GLint x, GLint y, GLint z, GLint w);
SUB glNamedProgramLocalParameterI4iEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, _
    BYVAL dwIndex AS DWORD, BYVAL x AS LONG, BYVAL y AS LONG, BYVAL z AS LONG, BYVAL w AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedProgramLocalParameterI4iEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedProgramLocalParameterI4iEXT(dwProgram, dwTarget, dwIndex, x, y, x, w)
END SUB

'// void glNamedProgramLocalParameterI4ivEXT (GLuint program, GLenum target, GLuint index, const GLint *params);
SUB glNamedProgramLocalParameterI4ivEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, _
    BYVAL dwIndex AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedProgramLocalParameterI4ivEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedProgramLocalParameterI4ivEXT(dwProgram, dwTarget, dwIndex, params)
END SUB

'// void glNamedProgramLocalParametersI4ivEXT (GLuint program, GLenum target, GLuint index,
'// GLsizei count, const GLint *params);
SUB glNamedProgramLocalParametersI4ivEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, _
    BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedProgramLocalParametersI4ivEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedProgramLocalParametersI4ivEXT(dwProgram, dwTarget, dwIndex, nCount, params)
END SUB

'// void glNamedProgramLocalParameterI4uiEXT (GLuint program, GLenum target, GLuint index,
'// GLuint x, GLuint y, GLuint z, GLuint w);
SUB glNamedProgramLocalParameterI4uiEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, _
    BYVAL dwIndex AS DWORD, BYVAL x AS DWORD, BYVAL y AS DWORD, BYVAL z AS DWORD, BYVAL w AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedProgramLocalParameterI4uiEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedProgramLocalParameterI4uiEXT(dwProgram, dwTarget, dwIndex, x, y, x, w)
END SUB

'// void glNamedProgramLocalParameterI4uivEXT (GLuint program, GLenum target, GLuint index, const GLuint *params);
SUB glNamedProgramLocalParameterI4uivEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedProgramLocalParameterI4uivEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedProgramLocalParameterI4uivEXT(dwProgram, dwTarget, dwIndex, params)
END SUB

'// void glNamedProgramLocalParametersI4uivEXT (GLuint program, GLenum target, GLuint index,
'// GLsizei count, const GLuint *params);
SUB glNamedProgramLocalParametersI4uivEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, _
    BYVAL dwIndex AS DWORD, BYVAL nCount AS LONG, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedProgramLocalParametersI4uivEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedProgramLocalParametersI4uivEXT(dwProgram, dwTarget, dwIndex, nCount, params)
END SUB

'// void glGetNamedProgramLocalParameterIivEXT (GLuint program, GLenum target, GLuint index, GLint *params);
SUB glGetNamedProgramLocalParameterIivEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedProgramLocalParameterIivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetNamedProgramLocalParameterIivEXT(dwProgram, dwTarget, dwIndex, params)
END SUB

'// void glGetNamedProgramLocalParameterIuivEXT (GLuint program, GLenum target, GLuint index, GLuint *params);
SUB glGetNamedProgramLocalParameterIuivEXT (BYVAL dwProgram AS DWORD, BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedProgramLocalParameterIuivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetNamedProgramLocalParameterIuivEXT(dwProgram, dwTarget, dwIndex, params)
END SUB

'// void glTextureParameterIivEXT (GLuint texture, GLenum target, GLenum pname, const GLint *params);
SUB glTextureParameterIivEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureParameterIivEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureParameterIivEXT(dwTexture, dwTarget, pname, params)
END SUB

'// void glTextureParameterIuivEXT (GLuint texture, GLenum target, GLenum pname, const GLuint *params);
SUB glTextureParameterIuivEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureParameterIuivEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureParameterIuivEXT(dwTexture, dwTarget, pname, params)
END SUB

'// void glGetTextureParameterIivEXT (GLuint texture, GLenum target, GLenum pname, GLint *params);
SUB glGetTextureParameterIivEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTextureParameterIivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetTextureParameterIivEXT(dwTexture, dwTarget, pname, params)
END SUB

'// void glGetTextureParameterIuivEXT (GLuint texture, GLenum target, GLenum pname, GLuint *params);
SUB glGetTextureParameterIuivEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTextureParameterIuivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetTextureParameterIuivEXT(dwTexture, dwTarget, pname, params)
END SUB

'// void glMultiTexParameterIivEXT (GLenum texunit, GLenum target, GLenum pname, const GLint *params);
SUB glMultiTexParameterIivEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexParameterIivEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexParameterIivEXT(dwTexunit, dwTarget, pname, params)
END SUB

'// void glMultiTexParameterIuivEXT (GLenum texunit, GLenum target, GLenum pname, const GLuint *params);
SUB glMultiTexParameterIuivEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexParameterIuivEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexParameterIuivEXT(dwTexunit, dwTarget, pname, params)
END SUB

'// void glGetMultiTexParameterIivEXT (GLenum texunit, GLenum target, GLenum pname, GLint *params);
SUB glGetMultiTexParameterIivEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultiTexParameterIivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMultiTexParameterIivEXT(dwTexunit, dwTarget, pname, params)
END SUB

'// void glGetMultiTexParameterIuivEXT (GLenum texunit, GLenum target, GLenum pname, GLuint *params);
SUB glGetMultiTexParameterIuivEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultiTexParameterIuivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetMultiTexParameterIuivEXT(dwTexunit, dwTarget, pname, params)
END SUB

'// void glProgramUniform1fEXT (GLuint program, GLint location, GLfloat v0);
SUB glProgramUniform1fEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL v0 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1fEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1fEXT(dwProgram, nLocation, v0)
END SUB

'// void glProgramUniform2fEXT (GLuint program, GLint location, GLfloat v0, GLfloat v1);
SUB glProgramUniform2fEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2fEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2fEXT(dwProgram, nLocation, v0, v1)
END SUB

'// void glProgramUniform3fEXT (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2);
SUB glProgramUniform3fEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL v0 AS SINGLE, BYVAL v1 AS SINGLE, BYVAL v2 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3fEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3fEXT(dwProgram, nLocation, v0, v1, v2)
END SUB

'// void glProgramUniform4fEXT (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3);
SUB glProgramUniform4fEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL v0 AS SINGLE, _
    BYVAL v1 AS SINGLE, BYVAL v2 AS SINGLE, BYVAL v3 AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4fEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4fEXT(dwProgram, nLocation, v0, v1, v2, v3)
END SUB

'// void glProgramUniform1iEXT (GLuint program, GLint location, GLint v0);
SUB glProgramUniform1iEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL v0 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1iEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1iEXT(dwProgram, nLocation, v0)
END SUB

'// GLAPI void glProgramUniform2iEXT (GLuint, GLint, GLint, GLint);
'// typedef void (APIENTRYP PFNGLPROGRAMUNIFORM2IEXTPROC) (GLuint program, GLint location,
'// GLint v0, GLint v1);
SUB glProgramUniform2iEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL v0 AS LONG, BYVAL v1 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2iEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2iEXT(dwProgram, nLocation, v0, v1)
END SUB

'// void glProgramUniform3iEXT (GLuint program, GLint location, GLint v0, GLint v1, GLint v2);
SUB glProgramUniform3iEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL v0 AS LONG, _
    BYVAL v1 AS LONG, BYVAL v2 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3iEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3iEXT(dwProgram, nLocation, v0, v1, v2)
END SUB

'// void glProgramUniform4iEXT (GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3);
SUB glProgramUniform4iEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL v0 AS LONG, _
    BYVAL v1 AS LONG, BYVAL v2 AS LONG, BYVAL v3 AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4iEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4iEXT(dwProgram, nLocation, v0, v1, v2, v3)
END SUB

'// void glProgramUniform1fvEXT (GLuint program, GLint location, GLsizei count, const GLfloat *value);
SUB glProgramUniform1fvEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1fvEXT(dwProgram, nLocation, nCount, value)
END SUB

'// void glProgramUniform2fvEXT (GLuint program, GLint location, GLsizei count, const GLfloat *value);
SUB glProgramUniform2fvEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2fvEXT(dwProgram, nLocation, nCount, value)
END SUB

'// void glProgramUniform3fvEXT (GLuint program, GLint location, GLsizei count, const GLfloat *value);
SUB glProgramUniform3fvEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3fvEXT(dwProgram, nLocation, nCount, value)
END SUB

'// void glProgramUniform4fvEXT (GLuint program, GLint location, GLsizei count, const GLfloat *value);
SUB glProgramUniform4fvEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4fvEXT(dwProgram, nLocation, nCount, value)
END SUB

'// void glProgramUniform1ivEXT (GLuint program, GLint location, GLsizei count, const GLint *value);
SUB glProgramUniform1ivEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1ivEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1ivEXT(dwProgram, nLocation, nCount, value)
END SUB

'// void glProgramUniform2ivEXT (GLuint program, GLint location, GLsizei count, const GLint *value);
SUB glProgramUniform2ivEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2ivEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2ivEXT(dwProgram, nLocation, nCount, value)
END SUB

'// void glProgramUniform3ivEXT (GLuint program, GLint location, GLsizei count, const GLint *value);
SUB glProgramUniform3ivEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3ivEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3ivEXT(dwProgram, nLocation, nCount, value)
END SUB

'// void glProgramUniform4ivEXT (GLuint program, GLint location, GLsizei count, const GLint *value);
SUB glProgramUniform4ivEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4ivEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4ivEXT(dwProgram, nLocation, nCount, value)
END SUB

'// void glProgramUniformMatrix2fvEXT (GLuint program, GLint location, GLsizei count,
'// GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix2fvEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, _
    BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix2fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix2fvEXT(dwProgram, nLocation, nCount, bTranspose, value)
END SUB

'// void glProgramUniformMatrix3fvEXT (GLuint program, GLint location, GLsizei count,
'// GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix3fvEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, _
    BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix3fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix3fvEXT(dwProgram, nLocation, nCount, bTranspose, value)
END SUB

'// void glProgramUniformMatrix4fvEXT (GLuint program, GLint location, GLsizei count,
'// GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix4fvEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, _
    BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix4fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix4fvEXT(dwProgram, nLocation, nCount, bTranspose, value)
END SUB

'// void glProgramUniformMatrix2x3fvEXT (GLuint program, GLint location, GLsizei count,
'// GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix2x3fvEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, _
    BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix2x3fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix2x3fvEXT(dwProgram, nLocation, nCount, bTranspose, value)
END SUB

'// void glProgramUniformMatrix3x2fvEXT (GLuint program, GLint location, GLsizei count,
'// GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix3x2fvEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, _
    BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix3x2fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix3x2fvEXT(dwProgram, nLocation, nCount, bTranspose, value)
END SUB

'// void glProgramUniformMatrix2x4fvEXT (GLuint program, GLint location, GLsizei count,
'// GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix2x4fvEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, _
    BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix2x4fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix2x4fvEXT(dwProgram, nLocation, nCount, bTranspose, value)
END SUB

'// void glProgramUniformMatrix4x2fvEXT (GLuint program, GLint location, GLsizei count,
'// GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix4x2fvEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, _
    BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix4x2fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix4x2fvEXT(dwProgram, nLocation, nCount, bTranspose, value)
END SUB

'// void glProgramUniformMatrix3x4fvEXT (GLuint program, GLint location, GLsizei count,
'// GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix3x4fvEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, _
    BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix3x4fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix3x4fvEXT(dwProgram, nLocation, nCount, bTranspose, value)
END SUB

'// void glProgramUniformMatrix4x3fvEXT (GLuint program, GLint location, GLsizei count,
'// GLboolean transpose, const GLfloat *value);
SUB glProgramUniformMatrix4x3fvEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, _
    BYVAL nCount AS LONG, BYVAL bTranspose AS BYTE, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix4x3fvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix4x3fvEXT(dwProgram, nLocation, nCount, bTranspose, value)
END SUB

'// void glProgramUniform1uiEXT (GLuint program, GLint location, GLuint v0);
SUB glProgramUniform1uiEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL v0 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1uiEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1uiEXT(dwProgram, nLocation, v0)
END SUB

'// void glProgramUniform2uiEXT (GLuint program, GLint location, GLuint v0, GLuint v1);
SUB glProgramUniform2uiEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL v0 AS DWORD, BYVAL v1 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2uiEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2uiEXT(dwProgram, nLocation, v0, v1)
END SUB

'// void glProgramUniform3uiEXT (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2);
SUB glProgramUniform3uiEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL v0 AS DWORD, _
    BYVAL v1 AS DWORD, BYVAL v2 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3uiEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3uiEXT(dwProgram, nLocation, v0, v1, v2)
END SUB

'// void glProgramUniform4uiEXT (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3);
SUB glProgramUniform4uiEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL v0 AS DWORD, _
    BYVAL v1 AS DWORD, BYVAL v2 AS DWORD, BYVAL v3 AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4uiEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4uiEXT(dwProgram, nLocation, v0, v1, v2, v3)
END SUB

'// void glProgramUniform1uivEXT (GLuint program, GLint location, GLsizei count, const GLuint *value);
SUB glProgramUniform1uivEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, _
    BYVAL nCount AS LONG, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1uivEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1uivEXT(dwProgram, nLocation, nCount, value)
END SUB

'// void glProgramUniform2uivEXT (GLuint program, GLint location, GLsizei count, const GLuint *value);
SUB glProgramUniform2uivEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, _
    BYVAL nCount AS LONG, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2uivEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2uivEXT(dwProgram, nLocation, nCount, value)
END SUB

'// void glProgramUniform3uivEXT (GLuint program, GLint location, GLsizei count, const GLuint *value);
SUB glProgramUniform3uivEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3uivEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3uivEXT(dwProgram, nLocation, nCount, value)
END SUB

'// void glProgramUniform4uivEXT (GLuint program, GLint location, GLsizei count, const GLuint *value);
SUB glProgramUniform4uivEXT (BYVAL dwProgram AS DWORD, BYVAL nLocation AS LONG, BYVAL nCount AS LONG, BYREF value AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4uivEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4uivEXT(dwProgram, nLocation, nCount, value)
END SUB

'// void glNamedBufferDataEXT (GLuint buffer, GLsizeiptr size, const GLvoid *data, GLenum usage);
SUB glNamedBufferDataEXT (BYVAL buffer AS DWORD, BYVAL dwSize AS DWORD, BYVAL pData AS DWORD, BYVAL dwUsage AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedBufferDataEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedBufferDataEXT(buffer, dwSize, pData, dwUsage)
END SUB

'// void glNamedBufferSubDataEXT (GLuint buffer, GLintptr offset, GLsizeiptr size, const GLvoid *data);
SUB glNamedBufferSubDataEXT (BYVAL buffer AS DWORD, BYVAL dwOffset AS DWORD, BYVAL dwSize AS DWORD, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedBufferSubDataEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedBufferSubDataEXT(buffer, dwOffset, dwSize, pData)
END SUB

'// GLvoid* glMapNamedBufferEXT (GLuint buffer, GLenum access);
FUNCTION glMapNamedBufferEXT (BYVAL buffer AS DWORD, BYVAL dwAccess AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glMapNamedBufferEXT")
    IF pProc THEN CALL DWORD pProc USING glMapNamedBufferEXT(buffer, dwAccess) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// GLboolean glUnmapNamedBufferEXT (GLuint buffer);
FUNCTION glUnmapNamedBufferEXT (BYVAL buffer AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glUnmapNamedBufferEXT")
    IF pProc THEN CALL DWORD pProc USING glUnmapNamedBufferEXT(buffer) TO bRes
    FUNCTION = bRes
END FUNCTION

'// GLvoid* glMapNamedBufferRangeEXT (GLuint buffer, GLintptr offset, GLsizeiptr length, GLbitfield access);
FUNCTION glMapNamedBufferRangeEXT (BYVAL buffer AS DWORD, BYVAL dwOffset AS DWORD, _
    BYVAL dwLength AS DWORD, BYVAL dwAccess AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glMapNamedBufferRangeEXT")
    IF pProc THEN CALL DWORD pProc USING glMapNamedBufferRangeEXT(buffer, dwOffset, dwLength, dwAccess) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glFlushMappedNamedBufferRangeEXT (GLuint buffer, GLintptr offset, GLsizeiptr length);
SUB glFlushMappedNamedBufferRangeEXT (BYVAL buffer AS DWORD, BYVAL dwOffset AS DWORD, BYVAL dwLength AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFlushMappedNamedBufferRangeEXT")
    IF pProc THEN CALL DWORD pProc USING glFlushMappedNamedBufferRangeEXT(buffer, dwOffset, dwLength)
END SUB

'// void glNamedCopyBufferSubDataEXT (GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size);
SUB glNamedCopyBufferSubDataEXT (BYVAL readBuffer AS DWORD, BYVAL writeBuffer AS DWORD, _
    BYVAL readOffset AS DWORD, BYVAL writeOffset AS DWORD, BYVAL psize AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedCopyBufferSubDataEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedCopyBufferSubDataEXT(readBuffer, writeBuffer, readOffset, writeOffset, psize)
END SUB

'// void glGetNamedBufferParameterivEXT (GLuint buffer, GLenum pname, GLint *params);
SUB glGetNamedBufferParameterivEXT (BYVAL buffer AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedBufferParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetNamedBufferParameterivEXT(buffer, pname, params)
END SUB

'// void glGetNamedBufferPointervEXT (GLuint buffer, GLenum pname, GLvoid* *params);
SUB glGetNamedBufferPointervEXT (BYVAL buffer AS DWORD, BYVAL pname AS DWORD, BYVAL params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedBufferPointervEXT")
    IF pProc THEN CALL DWORD pProc USING glGetNamedBufferPointervEXT(buffer, pname, params)
END SUB

'// void glGetNamedBufferSubDataEXT (GLuint buffer, GLintptr offset, GLsizeiptr size, GLvoid *data);
SUB glGetNamedBufferSubDataEXT (BYVAL buffer AS DWORD, BYVAL dwOffset AS DWORD, BYVAL dwSize AS DWORD, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedBufferSubDataEXT")
    IF pProc THEN CALL DWORD pProc USING glGetNamedBufferSubDataEXT(buffer, dwOffset, dwSize, pData)
END SUB

'// void glTextureBufferEXT (GLuint texture, GLenum target, GLenum internalformat, GLuint buffer);
SUB glTextureBufferEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL buffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureBufferEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureBufferEXT(dwTexture, dwTarget, internalformat, buffer)
END SUB

'// GLAPI void glMultiTexBufferEXT (GLenum, GLenum, GLenum, GLuint);
'// typedef void (APIENTRYP PFNGLMULTITEXBUFFEREXTPROC) (GLenum texunit, GLenum target,
'// GLenum internalformat, GLuint buffer);
SUB glMultiTexBufferEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL buffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexBufferEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexBufferEXT(dwTexunit, dwTarget, internalformat, buffer)
END SUB

'// void glNamedRenderbufferStorageEXT (GLuint renderbuffer, GLenum internalformat, GLsizei width, GLsizei height);
SUB glNamedRenderbufferStorageEXT (BYVAL renderbuffer AS DWORD, BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedRenderbufferStorageEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedRenderbufferStorageEXT(renderbuffer, internalformat, nWidth, nHeight)
END SUB

'// void glGetNamedRenderbufferParameterivEXT (GLuint renderbuffer, GLenum pname, GLint *params);
SUB glGetNamedRenderbufferParameterivEXT (BYVAL renderbuffer AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedRenderbufferParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetNamedRenderbufferParameterivEXT(renderbuffer, pname, params)
END SUB

'// GLenum glCheckNamedFramebufferStatusEXT (GLuint framebuffer, GLenum target);
FUNCTION glCheckNamedFramebufferStatusEXT (BYVAL framebuffer AS DWORD, BYVAL dwTarget AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glCheckNamedFramebufferStatusEXT")
    IF pProc THEN CALL DWORD pProc USING glCheckNamedFramebufferStatusEXT(framebuffer, dwTarget) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glNamedFramebufferTexture1DEXT (GLuint framebuffer, GLenum attachment,
'// GLenum textarget, GLuint texture, GLint level);
SUB glNamedFramebufferTexture1DEXT (BYVAL framebuffer AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTextarget AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedFramebufferTexture1DEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedFramebufferTexture1DEXT(framebuffer, dwAttachment, dwTextarget, dwTexture, nLevel)
END SUB

'// void glNamedFramebufferTexture2DEXT (GLuint framebuffer, GLenum attachment,
'// GLenum textarget, GLuint texture, GLint level);
SUB glNamedFramebufferTexture2DEXT (BYVAL framebuffer AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTextarget AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedFramebufferTexture2DEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedFramebufferTexture2DEXT(framebuffer, dwAttachment, dwTextarget, dwTexture, nLevel)
END SUB

'// void glNamedFramebufferTexture3DEXT (GLuint framebuffer, GLenum attachment,
'// GLenum textarget, GLuint texture, GLint level, GLint zoffset);
SUB glNamedFramebufferTexture3DEXT (BYVAL framebuffer AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTextarget AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG, BYVAL zoffset AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedFramebufferTexture3DEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedFramebufferTexture3DEXT(framebuffer, dwAttachment, dwTextarget, dwTexture, nLevel, zoffset)
END SUB

'// void glNamedFramebufferRenderbufferEXT (GLuint framebuffer, GLenum attachment,
'// GLenum renderbuffertarget, GLuint renderbuffer);
SUB glNamedFramebufferRenderbufferEXT (BYVAL framebuffer AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL renderbuffertarget AS DWORD, BYVAL renderbuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedFramebufferRenderbufferEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedFramebufferRenderbufferEXT(framebuffer, dwAttachment, renderbuffertarget, renderbuffer)
END SUB

'// void glGetNamedFramebufferAttachmentParameterivEXT (GLuint framebuffer,
'// GLenum attachment, GLenum pname, GLint *params);
SUB glGetNamedFramebufferAttachmentParameterivEXT (BYVAL framebuffer AS DWORD, _
    BYVAL dwAttachment AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedFramebufferAttachmentParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetNamedFramebufferAttachmentParameterivEXT(framebuffer, dwAttachment, pname, params)
END SUB

'// void glGenerateTextureMipmapEXT (GLuint texture, GLenum target);
SUB glGenerateTextureMipmapEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenerateTextureMipmapEXT")
    IF pProc THEN CALL DWORD pProc USING glGenerateTextureMipmapEXT(dwTexture, dwTarget)
END SUB

'// void glGenerateMultiTexMipmapEXT (GLenum texunit, GLenum target);
SUB glGenerateMultiTexMipmapEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenerateMultiTexMipmapEXT")
    IF pProc THEN CALL DWORD pProc USING glGenerateMultiTexMipmapEXT(dwTexunit, dwTarget)
END SUB

'// void glFramebufferDrawBufferEXT (GLuint framebuffer, GLenum mode);
SUB glFramebufferDrawBufferEXT (BYVAL framebuffer AS DWORD, BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferDrawBufferEXT")
    IF pProc THEN CALL DWORD pProc USING glFramebufferDrawBufferEXT(framebuffer, dwMode)
END SUB

'// void glFramebufferDrawBuffersEXT (GLuint framebuffer, GLsizei n, const GLenum *bufs);
SUB glFramebufferDrawBuffersEXT (BYVAL framebuffer AS DWORD, BYVAL n AS LONG, BYREF bufs AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferDrawBuffersEXT")
    IF pProc THEN CALL DWORD pProc USING glFramebufferDrawBuffersEXT(framebuffer, n, bufs)
END SUB

'// void glFramebufferReadBufferEXT (GLuint framebuffer, GLenum mode);
SUB glFramebufferReadBufferEXT (BYVAL framebuffer AS DWORD, BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFramebufferReadBufferEXT")
    IF pProc THEN CALL DWORD pProc USING glFramebufferReadBufferEXT(framebuffer, dwMode)
END SUB

'// void glGetFramebufferParameterivEXT (GLuint framebuffer, GLenum pname, GLint *params);
SUB glGetFramebufferParameterivEXT (BYVAL framebuffer AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetFramebufferParameterivEXT")
    IF pProc THEN CALL DWORD pProc USING glGetFramebufferParameterivEXT(framebuffer, pname, params)
END SUB

'// void glNamedRenderbufferStorageMultisampleEXT (GLuint renderbuffer, GLsizei samples,
'// GLenum internalformat, GLsizei width, GLsizei height);
SUB glNamedRenderbufferStorageMultisampleEXT (BYVAL renderbuffer AS DWORD, BYVAL samples AS LONG, _
    BYVAL internalformat AS DWORD, BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedRenderbufferStorageMultisampleEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedRenderbufferStorageMultisampleEXT(renderbuffer, samples, internalformat, nWidth, nHeight)
END SUB

'// void glNamedRenderbufferStorageMultisampleCoverageEXT (GLuint renderbuffer,
'// GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height);
SUB glNamedRenderbufferStorageMultisampleCoverageEXT (BYVAL renderbuffer AS DWORD, _
    BYVAL coverageSamples AS LONG, BYVAL colorSamples AS LONG, BYVAL internalformat AS DWORD, _
    BYVAL nWidth AS LONG, BYVAL nHeight AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedRenderbufferStorageMultisampleCoverageEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedRenderbufferStorageMultisampleCoverageEXT(renderbuffer, coverageSamples, colorSamples, internalformat, nWidth, nHeight)
END SUB

'// void glNamedFramebufferTextureEXT (GLuint framebuffer, GLenum attachment, GLuint texture, GLint level);
SUB glNamedFramebufferTextureEXT (BYVAL framebuffer AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedFramebufferTextureEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedFramebufferTextureEXT(framebuffer, dwAttachment, dwTexture, nLevel)
END SUB

'// void glNamedFramebufferTextureLayerEXT (GLuint framebuffer, GLenum attachment,
'// GLuint texture, GLint level, GLint layer);
SUB glNamedFramebufferTextureLayerEXT (BYVAL framebuffer AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG, BYVAL nLayer AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedFramebufferTextureLayerEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedFramebufferTextureLayerEXT(framebuffer, dwAttachment, dwTexture, nLevel, nLayer)
END SUB

'// void glNamedFramebufferTextureFaceEXT (GLuint framebuffer, GLenum attachment,
'// GLuint texture, GLint level, GLenum face);
SUB glNamedFramebufferTextureFaceEXT (BYVAL framebuffer AS DWORD, BYVAL dwAttachment AS DWORD, _
    BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG, BYVAL dwFace AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNamedFramebufferTextureFaceEXT")
    IF pProc THEN CALL DWORD pProc USING glNamedFramebufferTextureFaceEXT(framebuffer, dwAttachment, dwTexture, nLevel, dwFace)
END SUB

'// void glTextureRenderbufferEXT (GLuint texture, GLenum target, GLuint renderbuffer);
SUB glTextureRenderbufferEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL renderbuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureRenderbufferEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureRenderbufferEXT(dwTexture, dwTarget, renderbuffer)
END SUB

'// void glMultiTexRenderbufferEXT (GLenum texunit, GLenum target, GLuint renderbuffer);
SUB glMultiTexRenderbufferEXT (BYVAL dwTexunit AS DWORD, BYVAL dwTarget AS DWORD, BYVAL renderbuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiTexRenderbufferEXT")
    IF pProc THEN CALL DWORD pProc USING glMultiTexRenderbufferEXT(dwTexunit, dwTarget, renderbuffer)
END SUB

'// void glProgramUniform1dEXT (GLuint program, GLint location, GLdouble x);
SUB glProgramUniform1dEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL x AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1dEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1dEXT(program, location, x)
END SUB

'// void glProgramUniform2dEXT (GLuint program, GLint location, GLdouble x, GLdouble y);
SUB glProgramUniform2dEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2dEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2dEXT(program, location, x, y)
END SUB

'// void glProgramUniform3dEXT (GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z);
SUB glProgramUniform3dEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3dEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3dEXT(program, location, x, y, z)
END SUB

'// void glProgramUniform4dEXT (GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
SUB glProgramUniform4dEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE, BYVAL w AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4dEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4dEXT(program, location, x, y, z, w)
END SUB

'// void glProgramUniform1dvEXT (GLuint program, GLint location, GLsizei count, const GLdouble *value);
SUB glProgramUniform1dvEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1dvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1dvEXT(program, location, nCount, value)
END SUB

'// void glProgramUniform2dvEXT (GLuint program, GLint location, GLsizei count, const GLdouble *value);
SUB glProgramUniform2dvEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2dvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2dvEXT(program, location, nCount, value)
END SUB

'// void glProgramUniform3dvEXT (GLuint program, GLint location, GLsizei count, const GLdouble *value);
SUB glProgramUniform3dvEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3dvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3dvEXT(program, location, nCount, value)
END SUB

'// void glProgramUniform4dvEXT (GLuint program, GLint location, GLsizei count, const GLdouble *value);
SUB glProgramUniform4dvEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4dvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4dvEXT(program, location, nCount, value)
END SUB

'// void glProgramUniformMatrix2dvEXT (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix2dvEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix2dvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix2dvEXT(program, location, nCount, transpose, value)
END SUB

'// void glProgramUniformMatrix3dvEXT (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix3dvEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix3dvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix3dvEXT(program, location, nCount, transpose, value)
END SUB

'// void glProgramUniformMatrix4dvEXT (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix4dvEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix4dvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix4dvEXT(program, location, nCount, transpose, value)
END SUB

'// void glProgramUniformMatrix2x3dvEXT (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix2x3dvEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix2x3dvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix2x3dvEXT(program, location, nCount, transpose, value)
END SUB

'// void glProgramUniformMatrix2x4dvEXT (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix2x4dvEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix2x4dvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix2x4dvEXT(program, location, nCount, transpose, value)
END SUB

'// void glProgramUniformMatrix3x2dvEXT (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix3x2dvEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix3x2dvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix3x2dvEXT(program, location, nCount, transpose, value)
END SUB

'// void glProgramUniformMatrix3x4dvEXT (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix3x4dvEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix3x4dvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix3x4dvEXT(program, location, nCount, transpose, value)
END SUB

'// void glProgramUniformMatrix4x2dvEXT (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix4x2dvEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix4x2dvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix4x2dvEXT(program, location, nCount, transpose, value)
END SUB

'// void glProgramUniformMatrix4x3dvEXT (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value);
SUB glProgramUniformMatrix4x3dvEXT (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYVAL transpose AS BYTE, BYREF value AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformMatrix4x3dvEXT")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformMatrix4x3dvEXT(program, location, nCount, transpose, value)
END SUB

'// void glGetMultisamplefvNV (GLenum pname, GLuint index, GLfloat *val);
SUB glGetMultisamplefvNV (BYVAL pname AS DWORD, BYVAL dwIndex AS DWORD, BYREF value AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetMultisamplefvNV")
    IF pProc THEN CALL DWORD pProc USING glGetMultisamplefvNV(pname, dwIndex, value)
END SUB

'// void glSampleMaskIndexedNV (GLuint index, GLbitfield mask);
SUB glSampleMaskIndexedNV (BYVAL dwIndex AS DWORD, BYVAL dwMask AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSampleMaskIndexedNV")
    IF pProc THEN CALL DWORD pProc USING glSampleMaskIndexedNV(dwIndex, dwMask)
END SUB

'// void glTexRenderbufferNV (GLenum target, GLuint renderbuffer);
SUB glTexRenderbufferNV (BYVAL dwTarget AS DWORD, BYVAL renderbuffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexRenderbufferNV")
    IF pProc THEN CALL DWORD pProc USING glTexRenderbufferNV(dwTarget, renderbuffer)
END SUB

'// void glBindTransformFeedbackNV (GLenum target, GLuint id);
SUB glBindTransformFeedbackNV (BYVAL dwTarget AS DWORD, BYVAL dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindTransformFeedbackNV")
    IF pProc THEN CALL DWORD pProc USING glBindTransformFeedbackNV(dwTarget, dwId)
END SUB

'// void glDeleteTransformFeedbacksNV (GLsizei n, const GLuint *ids);
SUB glDeleteTransformFeedbacksNV (BYVAL n AS DWORD, BYREF ids AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteTransformFeedbacksNV")
    IF pProc THEN CALL DWORD pProc USING glDeleteTransformFeedbacksNV(n, ids)
END SUB

'// void glGenTransformFeedbacksNV (GLsizei n, GLuint *ids);
SUB glGenTransformFeedbacksNV (BYVAL n AS DWORD, BYREF ids AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenTransformFeedbacksNV")
    IF pProc THEN CALL DWORD pProc USING glGenTransformFeedbacksNV(n, ids)
END SUB

'// GLboolean glIsTransformFeedbackNV (GLuint id);
FUNCTION glIsTransformFeedbackNV (BYVAL dwId AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsTransformFeedbackNV")
    IF pProc THEN CALL DWORD pProc USING glIsTransformFeedbackNV(dwid) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glPauseTransformFeedbackNV (void);
SUB glPauseTransformFeedbackNV
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPauseTransformFeedbackNV")
    IF pProc THEN CALL DWORD pProc USING glPauseTransformFeedbackNV
END SUB

'// void glResumeTransformFeedbackNV (void);
SUB glResumeTransformFeedbackNV
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glResumeTransformFeedbackNV")
    IF pProc THEN CALL DWORD pProc USING glResumeTransformFeedbackNV
END SUB

'// void glDrawTransformFeedbackNV (GLenum mode, GLuint id);
SUB glDrawTransformFeedbackNV (BYVAL dwMode AS DWORD, BYREF dwId AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawTransformFeedbackNV")
    IF pProc THEN CALL DWORD pProc USING glDrawTransformFeedbackNV(dwMode, dwId)
END SUB

'// void glGetPerfMonitorGroupsAMD (GLint *numGroups, GLsizei groupsSize, GLuint *groups);
SUB glGetPerfMonitorGroupsAMD (BYREF numGroups AS LONG, BYVAL groupsSize AS LONG, BYREF groups AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPerfMonitorGroupsAMD")
    IF pProc THEN CALL DWORD pProc USING glGetPerfMonitorGroupsAMD(numGroups, groupsSize, groups)
END SUB

'// void glGetPerfMonitorCountersAMD (GLuint group, GLint *numCounters, GLint *maxActiveCounters, GLsizei counterSize, GLuint *counters);
SUB glGetPerfMonitorCountersAMD (BYVAL group AS DWORD, BYREF numCounters AS LONG, _
    BYREF maxActiveCounters AS LONG, BYVAL counterSize AS LONG, BYREF counters AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPerfMonitorCountersAMD")
    IF pProc THEN CALL DWORD pProc USING glGetPerfMonitorCountersAMD(group, numCounters, maxActiveCounters, counterSize, counters)
END SUB

'// void glGetPerfMonitorGroupStringAMD (GLuint group, GLsizei bufSize, GLsizei *length, GLchar *groupString);
SUB glGetPerfMonitorGroupStringAMD (BYVAL group AS DWORD, BYREF bufSize AS LONG, BYREF nLength AS LONG, BYREF groupString AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPerfMonitorGroupStringAMD")
    IF pProc THEN CALL DWORD pProc USING glGetPerfMonitorGroupStringAMD(group, bufSize, nLength, groupString)
END SUB

'// void glGetPerfMonitorCounterStringAMD (GLuint group, GLuint counter, GLsizei bufSize, GLsizei *length, GLchar *counterString);
SUB glGetPerfMonitorCounterStringAMD (BYVAL group AS DWORD, BYVAL dwCounter AS DWORD, _
    BYVAL bufSize AS LONG, BYREF nLength AS LONG, BYREF counterString AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPerfMonitorCounterStringAMD")
    IF pProc THEN CALL DWORD pProc USING glGetPerfMonitorCounterStringAMD(group, dwCounter, bufSize, nLength, counterString)
END SUB

'// void glGetPerfMonitorCounterInfoAMD (GLuint group, GLuint counter, GLenum pname, GLvoid *data);
SUB glGetPerfMonitorCounterInfoAMD (BYVAL group AS DWORD, BYVAL dwCounter AS DWORD, BYVAL pname AS DWORD, BYVAL pData AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPerfMonitorCounterInfoAMD")
    IF pProc THEN CALL DWORD pProc USING glGetPerfMonitorCounterInfoAMD(group, dwCounter, pname, pData)
END SUB

'// void glGenPerfMonitorsAMD (GLsizei n, GLuint *monitors);
SUB glGenPerfMonitorsAMD (BYVAL n AS LONG, BYREF monitors AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenPerfMonitorsAMD")
    IF pProc THEN CALL DWORD pProc USING glGenPerfMonitorsAMD(n, monitors)
END SUB

'// void glDeletePerfMonitorsAMD (GLsizei n, GLuint *monitors);
SUB glDeletePerfMonitorsAMD (BYVAL n AS LONG, BYREF monitors AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeletePerfMonitorsAMD")
    IF pProc THEN CALL DWORD pProc USING glDeletePerfMonitorsAMD(n, monitors)
END SUB

'// void glSelectPerfMonitorCountersAMD (GLuint monitor, GLboolean enable, GLuint group, GLint numCounters, GLuint *counterList);
SUB glSelectPerfMonitorCountersAMD (BYVAL dwMonitor AS DWORD, BYVAL bEnable AS BYTE, _
    BYVAL group AS DWORD, BYVAL numCounters AS LONG, BYREF counterList AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSelectPerfMonitorCountersAMD")
    IF pProc THEN CALL DWORD pProc USING glSelectPerfMonitorCountersAMD(dwMonitor, bEnable, group, numCounters, counterList)
END SUB

'// void glBeginPerfMonitorAMD (GLuint monitor);
SUB glBeginPerfMonitorAMD (BYVAL dwMonitor AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBeginPerfMonitorAMD")
    IF pProc THEN CALL DWORD pProc USING glBeginPerfMonitorAMD(dwMonitor)
END SUB

'// void glEndPerfMonitorAMD (GLuint monitor);
SUB glEndPerfMonitorAMD (BYVAL dwMonitor AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEndPerfMonitorAMD")
    IF pProc THEN CALL DWORD pProc USING glEndPerfMonitorAMD(dwMonitor)
END SUB

'// void glGetPerfMonitorCounterDataAMD (GLuint monitor, GLenum pname, GLsizei dataSize, GLuint *data, GLint *bytesWritten);
SUB glGetPerfMonitorCounterDataAMD (BYVAL dwMonitor AS DWORD, BYVAL pname AS DWORD, _
    BYVAL dataSize AS LONG, BYREF pData AS DWORD, BYREF bytesWritten AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPerfMonitorCounterDataAMD")
    IF pProc THEN CALL DWORD pProc USING glGetPerfMonitorCounterDataAMD(dwMonitor, pname, dataSize, pData, bytesWritten)
END SUB

'// void glTessellationFactorAMD (GLfloat factor);
SUB glTessellationFactorAMD (BYVAL factor AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTessellationFactorAMD")
    IF pProc THEN CALL DWORD pProc USING glTessellationFactorAMD(factor)
END SUB

'// void glTessellationModeAMD (GLenum mode);
SUB glTessellationModeAMD (BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTessellationModeAMD")
    IF pProc THEN CALL DWORD pProc USING glTessellationModeAMD(dwMode)
END SUB

'// void glProvokingVertexEXT (GLenum mode);
SUB glProvokingVertexEXT (BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProvokingVertexEXT")
    IF pProc THEN CALL DWORD pProc USING glProvokingVertexEXT(dwMode)
END SUB

'// void glBlendFuncIndexedAMD (GLuint buf, GLenum src, GLenum dst);
SUB glBlendFuncIndexedAMD (BYVAL buf AS DWORD, BYVAL src AS DWORD, BYVAL dst AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendFuncIndexedAMD")
    IF pProc THEN CALL DWORD pProc USING glBlendFuncIndexedAMD(buf, src, dst)
END SUB

'// void glBlendFuncSeparateIndexedAMD (GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha);
SUB glBlendFuncSeparateIndexedAMD (BYVAL buf AS DWORD, BYVAL srcRGB AS DWORD, _
    BYVAL dstRGB AS DWORD, BYVAL srcAlpha AS DWORD, BYVAL dstAlpha AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendFuncSeparateIndexedAMD")
    IF pProc THEN CALL DWORD pProc USING glBlendFuncSeparateIndexedAMD(buf, srcRGB, dstRGB, srcAlpha, dstAlpha)
END SUB

'// void glBlendEquationIndexedAMD (GLuint buf, GLenum mode);
SUB glBlendEquationIndexedAMD (BYVAL buf AS DWORD, BYVAL dwMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendEquationIndexedAMD")
    IF pProc THEN CALL DWORD pProc USING glBlendEquationIndexedAMD(buf, dwMode)
END SUB

'// void glBlendEquationSeparateIndexedAMD (GLuint buf, GLenum modeRGB, GLenum modeAlpha);
SUB glBlendEquationSeparateIndexedAMD (BYVAL buf AS DWORD, BYVAL modeRGB AS DWORD, BYVAL modeAlpha AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBlendEquationSeparateIndexedAMD")
    IF pProc THEN CALL DWORD pProc USING glBlendEquationSeparateIndexedAMD(buf, modeRGB, modeAlpha)
END SUB

'// void glTextureRangeAPPLE (GLenum target, GLsizei length, const GLvoid *pointer);
SUB glTextureRangeAPPLE (BYVAL dwTarget AS DWORD, BYVAL nLength AS LONG, BYVAL pPointer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureRangeAPPLE")
    IF pProc THEN CALL DWORD pProc USING glTextureRangeAPPLE(dwTarget, nLength, pPointer)
END SUB

'// void glGetTexParameterPointervAPPLE (GLenum target, GLenum pname, GLvoid* *params);
SUB glGetTexParameterPointervAPPLE (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYVAL params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetTexParameterPointervAPPLE")
    IF pProc THEN CALL DWORD pProc USING glGetTexParameterPointervAPPLE(dwTarget, pname, params)
END SUB

'// void glEnableVertexAttribAPPLE (GLuint index, GLenum pname);
SUB glEnableVertexAttribAPPLE (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEnableVertexAttribAPPLE")
    IF pProc THEN CALL DWORD pProc USING glEnableVertexAttribAPPLE(dwIndex, pname)
END SUB

'// void glDisableVertexAttribAPPLE (GLuint index, GLenum pname);
SUB glDisableVertexAttribAPPLE (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDisableVertexAttribAPPLE")
    IF pProc THEN CALL DWORD pProc USING glDisableVertexAttribAPPLE(dwIndex, pname)
END SUB

'// GLboolean glIsVertexAttribEnabledAPPLE (GLuint index, GLenum pname);
FUNCTION glIsVertexAttribEnabledAPPLE (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsVertexAttribEnabledAPPLE")
    IF pProc THEN CALL DWORD pProc USING glIsVertexAttribEnabledAPPLE(dwIndex, pname) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glMapVertexAttrib1dAPPLE (GLuint index, GLuint size, GLdouble u1,
'// GLdouble u2, GLint stride, GLint order, const GLdouble *points);
SUB glMapVertexAttrib1dAPPLE (BYVAL dwIndex AS DWORD, BYVAL dwSize AS DWORD, _
    BYVAL u1 AS DOUBLE, BYVAL u2 AS DOUBLE, BYVAL stride AS LONG, BYVAL order AS LONG, BYREF dpoints AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMapVertexAttrib1dAPPLE")
    IF pProc THEN CALL DWORD pProc USING glMapVertexAttrib1dAPPLE(dwIndex, dwSize, u1, u2, stride, order, dpoints)
END SUB

'// void glMapVertexAttrib1fAPPLE (GLuint index, GLuint size, GLfloat u1,
'// GLfloat u2, GLint stride, GLint order, const GLfloat *points);
SUB glMapVertexAttrib1fAPPLE (BYVAL dwIndex AS DWORD, BYVAL dwSize AS DWORD, BYVAL u1 AS SINGLE,_
    BYVAL u2 AS SINGLE, BYVAL stride AS LONG, BYVAL order AS LONG, BYREF fpoints AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMapVertexAttrib1fAPPLE")
    IF pProc THEN CALL DWORD pProc USING glMapVertexAttrib1fAPPLE(dwIndex, dwSize, u1, u2, stride, order, fpoints)
END SUB

'// void glMapVertexAttrib2dAPPLE (GLuint index, GLuint size, GLdouble u1,
'// GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride,
'// GLint vorder, const GLdouble *points);
SUB glMapVertexAttrib2dAPPLE (BYVAL dwIndex AS DWORD, BYVAL dwSize AS DWORD, BYVAL u1 AS DOUBLE, _
    BYVAL u2 AS DOUBLE, BYVAL ustride AS LONG, BYVAL uorder AS LONG, BYVAL v1 AS DOUBLE, BYVAL v2 AS DOUBLE, _
    BYVAL vstride AS LONG, BYVAL vorder AS LONG, BYREF dpoints AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMapVertexAttrib2dAPPLE")
    IF pProc THEN CALL DWORD pProc USING glMapVertexAttrib2dAPPLE(dwIndex, dwSize, u1, u2, ustride, uorder, v1, v2, vstride, vorder, dpoints)
END SUB

'// void glMapVertexAttrib2fAPPLE (GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat *points);
SUB glMapVertexAttrib2fAPPLE (BYVAL dwIndex AS DWORD, BYVAL dwSize AS DWORD, BYVAL u1 AS SINGLE, _
    BYVAL u2 AS SINGLE, BYVAL ustride AS LONG, BYVAL uorder AS LONG, BYVAL v1 AS SINGLE, BYVAL v2 AS SINGLE, _
    BYVAL vstride AS LONG, BYVAL vorder AS LONG, BYREF fpoints AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMapVertexAttrib2fAPPLE")
    IF pProc THEN CALL DWORD pProc USING glMapVertexAttrib2fAPPLE(dwIndex, dwSize, u1, u2, ustride, uorder, v1, v2, vstride, vorder, fpoints)
END SUB

'// GLenum glObjectPurgeableAPPLE (GLenum objectType, GLuint name, GLenum option);
FUNCTION glObjectPurgeableAPPLE (BYVAL objectType AS DWORD, BYVAL dwName AS DWORD, BYVAL dwOption AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glObjectPurgeableAPPLE")
    IF pProc THEN CALL DWORD pProc USING glObjectPurgeableAPPLE(objectType, dwName, dwOption) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// GLenum glObjectUnpurgeableAPPLE (GLenum objectType, GLuint name, GLenum option);
FUNCTION glObjectUnpurgeableAPPLE (BYVAL objectType AS DWORD, BYVAL dwName AS DWORD, BYVAL dwOption AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glObjectUnpurgeableAPPLE")
    IF pProc THEN CALL DWORD pProc USING glObjectUnpurgeableAPPLE(objectType, dwName, dwOption) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glGetObjectParameterivAPPLE (GLenum objectType, GLuint name, GLenum pname, GLint *params);
SUB glGetObjectParameterivAPPLE (BYVAL objectType AS DWORD, BYVAL dwName AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetObjectParameterivAPPLE")
    IF pProc THEN CALL DWORD pProc USING glGetObjectParameterivAPPLE(objectType, dwName, pname, params)
END SUB

'// void glBeginVideoCaptureNV (GLuint video_capture_slot);
SUB glBeginVideoCaptureNV (BYVAL video_capture_slot AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBeginVideoCaptureNV")
    IF pProc THEN CALL DWORD pProc USING glBeginVideoCaptureNV(video_capture_slot)
END SUB

'// void glBindVideoCaptureStreamBufferNV (GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLintptrARB offset);
SUB glBindVideoCaptureStreamBufferNV (BYVAL video_capture_slot AS DWORD, BYVAL dwStream AS DWORD, _
    BYVAL frame_region AS DWORD, BYVAL dwOffset AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindVideoCaptureStreamBufferNV")
    IF pProc THEN CALL DWORD pProc USING glBindVideoCaptureStreamBufferNV(video_capture_slot, dwStream, frame_region, dwOffset)
END SUB

'// void glBindVideoCaptureStreamTextureNV (GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLenum target, GLuint texture);
SUB glBindVideoCaptureStreamTextureNV (BYVAL video_capture_slot AS DWORD, BYVAL dwStream AS DWORD, _
    BYVAL frame_region AS DWORD, BYVAL dwTarget AS DWORD, BYVAL dwTexture AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindVideoCaptureStreamTextureNV")
    IF pProc THEN CALL DWORD pProc USING glBindVideoCaptureStreamTextureNV(video_capture_slot, dwStream, frame_region, dwTarget, dwTexture)
END SUB

'// void glEndVideoCaptureNV (GLuint video_capture_slot);
SUB glEndVideoCaptureNV (BYVAL video_capture_slot AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEndVideoCaptureNV")
    IF pProc THEN CALL DWORD pProc USING glEndVideoCaptureNV(video_capture_slot)
END SUB

'// void glGetVideoCaptureivNV (GLuint video_capture_slot, GLenum pname, GLint *params);
SUB glGetVideoCaptureivNV (BYVAL video_capture_slot AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVideoCaptureivNV")
    IF pProc THEN CALL DWORD pProc USING glGetVideoCaptureivNV(video_capture_slot, pname, params)
END SUB

'// void glGetVideoCaptureStreamivNV (GLuint video_capture_slot, GLuint stream, GLenum pname, GLint *params);
SUB glGetVideoCaptureStreamivNV (BYVAL video_capture_slot AS DWORD, BYVAL dwStream AS DWORD, _
    BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVideoCaptureStreamivNV")
    IF pProc THEN CALL DWORD pProc USING glGetVideoCaptureStreamivNV(video_capture_slot, dwStream, pname, params)
END SUB

'// void glGetVideoCaptureStreamfvNV (GLuint video_capture_slot, GLuint stream, GLenum pname, GLfloat *params);
SUB glGetVideoCaptureStreamfvNV (BYVAL video_capture_slot AS DWORD, BYVAL dwStream AS DWORD, _
    BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVideoCaptureStreamfvNV")
    IF pProc THEN CALL DWORD pProc USING glGetVideoCaptureStreamfvNV(video_capture_slot, dwStream, pname, params)
END SUB

'// void glGetVideoCaptureStreamdvNV (GLuint video_capture_slot, GLuint stream, GLenum pname, GLdouble *params);
SUB glGetVideoCaptureStreamdvNV (BYVAL video_capture_slot AS DWORD, BYVAL dwStream AS DWORD, BYVAL pname AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVideoCaptureStreamdvNV")
    IF pProc THEN CALL DWORD pProc USING glGetVideoCaptureStreamdvNV(video_capture_slot, dwStream, pname, params)
END SUB

'// GLenum glVideoCaptureNV (GLuint video_capture_slot, GLuint *sequence_num, GLuint64EXT *capture_time);
FUNCTION glVideoCaptureNV (BYVAL video_capture_slot AS DWORD, BYREF sequence_num AS DWORD, BYREF capture_time AS QUAD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glVideoCaptureNV")
    IF pProc THEN CALL DWORD pProc USING glVideoCaptureNV(video_capture_slot, sequence_num, capture_time) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glVideoCaptureStreamParameterivNV (GLuint video_capture_slot, GLuint stream, GLenum pname, const GLint *params);
SUB glVideoCaptureStreamParameterivNV (BYVAL video_capture_slot AS DWORD, BYVAL dwStream AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVideoCaptureStreamParameterivNV")
    IF pProc THEN CALL DWORD pProc USING glVideoCaptureStreamParameterivNV(video_capture_slot, dwStream, pname, params)
END SUB

'// void glVideoCaptureStreamParameterfvNV (GLuint video_capture_slot, GLuint stream, GLenum pname, const GLfloat *params);
SUB glVideoCaptureStreamParameterfvNV (BYVAL video_capture_slot AS DWORD, BYVAL dwStream AS DWORD, BYVAL pname AS DWORD, BYREF params AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVideoCaptureStreamParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glVideoCaptureStreamParameterfvNV(video_capture_slot, dwStream, pname, params)
END SUB

'// void glVideoCaptureStreamParameterdvNV (GLuint video_capture_slot, GLuint stream, GLenum pname, const GLdouble *params);
SUB glVideoCaptureStreamParameterdvNV (BYVAL video_capture_slot AS DWORD, BYVAL dwStream AS DWORD, BYVAL pname AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVideoCaptureStreamParameterdvNV")
    IF pProc THEN CALL DWORD pProc USING glVideoCaptureStreamParameterdvNV(video_capture_slot, dwStream, pname, params)
END SUB

'// void glCopyImageSubDataNV (GLuint srcName, GLenum srcTarget, GLint srcLevel,
'// GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel,
'// GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth);
SUB glCopyImageSubDataNV (BYVAL srcName AS DWORD, BYVAL srcTarget AS DWORD, BYVAL srcLevel AS LONG, _
    BYVAL srcX AS LONG, BYVAL srcY AS LONG, BYVAL srcZ AS LONG, BYVAL dstName AS DWORD, BYVAL dstTarget AS DWORD, _
    BYVAL dstLevel AS LONG, BYVAL dstX AS LONG, BYVAL dstY AS LONG, BYVAL dstZ AS LONG, BYVAL nWidth AS LONG, _
    BYVAL nHeight AS LONG, BYVAL nDepth AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyImageSubDataNV")
    IF pProc THEN CALL DWORD pProc USING glCopyImageSubDataNV(srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, nWidth, nHeight, nDepth)
END SUB

'// void glUseShaderProgramEXT (GLenum type, GLuint program);
SUB glUseShaderProgramEXT (BYVAL dwType AS DWORD, BYVAL program AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUseShaderProgramEXT")
    IF pProc THEN CALL DWORD pProc USING glUseShaderProgramEXT(dwType, program)
END SUB

'// void glActiveProgramEXT (GLuint program);
SUB glActiveProgramEXT (BYVAL program AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glActiveProgramEXT")
    IF pProc THEN CALL DWORD pProc USING glActiveProgramEXT(program)
END SUB

'// GLuint glCreateShaderProgramEXT (GLenum type, const GLchar *string);
FUNCTION glCreateShaderProgramEXT (BYVAL dwType AS DWORD, BYREF szString AS ASCIIZ) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glCreateShaderProgramEXT")
    IF pProc THEN CALL DWORD pProc USING glCreateShaderProgramEXT(dwType, szString) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glMakeBufferResidentNV (GLenum target, GLenum access);
SUB glMakeBufferResidentNV (BYVAL dwTarget AS DWORD, BYVAL dwAccess AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMakeBufferResidentNV")
    IF pProc THEN CALL DWORD pProc USING glMakeBufferResidentNV(dwTarget, dwAccess)
END SUB

'// void glMakeBufferNonResidentNV (GLenum target);
SUB glMakeBufferNonResidentNV (BYVAL dwTarget AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMakeBufferNonResidentNV")
    IF pProc THEN CALL DWORD pProc USING glMakeBufferNonResidentNV(dwTarget)
END SUB

'// GLboolean glIsBufferResidentNV (GLenum target);
FUNCTION glIsBufferResidentNV (BYVAL dwTarget AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsBufferResidentNV")
    IF pProc THEN CALL DWORD pProc USING glIsBufferResidentNV(dwTarget) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glMakeNamedBufferResidentNV (GLuint buffer, GLenum access);
SUB glMakeNamedBufferResidentNV (BYVAL buffer AS DWORD, BYVAL dwAccess AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMakeNamedBufferResidentNV")
    IF pProc THEN CALL DWORD pProc USING glMakeNamedBufferResidentNV(buffer, dwAccess)
END SUB

'// void glMakeNamedBufferNonResidentNV (GLuint buffer);
SUB glMakeNamedBufferNonResidentNV (BYVAL buffer AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMakeNamedBufferNonResidentNV")
    IF pProc THEN CALL DWORD pProc USING glMakeNamedBufferNonResidentNV(buffer)
END SUB

'// GLboolean glIsNamedBufferResidentNV (GLuint buffer);
FUNCTION glIsNamedBufferResidentNV (BYVAL buffer AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsNamedBufferResidentNV")
    IF pProc THEN CALL DWORD pProc USING glIsNamedBufferResidentNV(buffer) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glGetBufferParameterui64vNV (GLenum target, GLenum pname, GLuint64EXT *params);
SUB glGetBufferParameterui64vNV (BYVAL dwTarget AS DWORD, BYVAL pname AS DWORD, BYREF params AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetBufferParameterui64vNV")
    IF pProc THEN CALL DWORD pProc USING glGetBufferParameterui64vNV(dwTarget, pname, params)
END SUB

'// void glGetNamedBufferParameterui64vNV (GLuint buffer, GLenum pname, GLuint64EXT *params);
SUB glGetNamedBufferParameterui64vNV (BYVAL buffer AS DWORD, BYVAL pname AS DWORD, BYREF params AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetNamedBufferParameterui64vNV")
    IF pProc THEN CALL DWORD pProc USING glGetNamedBufferParameterui64vNV(buffer, pname, params)
END SUB

'// void glGetIntegerui64vNV (GLenum value, GLuint64EXT *result);
SUB glGetIntegerui64vNV (BYVAL value AS DWORD, BYREF result AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetIntegerui64vNV")
    IF pProc THEN CALL DWORD pProc USING glGetIntegerui64vNV(value, result)
END SUB

'// void glUniformui64NV (GLint location, GLuint64EXT value);
SUB glUniformui64NV (BYVAL location AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformui64NV")
    IF pProc THEN CALL DWORD pProc USING glUniformui64NV(location, value)
END SUB

'// void glUniformui64vNV (GLint location, GLsizei count, const GLuint64EXT *value);
SUB glUniformui64vNV (BYVAL location AS LONG, BYVAL nCount AS LONG, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniformui64vNV")
    IF pProc THEN CALL DWORD pProc USING glUniformui64vNV(location, nCount, value)
END SUB

'// void glGetUniformui64vNV (GLuint program, GLint location, GLuint64EXT *params);
SUB glGetUniformui64vNV (BYVAL program AS DWORD, BYVAL location AS LONG, BYREF params AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetUniformui64vNV")
    IF pProc THEN CALL DWORD pProc USING glGetUniformui64vNV(program, location, params)
END SUB

'// void glProgramUniformui64NV (GLuint program, GLint location, GLuint64EXT value);
SUB glProgramUniformui64NV (BYVAL program AS DWORD, BYVAL location AS LONG, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformui64NV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformui64NV(program, location, value)
END SUB

'// void glProgramUniformui64vNV (GLuint program, GLint location, GLsizei count, const GLuint64EXT *value);
SUB glProgramUniformui64vNV (BYVAL program AS DWORD, BYVAL location AS LONG, BYVAL nCount AS LONG, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniformui64vNV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniformui64vNV(program, location, nCount, value)
END SUB

'// void glBufferAddressRangeNV (GLenum pname, GLuint index, GLuint64EXT address, GLsizeiptr length);
SUB glBufferAddressRangeNV (BYVAL pname AS DWORD, BYVAL dwIndex AS DWORD, BYVAL address AS QUAD, BYVAL length AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBufferAddressRangeNV")
    IF pProc THEN CALL DWORD pProc USING glBufferAddressRangeNV(pname, dwIndex, address, length)
END SUB

'// void glVertexFormatNV (GLint size, GLenum type, GLsizei stride);
SUB glVertexFormatNV (BYVAL nsize AS LONG, BYVAL dwType AS DWORD, BYVAL stride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexFormatNV")
    IF pProc THEN CALL DWORD pProc USING glVertexFormatNV(nsize, dwType, stride)
END SUB

'// void glNormalFormatNV (GLenum type, GLsizei stride);
SUB glNormalFormatNV (BYVAL dwType AS DWORD, BYVAL stride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glNormalFormatNV")
    IF pProc THEN CALL DWORD pProc USING glNormalFormatNV(dwType, stride)
END SUB

'// void glColorFormatNV (GLint size, GLenum type, GLsizei stride);
SUB glColorFormatNV (BYVAL nsize AS LONG, BYVAL dwType AS DWORD, BYVAL stride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glColorFormatNV")
    IF pProc THEN CALL DWORD pProc USING glColorFormatNV(nsize, dwType, stride)
END SUB

'// void glIndexFormatNV (GLenum type, GLsizei stride);
SUB glIndexFormatNV (BYVAL dwType AS DWORD, BYVAL stride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glIndexFormatNV")
    IF pProc THEN CALL DWORD pProc USING glIndexFormatNV(dwType, stride)
END SUB

'// void glTexCoordFormatNV (GLint size, GLenum type, GLsizei stride);
SUB glTexCoordFormatNV (BYVAL nsize AS LONG, BYVAL dwType AS DWORD, BYVAL stride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexCoordFormatNV")
    IF pProc THEN CALL DWORD pProc USING glTexCoordFormatNV(nsize, dwType, stride)
END SUB

'// void glEdgeFlagFormatNV (GLsizei stride);
SUB glEdgeFlagFormatNV (BYVAL stride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glEdgeFlagFormatNV")
    IF pProc THEN CALL DWORD pProc USING glEdgeFlagFormatNV(stride)
END SUB

'// void glSecondaryColorFormatNV (GLint size, GLenum type, GLsizei stride);
SUB glSecondaryColorFormatNV (BYVAL nsize AS LONG, BYVAL dwType AS DWORD, BYVAL stride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSecondaryColorFormatNV")
    IF pProc THEN CALL DWORD pProc USING glSecondaryColorFormatNV(nsize, dwType, stride)
END SUB

'// void glFogCoordFormatNV (GLenum type, GLsizei stride);
SUB glFogCoordFormatNV (BYVAL dwType AS DWORD, BYVAL stride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glFogCoordFormatNV")
    IF pProc THEN CALL DWORD pProc USING glFogCoordFormatNV(dwType, stride)
END SUB

'// void glVertexAttribFormatNV (GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride);
SUB glVertexAttribFormatNV (BYVAL dwIndex AS DWORD, BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL normalized AS BYTE, BYVAL stride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribFormatNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribFormatNV(dwIndex, nSize, dwType, normalized, stride)
END SUB

'// void glVertexAttribIFormatNV (GLuint index, GLint size, GLenum type, GLsizei stride);
SUB glVertexAttribIFormatNV (BYVAL dwIndex AS DWORD, BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL stride AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribIFormatNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribIFormatNV(dwIndex, nSize, dwType, stride)
END SUB

'// void glGetIntegerui64i_vNV (GLenum value, GLuint index, GLuint64EXT *result);
SUB glGetIntegerui64i_vNV (BYVAL value AS DWORD, BYVAL dwIndex AS DWORD, BYREF result AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetIntegerui64i_vNV")
    IF pProc THEN CALL DWORD pProc USING glGetIntegerui64i_vNV(value, dwIndex, result)
END SUB

'// void glTextureBarrierNV (void);
SUB glTextureBarrierNV
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureBarrierNV")
    IF pProc THEN CALL DWORD pProc USING glTextureBarrierNV
END SUB

'// void glBindImageTextureEXT (GLuint index, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLint format);
SUB glBindImageTextureEXT (BYVAL dwIndex AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nlevel AS LONG, BYVAL bLayered AS LONG, BYVAL nLayer AS LONG, BYVAL dwAccess AS DWORD, BYVAL nFormat AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindImageTextureEXT")
    IF pProc THEN CALL DWORD pProc USING glBindImageTextureEXT(dwIndex, dwTexture, nlevel, bLayered, nLayer, dwAccess, nFormat)
END SUB

'// void glMemoryBarrierEXT (GLbitfield barriers);
SUB glMemoryBarrierEXT (BYVAL barriers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMemoryBarrierEXT")
    IF pProc THEN CALL DWORD pProc USING glMemoryBarrierEXT(barriers)
END SUB

'// void glVertexAttribL1dEXT (GLuint index, GLdouble x);
SUB glVertexAttribL1dEXT (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL1dEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL1dEXT(dwIndex, x)
END SUB

'// void glVertexAttribL2dEXT (GLuint index, GLdouble x, GLdouble y);
SUB glVertexAttribL2dEXT (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL2dEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL2dEXT(dwIndex, x, y)
END SUB

'// void glVertexAttribL3dEXT (GLuint index, GLdouble x, GLdouble y, GLdouble z);
SUB glVertexAttribL3dEXT (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL3dEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL3dEXT(dwIndex, x, y, z)
END SUB

'// void glVertexAttribL4dEXT (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
SUB glVertexAttribL4dEXT (BYVAL dwIndex AS DWORD, BYVAL x AS DOUBLE, BYVAL y AS DOUBLE, BYVAL z AS DOUBLE, BYVAL w AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL4dEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL4dEXT(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttribL1dvEXT (GLuint index, const GLdouble *v);
SUB glVertexAttribL1dvEXT (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL1dvEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL1dvEXT(dwIndex, v)
END SUB

'// void glVertexAttribL2dvEXT (GLuint index, const GLdouble *v);
SUB glVertexAttribL2dvEXT (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL2dvEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL2dvEXT(dwIndex, v)
END SUB

'// void glVertexAttribL3dvEXT (GLuint index, const GLdouble *v);
SUB glVertexAttribL3dvEXT (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL3dvEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL3dvEXT(dwIndex, v)
END SUB

'// void glVertexAttribL4dvEXT (GLuint index, const GLdouble *v);
SUB glVertexAttribL4dvEXT (BYVAL dwIndex AS DWORD, BYREF v AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL4dvEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL4dvEXT(dwIndex, v)
END SUB

'// void glVertexAttribLPointerEXT (GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer);
SUB glVertexAttribLPointerEXT (BYVAL dwIndex AS DWORD, BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL dwStride AS DWORD, BYVAL p AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribLPointerEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribLPointerEXT(dwIndex, nSize, dwType, dwStride, p)
END SUB

'// void glGetVertexAttribLdvEXT (GLuint index, GLenum pname, GLdouble *params);
SUB glGetVertexAttribLdvEXT (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS DOUBLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribLdvEXT")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribLdvEXT(dwIndex, pname, params)
END SUB

'// void glVertexArrayVertexAttribLOffsetEXT (GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, GLintptr offset);
SUB glVertexArrayVertexAttribLOffsetEXT (BYVAL vaobj AS DWORD, BYVAL dwBuffer AS DWORD, BYVAL dwIndex AS DWORD, BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL dwStride AS DWORD, BYVAL offset AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexArrayVertexAttribLOffsetEXT")
    IF pProc THEN CALL DWORD pProc USING glVertexArrayVertexAttribLOffsetEXT(vaobj, dwBuffer, dwIndex, nSize, dwType, dwStride, offset)
END SUB

'// void glProgramSubroutineParametersuivNV (GLenum target, GLsizei count, const GLuint *params);
SUB glProgramSubroutineParametersuivNV (BYVAL dwTarget AS DWORD, BYVAL dwCount AS DWORD, BYREF params AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramSubroutineParametersuivNV")
    IF pProc THEN CALL DWORD pProc USING glProgramSubroutineParametersuivNV(dwTarget, dwCount, params)
END SUB

'// void glGetProgramSubroutineParameteruivNV (GLenum target, GLuint index, GLuint *param);
SUB glGetProgramSubroutineParameteruivNV (BYVAL dwTarget AS DWORD, BYVAL dwIndex AS DWORD, BYREF param AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetProgramSubroutineParameteruivNV")
    IF pProc THEN CALL DWORD pProc USING glGetProgramSubroutineParameteruivNV(dwTarget, dwIndex, param)
END SUB

'// void glUniform1i64NV (GLint location, GLint64EXT x);
SUB glUniform1i64NV (BYVAL nLocation AS LONG, BYVAL x AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1i64NV")
    IF pProc THEN CALL DWORD pProc USING glUniform1i64NV(nLocation, x)
END SUB

'// void glUniform2i64NV (GLint location, GLint64EXT x, GLint64EXT y);
SUB glUniform2i64NV (BYVAL nLocation AS LONG, BYVAL x AS QUAD, BYVAL y AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2i64NV")
    IF pProc THEN CALL DWORD pProc USING glUniform2i64NV(nLocation, x, y)
END SUB

'// void glUniform3i64NV (GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z);
SUB glUniform3i64NV (BYVAL nLocation AS LONG, BYVAL x AS QUAD, BYVAL y AS QUAD, BYVAL z AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3i64NV")
    IF pProc THEN CALL DWORD pProc USING glUniform3i64NV(nLocation, x, y, z)
END SUB

'// void glUniform4i64NV (GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w);
SUB glUniform4i64NV (BYVAL nLocation AS LONG, BYVAL x AS QUAD, BYVAL y AS QUAD, BYVAL z AS QUAD, BYVAL w AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4i64NV")
    IF pProc THEN CALL DWORD pProc USING glUniform4i64NV(nLocation, x, y, z, w)
END SUB

'// void glUniform1i64vNV (GLint location, GLsizei count, const GLint64EXT *value);
SUB glUniform1i64vNV (BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1i64vNV")
    IF pProc THEN CALL DWORD pProc USING glUniform1i64vNV(nLocation, dwCount, value)
END SUB

'// void glUniform2i64vNV (GLint location, GLsizei count, const GLint64EXT *value);
SUB glUniform2i64vNV (BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2i64vNV")
    IF pProc THEN CALL DWORD pProc USING glUniform2i64vNV(nLocation, dwCount, value)
END SUB

'// void glUniform3i64vNV (GLint location, GLsizei count, const GLint64EXT *value);
SUB glUniform3i64vNV (BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3i64vNV")
    IF pProc THEN CALL DWORD pProc USING glUniform3i64vNV(nLocation, dwCount, value)
END SUB

'// void glUniform4i64vNV (GLint location, GLsizei count, const GLint64EXT *value);
SUB glUniform4i64vNV (BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4i64vNV")
    IF pProc THEN CALL DWORD pProc USING glUniform4i64vNV(nLocation, dwCount, value)
END SUB

'// void glUniform1ui64NV (GLint location, GLuint64EXT x);
SUB glUniform1ui64NV (BYVAL nLocation AS LONG, BYVAL x AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1ui64NV")
    IF pProc THEN CALL DWORD pProc USING glUniform1ui64NV(nLocation, x)
END SUB

'// void glUniform2ui64NV (GLint location, GLuint64EXT x, GLuint64EXT y);
SUB glUniform2ui64NV (BYVAL nLocation AS LONG, BYVAL x AS QUAD, BYVAL y AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2ui64NV")
    IF pProc THEN CALL DWORD pProc USING glUniform2ui64NV(nLocation, x, y)
END SUB

'// void glUniform3ui64NV (GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z);
SUB glUniform3ui64NV (BYVAL nLocation AS LONG, BYVAL x AS QUAD, BYVAL y AS QUAD, BYVAL z AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3ui64NV")
    IF pProc THEN CALL DWORD pProc USING glUniform3ui64NV(nLocation, x, y, z)
END SUB

'// void glUniform4ui64NV (GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w);
SUB glUniform4ui64NV (BYVAL nLocation AS LONG, BYVAL x AS QUAD, BYVAL y AS QUAD, BYVAL z AS QUAD, BYVAL w AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4ui64NV")
    IF pProc THEN CALL DWORD pProc USING glUniform4ui64NV(nLocation, x, y, z, w)
END SUB

'// void glUniform1ui64vNV (GLint location, GLsizei count, const GLuint64EXT *value);
SUB glUniform1ui64vNV (BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform1ui64vNV")
    IF pProc THEN CALL DWORD pProc USING glUniform1ui64vNV(nLocation, dwCount, value)
END SUB

'// void glUniform2ui64vNV (GLint location, GLsizei count, const GLuint64EXT *value);
SUB glUniform2ui64vNV (BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform2ui64vNV")
    IF pProc THEN CALL DWORD pProc USING glUniform2ui64vNV(nLocation, dwCount, value)
END SUB

'// void glUniform3ui64vNV (GLint location, GLsizei count, const GLuint64EXT *value);
SUB glUniform3ui64vNV (BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform3ui64vNV")
    IF pProc THEN CALL DWORD pProc USING glUniform3ui64vNV(nLocation, dwCount, value)
END SUB

'// void glUniform4ui64vNV (GLint location, GLsizei count, const GLuint64EXT *value);
SUB glUniform4ui64vNV (BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glUniform4ui64vNV")
    IF pProc THEN CALL DWORD pProc USING glUniform4ui64vNV(nLocation, dwCount, value)
END SUB

'// void glGetUniformi64vNV (GLuint program, GLint location, GLint64EXT *params);
SUB glGetUniformi64vNV (BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF params AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetUniformi64vNV")
    IF pProc THEN CALL DWORD pProc USING glGetUniformi64vNV(nLocation, dwCount, params)
END SUB

'// void glProgramUniform1i64NV (GLuint program, GLint location, GLint64EXT x);
SUB glProgramUniform1i64NV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL x AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1i64NV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1i64NV(program, nLocation, x)
END SUB

'// void glProgramUniform2i64NV (GLuint program, GLint location, GLint64EXT x, GLint64EXT y);
SUB glProgramUniform2i64NV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL x AS QUAD, BYVAL y AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2i64NV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2i64NV(program, nLocation, x, y)
END SUB

'// void glProgramUniform3i64NV (GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z);
SUB glProgramUniform3i64NV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL x AS QUAD, BYVAL y AS QUAD, BYVAL z aS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3i64NV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3i64NV(program, nLocation, x, y, z)
END SUB

'// void glProgramUniform4i64NV (GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w);
SUB glProgramUniform4i64NV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL x AS QUAD, BYVAL y AS QUAD, BYVAL z aS QUAD, BYVAL w AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4i64NV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4i64NV(program, nLocation, x, y, z, w)
END SUB

'// void glProgramUniform1i64vNV (GLuint program, GLint location, GLsizei count, const GLint64EXT *value);
SUB glProgramUniform1i64vNV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1i64vNV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1i64vNV(program, nLocation, value)
END SUB

'// void glProgramUniform2i64vNV (GLuint program, GLint location, GLsizei count, const GLint64EXT *value);
SUB glProgramUniform2i64vNV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2i64vNV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2i64vNV(program, nLocation, dwCount, value)
END SUB

'// void glProgramUniform3i64vNV (GLuint program, GLint location, GLsizei count, const GLint64EXT *value);
SUB glProgramUniform3i64vNV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3i64vNV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3i64vNV(program, nLocation, dwCount, value)
END SUB

'// void glProgramUniform4i64vNV (GLuint program, GLint location, GLsizei count, const GLint64EXT *value);
SUB glProgramUniform4i64vNV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4i64vNV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4i64vNV(program, nLocation, dwCount, value)
END SUB

'// void glProgramUniform1ui64NV (GLuint program, GLint location, GLuint64EXT x);
SUB glProgramUniform1ui64NV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL x AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1ui64NV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1ui64NV(program, nLocation, x)
END SUB

'// void glProgramUniform2ui64NV (GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y);
SUB glProgramUniform2ui64NV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL x AS QUAD, BYVAL y AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2ui64NV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2ui64NV(program, nLocation, x, y)
END SUB

'// void glProgramUniform3ui64NV (GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z);
SUB glProgramUniform3ui64NV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL x AS QUAD, BYVAL y AS QUAD, BYVAL z AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3ui64NV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3ui64NV(program, nLocation, x, y, z)
END SUB

'// void glProgramUniform4ui64NV (GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w);
SUB glProgramUniform4ui64NV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL x AS QUAD, BYVAL y AS QUAD, BYVAL z AS QUAD, BYVAL w AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4ui64NV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4ui64NV(program, nLocation, x, y, z, w)
END SUB

'// void glProgramUniform1ui64vNV (GLuint program, GLint location, GLsizei count, const GLuint64EXT *value);
SUB glProgramUniform1ui64vNV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform1ui64vNV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform1ui64vNV(program, nLocation, dwCount, value)
END SUB

'// void glProgramUniform2ui64vNV (GLuint program, GLint location, GLsizei count, const GLuint64EXT *value);
SUB glProgramUniform2ui64vNV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform2ui64vNV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform2ui64vNV(program, nLocation, dwCount, value)
END SUB

'// void glProgramUniform3ui64vNV (GLuint program, GLint location, GLsizei count, const GLuint64EXT *value);
SUB glProgramUniform3ui64vNV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform3ui64vNV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform3ui64vNV(program, nLocation, dwCount, value)
END SUB

'// void glProgramUniform4ui64vNV (GLuint program, GLint location, GLsizei count, const GLuint64EXT *value);
SUB glProgramUniform4ui64vNV (BYVAL program AS DWORD, BYVAL nLocation AS LONG, BYVAL dwCount AS DWORD, BYREF value AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glProgramUniform4ui64vNV")
    IF pProc THEN CALL DWORD pProc USING glProgramUniform4ui64vNV(program, nLocation, dwCount, value)
END SUB

'// void glVertexAttribL1i64NV (GLuint index, GLint64EXT x);
SUB glVertexAttribL1i64NV (BYVAL dwIndex AS DWORD, BYVAL x AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL1i64NV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL1i64NV(dwIndex, x)
END SUB

'// void glVertexAttribL2i64NV (GLuint index, GLint64EXT x, GLint64EXT y);
SUB glVertexAttribL2i64NV (BYVAL dwIndex AS DWORD, BYVAL x AS QUAD, BYVAL y AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL2i64NV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL2i64NV(dwIndex, x, y)
END SUB

'// void glVertexAttribL3i64NV (GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z);
SUB glVertexAttribL3i64NV (BYVAL dwIndex AS DWORD, BYVAL x AS QUAD, BYVAL y AS QUAD, BYVAL z AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL3i64NV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL3i64NV(dwIndex, x, y, z)
END SUB

'// void glVertexAttribL4i64NV (GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w);
SUB glVertexAttribL4i64NV (BYVAL dwIndex AS DWORD, BYVAL x AS QUAD, BYVAL y AS QUAD, BYVAL z AS QUAD, BYVAL w AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL4i64NV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL4i64NV(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttribL1i64vNV (GLuint index, const GLint64EXT *v);
SUB glVertexAttribL1i64vNV (BYVAL dwIndex AS DWORD, BYREF v AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL1i64vNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL1i64vNV(dwIndex, v)
END SUB

'// void glVertexAttribL2i64vNV (GLuint index, const GLint64EXT *v);
SUB glVertexAttribL2i64vNV (BYVAL dwIndex AS DWORD, BYREF v AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL2i64vNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL2i64vNV(dwIndex, v)
END SUB

'// void glVertexAttribL3i64vNV (GLuint index, const GLint64EXT *v);
SUB glVertexAttribL3i64vNV (BYVAL dwIndex AS DWORD, BYREF v AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL3i64vNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL3i64vNV(dwIndex, v)
END SUB

'// void glVertexAttribL4i64vNV (GLuint index, const GLint64EXT *v);
SUB glVertexAttribL4i64vNV (BYVAL dwIndex AS DWORD, BYREF v AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL4i64vNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL4i64vNV(dwIndex, v)
END SUB

'// void glVertexAttribL1ui64NV (GLuint index, GLuint64EXT x);
SUB glVertexAttribL1ui64NV (BYVAL dwIndex AS DWORD, BYREF v AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL1ui64NV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL1ui64NV(dwIndex, v)
END SUB

'// void glVertexAttribL2ui64NV (GLuint index, GLuint64EXT x, GLuint64EXT y);
SUB glVertexAttribL2ui64NV (BYVAL dwIndex AS DWORD, BYVAL x AS QUAD, BYVAL y AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL2ui64NV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL2ui64NV(dwIndex, x, y)
END SUB

'// void glVertexAttribL3ui64NV (GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z);
SUB glVertexAttribL3ui64NV (BYVAL dwIndex AS DWORD, BYVAL x AS QUAD, BYVAL y AS QUAD, BYVAL z AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL3ui64NV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL3ui64NV(dwIndex, x, y, z)
END SUB

'// void glVertexAttribL4ui64NV (GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w);
SUB glVertexAttribL4ui64NV (BYVAL dwIndex AS DWORD, BYVAL x AS QUAD, BYVAL y AS QUAD, BYVAL z AS QUAD, BYVAL w AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL4ui64NV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL4ui64NV(dwIndex, x, y, z, w)
END SUB

'// void glVertexAttribL1ui64vNV (GLuint index, const GLuint64EXT *v);
SUB glVertexAttribL1ui64vNV (BYVAL dwIndex AS DWORD, BYREF v AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL1ui64vNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL1ui64vNV(dwIndex, v)
END SUB

'// GLAPI void glVertexAttribL2ui64vNV (GLuint index, const GLuint64EXT *v);
SUB glVertexAttribL2ui64vNV (BYVAL dwIndex AS DWORD, BYREF v AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL2ui64vNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL2ui64vNV(dwIndex, v)
END SUB

'// void glVertexAttribL3ui64vNV (GLuint index, const GLuint64EXT *v);
SUB glVertexAttribL3ui64vNV (BYVAL dwIndex AS DWORD, BYREF v AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL3ui64vNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL3ui64vNV(dwIndex, v)
END SUB

'// void glVertexAttribL4ui64vNV (GLuint index, const GLuint64EXT *v);
SUB glVertexAttribL4ui64vNV (BYVAL dwIndex AS DWORD, BYREF v AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribL4ui64vNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribL4ui64vNV(dwIndex, v)
END SUB

'// void glGetVertexAttribLi64vNV (GLuint index, GLenum pname, GLint64EXT *params);
SUB glGetVertexAttribLi64vNV (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribLi64vNV")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribLi64vNV(dwIndex, pname, params)
END SUB

'// void glGetVertexAttribLui64vNV (GLuint index, GLenum pname, GLuint64EXT *params);
SUB glGetVertexAttribLui64vNV (BYVAL dwIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS QUAD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetVertexAttribLui64vNV")
    IF pProc THEN CALL DWORD pProc USING glGetVertexAttribLui64vNV(dwIndex, pname, params)
END SUB

'// void glVertexAttribLFormatNV (GLuint index, GLint size, GLenum type, GLsizei stride);
SUB glVertexAttribLFormatNV (BYVAL dwIndex AS DWORD, BYVAL nSize AS LONG, BYVAL dwType AS DWORD, BYVAL dwStride AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVertexAttribLFormatNV")
    IF pProc THEN CALL DWORD pProc USING glVertexAttribLFormatNV(dwIndex, nSize, dwType, dwStride)
END SUB

'// void glGenNamesAMD (GLenum identifier, GLuint num, GLuint *names);
SUB glGenNamesAMD (BYVAL dwIdentifier AS DWORD, BYVAL dwNum AS DWORD, BYREF names AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGenNamesAMD")
    IF pProc THEN CALL DWORD pProc USING glGenNamesAMD(dwIdentifier, dwNum, names)
END SUB

'// void glDeleteNamesAMD (GLenum identifier, GLuint num, const GLuint *names);
SUB glDeleteNamesAMD (BYVAL dwIdentifier AS DWORD, BYVAL dwNum AS DWORD, BYREF names AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeleteNamesAMD")
    IF pProc THEN CALL DWORD pProc USING glDeleteNamesAMD(dwIdentifier, dwNum, names)
END SUB

'// GLboolean glIsNameAMD (GLenum identifier, GLuint name);
FUNCTION glIsNameAMD (BYVAL dwIdentifier AS DWORD, BYVAL dwName AS DWORD) AS LONG
    LOCAL bRes AS LONG
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glIsNameAMD")
    IF pProc THEN CALL DWORD pProc USING glIsNameAMD(dwIdentifier, dwName) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glDebugMessageEnableAMD (GLenum category, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled);
SUB glDebugMessageEnableAMD (BYVAL dwCategory AS DWORD, BYVAL dwSeverity AS DWORD, BYVAL dwCount AS DWORD, BYREF ids AS DWORD, BYVAL bEnabled AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDebugMessageEnableAMD")
    IF pProc THEN CALL DWORD pProc USING glDebugMessageEnableAMD(dwCategory, dwSeverity, dwCount, ids, bEnabled)
END SUB

'// void glDebugMessageInsertAMD (GLenum category, GLenum severity, GLuint id, GLsizei length, const GLchar *buf);
SUB glDebugMessageInsertAMD (BYVAL dwCategory AS DWORD, BYVAL dwSeverity AS DWORD, BYVAL dwId AS DWORD, BYVAL length AS DWORD, BYREF buf AS ASCIIZ)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDebugMessageInsertAMD")
    IF pProc THEN CALL DWORD pProc USING glDebugMessageInsertAMD(dwCategory, dwSeverity, dwId, length, buf)
END SUB

'// void glDebugMessageCallbackAMD (GLDEBUGPROCAMD callback, GLvoid *userParam);
SUB glDebugMessageCallbackAMD (BYVAL dwCallback AS DWORD, BYVAL userParam AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDebugMessageCallbackAMD")
    IF pProc THEN CALL DWORD pProc USING glDebugMessageCallbackAMD(dwCallback, userParam)
END SUB

'// GLuint glGetDebugMessageLogAMD (GLuint count, GLsizei bufsize, GLenum *categories, GLuint *severities, GLuint *ids, GLsizei *lengths, GLchar *message);
FUNCTION glGetDebugMessageLogAMD (BYVAL dwCount AS DWORD, BYVAL bufsize AS DWORD, BYREF categories AS DWORD, BYREF severities AS DWORD, BYREF ids AS DWORD, BYREF lengths AS DWORD, BYREF message AS ASCIIZ) AS DWORD
    LOCAL dwRes AS DWORD
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetDebugMessageLogAMD")
    IF pProc THEN CALL DWORD pProc USING glGetDebugMessageLogAMD(dwCount, bufsize, categories, severities, ids, lengths, message) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glVDPAUInitNV (const GLvoid *vdpDevice, const GLvoid *getProcAddress);
SUB glVDPAUInitNV (BYVAL vdpDevice AS DWORD, BYVAL pGetProcAddress AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVDPAUInitNV")
    IF pProc THEN CALL DWORD pProc USING glVDPAUInitNV(vdpDevice, pGetProcAddress)
END SUB

'// void glVDPAUFiniNV (void);
SUB glVDPAUFiniNV
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVDPAUFiniNV")
    IF pProc THEN CALL DWORD pProc USING glVDPAUFiniNV
END SUB

'// GLvdpauSurfaceNV glVDPAURegisterVideoSurfaceNV (GLvoid *vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint *textureNames);
FUNCTION glVDPAURegisterVideoSurfaceNV (BYVAL vdpSurface AS DWORD, BYVAL dwTarget AS DWORD, BYVAL numTextureNames AS DWORD, BYREF textureNames AS DWORD) AS DWORD
    LOCAL dwRes AS DWORD
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVDPAURegisterVideoSurfaceNV")
    IF pProc THEN CALL DWORD pProc USING glVDPAURegisterVideoSurfaceNV(vdpSurface, dwTarget, numTextureNames, textureNames) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// GLvdpauSurfaceNV glVDPAURegisterOutputSurfaceNV (GLvoid *vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint *textureNames);
FUNCTION glVDPAURegisterOutputSurfaceNV (BYVAL vdpSurface AS DWORD, BYVAL dwTarget AS DWORD, BYVAL numTextureNames AS DWORD, BYREF textureNames AS DWORD) AS DWORD
    LOCAL dwRes AS DWORD
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVDPAURegisterOutputSurfaceNV")
    IF pProc THEN CALL DWORD pProc USING glVDPAURegisterOutputSurfaceNV(vdpSurface, dwTarget, numTextureNames, textureNames) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glVDPAUIsSurfaceNV (GLvdpauSurfaceNV surface);
SUB glVDPAUIsSurfaceNV (BYVAL surface AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVDPAUIsSurfaceNV")
    IF pProc THEN CALL DWORD pProc USING glVDPAUIsSurfaceNV(surface)
END SUB

'// void glVDPAUUnregisterSurfaceNV (GLvdpauSurfaceNV surface);
SUB glVDPAUUnregisterSurfaceNV (BYVAL surface AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVDPAUUnregisterSurfaceNV")
    IF pProc THEN CALL DWORD pProc USING glVDPAUUnregisterSurfaceNV(surface)
END SUB

'// void glVDPAUGetSurfaceivNV (GLvdpauSurfaceNV surface, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values);
SUB glVDPAUGetSurfaceivNV (BYVAL surface AS DWORD, BYVAL pname AS DWORD, BYVAL bufSize AS DWORD, BYREF length AS DWORD, BYREF values AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVDPAUGetSurfaceivNV")
    IF pProc THEN CALL DWORD pProc USING glVDPAUGetSurfaceivNV(surface, pname, bufSize, length, values)
END SUB

'// void glVDPAUSurfaceAccessNV (GLvdpauSurfaceNV surface, GLenum access);
SUB glVDPAUSurfaceAccessNV (BYVAL surface AS DWORD, BYVAL dwAccess AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVDPAUSurfaceAccessNV")
    IF pProc THEN CALL DWORD pProc USING glVDPAUSurfaceAccessNV(surface, dwAccess)
END SUB

'// void glVDPAUMapSurfacesNV (GLsizei numSurfaces, const GLvdpauSurfaceNV *surfaces);
SUB glVDPAUMapSurfacesNV (BYVAL numSurfaces AS DWORD, BYREF surfaces AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVDPAUMapSurfacesNV")
    IF pProc THEN CALL DWORD pProc USING glVDPAUMapSurfacesNV(numSurfaces, surfaces)
END SUB

'// void glVDPAUUnmapSurfacesNV (GLsizei numSurface, const GLvdpauSurfaceNV *surfaces);
SUB glVDPAUUnmapSurfacesNV (BYVAL numSurface AS DWORD, BYREF surfaces AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glVDPAUUnmapSurfacesNV")
    IF pProc THEN CALL DWORD pProc USING glVDPAUUnmapSurfacesNV(numSurface, surfaces)
END SUB

'// void glTexImage2DMultisampleCoverageNV (GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations);
SUB glTexImage2DMultisampleCoverageNV (BYVAL dwTarget AS DWORD, BYVAL coverageSamples AS DWORD, BYVAL colorSamples AS DWORD, BYVAL internalFormat AS LONG, BYVAL dwWidth AS DWORD, BYVAL dwHeight AS DWORD, BYVAL fixedSampleLocations AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexImage2DMultisampleCoverageNV")
    IF pProc THEN CALL DWORD pProc USING glTexImage2DMultisampleCoverageNV(dwTarget, coverageSamples, colorSamples, internalFormat, dwWidth, dwHeight, fixedSampleLocations)
END SUB

'// void glTexImage3DMultisampleCoverageNV (GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations);
SUB glTexImage3DMultisampleCoverageNV (BYVAL dwTarget AS DWORD, BYVAL coverageSamples AS DWORD, BYVAL colorSamples AS DWORD, BYVAL internalFormat AS LONG, BYVAL dwWidth AS DWORD, BYVAL dwHeight AS DWORD, _
BYVAL dwDepth AS DWORD, BYVAL fixedSampleLocations AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexImage3DMultisampleCoverageNV")
    IF pProc THEN CALL DWORD pProc USING glTexImage3DMultisampleCoverageNV(dwTarget, coverageSamples, colorSamples, internalFormat, dwWidth, dwHeight, dwDepth, fixedSampleLocations)
END SUB

'// void glTextureImage2DMultisampleNV (GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations);
SUB glTextureImage2DMultisampleNV (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL samples AS DWORD, BYVAL internalFormat AS LONG, BYVAL dwWidth AS DWORD, BYVAL dwHeight AS DWORD, BYVAL fixedSampleLocations AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureImage2DMultisampleNV")
    IF pProc THEN CALL DWORD pProc USING glTextureImage2DMultisampleNV(dwTexture, dwTarget, samples, internalFormat, dwWidth, dwHeight, fixedSampleLocations)
END SUB

'// void glTextureImage3DMultisampleNV (GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations);
SUB glTextureImage3DMultisampleNV (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL samples AS DWORD, BYVAL internalFormat AS LONG, BYVAL dwWidth AS DWORD, BYVAL dwHeight AS DWORD, _
BYVAL dwDepth AS DWORD, BYVAL fixedSampleLocations AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureImage3DMultisampleNV")
    IF pProc THEN CALL DWORD pProc USING glTextureImage3DMultisampleNV(dwTexture, dwTarget, samples, internalFormat, dwWidth, dwHeight, dwDepth, fixedSampleLocations)
END SUB

'// void glTextureImage2DMultisampleCoverageNV (GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations);
SUB glTextureImage2DMultisampleCoverageNV (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL coverageSamples AS DWORD, BYVAL colorSamples AS DWORD, BYVAL internalFormat AS LONG, BYVAL dwWidth AS DWORD, _
BYVAL dwHeight AS DWORD, BYVAL fixedSampleLocations AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureImage2DMultisampleCoverageNV")
    IF pProc THEN CALL DWORD pProc USING glTextureImage2DMultisampleCoverageNV(dwTexture, dwTarget, coverageSamples, colorSamples, internalFormat, dwWidth, dwHeight, fixedSampleLocations)
END SUB

'// void glTextureImage3DMultisampleCoverageNV (GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations);
SUB glTextureImage3DMultisampleCoverageNV (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL coverageSamples AS DWORD, BYVAL colorSamples AS DWORD, BYVAL internalFormat AS LONG, BYVAL dwWidth AS DWORD, _
BYVAL dwHeight AS DWORD, BYVAL dwDepth AS DWORD, BYVAL fixedSampleLocations AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureImage3DMultisampleCoverageNV")
    IF pProc THEN CALL DWORD pProc USING glTextureImage3DMultisampleCoverageNV(dwTexture, dwTarget, coverageSamples, colorSamples, internalFormat, dwWidth, dwHeight, dwDepth, fixedSampleLocations)
END SUB

'// void glDrawArraysInstancedBaseInstance (GLenum mode, GLint first, GLsizei count, GLsizei primcount, GLuint baseinstance);
SUB glDrawArraysInstancedBaseInstance (BYVAL dwMode AS DWORD, BYVAL nFirst AS LONG, BYVAL nCount AS DWORD, BYVAL primcount AS DWORD, BYVAL baseinstance AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawArraysInstancedBaseInstance")
    IF pProc THEN CALL DWORD pProc USING glDrawArraysInstancedBaseInstance(dwMode, nFirst, nCount, primcount, baseinstance)
END SUB

'// void glDrawElementsInstancedBaseInstance (GLenum mode, GLsizei count, GLenum type, const void *indices, GLsizei primcount, GLuint baseinstance);
SUB glDrawElementsInstancedBaseInstance (BYVAL dwMode AS DWORD, BYVAL nCount AS DWORD, BYVAL dwType AS DWORD, BYVAL pindices AS DWORD, BYVAL primcount AS DWORD, BYVAL baseinstance AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawElementsInstancedBaseInstance")
    IF pProc THEN CALL DWORD pProc USING glDrawElementsInstancedBaseInstance(dwMode, nCount, dwType, pindices, primcount, baseinstance)
END SUB

'// void glDrawElementsInstancedBaseVertexBaseInstance (GLenum mode, GLsizei count, GLenum type, const void *indices, GLsizei primcount, GLint basevertex, GLuint baseinstance);
SUB glDrawElementsInstancedBaseVertexBaseInstance (BYVAL dwMode AS DWORD, BYVAL nCount AS DWORD, BYVAL dwType AS DWORD, BYVAL pindices AS DWORD, BYVAL primcount AS DWORD, BYVAL basevertex AS LONG, BYVAL baseinstance AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawElementsInstancedBaseVertexBaseInstance")
    IF pProc THEN CALL DWORD pProc USING glDrawElementsInstancedBaseVertexBaseInstance(dwMode, nCount, dwType, pindices, primcount, basevertex, baseinstance)
END SUB

'// void glDrawTransformFeedbackInstanced (GLenum mode, GLuint id, GLsizei primcount);
SUB glDrawTransformFeedbackInstanced (BYVAL dwMode AS DWORD, BYVAL dwId AS DWORD, BYVAL primcount AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawTransformFeedbackInstanced")
    IF pProc THEN CALL DWORD pProc USING glDrawTransformFeedbackInstanced(dwMode, dwId, primcount)
END SUB

'// void glDrawTransformFeedbackInstanced (GLenum mode, GLuint id, GLsizei primcount);
SUB glDrawTransformFeedbackStreamInstanced (BYVAL dwMode AS DWORD, BYVAL dwId AS DWORD, BYVAL dwStream AS DWORD, BYVAL primcount AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDrawTransformFeedbackStreamInstanced")
    IF pProc THEN CALL DWORD pProc USING glDrawTransformFeedbackStreamInstanced(dwMode, dwId, dwStream, primcount)
END SUB

'// void glGetInternalformativ (GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint *params);
SUB glGetInternalformativ (BYVAL dwTarget AS DWORD, BYVAL internalformat AS DWORD, BYVAL pname AS DWORD, BYVAL bufSize AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetInternalformativ")
    IF pProc THEN CALL DWORD pProc USING glGetInternalformativ(dwTarget, internalformat, pname, bufSize, params)
END SUB

'// void glGetActiveAtomicCounterBufferiv (GLuint program, GLuint bufferIndex, GLenum pname, GLint *params);
SUB glGetActiveAtomicCounterBufferiv (BYVAL dwProgram AS DWORD, BYVAL bufferIndex AS DWORD, BYVAL pname AS DWORD, BYREF params AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetActiveAtomicCounterBufferiv")
    IF pProc THEN CALL DWORD pProc USING glGetActiveAtomicCounterBufferiv(dwProgram, bufferIndex, pname, params)
END SUB

'// void glBindImageTexture (GLuint unit, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLenum format);
SUB glBindImageTexture (BYVAL dwUnit AS DWORD, BYVAL dwTexture AS DWORD, BYVAL nLevel AS LONG, BYVAL bLayered AS BYTE, BYVAL nLayer AS LONG, BYVAL dwAccess AS DWORD, BYVAL dwFormat AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glBindImageTexture")
    IF pProc THEN CALL DWORD pProc USING glBindImageTexture(dwUnit, dwTexture, nLevel, bLayered, nLayer, dwAccess, dwFormat)
END SUB

'// void glMemoryBarrier (GLbitfield barriers);
SUB glMemoryBarrier (BYVAL barriers AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMemoryBarrier")
    IF pProc THEN CALL DWORD pProc USING glMemoryBarrier(barriers)
END SUB

'// void glTexStorage1D (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width);
SUB glTexStorage1D (BYVAL dwTarget AS DWORD, BYVAL dwLevels AS DWORD, BYVAL internalformat AS DWORD, BYVAL dwWidth AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexStorage1D")
    IF pProc THEN CALL DWORD pProc USING glTexStorage1D(dwTarget, dwLevels, internalformat, dwWidth)
END SUB

'// void glTexStorage2D (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height);
SUB glTexStorage2D(BYVAL dwTarget AS DWORD, BYVAL dwLevels AS DWORD, BYVAL internalformat AS DWORD, BYVAL dwWidth AS DWORD, BYVAL dwHeight AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexStorage2D")
    IF pProc THEN CALL DWORD pProc USING glTexStorage2D(dwTarget, dwLevels, internalformat, dwWidth, dwHeight)
END SUB

'// void glTexStorage3D (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth);
SUB glTexStorage3D(BYVAL dwTarget AS DWORD, BYVAL dwLevels AS DWORD, BYVAL internalformat AS DWORD, BYVAL dwWidth AS DWORD, BYVAL dwHeight AS DWORD, BYVAL dwDepth AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTexStorage3D")
    IF pProc THEN CALL DWORD pProc USING glTexStorage3D(dwTarget, dwLevels, internalformat, dwWidth, dwHeight, dwDepth)
END SUB

'// void glTextureStorage1DEXT (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width);
SUB glTextureStorage1DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL dwLevels AS DWORD, BYVAL internalformat AS DWORD, BYVAL dwWidth AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureStorage1DEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureStorage1DEXT(dwTexture, dwTarget, dwLevels, internalformat, dwWidth)
END SUB

'// void glTextureStorage2DEXT (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height);
SUB glTextureStorage2DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL dwLevels AS DWORD, BYVAL internalformat AS DWORD, BYVAL dwWidth AS DWORD, BYVAL dwHeight AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureStorage2DEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureStorage2DEXT(dwTexture, dwTarget, dwLevels, internalformat, dwWidth, dwHeight)
END SUB

'// void glTextureStorage3DEXT (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth);
SUB glTextureStorage3DEXT (BYVAL dwTexture AS DWORD, BYVAL dwTarget AS DWORD, BYVAL dwLevels AS DWORD, BYVAL internalformat AS DWORD, BYVAL dwWidth AS DWORD, BYVAL dwHeight AS DWORD, BYVAL dwDepth AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTextureStorage3DEXT")
    IF pProc THEN CALL DWORD pProc USING glTextureStorage3DEXT(dwTexture, dwTarget, dwLevels, internalformat, dwWidth, dwHeight, dwDepth)
END SUB

'// void glSetMultisamplefvAMD (GLenum pname, GLuint index, const GLfloat *val);
SUB glSetMultisamplefvAMD (BYVAL pname AS DWORD, BYVAL dwIndex AS DWORD, BYREF rgVal AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glSetMultisamplefvAMD")
    IF pProc THEN CALL DWORD pProc USING glSetMultisamplefvAMD(pname, dwIndex, rgVal)
END SUB

'// GLsync glImportSyncEXT (GLenum external_sync_type, GLintptr external_sync, GLbitfield flags);
FUNCTION glImportSyncEXT (BYVAL pname AS DWORD, BYVAL dwIndex AS DWORD, BYREF rgVal AS SINGLE) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glImportSyncEXT")
    IF pProc THEN CALL DWORD pProc USING glImportSyncEXT(pname, dwIndex, rgVal) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glMultiDrawArraysIndirectAMD (GLenum mode, const GLvoid *indirect, GLsizei primcount, GLsizei stride);
SUB glMultiDrawArraysIndirectAMD (BYVAL dwMode AS DWORD, BYVAL pindirect AS DWORD, BYVAL primcount AS DWORD, BYVAL dwStride AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiDrawArraysIndirectAMD")
    IF pProc THEN CALL DWORD pProc USING glMultiDrawArraysIndirectAMD(dwMode, pindirect, primcount, dwStride)
END SUB

'// void glMultiDrawElementsIndirectAMD (GLenum mode, GLenum type, const GLvoid *indirect, GLsizei primcount, GLsizei stride);
SUB glMultiDrawElementsIndirectAMD (BYVAL dwMode AS DWORD, BYVAL dwType AS DWORD, BYVAL pindirect AS DWORD, BYVAL primcount AS DWORD, BYVAL dwStride AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glMultiDrawElementsIndirectAMD")
    IF pProc THEN CALL DWORD pProc USING glMultiDrawElementsIndirectAMD(dwMode, dwType, pindirect, primcount, dwStride)
END SUB

'// GLuint glGenPathsNV (GLsizei range);
FUNCTION glGenPathsNV (BYVAL dwRange AS DWORD) AS DWORD
    LOCAL pProc, dwRes AS DWORD
    pProc = wglGetProcAddress("glGenPathsNV")
    IF pProc THEN CALL DWORD pProc USING glGenPathsNV(dwRange) TO dwRes
    FUNCTION = dwRes
END FUNCTION

'// void glDeletePathsNV (GLuint path, GLsizei range);
SUB glDeletePathsNV (BYVAL dwPath AS DWORD, BYVAL dwRange AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glDeletePathsNV")
    IF pProc THEN CALL DWORD pProc USING glDeletePathsNV(dwPath, dwRange)
END SUB

'// GLboolean glIsPathNV (GLuint path);
FUNCTION glIsPathNV (BYVAL dwPath AS DWORD) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsPathNV")
    IF pProc THEN CALL DWORD pProc USING glIsPathNV(dwPath) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glPathCommandsNV (GLuint path, GLsizei numCommands, const GLubyte *commands, GLsizei numCoords, GLenum coordType, const GLvoid *coords);
SUB glPathCommandsNV (BYVAL dwPath AS DWORD, BYVAL numCommands AS DWORD, BYREF commands AS BYTE, BYVAL numCoords AS DWORD, BYVAL coordType AS DWORD, BYVAL pcoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathCommandsNV")
    IF pProc THEN CALL DWORD pProc USING glPathCommandsNV(dwPath, numCommands, commands, numCoords, coordType, pcoords)
END SUB

'// void glPathCoordsNV (GLuint path, GLsizei numCoords, GLenum coordType, const GLvoid *coords);
SUB glPathCoordsNV (BYVAL dwPath AS DWORD, BYVAL numCoords AS DWORD, BYVAL coordType AS DWORD, BYVAL pcoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathCoordsNV")
    IF pProc THEN CALL DWORD pProc USING glPathCoordsNV(dwPath, numCoords, coordType, pcoords)
END SUB

'// void glPathSubCommandsNV (GLuint path, GLsizei commandStart, GLsizei commandsToDelete, GLsizei numCommands, const GLubyte *commands, GLsizei numCoords, GLenum coordType, const GLvoid *coords);
SUB glPathSubCommandsNV (BYVAL dwPath AS DWORD, BYVAL commandStart AS DWORD, BYVAL commandsToDelete AS DWORD, BYVAL numCommands AS DWORD, BYREF commands AS BYTE, BYVAL numCoords AS DWORD, BYVAL coordType AS DWORD, BYVAL pcoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathSubCommandsNV")
    IF pProc THEN CALL DWORD pProc USING glPathSubCommandsNV(dwPath, commandStart, commandsToDelete, numCommands, commands, numCoords, coordType, pcoords)
END SUB

'// void glPathSubCoordsNV (GLuint path, GLsizei coordStart, GLsizei numCoords, GLenum coordType, const GLvoid *coords);
SUB glPathSubCoordsNV (BYVAL dwPath AS DWORD, BYVAL coordStart AS DWORD, BYVAL numCoords AS DWORD,  BYVAL coordType AS DWORD, BYVAL pcoords AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathSubCoordsNV")
    IF pProc THEN CALL DWORD pProc USING glPathSubCoordsNV(dwPath, coordStart, numCoords, coordType, pcoords)
END SUB

'// void glPathStringNV (GLuint path, GLenum format, GLsizei length, const GLvoid *pathString);
SUB glPathStringNV (BYVAL dwPath AS DWORD, BYVAL dwFormat AS DWORD, BYVAL dwLength AS DWORD, BYVAL pathString AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathStringNV")
    IF pProc THEN CALL DWORD pProc USING glPathStringNV(dwPath, dwFormat, dwLength, pathString)
END SUB

'// void glPathGlyphsNV (GLuint firstPathName, GLenum fontTarget, const GLvoid *fontName, GLbitfield fontStyle, GLsizei numGlyphs, GLenum type, const GLvoid *charcodes,
'// GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale);
SUB glPathGlyphsNV (BYVAL firstPathName AS DWORD, BYVAL fontTarget AS DWORD, BYVAL fontName AS DWORD, BYVAL fontStyle AS DWORD, BYVAL numGlyphs AS DWORD, BYVAL dwType AS DWORD, BYVAL charcodes AS DWORD, _
    BYVAL handleMissingGlyphs AS DWORD, BYVAL pathParameterTemplate AS DWORD, BYVAL emScale AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathGlyphsNV")
    IF pProc THEN CALL DWORD pProc USING glPathGlyphsNV(firstPathName, fontTarget, fontName, fontStyle, numGlyphs, dwType, charcodes, handleMissingGlyphs, pathParameterTemplate, emScale)
END SUB

'// void glPathGlyphRangeNV (GLuint firstPathName, GLenum fontTarget, const GLvoid *fontName, GLbitfield fontStyle,
'// GLuint firstGlyph, GLsizei numGlyphs, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale);
SUB glPathGlyphRangeNV (BYVAL firstPathName AS DWORD, BYVAL fontTarget AS DWORD, BYVAL fontName AS DWORD, BYVAL fontStyle AS DWORD, _
    BYVAL firstGlyph AS DWORD, BYVAL numGlyphs AS DWORD, BYVAL handleMissingGlyphs AS DWORD, BYVAL pathParameterTemplate AS DWORD, BYVAL emScale AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathGlyphRangeNV")
    IF pProc THEN CALL DWORD pProc USING glPathGlyphRangeNV(firstPathName, fontTarget, fontName, fontStyle, firstGlyph, numGlyphs, handleMissingGlyphs, pathParameterTemplate, emScale)
END SUB

'// void glWeightPathsNV (GLuint resultPath, GLsizei numPaths, const GLuint *paths, const GLfloat *weights);
SUB glWeightPathsNV (BYVAL resultPath AS DWORD, BYVAL numPaths AS DWORD, BYVAL paths AS DWORD, BYREF weights AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glWeightPathsNV")
    IF pProc THEN CALL DWORD pProc USING glWeightPathsNV(resultPath, numPaths, paths, weights)
END SUB

'// void glCopyPathNV (GLuint resultPath, GLuint srcPath);
SUB glCopyPathNV (BYVAL resultPath AS DWORD, BYVAL srcPath AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCopyPathNV")
    IF pProc THEN CALL DWORD pProc USING glCopyPathNV(resultPath, srcPath)
END SUB

'// void glInterpolatePathsNV (GLuint resultPath, GLuint pathA, GLuint pathB, GLfloat weight);
SUB glInterpolatePathsNV (BYVAL resultPath AS DWORD, BYVAL pathA AS DWORD, BYVAL pathB AS DWORD, BYVAL fweight AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glInterpolatePathsNV")
    IF pProc THEN CALL DWORD pProc USING glInterpolatePathsNV(resultPath, pathA, pathB, fweight)
END SUB

'// void glTransformPathNV (GLuint resultPath, GLuint srcPath, GLenum transformType, const GLfloat *transformValues);
SUB glTransformPathNV (BYVAL resultPath AS DWORD, BYVAL srcPath AS DWORD, BYVAL transformType AS DWORD, BYREF transformValues AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glTransformPathNV")
    IF pProc THEN CALL DWORD pProc USING glTransformPathNV(resultPath, srcPath, transformType, transformValues)
END SUB

'// void glPathParameterivNV (GLuint path, GLenum pname, const GLint *value);
SUB glPathParameterivNV (BYVAL dwPath AS DWORD, BYVAL pname AS DWORD, BYREF rgValue AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathParameterivNV")
    IF pProc THEN CALL DWORD pProc USING glPathParameterivNV(dwPath, pname, rgValue)
END SUB

'// void glPathParameteriNV (GLuint path, GLenum pname, const GLint *value);
SUB glPathParameteriNV (BYVAL dwPath AS DWORD, BYVAL pname AS DWORD, BYVAL nValue AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathParameteriNV")
    IF pProc THEN CALL DWORD pProc USING glPathParameteriNV(dwPath, pname, nValue)
END SUB

'// void glPathParameterfvNV (GLuint path, GLenum pname, const GLfloat *value);
SUB glPathParameterfvNV (BYVAL dwPath AS DWORD, BYVAL pname AS DWORD, BYREF fvalue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glPathParameterfvNV(dwPath, pname, fvalue)
END SUB

'// void glPathParameterfNV (GLuint path, GLenum pname, GLfloat value);
SUB glPathParameterfNV (BYVAL dwPath AS DWORD, BYVAL pname AS DWORD, BYREF fvalue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathParameterfNV")
    IF pProc THEN CALL DWORD pProc USING glPathParameterfvNV(dwPath, pname, fvalue)
END SUB

'// void glPathDashArrayNV (GLuint path, GLsizei dashCount, const GLfloat *dashArray);
SUB glPathDashArrayNV (BYVAL dwPath AS DWORD, BYVAL pname AS DWORD, BYREF fvalue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathDashArrayNV")
    IF pProc THEN CALL DWORD pProc USING glPathDashArrayNV(dwPath, pname, fvalue)
END SUB

'// void glPathStencilFuncNV (GLenum func, GLint ref, GLuint mask);
SUB glPathStencilFuncNV (BYVAL dwFunc AS DWORD, BYVAL nRef AS LONG, BYVAL dwMask AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathStencilFuncNV")
    IF pProc THEN CALL DWORD pProc USING glPathStencilFuncNV(dwFunc, nRef, dwMask)
END SUB

'// void glPathStencilDepthOffsetNV (GLfloat factor, GLfloat units);
SUB glPathStencilDepthOffsetNV (BYVAL factor AS SINGLE, BYVAL funits AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathStencilDepthOffsetNV")
    IF pProc THEN CALL DWORD pProc USING glPathStencilDepthOffsetNV(factor, funits)
END SUB

'// void glStencilFillPathNV (GLuint path, GLenum fillMode, GLuint mask);
SUB glStencilFillPathNV (BYVAL dwPath AS DWORD, BYVAL fillMode AS DWORD, BYVAL dwMask AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStencilFillPathNV")
    IF pProc THEN CALL DWORD pProc USING glStencilFillPathNV(dwPath, fillMode, dwMask)
END SUB

'// void glStencilStrokePathNV (GLuint path, GLint reference, GLuint mask);
SUB glStencilStrokePathNV (BYVAL dwPath AS DWORD, BYVAL reference AS LONG, BYVAL dwMask AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStencilStrokePathNV")
    IF pProc THEN CALL DWORD pProc USING glStencilStrokePathNV(dwPath, reference, dwMask)
END SUB

'// void glStencilFillPathInstancedNV (GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLenum fillMode, GLuint mask, GLenum transformType, const GLfloat *transformValues);
SUB glStencilFillPathInstancedNV (BYVAL numPaths AS DWORD, BYVAL pathNameType AS DWORD, BYVAL paths AS DWORD, BYVAL pathBase AS DWORD, BYVAL fillMode AS DWORD, _
    BYVAL dwMask AS DWORD, BYVAL transformType AS DWORD, BYREF transformValues AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStencilFillPathInstancedNV")
    IF pProc THEN CALL DWORD pProc USING glStencilFillPathInstancedNV(numPaths, pathNameType, paths, pathBase, fillMode, dwMask, transformType, transformValues)
END SUB

'// void glStencilStrokePathInstancedNV (GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLint reference, GLuint mask, GLenum transformType, const GLfloat *transformValues);
SUB glStencilStrokePathInstancedNV (BYVAL numPaths AS DWORD, BYVAL pathNameType AS DWORD, BYVAL paths AS DWORD, BYVAL pathBase AS DWORD, BYVAL reference AS LONG, _
    BYVAL dwMask AS DWORD, BYVAL transformType AS DWORD, BYREF transformValues AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStencilStrokePathInstancedNV")
    IF pProc THEN CALL DWORD pProc USING glStencilStrokePathInstancedNV(numPaths, pathNameType, paths, pathBase, reference, dwMask, transformType, transformValues)
END SUB

'// void glPathCoverDepthFuncNV (GLenum func);
SUB glPathCoverDepthFuncNV (BYVAL dwFunc AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathCoverDepthFuncNV")
    IF pProc THEN CALL DWORD pProc USING glPathCoverDepthFuncNV(dwFunc)
END SUB

'// void glPathColorGenNV (GLenum color, GLenum genMode, GLenum colorFormat, const GLfloat *coeffs);
SUB glPathColorGenNV (BYVAL dwColor AS DWORD, BYVAL genMode AS DWORD, BYVAL colorFormat AS DWORD, BYREF coeffs AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathColorGenNV")
    IF pProc THEN CALL DWORD pProc USING glPathColorGenNV(dwColor, genMode, colorFormat, coeffs)
END SUB

'// void glPathTexGenNV (GLenum texCoordSet, GLenum genMode, GLint components, const GLfloat *coeffs);
SUB glPathTexGenNV (BYVAL texCoordSet AS DWORD, BYVAL genMode AS DWORD, BYVAL components AS LONG, BYREF coeffs AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathTexGenNV")
    IF pProc THEN CALL DWORD pProc USING glPathTexGenNV(texCoordSet, genMode, components, coeffs)
END SUB

'// void glPathFogGenNV (GLenum genMode);
SUB glPathFogGenNV (BYVAL genMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glPathFogGenNV")
    IF pProc THEN CALL DWORD pProc USING glPathFogGenNV(genMode)
END SUB

'// void glCoverFillPathNV (GLuint path, GLenum coverMode);
SUB glCoverFillPathNV (BYVAL dwPath AS DWORD, BYVAL coverMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCoverFillPathNV")
    IF pProc THEN CALL DWORD pProc USING glCoverFillPathNV(dwPath, coverMode)
END SUB

'// void APIENTRY glCoverFillPathNV (GLuint path, GLenum coverMode);
SUB glCoverStrokePathNV (BYVAL dwPath AS DWORD, BYVAL coverMode AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCoverStrokePathNV")
    IF pProc THEN CALL DWORD pProc USING glCoverStrokePathNV(dwPath, coverMode)
END SUB

'// void glCoverFillPathInstancedNV (GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat *transformValues);
SUB glCoverFillPathInstancedNV (BYVAL numPaths AS DWORD, BYVAL pathNameType AS DWORD, BYVAL paths AS DWORD, BYVAL pathBase AS DWORD, _
    BYVAL coverMode AS DWORD, BYVAL transformType AS DWORD, BYREF transformValues AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCoverFillPathInstancedNV")
    IF pProc THEN CALL DWORD pProc USING glCoverFillPathInstancedNV(numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues)
END SUB

'// void glCoverStrokePathInstancedNV (GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat *transformValues);
SUB glCoverStrokePathInstancedNV (BYVAL numPaths AS DWORD, BYVAL pathNameType AS DWORD, BYVAL paths AS DWORD, BYVAL pathBase AS DWORD, _
    BYVAL coverMode AS DWORD, BYVAL transformType AS DWORD, BYREF transformValues AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glCoverStrokePathInstancedNV")
    IF pProc THEN CALL DWORD pProc USING glCoverStrokePathInstancedNV(numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues)
END SUB

'// void glGetPathParameterivNV (GLuint path, GLenum pname, GLint *value);
SUB glGetPathParameterivNV (BYVAL dwPath AS DWORD, BYVAL pname AS DWORD, BYREF rgValue AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPathParameterivNV")
    IF pProc THEN CALL DWORD pProc USING glGetPathParameterivNV(dwPath, pname, rgValue)
END SUB

'// void glGetPathParameterfvNV (GLuint path, GLenum pname, GLfloat *value);
SUB glGetPathParameterfvNV (BYVAL dwPath AS DWORD, BYVAL pname AS DWORD, BYREF rgValue AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPathParameterfvNV")
    IF pProc THEN CALL DWORD pProc USING glGetPathParameterfvNV(dwPath, pname, rgValue)
END SUB

'// void glGetPathCommandsNV (GLuint path, GLubyte *commands);
SUB glGetPathCommandsNV (BYVAL dwPath AS DWORD, BYREF commands AS BYTE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPathCommandsNV")
    IF pProc THEN CALL DWORD pProc USING glGetPathCommandsNV(dwPath, commands)
END SUB

'// void glGetPathCoordsNV (GLuint path, GLfloat *coords);
SUB glGetPathCoordsNV (BYVAL dwPath AS DWORD, BYREF commands AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPathCoordsNV")
    IF pProc THEN CALL DWORD pProc USING glGetPathCoordsNV(dwPath, commands)
END SUB

'// void glGetPathDashArrayNV (GLuint path, GLfloat *dashArray);
SUB glGetPathDashArrayNV (BYVAL dwPath AS DWORD, BYREF dashArray AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPathDashArrayNV")
    IF pProc THEN CALL DWORD pProc USING glGetPathDashArrayNV(dwPath, dashArray)
END SUB

'// void glGetPathMetricsNV (GLbitfield metricQueryMask, GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLsizei stride, GLfloat *metrics);
SUB glGetPathMetricsNV (BYVAL metricQueryMask AS DWORD, BYVAL numPaths AS DWORD, BYVAL pathNameType AS DWORD, _
    BYVAL paths AS DWORD, BYVAL pathBase AS DWORD, BYVAL stride AS DWORD, BYREF fmetrics AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPathMetricsNV")
    IF pProc THEN CALL DWORD pProc USING glGetPathMetricsNV(metricQueryMask, numPaths, pathNameType, paths, pathBase, stride, fmetrics)
END SUB

'// void glGetPathMetricRangeNV (GLbitfield metricQueryMask, GLuint firstPathName, GLsizei numPaths, GLsizei stride, GLfloat *metrics);
SUB glGetPathMetricRangeNV (BYVAL metricQueryMask AS DWORD, BYVAL firstPathName AS DWORD, BYVAL numPaths AS DWORD, BYVAL stride AS DWORD, BYREF fmetrics AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPathMetricRangeNV")
    IF pProc THEN CALL DWORD pProc USING glGetPathMetricRangeNV(metricQueryMask, firstPathName, numPaths, stride, fmetrics)
END SUB

'// void glGetPathSpacingNV (GLenum pathListMode, GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLfloat advanceScale, GLfloat kerningScale, GLenum transformType, GLfloat *returnedSpacing);
SUB glGetPathSpacingNV (BYVAL pathListMode AS DWORD, BYVAL numPaths AS DWORD, BYVAL pathNameType AS DWORD, BYVAL paths AS DWORD, BYVAL pathBase AS DWORD, _
    BYVAL advanceScale AS SINGLE, BYVAL kerningScale AS SINGLE, BYVAL transformType AS DWORD, BYREF returnedSpacing AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPathSpacingNV")
    IF pProc THEN CALL DWORD pProc USING glGetPathSpacingNV(pathListMode, numPaths, pathNameType, paths, pathBase, advanceScale, kerningScale, transformType, returnedSpacing)
END SUB

'// void glGetPathColorGenivNV (GLenum color, GLenum pname, GLint *value);
SUB glGetPathColorGenivNV (BYVAL dwColor AS DWORD, BYVAL pname AS DWORD, BYREF rgValue AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPathColorGenivNV")
    IF pProc THEN CALL DWORD pProc USING glGetPathColorGenivNV(dwColor, pname, rgValue)
END SUB

'// void glGetPathColorGenfvNV (GLenum color, GLenum pname, GLfloat *value);
SUB glGetPathColorGenfvNV (BYVAL dwColor AS DWORD, BYVAL pname AS DWORD, BYREF rgValue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPathColorGenfvNV")
    IF pProc THEN CALL DWORD pProc USING glGetPathColorGenfvNV(dwColor, pname, rgValue)
END SUB

'// void glGetPathTexGenivNV (GLenum texCoordSet, GLenum pname, GLint *value);
SUB glGetPathTexGenivNV (BYVAL texCoordSet AS DWORD, BYVAL pname AS DWORD, BYREF rgValue AS LONG)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPathTexGenivNV")
    IF pProc THEN CALL DWORD pProc USING glGetPathTexGenivNV(texCoordSet, pname, rgValue)
END SUB

'// void glGetPathTexGenfvNV (GLenum texCoordSet, GLenum pname, GLfloat *value);
SUB glGetPathTexGenfvNV (BYVAL texCoordSet AS DWORD, BYVAL pname AS DWORD, BYREF rgValue AS SINGLE)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glGetPathTexGenfvNV")
    IF pProc THEN CALL DWORD pProc USING glGetPathTexGenfvNV(texCoordSet, pname, rgValue)
END SUB

'// GLboolean glIsPointInFillPathNV (GLuint path, GLuint mask, GLfloat x, GLfloat y);
FUNCTION glIsPointInFillPathNV (BYVAL dwPath AS DWORD, BYVAL dwMask AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsPointInFillPathNV")
    IF pProc THEN CALL DWORD pProc USING glIsPointInFillPathNV(dwPath, dwMask, x, y) TO bRes
    FUNCTION = bRes
END FUNCTION

'// GLboolean glIsPointInStrokePathNV (GLuint path, GLfloat x, GLfloat y);
FUNCTION glIsPointInStrokePathNV (BYVAL dwPath AS DWORD, BYVAL x AS SINGLE, BYVAL y AS SINGLE) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glIsPointInStrokePathNV")
    IF pProc THEN CALL DWORD pProc USING glIsPointInStrokePathNV(dwPath, x, y) TO bRes
    FUNCTION = bRes
END FUNCTION

'// GLfloat glGetPathLengthNV (GLuint path, GLsizei startSegment, GLsizei numSegments);
FUNCTION glGetPathLengthNV (BYVAL dwPath AS DWORD, BYVAL startSegment AS DWORD, BYVAL numSegments AS DWORD) AS SINGLE
    LOCAL pProc AS DWORD, fRes AS SINGLE
    pProc = wglGetProcAddress("glGetPathLengthNV")
    IF pProc THEN CALL DWORD pProc USING glGetPathLengthNV(dwPath, startSegment, numSegments) TO fRes
    FUNCTION = fRes
END FUNCTION

'// GLboolean glPointAlongPathNV (GLuint path, GLsizei startSegment, GLsizei numSegments, GLfloat distance, GLfloat *x, GLfloat *y, GLfloat *tangentX, GLfloat *tangentY);
FUNCTION glPointAlongPathNV (BYVAL dwPath AS DWORD, BYVAL startSegment AS DWORD, BYVAL numSegments AS DWORD, _
    BYVAL distance AS SINGLE, BYREF x AS SINGLE, BYREF y AS SINGLE, BYREF tangentX AS SINGLE, BYREF tangentY AS SINGLE) AS BYTE
    LOCAL pProc AS DWORD, bRes AS BYTE
    pProc = wglGetProcAddress("glPointAlongPathNV")
    IF pProc THEN CALL DWORD pProc USING glPointAlongPathNV(dwPath, startSegment, numSegments, distance, x, y, tangentX, tangentY) TO bRes
    FUNCTION = bRes
END FUNCTION

'// void glStencilOpValueAMD (GLenum face, GLuint value);
SUB glStencilOpValueAMD (BYVAL dwFace AS DWORD, BYVAL dwValue AS DWORD)
    LOCAL pProc AS DWORD
    pProc = wglGetProcAddress("glStencilOpValueAMD")
    IF pProc THEN CALL DWORD pProc USING glStencilOpValueAMD(dwFace, dwValue)
END SUB
